## [AKShare](https://github.com/akfamily/akshare) 宏观数据

### 中国宏观

#### 中国宏观杠杆率

接口: macro_cnbs

目标地址: http://114.115.232.154:8080/

描述: 中国国家金融与发展实验室-中国宏观杠杆率数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 年份      | object  | 日期, 年-月 |
| 居民部门    | float64 | -       |
| 非金融企业部门 | float64 | -       |
| 政府部门    | float64 | -       |
| 中央政府    | float64 | -       |
| 地方政府    | float64 | -       |
| 实体经济部门  | float64 | -       |
| 金融部门资产方 | float64 | -       |
| 金融部门负债方 | float64 | -       |

接口示例

```python
import akshare as ak

macro_cnbs_df = ak.macro_cnbs()
print(macro_cnbs_df)
```

数据示例

```
    年份      居民部门    非金融企业部门  ... 实体经济部门 金融部门资产方 金融部门负债方
0   1993-12   8.311222   91.658000  ...  107.791459   8.896441   7.128428
1   1994-12   7.808230   82.411703  ...   98.354271   9.808787   6.796868
2   1995-12   8.240004   80.950106  ...   97.850373  10.009081   7.006151
3   1996-03   8.403456   81.711651  ...   99.241521  10.183896   7.186300
4   1996-06   8.581114   82.051373  ...   99.679459  10.379730   7.380510
..      ...        ...         ...  ...         ...        ...        ...
93  2018-09  52.575456  155.641011  ...  245.227043  61.350917  60.645733
94  2018-12  53.198837  153.553140  ...  243.702122  60.638348  60.936158
95  2019-03  54.277928  156.881879  ...  248.828108  60.542178  59.417322
96  2019-06  55.304291  155.743313  ...  249.533412  58.736094  58.727086
97  2019-09  56.314848  155.618498  ...  251.147265  55.820243  59.358625
```

#### 国民经济运行状况

##### 经济状况

###### 企业商品价格指数

接口: macro_china_qyspjg

目标地址: http://data.eastmoney.com/cjsj/qyspjg.html

描述: 东方财富-经济数据一览-中国-企业商品价格指数, 数据区间从 20050101-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称       | 类型      | 描述      |
|----------|---------|---------|
| 月份       | object  | -       |
| 总指数-指数值  | float64 | -       |
| 总指数-同比增长 | float64 | 注意单位: % |
| 总指数-环比增长 | float64 | 注意单位: % |
| 农产品-指数值  | float64 | -       |
| 农产品-同比增长 | float64 | 注意单位: % |
| 农产品-环比增长 | float64 | 注意单位: % |
| 矿产品-指数值  | float64 | -       |
| 矿产品-同比增长 | float64 | 注意单位: % |
| 矿产品-环比增长 | float64 | 注意单位: % |
| 煤油电-指数值  | float64 | -       |
| 煤油电-同比增长 | float64 | 注意单位: % |
| 煤油电-环比增长 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_qyspjg_df = ak.macro_china_qyspjg()
print(macro_china_qyspjg_df)
```

数据示例

```
     月份  总指数-指数值  总指数-同比增长  ...  煤油电-指数值   煤油电-同比增长  煤油电-环比增长
0    2022年09月份   101.70 -5.746061  ...   111.80  -4.931973 -2.272727
1    2022年08月份   102.30 -4.925651  ...   114.40  -0.608167 -1.970865
2    2022年07月份   103.10 -4.448563  ...   116.70   1.214224 -3.233831
3    2022年06月份   105.20 -2.682701  ...   120.60   4.960836  0.249377
4    2022年05月份   105.10 -3.666361  ...   120.30   4.427083 -1.635323
..         ...      ...       ...  ...      ...        ...       ...
208  2005年05月份   103.16 -5.738304  ...   122.53  11.168572  1.625612
209  2005年04月份   102.81 -5.903350  ...   120.57  12.640135  0.920733
210  2005年03月份   103.48 -4.485878  ...   119.47  14.292548  0.538585
211  2005年02月份   104.82 -2.046538  ...   118.83  13.974679  2.590003
212  2005年01月份   104.67 -1.957662  ...   115.83   8.903723 -1.814021
```

###### 外商直接投资数据

接口: macro_china_fdi

目标地址: https://data.eastmoney.com/cjsj/qyspjg.html

描述: 东方财富-经济数据一览-中国-外商直接投资数据, 数据区间从 200801-202012

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述       |
|---------|---------|----------|
| 月份      | object  | -        |
| 当月      | int64   | -        |
| 当月-同比增长 | float64 | 注意单位: 美元 |
| 当月-环比增长 | float64 | 注意单位: %  |
| 累计      | float64 | 注意单位: 美元 |
| 累计-同比增长 | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

macro_china_fdi_df = ak.macro_china_fdi()
print(macro_china_fdi_df)
```

数据示例

```
      月份        当月     当月-同比增长    当月-环比增长  累计  累计-同比增长
0    2022年08月份  14490000   11.119632  25.237684  138410000    20.20
1    2022年07月份  11570000   18.302658 -52.929211  123920000    21.50
2    2022年06月份  24580000   26.831785  84.812030  112350000    21.80
3    2022年05月份  13300000    6.060606 -13.524057   87770000    22.60
4    2022年04月份  15380000    8.462623 -27.555346   74470000    26.10
..         ...       ...         ...        ...        ...      ...
171  2008年05月份   7760960   58.421856   2.079078   42777890    54.97
172  2008年04月份   7602890   70.214971 -18.121715   35016930    59.32
173  2008年03月份   9285600   50.171752  34.026347   27414040    61.26
174  2008年02月份   6928190   52.801205 -38.142541   18128440    75.19
175  2008年01月份  11200250  116.422424 -14.460445   11200250   109.78
```

###### LPR品种数据

接口: macro_china_lpr

目标地址: http://data.eastmoney.com/cjsj/globalRateLPR.html

描述: 中国 LPR 品种数据, 数据区间从 19910421-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称         | 类型      | 描述                  |
|------------|---------|---------------------|
| TRADE_DATE | object  | 日期                  |
| LPR1Y      | float64 | LPR_1Y利率(%)         |
| LPR5Y      | float64 | LPR_5Y利率(%)         |
| RATE_1     | float64 | 短期贷款利率:6个月至1年(含)(%) |
| RATE_2     | float64 | 中长期贷款利率:5年以上(%)     |

接口示例

```python
import akshare as ak

macro_china_lpr_df = ak.macro_china_lpr()
print(macro_china_lpr_df)
```

数据示例

```
     TRADE_DATE  LPR1Y  LPR5Y  RATE_1  RATE_2
0    2017-09-30    4.3    NaN    4.35     4.9
1    2017-10-09    4.3    NaN    4.35     4.9
2    2017-10-10    4.3    NaN    4.35     4.9
3    2017-10-11    4.3    NaN    4.35     4.9
4    2017-10-12    4.3    NaN    4.35     4.9
..          ...    ...    ...     ...     ...
495  2021-12-20    3.8   4.65    4.35     4.9
496  2022-01-20    3.7   4.60    4.35     4.9
497  2022-02-21    3.7   4.60    4.35     4.9
498  2022-03-21    3.7   4.60    4.35     4.9
499  2022-04-20    3.7   4.60    4.35     4.9
```

###### 社会融资规模增量统计

接口: macro_china_shrzgm

目标地址: http://data.mofcom.gov.cn/gnmy/shrzgm.shtml

描述: 商务数据中心-国内贸易-社会融资规模增量统计, 数据区间从 201501-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称             | 类型      | 描述              |
|----------------|---------|-----------------|
| 月份             | object  | 年月              |
| 社会融资规模增量       | float64 | 注意单位: 亿元        |
| 其中-人民币贷款       | float64 | 注意单位: 亿元        |
| 其中-委托贷款外币贷款    | float64 | 注意单位: 折合人民币, 亿元 |
| 其中-委托贷款        | float64 | 注意单位: 亿元        |
| 其中-信托贷款        | float64 | 注意单位: 亿元        |
| 其中-未贴现银行承兑汇票   | float64 | 注意单位: 亿元        |
| 其中-企业债券        | float64 | 注意单位: 亿元        |
| 其中-非金融企业境内股票融资 | float64 | 注意单位: 亿元        |

接口示例

```python
import akshare as ak

macro_china_shrzgm_df = ak.macro_china_shrzgm()
print(macro_china_shrzgm_df)
```

数据示例

```
        月份  社会融资规模增量  其中-人民币贷款  ...  其中-未贴现银行承兑汇票  其中-企业债券  其中-非金融企业境内股票融资
0   201501     20516     14708  ...          1946     1868           526.0
1   201502     13609     11437  ...          -592      716           542.0
2   201503     12433      9920  ...          -910     1344           639.0
3   201504     10582      8045  ...           -74     1616           597.0
4   201505     12397      8510  ...           961     1710           584.0
..     ...       ...       ...  ...           ...      ...             ...
82  202111     25983     13021  ...          -383     4006          1294.0
83  202112     23682     10350  ...         -1419     2167          2075.0
84  202201     61750     41988  ...          4733     5829          1439.0
85  202202     11928      9084  ...         -4228     3377           585.0
86  202203     46531     32291  ...           287     3573           958.0
```

###### 中国 GDP 年率

接口: macro_china_gdp_yearly

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_gdp_yoy

描述: 金十数据中心-中国GDP年率报告, 数据区间从 20110120-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型      | 描述  |
|-------|---------|-----|
| index | object  | 年月  |
| value | float64 | 年率  |

接口示例

```python
import akshare as ak

macro_china_gdp_yearly_df = ak.macro_china_gdp_yearly()
print(macro_china_gdp_yearly_df)
```

数据示例

```
          date  value
0   2011-01-20    9.8
1   2011-04-15    9.7
2   2011-07-13    9.5
3   2011-10-18    9.1
4   2012-01-17    8.9
5   2012-04-13    8.1
6   2012-07-13    7.6
7   2012-10-18    7.4
8   2013-01-18    7.9
9   2013-04-15    7.7
10  2013-07-15    7.5
11  2013-10-18    7.8
12  2014-01-20    7.7
13  2014-04-16    7.4
14  2014-07-16    7.5
15  2014-10-21    7.3
16  2015-01-20    7.3
17  2015-04-15    7.0
18  2015-07-15    7.0
19  2015-10-19    6.9
20  2016-01-19    6.8
21  2016-04-15    6.7
22  2016-07-15    6.7
23  2016-10-19    6.7
24  2017-01-20    6.8
25  2017-04-17    6.9
26  2017-07-17    6.9
28  2017-10-19    6.8
30  2018-01-18    6.8
32  2018-04-17    6.8
34  2018-07-16    6.7
36  2018-10-19    6.5
38  2019-01-21    6.4
40  2019-04-17    6.4
42  2019-07-15    6.2
44  2019-10-18    6.0
46  2020-01-17    6.0
48  2020-04-17   -6.8
50  2020-07-16    3.2
52  2020-10-19    4.9
54  2021-01-18    6.5
56  2021-04-16   18.3
58  2021-07-15    7.9
59  2021-10-18    4.9
60  2022-01-17    4.0
61  2022-04-18    4.8
```

##### 物价水平

###### 中国 CPI 年率报告

接口: macro_china_cpi_yearly

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_cpi_yoy

描述: 中国年度 CPI 数据, 数据区间从 19860201-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型      | 描述  |
|-------|---------|-----|
| index | object  | 日期  |
| value | float64 | 年率  |

接口示例

```python
import akshare as ak

macro_china_cpi_yearly_df = ak.macro_china_cpi_yearly()
print(macro_china_cpi_yearly_df)
```

数据示例

```
           date  value
0    1986-02-01    7.1
1    1986-03-01    7.1
2    1986-04-01    7.1
3    1986-05-01    7.1
4    1986-06-01    7.1
..          ...    ...
434  2022-04-11    1.5
435  2022-05-11    2.1
436  2022-06-10    2.1
437  2022-07-09    2.5
438  2022-08-10    2.7
```

###### 中国 CPI 月率报告

接口: macro_china_cpi_monthly

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_cpi_mom

描述: 中国月度 CPI 数据, 数据区间从 19960201-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| 无   | 无   | 无   |

输出参数

| 名称    | 类型    | 描述    |
|-------|-------|-------|
| index | str   | 日期-索引 |
| value | float | 月率    |

接口示例

```python
import akshare as ak

macro_china_cpi_monthly_df = ak.macro_china_cpi_monthly()
print(macro_china_cpi_monthly_df)
print(macro_china_cpi_monthly_df.name)
```

数据示例

macro_china_cpi_monthly_df.name:

```
cpi
```

macro_china_cpi_monthly_df:

```
1996-02-01     2.1
1996-03-01     2.3
1996-04-01     0.6
1996-05-01     0.7
2019-07-10    -0.1
2019-08-09     0.4
2019-09-10     0.7
2019-10-15     0.9
2019-11-09     0.9
2019-12-10     0.4
2020-01-09       0
```

###### 中国 PPI 年率报告

接口: macro_china_ppi_yearly

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_ppi_yoy

描述: 获取中国年度PPI数据, 数据区间从19950801-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型      | 描述    |
|-------|---------|-------|
| index | object  | 日期-索引 |
| value | float64 | 年率    |

接口示例

```python
import akshare as ak

macro_china_ppi_yearly_df = ak.macro_china_ppi_yearly()
print(macro_china_ppi_yearly_df)
print(macro_china_ppi_yearly_df.name)
```

数据示例

macro_china_ppi_yearly_df.name:

```
ppi
```

macro_china_ppi_yearly_df:

```
1995-08-01    13.5
1995-09-01      13
1995-10-01    12.9
1995-11-01    12.5
1995-12-01    11.1
2019-08-09    -0.3
2019-09-10    -0.8
2019-10-15    -1.2
2019-11-09    -1.6
2019-12-10    -1.4
2020-01-09    -0.5
```

#### 贸易状况

##### 以美元计算出口年率

接口: macro_china_exports_yoy

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_exports_yoy

描述: 中国以美元计算出口年率报告, 数据区间从 19820201-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 必选  | 描述  |
|-----|-----|-----|-----|
| 无   | 无   | 无   | 无   |

输出参数

| 名称    | 类型    | 默认显示 | 描述    |
|-------|-------|------|-------|
| index | str   | Y    | 日期-索引 |
| value | float | Y    | 年率    |

接口示例

```python
import akshare as ak

macro_china_exports_yoy_df = ak.macro_china_exports_yoy()
print(macro_china_exports_yoy_df)
print(macro_china_exports_yoy_df.name)
```

数据示例

macro_china_exports_yoy_df.name:

```
china_exports_yoy
```

macro_china_exports_yoy_df:

```
1982-02-01      8.7
1982-03-01     23.2
1982-04-01     12.2
1982-05-01     -2.5
1982-06-01     41.5
2019-03-08    -20.8
2019-04-12     14.2
2019-05-08     -2.7
2019-06-10      1.1
2019-07-12     -1.3
2019-08-08      3.3
2019-09-08       -1
2019-10-14     -3.2
2019-11-08     -0.9
2019-12-08     -1.1
2020-01-14        0
```

##### 以美元计算进口年率

接口: macro_china_imports_yoy

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_imports_yoy

描述: 获取中国以美元计算进口年率报告, 数据区间从19960201-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称    | 类型    | 默认显示 | 描述    |
|-------|-------|------|-------|
| index | str   | Y    | 日期-索引 |
| value | float | Y    | 年率    |

接口示例

```python
import akshare as ak

macro_china_imports_yoy_df = ak.macro_china_imports_yoy()
print(macro_china_imports_yoy_df)
print(macro_china_imports_yoy_df.name)
```

数据示例

macro_china_imports_yoy_df.name:

```
china_imports_yoy
```

macro_china_imports_yoy_df:

```
1996-02-01    55.8
1996-03-01    14.2
1996-04-01     8.7
1996-05-01     6.4
1996-06-01     4.5
2019-06-10    -8.5
2019-07-12    -7.3
2019-08-08    -5.6
2019-09-08    -5.6
2019-10-14    -8.5
2019-11-08    -6.5
2019-12-08     0.3
2020-01-14       0
```

##### 以美元计算贸易帐(亿美元)

接口: macro_china_trade_balance

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_trade_balance

描述: 获取中国以美元计算贸易帐报告, 数据区间从19810201-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| index      | str   | Y        | 日期-索引  |
| value      | float   | Y        | 年率   |

接口示例

```python
import akshare as ak

macro_china_trade_balance_df = ak.macro_china_trade_balance()
print(macro_china_trade_balance_df)
print(macro_china_trade_balance_df.name)
```

数据示例

macro_china_trade_balance_df.name:

```
china_trade_balance
```

macro_china_trade_balance_df:

```
1981-02-01     -2.2
1981-03-01     -4.9
1981-04-01     -7.4
1981-05-01     -4.8
2019-10-14    396.5
2019-11-08    430.2
2019-12-08    387.3
2019-12-09        0
2020-01-14        0
```

#### 产业指标

##### 工业增加值增长

接口: macro_china_gyzjz

目标地址: https://data.eastmoney.com/cjsj/gyzjz.html

描述: 东方财富-中国工业增加值增长, 数据区间从 2008 - 至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 |描述   |
| -------- | ---- | --- |
| 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- |  ---------------- |
| 月份      | object   |  -  |
| 同比增长      | float64   |  注意单位: %   |
| 累计增长      | float64   |  注意单位: %   |

接口示例

```python
import akshare as ak

macro_china_gyzjz_df = ak.macro_china_gyzjz
print(macro_china_gyzjz_df)
```

数据示例

```
     月份  同比增长  累计增长
0    2021-05-01   8.8  17.8
1    2021-04-01   9.8  20.3
2    2021-03-01  14.1  24.5
3    2021-02-01   0.0  35.1
4    2020-12-01   7.3   2.8
..          ...   ...   ...
142  2008-06-01  16.0  16.3
143  2008-05-01  16.0  16.3
144  2008-04-01  15.7  16.3
145  2008-03-01  17.8  16.4
146  2008-02-01  15.4  15.4
```

##### 规模以上工业增加值年率

接口: macro_china_industrial_production_yoy

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_industrial_production_yoy

描述: 获取中国规模以上工业增加值年率报告, 数据区间从19900301-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| index      | str   | Y        | 日期-索引  |
| value      | float   | Y        | 年率   |

接口示例

```python
import akshare as ak

macro_china_industrial_production_yoy_df = ak.macro_china_industrial_production_yoy()
print(macro_china_industrial_production_yoy_df)
print(macro_china_industrial_production_yoy_df.name)
```

数据示例

macro_china_industrial_production_yoy_df.name:

```
china_industrial_production_yoy
```

macro_china_industrial_production_yoy_df:

```
1990-03-01      5
1990-04-01    0.8
1990-05-01    1.7
1990-06-01    3.3
1990-07-01      5
             ...
2019-09-16    4.4
2019-10-18    5.8
2019-11-14    4.7
2019-12-16    6.2
2020-01-17      0
```

##### 官方制造业PMI

接口: macro_china_pmi_yearly

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_manufacturing_pmi

描述: 获取中国年度PMI数据, 数据区间从20050201-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| index      | str   | Y        | 日期-索引  |
| value      | float   | Y        | 年率   |

接口示例

```python
import akshare as ak

macro_china_pmi_yearly_df = ak.macro_china_pmi_yearly()
print(macro_china_pmi_yearly_df)
print(macro_china_pmi_yearly_df.name)
```

数据示例

macro_china_pmi_yearly_df.name:

```
pmi
```

macro_china_pmi_yearly_df:

```
2005-02-01    54.7
2005-03-01    54.5
2005-04-01    57.9
2005-05-01    56.7
2005-06-01    52.9
              ...
2019-09-30    49.8
2019-10-31    49.3
2019-11-30    50.2
2019-12-31    50.2
2020-01-31       0
```

##### 财新制造业PMI终值

接口: macro_china_cx_pmi_yearly

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_caixin_manufacturing_pmi

描述: 获取中国年度财新 PMI 数据, 数据区间从20120120-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| index      | str   | Y        | 日期-索引  |
| value      | float   | Y        | 年率   |

接口示例

```python
import akshare as ak

macro_china_cx_pmi_yearly_df = ak.macro_china_cx_pmi_yearly()
print(macro_china_cx_pmi_yearly_df)
print(macro_china_cx_pmi_yearly_df.name)
```

数据示例

macro_china_cx_pmi_yearly_df.name:

```
cx_pmi
```

macro_china_cx_pmi_yearly_df:

```
2012-01-20    48.8
2012-02-22    49.6
2012-03-22    48.3
2012-04-23    49.1
2012-05-02    49.3
              ...
2019-09-02    50.4
2019-09-30    51.4
2019-11-01    51.7
2019-12-02    51.8
2020-01-02    51.5
```

##### 财新服务业PMI

接口: macro_china_cx_services_pmi_yearly

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_caixin_services_pmi

描述: 获取中国财新服务业PMI报告, 数据区间从20120405-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 必选  | 描述  |
|-----|-----|-----|-----|
| 无   | 无   | 无   | 无   |

输出参数

| 名称    | 类型    | 默认显示 | 描述    |
|-------|-------|------|-------|
| index | str   | Y    | 日期-索引 |
| value | float | Y    | 年率    |

接口示例

```python
import akshare as ak

macro_china_cx_services_pmi_yearly_df = ak.macro_china_cx_services_pmi_yearly()
print(macro_china_cx_services_pmi_yearly_df)
print(macro_china_cx_services_pmi_yearly_df.name)
```

数据示例

macro_china_cx_services_pmi_yearly_df.name:

```
cx_services_pmi
```

macro_china_cx_services_pmi_yearly_df:

```
2012-04-05    53.3
2012-05-04    54.1
2012-06-05    54.7
2012-07-04    52.3
2012-08-03    53.1
              ...
2019-09-04    52.1
2019-10-08    51.3
2019-11-05    51.1
2019-12-04    53.5
2020-01-06    52.5
```

##### 中国官方非制造业PMI

接口: macro_china_non_man_pmi

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_non_manufacturing_pmi

描述: 获取中国官方非制造业PMI, 数据区间从20160101-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| index      | str   | Y        | 日期-索引  |
| value      | float   | Y        | 年率   |

接口示例

```python
import akshare as ak

macro_china_non_man_pmi_df = ak.macro_china_non_man_pmi()
print(macro_china_non_man_pmi_df)
print(macro_china_non_man_pmi_df.name)
```

数据示例

macro_china_non_man_pmi_df.name:

```
cx_services_pmi
```

macro_china_non_man_pmi_df:

```
2007-02-01    60.4
2007-03-01    60.6
2007-04-01    58.2
2007-05-01    60.4
2007-06-01    62.2
              ...
2019-09-30    53.7
2019-10-31    52.8
2019-11-30    54.4
2019-12-31    53.5
2020-01-31       0
```

#### 金融指标

##### 外汇储备(亿美元)

接口: macro_china_fx_reserves_yearly

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_fx_reserves

描述: 获取中国年度外汇储备数据, 数据区间从20140115-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| index      | str   | Y        | 日期-索引  |
| value      | float   | Y        | 年率   |

接口示例

```python
import akshare as ak

macro_china_fx_reserves_yearly_df = ak.macro_china_fx_reserves_yearly()
print(macro_china_fx_reserves_yearly_df)
print(macro_china_fx_reserves_yearly_df.name)
```

数据示例

macro_china_fx_reserves_yearly_df.name:

```
fx_reserves
```

macro_china_fx_reserves_yearly_df:

```
2014-01-15    39500
2014-07-15    39900
2015-01-15    32300
2016-03-07    32020
2016-04-07    32100
              ...
2019-09-07    31070
2019-10-08    30920
2019-11-07    31050
2019-12-07    30960
2020-01-07    31080
```

##### M2货币供应年率

接口: macro_china_m2_yearly

目标地址: https://datacenter.jin10.com/reportType/dc_chinese_m2_money_supply_yoy

描述: 获取中国年度M2数据, 数据区间从19980201-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| index      | str   | Y        | 日期-索引  |
| value      | float   | Y        | 年率   |

接口示例

```python
import akshare as ak

macro_china_m2_yearly_df = ak.macro_china_m2_yearly()
print(macro_china_m2_yearly_df)
print(macro_china_m2_yearly_df.name)
```

数据示例

macro_china_m2_yearly_df.name:

```
m2
```

macro_china_m2_yearly_df:

```
1998-02-01    17.4
1998-03-01    16.7
1998-04-01    15.4
1998-05-01    14.6
1998-06-01    15.5
              ...
2019-11-11     8.4
2019-11-14       0
2019-12-10     8.2
2019-12-13       0
2020-01-14       0
```

##### 新房价指数

接口: macro_china_new_house_price

目标地址: http://data.eastmoney.com/cjsj/newhouse.html

描述: 中国新房价指数月度数据, 数据区间从 201101-至今

限量: 单次返回指定城市的所有历史数据

输入参数

| 名称          | 类型  | 描述                          |
|-------------|-----|-----------------------------|
| city_first  | str | city_first="北京"; 城市列表见目标网站  |
| city_second | str | city_second="上海"; 城市列表见目标网站 |

输出参数

| 名称            | 类型      | 描述  |
|---------------|---------|-----|
| 日期            | object  | 日期  |
| 城市            | object  | -   |
| 新建商品住宅价格指数-环比 | float64 | -   |
| 新建商品住宅价格指数-同比 | float64 | -   |
| 新建商品住宅价格指数-定基 | float64 | -   |
| 二手住宅价格指数-环比   | float64 | -   |
| 二手住宅价格指数-同比   | float64 | -   |
| 二手住宅价格指数-定基   | float64 | -   |

接口示例

```python
import akshare as ak

macro_china_new_house_price_df = ak.macro_china_new_house_price()
print(macro_china_new_house_price_df)
```

数据示例

```
             日期  城市  新建商品住宅价格指数-同比  ...  二手住宅价格指数-环比  二手住宅价格指数-同比  二手住宅价格指数-定基
0    2022-10-01  北京          105.9  ...        105.2        100.1        116.7
1    2022-10-01  上海          104.0  ...        103.9         99.6        113.7
2    2022-09-01  北京          106.1  ...        104.6        100.4        116.5
3    2022-09-01  上海          103.8  ...        103.9        100.5        114.2
4    2022-08-01  北京          105.8  ...        103.9        100.2        116.0
..          ...  ..            ...  ...          ...          ...          ...
279  2011-03-01  上海          102.0  ...        100.5        100.4        101.4
280  2011-02-01  北京          108.4  ...        102.9        100.4        101.5
281  2011-02-01  上海          102.8  ...        102.0        100.4        101.0
282  2011-01-01  北京          109.1  ...        102.6        100.3        101.2
283  2011-01-01  上海          101.8  ...        101.7        100.5        100.6
```

##### 企业景气及企业家信心指数

接口: macro_china_enterprise_boom_index

目标地址: http://data.eastmoney.com/cjsj/qyjqzs.html

描述: 中国企业景气及企业家信心指数数据, 数据区间从 2005 一季度-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称         | 类型      | 描述      |
|------------|---------|---------|
| 季度         | object  | 日期      |
| 企业景气指数-指数  | float64 | -       |
| 企业景气指数-同比  | float64 | 注意单位: % |
| 企业景气指数-环比  | float64 | 注意单位: % |
| 企业家信心指数-指数 | float64 | -       |
| 企业家信心指数-同比 | float64 | 注意单位: % |
| 企业家信心指数-环比 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_enterprise_boom_index_df = ak.macro_china_enterprise_boom_index()
print(macro_china_enterprise_boom_index_df)
```

数据示例

```
           季度  企业景气指数-指数  企业景气指数-同比  ...  企业家信心指数-指数  企业家信心指数-同比  企业家信心指数-环比
0   2022年第2季度     101.80       1.80  ...         NaN         NaN         NaN
1   2022年第1季度     112.70      12.70  ...         NaN         NaN         NaN
2   2021年第4季度     119.20      19.20  ...         NaN         NaN         NaN
3   2021年第3季度     119.20      19.20  ...      120.90       20.90       -5.10
4   2021年第2季度     123.80      23.80  ...      126.00       26.00       -1.80
..        ...        ...        ...  ...         ...         ...         ...
65  2006年第1季度     131.50      31.50  ...      133.10       33.10        7.70
66  2005年第4季度     131.70      31.70  ...      125.40       25.40       -2.20
67  2005年第3季度     132.00      32.00  ...      127.60       27.60       -0.90
68  2005年第2季度     131.71      31.71  ...      128.50       28.50       -7.35
69  2005年第1季度     132.46      32.46  ...      135.85       35.85        5.04
```

##### 全国税收收入

接口: macro_china_national_tax_receipts

目标地址: http://data.eastmoney.com/cjsj/nationaltaxreceipts.aspx

描述: 中国全国税收收入数据, 数据区间从 2005 一季度-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述       |
|--------|---------|----------|
| 季度     | object  | 日期       |
| 税收收入合计 | float64 | 注意单位: 亿元 |
| 较上年同期  | float64 | 注意单位: %  |
| 季度环比   | float64 | -        |

接口示例

```python
import akshare as ak

macro_china_national_tax_receipts_df = ak.macro_china_national_tax_receipts()
print(macro_china_national_tax_receipts_df)
```

数据示例

```
             季度     税收收入合计  较上年同期      季度环比
0   2022年第1-3季度  124365.00  -11.6  0.171811
1   2022年第1-2季度   85564.00  -14.8 -0.368718
2     2022年第1季度   52452.00    7.7  0.637641
3   2021年第1-4季度  172731.00   11.9 -0.204070
4   2021年第1-3季度  140702.00   18.4 -0.222216
..          ...        ...    ...       ...
64  2006年第1-2季度   18484.80   22.0  0.142837
65    2006年第1季度    8626.32   19.0       NaN
66  2005年第1-3季度   21855.35   15.9 -0.151249
67  2005年第1-2季度   15149.73   13.4  0.089860
68    2005年第1季度    7249.16   10.7       NaN
```

##### 银行理财产品发行数量

接口: macro_china_bank_financing

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI01516267.html

描述: 银行理财产品发行数量, 数据区间从 2000 一月-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_bank_financing_df = ak.macro_china_bank_financing()
print(macro_china_bank_financing_df)
```

数据示例

```
        日期   最新值         涨跌幅  ...   近1年涨跌幅   近2年涨跌幅  近3年涨跌幅
0    2000-03-01     4         NaN  ...         NaN         NaN         NaN
1    2004-02-01     2  -50.000000  ...  -50.000000  -50.000000  -50.000000
2    2004-03-01     8  300.000000  ...  100.000000  100.000000  100.000000
3    2004-04-01     3  -62.500000  ...  -25.000000  -25.000000  -25.000000
4    2004-05-01     6  100.000000  ...   50.000000   50.000000   50.000000
..          ...   ...         ...  ...         ...         ...         ...
213  2021-10-01  2640  -27.829415  ...  -51.710262  -70.054446  -74.346516
214  2021-11-01  3424   29.696970  ...  -45.347167  -59.541534  -70.644719
215  2021-12-01  3876   13.200935  ...  -44.422139  -44.117647  -64.904020
216  2022-01-01  2793  -27.941176  ...  -45.406568  -50.478723  -77.035027
217  2022-02-01  1779  -36.305048  ...  -54.893509  -66.204407  -78.496313
```

##### 原保险保费收入

接口: macro_china_insurance_income

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMM00088870.html

描述: 原保险保费收入, 数据区间从 200407-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_insurance_income_df = ak.macro_china_insurance_income()
print(macro_china_insurance_income_df)
```

数据示例

```
      日期        最新值        涨跌幅  ...    近1年涨跌幅    近2年涨跌幅     近3年涨跌幅
0    2004-07-01  0.000000e+00        NaN  ...       NaN       NaN        NaN
1    2004-09-01  2.453616e+07        NaN  ...       NaN       NaN        NaN
2    2004-10-01  2.704315e+07  10.217507  ...       NaN       NaN        NaN
3    2004-11-01  2.956397e+07   9.321471  ...       NaN       NaN        NaN
4    2004-12-01  3.193586e+07   8.022916  ...       NaN       NaN        NaN
..          ...           ...        ...  ...       ...       ...        ...
205  2021-09-01  1.979124e+08   9.327015  ... -1.959838  2.790277  -9.435956
206  2021-10-01  2.094363e+08   5.822728  ... -2.107731  2.866552 -10.337719
207  2021-11-01  2.205047e+08   5.284853  ... -2.053675  2.876131 -11.053454
208  2021-12-01  2.357184e+08   6.899490  ... -1.710283  3.594269 -10.239691
209  2022-01-01  7.049640e+07 -70.092958  ... -5.768089  5.429366  12.398597
```

##### 手机出货量

接口: macro_china_mobile_number

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI00225823.html

描述: 手机出货量, 数据区间从 201201-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_mobile_number_df = ak.macro_china_mobile_number()
print(macro_china_mobile_number_df)
```

数据示例

```
        日期     最新值     涨跌幅  ...     近1年涨跌幅      近2年涨跌幅     近3年涨跌幅
0    2012-01-01  2400.6        NaN  ...        NaN         NaN        NaN
1    2012-02-01  2998.9  24.922936  ...        NaN         NaN        NaN
2    2012-03-01  3958.6  32.001734  ...        NaN         NaN        NaN
3    2012-04-01  3528.7 -10.859900  ...        NaN         NaN        NaN
4    2012-05-01  3586.8   1.646499  ...        NaN         NaN        NaN
..          ...     ...        ...  ...        ...         ...        ...
117  2021-10-01  3357.5  56.599813  ...  28.379153   -6.655731 -12.866893
118  2021-11-01  3525.2   4.994788  ...  19.159005    1.176741  -0.333616
119  2021-12-01  3340.1  -5.250766  ...  25.591277    9.712916  -6.371587
120  2022-01-01  3302.2  -1.134697  ... -17.691924   58.660453  -3.013393
121  2022-02-01  1486.4 -54.987584  ... -31.688037  132.832080   2.432637
```

##### 菜篮子产品批发价格指数

接口: macro_china_vegetable_basket

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI00009275.html

描述: 菜篮子产品批发价格指数, 数据区间从 20050927-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_vegetable_basket_df = ak.macro_china_vegetable_basket()
print(macro_china_vegetable_basket_df)
```

数据示例

```
        日期     最新值       涨跌幅  ...    近1年涨跌幅  近2年涨跌幅  近3年涨跌幅
0     2005-09-27  123.80       NaN  ...       NaN       NaN        NaN
1     2005-09-28  123.00 -0.646204  ...       NaN       NaN        NaN
2     2005-09-29  123.10  0.081301  ...       NaN       NaN        NaN
3     2005-09-30  124.10  0.812348  ...       NaN       NaN        NaN
4     2005-10-08  122.20 -1.531023  ...       NaN       NaN        NaN
          ...     ...       ...  ...       ...       ...        ...
4100  2022-03-28  137.93  0.561388  ...  6.026597  6.608440  15.470908
4101  2022-03-29  138.45  0.377003  ...  6.952491  7.010357  15.712495
4102  2022-03-30  138.85  0.288913  ...  7.410846  7.978847  16.046803
4103  2022-03-31  139.38  0.381707  ...  8.180689  8.289954  16.489762
4104  2022-04-01  139.70  0.229588  ...  8.775208  8.622969  16.484616
```

##### 农产品批发价格总指数

接口: macro_china_agricultural_product

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI00009274.html

描述: 农产品批发价格总指数, 数据区间从 20050927-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_agricultural_product_df = ak.macro_china_agricultural_product()
print(macro_china_agricultural_product_df)
```

数据示例

```
          日期     最新值    涨跌幅  ...    近1年涨跌幅  近2年涨跌幅  近3年涨跌幅
0     2005-09-27  125.50       NaN  ...       NaN       NaN        NaN
1     2005-09-28  125.00 -0.398406  ...       NaN       NaN        NaN
2     2005-09-29  125.00  0.000000  ...       NaN       NaN        NaN
3     2005-09-30  125.80  0.640000  ...       NaN       NaN        NaN
4     2005-10-08  124.20 -1.271860  ...       NaN       NaN        NaN
          ...     ...       ...  ...       ...       ...        ...
4100  2022-03-28  134.83  0.499404  ...  6.349582  7.374373  15.259019
4101  2022-03-29  135.30  0.348587  ...  7.100451  7.748666  15.492958
4102  2022-03-30  135.03 -0.199557  ...  7.098668  8.127803  15.262484
4103  2022-03-31  136.10  0.792416  ...  8.265054  8.862582  16.175843
4104  2022-04-01  136.38  0.205731  ...  8.790683  9.156395  16.176846
```

##### 农副指数

接口: macro_china_agricultural_index

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI00662543.html

描述: 农副指数数据, 数据区间从 20111205-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_agricultural_index_df = ak.macro_china_agricultural_index()
print(macro_china_agricultural_index_df)
```

数据示例

```
          日期   最新值   涨跌幅  ...    近1年涨跌幅   近2年涨跌幅   近3年涨跌幅
0     2011-12-05   995       NaN  ...       NaN        NaN        NaN
1     2011-12-12   986 -0.904523  ...       NaN        NaN        NaN
2     2011-12-19   990  0.405680  ...       NaN        NaN        NaN
3     2011-12-26   988 -0.202020  ...       NaN        NaN        NaN
4     2012-01-02   993  0.506073  ...       NaN        NaN        NaN
          ...   ...       ...  ...       ...        ...        ...
2971  2022-03-28  1316 -0.679245  ...  7.428571  24.385633  55.739645
2972  2022-03-29  1311 -0.379939  ...  7.635468  23.913043  55.331754
2973  2022-03-30  1305 -0.457666  ...  7.495881  22.881356  54.620853
2974  2022-03-31  1303 -0.153257  ...  8.222591  22.347418  54.383886
2975  2022-04-01  1289 -1.074444  ...  6.090535  21.489161  52.906287
```

##### 能源指数

接口: macro_china_energy_index

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI00662539.html

描述: 能源指数数据, 数据区间从 20111205-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_energy_index_df = ak.macro_china_energy_index()
print(macro_china_energy_index_df)
```

数据示例

```
         日期   最新值    涨跌幅  ...     近1年涨跌幅    近2年涨跌幅  近3年涨跌幅
0     2011-12-05  1003       NaN  ...        NaN        NaN        NaN
1     2011-12-12   995 -0.797607  ...        NaN        NaN        NaN
2     2011-12-19   987 -0.804020  ...        NaN        NaN        NaN
3     2011-12-26   983 -0.405268  ...        NaN        NaN        NaN
4     2012-01-02   984  0.101729  ...        NaN        NaN        NaN
          ...   ...       ...  ...        ...        ...        ...
2972  2022-03-29  1208 -0.247729  ...  48.220859  84.992343  48.768473
2973  2022-03-30  1206 -0.165563  ...  47.252747  88.437500  48.522167
2974  2022-03-31  1207  0.082919  ...  47.735618  90.378549  48.645320
2975  2022-04-01  1207  0.000000  ...  48.098160  91.283677  48.828607
2976  2022-04-02  1208  0.082850  ...  47.858017  91.442155  47.858017
```

##### 大宗商品价格

接口: macro_china_commodity_price_index

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI00662535.html

描述: 大宗商品价格数据, 数据区间从 20111205-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_commodity_price_index_df = ak.macro_china_commodity_price_index()
print(macro_china_commodity_price_index_df)
```

数据示例

```
          日期   最新值    涨跌幅  ...     近1年涨跌幅   近2年涨跌幅   近3年涨跌幅
0     2011-12-05   999       NaN  ...        NaN        NaN        NaN
1     2011-12-12   991 -0.800801  ...        NaN        NaN        NaN
2     2011-12-19   990 -0.100908  ...        NaN        NaN        NaN
3     2011-12-26   988 -0.202020  ...        NaN        NaN        NaN
4     2012-01-02   992  0.404858  ...        NaN        NaN        NaN
          ...   ...       ...  ...        ...        ...        ...
2975  2022-03-31  1213  0.000000  ...  21.543086  68.005540  40.556199
2976  2022-04-01  1212 -0.082440  ...  20.958084  69.037657  40.277778
2977  2022-04-02  1212  0.000000  ...  20.717131  70.224719  40.440324
2978  2022-04-03  1212  0.000000  ...  20.837488  70.464135  40.440324
2979  2022-04-04  1212  0.000000  ...  20.837488  70.704225  40.440324
```

##### 费城半导体指数

接口: macro_global_sox_index

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI00055562.html

描述: 费城半导体指数数据, 数据区间从 19940504-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_global_sox_index_df = ak.macro_global_sox_index()
print(macro_global_sox_index_df)
```

数据示例

```
         日期     最新值    涨跌幅  ...     近1年涨跌幅   近2年涨跌幅      近3年涨跌幅
0     1994-05-04   119.0       NaN  ...        NaN         NaN         NaN
1     1994-05-05   118.3 -0.588235  ...        NaN         NaN         NaN
2     1994-05-06   117.7 -0.507185  ...        NaN         NaN         NaN
3     1994-05-09   115.6 -1.784197  ...        NaN         NaN         NaN
4     1994-05-10   117.4  1.557093  ...        NaN         NaN         NaN
          ...     ...       ...  ...        ...         ...         ...
6957  2022-03-25  3525.3 -0.209472  ...  19.102801  139.397788  154.948472
6958  2022-03-28  3547.2  0.621224  ...  14.194471  138.267003  158.203523
6959  2022-03-29  3625.6  2.210194  ...  18.691953  143.533165  159.804659
6960  2022-03-30  3508.6 -3.227052  ...  15.241990  127.048295  151.420628
6961  2022-03-31  3429.0 -2.268711  ...   9.730107  126.997398  145.716620
```

##### 义乌小商品指数-电子元器件

接口: macro_china_yw_electronic_index

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI00055551.html

描述: 义乌小商品指数-电子元器件数据, 数据区间从 20060911-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_yw_electronic_index_df = ak.macro_china_yw_electronic_index()
print(macro_china_yw_electronic_index_df)
```

数据示例

```
        日期     最新值   涨跌幅    近3月涨跌幅 近6月涨跌幅 近1年涨跌幅  近2年涨跌幅 近3年涨跌幅
0    2006-09-11  101.34       NaN       NaN     NaN     NaN       NaN     NaN
1    2006-09-18  102.94  1.578844       NaN     NaN     NaN       NaN     NaN
2    2006-09-25  103.34  0.388576       NaN     NaN     NaN       NaN     NaN
3    2006-10-02  103.21 -0.125798       NaN     NaN     NaN       NaN     NaN
4    2006-10-09  103.06 -0.145335       NaN     NaN     NaN       NaN     NaN
..          ...     ...       ...       ...     ...     ...       ...     ...
755  2022-03-07  100.18 -0.169407  0.089919    0.18    0.18 -0.802060    0.18
756  2022-03-14  100.09 -0.089838  0.039980    0.09    0.09 -0.407960    0.09
757  2022-03-21  106.11  6.014587  0.463927    6.11    6.11  5.845387    6.11
758  2022-03-28  103.06 -2.874376  0.243167    3.06    3.06  2.936476    3.06
759  2022-04-04  101.53 -1.484572  0.118332    1.53    1.53  1.469119    1.53
```

##### 建材指数

接口: macro_china_construction_index

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI00662541.html

描述: 建材指数数据, 数据区间从 20111205-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_construction_index_df = ak.macro_china_construction_index()
print(macro_china_construction_index_df)
```

数据示例

```
       日期   最新值       涨跌幅  ...   近1年涨跌幅  近2年涨跌幅  近3年涨跌幅
0     2011-12-05  1014       NaN  ...       NaN        NaN       NaN
1     2011-12-12  1013 -0.098619  ...       NaN        NaN       NaN
2     2011-12-19  1005 -0.789733  ...       NaN        NaN       NaN
3     2011-12-26   993 -1.194030  ...       NaN        NaN       NaN
4     2012-01-02   991 -0.201410  ...       NaN        NaN       NaN
          ...   ...       ...  ...       ...        ...       ...
2455  2022-04-03  1287  0.000000  ...  1.658768  42.209945  6.628003
2456  2022-04-04  1287  0.000000  ...  1.658768  42.209945  6.628003
2457  2022-04-05  1287  0.000000  ...  1.658768  42.209945  6.628003
2458  2022-04-06  1289  0.155400  ...  1.018809  42.430939  6.793703
2459  2022-04-07  1287 -0.155159  ...  0.704225  43.638393  6.628003
```

##### 建材价格指数

接口: macro_china_construction_price_index

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI00237146.html

描述: 建材价格指数数据, 数据区间从 20100615-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_construction_price_index_df = ak.macro_china_construction_price_index()
print(macro_china_construction_price_index_df)
```

数据示例

```
       日期        最新值    涨跌幅  ...    近1年涨跌幅   近2年涨跌幅  近3年涨跌幅
0     2010-06-15  1230.40       NaN  ...       NaN       NaN       NaN
1     2010-06-16  1245.10  1.194733  ...       NaN       NaN       NaN
2     2010-08-01  1281.60  2.931491  ...       NaN       NaN       NaN
3     2010-08-02  1214.90 -5.204432  ...       NaN       NaN       NaN
4     2010-08-03  1218.90  0.329245  ...       NaN       NaN       NaN
          ...      ...       ...  ...       ...       ...       ...
3841  2022-02-25  1099.01  1.567395  ...  1.467995  1.493295  2.177410
3842  2022-02-26  1088.05 -0.997261  ...  0.456094  0.481142  1.521824
3843  2022-02-27  1097.41  0.860255  ...  1.120479  1.345536  2.198733
3844  2022-02-28  1088.05 -0.852917  ...  0.977244  0.481142  1.549302
3845  2022-03-01  1097.41  0.860255  ...  1.419528  0.749139  2.051425
```

##### 物流景气指数

接口: macro_china_lpi_index

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI00352262.html

描述: 物流景气指数数据, 数据区间从 20130701-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_lpi_index_df = ak.macro_china_lpi_index()
print(macro_china_lpi_index_df)
```

数据示例

```
         日期   最新值   涨跌幅  ...    近1年涨跌幅   近2年涨跌幅 近3年涨跌幅
0    2013-07-01  52.4       NaN  ...       NaN        NaN       NaN
1    2013-08-01  52.9  0.954198  ...       NaN        NaN       NaN
2    2013-09-01  53.3  0.756144  ...       NaN        NaN       NaN
3    2013-10-01  53.6  0.562852  ...       NaN        NaN       NaN
4    2013-11-01  53.0 -1.119403  ...       NaN        NaN       NaN
..          ...   ...       ...  ...       ...        ...       ...
100  2021-11-01  53.6  0.186916  ... -6.782609  -8.998302  7.200000
101  2021-12-01  52.6 -1.865672  ... -7.557118 -10.238908 -3.839122
102  2022-01-01  51.1 -2.851711  ... -6.066176   2.404810 -4.841713
103  2022-02-01  51.2  0.195695  ...  2.811245  95.419847  3.225806
104  2022-03-01  48.7 -4.882812  ... -6.165703  -5.436893 -7.414449
```

##### 原油运输指数

接口: macro_china_bdti_index

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI00107668.html

描述: 原油运输指数数据, 数据区间从 20011227-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_bdti_index_df = ak.macro_china_bdti_index()
print(macro_china_bdti_index_df)
```

数据示例

```
           日期   最新值   涨跌幅  ...      近1年涨跌幅     近2年涨跌幅      近3年涨跌幅
0     2001-12-27   849       NaN  ...         NaN        NaN         NaN
1     2001-12-28   850  0.117786  ...         NaN        NaN         NaN
2     2002-01-02   845 -0.588235  ...         NaN        NaN         NaN
3     2002-01-03   826 -2.248521  ...         NaN        NaN         NaN
4     2002-01-04   811 -1.815981  ...         NaN        NaN         NaN
          ...   ...       ...  ...         ...        ...         ...
4921  2022-04-05  1469  7.304602  ...  110.157368   6.218366  138.087520
4922  2022-04-06  1547  5.309735  ...  125.839416  24.758065  150.729335
4923  2022-04-07  1653  6.851972  ...  144.888889  47.326203  167.909238
4924  2022-04-08  1677  1.451906  ...  154.863222  56.582633  174.918033
4925  2022-04-11  1730  3.160405  ...  167.801858  55.296230  172.870662
```

##### 超灵便型船运价指数

接口: macro_china_bsi_index

目标地址: https://data.eastmoney.com/cjsj/hyzs_list_EMI00107667.html

描述: 超灵便型船运价指数数据, 数据区间从 20060103-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 日期     | object  | -       |
| 最新值    | int64   | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 近3月涨跌幅 | float64 | 注意单位: % |
| 近6月涨跌幅 | float64 | 注意单位: % |
| 近1年涨跌幅 | float64 | 注意单位: % |
| 近2年涨跌幅 | float64 | 注意单位: % |
| 近3年涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_bsi_index_df = ak.macro_china_bsi_index()
print(macro_china_bsi_index_df)
```

数据示例

```
          日期   最新值   涨跌幅  ...     近1年涨跌幅    近2年涨跌幅    近3年涨跌幅
0     2006-01-03  1819       NaN  ...        NaN         NaN         NaN
1     2006-01-05  1825  0.329852  ...        NaN         NaN         NaN
2     2006-01-09  1814 -0.602740  ...        NaN         NaN         NaN
3     2006-01-11  1784 -1.653804  ...        NaN         NaN         NaN
4     2006-01-12  1759 -1.401345  ...        NaN         NaN         NaN
          ...   ...       ...  ...        ...         ...         ...
3984  2022-04-06  2605 -2.067669  ...  44.002211  437.113402  251.078167
3985  2022-04-07  2547 -2.226488  ...  42.131696  439.618644  243.261456
3986  2022-04-08  2502 -1.766784  ...  40.089586  451.101322  241.336971
3987  2022-04-11  2473 -1.159073  ...  38.932584  460.770975  245.874126
3988  2022-04-12  2448 -1.010918  ...  37.993236  455.102041  244.303797
```

##### 新增信贷数据

接口: macro_china_new_financial_credit

目标地址: http://data.eastmoney.com/cjsj/xzxd.html

描述: 中国新增信贷数据数据, 数据区间从 200801 至今, 月度数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述       |
|---------|---------|----------|
| 月份      | object  | -        |
| 当月      | float64 | 注意单位: 亿元 |
| 当月-同比增长 | float64 | 注意单位: %  |
| 当月-环比增长 | float64 | 注意单位: %  |
| 累计      | float64 | 注意单位: 亿元 |
| 累计-同比增长 | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

macro_china_new_financial_credit_df = ak.macro_china_new_financial_credit()
print(macro_china_new_financial_credit_df)
```

数据示例

```
     月份       当月    当月-同比增长      当月-环比增长        累计    累计-同比增长
0    2022年10月份   4431.0 -42.840557   -82.749358  183298.0   4.127067
1    2022年09月份  25686.0  44.669107    92.491007  178867.0   6.290669
2    2022年08月份  13344.0   4.963423   226.418787  153181.0   1.763815
3    2022年07月份   4088.0 -51.281135   -86.614276  139837.0   1.468657
4    2022年06月份  30540.0  31.740143    67.526056  135749.0   4.888659
..         ...      ...        ...          ...       ...        ...
173  2008年05月份   3185.0  28.790942   -32.089552   21201.0   1.386830
174  2008年04月份   4690.0  11.137441    65.490473   18016.0  -2.288751
175  2008年03月份   2834.0 -35.838805    16.433854   13326.0  -6.273738
176  2008年02月份   2434.0 -41.179314   -69.793994   10492.0   7.050301
177  2008年01月份   8058.0  42.292071  1561.443299    8058.0  42.292071
```

##### 居民消费价格指数

接口: macro_china_cpi

目标地址: http://data.eastmoney.com/cjsj/cpi.html

描述: 中国居民消费价格指数, 数据区间从 200801 至今, 月度数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 月份      | object  | -       |
| 全国-当月   | float64 | -       |
| 全国-同比增长 | float64 | 注意单位: % |
| 全国-环比增长 | float64 | 注意单位: % |
| 全国-累计   | float64 | -       |
| 城市-当月   | float64 | -       |
| 城市-同比增长 | float64 | 注意单位: % |
| 城市-环比增长 | float64 | 注意单位: % |
| 城市-累计   | float64 | -       |
| 农村-当月   | float64 | -       |
| 农村-同比增长 | float64 | 注意单位: % |
| 农村-环比增长 | float64 | 注意单位: % |
| 农村-累计   | float64 | -       |

接口示例

```python
import akshare as ak

macro_china_cpi_df = ak.macro_china_cpi()
print(macro_china_cpi_df)
```

数据示例

```
     月份     全国-当月  全国-同比增长  ...  农村-同比增长  农村-环比增长     农村-累计
0    2022年10月份  102.1000   2.1000  ...   2.5000      0.1  102.0000
1    2022年09月份  102.8000   2.8000  ...   3.1000      0.4  102.0000
2    2022年08月份  102.5000   2.5000  ...   2.7000     -0.1  101.8000
3    2022年07月份  102.7000   2.7000  ...   3.0000      0.5  101.7000
4    2022年06月份  102.5000   2.5000  ...   2.6000      0.0  101.5000
..         ...       ...      ...  ...      ...      ...       ...
173  2008年05月份  107.7163   7.7163  ...   8.5481     -0.3  108.7612
174  2008年04月份  108.4829   8.4829  ...   9.2737      0.1  108.8147
175  2008年03月份  108.3097   8.3097  ...   9.0330     -0.5  108.6618
176  2008年02月份  108.7443   8.7443  ...   9.2344      2.4  108.4812
177  2008年01月份  107.0781   7.0781  ...   7.7209      1.2  107.7209
```

##### 国内生产总值

接口: macro_china_gdp

目标地址: http://data.eastmoney.com/cjsj/gdp.html

描述: 中国国内生产总值, 数据区间从 200601 至今, 月度数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称          | 类型      | 描述       |
|-------------|---------|----------|
| 季度          | object  | -        |
| 国内生产总值-绝对值  | float64 | 注意单位: 亿元 |
| 国内生产总值-同比增长 | float64 | 注意单位: %  |
| 第一产业-绝对值    | float64 | 注意单位: 亿元 |
| 第一产业-同比增长   | float64 | 注意单位: %  |
| 第二产业-绝对值    | float64 | 注意单位: 亿元 |
| 第二产业-同比增长   | float64 | 注意单位: %  |
| 第三产业-绝对值    | float64 | 注意单位: 亿元 |
| 第三产业-同比增长   | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

macro_china_gdp_df = ak.macro_china_gdp()
print(macro_china_gdp_df)
```

数据示例

```
   季度  国内生产总值-绝对值  国内生产总值-同比增长  ...  第二产业-同比增长  第三产业-绝对值  第三产业-同比增长
0   2021-03-01    249310.0         18.3  ...       24.4  145355.0       15.6
1   2020-12-01   1015986.2          2.3  ...        2.6  553976.8        2.1
2   2020-09-01    719688.4          0.7  ...        0.9  401249.1        0.4
3   2020-06-01    454712.1         -1.6  ...       -1.9  258427.4       -1.6
4   2020-03-01    205727.0         -6.8  ...       -9.6  123008.5       -5.2
..         ...         ...          ...  ...        ...       ...        ...
56  2007-03-01     57159.3         13.8  ...       14.8   27703.2       14.1
57  2006-12-01    219438.5         12.7  ...       13.5   91762.2       14.1
58  2006-09-01    155816.8         12.8  ...       13.7   67187.0       13.7
59  2006-06-01     99752.2         13.1  ...       14.2   44996.5       13.6
60  2006-03-01     47078.9         12.5  ...       13.1   22648.0       13.1
```

##### 工业品出厂价格指数

接口: macro_china_ppi

目标地址: http://data.eastmoney.com/cjsj/ppi.html

描述: 工业品出厂价格指数, 数据区间从 200601 至今, 月度数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 月份     | object  | -       |
| 当月     | float64 | -       |
| 当月同比增长 | float64 | 注意单位: % |
| 累计     | float64 | -       |

接口示例

```python
import akshare as ak

macro_china_ppi_df = ak.macro_china_ppi()
print(macro_china_ppi_df)
```

数据示例

```
            月份       当月  当月同比增长        累计
0    2022年10月份   98.700   -1.30  105.2000
1    2022年09月份  100.948    0.90  105.9397
2    2022年08月份  102.300    2.30  106.6000
3    2022年07月份  104.200    4.20  107.2000
4    2022年06月份  106.100    6.10  107.7000
..         ...      ...     ...       ...
197  2006年05月份  102.430    2.43  102.5700
198  2006年04月份  101.870    1.87  102.6000
199  2006年03月份  102.490    2.49  102.9000
200  2006年02月份  103.010    3.01  103.0000
201  2006年01月份  103.050    3.05  103.0500
```

##### 采购经理人指数

接口: macro_china_pmi

目标地址: http://data.eastmoney.com/cjsj/pmi.html

描述: 采购经理人指数, 数据区间从 200801 至今, 月度数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称        | 类型      | 描述      |
|-----------|---------|---------|
| 月份        | object  | -       |
| 制造业-指数    | float64 | -       |
| 制造业-同比增长  | float64 | 注意单位: % |
| 非制造业-指数   | float64 | -       |
| 非制造业-同比增长 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_pmi_df = ak.macro_china_pmi()
print(macro_china_pmi_df)
```

数据示例

```
    月份  制造业-指数  制造业-同比增长  非制造业-指数  非制造业-同比增长
0    2022年10月份    49.2  0.000000     48.7  -7.061069
1    2022年09月份    50.1  1.008065     50.6  -4.887218
2    2022年08月份    49.4 -1.397206     52.6  10.736842
3    2022年07月份    49.0 -2.777778     53.8   0.938086
4    2022年06月份    50.2 -1.375246     54.7   2.242991
..         ...     ...       ...      ...        ...
173  2008年05月份    53.3 -4.308797     57.4  -7.717042
174  2008年04月份    59.2  1.023891     58.4  -3.311258
175  2008年03月份    58.4  4.099822     58.9   1.202749
176  2008年02月份    53.4  0.564972     59.3  -2.145215
177  2008年01月份    53.0 -3.811252     60.2  -0.331126
```

##### 中国城镇固定资产投资

接口: macro_china_gdzctz

目标地址: http://data.eastmoney.com/cjsj/gdzctz.html

描述: 中国城镇固定资产投资, 数据区间从 200802 至今, 月度数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型      | 描述       |
|-------|---------|----------|
| 月份    | object  | -        |
| 当月    | float64 | 注意单位: 亿元 |
| 同比增长  | float64 | 注意单位: %  |
| 环比增长  | float64 | 注意单位: %  |
| 自年初累计 | float64 | 注意单位: 亿元 |

接口示例

```python
import akshare as ak

macro_china_gdzctz_df = ak.macro_china_gdzctz()
print(macro_china_gdzctz_df)
```

数据示例

```
        月份        当月   同比增长   环比增长      自年初累计
0    2022年10月份  50047.00   4.27  -7.84  471459.00
1    2022年09月份  54306.00   6.66  14.83  421412.00
2    2022年08月份  47294.00   6.57  -2.25  367106.00
3    2022年07月份  48382.00   3.75 -26.10  319812.00
4    2022年06月份  65466.00   5.62  24.89  271430.00
..         ...       ...    ...    ...        ...
158  2008年06月份  18171.78  29.49  53.29   58435.98
159  2008年05月份  11854.13  25.44  17.45   40264.20
160  2008年04月份  10093.14  25.37  -1.01   28410.07
161  2008年03月份  10195.65  27.31    NaN   18316.94
162  2008年02月份       NaN    NaN    NaN    8121.29
```

##### 海关进出口增减情况

接口: macro_china_hgjck

目标地址: https://data.eastmoney.com/cjsj/hgjck.html

描述: 中国海关进出口增减情况一览表, 数据区间从 200801 至今, 月度数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称         | 类型      | 描述        |
|------------|---------|-----------|
| 月份         | object  | -         |
| 当月出口额-金额   | float64 | 注意单位: 亿美元 |
| 当月出口额-同比增长 | float64 | 注意单位: %   |
| 当月出口额-环比增长 | float64 | 注意单位: %   |
| 当月进口额-金额   | float64 | 注意单位: 亿美元 |
| 当月进口额-同比增长 | float64 | 注意单位: %   |
| 当月进口额-环比增长 | float64 | 注意单位: %   |
| 累计出口额-金额   | float64 | 注意单位: 亿美元 |
| 累计出口额-同比增长 | float64 | 注意单位: %   |
| 累计进口额-金额   | float64 | 注意单位: 亿美元 |
| 累计进口额-同比增长 | float64 | 注意单位: %   |

接口示例

```python
import akshare as ak

macro_china_hgjck_df = ak.macro_china_hgjck()
print(macro_china_hgjck_df)
```

数据示例

```
     月份      当月出口额-金额  当月出口额-同比增长  ...  累计出口额-同比增长      累计进口额-金额  累计进口额-同比增长
0    2022年10月份  2.983717e+08        -0.3  ...        11.1  2.264551e+09         3.5
1    2022年09月份  3.226903e+08         5.9  ...        12.5  2.051334e+09         4.0
2    2022年08月份  3.143794e+08         7.2  ...        13.5  1.813451e+09         4.5
3    2022年07月份  3.318411e+08        18.0  ...        14.5  1.578288e+09         5.2
4    2022年06月份  3.281211e+08        17.1  ...        13.9  1.347358e+09         5.7
..         ...           ...         ...  ...         ...           ...         ...
173  2008年05月份  1.204965e+08        28.1  ...        22.9  4.670271e+08        30.4
174  2008年04月份  1.187067e+08        21.8  ...        21.5  3.665725e+08        27.9
175  2008年03月份  1.089629e+08        30.6  ...        21.4  2.644787e+08        28.6
176  2008年02月份  8.736780e+07         6.5  ...        16.8  1.689377e+08        30.9
177  2008年01月份  1.096400e+08        26.6  ...        26.6  9.017445e+07        27.6
```

##### 财政收入

接口: macro_china_czsr

目标地址: http://data.eastmoney.com/cjsj/czsr.html

描述: 中国财政收入, 数据区间从 200801 至今, 月度数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述       |
|---------|---------|----------|
| 月份      | object  | -        |
| 当月      | float64 | 注意单位: 亿元 |
| 当月-同比增长 | float64 | 注意单位: %  |
| 当月-环比增长 | float64 | 注意单位: %  |
| 累计      | float64 | 注意单位: 亿元 |
| 累计-同比增长 | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

macro_china_czsr_df = ak.macro_china_czsr()
print(macro_china_czsr_df)
```

数据示例

```
     月份        当月    当月-同比增长     当月-环比增长         累计  累计-同比增长
0    2022年10月份  20246.00  15.651777   34.008472  173397.00     -4.5
1    2022年09月份  15108.00   8.440999   15.663757  153151.00     -6.6
2    2022年08月份  13062.00   5.577110  -33.896761  138043.00     -8.0
3    2022年07月份  19760.00  -4.077670    6.914836  124981.00     -9.2
4    2022年06月份  18482.00 -10.550770   48.497509  105221.00    -10.2
..         ...       ...        ...         ...        ...      ...
169  2008年05月份   6268.15  52.602556   -8.157360   29064.37     33.8
170  2008年04月份   6824.88  17.016465   54.550663   22796.22     29.4
171  2008年03月份   4415.95  24.671449    6.184551   15971.34     35.5
172  2008年02月份   4158.75  36.552139  -43.775147   11555.39     40.2
173  2008年01月份   7396.64  42.352305  135.212710    7396.64     42.4
```

##### 外汇贷款数据

接口: macro_china_whxd

目标地址: http://data.eastmoney.com/cjsj/whxd.html

描述: 外汇贷款数据, 数据区间从 200802 至今, 月度数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述        |
|------|---------|-----------|
| 月份   | object  | -         |
| 当月   | float64 | 注意单位: 亿美元 |
| 同比增长 | float64 | 注意单位: %   |
| 环比增长 | float64 | 注意单位: %   |
| 累计   | float64 | 注意单位: 亿美元 |

接口示例

```python
import akshare as ak

macro_china_whxd_df = ak.macro_china_whxd()
print(macro_china_whxd_df)
```

数据示例

```
       月份      当月     同比增长     环比增长       累计
0    2022年10月份 -264.00  -303.08  -142.20  7895.00
1    2022年09月份 -109.00  -581.25    68.59  8159.00
2    2022年08月份 -347.00 -2378.57   -11.58  8268.00
3    2022年07月份 -311.00  -972.41   -79.77  8615.00
4    2022年06月份 -173.00  -269.61   -50.43  8926.00
..         ...     ...      ...      ...      ...
173  2008年05月份   30.04   -13.15    40.70  2739.34
174  2008年04月份   21.35    39.82   -79.40  2709.30
175  2008年03月份  103.62   279.28   -52.25  2687.95
176  2008年02月份  217.02   754.75    28.20  2584.33
177  2008年01月份  169.28  4508.33  1789.29  2367.31
```

##### 本外币存款

接口: macro_china_wbck

目标地址: http://data.eastmoney.com/cjsj/wbck.html

描述: 本外币存款, 数据区间从 200802 至今, 月度数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述       |
|------|---------|----------|
| 月份   | object  | -        |
| 当月   | float64 | 注意单位: 亿元 |
| 同比增长 | float64 | 注意单位: %  |
| 环比增长 | float64 | 注意单位: %  |
| 累计   | float64 | 注意单位: 亿元 |

接口示例

```python
import akshare as ak

macro_china_wbck_df = ak.macro_china_wbck()
print(macro_china_wbck_df)
```

数据示例

```
      月份        当月        同比增长        环比增长          累计
0    2022年10月份  -2650.78 -132.917535 -110.068013  2610227.88
1    2022年09月份  26328.73   14.546846  134.206364  2612878.66
2    2022年08月份  11241.68  -19.737487  871.473473  2586549.93
3    2022年07月份  -1457.17   88.621966 -102.976736  2575308.25
4    2022年06月份  48951.94   22.914621   63.520287  2576765.42
..         ...       ...         ...         ...         ...
173  2008年05月份   8763.12  370.965835   22.035258   442540.86
174  2008年04月份   7180.81   69.117415  -33.125126   433777.74
175  2008年03月份  10737.68   25.845804  -19.689339   426596.93
176  2008年02月份  13370.18  152.665137  829.976560   415859.25
177  2008年01月份   1437.69  -72.142704  -59.893939   402489.07

```

##### 货币净投放与净回笼

提示: 该接口暂停更新

接口: macro_china_hb

目标地址: http://www.chinamoney.com.cn/chinese/hb/

描述: 央行币净投放与净回笼, 数据区间从 19970310 至今, 周或则月频率

限量: 单次返回指定 symbol 的所有历史数据

输入参数

| 名称     | 类型  | 描述                                               |
|--------|-----|--------------------------------------------------|
| symbol | str | symbol="weekly"; choice of {"weekly", "monthly"} |

输出参数-weekly

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 日期   | object  | -       |
| 开始日期 | object  | -       |
| 结束日期 | object  | -       |
| 投放量  | float64 | 注意单位: 亿 |
| 回笼量  | float64 | 注意单位: 亿 |
| 净投放  | float64 | 注意单位: 亿 |

接口示例-weekly

```python
import akshare as ak

macro_china_hb_df = ak.macro_china_hb(symbol="weekly")
print(macro_china_hb_df)
```

数据示例-weekly

```
      日期      开始日期    结束日期     投放量     回笼量     净投放
0     1997-11  1997-03-10  1997-03-16     0.0     0.0     0.0
1     1997-12  1997-03-17  1997-03-23     0.0     0.0     0.0
2     1997-13  1997-03-24  1997-03-30     0.0     0.0     0.0
3     1997-14  1997-03-31  1997-04-06     0.0     0.0     0.0
4     1997-15  1997-04-07  1997-04-13     0.0     0.0     0.0
       ...         ...         ...     ...     ...     ...
1287  2021-50  2021-12-06  2021-12-12   500.0  2300.0 -1800.0
1288  2021-51  2021-12-13  2021-12-19   500.0   500.0     0.0
1289  2021-52  2021-12-20  2021-12-26  1000.0   500.0   500.0
1290  2022-01  2021-12-27  2022-01-02  6500.0   500.0  6000.0
1291  2022-02  2022-01-03  2022-01-09   300.0  7000.0 -6700.0
```

输出参数-monthly

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 日期   | object  | -       |
| 投放量  | float64 | 注意单位: 亿 |
| 回笼量  | float64 | 注意单位: 亿 |
| 净投放  | float64 | 注意单位: 亿 |

接口示例-monthly

```python
import akshare as ak

macro_china_hb_df = ak.macro_china_hb(symbol="monthly")
print(macro_china_hb_df)
```

数据示例-monthly

```
      日期      投放量      回笼量     净投放
0    1997-12      0.0      0.0     0.0
1    1997-11      0.0      0.0     0.0
2    1997-10      0.0      0.0     0.0
3    1997-09      0.0      0.0     0.0
4    1997-08      0.0      0.0     0.0
..       ...      ...      ...     ...
294  2021-04   2200.0   2100.0   100.0
295  2021-03   2400.0   2500.0  -100.0
296  2021-02   8300.0  11440.0 -3140.0
297  2021-01  10740.0  12450.0 -1710.0
298  2022-01    300.0   7300.0 -7000.0
```

##### 央行公开市场操作

提示: 该接口暂停更新

接口: macro_china_gksccz

目标地址: http://www.chinamoney.com.cn/chinese/yhgkscczh/

描述: 央行公开市场操作; 数据区间从 20040116 至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型      | 描述      |
|-------|---------|---------|
| 操作日期  | object  | -       |
| 期限    | float64 | 注意单位: 天 |
| 交易量   | float64 | 注意单位: 亿 |
| 中标利率  | float64 | 注意单位: % |
| 正/逆回购 | object  | -       |

接口示例

```python
import akshare as ak

macro_china_gksccz_df = ak.macro_china_gksccz()
print(macro_china_gksccz_df)
```

数据示例

```
      操作日期     期限 交易量  中标利率 正/逆回购
0     2021-12-31   7  1000  2.20   逆回购
1     2021-12-30   7  1000  2.20   逆回购
2     2021-12-29   7  2000  2.20   逆回购
3     2021-12-28   7  2000  2.20   逆回购
4     2021-12-27   7   500  2.20   逆回购
          ...  ..   ...   ...   ...
2311  2004-05-27  28   200  2.69   正回购
2312  2004-05-20  28   300  2.65   正回购
2313  2004-05-13  28   150  2.55   正回购
2314  2004-05-13  91    50  2.83   正回购
2315  2004-01-16  14   400  2.82   逆回购
```

##### 新债发行

接口: macro_china_bond_public

目标地址: http://www.chinamoney.com.cn/chinese/xzjfx/

描述: 中国外汇交易中心暨全国银行间同业拆借中心-债券信息披露-新债发行; 近期债券发行数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型      | 描述       |
|-------|---------|----------|
| 债券全称  | object  | -        |
| 债券类型  | object  | -        |
| 发行日期  | object  | -        |
| 计息方式  | object  | -        |
| 价格    | float64 | 注意单位: 元  |
| 债券期限  | object  | -        |
| 计划发行量 | float64 | 注意单位: 亿元 |
| 债券评级  | object  | -        |

接口示例

```python
import akshare as ak

macro_china_bond_public_df = ak.macro_china_bond_public()
print(macro_china_bond_public_df)
```

数据示例

```
                                 债券全称    债券类型   发行日期  ...   债券期限  计划发行量  债券评级
0    2022年杭州市临安区新锦产业发展集团有限公司公司债券(第一期)     企业债  01-07  ...   3+4年    7.0   AA+
1      无锡市锡西新城产业发展集团有限公司2022年度第一期中期票据    中期票据  01-06  ...     3年    5.0  None
2             宁波舜农集团有限公司2022年度第一期中期票据    中期票据  01-06  ...     3年   10.0  None
3     2022年第一期淮北市建投控股集团有限公司小微企业增信集合债券     企业债  01-06  ...   3+1年   10.0   AAA
4          融腾2022年第一期个人汽车贷款资产支持证券(次级)  资产支持证券  01-06  ...  1507日    5.7  None
..                                ...     ...    ...  ...    ...    ...   ...
229         山东高速集团有限公司2021年度第六期超短期融资券  超短期融资券  12-30  ...   269日   20.0  None
230     浪潮电子信息产业股份有限公司2021年度第四期超短期融资券  超短期融资券  12-30  ...   268日   10.0  None
231      陕西煤业化工集团有限责任公司2021年度第十二期中期票据    中期票据  12-30  ...     3年   20.0  None
232     陕西延长石油(集团)有限责任公司2021年度第四期中期票据    中期票据  12-30  ...     3年   20.0  None
233     昆明滇池投资有限责任公司2021年度第四期绿色超短期融资券  超短期融资券  12-29  ...   270日   10.0  None
```

##### 消费者信心指数

接口: macro_china_xfzxx

目标地址: https://data.eastmoney.com/cjsj/xfzxx.html

描述: 东方财富网-消费者信心指数

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称           | 类型      | 描述      |
|--------------|---------|---------|
| 月份           | object  | -       |
| 消费者信心指数-指数值  | float64 | -       |
| 消费者信心指数-同比增长 | float64 | 注意单位: % |
| 消费者信心指数-环比增长 | float64 | 注意单位: % |
| 消费者满意指数-指数值  | float64 | -       |
| 消费者满意指数-同比增长 | float64 | 注意单位: % |
| 消费者满意指数-环比增长 | float64 | 注意单位: % |
| 消费者预期指数-指数值  | float64 | -       |
| 消费者预期指数-同比增长 | float64 | 注意单位: % |
| 消费者预期指数-环比增长 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_china_xfzxx_df = ak.macro_china_xfzxx()
print(macro_china_xfzxx_df)
```

数据示例

```
      月份  消费者信心指数-指数值  ...  消费者预期指数-同比增长  消费者预期指数-环比增长
0    2022年09月份         87.2  ...    -28.995984      0.568828
1    2022年08月份         87.0  ...    -26.134454     -1.897321
2    2022年07月份         87.9  ...    -25.581395     -1.538462
3    2022年06月份         88.9  ...    -27.949327      3.762828
4    2022年05月份         86.8  ...    -30.063796      1.036866
..         ...          ...  ...           ...           ...
184  2007年05月份        112.8  ...      2.975654      0.351494
185  2007年04月份        112.3  ...      2.430243      1.426025
186  2007年03月份        111.0  ...      0.718133     -1.232394
187  2007年02月份        111.8  ...      2.805430     -0.525394
188  2007年01月份        112.4  ...      3.442029     -0.609225
```

##### 存款准备金率

接口: macro_china_reserve_requirement_ratio

目标地址: https://data.eastmoney.com/cjsj/ckzbj.html

描述: 国家统计局-存款准备金率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称            | 类型      | 描述      |
|---------------|---------|---------|
| 公布时间          | object  | XXXX年X月 |
| 生效时间          | object  | XXXX年X月 |
| 大型金融机构-调整前    | float64 | 注意单位: % |
| 大型金融机构-调整后    | float64 | 注意单位: % |
| 大型金融机构-调整幅度   | float64 | 注意单位: % |
| 中小金融机构-调整前    | float64 | 注意单位: % |
| 中小金融机构-调整后    | float64 | 注意单位: % |
| 中小金融机构-调整幅度   | float64 | 注意单位: % |
| 消息公布次日指数涨跌-上证 | float64 | 注意单位: % |
| 消息公布次日指数涨跌-深证 | float64 | 注意单位: % |
| 备注            | object  | -       |

接口示例

```python
import akshare as ak

macro_china_reserve_requirement_ratio_df = ak.macro_china_reserve_requirement_ratio()
print(macro_china_reserve_requirement_ratio_df)
```

数据示例

```
           公布时间  ...                                                 备注
0   2022年11月25日  ...  为保持流动性合理充裕,促进综合融资成本稳中有降,落实稳经济一揽子政策措施,巩固经济回稳向上基...
1   2022年04月15日  ...  为支持实体经济发展,促进综合融资成本稳中有降,中国人民银行决定于2022年4月25日下调金融...
2   2021年12月06日  ...  为支持实体经济发展,促进综合融资成本稳中有降,中国人民银行决定于2021年12月15日下调金...
3   2021年07月09日  ...  为支持实体经济发展,促进综合融资成本稳中有降,中国人民银行决定于2021年7月15日下调金融...
4   2020年04月03日  ...  为支持实体经济发展,促进加大对中小微企业的支持力度,降低社会融资实际成本,中国人民银行决定对...
5   2020年04月03日  ...  为支持实体经济发展,促进加大对中小微企业的支持力度,降低社会融资实际成本,中国人民银行决定对...
6   2020年01月01日  ...  为支持实体经济发展,降低社会融资实际成本,中国人民银行决定于2020年1月6日下调金融机构存...
7   2019年09月06日  ...  为支持实体经济发展,降低社会融资实际成本,中国人民银行决定于2019年9月16日全面下调金融...
8   2019年01月04日  ...  为进一步支持实体经济发展,优化流动性结构,降低融资成本,中国人民银行决定下调金融机构存款准备...
9   2019年01月04日  ...  为进一步支持实体经济发展,优化流动性结构,降低融资成本,中国人民银行决定下调金融机构存款准备...
10  2018年10月07日  ...  从2018年10月15日起,下调大型商业银行、股份制商业银行、城市商业银行、非县域农村商业银...
11  2018年06月24日  ...  从2018年7月5日起,下调大型商业银行、股份制商业银行、邮政储蓄银行、城市商业银行、非县域...
12  2018年04月17日  ...  从2018年4月25日起,下调大型商业银行、股份制商业银行、城市商业银行、非县域农村商业银行...
13  2016年02月29日  ...  自2016年3月1日起,普遍下调金融机构人民币存款准备金率0.5个百分点,以保持金融体系流动...
14  2015年10月23日  ...  2015-10-24,自同日起,下调金融机构人民币存款准备金率0.5个百分点,以保持银行体系...
15  2015年08月25日  ...  自2015年9月6日起,为进一步增强金融机构支持“三农”和小微企业的能力,额外降低县域农村商...
16  2015年04月19日  ...  自4月20日起对农信社、村镇银行等农村金融机构额外降低人民币存款准备金率1个百分点,并统一下...
17  2015年02月04日  ...  同时,为进一步增强金融机构支持结构调整的能力,加大对小微企业、“三农”以及重大水利工程建设的...
18  2012年05月12日  ...                                               None
19  2012年02月18日  ...                                               None
20  2011年11月30日  ...                                               None
21  2011年06月14日  ...                                               None
22  2011年05月12日  ...                                               None
23  2011年04月17日  ...                                               None
24  2011年03月18日  ...                                               None
25  2011年02月18日  ...                                               None
26  2011年01月14日  ...                                               None
27  2010年12月10日  ...                                               None
28  2010年11月19日  ...                                               None
29  2010年11月10日  ...                                               None
30  2010年05月02日  ...  从2010年5月10日起,上调存款类金融机构人民币存款准备金率0.5个百分点,农村信用社、村...
31  2010年02月12日  ...  从2010年2月25日起,上调存款类金融机构人民币存款准备金率0.5个百分点。为加大对“三农...
32  2010年01月12日  ...  从2010年1月18日起,上调存款类金融机构人民币存款准备金率0.5个百分点。为增强支农资金...
33  2008年12月22日  ...                                               None
34  2008年11月26日  ...                                               None
35  2008年10月08日  ...                                               None
36  2008年09月15日  ...  从2008年9月25日起,除工商银行、农业银行、中国银行、建设银行、交通银行、邮政储蓄银行暂...
37  2008年06月07日  ...                                               None
38  2008年06月07日  ...  中国人民银行决定上调存款类金融机构人民币存款准备金率1个百分点,于2008年6月15日和25...
39  2008年05月12日  ...                                               None
40  2008年04月16日  ...                                               None
41  2008年03月18日  ...                                               None
42  2008年01月16日  ...                                               None
43  2007年12月08日  ...                                               None
44  2007年11月10日  ...                                               None
45  2007年10月13日  ...                                               None
46  2007年09月06日  ...                                               None
47  2007年07月30日  ...                                               None
48  2007年05月18日  ...                                               None
49  2007年04月29日  ...                                               None
50  2007年04月05日  ...                                               None
51  2007年02月16日  ...                                               None
52  2007年01月05日  ...                                               None
```

##### 社会消费品零售总额

接口: macro_china_consumer_goods_retail

目标地址: http://data.eastmoney.com/cjsj/xfp.html

描述: 东方财富-经济数据-社会消费品零售总额

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述       |
|---------|---------|----------|
| 月份      | object  | -        |
| 当月      | float64 | 注意单位: 亿元 |
| 同比增长    | float64 | 注意单位: %  |
| 环比增长    | float64 | 注意单位: %  |
| 累计      | float64 | 注意单位: 亿元 |
| 累计-同比增长 | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

macro_china_consumer_goods_retail_df = ak.macro_china_consumer_goods_retail()
print(macro_china_consumer_goods_retail_df)
```

数据示例

```
     月份       当月  同比增长       环比增长        累计  累计-同比增长
0    2022年10月份  40271.0  -0.5   6.692277  360575.0      0.6
1    2022年09月份  37745.0   2.5   4.101164  320305.0      0.7
2    2022年08月份  36258.0   5.4   1.081684  282560.0      0.5
3    2022年07月份  35870.0   2.7  -7.413143  246302.0     -0.2
4    2022年06月份  38742.0   3.1  15.485736  210432.0     -0.7
..         ...      ...   ...        ...       ...      ...
162  2008年05月份   8703.5  21.6   6.896340   42400.7     21.1
163  2008年04月份   8142.0  22.0   0.231436   33697.2     21.0
164  2008年03月份   8123.2  21.5  -2.770895   25555.2     20.6
165  2008年02月份   8354.7  19.1  -7.960517   17432.0     20.2
166  2008年01月份   9077.3  21.2   0.687720    9077.3     21.2
```

##### 全社会用电分类情况表

接口: macro_china_society_electricity

目标地址: http://finance.sina.com.cn/mac/#industry-6-0-31-1

描述: 国家统计局-全社会用电分类情况表

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称            | 类型    | 默认显示 | 描述         |
|---------------|-------|------|------------|
| 统计时间          | str   | Y    | -          |
| 全社会用电量        | float | Y    | 注意单位: 万千瓦时 |
| 全社会用电量同比      | float | Y    | 注意单位: %    |
| 各行业用电量合计      | float | Y    | 注意单位: 万千瓦时 |
| 各行业用电量合计同比    | float | Y    | 注意单位: %    |
| 第一产业用电量       | float | Y    | 注意单位: 万千瓦时 |
| 第一产业用电量同比     | float | Y    | 注意单位: %    |
| 第二产业用电量       | float | Y    | 注意单位: 万千瓦时 |
| 第二产业用电量同比     | float | Y    | 注意单位: %    |
| 第三产业用电量       | float | Y    | 注意单位: 万千瓦时 |
| 第三产业用电量同比     | float | Y    | 注意单位: %    |
| 城乡居民生活用电量合计   | float | Y    | 注意单位: 万千瓦时 |
| 城乡居民生活用电量合计同比 | float | Y    | 注意单位: %    |
| 城镇居民用电量       | float | Y    | 注意单位: 万千瓦时 |
| 城镇居民用电量同比     | float | Y    | 注意单位: %    |
| 乡村居民用电量       | float | Y    | 注意单位: 万千瓦时 |
| 乡村居民用电量同比     | float | Y    | 注意单位: %    |

接口示例

```python
import akshare as ak

macro_china_society_electricity_df = ak.macro_china_society_electricity()
print(macro_china_society_electricity_df)
```

数据示例

```
     统计时间  全社会用电量 全社会用电量同比  ... 城镇居民用电量同比     乡村居民用电量 乡村居民用电量同比
0     2020.8  476760000.00     0.50  ...      None        None      None
1     2020.7  403810000.00    -0.70  ...      None        None      None
2     2020.6  335470000.00    -1.30  ...      None        None      None
3     2020.5  271970000.00    -2.80  ...      None        None      None
4     2020.4  212700000.00    -4.70  ...      None        None      None
..       ...           ...      ...  ...       ...         ...       ...
171  2004.11  194584023.00    15.13  ...      8.95  8408040.00     10.48
172  2004.10  175828690.00    15.17  ...      8.74  7652223.00      8.99
173   2004.9  157131146.00    14.92  ...      8.58  6814158.00      9.80
174   2004.3   48045510.00    15.70  ...      9.85  2187609.00     11.68
175  2003.12  188912117.00    15.29  ...     16.12  8806708.00      5.79
```

##### 全社会客货运输量

接口: macro_china_society_traffic_volume

目标地址: http://finance.sina.com.cn/mac/#industry-10-0-31-1

描述: 国家统计局-全社会客货运输量-非累计

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称              | 类型    | 描述       |
|-----------------|-------|----------|
| 统计时间            | str   | 年月       |
| 统计对象            | float | -        |
| 货运量             | float | 注意单位: 亿吨 |
| 货运量同比增长         | float | 注意单位: %  |
| 货物周转量           | float | 注意单位: 亿  |
| 公里货物周转量同比增长     | float | 注意单位: %  |
| 客运量             | float | 注意单位: 亿人 |
| 客运量同比增长         | float | 注意单位: %  |
| 旅客周转量           | float | 注意单位: 亿  |
| 公里旅客周转量同比增长     | float | 注意单位: %  |
| 沿海主要港口货物吞吐量     | float | 注意单位: 亿吨 |
| 沿海主要港口货物吞吐量同比增长 | float | 注意单位: %  |
| 其中:外贸货物吞吐量      | float | 注意单位: 亿吨 |
| 其中:外贸货物吞吐量同比增长  | float | 注意单位: %  |
| 民航总周转量          | float | 注意单位: 亿  |
| 公里民航总周转         | float | 注意单位: %  |

接口示例

```python
import akshare as ak

macro_china_society_traffic_volume_df = ak.macro_china_society_traffic_volume()
print(macro_china_society_traffic_volume_df)
```

数据示例

```
         统计时间 统计对象    货运量 货运量同比增长  ... 其中:外贸货物吞吐量 其中:外贸货物吞吐量同比增长 民航总周转量 公里民航总周转
0      2020.8   民航  54.94  -12.70  ...       None           None   None    None
1      2020.8   水运   6.72    0.60  ...       None           None   None    None
2      2020.8   公路  32.53    5.50  ...       None           None   None    None
3      2020.8   铁路   3.84    6.50  ...       None           None   None    None
4      2020.8   合计  43.10    4.80  ...       None           None   None    None
       ...  ...    ...     ...  ...        ...            ...    ...     ...
2088  1952.12   水运   None    None  ...       None           None   None    None
2089  1952.12   公路   None    None  ...       None           None   None    None
2090  1952.12   铁路   None    None  ...       None           None   None    None
2091  1952.12   合计   None    None  ...       None           None   None    None
2092  1952.12   民航   None    None  ...       None           None   None    None
```

##### 邮电业务基本情况

接口: macro_china_postal_telecommunicational

目标地址: http://finance.sina.com.cn/mac/#industry-11-0-31-1

描述: 国家统计局-邮电业务基本情况-非累计

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称            | 类型    | 描述       |
|---------------|-------|----------|
| 统计时间          | str   | 年月       |
| 邮电业务总量        | float | 注意单位: 亿元 |
| 邮电业务总量同比增长    | float | 注意单位: %  |
| 邮政业务总量        | float | 注意单位: 亿元 |
| 邮政业务总量同比增长    | float | 注意单位: %  |
| 电信业务总量        | float | 注意单位: 亿元 |
| 电信业务总量同比增长    | float | 注意单位: %  |
| 函件总数          | float | 注意单位: 万件 |
| 函件总数同比增长      | float | 注意单位: %  |
| 包件            | float | 注意单位: 万件 |
| 包件同比增长        | float | 注意单位: %  |
| 特快专递          | float | 注意单位: 万件 |
| 特快专递同比增长      | float | 注意单位: %  |
| 汇票            | float | 注意单位: 万张 |
| 汇票同比增长        | float | 注意单位: %  |
| 订销报纸累计数       | float | 注意单位: 万份 |
| 订销报纸累计数同比增长   | float | 注意单位: %  |
| 订销杂志累计数       | float | 注意单位: 万份 |
| 订销杂志累计数同比增长   | float | 注意单位: %  |
| 集邮业务          | float | 注意单位: 万枚 |
| 集邮业务同比增长      | float | 注意单位: %  |
| 邮政储蓄期末余额      | float | 注意单位: 亿元 |
| 邮政储蓄期末余额同比增长  | float | 注意单位: %  |
| 长途电话通话时长      | float | 注意单位: 万  |
| 钟长途电话通话时长同比增长 | float | 注意单位: %  |
| 本地电话期末用户数     | float | 注意单位: %  |
| 本地电话期末用户数同比增长 | float | 注意单位: %  |
| 城市电话用户数       | float | 注意单位: 万户 |
| 城市电话用户数同比增长   | float | 注意单位: %  |
| 乡村电话用户数       | float | 注意单位: 万户 |
| 乡村电话用户数同比增长   | float | 注意单位: %  |
| 无线寻呼用户数       | float | 注意单位: 万户 |
| 无线寻呼用户数同比增长   | float | 注意单位: %  |
| 移动电话用户数       | float | 注意单位: 万户 |
| 移动电话用户数同比增长   | float | 注意单位: %  |
| 固定电话用         | float | 注意单位: 万户 |
| 固定电话用户数同比增长   | float | 注意单位: %  |
| 城市住宅电话用户      | float | 注意单位: 万户 |
| 城市住宅电话用户同比增长  | float | 注意单位: %  |
| 乡村住宅电话用户      | float | 注意单位: 万户 |
| 乡村住宅电话用户同比增长  | float | 注意单位: %  |

接口示例

```python
import akshare as ak

macro_china_postal_telecommunicational_df = ak.macro_china_postal_telecommunicational()
print(macro_china_postal_telecommunicational_df)
```

数据示例

```
      统计时间 邮电业务总量 邮电业务总量同比增长  ... 城市住宅电话用户同比增长 乡村住宅电话用户 乡村住宅电话用户同比增长
0     2020.8   None       None  ...         None     None         None
1     2020.7   None       None  ...         None     None         None
2     2020.6   None       None  ...         None     None         None
3     2020.5   None       None  ...         None     None         None
4     2020.4   None       None  ...         None     None         None
..       ...    ...        ...  ...          ...      ...          ...
267  1970.12   None       None  ...         None     None         None
268  1965.12   None       None  ...         None     None         None
269  1962.12   None       None  ...         None     None         None
270  1957.12   None       None  ...         None     None         None
271  1952.12   None       None  ...         None     None         None
```

##### 国际旅游外汇收入构成

接口: macro_china_international_tourism_fx

目标地址: http://finance.sina.com.cn/mac/#industry-15-0-31-3

描述: 国家统计局-国际旅游外汇收入构成

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | ---- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 统计年度      | str   | Y        | 年  |
| 指标      | float   | Y        | -  |
| 数量      | float   | Y        | 注意单位: 百万美元  |
| 比重      | float   | Y        | 注意单位: %  |

接口示例

```python
import akshare as ak

macro_china_international_tourism_fx_df = ak.macro_china_international_tourism_fx()
print(macro_china_international_tourism_fx_df)
```

数据示例

```
     统计年度    指标         数量      比重
0    2019    总计  131254.00    None
1    2018  其他服务   11454.26    9.00
2    2018    住宿   18108.80   14.00
3    2018    总计  127103.00  100.00
4    2018  商品销售   32761.35   26.00
..    ...   ...        ...     ...
238  1996    餐饮    1376.00   13.50
239  1995    总计    8733.00  100.00
240  1994    总计    7323.00  100.00
241  1993    总计    4683.00  100.00
242  1992    总计    3947.00  100.00
```

##### 民航客座率及载运率

接口: macro_china_passenger_load_factor

目标地址: http://finance.sina.com.cn/mac/#industry-20-0-31-1

描述: 国家统计局-民航客座率及载运率

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | ---- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 统计年度      | str   | Y        | 年月  |
| 客座率      | float   | Y        | 注意单位: %  |
| 载运率      | float   | Y        | 注意单位: %  |

接口示例

```python
import akshare as ak

macro_china_passenger_load_factor_df = ak.macro_china_passenger_load_factor()
print(macro_china_passenger_load_factor_df)
```

数据示例

```
    统计时间    客座率    载运率
0    2020.7  74.80  67.80
1    2020.6  70.30  67.60
2    2020.5  68.50  66.10
3    2020.4  66.30  66.80
4    2020.3  58.60  62.70
..      ...    ...    ...
167  2006.6  72.00  64.60
168  2006.5  71.30  64.40
169  2006.4  76.30  69.00
170  2006.3  72.40  67.50
171  2006.2  72.70  64.60
```

##### 航贸运价指数

接口: macro_china_freight_index

目标地址: http://finance.sina.com.cn/mac/#industry-22-0-31-2

描述: 国家统计局-航贸运价指数

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- | ---- |
| 无 | 无 | 无 |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 截止日期      | object   |  年月  |
| 波罗的海好望角型船运价指数BCI      | float64   |  -  |
| 灵便型船综合运价指数BHMI      | float64   |  -  |
| 波罗的海超级大灵便型船BSI指数      | float64   |  -  |
| 波罗的海综合运价指数BDI      | float64   |  -  |
| HRCI国际集装箱租船指数      | float64   |  -  |
| 油轮运价指数成品油运价指数BCTI      | float64   |  -  |
| 油轮运价指数原油运价指数BDTI      | float64   | -  |

接口示例

```python
import akshare as ak

macro_china_freight_index_df = ak.macro_china_freight_index()
print(macro_china_freight_index_df)
```

数据示例

```
      截止日期  波罗的海好望角型船运价指数BCI  ...  油轮运价指数成品油运价指数BCTI  油轮运价指数原油运价指数BDTI
0     2021-08-10            4328.0  ...                NaN               NaN
1     2021-08-09            4342.0  ...                NaN               NaN
2     2021-08-06            4359.0  ...                NaN               NaN
3     2021-08-05            4414.0  ...                NaN               NaN
4     2021-08-04            4302.0  ...                NaN               NaN
          ...               ...  ...                ...               ...
3845  2005-12-13            3459.0  ...             1326.0            2063.0
3846  2005-12-12            3476.0  ...             1286.0            2051.0
3847  2005-12-09            3509.0  ...             1261.0            2061.0
3848  2005-12-08            3553.0  ...                NaN               NaN
3849  2005-12-07            3709.0  ...                NaN               NaN
```

##### 央行货币当局资产负债

接口: macro_china_central_bank_balance

目标地址: http://finance.sina.com.cn/mac/#fininfo-8-0-31-2

描述: 国家统计局-央行货币当局资产负债

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | ---- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 统计时间      | str   | Y        | 年月  |
| 国外资产      | float   | Y        | 注意单位: 亿元  |
| 外汇      | float   | Y        | 注意单位: 亿元  |
| 货币黄金      | float   | Y        | 注意单位: 亿元  |
| 其他国外资产      | float   | Y        | 注意单位: 亿元  |
| 对政府债权      | float   | Y        | 注意单位: 亿元  |
| 其中:中央政府      | float   | Y        | 注意单位: 亿元  |
| 对其他存款性公司债权      | float   | Y        | 注意单位: 亿元  |
| 对其他金融性公司债权      | float   | Y        | 注意单位: 亿元  |
| 对非货币金融机构债权      | float   | Y        | 注意单位: 亿元  |
| 对非金融性公司债权      | float   | Y        | 注意单位: 亿元  |
| 其他资产      | float   | Y        | 注意单位: 亿元  |
| 总资产      | float   | Y        | 注意单位: 亿元  |
| 储备货币      | float   | Y        | 注意单位: 亿元  |
| 发行货币      | float   | Y        | 注意单位: 亿元 |
| 金融性公司存款      | float   | Y        | 注意单位: 亿元  |
| 其他存款性公司      | float   | Y        | 注意单位: 亿元  |
| 其他金融性公司      | float   | Y        | 注意单位: 亿元  |
| 对金融机构负债      | float   | Y        | 注意单位: 亿元  |
| 准备金存款      | float   | Y        | 注意单位: 亿元  |
| 非金融性公司存款      | float   | Y        | 注意单位: 亿元  |
| 活期存款      | float   | Y        | 注意单位: 亿元  |
| 债券      | float   | Y        | 注意单位: 亿元  |
| 国外负债      | float   | Y        | 注意单位: 亿元  |
| 政府存款      | float   | Y        | 注意单位: 亿元  |
| 自有资金      | float   | Y        | 注意单位: 亿元  |
| 其他负债      | float   | Y        | 注意单位: 亿元  |
| 总负债      | float   | Y        | 注意单位: 亿元 |

接口示例

```python
import akshare as ak

macro_china_central_bank_balance_df = ak.macro_china_central_bank_balance()
print(macro_china_central_bank_balance_df)
```

数据示例

```
        统计时间       国外资产         外汇  ...    自有资金      其他负债        总负债
0     2020.8  218361.92  211684.91  ...  219.75  11750.36  365052.29
1     2020.7  218374.92  211723.16  ...  219.75  11068.35  357924.90
2     2020.6  218332.59  211742.47  ...  219.75  10222.08  363931.30
3     2020.5  218333.25  211802.63  ...  219.75   9494.26  367870.74
4     2020.4  218310.70  211914.83  ...  219.75   8914.45  360347.67
..       ...        ...        ...  ...     ...       ...        ...
279   1994.3    2437.60    2253.80  ...  280.50   -298.60       None
280  1993.12    1549.50    1431.80  ...  310.30   -255.00       None
281   1993.9    1451.00    1332.20  ...  310.30   -286.50       None
282   1993.6    1286.50    1183.00  ...  310.30   -411.60       None
283   1993.3    1324.00    1222.00  ...  310.30   -384.10       None
```

##### 保险业经营情况

接口: macro_china_insurance

目标地址: http://finance.sina.com.cn/mac/#fininfo-19-0-31-3

描述: 国家统计局-保险业经营情况

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | ---- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 统计时间      | str   | Y        | 年月  |
| 省市地区      | float   | Y        | -  |
| 原保险保费收入      | float   | Y        | 注意单位: 万元  |
| 财产险保费收入      | float   | Y        | 注意单位: 万元  |
| 人身险保费收入      | float   | Y        | 注意单位: 万元  |
| 人身险-寿险保费收入      | float   | Y        | 注意单位: 万元  |
| 人身险-健康险保费收入      | float   | Y        | 注意单位: 万元  |
| 人身险-意外险保费收入      | float   | Y        | 注意单位: 万元  |
| 养老保险公司企业年金缴费      | float   | Y        | 注意单位: 万元  |
| 原保险赔付支出      | float   | Y        | 注意单位: 万元  |
| 财产险保费赔付支出      | float   | Y        | 注意单位: 万元  |
| 人身险保费赔付支出      | float   | Y        | 注意单位: 万元  |
| 人身险-寿险赔付支出      | float   | Y        | 注意单位: 万元  |
| 人身险-健康险赔付支出      | float   | Y        | 注意单位: 万元  |
| 人身险-意外险赔付支出      | float   | Y        | 注意单位: 万元 |
| 业务及管理费      | float   | Y        | 注意单位: 万元  |
| 银行存款      | float   | Y        | 注意单位: 万元  |
| 投资      | float   | Y        | 注意单位: 万元  |
| 资产总额      | float   | Y        | 注意单位: 万元  |
| 养老保险公司企业年金受托管理资产      | float   | Y        | 注意单位: 万元  |
| 养老保险公司企业年金投资管理资产      | float   | Y        | 注意单位: 万元  |

接口示例

```python
import akshare as ak

macro_china_insurance_df = ak.macro_china_insurance()
print(macro_china_insurance_df)
```

数据示例

```
      统计时间 省市地区     原保险保费收入  ...         资产总额 养老保险公司企业年金受托管理资产 养老保险公司企业年金投资管理资产
0     2020.8   新疆  5176100.00  ...         None             None             None
1     2020.8   宁夏  1564700.00  ...         None             None             None
2     2020.8   青海   751400.00  ...         None             None             None
3     2020.8   甘肃  3679100.00  ...         None             None             None
4     2020.8   陕西  8222700.00  ...         None             None             None
      ...  ...         ...  ...          ...              ...              ...
6755  1999.5   全国  5289491.00  ...         None             None             None
6756  1999.4   全国  4161147.00  ...         None             None             None
6757  1999.3   全国  2837194.00  ...  21408761.00             None             None
6758  1999.2   全国  1543697.00  ...         None             None             None
6759  1999.1   全国   885113.00  ...         None             None             None
```

##### 货币供应量

接口: macro_china_supply_of_money

目标地址: http://finance.sina.com.cn/mac/#fininfo-1-0-31-1

描述: 国家统计局-货币供应量

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | ---- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 统计时间      | str   | Y        | 年月  |
| 货币和准货币（广义货币M2）      | float   | Y        | 注意单位: 亿元  |
| 货币和准货币（广义货币M2）同比增长      | float   | Y        | 注意单位: %  |
| 货币(狭义货币M1)      | float   | Y        | 注意单位: 亿元  |
| 货币(狭义货币M1)同比增长      | float   | Y        | 注意单位: %  |
| 流通中现金(M0)      | float   | Y        | 注意单位: 亿元  |
| 流通中现金(M0)同比增长      | float   | Y        | 注意单位: %  |
| 活期存款      | float   | Y        | 注意单位: 亿元  |
| 活期存款同比增长      | float   | Y        | 注意单位: %  |
| 准货币      | float   | Y        | 注意单位: 亿元  |
| 准货币同比增长      | float   | Y        | 注意单位: %  |
| 定期存款      | float   | Y        | 注意单位: 亿元  |
| 定期存款同比增长      | float   | Y        | 注意单位: %  |
| 储蓄存款出      | float   | Y        | 注意单位: 亿元  |
| 储蓄存款同比增长      | float   | Y        | 注意单位: % |
| 其他存款      | float   | Y        | 注意单位: 亿元  |
| 其他存款同比增长      | float   | Y        | 注意单位: %  |

接口示例

```python
import akshare as ak

macro_china_supply_of_money_df = ak.macro_china_supply_of_money()
print(macro_china_supply_of_money_df)
```

数据示例

```
       统计时间 货币和准货币（广义货币M2） 货币和准货币（广义货币M2）同比增长  ... 储蓄存款同比增长       其他存款 其他存款同比增长
0    2020.8     2136800.00              10.40  ...     None  235344.24     None
1    2020.7     2125458.46              10.70  ...     None  240538.49     None
2    2020.6     2134948.66              11.10  ...     None  228402.91     None
3    2020.5     2100183.74              11.10  ...     None  233222.73     None
4    2020.4     2093533.83              11.10  ...     None  241313.38     None
..      ...            ...                ...  ...      ...        ...      ...
507  1978.5           None               None  ...     None       None     None
508  1978.4           None               None  ...     None       None     None
509  1978.3           None               None  ...     None       None     None
510  1978.2           None               None  ...     None       None     None
511  1978.1           None               None  ...     None       None     None
```

##### FR007利率互换曲线历史数据

接口: macro_china_swap_rate

目标地址: http://www.chinamoney.com.cn/chinese/bkcurvfxhis/?cfgItemType=72&curveType=FR007

描述: 国家统计局-FR007 利率互换曲线历史数据

限量: 单次返回所有历史数据, 该接口只能获取近一年的数据的数据，其中每次只能获取一个月的数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 日期   | object  | -   |
| 曲线名称 | object  | -   |
| 时刻   | object  | -   |
| 价格类型 | object  | -   |
| 1M   | float64 | -   |
| 3M   | float64 | -   |
| 6M   | float64 | -   |
| 9M   | float64 | -   |
| 1Y   | float64 | -   |
| 2Y   | float64 | -   |
| 3Y   | float64 | -   |
| 4Y   | float64 | -   |
| 5Y   | float64 | -   |
| 7Y   | float64 | -   |
| 10Y  | float64 | -   |

接口示例

```python
import akshare as ak

macro_china_swap_rate_df = ak.macro_china_swap_rate(start_date="20220212", end_date="20220312")
print(macro_china_swap_rate_df)
```

数据示例

```
             日期           曲线名称     时刻 价格类型  ...      4Y      5Y      7Y     10Y
0    2022-03-11  FR007利率互换收盘曲线  16:30   报买  ...  2.4435  2.5505  2.6617  2.8240
1    2022-03-11  FR007利率互换收盘曲线  16:30   均值  ...  2.4565  2.5518  2.6907  2.8511
2    2022-03-11  FR007利率互换收盘曲线  16:30   报卖  ...  2.4695  2.5532  2.7197  2.8782
3    2022-03-11  FR007利率互换行情曲线  16:00   报买  ...  2.4800  2.5765  2.7200  2.8758
4    2022-03-11  FR007利率互换行情曲线  16:00   均值  ...  2.4850  2.5783  2.7324  2.8891
..          ...            ...    ...  ...  ...     ...     ...     ...     ...
895  2022-02-14  FR007利率互换行情曲线  10:00   均值  ...  2.4238  2.5236  2.6710  2.8269
896  2022-02-14  FR007利率互换行情曲线  10:00   报卖  ...  2.4329  2.5251  2.6825  2.8398
897  2022-02-14  FR007利率互换行情曲线   9:30   报买  ...  2.4045  2.5160  2.6461  2.7976
898  2022-02-14  FR007利率互换行情曲线   9:30   均值  ...  2.4212  2.5212  2.6647  2.8197
899  2022-02-14  FR007利率互换行情曲线   9:30   报卖  ...  2.4379  2.5264  2.6833  2.8419
```

##### 央行黄金和外汇储备

接口: macro_china_foreign_exchange_gold

目标地址: http://finance.sina.com.cn/mac/#fininfo-5-0-31-2

描述: 国家统计局-央行黄金和外汇储备, 比东财接口数据时间长

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | ---- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 统计时间      | str   | Y        | 年月  |
| 黄金储备      | str   | Y        | 注意单位: 万盎司  |
| 国家外汇储备      | str   | Y        | 注意单位: 亿美元  |

接口示例

```python
import akshare as ak

macro_china_foreign_exchange_gold_df = ak.macro_china_foreign_exchange_gold()
print(macro_china_foreign_exchange_gold_df)
```

数据示例

```
      统计时间     黄金储备    国家外汇储备
0     2020.9  6264.00  31425.62
1     2020.8  6264.00  31646.09
2     2020.7  6264.00  31543.91
3     2020.6  6264.00  31123.28
4     2020.5  6264.00  31016.92
..       ...      ...       ...
343  1982.12  1267.00     69.86
344  1981.12  1267.00     27.08
345  1980.12  1280.00    -12.96
346  1979.12  1280.00      8.40
347  1978.12  1280.00      1.67
```

##### 商品零售价格指数

接口: macro_china_retail_price_index

目标地址: http://finance.sina.com.cn/mac/#price-12-0-31-1

描述: 国家统计局-商品零售价格指数

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | ---- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 统计月份      | str   | Y        | 年月  |
| 居民消费项目      | str   | Y        | -  |
| 零售商品价格指数      | float   | Y        | -  |

接口示例

```python
import akshare as ak

macro_china_retail_price_index_df = ak.macro_china_retail_price_index()
print(macro_china_retail_price_index_df)
```

数据示例

```
     统计月份       居民消费项目 零售商品价格指数
0     2020.8    建筑材料及五金电料   100.10
1     2020.8           燃料    90.70
2     2020.8   书报杂志及电子出版物   101.70
3     2020.8  中西药品及医疗保健用品   100.30
4     2020.8         金银珠宝   122.90
      ...          ...      ...
3777  2002.1         机电产品    94.10
3778  2002.1    家用电器及音像器材    94.20
3779  2002.1       体育娱乐用品    98.80
3780  2002.1  中西药品及医疗保健用品    97.30
3781  2002.1   书报杂志及电子出版物   101.00
```

##### 国房景气指数

接口: macro_china_real_estate

目标地址: http://data.eastmoney.com/cjsj/hyzs_list_EMM00121987.html

描述: 国家统计局-国房景气指数

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 日期     | object  | -   |
| 最新值    | float64 | -   |
| 涨跌幅    | float64 | -   |
| 近3月涨跌幅 | float64 | -   |
| 近6月涨跌幅 | float64 | -   |
| 近1年涨跌幅 | float64 | -   |
| 近2年涨跌幅 | float64 | -   |
| 近3年涨跌幅 | float64 | -   |

接口示例

```python
import akshare as ak

macro_china_real_estate_df = ak.macro_china_real_estate()
print(macro_china_real_estate_df)
```

数据示例

```
     日期     最新值       涨跌幅  ...    近1年涨跌幅    近2年涨跌幅    近3年涨跌幅
0    1998-01-01   98.60       NaN  ...       NaN       NaN       NaN
1    1998-02-01   98.99  0.395538  ...       NaN       NaN       NaN
2    1998-03-01   99.05  0.060612  ...       NaN       NaN       NaN
3    1998-04-01  100.81  1.776880  ...       NaN       NaN       NaN
4    1998-05-01  101.68  0.863010  ...       NaN       NaN       NaN
..          ...     ...       ...  ...       ...       ...       ...
280  2022-03-01   96.66 -0.278552  ... -4.618117 -1.598290 -4.306504
281  2022-04-01   95.89 -0.796607  ... -5.349916 -3.023867 -5.190825
282  2022-05-01   95.60 -0.302430  ... -5.533597 -3.774534 -5.402731
283  2022-06-01   95.40 -0.209205  ... -5.619311 -4.456685 -5.628648
284  2022-07-01   95.26 -0.146751  ... -5.683168 -4.825657 -5.757816
```

##### 外汇和黄金储备

接口: macro_china_fx_gold

目标地址: http://data.eastmoney.com/cjsj/hjwh.html

描述: 中国外汇和黄金储备, 数据区间从 200801 至今, 月度数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称        | 类型      | 描述        |
|-----------|---------|-----------|
| 月份        | object  | 年度和月份     |
| 黄金储备-数值   | float64 | 注意单位: 万盎司 |
| 黄金储备-同比   | float64 | 注意单位: 万盎司 |
| 黄金储备-环比   | float64 | 注意单位: 万盎司 |
| 国家外汇储备-数值 | float64 | 注意单位: 亿美元 |
| 国家外汇储备-同比 | float64 | 注意单位: 亿美元 |
| 国家外汇储备-环比 | float64 | 注意单位: 亿美元 |

接口示例

```python
import akshare as ak

macro_china_fx_gold_df = ak.macro_china_fx_gold()
print(macro_china_fx_gold_df)
```

数据示例

```
       月份  黄金储备-数值    黄金储备-同比   黄金储备-环比   国家外汇储备-数值  国家外汇储备-同比  国家外汇储备-环比
0    2008年01月份      NaN        NaN       NaN  15898.1040  43.914387   4.028224
1    2008年02月份      NaN        NaN       NaN  16471.3371  42.316677   3.605670
2    2008年03月份      NaN        NaN       NaN  16821.7700  39.944557   2.127532
3    2008年04月份      NaN        NaN       NaN  17566.5514  40.919594   4.427485
4    2008年05月份      NaN        NaN       NaN  17969.6074  39.011455   2.294451
..         ...      ...        ...       ...         ...        ...        ...
170  2022年03月份  1216.63  14.849008  1.690906  31879.9400   0.566714  -0.803808
171  2022年04月份  1197.31   8.126829 -1.587993  31197.2000  -2.453270  -2.141598
172  2022年05月份  1151.83  -3.223828 -3.798515  31277.8000  -2.918335   0.258357
173  2022年06月份  1138.23   3.053871 -1.180730  30712.7200  -4.441119  -1.806649
174  2022年07月份  1098.39  -3.963383 -3.500171  31040.7100  -4.073655   1.067929
```

##### 中国货币供应量

接口: macro_china_money_supply

目标地址: http://data.eastmoney.com/cjsj/hbgyl.html

描述: 东方财富-经济数据-中国宏观-中国货币供应量; 数据区间从 200801 至今, 月度数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称                | 类型      | 描述    |
|-------------------|---------|-------|
| 月份                | object  | 年度和月份 |
| 货币和准货币(M2)-数量(亿元) | float64 | -     |
| 货币和准货币(M2)-同比增长   | float64 | -     |
| 货币和准货币(M2)-环比增长   | float64 | -     |
| 货币(M1)-数量(亿元)     | float64 | -     |
| 货币(M1)-同比增长       | float64 | -     |
| 货币(M1)-环比增长       | float64 | -     |
| 流通中的现金(M0)-数量(亿元) | float64 | -     |
| 流通中的现金(M0)-同比增长   | float64 | -     |
| 流通中的现金(M0)-环比增长   | float64 | -     |

接口示例

```python
import akshare as ak

macro_china_money_supply_df = ak.macro_china_money_supply()
print(macro_china_money_supply_df)
```

数据示例

```
            月份  货币和准货币(M2)-数量(亿元)  ...  流通中的现金(M0)-同比增长  流通中的现金(M0)-环比增长
0    2022年10月份         2612914.57  ...            14.30        -0.258787
1    2022年09月份         2626600.92  ...            13.60         1.482068
2    2022年08月份         2595068.27  ...            14.30         0.747950
3    2022年07月份         2578078.57  ...            13.90         0.518710
4    2022年06月份         2581451.20  ...            13.80         0.485950
..         ...                ...  ...              ...              ...
173  2008年05月份          436221.60  ...            12.88        -2.014673
174  2008年04月份          429313.72  ...            10.70         1.171555
175  2008年03月份          423054.53  ...            11.12        -6.228418
176  2008年02月份          421037.84  ...             5.96       -11.503457
177  2008年01月份          417846.17  ...            31.21        20.896562
```

##### 全国股票交易统计表

接口: macro_china_stock_market_cap

目标地址: http://data.eastmoney.com/cjsj/gpjytj.html

描述: 全国股票交易统计表, 数据区间从 200801 至今, 月度数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称            | 类型      | 描述       |
|---------------|---------|----------|
| 数据日期          | object  | 年度和月份    |
| 发行总股本-上海      | float64 | 注意单位: 亿元 |
| 发行总股本-深圳      | float64 | 注意单位: 亿元 |
| 市价总值-上海       | float64 | 注意单位: 亿元 |
| 市价总值-深圳       | float64 | 注意单位: 亿元 |
| 成交金额-上海       | float64 | 注意单位: 亿元 |
| 成交金额-深圳       | float64 | 注意单位: 亿元 |
| 成交量-上海        | float64 | -        |
| 成交量-深圳        | float64 | -        |
| A股最高综合股价指数-上海 | float64 | -        |
| A股最高综合股价指数-深圳 | float64 | -        |
| A股最低综合股价指数-上海 | float64 | -        |
| A股最低综合股价指数-深圳 | float64 | -        |

接口示例

```python
import akshare as ak

macro_china_stock_market_cap_df = ak.macro_china_stock_market_cap()
print(macro_china_stock_market_cap_df)
```

数据示例

```
          数据日期  发行总股本-上海  ...  A股最低综合股价指数-上海  A股最低综合股价指数-深圳
0    2022年11月份       NaN  ...      2896.7572      2032.0920
1    2022年10月份  47240.00  ...      2885.0894      1974.9663
2    2022年09月份  47205.00  ...      3021.9309      2032.3677
3    2022年08月份  47038.00  ...      3155.1866      2231.3209
4    2022年07月份  46908.00  ...      3226.2315      2284.0597
..         ...       ...  ...            ...            ...
174  2008年05月份  14980.19  ...      3333.9510      1086.0100
175  2008年04月份  14785.95  ...      2990.7880       963.8400
176  2008年03月份  14476.47  ...      3357.2290      1186.6000
177  2008年02月份  14300.84  ...      4123.3050      1385.0400
178  2008年01月份  14198.16  ...      4330.6970      1424.3500
```

##### 上海银行业同业拆借报告

接口: macro_china_shibor_all

目标地址: https://datacenter.jin10.com/reportType/dc_shibor

描述: 上海银行业同业拆借报告, 数据区间从20170317-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| O/N_定价      | float   | Y        | -   |
| O/N_涨跌幅      | float   | Y        | 单位: 点   |
| 1W_定价      | float   | Y        | -   |
| 1W_涨跌幅      | float   | Y        | 单位: 点   |
| 2W_定价      | float   | Y        | -   |
| 2W_涨跌幅      | float   | Y        | 单位: 点   |
| 1M_定价      | float   | Y        | -   |
| 1M_涨跌幅      | float   | Y        | 单位: 点   |
| 3M_定价      | float   | Y        | -   |
| 3M_涨跌幅      | float   | Y        | 单位: 点   |
| 6M_定价      | float   | Y        | -   |
| 6M_涨跌幅      | float   | Y        | 单位: 点   |
| 9M_定价      | float   | Y        | -   |
| 9M_涨跌幅      | float   | Y        | 单位: 点   |
| 1Y_定价     | float   | Y        | -   |
| 1Y_涨跌幅     | float   | Y        | 单位: 点   |
| ON_定价     | float   | Y        | -   |
| ON_涨跌幅     | float   | Y        | 单位: 点   |
|2M_定价     | float   | Y        | -   |
|2M_涨跌幅     | float   | Y        | 单位: 点   |

接口示例

```python
import akshare as ak

macro_china_shibor_all_df = ak.macro_china_shibor_all()
print(macro_china_shibor_all_df)
```

数据示例

```
            O/N_定价  O/N_涨跌幅   1W_定价  1W_涨跌幅  ...   ON_定价  ON_涨跌幅   2M_定价  2M_涨跌幅
2017-03-17  2.6330      NaN  2.7250     NaN  ...     NaN     NaN     NaN     NaN
2017-03-20  2.6325    -0.05  3.9428  121.78  ...  2.0283     NaN  4.5915     NaN
2017-03-21  2.6477     1.52  3.9094  116.23  ...  2.3883   36.00  4.6113    1.98
2017-03-22  2.6507     0.30  4.3795  161.15  ...  2.3100   -7.83  4.8365   22.52
2017-03-23  2.6570     0.63  4.3538  156.28  ...  2.2263   -8.37  4.5410  -29.55
            ...      ...     ...     ...  ...     ...     ...     ...     ...
2020-04-16  0.7020    -9.90  1.3475  -28.45  ...  1.2485    5.68  1.9365   -2.60
2020-04-17  0.7160     1.40  1.3490  -30.80  ...  1.2717    2.32  1.9140   -2.25
2020-04-20  0.8960    18.00  1.4882  -24.88  ...  1.4213   14.97  2.0012    8.72
2020-04-21  0.9010     0.50  1.4832  -25.08  ...  1.3310   -9.03  1.9972   -0.40
2020-04-22  0.9010     0.00  1.4188  -18.72  ...  1.2177  -11.33  1.9992    0.20
```

##### 人民币香港银行同业拆息

接口: macro_china_hk_market_info

目标地址: https://datacenter.jin10.com/reportType/dc_hk_market_info

描述: 香港同业拆借报告, 数据区间从 20170320-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述    |
|---------|---------|-------|
| 日期      | object  | 日期    |
| O/N_定价  | float64 | -     |
| O/N_涨跌幅 | float64 | 单位: 点 |
| 1W_定价   | float64 | -     |
| 1W_涨跌幅  | float64 | 单位: 点 |
| 2W_定价   | float64 | -     |
| 2W_涨跌幅  | float64 | 单位: 点 |
| 1M_定价   | float64 | -     |
| 1M_涨跌幅  | float64 | 单位: 点 |
| 3M_定价   | float64 | -     |
| 3M_涨跌幅  | float64 | 单位: 点 |
| 6M_定价   | float64 | -     |
| 6M_涨跌幅  | float64 | 单位: 点 |
| 9M_定价   | float64 | -     |
| 9M_涨跌幅  | float64 | 单位: 点 |
| 1Y_定价   | float64 | -     |
| 1Y_涨跌幅  | float64 | 单位: 点 |
| ON_定价   | float64 | -     |
| ON_涨跌幅  | float64 | 单位: 点 |
| 2M_定价   | float64 | -     |
| 2M_涨跌幅  | float64 | 单位: 点 |

接口示例

```python
import akshare as ak

macro_china_hk_market_info_df = ak.macro_china_hk_market_info()
print(macro_china_hk_market_info_df)
```

数据示例

```
      日期   1W_定价  1W_涨跌幅   2W_定价  ...   ON_定价  ON_涨跌幅   2M_定价  2M_涨跌幅
0     2017-03-20  3.9428     NaN  4.2417  ...  2.0283     NaN  4.5915     NaN
1     2017-03-21  3.9094   -3.34  4.1647  ...  2.3883   36.00  4.6113    1.98
2     2017-03-22  4.3795   47.01  4.5853  ...  2.3100   -7.83  4.8365   22.52
3     2017-03-23  4.3538   -2.57  4.3930  ...  2.2263   -8.37  4.5410  -29.55
4     2017-03-24  4.3542    0.03  4.4410  ...  2.2438    1.75  4.6405    9.95
          ...     ...     ...     ...  ...     ...     ...     ...     ...
1327  2022-08-09  1.3648   -5.27  1.4678  ...  1.1943   -3.39  2.0330   -0.90
1328  2022-08-10  1.5283   16.35  1.6553  ...  1.3379   14.37  2.0668    3.38
1329  2022-08-11  1.6290   10.07  1.6748  ...  1.3677    2.97  2.0758    0.90
1330  2022-08-12  1.6195   -0.95  1.6733  ...  1.5007   13.30  2.0658   -1.00
1331  2022-08-15  1.5908   -2.87  1.6330  ...  1.3665  -13.42  2.0623   -0.35
```

#### 其他指标

##### 中国日度沿海六大电库存

接口: macro_china_daily_energy

目标地址: https://datacenter.jin10.com/reportType/dc_qihuo_energy_report

描述: 获取中国日度沿海六大电库存数据, 数据区间从20160101-至今, 不再更新, 只能获得历史数据

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 数值      | float   | Y        | energy   |

接口示例

```python
import akshare as ak

macro_china_daily_energy_df = ak.macro_china_daily_energy()
print(macro_china_daily_energy_df)
```

数据示例

macro_china_daily_energy_df:

```
          沿海六大电库存      日耗 存煤可用天数
2016-01-01  1167.60   64.20   18.19
2016-01-02  1162.90   63.40   18.34
2016-01-03  1160.80   62.60   18.54
2016-01-04  1185.30   57.60   20.58
2016-01-05  1150.20   57.20   20.11
              ...     ...    ...
2019-05-17   1639.47   61.71  26.56
2019-05-21   1591.92   62.67  25.40
2019-05-22   1578.63   59.54  26.51
2019-05-24   1671.83   60.65  27.56
2019-06-21   1786.64   66.57  26.84
```

##### 人民币汇率中间价报告

接口: macro_china_rmb

目标地址: https://datacenter.jin10.com/reportType/dc_rmb_data

描述: 中国人民币汇率中间价报告, 数据区间从 20170103-20210513

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称              | 类型      | 描述     |
|-----------------|---------|--------|
| 日期              | object  | 日期     |
| 美元/人民币_中间价      | float64 | -      |
| 美元/人民币_涨跌幅      | float64 | 单位: 点  |
| 欧元/人民币_中间价      | float64 | -      |
| 欧元/人民币_涨跌幅      | float64 | 单位: 点  |
| 100日元/人民币_中间价   | float64 | -      |
| 100日元/人民币_涨跌幅   | float64 | 单位: 点对 |
| 港元/人民币_中间价      | float64 | -      |
| 港元/人民币_涨跌幅      | float64 | 单位: 点  |
| 英镑/人民币_中间价      | float64 | -      |
| 英镑/人民币_涨跌幅      | float64 | 单位: 点  |
| 澳元/人民币_中间价      | float64 | -      |
| 澳元/人民币_涨跌幅      | float64 | 单位: 点  |
| 新西兰元/人民币_中间价    | float64 | -      |
| 新西兰元/人民币_涨跌幅    | float64 | 单位: 点  |
| 新加坡元/人民币_中间价    | float64 | -      |
| 新加坡元/人民币_涨跌幅    | float64 | 单位: 点  |
| 瑞郎/人民币_中间价      | float64 | -      |
| 瑞郎/人民币_涨跌幅      | float64 | 单位: 点  |
| 加元/人民币_中间价      | float64 | -      |
| 加元/人民币_涨跌幅      | float64 | 单位: 点  |
| 人民币/马来西亚林吉特_中间价 | float64 | -      |
| 人民币/马来西亚林吉特_涨跌幅 | float64 | 单位: 点  |
| 人民币/俄罗斯卢布_中间价   | float64 | -      |
| 人民币/俄罗斯卢布_涨跌幅   | float64 | 单位: 点  |
| 人民币/南非兰特_中间价    | float64 | -      |
| 人民币/南非兰特_涨跌幅    | float64 | 单位: 点  |
| 人民币/韩元_中间价      | float64 | -      |
| 人民币/韩元_涨跌幅      | float64 | 单位: 点  |
| 人民币/阿联酋迪拉姆_中间价  | float64 | -      |
| 人民币/阿联酋迪拉姆_涨跌幅  | float64 | 单位: 点  |
| 人民币/沙特里亚尔_中间价   | float64 | -      |
| 人民币/沙特里亚尔_涨跌幅   | float64 | 单位: 点  |
| 人民币/匈牙利福林_中间价   | float64 | -      |
| 人民币/匈牙利福林_涨跌幅   | float64 | 单位: 点  |
| 人民币/波兰兹罗提_中间价   | float64 | -      |
| 人民币/波兰兹罗提_涨跌幅   | float64 | 单位: 点  |
| 人民币/丹麦克朗_中间价    | float64 | -      |
| 人民币/丹麦克朗_涨跌幅    | float64 | 单位: 点  |
| 人民币/瑞典克朗_中间价    | float64 | -      |
| 人民币/瑞典克朗_涨跌幅    | float64 | 单位: 点  |
| 人民币/丹麦克朗_中间价    | float64 | -      |
| 人民币/丹麦克朗_涨跌幅    | float64 | 单位: 点  |
| 人民币/挪威克朗_中间价    | float64 | -      |
| 人民币/挪威克朗_涨跌幅    | float64 | 单位: 点  |
| 人民币/土耳其里拉_中间价   | float64 | -      |
| 人民币/土耳其里拉_涨跌幅   | float64 | 单位: 点  |
| 人民币/墨西哥比索_中间价   | float64 | -      |
| 人民币/墨西哥比索_涨跌幅   | float64 | 单位: 点  |
| 人民币/泰铢_中间价      | float64 | -      |
| 人民币/泰铢_涨跌幅      | float64 | 单位: 点  |

接口示例

```python
import akshare as ak

macro_china_rmb_df = ak.macro_china_rmb()
print(macro_china_rmb_df)
```

数据示例

```
     日期  美元/人民币_中间价  美元/人民币_涨跌幅  ...  人民币/墨西哥比索_涨跌幅  人民币/泰铢_定价  人民币/泰铢_涨跌幅
0    2018-02-06      6.3072         0.0  ...            0.0     5.0191         0.0
1    2018-02-07      6.2882      -190.0  ...         -184.0     5.0178       -13.0
2    2018-02-08      6.2822       -60.0  ...          286.0     5.0429       251.0
3    2018-02-09      6.3194       372.0  ...          -64.0     5.0406       -23.0
4    2018-02-12      6.3001      -193.0  ...         -146.0     5.0310       -96.0
..          ...         ...         ...  ...            ...        ...         ...
786  2021-05-07      6.4678      -217.0  ...         -118.0     4.8283       310.0
787  2021-05-10      6.4425      -253.0  ...         -171.0     4.8333        50.0
788  2021-05-11      6.4254      -171.0  ...           85.0     4.8434       101.0
789  2021-05-12      6.4258         4.0  ...           65.0     4.8503        69.0
790  2021-05-13      6.4612       354.0  ...          107.0     4.8427       -76.0
```

##### 深圳融资融券报告

接口: macro_china_market_margin_sz

目标地址: https://datacenter.jin10.com/reportType/dc_market_margin_sz

描述: 获取深圳融资融券报告, 数据区间从20100331-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 融资买入额(元)      | float   | Y        | -   |
| 融资余额(元)      | float   | Y        | -   |
| 融券卖出量(股)      | float   | Y        | -   |
| 融券余量(股)      | float   | Y        | -   |
| 融券余额(元)      | float   | Y        | -   |
| 融资融券余额(元)      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_china_market_margin_sz_df = ak.macro_china_market_margin_sz()
print(macro_china_market_margin_sz_df)
```

数据示例

```
               融资买入额(元)       融资余额(元)  融券卖出量(股)    融券余量(股)     融券余额(元)  \
2010-03-31       684569        670796      4000       3900       70895
2010-04-08      6713260      14467758      2100       3100       56023
2010-04-09      9357095      19732998      6700       5400      108362
2010-04-12     10406563      24813027      2200       1000        8100
2010-04-15     16607172      47980287      4200       5200       97676
                 ...           ...       ...        ...         ...
2019-12-12  25190412075  423457288662  29769255  209557883  2504593151
2019-12-13  29636811209  423422868505  32820867  206092170  2509424768
2019-12-16  39166060634  428851154451  44000215  217123568  2647520178
2019-12-17  46930557203  433966722200  40492711  220945538  2750371397
2019-12-18  41043515833  438511398249  39150376  224554586  2761303194
               融资融券余额(元)
2010-03-31        741691
2010-04-08      14523781
2010-04-09      19841360
2010-04-12      24821127
2010-04-15      48077963
                  ...
2019-12-12  425961881813
2019-12-13  425932293273
2019-12-16  431498674629
2019-12-17  436717093597
2019-12-18  441272701443
```

##### 上海融资融券报告

接口: macro_china_market_margin_sh

目标地址: https://datacenter.jin10.com/reportType/dc_market_margin_sse

描述: 获取上海融资融券报告, 数据区间从20100331-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 融资余额      | float   | Y        | 注意单位：元  |
| 融资买入额      | float   | Y        | 注意单位：元   |
| 融券余量      | float   | Y        | 注意单位：股   |
| 融券余额      | float   | Y        | 注意单位：元   |
| 融券卖出量      | float   | Y        | 注意单位：股   |
| 融资融券余额      | float   | Y        | 注意单位：元   |

接口示例

```python
import akshare as ak

macro_china_market_margin_sh_df = ak.macro_china_market_margin_sh()
print(macro_china_market_margin_sh_df)
```

数据示例

```
                    融资余额         融资买入额  ...        融券卖出量        融资融券余额
2010-03-31  5.824813e+06  5.866316e+06  ...       3100.0  5.848955e+06
2010-04-01  6.842114e+06  1.054024e+06  ...          0.0  6.859439e+06
2010-04-02  6.762781e+06  2.075160e+05  ...          0.0  6.774710e+06
2010-04-06  1.009124e+07  3.329461e+06  ...          0.0  1.010151e+07
2010-04-07  2.508683e+07  1.514140e+07  ...       1400.0  2.512524e+07
                  ...           ...  ...          ...           ...
2020-08-17  7.320815e+11  6.532228e+10  ...  311910304.0  7.735001e+11
2020-08-18  7.371393e+11  5.588143e+10  ...  236068903.0  7.784736e+11
2020-08-19  7.381023e+11  5.470145e+10  ...  302792889.0  7.794299e+11
2020-08-20  7.368085e+11  3.763784e+10  ...  203660295.0  7.778967e+11
2020-08-21  7.352210e+11  3.599241e+10  ...  196118235.0  7.765762e+11
```

##### 上海黄金交易所报告

接口: macro_china_au_report

目标地址: https://datacenter.jin10.com/reportType/dc_sge_report

描述: 获取上海黄金交易所报告, 数据区间从20140905-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 商品      | float   | Y        | -   |
| 开盘价      | float   | Y        | -   |
| 最高价      | float   | Y        | -   |
| 最低价      | float   | Y        | -   |
| 收盘价      | float   | Y        | -   |
| 涨跌      | float   | Y        | -   |
| 涨跌幅      | float   | Y        | -   |
| 加权平均价      | float   | Y        | -   |
| 成交量      | float   | Y        | -   |
| 成交金额      | float   | Y        | -   |
| 持仓量      | float   | Y        | -   |
| 交收方向      | float   | Y        | -   |
| 交收量      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_china_au_report_df = ak.macro_china_au_report()
print(macro_china_au_report_df)
```

数据示例

```
                  商品      开盘价      最高价  ...          持仓量   交收方向    交收量
日期                                      ...
2014-09-05    Pt9995   293.50   293.50  ...          NaN           NaN
2014-09-05   Ag(T+D)  4159.00  4197.00  ...  5.25224e+06   空支付多    NaN
2014-09-05   Ag99.99  4218.00  4218.00  ...          322           NaN
2014-09-05   Au(T+D)   250.52   252.48  ...       144574   多支付空  11848
2014-09-05  mAu(T+D)   250.87   252.50  ...       130808   多支付空  23644
              ...      ...      ...  ...          ...    ...    ...
2020-04-22  NYAuTN12   379.80   385.00  ...        63446           NaN
2020-04-22    PGC30g   375.83   379.50  ...          NaN           NaN
2020-04-22   Pt99.95   173.30   181.96  ...          NaN           NaN
2020-04-22   Au99.99   372.00   374.45  ...          NaN           NaN
2020-04-22   Ag(T+D)  3554.00  3620.00  ...  1.06485e+07  多支付给空  67050
```

#### 中国电煤价格指数

##### 全国综合电煤价格指数

接口: macro_china_ctci

目标地址: http://jgjc.ndrc.gov.cn/dmzs.aspx?clmId=741

描述: 获取中国电煤价格指数-全国综合电煤价格指数图, 20140101-至今的所有历史数据

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| date      | str   | Y        | 日期  |
| value      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_china_ctci_df = ak.macro_china_ctci()
print(macro_china_ctci_df)
```

数据示例

```
        date   value
0   20140201  495.79
1   20140301  484.88
2   20140401  470.61
3   20140501  461.02
4   20140601  454.23
5   20140701  443.48
6   20140801  430.77
7   20140901  417.76
8   20141001  412.30
9   20141101  415.58
67  20190901  486.79
68  20191001  489.88
69  20191101  492.01
70  20191201  483.09
```

##### 各价区电煤价格指数

接口: macro_china_ctci_detail

目标地址: http://jgjc.ndrc.gov.cn/dmzs.aspx?clmId=741

描述: 获取中国电煤价格指数-各价区电煤价格指数, 具体年具体月的历史数据

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 环比      | str   | Y        | 日期  |
| 上期      | float   | Y        | -   |
| 同比      | float   | Y        | -   |
| 本期      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_china_ctci_detail_df = ak.macro_china_ctci_detail()
print(macro_china_ctci_detail_df)
```

数据示例

```
          环比      上期      同比      本期
全国     -1.81  492.01   -7.11  483.09
天津市    -1.72  482.96  -12.83  474.65
冀北      0.56  453.80   -6.82  456.32
冀南     -0.89  471.71   -8.22  467.51
山西省    -2.43  344.46  -11.06  336.08
蒙西      0.51  292.07    4.31  293.56
蒙东     -0.04  274.00   11.53  273.90
辽宁省    -1.25  545.90   -6.91  539.09
吉林省    -0.97  556.83   -5.14  551.43
黑龙江省   -0.27  540.51   -0.84  539.07
上海市    -1.43  519.98  -10.75  512.55
江苏省    -0.85  535.04   -9.17  530.51
浙江省    -0.29  571.41   -2.57  569.78
安徽省    -1.12  574.23   -8.08  567.78
福建省    -1.01  532.02  -13.31  526.62
江西省     0.41  649.13   -5.46  651.79
山东省    -1.62  547.18  -12.24  538.33
河南省    -2.10  499.34  -18.86  488.87
湖北省    -0.75  583.65  -10.48  579.30
湖南省    -0.55  616.56   -9.44  613.18
广东省    -1.38  562.91   -8.65  555.12
广西自治区   0.48  682.33   -6.23  685.59
海南省     3.02  505.27   -4.46  520.53
重庆市    -5.14  613.98   -4.42  582.43
四川省    -0.10  570.25   -8.56  569.70
贵州省     0.85  488.61   -1.55  492.78
云南省    -3.38  457.68  -19.56  442.19
陕西省    -2.02  393.92  -10.11  385.95
甘肃省     0.30  463.03   -9.62  464.42
青海省     2.49  529.57    2.57  542.76
宁夏自治区  -2.46  362.00   -3.44  353.08
新疆自治区  -0.33  258.74    0.09  257.89
```

##### 历史电煤价格指数

接口: macro_china_ctci_detail_hist

目标地址: http://jgjc.ndrc.gov.cn/dmzs.aspx?clmId=741

描述: 获取中国电煤价格指数-历史电煤价格指数, 具体年的历史数据

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| year | str | Y | year="2018", 从 2014-2019 年 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 地区      | str   | Y        | 日期  |
| 月份      | float   | Y        | -   |
| ---     | ---   | ---        | -   |
| 月份      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_china_ctci_detail_hist_df = ak.macro_china_ctci_detail_hist(year="2018")
print(macro_china_ctci_detail_hist_df)
```

数据示例

```
       地区 2018年01月 2018年02月 2018年03月 2018年04月 2018年05月 2018年06月 2018年07月  \
0      全国   549.12   567.21   546.58   522.78   515.39   528.57   532.53
1     天津市   561.23   583.85   585.94   551.54   524.41   528.97   540.94
2      冀北   510.57   534.05   517.08   474.42   453.55   461.06   467.58
3      冀南   530.74   540.18   532.12   514.28   503.97   497.25   493.77
4     山西省   393.98   408.07   396.38   370.90   364.30   374.28   376.38
5      蒙西   301.63   301.46   292.33   276.21   275.37   286.48   281.19
6      蒙东   230.38   227.76   242.35   246.00   248.76   250.37   242.71
7     辽宁省   563.70   563.07   558.31   538.79   530.65   537.27   553.26
8     吉林省   543.02   548.27   535.59   513.15   506.41   522.02   544.06
9    黑龙江省   519.31   522.83   495.48   477.43   470.00   472.85   483.66
10    上海市   645.34   643.98   647.36   600.11   578.45   584.03   602.29
11    江苏省   644.64   651.17   624.19   588.70   576.74   583.94   589.85
12    浙江省   636.39   637.83   625.57   592.52   609.26   618.92   586.79
13    安徽省   647.37   661.77   635.92   604.14   587.82   592.20   603.95
14    福建省   656.82   650.69   649.71   613.20   573.53   600.93   618.63
15    江西省   751.64   765.61   739.68   691.16   662.62   677.83   690.77
16    山东省   628.53   649.27   634.08   592.92   573.53   586.10   594.91
17    河南省   613.92   631.25   621.77   594.66   593.18   601.12   608.91
18    湖北省   677.92   703.40   686.57   632.80   610.36   621.44   642.14
19    湖南省   718.96   737.04   719.14   668.50   640.31   649.64   678.89
20    广东省   651.36   657.91   649.06   634.28   630.47   640.65   639.35
21  广西自治区   756.91   754.45   757.12   745.06   716.98   721.96   705.18
22    海南省   614.98   625.04   637.07   593.45   525.72   565.77   587.75
23    重庆市   619.37   629.52   620.51   598.80   571.14   570.81   611.41
24    四川省   648.10   654.02   651.93   619.14   601.58   605.26   612.76
25    贵州省   518.60   505.77   500.04   497.16   493.63   486.77   489.90
26    云南省   467.09   388.74   421.98   447.52   482.76   513.48   510.29
27    陕西省   463.31   478.76   465.24   442.26   435.63   436.38   428.95
28    甘肃省   505.24   509.11   500.83   489.16   487.85   468.13   464.82
29    青海省   544.92   549.28   548.58   536.46   524.28   510.17   516.74
30  宁夏自治区   400.22   398.22   391.12   370.74   370.42   382.99   378.98
31  新疆自治区   254.34   269.80   250.79   235.72   238.54   245.57   234.11
   2018年08月 2018年09月 2018年10月 2018年11月 2018年12月
0    522.40   522.16   523.47   520.09   522.20
1    544.64   541.17   548.94   544.48   541.99
2    466.16   471.52   485.16   489.72   490.16
3    500.48   499.84   505.87   509.36   513.28
4    371.11   371.23   378.49   377.88   375.88
5    273.10   282.96   286.80   281.42   284.51
6    228.15   242.71   251.47   245.58   250.44
7    563.19   573.65   577.80   579.09   563.81
8    573.05   588.78   592.40   581.29   568.79
9    520.07   539.22   537.95   543.64   535.24
10   607.19   585.45   574.96   574.26   555.67
11   583.12   577.07   582.36   584.04   576.59
12   575.81   583.42   587.16   584.79   587.46
13   599.81   598.09   605.65   617.72   610.69
14   609.29   604.87   601.59   607.44   608.93
15   690.62   691.52   695.14   689.43   678.53
16   590.17   588.25   596.28   613.43   616.25
17   605.13   595.11   597.53   602.47   599.72
18   638.43   625.53   629.82   647.10   653.36
19   677.36   671.32   678.18   677.13   668.14
20   629.72   626.41   616.66   607.70   612.66
21   712.84   724.77   729.57   731.13   716.45
22   587.61   590.36   558.11   544.82   534.33
23   594.85   597.89   608.23   609.34   618.87
24   622.66   608.49   601.19   623.04   642.92
25   502.76   503.33   498.03   500.56   513.44
26   530.24   540.00   541.58   549.68   569.41
27   412.37   418.11   420.12   429.35   434.98
28   454.77   482.04   502.39   513.85   501.55
29   522.63   516.94   517.64   529.17   546.25
30   374.67   376.04   372.16   365.67   368.41
31   229.33   251.85   254.20   257.66   265.38
```

### 中国香港宏观

#### 消费者物价指数

接口: macro_china_hk_cpi

目标地址: https://data.eastmoney.com/cjsj/foreign_8_0.html

描述: 东方财富-经济数据一览-中国香港-消费者物价指数

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| 无   | 无   | 无   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_china_hk_cpi_df = ak.macro_china_hk_cpi()
print(macro_china_hk_cpi_df)
```

数据示例

```
     时间         前值     现值  发布日期
0    2021-11-01  102.0    NaN  2021-12-21
1    2021-10-01   99.2  102.0  2021-11-22
2    2021-09-01  101.5   99.2  2021-10-22
3    2021-08-01  101.4  101.5  2021-09-20
4    2021-07-01  101.3  101.4  2021-08-19
..          ...    ...    ...         ...
161  2008-06-01   79.7   80.4         NaN
162  2008-05-01   79.5   79.7         NaN
163  2008-04-01   79.0   79.5         NaN
164  2008-03-01   79.0   79.0         NaN
165  2008-02-01   77.9   79.0         NaN
```

#### 消费者物价指数年率

接口: macro_china_hk_cpi_ratio

目标地址: https://data.eastmoney.com/cjsj/foreign_8_1.html

描述: 东方财富-经济数据一览-中国香港-消费者物价指数年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| 无   | 无   | 无   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_china_hk_cpi_ratio_df = ak.macro_china_hk_cpi_ratio()
print(macro_china_hk_cpi_ratio_df)
```

数据示例

```
     时间         前值  现值        发布日期
0    2021-11-01  1.7  NaN  2021-12-21
1    2021-10-01  1.4  1.7  2021-11-22
2    2021-09-01  1.6  1.4  2021-10-22
3    2021-08-01  3.7  1.6  2021-09-20
4    2021-07-01  0.7  3.7  2021-08-19
..          ...  ...  ...         ...
161  2008-06-01  5.7  6.1         NaN
162  2008-05-01  5.4  5.7         NaN
163  2008-04-01  4.2  5.4         NaN
164  2008-03-01  6.3  4.2         NaN
165  2008-02-01  3.2  6.3         NaN
```

#### 失业率

接口: macro_china_hk_rate_of_unemployment

目标地址: https://data.eastmoney.com/cjsj/foreign_8_2.html

描述: 东方财富-经济数据一览-中国香港-失业率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| 无   | 无   | 无   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_china_hk_rate_of_unemployment_df = ak.macro_china_hk_rate_of_unemployment()
print(macro_china_hk_rate_of_unemployment_df)
```

数据示例

```
      时间        前值 现值  发布日期
0    2021-11-01  4.3  NaN  2021-12-16
1    2021-10-01  4.5  4.3  2021-11-16
2    2021-09-01  4.7  4.5  2021-10-21
3    2021-08-01  5.0  4.7  2021-09-16
4    2021-07-01  5.5  5.0  2021-08-18
..          ...  ...  ...         ...
161  2008-06-01  3.3  3.2         NaN
162  2008-05-01  3.3  3.3         NaN
163  2008-04-01  3.3  3.3         NaN
164  2008-03-01  3.3  3.3         NaN
165  2008-02-01  3.4  3.3         NaN
```

#### GDP

接口: macro_china_hk_gbp

目标地址: https://data.eastmoney.com/cjsj/foreign_8_3.html

描述: 东方财富-经济数据一览-中国香港-香港 GDP

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| 无   | 无   | 无   |

输出参数

| 名称   | 类型      | 描述        |
|------|---------|-----------|
| 时间   | object  | -         |
| 前值   | float64 | 注意单位: 亿港元 |
| 现值   | float64 | 注意单位: 亿港元 |
| 发布日期 | object  | -         |

接口示例

```python
import akshare as ak

macro_china_hk_gbp_df = ak.macro_china_hk_gbp()
print(macro_china_hk_gbp_df)
```

数据示例

```
        时间         前值     现值 发布日期
0   2021-09-01      NaN      NaN  NaT
1   2021-06-01      NaN      NaN  NaT
2   2021-03-01      NaN      NaN  NaT
3   2020-12-01      NaN      NaN  NaT
4   2020-09-01      NaN      NaN  NaT
5   2020-06-01      NaN      NaN  NaT
6   2020-03-01      NaN      NaN  NaT
7   2019-12-01      NaN      NaN  NaT
8   2019-09-01      NaN      NaN  NaT
9   2019-06-01  7140.39      NaN  NaT
10  2019-03-01  7018.22  7140.39  NaT
11  2018-12-01  6761.12  7018.22  NaT
12  2018-09-01  6346.83  6761.12  NaT
13  2018-06-01  6879.66  6346.83  NaT
14  2018-03-01  7208.97  6879.66  NaT
15  2017-12-01  6450.58  7208.97  NaT
16  2017-09-01  6034.78  6450.58  NaT
17  2017-06-01  6113.13  6034.78  NaT
18  2017-03-01  6575.42  6113.13  NaT
19  2016-12-01  6227.49  6575.42  NaT
20  2016-09-01  5808.87  6227.49  NaT
21  2016-06-01  5643.75  5808.87  NaT
22  2016-03-01  6138.84  5643.75  NaT
23  2015-12-01  5887.48  6138.84  NaT
24  2015-09-01  5504.83  5887.48  NaT
25  2015-06-01  5432.44  5504.83  NaT
26  2015-03-01  5846.72  5432.44  NaT
27  2014-12-01  5586.83  5846.72  NaT
28  2014-09-01  5185.12  5586.83  NaT
29  2014-06-01  5302.86  5185.12  NaT
30  2014-03-01  5712.28  5302.86  NaT
31  2013-12-01  5427.36  5712.28  NaT
32  2013-09-01  5082.48  5427.36  NaT
33  2013-06-01  5164.48  5082.48  NaT
34  2013-03-01  5558.74  5164.48  NaT
35  2012-12-01  5263.61  5558.74  NaT
36  2012-09-01  4930.73  5263.61  NaT
37  2012-06-01  4996.07  4930.73  NaT
38  2012-03-01  5391.98  4996.07  NaT
39  2011-12-01  5171.76  5391.98  NaT
40  2011-09-01  4882.55  5171.76  NaT
41  2011-06-01  4955.96  4882.55  NaT
42  2011-03-01  5237.14  4955.96  NaT
43  2010-12-01  4976.64  5237.14  NaT
44  2010-09-01  4645.61  4976.64  NaT
45  2010-06-01  4605.68  4645.61  NaT
46  2010-03-01  4924.88  4605.68  NaT
47  2009-12-01  4671.98  4924.88  NaT
48  2009-09-01  4367.06  4671.98  NaT
49  2009-06-01  4267.33  4367.06  NaT
50  2009-03-01  4806.14  4267.33  NaT
51  2008-12-01  4752.53  4806.14  NaT
52  2008-09-01  4505.64  4752.53  NaT
53  2008-06-01  4626.57  4505.64  NaT
```

#### GDP 同比

接口: macro_china_hk_gbp_ratio

目标地址: https://data.eastmoney.com/cjsj/foreign_8_4.html

描述: 东方财富-经济数据一览-中国香港-香港 GDP 同比

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| 无   | 无   | 无   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_china_hk_gbp_ratio_df = ak.macro_china_hk_gbp_ratio()
print(macro_china_hk_gbp_ratio_df)
```

数据示例

```
    时间         前值  现值       发布日期
0   2021-09-01  NaN  NaN         NaT
1   2021-06-01  NaN  NaN         NaT
2   2021-03-01  NaN  NaN         NaT
3   2020-12-01  NaN  NaN         NaT
4   2020-09-01  NaN  NaN         NaT
5   2020-06-01  NaN  NaN         NaT
6   2020-03-01  NaN  NaN         NaT
7   2019-12-01  NaN  NaN         NaT
8   2019-09-01  NaN  NaN         NaT
9   2019-06-01  NaN  NaN         NaT
10  2019-03-01  1.2  NaN         NaT
11  2018-12-01  2.8  1.2         NaT
12  2018-09-01  3.6  2.8  2018-11-16
13  2018-06-01  4.6  3.6  2018-08-10
14  2018-03-01  3.4  4.6  2018-05-11
15  2017-12-01  3.6  3.4  2018-02-28
16  2017-09-01  3.9  3.6  2017-11-10
17  2017-06-01  4.3  3.9  2017-08-14
18  2017-03-01  3.2  4.3  2017-06-19
19  2016-12-01  2.0  3.2  2017-03-20
20  2016-09-01  1.8  2.0  2016-11-11
21  2016-06-01  0.8  1.8  2016-08-12
22  2016-03-01  1.9  0.8  2016-05-13
23  2015-12-01  2.3  1.9  2016-02-24
24  2015-09-01  3.1  2.3  2015-11-13
25  2015-06-01  2.4  3.1  2015-08-14
26  2015-03-01  2.4  2.4  2015-05-15
27  2014-12-01  2.9  2.4  2015-02-25
28  2014-09-01  2.0  2.9  2014-11-14
29  2014-06-01  2.7  2.0  2014-08-15
30  2014-03-01  2.8  2.7  2014-05-16
31  2013-12-01  3.1  2.8  2014-02-26
32  2013-09-01  3.1  3.1  2013-11-15
33  2013-06-01  3.4  3.1  2013-08-20
34  2013-03-01  3.1  3.4         NaT
35  2012-12-01  1.8  3.1         NaT
36  2012-09-01  1.0  1.8         NaT
37  2012-06-01  0.8  1.0         NaT
38  2012-03-01  3.0  0.8         NaT
39  2011-12-01  3.9  3.0         NaT
40  2011-09-01  5.1  3.9         NaT
41  2011-06-01  7.6  5.1         NaT
42  2011-03-01  6.3  7.6         NaT
43  2010-12-01  6.5  6.3         NaT
44  2010-09-01  6.4  6.5         NaT
45  2010-06-01  7.9  6.4         NaT
46  2010-03-01  2.5  7.9         NaT
47  2009-12-01 -1.7  2.5         NaT
48  2009-09-01 -3.1 -1.7         NaT
49  2009-06-01 -7.8 -3.1         NaT
50  2009-03-01 -2.7 -7.8         NaT
51  2008-12-01  0.9 -2.7         NaT
52  2008-09-01  4.0  0.9         NaT
53  2008-06-01  7.0  4.0         NaT
```

#### 香港楼宇买卖合约数量

接口: macro_china_hk_building_volume

目标地址: https://data.eastmoney.com/cjsj/foreign_8_5.html

描述: 东方财富-经济数据一览-中国香港-香港楼宇买卖合约数量

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| 无   | 无   | 无   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_china_hk_building_volume_df = ak.macro_china_hk_building_volume()
print(macro_china_hk_building_volume_df)
```

数据示例

```
     时间          前值    现值  发布日期
0    2021-11-01   6250   7239  2021-12-03
1    2021-10-01   7400   6250  2021-11-03
2    2021-09-01   7875   7400  2021-10-06
3    2021-08-01   9957   7875  2021-09-03
4    2021-07-01   9381   9957  2021-08-05
..          ...    ...    ...         ...
161  2008-06-01  10138  11876         NaN
162  2008-05-01  10945  10138         NaN
163  2008-04-01  10993  10945         NaN
164  2008-03-01  14384  10993         NaN
165  2008-02-01  16984  14384         NaN
```

#### 香港楼宇买卖合约成交金额

接口: macro_china_hk_building_amount

目标地址: https://data.eastmoney.com/cjsj/foreign_8_6.html

描述: 东方财富-经济数据一览-中国香港-香港楼宇买卖合约成交金额

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| 无   | 无   | 无   |

输出参数

| 名称   | 类型      | 描述        |
|------|---------|-----------|
| 时间   | object  | -         |
| 前值   | float64 | 注意单位: 亿港元 |
| 现值   | float64 | 注意单位: 亿港元 |
| 发布日期 | object  | -         |

接口示例

```python
import akshare as ak

macro_china_hk_building_amount_df = ak.macro_china_hk_building_amount()
print(macro_china_hk_building_amount_df)
```

数据示例

```
      时间      前值      现值        发布日期
0    2021-11-01  613.64  629.98  2021-12-03
1    2021-10-01  668.06  613.64  2021-11-03
2    2021-09-01  704.48  668.06  2021-10-06
3    2021-08-01  939.91  704.48  2021-09-03
4    2021-07-01  925.60  939.91  2021-08-05
..          ...     ...     ...         ...
161  2008-06-01  339.72  574.79         NaN
162  2008-05-01  335.09  339.72         NaN
163  2008-04-01  440.17  335.09         NaN
164  2008-03-01  519.74  440.17         NaN
165  2008-02-01  677.74  519.74         NaN
```

#### 香港商品贸易差额年率

接口: macro_china_hk_trade_diff_ratio

目标地址: https://data.eastmoney.com/cjsj/foreign_8_7.html

描述: 东方财富-经济数据一览-中国香港-香港商品贸易差额年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| 无   | 无   | 无   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_china_hk_trade_diff_ratio_df = ak.macro_china_hk_trade_diff_ratio()
print(macro_china_hk_trade_diff_ratio_df)
```

数据示例

```
      时间          前值          现值 发布日期
0    2021-11-01  -17.118294         NaN  NaT
1    2021-10-01  233.945171  -17.118294  NaT
2    2021-09-01   79.803090  233.945171  NaT
3    2021-08-01   17.322914   79.803090  NaT
4    2021-07-01   21.337092   17.322914  NaT
..          ...         ...         ...  ...
161  2008-06-01   92.302304   23.387719  NaT
162  2008-05-01  -21.249636   92.302304  NaT
163  2008-04-01   -0.699128  -21.249636  NaT
164  2008-03-01  109.659467   -0.699128  NaT
165  2008-02-01   69.070295  109.659467  NaT
```

#### 香港制造业 PPI 年率

接口: macro_china_hk_ppi

目标地址: https://data.eastmoney.com/cjsj/foreign_8_8.html

描述: 东方财富-经济数据一览-中国香港-香港制造业PPI年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_china_hk_ppi_df = ak.macro_china_hk_ppi()
print(macro_china_hk_ppi_df)
```

数据示例

```
     时间    前值    现值        发布日期
0   2021-09-01  2.70   NaN  2021-12-13
1   2021-06-01  1.70  2.70  2021-09-13
2   2021-03-01  2.90  1.70  2021-06-15
3   2020-12-01  3.80  2.90  2021-03-12
4   2020-09-01  1.30  3.80  2020-12-14
5   2020-06-01  1.30  1.30  2020-09-14
6   2020-03-01  1.10  1.30  2020-06-12
7   2019-12-01  1.40  1.10  2020-03-13
8   2019-09-01  0.80  1.40         NaT
9   2019-06-01  0.80  0.80  2019-09-12
10  2019-03-01  0.30  0.80  2019-06-14
11  2018-12-01  0.10  0.30  2019-03-14
12  2018-09-01  3.80  0.10  2018-12-14
13  2018-06-01  3.80  3.80  2018-09-13
14  2018-03-01  3.50  3.80  2018-06-14
15  2017-12-01  3.70  3.50  2018-03-13
16  2017-09-01  3.70  3.70  2017-12-14
17  2017-06-01  4.20  3.70  2017-09-14
18  2017-03-01  4.00  4.20  2017-06-13
19  2016-12-01  3.90  4.00  2017-03-13
20  2016-09-01  0.40  3.90  2016-12-13
21  2016-06-01 -2.80  0.40  2016-09-13
22  2016-03-01 -3.20 -2.80  2016-06-14
23  2015-12-01 -4.40 -3.20  2016-03-14
24  2015-09-01 -2.80 -4.40  2015-12-14
25  2015-06-01 -0.60 -2.80  2015-09-14
26  2015-03-01 -1.20 -0.60  2015-06-12
27  2014-12-01  1.30 -1.20  2015-03-13
28  2014-09-01 -0.40  1.30  2014-12-12
29  2014-06-01 -6.30 -0.40  2014-09-12
30  2014-03-01 -5.50 -6.30  2014-06-20
31  2013-12-01 -5.20 -5.50  2014-03-20
32  2013-09-01 -2.40 -5.20  2013-12-12
33  2013-06-01  0.60 -2.40  2013-11-20
34  2013-03-01 -1.00  0.60  2013-08-20
35  2012-12-01 -1.49 -1.00  2013-03-14
36  2012-09-01 -0.62 -1.49  2012-12-13
37  2012-06-01  3.64 -0.62  2012-09-13
38  2012-03-01  6.61  3.64  2012-06-14
39  2011-12-01  9.59  6.61  2012-03-12
40  2011-09-01  8.97  9.59  2011-12-13
41  2011-06-01  8.17  8.97  2011-09-15
42  2011-03-01  7.62  8.17  2011-06-13
43  2010-12-01  6.43  7.62  2011-03-11
44  2010-09-01  5.92  6.43  2010-12-13
45  2010-06-01  4.10  5.92  2010-09-13
46  2010-03-01 -0.30  4.10  2010-06-14
47  2009-12-01 -2.00 -0.30  2010-03-12
48  2009-09-01 -2.97 -2.00  2009-12-14
49  2009-06-01 -1.40 -2.97  2009-09-14
50  2009-03-01  3.90 -1.40  2009-06-12
51  2008-12-01  5.80  3.90  2009-03-13
52  2008-09-01  6.90  5.80  2008-12-12
53  2008-06-01  5.90  6.90  2008-09-12
```

### 美国宏观

#### 经济状况

##### 美国GDP

接口: macro_usa_gdp_monthly

目标地址: https://datacenter.jin10.com/reportType/dc_usa_gdp

描述: 美国国内生产总值(GDP)报告, 数据区间从20080228-至今

限量: 单次返回某一个所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| 无   | 无   | 无   |

输出参数

| 名称  | 类型    | 描述    |
|-----|-------|-------|
| 日期  | str   | 日期-索引 |
| 值   | float | -     |

接口示例

```python
import akshare as ak

macro_usa_gdp_monthly_se = ak.macro_usa_gdp_monthly()
print(macro_usa_gdp_monthly_se.name)
print(macro_usa_gdp_monthly_se)
```

数据示例

macro_usa_gdp_monthly_se.name

```gdp```

macro_usa_gdp_monthly_se: pandas.Series

```
2008-02-28    0.6
2008-03-27    0.6
2008-04-30    0.9
2008-06-26      1
2008-07-31    1.9
             ...
2019-09-26      2
2019-10-30      2
2019-11-27      2
2019-12-20    2.1
2020-01-30      0
```

#### 物价水平

##### 美国CPI月率报告

接口: macro_usa_cpi_monthly

目标地址: https://datacenter.jin10.com/reportType/dc_usa_cpi

描述: 美国CPI月率报告, 数据区间从19700101-至今

限量: 单次返回某一个所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| 无   | 无   | 无   |

输出参数

| 名称  | 类型    | 描述    |
|-----|-------|-------|
| 日期  | str   | 日期-索引 |
| 值   | float | -     |

接口示例

```python
import akshare as ak

macro_usa_cpi_monthly_se = ak.macro_usa_cpi_monthly()
print(macro_usa_cpi_monthly_se.name)
print(macro_usa_cpi_monthly_se)
```

数据示例

macro_usa_cpi_monthly_se.name

```cpi_monthly```

macro_usa_cpi_monthly_se: pandas.Series

```
1970-01-01    0.5
1970-02-01    0.5
1970-03-01    0.5
1970-04-01    0.5
1970-05-01    0.5
             ...
2019-09-12    0.1
2019-10-10    0.1
2019-11-13    0.4
2019-12-11    0.3
2020-01-14      0
```

##### 美国核心CPI月率报告

接口: macro_usa_core_cpi_monthly

目标地址: https://datacenter.jin10.com/reportType/dc_usa_core_cpi

描述: 美国核心CPI月率报告, 数据区间从19700101-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| 无   | 无   | 无   |

输出参数

| 名称  | 类型    | 描述    |
|-----|-------|-------|
| 日期  | str   | 日期-索引 |
| 值   | float | -     |

接口示例

```python
import akshare as ak

macro_usa_core_cpi_monthly_se = ak.macro_usa_core_cpi_monthly()
print(macro_usa_core_cpi_monthly_se.name)
print(macro_usa_core_cpi_monthly_se)
```

数据示例

macro_usa_core_cpi_monthly_se.name

```
usa_core_cpi
```

macro_usa_core_cpi_monthly_se: pandas.Series

```
1970-01-01    0.5
1970-02-01    0.5
1970-03-01    0.5
1970-04-01    0.8
1970-05-01    0.7
             ...
2019-09-12    0.3
2019-10-10    0.1
2019-11-13    0.2
2019-12-11    0.2
2020-01-14      0
```

##### 美国个人支出月率报告

接口: macro_usa_personal_spending

目标地址: https://datacenter.jin10.com/reportType/dc_usa_personal_spending

描述: 获取美国个人支出月率报告, 数据区间从19700101-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_personal_spending_se = ak.macro_usa_personal_spending()
print(macro_usa_personal_spending_se.name)
print(macro_usa_personal_spending_se)
```

数据示例

macro_usa_personal_spending_se.name

```
usa_personal_spending
```

macro_usa_personal_spending_se: pandas.Series

```
1970-01-01    0.4
1970-02-01      1
1970-03-01    0.8
1970-04-01   -0.3
1970-05-01    0.6
             ...
2019-09-27    0.2
2019-10-31    0.2
2019-11-27    0.3
2019-12-20    0.4
2020-01-31      0
```

##### 美国零售销售月率报告

接口: macro_usa_retail_sales

目标地址: https://datacenter.jin10.com/reportType/dc_usa_retail_sales

描述: 获取美国零售销售月率报告, 数据区间从19920301-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_retail_sales_se = ak.macro_usa_retail_sales()
print(macro_usa_retail_sales_se.name)
print(macro_usa_retail_sales_se)
```

数据示例

macro_usa_retail_sales_se.name

```
usa_retail_sales
```

macro_usa_retail_sales_se: pandas.Series

```
1992-03-01     0.1
1992-04-01    -0.3
1992-05-01     0.6
1992-06-01     0.5
1992-07-01     0.3
              ...
2019-09-13     0.6
2019-10-16    -0.3
2019-11-15     0.4
2019-12-13     0.2
2020-01-16       0
```

##### 美国进口物价指数报告

接口: macro_usa_import_price

目标地址: https://datacenter.jin10.com/reportType/dc_usa_import_price

描述: 获取美国进口物价指数报告, 数据区间从19890201-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_import_price_se = ak.macro_usa_import_price()
print(macro_usa_import_price_se.name)
print(macro_usa_import_price_se)
```

数据示例

macro_usa_import_price_se.name

```
usa_import_price
```

macro_usa_import_price_se: pandas.Series

```
1989-02-01       2
1989-03-01    -0.5
1989-04-01     0.8
1989-05-01     0.8
1989-06-01     0.7
              ...
2019-09-13    -0.2
2019-10-11     0.1
2019-11-15    -0.5
2019-12-13     0.2
2020-01-16       0
```

##### 美国出口价格指数报告

接口: macro_usa_export_price

目标地址: https://datacenter.jin10.com/reportType/dc_usa_export_price

描述: 获取美国出口价格指数报告, 数据区间从19890201-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_export_price_se = ak.macro_usa_export_price()
print(macro_usa_export_price_se.name)
print(macro_usa_export_price_se)
```

数据示例

macro_usa_export_price_se.name

```
usa_export_price
```

macro_usa_export_price_se: pandas.Series

```
1989-02-01     1.2
1989-03-01    -0.3
1989-04-01     0.6
1989-05-01    -0.2
1989-06-01     0.4
              ...
2019-09-13    -0.6
2019-10-11    -0.2
2019-11-15    -0.1
2019-12-13     0.2
2020-01-16       0
```

#### 劳动力市场

##### LMCI

接口: macro_usa_lmci

目标地址: https://datacenter.jin10.com/reportType/dc_usa_lmci

描述: 获取美联储劳动力市场状况指数报告, 数据区间从20141006-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_lmci_se = ak.macro_usa_lmci()
print(macro_usa_lmci_se.name)
print(macro_usa_lmci_se)
```

数据示例

macro_usa_lmci_se.name

```
lmci
```

macro_usa_lmci_se: pandas.Series

```
2014-10-06      4
2014-11-10    3.9
2014-12-08    5.5
2015-01-12    7.3
2015-02-09    4.9
             ...
2017-05-08    3.5
2017-06-05      0
2017-06-16    3.3
2017-07-10    1.5
2017-08-07      0
```

##### 失业率

###### 美国失业率报告

接口: macro_usa_unemployment_rate

目标地址: https://datacenter.jin10.com/reportType/dc_usa_unemployment_rate

描述: 获取美国失业率报告, 数据区间从19700101-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_unemployment_rate_se = ak.macro_usa_unemployment_rate()
print(macro_usa_unemployment_rate_se.name)
print(macro_usa_unemployment_rate_se)
```

数据示例

macro_usa_unemployment_rate_se.name

```
unemployment_rate
```

macro_usa_unemployment_rate_se: pandas.Series

```
1970-01-01    3.5
1970-02-01    3.9
1970-03-01    4.2
1970-04-01    4.4
1970-05-01    4.6
             ...
2019-09-06    3.7
2019-10-04    3.5
2019-11-01    3.6
2019-12-06    3.5
2020-01-10    3.5
```

###### 美国挑战者企业裁员人数报告

接口: macro_usa_job_cuts

目标地址: https://datacenter.jin10.com/reportType/dc_usa_job_cuts

描述: 获取美国挑战者企业裁员人数报告, 数据区间从19940201-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_job_cuts_se = ak.macro_usa_job_cuts()
print(macro_usa_job_cuts_se.name)
print(macro_usa_job_cuts_se)
```

数据示例

macro_usa_job_cuts_se.name

```
usa_job_cuts
```

macro_usa_job_cuts_se: pandas.Series

```
1994-02-01     10.89
1994-03-01      3.46
1994-04-01       4.9
1994-05-01      3.61
1994-06-01      3.63
               ...
2019-10-31    5.0275
2019-12-05    4.4569
2020-01-02    3.2843
2020-01-09         0
2020-02-06         0
```

##### 就业人口

###### 美国非农就业人数报告

接口: macro_usa_non_farm

目标地址: https://datacenter.jin10.com/reportType/dc_nonfarm_payrolls

描述: 获取美国非农就业人数报告, 数据区间从19700102-至今

限量: 单次返回某一个所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 今值(万人)      | float   | Y        | 今值(万人)   |

接口示例

```python
import akshare as ak

macro_usa_non_farm_se = ak.macro_usa_non_farm()
print(macro_usa_non_farm_se.name)
print(macro_usa_non_farm_se)
```

数据示例

macro_usa_non_farm_se.name

```non_farm```

macro_usa_non_farm_se: pandas.Series

```
1970-01-02    15.3
1970-02-06    -6.4
1970-03-06    12.8
1970-04-03    14.8
1970-05-01   -10.4
              ...
2019-07-05    19.3
2019-08-02    15.9
2019-09-06    16.8
2019-10-04    13.6
2019-11-01       0
```

###### 美国ADP就业人数报告

接口: macro_usa_adp_employment

目标地址: https://datacenter.jin10.com/reportType/dc_adp_nonfarm_employment

描述: 获取美国ADP就业人数报告, 数据区间从20010601-至今

限量: 单次返回某一个所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 今值(万人)      | float   | Y        | 今值(万人)   |

接口示例

```python
import akshare as ak

macro_usa_adp_employment_se = ak.macro_usa_adp_employment()
print(macro_usa_adp_employment_se.name)
print(macro_usa_adp_employment_se)
```

数据示例

macro_usa_adp_employment_se.name

```
adp
```

macro_usa_adp_employment_se: pandas.Series

```
2001-06-01   -17.5
2001-07-01     -23
2001-08-01   -20.3
2001-09-01   -24.6
2001-10-01   -26.1
              ...
2019-09-05    15.7
2019-10-02     9.3
2019-10-30    12.1
2019-12-04    12.4
2020-01-08    20.2
```

##### 消费者收入与支出

###### 美国核心PCE物价指数年率报告

接口: macro_usa_core_pce_price

目标地址: https://datacenter.jin10.com/reportType/dc_usa_core_pce_price

描述: 获取美国核心PCE物价指数年率报告, 数据区间从19700101-至今

限量: 单次返回某一个所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_core_pce_price_se = ak.macro_usa_core_pce_price()
print(macro_usa_core_pce_price_se.name)
print(macro_usa_core_pce_price_se)
```

数据示例

macro_usa_core_pce_price_se.name

```
core_pce_price
```

macro_usa_core_pce_price_se: pandas.Series

```
1970-01-01    4.8
1970-02-01    4.7
1970-03-01    4.8
1970-04-01    4.7
1970-05-01    4.7
             ...
2019-09-27    1.8
2019-10-31    1.7
2019-11-27    1.7
2019-12-20    1.6
2020-01-31      0
```

###### 美国实际个人消费支出季率初值报告

接口: macro_usa_real_consumer_spending

目标地址: https://datacenter.jin10.com/reportType/dc_usa_real_consumer_spending

描述: 获取美国实际个人消费支出季率初值报告, 数据区间从20131107-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_real_consumer_spending_se = ak.macro_usa_real_consumer_spending()
print(macro_usa_real_consumer_spending_se.name)
print(macro_usa_real_consumer_spending_se)
```

数据示例

macro_usa_real_consumer_spending_se.name

```
usa_real_consumer_spending
```

macro_usa_real_consumer_spending_se: pandas.Series

```
2013-11-07    1.5
2013-12-05    1.4
2013-12-20      2
2014-01-30    3.3
2014-02-28    2.6
             ...
2019-09-26    4.6
2019-10-30    2.9
2019-11-27    2.9
2019-12-20    3.2
2020-01-30      0
```

#### 贸易状况

##### 美国贸易帐报告

接口: macro_usa_trade_balance

目标地址: https://datacenter.jin10.com/reportType/dc_usa_trade_balance

描述: 获取美国贸易帐报告, 数据区间从19700101-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_trade_balance_se = ak.macro_usa_trade_balance()
print(macro_usa_trade_balance_se.name)
print(macro_usa_trade_balance_se)
```

数据示例

macro_usa_trade_balance_se.name

```
usa_trade_balance
```

macro_usa_trade_balance_se: pandas.Series

```
1970-01-01       2
1970-02-01       1
1970-03-01       2
1970-04-01       1
1970-05-01       1
              ...
2019-09-04    -540
2019-10-04    -550
2019-11-05    -511
2019-12-05    -469
2020-01-07    -431
```

##### 美国经常帐报告

接口: macro_usa_current_account

目标地址: https://datacenter.jin10.com/reportType/dc_usa_current_account

描述: 获取美国经常帐报告, 数据区间从20080317-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_current_account_se = ak.macro_usa_current_account()
print(macro_usa_current_account_se.name)
print(macro_usa_current_account_se)
```

数据示例

macro_usa_current_account_se.name

```
usa_current_account
```

macro_usa_current_account_se: pandas.Series

```
2008-03-17    -1730
2008-06-17    -1760
2008-09-17    -1830
2008-12-17    -1740
2009-03-18    -1549
              ...
2019-03-21        0
2019-03-27    -1439
2019-06-20    -1362
2019-09-19    -1252
2019-12-19    -1241
```

#### 产业指标

##### 制造业

###### 贝克休斯钻井报告

接口: macro_usa_rig_count

目标地址: https://datacenter.jin10.com/reportType/dc_rig_count_summary

描述: 获取贝克休斯钻井报告, 数据区间从19870717-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 钻井总数_钻井数      | float   | Y        | -   |
| 钻井总数_变化      | float   | Y        | -   |
| 美国石油钻井_钻井数      | float   | Y        | -   |
| 美国石油钻井_变化      | float   | Y        | -   |
| 混合钻井_钻井数      | float   | Y        | -   |
| 混合钻井_变化      | float   | Y        | -   |
| 美国天然气钻井_钻井数      | float   | Y        | -   |
| 美国天然气钻井_变化      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_rig_count_df = ak.macro_usa_rig_count()
print(macro_usa_rig_count_df)
```

数据示例

```
            钻井总数_钻井数  钻井总数_变化  美国石油钻井_钻井数  ...  混合钻井_变化  美国天然气钻井_钻井数  美国天然气钻井_变化
2020-04-03      66.4     -6.4        56.2  ...      0.0         10.0        -0.2
2020-03-27      72.8     -4.4        62.4  ...      0.0         10.2        -0.4
2020-03-20      77.2     -2.0        66.4  ...      0.0         10.6        -0.1
2020-03-13      79.2     -0.1        68.3  ...      0.0         10.7        -0.2
2020-03-06      79.3      0.3        68.2  ...      0.0         10.9        -0.1
              ...      ...         ...  ...      ...          ...         ...
1987-08-14      99.8      1.5        62.0  ...      0.5         35.2         0.3
1987-08-07      98.3      1.0        61.3  ...     -0.1         34.9         0.3
1987-07-31      97.3      5.6        60.5  ...      0.1         34.6         1.5
1987-07-24      91.7     -0.5        56.5  ...     -0.5         33.1        -0.6
1987-07-17      92.2      NaN        55.9  ...      NaN         33.7         NaN
```

###### 美国生产者物价指数(PPI)报告

接口: macro_usa_ppi

目标地址: https://datacenter.jin10.com/reportType/dc_usa_ppi

描述: 获取美国生产者物价指数(PPI)报告, 数据区间从20080226-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_ppi_se = ak.macro_usa_ppi()
print(macro_usa_ppi_se.name)
print(macro_usa_ppi_se)
```

数据示例

macro_usa_ppi_se.name

```
usa_ppi
```

macro_usa_ppi_se: pandas.Series

```
2008-02-26       1
2008-03-18     0.3
2008-04-15     1.1
2008-05-20     0.2
2008-06-17     1.4
              ...
2019-09-11     0.1
2019-10-08    -0.3
2019-11-14     0.4
2019-12-12       0
2020-01-15       0
```

###### 美国核心生产者物价指数(PPI)报告

接口: macro_usa_core_ppi

目标地址: https://datacenter.jin10.com/reportType/dc_usa_core_ppi

描述: 获取美国核心生产者物价指数(PPI)报告, 数据区间从20080318-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_core_ppi_se = ak.macro_usa_core_ppi()
print(macro_usa_core_ppi_se.name)
print(macro_usa_core_ppi_se)
```

数据示例

macro_usa_core_ppi_se.name

```
usa_core_ppi
```

macro_usa_core_ppi_se: pandas.Series

```
2008-03-18     0.5
2008-04-15     0.2
2008-05-20     0.4
2008-06-17     0.2
2008-08-19     0.7
              ...
2019-09-11     0.3
2019-10-08    -0.3
2019-11-14     0.3
2019-12-12    -0.2
2020-01-15       0
```

###### 美国API原油库存报告

接口: macro_usa_api_crude_stock

目标地址: https://datacenter.jin10.com/reportType/dc_usa_api_crude_stock

描述: 获取美国API原油库存报告, 数据区间从20120328-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_api_crude_stock_se = ak.macro_usa_api_crude_stock()
print(macro_usa_api_crude_stock_se.name)
print(macro_usa_api_crude_stock_se)
```

数据示例

macro_usa_api_crude_stock_se.name

```
usa_api_crude_stock
```

macro_usa_api_crude_stock_se: pandas.Series

```
2012-03-28     360.2
2012-04-04     784.8
2012-04-11     658.4
2012-04-18     340.9
2012-04-25     -98.5
               ...
2019-12-27         0
2020-01-01         0
2020-01-02         0
2020-01-08    -594.5
2020-01-15         0
```

###### 美国Markit制造业PMI初值报告

接口: macro_usa_pmi

目标地址: https://datacenter.jin10.com/reportType/dc_usa_pmi

描述: 获取美国Markit制造业PMI初值报告, 数据区间从20120601-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_pmi_se = ak.macro_usa_pmi()
print(macro_usa_pmi_se.name)
print(macro_usa_pmi_se)
```

数据示例

macro_usa_pmi_se.name

```
usa_pmi
```

macro_usa_pmi_se: pandas.Series

```
2012-06-01    52.9
2012-07-02    52.5
2012-07-24    51.8
2012-08-01    51.4
2012-08-23    51.9
              ...
2019-11-22    52.2
2019-12-02    52.6
2019-12-16    52.6
2020-01-02    52.4
2020-01-24       0
```

###### 美国ISM制造业PMI报告

接口: macro_usa_ism_pmi

目标地址: https://datacenter.jin10.com/reportType/dc_usa_ism_pmi

描述: 获取美国ISM制造业PMI报告, 数据区间从19700101-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_ism_pmi_se = ak.macro_usa_ism_pmi()
print(macro_usa_ism_pmi_se.name)
print(macro_usa_ism_pmi_se)
```

数据示例

macro_usa_ism_pmi_se.name

```
usa_ism_pmi
```

macro_usa_ism_pmi_se: pandas.Series

```
1970-01-01      52
1970-02-01    48.7
1970-03-01    47.4
1970-04-01    46.9
1970-05-01      45
              ...
2019-09-03    49.1
2019-10-01    47.8
2019-11-01    48.3
2019-12-02    48.1
2020-01-03    47.2
```

##### 工业

###### 美国工业产出月率报告

接口: macro_usa_industrial_production

目标地址: https://datacenter.jin10.com/reportType/dc_usa_industrial_production

描述: 获取美国工业产出月率报告, 数据区间从19700101-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_industrial_production_se = ak.macro_usa_industrial_production()
print(macro_usa_industrial_production_se.name)
print(macro_usa_industrial_production_se)
```

数据示例

macro_usa_industrial_production_se.name

```
usa_industrial_production
```

macro_usa_industrial_production_se: pandas.Series

```
1970-01-01    -0.3
1970-02-01    -1.9
1970-03-01    -0.1
1970-04-01    -0.1
1970-05-01    -0.3
              ...
2019-09-17     0.8
2019-10-17    -0.3
2019-11-15    -0.9
2019-12-17     1.1
2020-01-17       0
```

###### 美国耐用品订单月率报告

接口: macro_usa_durable_goods_orders

目标地址: https://datacenter.jin10.com/reportType/dc_usa_durable_goods_orders

描述: 获取美国耐用品订单月率报告, 数据区间从20080227-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_durable_goods_orders_se = ak.macro_usa_durable_goods_orders()
print(macro_usa_durable_goods_orders_se.name)
print(macro_usa_durable_goods_orders_se)
```

数据示例

macro_usa_durable_goods_orders_se.name

```
usa_durable_goods_orders
```

macro_usa_durable_goods_orders_se: pandas.Series

```
2008-02-27    -5.3
2008-03-26    -1.1
2008-04-24    -0.3
2008-05-28    -0.6
2008-06-25       0
              ...
2019-10-24    -1.4
2019-11-27     0.2
2019-12-23    -2.1
2019-12-24       0
2020-01-28       0
```

###### 美国工厂订单月率报告

接口: macro_usa_factory_orders

目标地址: https://datacenter.jin10.com/reportType/dc_usa_factory_orders

描述: 获取美国工厂订单月率报告, 数据区间从19920401-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_factory_orders_se = ak.macro_usa_factory_orders()
print(macro_usa_factory_orders_se.name)
print(macro_usa_factory_orders_se)
```

数据示例

macro_usa_factory_orders_se.name

```
usa_factory_orders
```

macro_usa_factory_orders_se: pandas.Series

```
1992-04-01     4.6
1992-05-01     1.9
1992-06-01     1.6
1992-07-01    -0.5
1992-08-01    -0.9
              ...
2019-09-05     1.4
2019-10-03    -0.1
2019-11-04    -0.8
2019-12-05     0.2
2020-01-07    -0.7
```

##### 服务业

###### 美国Markit服务业PMI初值报告

接口: macro_usa_services_pmi

目标地址: https://datacenter.jin10.com/reportType/dc_usa_services_pmi

描述: 获取美国Markit服务业PMI初值报告, 数据区间从20120701-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_services_pmi_se = ak.macro_usa_services_pmi()
print(macro_usa_services_pmi_se.name)
print(macro_usa_services_pmi_se)
```

数据示例

macro_usa_services_pmi_se.name

```
usa_services_pmi
```

macro_usa_services_pmi_se: pandas.Series

```
2012-07-01    53.2
2012-08-01    51.2
2012-09-01      52
2012-10-01    50.7
2012-11-01    52.7
              ...
2019-11-22    50.6
2019-12-04    51.6
2019-12-16    51.6
2020-01-06    52.8
2020-01-24       0
```

###### 美国商业库存月率报告

接口: macro_usa_business_inventories

目标地址: https://datacenter.jin10.com/reportType/dc_usa_business_inventories

描述: 获取美国商业库存月率报告, 数据区间从19920301-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_business_inventories_se = ak.macro_usa_business_inventories()
print(macro_usa_business_inventories_se.name)
print(macro_usa_business_inventories_se)
```

数据示例

macro_usa_business_inventories_se.name

```
usa_business_inventories
```

macro_usa_business_inventories_se: pandas.Series

```
1992-03-01     0.2
1992-04-01     0.4
1992-05-01     0.3
1992-06-01    -0.1
1992-07-01     0.7
              ...
2019-09-13     0.3
2019-10-16    -0.1
2019-11-15    -0.1
2019-12-13     0.2
2020-01-16       0
```

###### 美国ISM非制造业PMI报告

接口: macro_usa_ism_non_pmi

目标地址: https://datacenter.jin10.com/reportType/dc_usa_ism_non_pmi

描述: 获取美国ISM非制造业PMI报告, 数据区间从19970801-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_ism_non_pmi_se = ak.macro_usa_ism_non_pmi()
print(macro_usa_ism_non_pmi_se.name)
print(macro_usa_ism_non_pmi_se)
```

数据示例

macro_usa_ism_non_pmi_se.name

```
usa_ism_non_pmi
```

macro_usa_ism_non_pmi_se: pandas.Series

```
1997-08-01    56.7
1997-09-01      62
1997-10-01    56.2
1997-11-01    56.6
1997-12-01    58.5
              ...
2019-09-05    56.4
2019-10-03    52.6
2019-11-05    54.7
2019-12-04    53.9
2020-01-07    55.0
```

###### 美国NAHB房产市场指数报告

接口: macro_usa_nahb_house_market_index

目标地址: https://datacenter.jin10.com/reportType/dc_usa_nahb_house_market_index

描述: 获取美国NAHB房产市场指数报告, 数据区间从19850201-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_nahb_house_market_index_se = ak.macro_usa_nahb_house_market_index()
print(macro_usa_nahb_house_market_index_se.name)
print(macro_usa_nahb_house_market_index_se)
```

数据示例

macro_usa_nahb_house_market_index_se.name

```
usa_nahb_house_market_index
```

macro_usa_nahb_house_market_index_se: pandas.Series

```
1985-02-01    50
1985-03-01    58
1985-04-01    54
1985-05-01    49
1985-06-01    51
              ..
2019-09-17    68
2019-10-16    71
2019-11-18    71
2019-12-16    76
2020-01-16     0
```

##### 房地产

###### 美国NAHB房产市场指数报告

接口: macro_usa_nahb_house_market_index

目标地址: https://datacenter.jin10.com/reportType/dc_usa_nahb_house_market_index

描述: 获取美国NAHB房产市场指数报告, 数据区间从19850201-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_nahb_house_market_index_se = ak.macro_usa_nahb_house_market_index()
print(macro_usa_nahb_house_market_index_se.name)
print(macro_usa_nahb_house_market_index_se)
```

数据示例

macro_usa_nahb_house_market_index_se.name

```
usa_nahb_house_market_index
```

macro_usa_nahb_house_market_index_se: pandas.Series

```
1985-02-01    50
1985-03-01    58
1985-04-01    54
1985-05-01    49
1985-06-01    51
              ..
2019-09-17    68
2019-10-16    71
2019-11-18    71
2019-12-16    76
2020-01-16     0
```

###### 美国新屋开工总数年化报告

接口: macro_usa_house_starts

目标地址: https://datacenter.jin10.com/reportType/dc_usa_house_starts

描述: 获取美国新屋开工总数年化报告, 数据区间从19700101-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_house_starts_se = ak.macro_usa_house_starts()
print(macro_usa_house_starts_se.name)
print(macro_usa_house_starts_se)
```

数据示例

macro_usa_house_starts_se.name

```
usa_house_starts
```

macro_usa_house_starts_se: pandas.Series

```
1970-01-01    132.7
1970-02-01    108.5
1970-03-01    130.5
1970-04-01    131.9
1970-05-01    126.4
              ...
2019-09-18    138.6
2019-10-17    126.6
2019-11-19    132.3
2019-12-17    136.5
2020-01-17        0
```

###### 美国新屋销售总数年化报告

接口: macro_usa_new_home_sales

目标地址: https://datacenter.jin10.com/reportType/dc_usa_new_home_sales

描述: 获取美国新屋销售总数年化报告, 数据区间从19700101-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_new_home_sales_se = ak.macro_usa_new_home_sales()
print(macro_usa_new_home_sales_se.name)
print(macro_usa_new_home_sales_se)
```

数据示例

macro_usa_new_home_sales_se.name

```
usa_new_home_sales
```

macro_usa_new_home_sales_se: pandas.Series

```
1970-01-01    45.2
1970-02-01    46.1
1970-03-01    37.3
1970-04-01    38.9
1970-05-01    44.5
              ...
2019-09-25    70.6
2019-10-24    73.8
2019-11-26      71
2019-12-23    71.9
2020-01-27       0
```

###### 美国营建许可总数报告

接口: macro_usa_building_permits

目标地址: https://datacenter.jin10.com/reportType/dc_usa_building_permits

描述: 获取美国营建许可总数报告, 数据区间从20080220-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_building_permits_se = ak.macro_usa_building_permits()
print(macro_usa_building_permits_se.name)
print(macro_usa_building_permits_se)
```

数据示例

macro_usa_building_permits_se.name

```
usa_building_permits
```

macro_usa_building_permits_se: pandas.Series

```
2008-02-20      106
2008-03-18       98
2008-04-16       93
2008-05-16       98
2008-06-17       98
              ...
2019-09-18    142.5
2019-10-17    139.1
2019-11-19    146.1
2019-12-17    147.4
2020-01-17        0
```

###### 美国成屋销售总数年化报告

接口: macro_usa_exist_home_sales

目标地址: https://datacenter.jin10.com/reportType/dc_usa_exist_home_sales

描述: 获取美国成屋销售总数年化报告, 数据区间从19700101-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_exist_home_sales_se = ak.macro_usa_exist_home_sales()
print(macro_usa_exist_home_sales_se.name)
print(macro_usa_exist_home_sales_se)
```

数据示例

macro_usa_exist_home_sales_se.name

```
usa_exist_home_sales
```

macro_usa_exist_home_sales_se: pandas.Series

```
1970-01-01    160
1970-02-01    153
1970-03-01    146
1970-04-01    137
1970-05-01    151
             ...
2019-09-19    550
2019-10-22    536
2019-11-21    544
2019-12-19    535
2020-01-22      0
```

###### 美国FHFA房价指数月率报告

接口: macro_usa_house_price_index

目标地址: https://datacenter.jin10.com/reportType/dc_usa_house_price_index

描述: 获取美国FHFA房价指数月率报告, 数据区间从19910301-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_house_price_index_se = ak.macro_usa_house_price_index()
print(macro_usa_house_price_index_se.name)
print(macro_usa_house_price_index_se)
```

数据示例

macro_usa_house_price_index_se.name

```
usa_house_price_index
```

macro_usa_house_price_index_se: pandas.Series

```
1991-03-01    0.5
1991-04-01      0
1991-05-01   -0.2
1991-06-01    0.1
1991-07-01    0.1
             ...
2019-09-24    0.4
2019-10-23    0.2
2019-11-26    0.6
2019-12-31    0.2
2020-01-22      0
```

###### 美国S&P/CS20座大城市房价指数年率报告

接口: macro_usa_spcs20

目标地址: https://datacenter.jin10.com/reportType/dc_usa_spcs20

描述: 获取美国S&P/CS20座大城市房价指数年率报告, 数据区间从20010201-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_spcs20_se = ak.macro_usa_spcs20()
print(macro_usa_spcs20_se.name)
print(macro_usa_spcs20_se)
```

数据示例

macro_usa_spcs20_se.name

```
usa_spcs20
```

macro_usa_spcs20_se: pandas.Series

```
2001-02-01    12.4
2001-03-01    12.2
2001-04-01      12
2001-05-01    11.4
2001-06-01    10.5
              ...
2019-09-24       2
2019-10-29       2
2019-11-26     2.1
2019-12-31     2.2
2020-01-28       0
```

###### 美国成屋签约销售指数月率报告

接口: macro_usa_pending_home_sales

目标地址: https://datacenter.jin10.com/reportType/dc_usa_pending_home_sales

描述: 美国成屋签约销售指数月率报告, 数据区间从20010301-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称  | 类型    | 默认显示 | 描述    |
|-----|-------|------|-------|
| 日期  | str   | Y    | 日期-索引 |
| 值   | float | Y    | -     |

接口示例

```python
import akshare as ak

macro_usa_pending_home_sales_se = ak.macro_usa_pending_home_sales()
print(macro_usa_pending_home_sales_se.name)
print(macro_usa_pending_home_sales_se)
```

数据示例

macro_usa_pending_home_sales_se.name

```
usa_pending_home_sales
```

macro_usa_pending_home_sales_se: pandas.Series

```
2001-03-01     5.1
2001-04-01    -4.7
2001-05-01    -2.9
2001-06-01     2.7
2001-07-01    -3.4
              ...
2019-09-26     1.4
2019-10-29     1.4
2019-11-27    -1.3
2019-12-30     1.2
2020-01-29       0
```

#### 领先指标

##### 未决房屋销售月率

接口: macro_usa_phs

目标地址: http://data.eastmoney.com/cjsj/foreign_0_5.html

描述: 东方财富-经济数据一览-美国-未决房屋销售月率, 数据区间从 20080201-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_usa_phs_df = ak.macro_usa_phs()
print(macro_usa_phs_df)
```

数据示例

```
      时间   前值   现值        发布日期
0    2022年10月 -1.5 -5.9  2022-11-18
1    2022年09月 -0.4 -1.5  2022-10-20
2    2022年08月 -5.9 -0.4  2022-09-21
3    2022年07月 -5.4 -5.9  2022-08-18
4    2022年06月 -3.4 -5.4  2022-07-20
..        ...  ...  ...         ...
166  2008年07月  5.3 -3.2  2008-08-28
167  2008年06月 -4.7  5.3  2008-07-29
168  2008年05月  6.3 -4.7  2008-06-28
169  2008年04月  0.0  6.3  2008-05-29
170  2008年01月 -1.5  0.0  2008-02-28
```

##### 美国谘商会消费者信心指数报告

接口: macro_usa_cb_consumer_confidence

目标地址: https://cdn.jin10.com/dc/reports/dc_usa_cb_consumer_confidence_all.js?v=1578576859

描述: 美国谘商会消费者信心指数报告, 数据区间从 19700101-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型    | 描述    |
|-----|-------|-------|
| 日期  | str   | 日期-索引 |
| 值   | float | -     |

接口示例

```python
import akshare as ak

macro_usa_cb_consumer_confidence_se = ak.macro_usa_cb_consumer_confidence()
print(macro_usa_cb_consumer_confidence_se.name)
print(macro_usa_cb_consumer_confidence_se)
```

数据示例

macro_usa_cb_consumer_confidence_se.name

```
cb_consumer_confidence
```

macro_usa_cb_consumer_confidence_se: pandas.Series

```
1970-01-01      126
1970-02-01      126
1970-03-01    101.7
1970-04-01    101.7
1970-05-01       98
              ...
2019-09-24    126.3
2019-10-29    126.1
2019-11-26    126.8
2019-12-31    126.5
2020-01-28        0
```

##### 美国NFIB小型企业信心指数报告

接口: macro_usa_nfib_small_business

目标地址: https://cdn.jin10.com/dc/reports/dc_usa_nfib_small_business_all.js?v=1578576631

描述: 获取美国NFIB小型企业信心指数报告, 数据区间从19750201-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_nfib_small_business_se = ak.macro_usa_nfib_small_business()
print(macro_usa_nfib_small_business_se.name)
print(macro_usa_nfib_small_business_se)
```

数据示例

macro_usa_nfib_small_business_se.name

```
nfib_small_business
```

macro_usa_nfib_small_business_se: pandas.Series

```
1975-02-01     86.67
1975-05-01     95.16
1975-08-01     99.36
1975-11-01    100.37
1976-02-01    102.01
               ...
2019-09-10     103.1
2019-10-08     101.8
2019-11-12     102.4
2019-12-10     104.7
2020-01-14         0
```

##### 美国密歇根大学消费者信心指数初值报告

接口: macro_usa_michigan_consumer_sentiment

目标地址: https://cdn.jin10.com/dc/reports/dc_usa_michigan_consumer_sentiment_all.js?v=1578576228

描述: 获取美国密歇根大学消费者信心指数初值报告, 数据区间从19700301-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_michigan_consumer_sentiment_se = ak.macro_usa_michigan_consumer_sentiment()
print(macro_usa_michigan_consumer_sentiment_se.name)
print(macro_usa_michigan_consumer_sentiment_se)
```

数据示例

macro_usa_michigan_consumer_sentiment_se.name

```
michigan_consumer_sentiment
```

macro_usa_michigan_consumer_sentiment_se: pandas.Series

```
1970-03-01    78.1
1970-06-01    75.4
1970-09-01    77.6
1970-12-01    72.4
1971-03-01    78.1
              ...
2019-11-08    95.5
2019-11-22    96.8
2019-12-06    96.8
2019-12-20    99.3
2020-01-17       0
```

#### 其他

##### 美国EIA原油库存报告

接口: macro_usa_eia_crude_rate

目标地址: https://cdn.jin10.com/dc/reports/dc_usa_michigan_consumer_sentiment_all.js?v=1578576228

描述: 获取美国EIA原油库存报告, 数据区间从19950801-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_eia_crude_rate_se = ak.macro_usa_eia_crude_rate()
print(macro_usa_eia_crude_rate_se.name)
print(macro_usa_eia_crude_rate_se)
```

数据示例

macro_usa_eia_crude_rate_se.name

```
eia_crude_rate
```

macro_usa_eia_crude_rate_se: pandas.Series

```
1982-09-01     -262.6
1982-10-01         -8
1982-11-01      -41.3
1982-12-01      -87.6
1983-01-01       51.3
               ...
2019-12-27          0
2019-12-28     -547.4
2020-01-04    -1146.3
2020-01-08      116.4
2020-01-15          0
```

##### 美国初请失业金人数报告

接口: macro_usa_initial_jobless

目标地址: https://cdn.jin10.com/dc/reports/dc_usa_michigan_consumer_sentiment_all.js?v=1578576228

描述: 获取美国初请失业金人数报告, 数据区间从19700101-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 值      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_initial_jobless_se = ak.macro_usa_initial_jobless()
print(macro_usa_initial_jobless_se.name)
print(macro_usa_initial_jobless_se)
```

数据示例

macro_usa_initial_jobless_se.name

```
initial_jobless
```

macro_usa_initial_jobless_se: pandas.Series

```
1970-01-01    22.1087
1970-02-01    24.9318
1970-03-01      25.85
1970-04-01    26.8682
1970-05-01    33.1591
               ...
2019-12-19       23.5
2019-12-26       22.4
2020-01-02       22.3
2020-01-09       21.4
2020-01-16          0
```

##### 美国原油产量报告

接口: macro_usa_crude_inner

目标地址: https://cdn.jin10.com/dc/reports/dc_usa_michigan_consumer_sentiment_all.js?v=1578576228

描述: 获取美国原油产量报告, 数据区间从19830107-至今, 每周三公布(美国节假日除外), 美国能源信息署(EIA)

限量: 单次返回所有历史数据

报告内容: 美国能源信息署（EIA）在北京时间每周三晚公布EIA报告，除了公布美国原油库存、汽油库存等数据外，报告还包含美国上周国内原油产量的数据。 报告组成：美国国内原油产量、美国本土48州原油产量和美国阿拉斯加州原油产量。
数据关系：美国国内原油产量=美国本土48州原油产量+美国阿拉斯加州原油产量 单位均为万桶/日。

数据解读: 该数据反映了美国原油供应侧的情况，理论而言，当美国国内原油产量录得增加，通常导致油价下跌；当产量减少，则通常导致油价上扬。

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | 日期-索引  |
| 美国国内原油总量_产量      | float   | Y        | -   |
| 美国国内原油总量_变化      | float   | Y        | -   |
| 美国本土48州原油产量_产量      | float   | Y        | -   |
| 美国本土48州原油产量_变化      | float   | Y        | -   |
| 美国阿拉斯加州原油产量_产量      | float   | Y        | -   |
| 美国阿拉斯加州原油产量_变化      | float   | Y        | -   |

接口示例

```python
import akshare as ak

macro_usa_crude_inner_df = ak.macro_usa_crude_inner()
print(macro_usa_crude_inner_df)
```

数据示例

```
            美国国内原油总量_产量  美国国内原油总量_变化  ...  美国阿拉斯加州原油产量_产量  美国阿拉斯加州原油产量_变化
2020-04-10       1230.0        -10.0  ...            47.7            -0.4
2020-04-03       1240.0        -60.0  ...            48.1             0.6
2020-03-27       1300.0          0.0  ...            47.5             1.6
2020-03-20       1300.0        -10.0  ...            45.9            -1.9
2020-03-13       1310.0         10.0  ...            47.8             0.5
                 ...          ...  ...             ...             ...
1983-02-04        866.0          2.6  ...             0.0             0.0
1983-01-28        863.4          0.0  ...             0.0             0.0
1983-01-21        863.4          0.0  ...             0.0             0.0
1983-01-14        863.4          0.0  ...             0.0             0.0
1983-01-07        863.4          NaN  ...             0.0             NaN
```

### 欧元区宏观

#### 国民经济运行状况

##### 经济状况

###### 欧元区季度GDP年率报告

接口: macro_euro_gdp_yoy

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_gdp_yoy

描述: 欧元区季度 GDP 年率报告, 数据区间从 20131114-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_gdp_yoy_df = ak.macro_euro_gdp_yoy()
print(macro_euro_gdp_yoy_df)
```

数据示例

```
             商品          日期   今值  预测值   前值
0    欧元区季度GDP年率  2013-11-14 -0.4 -0.3 -0.5
1    欧元区季度GDP年率  2013-12-04 -0.4 -0.4 -0.4
2    欧元区季度GDP年率  2014-01-10 -0.3 -0.4 -0.4
3    欧元区季度GDP年率  2014-02-14  0.5  0.4 -0.3
4    欧元区季度GDP年率  2014-03-05  0.5  0.5  0.5
..          ...         ...  ...  ...  ...
97   欧元区季度GDP年率  2022-07-29  4.0  3.4  5.4
98   欧元区季度GDP年率  2022-08-17  3.9  4.0  4.0
99   欧元区季度GDP年率  2022-09-07  4.1  3.9  5.4
100  欧元区季度GDP年率  2022-10-31  2.1  NaN  4.3
101  欧元区季度GDP年率  2022-11-15  NaN  4.0  2.1
```

##### 物价水平

###### 欧元区CPI月率报告

接口: macro_euro_cpi_mom

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_cpi_mom

描述: 欧元区 CPI 月率报告, 数据区间从 19900301-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_cpi_mom_df = ak.macro_euro_cpi_mom()
print(macro_euro_cpi_mom_df)
```

数据示例

```
          商品          日期   今值  预测值   前值
0    欧元区CPI月率  1990-03-01  0.4  NaN  NaN
1    欧元区CPI月率  1990-04-01  0.2  NaN  0.4
2    欧元区CPI月率  1990-05-01  0.4  NaN  0.2
3    欧元区CPI月率  1990-06-01  0.2  NaN  0.4
4    欧元区CPI月率  1990-07-01  0.1  NaN  0.2
..        ...         ...  ...  ...  ...
421  欧元区CPI月率  2022-09-16  0.6  0.5  0.1
422  欧元区CPI月率  2022-09-30  1.2  0.9  0.6
423  欧元区CPI月率  2022-10-19  1.2  1.2  0.6
424  欧元区CPI月率  2022-10-31  1.5  NaN  1.2
425  欧元区CPI月率  2022-11-17  NaN  1.2  1.2
```

###### 欧元区CPI年率报告

接口: macro_euro_cpi_yoy

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_cpi_yoy

描述: 欧元区 CPI 年率报告, 数据区间从 19910201-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_cpi_yoy_df = ak.macro_euro_cpi_yoy()
print(macro_euro_cpi_yoy_df)
```

数据示例

```
           商品          日期    今值   预测值    前值
0    欧元区CPI年率  1991-02-01   0.0   NaN   NaN
1    欧元区CPI年率  1991-03-01   4.1   NaN   3.9
2    欧元区CPI年率  1991-04-01   3.9   NaN   4.1
3    欧元区CPI年率  1991-05-01   3.9   NaN   3.9
4    欧元区CPI年率  1991-06-01   4.1   NaN   3.9
..        ...         ...   ...   ...   ...
556  欧元区CPI年率  2022-09-16   9.1   9.1   9.1
557  欧元区CPI年率  2022-09-30  10.0   9.7   9.1
558  欧元区CPI年率  2022-10-19   9.9  10.0   9.1
559  欧元区CPI年率  2022-10-31  10.7  10.2   9.9
560  欧元区CPI年率  2022-11-17   NaN  10.0  10.7
```

###### 欧元区PPI月率报告

接口: macro_euro_ppi_mom

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_ppi_mom

描述: 欧元区 PPI 月率报告, 数据区间从 19810301-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_ppi_mom_df = ak.macro_euro_ppi_mom()
print(macro_euro_ppi_mom_df)
```

数据示例

```
           商品          日期   今值  预测值   前值
0    欧元区PPI月率  1981-03-01  1.0  NaN  NaN
1    欧元区PPI月率  1981-04-01  0.7  NaN  1.0
2    欧元区PPI月率  1981-05-01  1.5  NaN  0.7
3    欧元区PPI月率  1981-06-01  0.7  NaN  1.5
4    欧元区PPI月率  1981-07-01  0.6  NaN  0.7
..        ...         ...  ...  ...  ...
499  欧元区PPI月率  2022-07-04  0.7  1.0  1.2
500  欧元区PPI月率  2022-08-03  1.1  1.0  0.5
501  欧元区PPI月率  2022-09-02  4.0  2.5  1.3
502  欧元区PPI月率  2022-10-04  5.0  4.9  4.0
503  欧元区PPI月率  2022-11-04  NaN  1.7  5.0
```

###### 欧元区零售销售月率报告

接口: macro_euro_retail_sales_mom

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_retail_sales_mom

描述: 欧元区零售销售月率报告, 数据区间从 20000301-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_retail_sales_mom_df = ak.macro_euro_retail_sales_mom()
print(macro_euro_retail_sales_mom_df)
```

数据示例

```
            商品          日期   今值  预测值   前值
0    欧元区零售销售月率  2000-03-01  0.7  NaN  NaN
1    欧元区零售销售月率  2000-04-01 -0.3  NaN  0.7
2    欧元区零售销售月率  2000-05-01  0.7  NaN -0.3
3    欧元区零售销售月率  2000-06-01  0.3  NaN  0.7
4    欧元区零售销售月率  2000-07-01  0.1  NaN  0.3
..         ...         ...  ...  ...  ...
271  欧元区零售销售月率  2022-07-06  0.2  0.4 -1.4
272  欧元区零售销售月率  2022-08-03 -1.2  0.1  0.4
273  欧元区零售销售月率  2022-09-05  0.3  0.4 -1.0
274  欧元区零售销售月率  2022-10-06 -0.3 -0.4 -0.4
275  欧元区零售销售月率  2022-11-08  NaN -0.4 -0.3
```

##### 劳动力市场

###### 欧元区季调后就业人数季率报告

接口: macro_euro_employment_change_qoq

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_employment_change_qoq

描述: 欧元区季调后就业人数季率报告, 数据区间从 20083017-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_employment_change_qoq_df = ak.macro_euro_employment_change_qoq()
print(macro_euro_employment_change_qoq_df)
```

数据示例

```
              商品          日期   今值  预测值   前值
0   欧元区季调后就业人数季率  2008-03-17  0.2  0.0  0.3
1   欧元区季调后就业人数季率  2008-06-13  0.3  0.0  0.2
2   欧元区季调后就业人数季率  2008-09-12  0.2  NaN  0.3
3   欧元区季调后就业人数季率  2008-12-16 -0.1  NaN  0.2
4   欧元区季调后就业人数季率  2009-03-16 -0.3  NaN -0.1
..           ...         ...  ...  ...  ...
70  欧元区季调后就业人数季率  2022-03-08  0.5  0.5  0.9
71  欧元区季调后就业人数季率  2022-05-17  0.5  NaN  0.4
72  欧元区季调后就业人数季率  2022-06-08  0.6  0.5  0.4
73  欧元区季调后就业人数季率  2022-08-17  0.3  NaN  0.6
74  欧元区季调后就业人数季率  2022-09-07  0.4  0.3  0.7
```

###### 欧元区失业率报告

接口: macro_euro_unemployment_rate_mom

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_unemployment_rate_mom

描述: 欧元区失业率报告, 数据区间从 19980501-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_unemployment_rate_mom_df = ak.macro_euro_unemployment_rate_mom()
print(macro_euro_unemployment_rate_mom_df)
```

数据示例

```
         商品          日期    今值  预测值    前值
0    欧元区失业率  1998-05-01  10.6  NaN   NaN
1    欧元区失业率  1998-06-01  10.5  NaN  10.6
2    欧元区失业率  1998-07-01  10.5  NaN  10.5
3    欧元区失业率  1998-08-01  10.4  NaN  10.5
4    欧元区失业率  1998-09-01  10.4  NaN  10.4
..      ...         ...   ...  ...   ...
290  欧元区失业率  2022-06-30   6.6  6.8   6.7
291  欧元区失业率  2022-08-01   6.6  6.6   6.6
292  欧元区失业率  2022-09-01   6.6  6.6   6.7
293  欧元区失业率  2022-09-30   6.6  6.6   6.6
294  欧元区失业率  2022-11-03   6.6  6.6   6.7
```

#### 贸易状况

##### 欧元区未季调贸易帐报告

接口: macro_euro_trade_balance

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_trade_balance_mom

描述: 欧元区未季调贸易帐报告, 数据区间从 19990201-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_trade_balance_df = ak.macro_euro_trade_balance()
print(macro_euro_trade_balance_df)
```

数据示例

```
            商品          日期     今值    预测值     前值
0    欧元区未季调贸易帐  1999-02-01  -27.0    NaN    NaN
1    欧元区未季调贸易帐  1999-03-01   19.0    NaN  -27.0
2    欧元区未季调贸易帐  1999-04-01   27.0    NaN   19.0
3    欧元区未季调贸易帐  1999-05-01   21.0    NaN   27.0
4    欧元区未季调贸易帐  1999-06-01   -9.0    NaN   21.0
..         ...         ...    ...    ...    ...
281  欧元区未季调贸易帐  2022-07-15 -263.0    NaN -328.0
282  欧元区未季调贸易帐  2022-08-16 -246.0 -200.0 -284.0
283  欧元区未季调贸易帐  2022-09-15 -340.0 -200.0 -254.0
284  欧元区未季调贸易帐  2022-10-14 -509.0    NaN -339.0
285  欧元区未季调贸易帐  2022-11-15    NaN    NaN -509.0
```

##### 欧元区经常帐报告

接口: macro_euro_current_account_mom

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_current_account_mom

描述: 欧元区经常帐报告, 数据区间从 20080221-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_current_account_mom_df = ak.macro_euro_current_account_mom()
print(macro_euro_current_account_mom_df)
```

数据示例

```
         商品          日期     今值    预测值     前值
0    欧元区经常帐  1999-02-01 -150.0    NaN    NaN
1    欧元区经常帐  2003-07-01   10.0    NaN    0.0
2    欧元区经常帐  2008-02-21 -103.0    2.0    7.0
3    欧元区经常帐  2008-03-26 -106.0    0.0 -103.0
4    欧元区经常帐  2008-04-24   43.0    0.0 -106.0
..      ...         ...    ...    ...    ...
175  欧元区经常帐  2022-07-20  -45.0    NaN  -58.0
176  欧元区经常帐  2022-08-19   42.0    NaN  -45.0
177  欧元区经常帐  2022-09-20 -199.0   53.0   42.0
178  欧元区经常帐  2022-10-20 -263.0 -203.0 -199.0
179  欧元区经常帐  2022-11-22    NaN    NaN -263.0
```

#### 产业指标

##### 欧元区工业产出月率报告

接口: macro_euro_industrial_production_mom

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_industrial_production_mom

描述: 欧元区工业产出月率报告, 数据区间从 19910301-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_industrial_production_mom_df = ak.macro_euro_industrial_production_mom()
print(macro_euro_industrial_production_mom_df)
```

数据示例

```
            商品          日期   今值  预测值   前值
0    欧元区工业产出月率  1991-03-01 -1.1  NaN  NaN
1    欧元区工业产出月率  1991-04-01 -1.0  NaN -1.1
2    欧元区工业产出月率  1991-05-01 -0.5  NaN -1.0
3    欧元区工业产出月率  1991-06-01 -0.1  NaN -0.5
4    欧元区工业产出月率  1991-07-01  1.9  NaN -0.1
..         ...         ...  ...  ...  ...
380  欧元区工业产出月率  2022-07-13  0.8  0.3  0.5
381  欧元区工业产出月率  2022-08-12  0.7  0.2  2.1
382  欧元区工业产出月率  2022-09-14 -2.3 -1.0  1.1
383  欧元区工业产出月率  2022-10-12  1.5  0.6 -2.3
384  欧元区工业产出月率  2022-11-14  NaN  NaN  1.5
```

##### 欧元区制造业PMI初值报告

接口: macro_euro_manufacturing_pmi

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_manufacturing_pmi

描述: 欧元区制造业 PMI 初值报告, 数据区间从 20080222-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_manufacturing_pmi_df = ak.macro_euro_manufacturing_pmi()
print(macro_euro_manufacturing_pmi_df)
```

数据示例

```
              商品          日期    今值   预测值    前值
0    欧元区制造业PMI初值  2008-02-22  52.3  52.5  52.8
1    欧元区制造业PMI初值  2008-03-03  52.3  52.3  52.3
2    欧元区制造业PMI初值  2008-03-20  52.0  52.0  52.3
3    欧元区制造业PMI初值  2008-04-01  52.0  52.0  52.0
4    欧元区制造业PMI初值  2008-04-23  51.8  51.6  52.0
..           ...         ...   ...   ...   ...
353  欧元区制造业PMI初值  2022-09-23  48.5  48.7  49.6
354  欧元区制造业PMI初值  2022-10-03  48.4  48.5  49.6
355  欧元区制造业PMI初值  2022-10-24  46.6  47.8  48.4
356  欧元区制造业PMI初值  2022-11-02  46.4  46.6  48.4
357  欧元区制造业PMI初值  2022-11-23   NaN   NaN  46.4
```

##### 欧元区服务业PMI终值报告

接口: macro_euro_services_pmi

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_services_pmi

描述: 欧元区服务业 PMI 终值报告, 数据区间从 20080222-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_services_pmi_df = ak.macro_euro_services_pmi()
print(macro_euro_services_pmi_df)
```

数据示例

```
              商品          日期    今值   预测值    前值
0    欧元区服务业PMI终值  2008-02-22  52.3  51.0  50.6
1    欧元区服务业PMI终值  2008-03-05  52.3  52.3  52.3
2    欧元区服务业PMI终值  2008-04-03  51.6   0.0  51.7
3    欧元区服务业PMI终值  2008-04-23  51.8  51.4  51.6
4    欧元区服务业PMI终值  2008-05-06  52.0  51.8  51.8
..           ...         ...   ...   ...   ...
351  欧元区服务业PMI终值  2022-09-23  48.9  49.0  49.8
352  欧元区服务业PMI终值  2022-10-05  48.8  48.9  49.8
353  欧元区服务业PMI终值  2022-10-24  48.2  48.2  48.8
354  欧元区服务业PMI终值  2022-11-04   NaN  48.2  48.2
355  欧元区服务业PMI终值  2022-11-23   NaN  48.2  48.8
```

#### 领先指标

##### 欧元区ZEW经济景气指数报告

接口: macro_euro_zew_economic_sentiment

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_zew_economic_sentiment

描述: 欧元区 ZEW 经济景气指数报告, 数据区间从 20080212-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_zew_economic_sentiment_df = ak.macro_euro_zew_economic_sentiment()
print(macro_euro_zew_economic_sentiment_df)
```

数据示例

```
               商品          日期    今值   预测值    前值
0    欧元区ZEW经济景气指数  2008-02-12 -41.4 -43.0 -41.7
1    欧元区ZEW经济景气指数  2008-03-11 -35.0 -42.0 -41.4
2    欧元区ZEW经济景气指数  2008-04-15 -44.8 -33.0 -35.0
3    欧元区ZEW经济景气指数  2008-05-20 -43.6 -44.2 -44.8
4    欧元区ZEW经济景气指数  2008-06-17 -52.7 -43.9 -43.6
..            ...         ...   ...   ...   ...
174  欧元区ZEW经济景气指数  2022-07-12  51.1   NaN -28.0
175  欧元区ZEW经济景气指数  2022-08-16 -54.9 -57.0 -51.1
176  欧元区ZEW经济景气指数  2022-09-13 -60.7 -58.3 -54.9
177  欧元区ZEW经济景气指数  2022-10-18 -59.7 -61.2 -60.7
178  欧元区ZEW经济景气指数  2022-11-15   NaN   NaN -59.7
```

##### 欧元区Sentix投资者信心指数报告

接口: macro_euro_sentix_investor_confidence

目标地址: https://datacenter.jin10.com/reportType/dc_eurozone_sentix_investor_confidence

描述: 欧元区 Sentix 投资者信心指数报告, 数据区间从 20020801-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_euro_sentix_investor_confidence_df = ak.macro_euro_sentix_investor_confidence()
print(macro_euro_sentix_investor_confidence_df)
```

数据示例

```
                   商品          日期    今值   预测值    前值
0    欧元区Sentix投资者信心指数  2002-08-01  13.0   NaN   NaN
1    欧元区Sentix投资者信心指数  2002-10-01  -8.5   NaN  13.0
2    欧元区Sentix投资者信心指数  2003-02-01 -21.8   NaN  -8.5
3    欧元区Sentix投资者信心指数  2003-03-01 -22.8   NaN -21.8
4    欧元区Sentix投资者信心指数  2003-04-01 -19.4   NaN -22.8
..                ...         ...   ...   ...   ...
239  欧元区Sentix投资者信心指数  2022-07-04 -26.4 -19.9 -15.8
240  欧元区Sentix投资者信心指数  2022-08-08 -25.2 -24.7 -26.4
241  欧元区Sentix投资者信心指数  2022-09-05 -31.8 -27.5 -25.2
242  欧元区Sentix投资者信心指数  2022-10-10 -38.3 -34.7 -31.8
243  欧元区Sentix投资者信心指数  2022-11-07   NaN -34.7 -38.3
```

### 德国宏观

#### IFO商业景气指数

接口: macro_germany_ifo

目标地址: https://data.eastmoney.com/cjsj/foreign_1_0.html

描述: 东方财富-数据中心-经济数据一览-IFO商业景气指数

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_germany_ifo_df = ak.macro_germany_ifo()
print(macro_germany_ifo_df)
```

数据示例

```
       时间      前值    现值    发布日期
0    2008年01月  98.3  97.9  2008-01-25
1    2008年02月  97.9  97.8  2008-02-25
2    2008年03月  97.8  97.9  2008-03-25
3    2008年04月  97.9  97.1  2008-04-25
4    2008年05月  97.1  96.6  2008-05-25
..        ...   ...   ...         ...
173  2022年06月  93.3  92.3  2022-06-24
174  2022年07月  92.3  88.6  2022-07-25
175  2022年08月  88.6  88.6  2022-08-25
176  2022年09月  88.6  84.4  2022-09-26
177  2022年10月  84.4  84.3  2022-10-25
```

#### 消费者物价指数月率终值

接口: macro_germany_cpi_monthly

目标地址: https://data.eastmoney.com/cjsj/foreign_1_1.html

描述: 东方财富-数据中心-经济数据一览-德国-消费者物价指数月率终值

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_germany_cpi_monthly_df = ak.macro_germany_cpi_monthly()
print(macro_germany_cpi_monthly_df)
```

数据示例

```
      时间   前值   现值        发布日期
0    2008年01月  0.7 -0.4  2008-02-16
1    2008年02月 -0.4  0.6  2008-03-18
2    2008年03月  0.6  0.5  2008-04-16
3    2008年04月  0.5 -0.3  2008-05-17
4    2008年05月 -0.3  0.7  2008-06-16
..        ...  ...  ...         ...
171  2022年05月  0.7  1.1  2022-06-17
172  2022年06月  1.1 -0.1  2022-07-19
173  2022年07月 -0.1  0.8  2022-08-18
174  2022年08月  0.8  0.4  2022-09-16
175  2022年09月  0.4  2.2  2022-10-19
```

#### 消费者物价指数年率终值

接口: macro_germany_cpi_yearly

目标地址: https://data.eastmoney.com/cjsj/foreign_1_2.html

描述: 东方财富-数据中心-经济数据一览-德国-消费者物价指数年率终值

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_germany_cpi_yearly_df = ak.macro_germany_cpi_yearly()
print(macro_germany_cpi_yearly_df)
```

数据示例

```
     时间   前值    现值        发布日期
0    2008年01月  3.1   2.9  2008-02-16
1    2008年02月  2.9   3.0  2008-03-18
2    2008年03月  3.0   3.3  2008-04-16
3    2008年04月  3.3   2.6  2008-05-17
4    2008年05月  2.6   3.1  2008-06-16
..        ...  ...   ...         ...
172  2022年05月  7.8   8.7  2022-06-17
173  2022年06月  8.7   8.2  2022-07-19
174  2022年07月  8.2   8.5  2022-08-18
175  2022年08月  8.5   8.8  2022-09-16
176  2022年09月  8.8  10.9  2022-10-19
```

#### 贸易帐-季调后

接口: macro_germany_trade_adjusted

目标地址: https://data.eastmoney.com/cjsj/foreign_1_3.html

描述: 东方财富-数据中心-经济数据一览-德国-贸易帐(季调后)

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_germany_trade_adjusted_df = ak.macro_germany_trade_adjusted()
print(macro_germany_trade_adjusted_df)
```

数据示例

```
      时间    前值    现值        发布日期
0    2008年01月  15.5  17.2  2008-03-10
1    2008年02月  17.2  16.3  2008-04-10
2    2008年03月  16.3  16.8  2008-05-09
3    2008年04月  16.8  16.8  2008-06-09
4    2008年05月  16.8  15.3  2008-07-09
..        ...   ...   ...         ...
173  2022年06月   3.2   5.7  2022-08-03
174  2022年07月   5.7   3.4  2022-09-02
175  2022年08月   3.4   1.2  2022-10-05
176  2022年09月   1.2   3.7  2022-11-02
177  2022年10月   3.7   NaN  2022-12-02
```

#### GDP

接口: macro_germany_gdp

目标地址: https://data.eastmoney.com/cjsj/foreign_1_4.html

描述: 东方财富-数据中心-经济数据一览-德国-GDP

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_germany_gdp_df = ak.macro_germany_gdp()
print(macro_germany_gdp_df)
```

数据示例

```
      时间         前值         现值        发布日期
0   2008第1季度   3.911156   2.891346  2008-05-27
1   2008第2季度   2.891346   4.008347  2008-08-27
2   2008第3季度   4.008347   1.783758  2008-11-27
3   2008第4季度   1.783758  -1.075182  2009-02-26
4   2009第1季度  -1.075182  -5.727010  2009-05-27
5   2009第2季度  -5.727010  -6.526663  2009-08-27
6   2009第3季度  -6.526663  -3.618978  2009-11-27
7   2009第4季度  -3.618978  -0.203077  2010-02-26
8   2010第1季度  -0.203077   3.679816  2010-05-27
9   2010第2季度   3.679816   5.068024  2010-08-27
10  2010第3季度   5.068024   4.369179  2010-11-27
11  2010第4季度   4.369179   4.120271  2011-02-26
12  2011第1季度   4.120271   5.333064  2011-05-27
13  2011第2季度   5.333064   3.859840  2011-08-27
14  2011第3季度   3.859840   3.531578  2011-11-27
15  2011第4季度   3.531578   2.565706  2012-02-26
16  2012第1季度   2.565706   2.984836  2012-05-27
17  2012第2季度   2.984836   7.174241  2012-08-27
18  2012第3季度   7.174241   1.725317  2012-11-27
19  2012第4季度   1.725317   0.945122  2013-02-26
20  2013第1季度   0.945122   5.768754  2013-05-27
21  2013第2季度   5.768754   2.757222  2013-08-27
22  2013第3季度   2.757222   7.362522  2013-11-27
23  2013第4季度   7.362522   7.864693  2014-02-26
24  2014第1季度   7.864693   4.547053  2014-05-27
25  2014第2季度   4.547053   2.828708  2014-08-27
26  2014第3季度   2.828708   2.900608  2014-11-27
27  2014第4季度   2.900608   3.192026  2015-02-26
28  2015第1季度   3.192026   2.961665  2015-05-27
29  2015第2季度   2.961665   4.127740  2015-08-27
30  2015第3季度   4.127740   4.167399  2015-11-27
31  2015第4季度   4.167399   4.862430  2016-02-26
32  2016第1季度   4.862430   3.862071  2016-05-27
33  2016第2季度   3.862071   4.796750  2016-08-27
34  2016第3季度   4.796750   2.448969  2016-11-27
35  2016第4季度   2.448969   3.986182  2017-02-26
36  2017第1季度   3.986182   4.704109  2017-05-26
37  2017第2季度   4.704109   2.837963  2017-08-28
38  2017第3季度   2.837963   4.431038  2017-11-23
39  2017第4季度   4.431038   4.909609  2018-02-26
40  2018第1季度   4.909609   3.089480  2018-05-29
41  2018第2季度   3.089480   4.038992  2018-08-14
42  2018第3季度   4.038992   2.223463  2018-11-26
43  2018第4季度   2.223463   2.719435  2019-02-25
44  2019第1季度   2.719435   3.407325  2019-05-16
45  2019第2季度   3.407325   2.314198  2019-08-14
46  2019第3季度   2.314198   4.201790  2019-11-14
47  2019第4季度   4.201790   2.894518  2020-02-14
48  2020第1季度   2.894518   1.800183  2020-05-15
49  2020第2季度   1.800183  -7.679049  2020-08-14
50  2020第3季度  -7.679049  -1.829887  2020-11-24
51  2020第4季度  -1.829887  -0.180657  2021-02-24
52  2021第1季度  -0.180657  -0.562919  2021-05-25
53  2021第2季度  -0.562919  11.520925  2021-08-27
54  2021第3季度  11.520925   6.313908  2021-11-23
55  2021第4季度   6.313908   6.305223  2022-02-25
56  2022第1季度   6.305223   8.602949  2022-05-25
57  2022第2季度   8.602949   7.763706  2022-08-25
```

#### 实际零售销售月率

接口: macro_germany_retail_sale_monthly

目标地址: https://data.eastmoney.com/cjsj/foreign_1_5.html

描述: 东方财富-数据中心-经济数据一览-德国-实际零售销售月率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_germany_retail_sale_monthly_df = ak.macro_germany_retail_sale_monthly()
print(macro_germany_retail_sale_monthly_df)
```

数据示例

```
      时间    前值    现值        发布日期
0    2008年01月   4.5   4.4  2008-02-13
1    2008年02月   4.4   4.5  2008-03-15
2    2008年03月   4.5   5.1  2008-04-13
3    2008年04月   5.1   4.4  2008-05-14
4    2008年05月   4.4   4.8  2008-06-13
..        ...   ...   ...         ...
173  2022年06月   9.1  10.2  2022-07-13
174  2022年07月  10.2  11.5  2022-08-10
175  2022年08月  11.5  12.7  2022-09-13
176  2022年09月  12.7  14.1  2022-10-13
177  2022年10月  14.1   NaN  2022-11-11
```

#### 实际零售销售年率

接口: macro_germany_retail_sale_yearly

目标地址: https://data.eastmoney.com/cjsj/foreign_1_6.html

描述: 东方财富-数据中心-经济数据一览-德国-实际零售销售年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_germany_retail_sale_yearly_df = ak.macro_germany_retail_sale_yearly()
print(macro_germany_retail_sale_yearly_df)
```

数据示例

```
     时间   前值   现值        发布日期
0   2008年12月  3.2  3.9  2009-04-13
1   2009年12月  3.9 -0.1  2010-04-13
2   2010年12月 -0.1  0.4  2011-04-13
3   2011年12月  0.4  2.0  2012-04-12
4   2012年12月  2.0  2.5  2013-04-13
5   2013年12月  2.5  2.5  2014-11-18
6   2014年12月  2.5  1.0  2015-01-16
7   2015年12月  1.0  0.1  2016-01-16
8   2016年12月  0.1  0.6  2017-01-16
9   2017年12月  0.6  2.0  2018-01-16
10  2018年12月  2.0  1.9  2019-01-16
11  2019年12月  1.9  0.7  2020-01-16
12  2020年12月  0.7 -0.1  2021-01-19
13  2021年12月 -0.1  5.3  2022-01-19
14  2022年12月  5.3  NaN  2023-01-17
```

#### ZEW 经济景气指数

接口: macro_germany_zew

目标地址: https://data.eastmoney.com/cjsj/foreign_1_7.html

描述: 东方财富-数据中心-经济数据一览-德国-ZEW 经济景气指数

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_germany_zew_df = ak.macro_germany_zew()
print(macro_germany_zew_df)
```

数据示例

```
     时间    前值    现值        发布日期
0    2008年01月 -37.2 -41.6  2008-01-16
1    2008年02月 -41.6 -39.5  2008-02-16
2    2008年03月 -39.5 -32.0  2008-03-16
3    2008年04月 -32.0 -40.7  2008-04-16
4    2008年05月 -40.7 -41.4  2008-05-16
..        ...   ...   ...         ...
174  2022年07月 -28.0 -53.8  2022-07-12
175  2022年08月 -53.8 -55.3  2022-08-16
176  2022年09月 -55.3 -61.9  2022-09-13
177  2022年10月 -61.9 -59.2  2022-10-18
178  2022年11月 -59.2   NaN  2022-11-15
```

### 瑞士宏观

#### SVME 采购经理人指数

接口: macro_swiss_svme

目标地址: http://data.eastmoney.com/cjsj/foreign_2_0.html

描述: 东方财富-经济数据-瑞士-SVME采购经理人指数

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_swiss_svme_df = ak.macro_swiss_svme()
print(macro_swiss_svme_df)
```

数据示例

```
     时间    前值    现值        发布日期
0    2007年12月   NaN  62.2  2008-01-01
1    2008年01月  62.2  62.3  2008-02-01
2    2008年02月  62.3  60.5  2008-03-03
3    2008年03月  60.5  55.3  2008-04-01
4    2008年04月  55.3  56.7  2008-05-02
..        ...   ...   ...         ...
174  2022年06月  60.0  59.1  2022-07-01
175  2022年07月  59.1  58.0  2022-08-02
176  2022年08月  58.0  56.4  2022-09-01
177  2022年09月  56.4  57.1  2022-10-03
178  2022年10月  57.1  54.9  2022-11-01
```

#### 贸易帐

接口: macro_swiss_trade

目标地址: http://data.eastmoney.com/cjsj/foreign_2_1.html

描述: 东方财富-经济数据-瑞士-贸易帐

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_swiss_trade_df = ak.macro_swiss_trade()
print(macro_swiss_trade_df)
```

数据示例

```
     时间      前值      现值        发布日期
0   2007第4季度     NaN   1.980  2008-01-20
1   2008第1季度   1.980  12.500  2008-04-20
2   2008第2季度  12.500  24.128  2008-07-21
3   2008第3季度  24.128  14.400  2008-10-21
4   2008第4季度  14.400   2.200  2009-01-20
5   2009第1季度   2.200   1.210  2009-04-20
6   2009第2季度   1.210  15.700  2009-07-21
7   2009第3季度  15.700  19.200  2009-10-21
8   2009第4季度  19.200  14.000  2010-01-20
9   2010第1季度  14.000  20.000  2010-04-20
10  2010第2季度  20.000  18.000  2010-07-21
11  2010第3季度  18.000  17.000  2010-10-21
12  2010第4季度  17.000  12.600  2011-01-20
13  2011第1季度  12.600  11.000  2011-04-20
14  2011第2季度  11.000  17.000  2011-07-21
15  2011第3季度  17.000  19.000  2011-10-21
16  2011第4季度  19.000  20.000  2012-01-20
17  2012第1季度  20.000  17.000  2012-04-20
18  2012第2季度  17.000  22.000  2012-07-21
19  2012第3季度  22.000  20.100  2012-10-21
20  2012第4季度  20.100  10.000  2013-01-20
21  2013第1季度  10.000  19.000  2013-04-20
22  2013第2季度  19.000  27.000  2013-07-21
23  2013第3季度  27.000  25.000  2013-10-21
24  2013第4季度  25.000   5.000  2014-01-20
25  2014第1季度   5.000  21.000  2014-04-20
26  2014第2季度  21.000  14.000  2014-07-21
27  2014第3季度  14.000  24.500  2014-10-21
28  2014第4季度  24.500  15.000  2015-01-20
29  2015第1季度  15.000  25.000  2015-04-20
30  2015第2季度  25.000  35.800  2015-07-21
31  2015第3季度  35.800  30.500  2015-10-20
32  2015第4季度  30.500  25.400  2016-01-26
33  2016第1季度  25.400  21.630  2016-04-21
34  2016第2季度  21.630  35.460  2016-07-21
35  2016第3季度  35.460  43.740  2016-10-20
36  2016第4季度  43.740  27.160  2017-01-26
37  2017第1季度  27.160  31.010  2017-04-27
38  2017第2季度  31.010  28.130  2017-07-20
39  2017第3季度  28.130  29.200  2017-10-19
40  2017第4季度  29.200  26.320  2018-01-30
41  2018第1季度  26.320  17.680  2018-04-24
42  2018第2季度  17.680  26.000  2018-07-19
43  2018第3季度  26.000  24.340  2018-10-18
44  2018第4季度  24.340  18.970  2019-01-29
45  2019第1季度  18.970  31.790  2019-04-18
46  2019第2季度  31.790  40.960  2019-07-18
47  2019第3季度  40.960  40.200  2019-10-17
48  2019第4季度  40.200  19.640  2020-01-28
49  2020第1季度  19.640  40.200  2020-04-21
50  2020第2季度  40.200  32.160  2020-07-21
51  2020第3季度  32.160  32.790  2020-10-20
52  2020第4季度  32.790  28.810  2021-01-28
53  2021第1季度  28.810  58.160  2021-04-22
54  2021第2季度  58.160  55.300  2021-07-20
55  2021第3季度  55.300  50.520  2021-10-19
56  2021第4季度  50.520  36.930  2022-01-27
57  2022第1季度  36.930  29.880  2022-04-26
58  2022第2季度  29.880  38.030  2022-07-19
59  2022第3季度  38.030  40.030  2022-10-20
```

#### 消费者物价指数年率

接口: macro_swiss_cpi_yearly

目标地址: http://data.eastmoney.com/cjsj/foreign_2_2.html

描述: 东方财富-经济数据-瑞士-消费者物价指数年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_swiss_cpi_yearly_df = ak.macro_swiss_cpi_yearly()
print(macro_swiss_cpi_yearly_df)
```

数据示例

```
    时间   前值   现值        发布日期
0   2007第4季度  NaN  2.0  2008-01-08
1   2008第4季度  2.0  0.7  2009-01-08
2   2009第4季度  0.7  0.3  2010-01-08
3   2010第4季度  0.3  0.5  2011-01-08
4   2011第4季度  0.5 -0.7  2012-01-08
5   2012第4季度 -0.7 -0.4  2013-01-08
6   2013第4季度 -0.4  0.1  2014-01-08
7   2015第4季度 -0.3 -1.3  2016-01-08
8   2016第4季度 -1.3  0.0  2017-01-05
9   2017第4季度  0.0  0.8  2018-01-08
10  2018第4季度  0.8  0.7  2019-01-09
11  2014第4季度  0.1 -0.3  2019-01-09
12  2019第4季度  0.7  0.2  2020-01-07
13  2020第4季度  0.2 -0.8  2021-01-05
14  2021第4季度 -0.8  1.5  2022-01-04
```

#### GDP 季率

接口: macro_swiss_gdp_quarterly

目标地址: http://data.eastmoney.com/cjsj/foreign_2_3.html

描述: 东方财富-经济数据-瑞士-GDP 季率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_swiss_gdp_quarterly_df = ak.macro_swiss_gdp_quarterly()
print(macro_swiss_gdp_quarterly_df)
```

数据示例

```
    时间   前值   现值        发布日期
0   2007年12月  NaN  1.0  2008-03-01
1   2008年03月  1.0  0.3  2008-05-31
2   2008年06月  0.3  0.4  2008-08-31
3   2008年09月  0.4  0.0  2008-12-01
4   2008年12月  0.0 -0.3  2009-03-02
5   2009年03月 -0.3 -0.8  2009-05-31
6   2009年06月 -0.8 -0.3  2009-08-31
7   2009年09月 -0.3  0.3  2009-12-01
8   2009年12月  0.3  0.7  2010-03-02
9   2010年03月  0.7  0.4  2010-05-31
10  2010年06月  0.4  0.9  2010-08-31
11  2010年09月  0.9  0.7  2010-12-01
12  2010年12月  0.7  0.9  2011-03-02
13  2011年03月  0.9  0.3  2011-05-31
14  2011年06月  0.3  0.4  2011-08-31
15  2011年09月  0.4  0.2  2011-12-01
16  2011年12月  0.2  0.1  2012-03-01
17  2012年03月  0.1  0.7  2012-05-31
18  2012年06月  0.7 -0.1  2012-08-31
19  2012年09月 -0.1  0.6  2012-12-01
20  2012年12月  0.6  0.2  2013-03-02
21  2013年03月  0.2  0.6  2013-05-31
22  2013年06月  0.6  0.5  2013-08-31
23  2013年09月  0.5  0.5  2013-12-01
24  2013年12月  0.5  0.2  2014-03-02
25  2014年03月  0.2  0.5  2014-05-31
26  2014年06月  0.5  0.0  2014-08-31
27  2014年09月  0.0  0.6  2014-12-01
28  2014年12月  0.6  0.6  2015-03-02
29  2015年03月  0.6 -0.2  2015-05-29
30  2015年06月 -0.2  0.2  2015-08-28
31  2015年09月  0.2  0.0  2015-12-01
32  2015年12月  0.0  0.4  2016-03-02
33  2016年03月  0.4  0.1  2016-06-01
34  2016年06月  0.1  0.6  2016-09-06
35  2016年09月  0.6  0.0  2016-12-02
36  2016年12月  0.0  0.1  2017-03-02
37  2017年03月  0.1  0.3  2017-06-01
38  2017年06月  0.3  0.3  2017-09-05
39  2017年09月  0.3  0.6  2017-11-30
40  2017年12月  0.6  0.6  2018-03-01
41  2018年03月  0.6  0.6  2018-05-31
42  2018年06月  0.6  0.7  2018-09-06
43  2018年09月  0.7 -0.2  2018-11-29
44  2018年12月 -0.2  0.2  2019-02-28
45  2019年03月  0.2  0.6  2019-05-28
46  2019年06月  0.6  0.3  2019-09-05
47  2019年09月  0.3  0.4  2019-11-28
48  2019年12月  0.4  0.3  2020-03-03
49  2020年03月  0.3 -2.6  2020-06-03
50  2020年06月 -2.6 -8.2  2020-08-27
51  2020年09月 -8.2  7.2  2020-12-01
52  2020年12月  7.2  0.3  2021-03-03
53  2021年03月  0.3 -0.5  2021-06-01
54  2021年09月  1.8  1.7  2021-09-07
55  2021年06月 -0.5  1.8  2022-01-10
56  2021年12月  1.7  0.3  2022-02-28
57  2022年03月  0.3  0.5  2022-05-31
58  2022年06月  0.5  0.3  2022-09-05
```

#### GDP 年率

接口: macro_swiss_gbd_yearly

目标地址: http://data.eastmoney.com/cjsj/foreign_2_4.html

描述: 东方财富-经济数据-瑞士-GDP 年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_swiss_gbd_yearly_df = ak.macro_swiss_gbd_yearly()
print(macro_swiss_gbd_yearly_df)
```

数据示例

```
    时间   前值   现值        发布日期
0   2007年12月  NaN  3.6  2008-03-02
1   2008年12月  3.6 -0.6  2009-03-03
2   2009年12月 -0.6  0.6  2010-03-03
3   2010年12月  0.6  3.1  2011-03-03
4   2011年12月  3.1  1.3  2012-03-02
5   2012年12月  1.3  1.4  2013-03-03
6   2013年12月  1.4  1.7  2014-03-03
7   2014年12月  1.7  1.9  2015-03-03
8   2015年12月  1.9  0.4  2016-03-02
9   2016年12月  0.4  0.6  2017-03-02
10  2017年12月  0.6  1.9  2018-03-01
11  2018年12月  1.9  1.4  2019-02-28
12  2019年12月  1.4  1.5  2020-03-03
13  2020年12月  1.5 -1.6  2021-03-03
14  2021年12月 -1.6  3.7  2022-02-28
```

#### 央行公布利率决议

接口: macro_swiss_gbd_bank_rate

目标地址: http://data.eastmoney.com/cjsj/foreign_2_5.html

描述: 东方财富-经济数据-瑞士-央行公布利率决议

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_swiss_gbd_bank_rate_df = ak.macro_swiss_gbd_bank_rate()
print(macro_swiss_gbd_bank_rate_df)
```

数据示例

```
     时间    前值    现值        发布日期
0   2008年03月   NaN  2.75  2008-03-16
1   2008年06月  2.75  2.75  2008-06-16
2   2008年09月  2.75  2.75  2008-09-16
3   2008年12月  2.75  0.50  2008-12-16
4   2009年03月  0.50  0.25  2009-03-16
5   2009年06月  0.25  0.25  2009-06-16
6   2009年09月  0.25  0.25  2009-09-16
7   2009年12月  0.25  0.25  2009-12-16
8   2010年03月  0.25  0.25  2010-03-16
9   2010年06月  0.25  0.25  2010-06-16
10  2010年09月  0.25  0.25  2010-09-16
11  2010年12月  0.25  0.25  2010-12-16
12  2011年03月  0.25  0.25  2011-03-16
13  2011年06月  0.25  0.25  2011-06-16
14  2011年09月  0.25  0.00  2011-09-16
15  2011年12月  0.00  0.00  2011-12-16
16  2012年03月  0.00  0.00  2012-03-16
17  2012年06月  0.00  0.00  2012-06-16
18  2012年09月  0.00  0.00  2012-09-16
19  2012年12月  0.00  0.00  2012-12-16
20  2013年03月  0.00  0.00  2013-03-16
21  2013年06月  0.00  0.00  2013-06-16
22  2013年09月  0.00  0.00  2013-09-16
23  2013年12月  0.00  0.00  2013-12-16
24  2014年03月  0.00  0.00  2014-03-16
25  2014年06月  0.00  0.00  2014-06-16
26  2014年09月  0.00  0.00  2014-09-16
27  2014年12月  0.00 -0.25  2014-12-11
28  2015年03月 -0.25 -0.75  2015-03-19
29  2015年06月 -0.75 -0.75  2015-06-18
30  2015年09月 -0.75 -0.75  2015-09-17
31  2015年12月 -0.75 -0.75  2015-12-10
32  2016年03月 -0.75 -0.75  2016-03-17
33  2016年06月 -0.75 -0.75  2016-06-16
34  2016年09月 -0.75 -0.75  2016-09-15
35  2016年12月 -0.75 -0.75  2016-12-15
36  2017年03月 -0.75 -0.75  2017-03-16
37  2017年06月 -0.75 -0.75  2017-06-15
38  2017年09月 -0.75 -0.75  2017-09-14
39  2017年12月 -0.75 -0.75  2017-12-14
40  2018年03月 -0.75 -0.75  2018-03-15
41  2018年06月 -0.75 -0.75  2018-06-21
42  2018年09月 -0.75 -0.75  2018-09-20
43  2018年12月 -0.75 -0.75  2018-12-13
44  2019年03月 -0.75 -0.75  2019-03-21
45  2019年06月 -0.75 -0.75  2019-06-13
46  2019年09月 -0.75 -0.75  2019-09-19
47  2019年12月 -0.75 -0.75  2019-12-12
48  2020年03月 -0.75 -0.75  2020-03-19
49  2020年06月 -0.75 -0.75  2020-06-18
50  2020年09月 -0.75 -0.75  2020-09-24
51  2020年12月 -0.75 -0.75  2020-12-14
52  2021年03月 -0.75 -0.75  2021-03-25
53  2021年06月 -0.75 -0.75  2021-06-17
54  2021年09月 -0.75 -0.75  2021-09-23
55  2021年12月 -0.75 -0.75  2021-12-16
56  2022年03月 -0.75 -0.75  2022-03-24
57  2022年06月 -0.75 -0.25  2022-06-16
58  2022年09月 -0.25  0.50  2022-09-22
59  2022年12月  0.50   NaN  2022-12-15
```

### 日本宏观

#### 央行公布利率决议

接口: macro_japan_bank_rate

目标地址: http://data.eastmoney.com/cjsj/foreign_3_0.html

描述: 东方财富-经济数据-日本-央行公布利率决议

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_japan_bank_rate_df = ak.macro_japan_bank_rate()
print(macro_japan_bank_rate_df)
```

数据示例

```
     时间   前值   现值        发布日期
0    2008年01月  NaN  0.5  2008-01-21
1    2008年02月  0.5  0.5  2008-02-21
2    2008年03月  0.5  0.5  2008-03-21
3    2008年04月  0.5  0.5  2008-04-21
4    2008年05月  0.5  0.5  2008-05-21
..        ...  ...  ...         ...
148  2022年05月 -0.1 -0.1  2022-06-17
149  2022年06月 -0.1 -0.1  2022-06-17
150  2022年07月 -0.1  NaN  2022-07-21
151  2022年09月  NaN -0.1  2022-09-22
152  2022年10月 -0.1 -0.1  2022-10-28
```

#### 全国消费者物价指数年率

接口: macro_japan_cpi_yearly

目标地址: http://data.eastmoney.com/cjsj/foreign_3_1.html

描述: 东方财富-经济数据-日本-全国消费者物价指数年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_japan_cpi_yearly_df = ak.macro_japan_cpi_yearly()
print(macro_japan_cpi_yearly_df)
```

数据示例

```
      时间   前值   现值        发布日期
0    2008年01月  0.7  0.7  2008-02-25
1    2008年02月  0.7  1.0  2008-03-27
2    2008年03月  1.0  1.2  2008-04-25
3    2008年04月  1.2  0.8  2008-05-26
4    2008年05月  0.8  1.3  2008-06-25
..        ...  ...  ...         ...
173  2022年06月  2.5  2.4  2022-07-22
174  2022年07月  2.4  2.6  2022-08-19
175  2022年08月  2.6  3.0  2022-09-20
176  2022年09月  3.0  3.0  2022-10-21
177  2022年10月  3.0  NaN  2022-11-18
```

#### 全国核心消费者物价指数年率

接口: macro_japan_core_cpi_yearly

目标地址: http://data.eastmoney.com/cjsj/foreign_2_2.html

描述: 东方财富-经济数据-日本-全国核心消费者物价指数年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_japan_core_cpi_yearly_df = ak.macro_japan_core_cpi_yearly()
print(macro_japan_core_cpi_yearly_df)
```

数据示例

```
     时间   前值   现值        发布日期
0    2008年01月 -0.1 -0.1  2008-02-25
1    2008年02月 -0.1 -0.1  2008-03-27
2    2008年03月 -0.1  0.1  2008-04-25
3    2008年04月  0.1 -0.1  2008-05-26
4    2008年05月 -0.1 -0.1  2008-06-25
..        ...  ...  ...         ...
173  2022年06月  0.2  0.2  2022-07-22
174  2022年07月  0.2  0.4  2022-08-19
175  2022年08月  0.4  0.7  2022-09-20
176  2022年09月  0.7  0.9  2022-10-21
177  2022年10月  0.9  NaN  2022-11-18
```

#### 失业率

接口: macro_japan_unemployment_rate

目标地址: http://data.eastmoney.com/cjsj/foreign_2_3.html

描述: 东方财富-经济数据-日本-失业率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_japan_unemployment_rate_df = ak.macro_japan_unemployment_rate()
print(macro_japan_unemployment_rate_df)
```

数据示例

```
      时间   前值   现值        发布日期
0    2008年01月  3.7  3.9  2008-02-29
1    2008年02月  3.9  4.0  2008-03-31
2    2008年03月  4.0  3.8  2008-04-29
3    2008年04月  3.8  3.9  2008-05-30
4    2008年05月  3.9  4.0  2008-06-29
..        ...  ...  ...         ...
173  2022年06月  2.6  2.6  2022-07-29
174  2022年07月  2.6  2.6  2022-08-30
175  2022年08月  2.6  2.5  2022-09-30
176  2022年09月  2.5  2.7  2022-10-28
177  2022年10月  2.7  NaN  2022-11-29
```

#### 领先指标终值

接口: macro_japan_head_indicator

目标地址: http://data.eastmoney.com/cjsj/foreign_3_4.html

描述: 东方财富-经济数据-日本-领先指标终值

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_japan_head_indicator_df = ak.macro_japan_head_indicator()
print(macro_japan_head_indicator_df)
```

数据示例

```
     时间     前值     现值        发布日期
0    2008年01月  102.1  102.1  2008-03-08
1    2008年02月  102.1  102.4  2008-04-08
2    2008年03月  102.4  100.3  2008-05-07
3    2008年04月  100.3  100.4  2008-06-07
4    2008年05月  100.4  100.0  2008-07-07
..        ...    ...    ...         ...
171  2022年04月  100.8  102.9  2022-06-27
172  2022年05月  102.9  101.2  2022-07-27
173  2022年06月  101.2  100.9  2022-08-29
174  2022年07月  100.9   98.9  2022-09-28
175  2022年08月   98.9  101.3  2022-10-26
```

### 英国宏观

#### Halifax 房价指数月率

接口: macro_uk_halifax_monthly

目标地址: http://data.eastmoney.com/cjsj/foreign_4_0.html

描述: 东方财富-经济数据-英国-Halifax 房价指数月率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_halifax_monthly_df = ak.macro_uk_halifax_monthly()
print(macro_uk_halifax_monthly_df)
```

数据示例

```
     时间   前值   现值        发布日期
0    2008年01月  NaN -0.4  2008-02-07
1    2008年02月 -0.4  0.1  2008-03-09
2    2008年03月  0.1 -2.5  2008-04-07
3    2008年04月 -2.5 -1.5  2008-05-08
4    2008年05月 -1.5 -2.5  2008-06-07
..        ...  ...  ...         ...
174  2022年07月  1.4 -0.1  2022-08-05
175  2022年08月 -0.1  0.3  2022-09-07
176  2022年09月  0.3 -0.1  2022-10-07
177  2022年10月 -0.1 -0.4  2022-11-07
178  2022年11月 -0.4  NaN  2022-12-07
```

#### Halifax 房价指数年率

接口: macro_uk_halifax_yearly

目标地址: http://data.eastmoney.com/cjsj/foreign_4_1.html

描述: 东方财富-经济数据-英国-Halifax 房价指数年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_halifax_yearly_df = ak.macro_uk_halifax_yearly()
print(macro_uk_halifax_yearly_df)
```

数据示例

```
      时间    前值    现值        发布日期
0    2008年01月   5.2   4.5  2008-02-07
1    2008年02月   4.5   4.2  2008-03-09
2    2008年03月   4.2   1.1  2008-04-07
3    2008年04月   1.1  -0.9  2008-05-08
4    2008年05月  -0.9  -3.8  2008-06-07
..        ...   ...   ...         ...
174  2022年07月  12.5  11.8  2022-08-05
175  2022年08月  11.8  11.4  2022-09-07
176  2022年09月  11.4   9.8  2022-10-07
177  2022年10月   9.8   8.3  2022-11-07
178  2022年11月   8.3   NaN  2022-12-07
```

#### 贸易帐

接口: macro_uk_trade

目标地址: http://data.eastmoney.com/cjsj/foreign_4_2.html

描述: 东方财富-经济数据-英国-贸易帐

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_trade_df = ak.macro_uk_trade()
print(macro_uk_trade_df)
```

数据示例

```
           时间     前值     现值        发布日期
0    2008年01月  -3157  -3750  2008-03-11
1    2008年02月  -3750  -3749  2008-04-11
2    2008年03月  -3749  -3194  2008-05-10
3    2008年04月  -3194  -3182  2008-06-10
4    2008年05月  -3182  -2696  2008-07-10
..        ...    ...    ...         ...
171  2022年04月 -11881  -9266  2022-06-13
172  2022年05月  -9266  -9119  2022-07-13
173  2022年06月  -9119 -11387  2022-08-12
174  2022年07月 -11387  -7793  2022-09-12
175  2022年08月  -7793  -7080  2022-10-12
```

#### 央行公布利率决议

接口: macro_uk_bank_rate

目标地址: http://data.eastmoney.com/cjsj/foreign_4_3.html

描述: 东方财富-经济数据-英国-央行公布利率决议

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_bank_rate_df = ak.macro_uk_bank_rate()
print(macro_uk_bank_rate_df)
```

数据示例

```
      时间    前值    现值        发布日期
0    2008年01月   NaN  5.50  2008-01-15
1    2008年02月  5.50  5.25  2008-02-15
2    2008年03月  5.25  5.25  2008-03-15
3    2008年04月  5.25  5.00  2008-04-15
4    2008年05月  5.00  5.00  2008-05-15
..        ...   ...   ...         ...
150  2022年05月  0.75  1.00  2022-05-05
151  2022年06月  1.00  1.25  2022-06-16
152  2022年08月  1.25  1.75  2022-08-04
153  2022年09月  1.75  2.25  2022-09-22
154  2022年11月  2.25  3.00  2022-11-03
```

#### 核心消费者物价指数年率

接口: macro_uk_core_cpi_yearly

目标地址: http://data.eastmoney.com/cjsj/foreign_4_4.html

描述: 东方财富-经济数据-英国-核心消费者物价指数年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_core_cpi_yearly_df = ak.macro_uk_core_cpi_yearly()
print(macro_uk_core_cpi_yearly_df)
```

数据示例

```
     时间   前值   现值        发布日期
0    2008年01月  1.4  1.3  2008-02-16
1    2008年02月  1.3  1.2  2008-03-18
2    2008年03月  1.2  1.2  2008-04-16
3    2008年04月  1.2  1.4  2008-05-17
4    2008年05月  1.4  1.5  2008-06-16
..        ...  ...  ...         ...
172  2022年05月  6.2  5.9  2022-06-22
173  2022年06月  5.9  5.8  2022-07-20
174  2022年07月  5.8  6.2  2022-08-17
175  2022年08月  6.2  6.3  2022-09-14
176  2022年09月  6.3  6.5  2022-10-19
```

#### 核心消费者物价指数月率

接口: macro_uk_core_cpi_monthly

目标地址: http://data.eastmoney.com/cjsj/foreign_4_7.html

描述: 东方财富-经济数据-英国-核心消费者物价指数月率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_cpi_monthly_df = ak.macro_uk_cpi_monthly()
print(macro_uk_cpi_monthly_df)
```

数据示例

```
           时间   前值   现值        发布日期
0    2008年01月  0.6 -1.0  2008-02-16
1    2008年02月 -1.0  0.3  2008-03-18
2    2008年03月  0.3  0.4  2008-04-16
3    2008年04月  0.4  0.5  2008-05-17
4    2008年05月  0.5  0.3  2008-06-16
..        ...  ...  ...         ...
170  2022年05月  0.7  0.5  2022-06-22
171  2022年06月  0.5  0.4  2022-07-20
172  2022年07月  0.4  0.3  2022-08-17
173  2022年08月  0.3  0.8  2022-09-14
174  2022年09月  0.8  0.6  2022-10-19
```

#### 消费者物价指数年率

接口: macro_uk_cpi_yearly

目标地址: http://data.eastmoney.com/cjsj/foreign_4_6.html

描述: 东方财富-经济数据-英国-消费者物价指数年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_cpi_yearly_df = ak.macro_uk_cpi_yearly()
print(macro_uk_cpi_yearly_df)
```

数据示例

```
           时间         前值         现值        发布日期
0    2008年01月   2.115385   2.228682  2008-02-16
1    2008年02月   2.228682   2.507232  2008-03-18
2    2008年03月   2.507232   2.399232  2008-04-16
3    2008年04月   2.399232   2.966507  2008-05-17
4    2008年05月   2.966507   3.339695  2008-06-16
..        ...        ...        ...         ...
172  2022年05月   9.000000   9.100000  2022-06-22
173  2022年06月   9.100000   9.400000  2022-07-20
174  2022年07月   9.400000  10.100000  2022-08-17
175  2022年08月  10.100000   9.900000  2022-09-14
176  2022年09月   9.900000  10.100000  2022-10-19
```

#### 消费者物价指数月率

接口: macro_uk_cpi_monthly

目标地址: http://data.eastmoney.com/cjsj/foreign_4_7.html

描述: 东方财富-经济数据-英国-消费者物价指数月率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_cpi_monthly_df = ak.macro_uk_cpi_monthly()
print(macro_uk_cpi_monthly_df)
```

数据示例

```
      时间   前值   现值        发布日期
0    2008年01月  0.6 -1.0  2008-02-16
1    2008年02月 -1.0  0.3  2008-03-18
2    2008年03月  0.3  0.4  2008-04-16
3    2008年04月  0.4  0.5  2008-05-17
4    2008年05月  0.5  0.3  2008-06-16
..        ...  ...  ...         ...
170  2022年05月  0.7  0.5  2022-06-22
171  2022年06月  0.5  0.4  2022-07-20
172  2022年07月  0.4  0.3  2022-08-17
173  2022年08月  0.3  0.8  2022-09-14
174  2022年09月  0.8  0.6  2022-10-19
```

#### 零售销售月率

接口: macro_uk_retail_monthly

目标地址: http://data.eastmoney.com/cjsj/foreign_4_8.html

描述: 东方财富-经济数据-英国-零售销售月率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_retail_monthly_df = ak.macro_uk_retail_monthly()
print(macro_uk_retail_monthly_df)
```

数据示例

```
           时间   前值   现值        发布日期
0    2008年01月 -0.4  0.8  2008-02-20
1    2008年02月  0.8  1.0  2008-03-22
2    2008年03月  1.0 -0.4  2008-04-20
3    2008年04月 -0.4 -0.2  2008-05-21
4    2008年05月 -0.2  3.5  2008-06-20
..        ...  ...  ...         ...
172  2022年06月 -0.5 -0.1  2022-07-22
173  2022年07月 -0.1  0.3  2022-08-19
174  2022年08月  0.3 -1.6  2022-09-16
175  2022年09月 -1.6 -1.5  2022-10-21
176  2022年10月 -1.5  NaN  2022-11-18
```

#### 零售销售年率

接口: macro_uk_retail_yearly

目标地址: http://data.eastmoney.com/cjsj/foreign_4_9.html

描述: 东方财富-经济数据-英国-零售销售年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_retail_yearly_df = ak.macro_uk_retail_yearly()
print(macro_uk_retail_yearly_df)
```

数据示例

```
     时间   前值   现值        发布日期
0    2008年01月  2.7  5.6  2008-02-20
1    2008年02月  5.6  5.5  2008-03-22
2    2008年03月  5.5  4.6  2008-04-20
3    2008年04月  4.6  4.2  2008-05-21
4    2008年05月  4.2  8.1  2008-06-20
..        ...  ...  ...         ...
170  2022年06月 -4.7 -5.8  2022-07-22
171  2022年07月 -5.8 -3.4  2022-08-19
172  2022年08月 -3.4 -5.4  2022-09-16
173  2022年09月 -5.4 -0.4  2022-10-21
174  2022年10月 -0.4  NaN  2022-11-18
```

#### Rightmove 房价指数年率

接口: macro_uk_rightmove_yearly

目标地址: http://data.eastmoney.com/cjsj/foreign_4_10.html

描述: 东方财富-经济数据-英国-Rightmove 房价指数年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_rightmove_yearly_df = ak.macro_uk_rightmove_yearly()
print(macro_uk_rightmove_yearly_df)
```

数据示例

```
     时间    前值    现值        发布日期
0    2008年01月   NaN   3.4  2008-01-20
1    2008年02月   3.4   5.8  2008-02-20
2    2008年03月   5.8   5.0  2008-03-20
3    2008年04月   5.0   1.3  2008-04-20
4    2008年05月   1.3   2.2  2008-05-20
..        ...   ...   ...         ...
148  2022年05月   9.9  10.2  2022-05-24
149  2022年06月  10.2   9.7  2022-06-20
150  2022年07月   9.7   9.3  2022-07-18
151  2022年08月   9.3   8.2  2022-08-16
152  2022年09月   8.2   8.7  2022-09-26
```

#### Rightmove 房价指数月率

接口: macro_uk_rightmove_monthly

目标地址: http://data.eastmoney.com/cjsj/foreign_4_11.html

描述: 东方财富-经济数据-英国-Rightmove 房价指数月率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_rightmove_monthly_df = ak.macro_uk_rightmove_monthly()
print(macro_uk_rightmove_monthly_df)
```

数据示例

```
           时间   前值   现值        发布日期
0    2008年01月  NaN -0.8  2008-01-20
1    2008年02月 -0.8  3.2  2008-02-20
2    2008年03月  3.2  0.8  2008-03-20
3    2008年04月  0.8 -0.1  2008-04-20
4    2008年05月 -0.1  1.2  2008-05-20
..        ...  ...  ...         ...
148  2022年05月  1.6  2.1  2022-05-24
149  2022年06月  2.1  0.3  2022-06-20
150  2022年07月  0.3  0.4  2022-07-18
151  2022年08月  0.4 -1.3  2022-08-16
152  2022年09月 -1.3  0.7  2022-09-26
```

#### GDP 季率初值

接口: macro_uk_gdp_quarterly

目标地址: http://data.eastmoney.com/cjsj/foreign_4_12.html

描述: 东方财富-经济数据-英国-GDP 季率初值

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_gdp_quarterly_df = ak.macro_uk_gdp_quarterly()
print(macro_uk_gdp_quarterly_df)
```

数据示例

```
    时间    前值    现值        发布日期
0   2008第1季度   0.6   0.4  2008-06-29
1   2008第2季度   0.4   0.2  2008-09-29
2   2008第4季度   0.2  -1.5  2009-03-31
3   2009第1季度  -1.5  -1.9  2009-06-29
4   2009第2季度  -1.9  -0.8  2009-09-29
5   2009第3季度  -0.8   0.4  2009-12-30
6   2009第4季度   0.4   1.6  2010-03-31
7   2010第1季度   1.6   0.5  2010-06-29
8   2010第2季度   0.5   0.7  2010-09-29
9   2010第3季度   0.7   1.9  2010-12-30
10  2010第4季度   1.9  -0.1  2011-03-31
11  2011第1季度  -0.1   0.5  2011-06-29
12  2011第2季度   0.5   0.2  2011-09-29
13  2011第3季度   0.2   0.7  2011-12-30
14  2011第4季度   0.7   0.0  2012-03-30
15  2012第1季度   0.0   0.1  2012-06-29
16  2012第2季度   0.1  -0.2  2012-09-29
17  2012第3季度  -0.2   0.8  2012-12-30
18  2012第4季度   0.8  -0.3  2013-03-31
19  2013第1季度  -0.3   0.5  2013-06-29
20  2013第2季度   0.5   0.5  2013-09-29
21  2013第3季度   0.5   0.8  2013-12-30
22  2013第4季度   0.8   0.5  2014-03-31
23  2014第1季度   0.5   0.8  2014-06-29
24  2014第2季度   0.8   0.9  2014-09-29
25  2014第3季度   0.9   0.8  2014-12-30
26  2014第4季度   0.8   0.8  2015-03-31
27  2015第1季度   0.8   0.3  2015-06-30
28  2015第2季度   0.3   0.5  2015-09-30
29  2015第3季度   0.5   0.3  2015-12-23
30  2015第4季度   0.3   0.7  2016-03-31
31  2016第1季度   0.7   0.3  2016-06-30
32  2016第2季度   0.3   0.6  2016-09-30
33  2016第3季度   0.6   0.4  2016-12-23
34  2016第4季度   0.4   0.7  2017-03-31
35  2017第1季度   0.7   0.3  2017-06-30
36  2017第2季度   0.3   0.2  2017-09-29
37  2017第3季度   0.2   0.4  2017-12-22
38  2017第4季度   0.4   0.4  2018-03-29
39  2018第1季度   0.4   0.2  2018-06-29
40  2018第2季度   0.2   0.4  2018-09-28
41  2018第3季度   0.4   0.6  2018-12-28
42  2018第4季度   0.6   0.2  2019-03-29
43  2019第1季度   0.2   0.5  2019-06-28
44  2019第2季度   0.5  -0.2  2019-08-09
45  2019第3季度  -0.2   0.4  2019-12-20
46  2019第4季度   0.4   NaN  2020-03-31
47  2020第1季度   NaN  -2.5  2020-06-30
48  2020第2季度  -2.5 -19.4  2020-09-30
49  2020第3季度 -19.4  17.6  2020-12-22
50  2020第4季度  17.6   1.5  2021-03-31
51  2021第1季度   1.5  -1.2  2021-06-30
52  2021第2季度  -1.2   5.6  2021-09-30
53  2021第3季度   5.6   0.9  2021-12-22
54  2021第4季度   0.9   1.3  2022-03-31
55  2022第1季度   1.3   0.8  2022-06-30
56  2022第2季度   0.8   0.2  2022-09-30
57  2022第3季度   0.2   NaN  2022-12-22
```

#### GDP 年率初值

接口: macro_uk_gdp_yearly

目标地址: http://data.eastmoney.com/cjsj/foreign_4_13.html

描述: 东方财富-经济数据-英国-GDP 年率初值

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_gdp_yearly_df = ak.macro_uk_gdp_yearly()
print(macro_uk_gdp_yearly_df)
```

数据示例

```
     时间   前值   现值        发布日期
0   2009第4季度  NaN  1.1  2010-03-31
1   2010第4季度  1.1  3.0  2011-03-31
2   2011第4季度  3.0  1.5  2012-03-30
3   2012第4季度  1.5  0.4  2013-03-31
4   2013第4季度  0.4  2.4  2014-03-31
5   2014第4季度  2.4  3.5  2015-03-31
6   2015第4季度  3.5  1.7  2016-03-31
7   2016第4季度  1.7  2.0  2017-03-31
8   2017第4季度  2.0  1.3  2018-03-29
9   2018第4季度  1.3  1.4  2019-03-29
10  2019第4季度  1.4  1.1  2020-03-31
11  2020第4季度  1.1 -6.3  2021-03-31
12  2021第4季度 -6.3  6.6  2022-03-31
```

#### 失业率

接口: macro_uk_unemployment_rate

目标地址: http://data.eastmoney.com/cjsj/foreign_4_14.html

描述: 东方财富-经济数据-英国-失业率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 前值   | float64 | -   |
| 现值   | float64 | -   |
| 发布日期 | object  | -   |

接口示例

```python
import akshare as ak

macro_uk_unemployment_rate_df = ak.macro_uk_unemployment_rate()
print(macro_uk_unemployment_rate_df)
```

数据示例

```
     时间    前值    现值        发布日期
0    2008年01月  5.19  5.21  2008-02-16
1    2008年02月  5.21  5.21  2008-03-18
2    2008年03月  5.21  5.20  2008-04-16
3    2008年04月  5.20  5.30  2008-05-17
4    2008年05月  5.30  5.20  2008-06-16
..        ...   ...   ...         ...
172  2022年05月  3.80  3.80  2022-07-19
173  2022年06月  3.80  3.80  2022-08-16
174  2022年07月  3.80  3.60  2022-09-13
175  2022年08月  3.60  3.50  2022-10-11
176  2022年09月  3.50   NaN  2022-11-15
```

### 澳大利亚宏观

#### 零售销售月率

接口: macro_australia_retail_rate_monthly

目标地址: http://data.eastmoney.com/cjsj/foreign_5_0.html

描述: 东方财富-经济数据-澳大利亚-零售销售月率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_australia_retail_rate_monthly_df = ak.macro_australia_retail_rate_monthly()
print(macro_australia_retail_rate_monthly_df)
```

数据示例

```
      时间    前值    现值        发布日期
0    2022年10月   1.2   NaN  2022-12-02
1    2022年09月   0.2   1.2  2022-11-04
2    2022年08月   2.3   0.2  2022-10-05
3    2022年07月  -0.8   2.3  2022-09-05
4    2022年06月   2.3  -0.8  2022-08-03
..        ...   ...   ...         ...
173  2008年05月  -1.5   3.7  2008-07-05
174  2008年04月   6.1  -1.5  2008-06-05
175  2008年03月  -7.7   6.1  2008-05-05
176  2008年02月 -23.6  -7.7  2008-04-06
177  2008年01月  23.4 -23.6  2008-03-06
```

#### 贸易帐

接口: macro_australia_trade

目标地址: http://data.eastmoney.com/cjsj/foreign_5_1.html

描述: 东方财富-经济数据-澳大利亚-贸易帐

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述        |
|------|---------|-----------|
| 时间   | object  | -         |
| 前值   | float64 | 注意单位: 亿澳元 |
| 现值   | float64 | 注意单位: 亿澳元 |
| 发布日期 | object  | -         |

接口示例

```python
import akshare as ak

macro_australia_trade_df = ak.macro_australia_trade()
print(macro_australia_trade_df)
```

数据示例

```
       时间     前值       现值        发布日期
0    2022年10月  11449      NaN  2022-12-08
1    2022年09月   7756  11449.0  2022-11-03
2    2022年08月   7725   7756.0  2022-10-06
3    2022年07月   8663   7725.0  2022-09-08
4    2022年06月  19332   8663.0  2022-08-04
..        ...    ...      ...         ...
173  2008年05月  -1939  -1285.0  2008-07-05
174  2008年04月  -1434  -1939.0  2008-06-05
175  2008年03月  -2677  -1434.0  2008-05-05
176  2008年02月  -3854  -2677.0  2008-04-06
177  2008年01月  -1148  -3854.0  2008-03-06
```

#### 失业率

接口: macro_australia_unemployment_rate

目标地址: http://data.eastmoney.com/cjsj/foreign_5_2.html

描述: 东方财富-经济数据-澳大利亚-失业率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_australia_unemployment_rate_df = ak.macro_australia_unemployment_rate()
print(macro_australia_unemployment_rate_df)
```

数据示例

```
      时间        前值        现值        发布日期
0    2022年11月  3.388054       NaN  2022-12-15
1    2022年10月  3.536857  3.388054  2022-11-17
2    2022年09月  3.478775  3.536857  2022-10-20
3    2022年08月  3.413169  3.478775  2022-09-15
4    2022年07月  3.543145  3.413169  2022-08-18
..        ...       ...       ...         ...
174  2008年05月  4.266881  4.266643  2008-06-15
175  2008年04月  4.058254  4.266881  2008-05-16
176  2008年03月  3.981161  4.058254  2008-04-15
177  2008年02月  4.221168  3.981161  2008-03-17
178  2008年01月  4.309566  4.221168  2008-02-15
```

#### 生产者物价指数季率

接口: macro_australia_ppi_quarterly

目标地址: http://data.eastmoney.com/cjsj/foreign_5_3.html

描述: 东方财富-经济数据-澳大利亚-生产者物价指数季率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_australia_ppi_quarterly_df = ak.macro_australia_ppi_quarterly()
print(macro_australia_ppi_quarterly_df)
```

数据示例

```
          时间   前值   现值        发布日期
0   2022年12月  1.9  NaN  2023-01-27
1   2022年09月  1.4  1.9  2022-10-28
2   2022年06月  1.6  1.4  2022-07-29
3   2022年03月  1.3  1.6  2022-04-29
4   2021年12月  1.1  1.3  2022-01-28
5   2021年09月  0.7  1.1  2021-10-29
6   2021年06月  0.4  0.7  2021-07-30
7   2021年03月  0.5  0.4  2021-04-30
8   2020年12月  0.4  0.5  2021-01-29
9   2020年09月 -1.2  0.4  2020-10-30
10  2020年06月  0.2 -1.2  2020-07-31
11  2020年03月  NaN  0.2  2020-05-01
12  2019年12月  0.4  NaN  2020-01-31
13  2019年09月  0.4  0.4  2019-11-01
14  2019年06月  0.4  0.4  2019-08-02
15  2019年03月  0.5  0.4  2019-04-26
16  2018年12月  0.8  0.5  2019-02-01
17  2018年09月  0.3  0.8  2018-11-02
18  2018年06月  0.5  0.3  2018-07-27
19  2018年03月  0.6  0.5  2018-04-27
20  2017年12月  0.2  0.6  2018-02-02
21  2017年09月  0.5  0.2  2017-10-27
22  2017年06月  0.5  0.5  2017-07-28
23  2017年03月  0.5  0.5  2017-04-28
24  2016年12月  0.3  0.5  2017-01-27
25  2016年09月  0.1  0.3  2016-10-28
26  2016年06月 -0.2  0.1  2016-07-29
27  2016年03月  0.3 -0.2  2016-04-29
28  2015年12月  0.9  0.3  2016-01-29
29  2015年09月  0.3  0.9  2015-10-30
30  2015年06月  0.5  0.3  2015-08-25
31  2015年03月  0.1  0.5  2015-05-26
32  2014年12月  0.2  0.1  2015-01-30
33  2014年09月 -0.1  0.2  2014-10-30
34  2014年06月  0.9 -0.1  2014-07-30
35  2014年03月  0.2  0.9  2014-04-29
36  2013年12月  1.3  0.2  2014-01-29
37  2013年09月  0.1  1.3  2013-10-30
38  2013年06月  0.3  0.1  2013-07-30
39  2013年03月  0.2  0.3  2013-04-29
40  2012年12月  0.6  0.2  2013-01-29
41  2012年09月  0.5  0.6  2012-10-30
42  2012年06月 -0.3  0.5  2012-07-30
43  2012年03月  0.3 -0.3  2012-04-29
44  2011年12月  0.6  0.3  2012-01-29
45  2011年09月  0.8  0.6  2011-10-30
46  2011年06月  1.1  0.8  2011-07-30
47  2011年03月  0.1  1.1  2011-04-29
48  2010年12月  1.4  0.1  2011-01-29
49  2010年09月  0.3  1.4  2010-10-30
50  2010年06月  1.0  0.3  2010-07-30
51  2010年03月 -0.4  1.0  2010-04-29
52  2009年12月  0.1 -0.4  2010-01-29
53  2009年09月 -0.8  0.1  2009-10-30
54  2009年06月 -0.3 -0.8  2009-07-30
55  2009年03月  1.4 -0.3  2009-04-29
56  2008年12月  1.9  1.4  2009-01-29
57  2008年09月  1.0  1.9  2008-10-30
58  2008年06月  1.9  1.0  2008-07-30
59  2008年03月  0.7  1.9  2008-04-29
```

#### 消费者物价指数季率

接口: macro_australia_cpi_quarterly

目标地址: http://data.eastmoney.com/cjsj/foreign_5_4.html

描述: 东方财富-经济数据-澳大利亚-消费者物价指数季率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_australia_cpi_quarterly_df = ak.macro_australia_cpi_quarterly()
print(macro_australia_cpi_quarterly_df)
```

数据示例

```
     时间   前值   现值        发布日期
0   2022第4季度  1.8  NaN  2023-01-25
1   2022第3季度  1.8  1.8  2022-10-26
2   2022第2季度  2.1  1.8  2022-07-27
3   2022第1季度  1.3  2.1  2022-04-27
4   2021第4季度  0.8  1.3  2022-01-25
5   2021第3季度  0.8  0.8  2021-10-27
6   2021第2季度  0.6  0.8  2021-07-28
7   2021第1季度  0.9  0.6  2021-04-30
8   2020第4季度  1.6  0.9  2021-01-27
9   2020第3季度 -1.9  1.6  2020-10-28
10  2020第2季度  0.3 -1.9  2020-07-30
11  2020第1季度  0.7  0.3  2020-05-06
12  2019第4季度  0.5  0.7  2020-01-29
13  2019第3季度  0.6  0.5  2019-11-01
14  2019第2季度  0.0  0.6  2019-08-09
15  2019第1季度  0.5  0.0  2019-04-24
16  2018第4季度  0.4  0.5  2019-01-30
17  2018第3季度  0.4  0.4  2018-10-31
18  2018第2季度  0.4  0.4  2018-07-30
19  2018第1季度  0.6  0.4  2018-05-31
20  2017第4季度  0.6  0.6  2018-02-28
21  2017第3季度  0.2  0.6  2017-11-22
22  2017第2季度  0.5  0.2  2017-09-07
23  2017第1季度  0.5  0.5  2017-06-07
24  2016第4季度  0.7  0.5  2017-03-09
25  2016第3季度  0.4  0.7  2016-12-08
26  2016第2季度 -0.2  0.4  2016-09-07
27  2016第1季度  0.4 -0.2  2016-06-07
28  2015第4季度  0.5  0.4  2016-03-08
29  2015第3季度  0.7  0.5  2015-12-08
30  2015第2季度  0.2  0.7  2015-09-07
31  2015第1季度  0.2  0.2  2015-06-07
32  2014第4季度  0.5  0.2  2015-03-09
33  2014第3季度  0.5  0.5  2014-12-08
34  2014第2季度  0.6  0.5  2014-09-07
35  2014第1季度  0.8  0.6  2014-06-07
36  2013第4季度  1.2  0.8  2014-03-09
37  2013第3季度  0.4  1.2  2013-12-08
38  2013第2季度  0.4  0.4  2013-09-07
39  2013第1季度  0.2  0.4  2013-06-07
40  2012第4季度  1.4  0.2  2013-03-09
41  2012第3季度  0.5  1.4  2012-12-08
42  2012第2季度  0.1  0.5  2012-09-07
43  2012第1季度  0.0  0.1  2012-06-07
44  2011第4季度  0.6  0.0  2012-03-08
45  2011第3季度  0.9  0.6  2011-12-08
46  2011第2季度  1.4  0.9  2011-09-07
47  2011第1季度  0.4  1.4  2011-06-07
48  2010第4季度  0.7  0.4  2011-03-09
49  2010第3季度  0.6  0.7  2010-12-08
50  2010第2季度  1.0  0.6  2010-09-07
51  2010第1季度  0.5  1.0  2010-06-07
52  2009第4季度  1.0  0.5  2010-03-09
53  2009第3季度  0.4  1.0  2009-12-08
54  2009第2季度  0.1  0.4  2009-09-07
55  2009第1季度 -0.3  0.1  2009-06-07
56  2008第4季度  1.2 -0.3  2009-03-09
57  2008第3季度  1.4  1.2  2008-12-08
58  2008第2季度  1.3  1.4  2008-09-07
59  2008第1季度  0.9  1.3  2008-06-07
```

#### 消费者物价指数年率

接口: macro_australia_cpi_yearly

目标地址: http://data.eastmoney.com/cjsj/foreign_5_5.html

描述: 东方财富-经济数据-澳大利亚-消费者物价指数年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_australia_cpi_yearly_df = ak.macro_australia_cpi_yearly()
print(macro_australia_cpi_yearly_df)
```

数据示例

```
    时间   前值   现值        发布日期
0   2022年12月  7.3  NaN  2023-01-25
1   2022年09月  6.1  7.3  2022-10-26
2   2022年06月  5.1  6.1  2022-07-27
3   2022年03月  3.5  5.1  2022-04-27
4   2021年12月  3.0  3.5  2022-01-25
5   2021年09月  3.8  3.0  2021-10-27
6   2021年06月  1.1  3.8  2021-07-28
7   2021年03月  0.9  1.1  2021-04-30
8   2020年12月  1.6  0.9  2021-01-27
9   2020年09月 -0.3  1.6  2020-10-28
10  2020年06月  2.2 -0.3  2020-07-29
11  2020年03月  1.8  2.2  2020-04-29
12  2019年12月  1.7  1.8  2020-01-29
13  2019年09月  1.6  1.7  2019-10-30
14  2019年06月  1.3  1.6  2019-07-31
15  2019年03月  1.8  1.3  2019-04-24
16  2018年12月  1.9  1.8  2019-01-30
17  2018年09月  2.1  1.9  2018-10-31
18  2018年06月  1.9  2.1  2018-07-25
19  2018年03月  1.9  1.9  2018-04-24
20  2017年12月  1.8  1.9  2018-01-31
21  2017年09月  1.9  1.8  2017-10-25
22  2017年06月  2.1  1.9  2017-07-26
23  2017年03月  1.5  2.1  2017-04-26
24  2016年12月  1.3  1.5  2017-01-25
25  2016年09月  1.0  1.3  2016-10-26
26  2016年06月  1.3  1.0  2016-07-27
27  2016年03月  1.7  1.3  2016-04-27
28  2015年12月  1.5  1.7  2016-01-27
29  2015年09月  1.5  1.5  2015-10-28
30  2015年06月  1.3  1.5  2015-07-22
31  2015年03月  1.7  1.3  2015-04-22
32  2014年12月  2.3  1.7  2015-01-28
33  2014年09月  3.0  2.3  2014-10-22
34  2014年06月  2.9  3.0  2014-07-23
35  2014年03月  2.7  2.9  2014-04-23
36  2013年12月  2.2  2.7  2014-01-22
37  2013年09月  2.4  2.2  2013-10-23
38  2013年06月  2.5  2.4  2013-07-24
39  2013年03月  2.2  2.5  2013-04-26
40  2012年12月  2.0  2.2  2013-01-26
41  2012年09月  1.2  2.0  2012-10-27
42  2012年06月  1.6  1.2  2012-07-27
43  2012年03月  3.0  1.6  2012-04-26
44  2011年12月  3.4  3.0  2012-01-26
45  2011年09月  3.5  3.4  2011-10-27
46  2011年06月  3.3  3.5  2011-07-27
47  2011年03月  2.8  3.3  2011-04-26
48  2010年12月  2.9  2.8  2011-01-26
49  2010年09月  3.1  2.9  2010-10-27
50  2010年06月  2.9  3.1  2010-07-27
51  2010年03月  2.1  2.9  2010-04-26
52  2009年12月  1.2  2.1  2010-01-26
53  2009年09月  1.4  1.2  2009-10-27
54  2009年06月  2.4  1.4  2009-07-27
55  2009年03月  3.7  2.4  2009-04-26
56  2008年12月  5.0  3.7  2009-01-26
57  2008年09月  4.4  5.0  2008-10-27
58  2008年06月  4.3  4.4  2008-07-27
59  2008年03月  2.9  4.3  2008-04-26
```

#### 央行公布利率决议

接口: macro_australia_bank_rate

目标地址: http://data.eastmoney.com/cjsj/foreign_5_6.html

描述: 东方财富-经济数据-澳大利亚-央行公布利率决议

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_australia_bank_rate_df = ak.macro_australia_bank_rate()
print(macro_australia_bank_rate_df)
```

数据示例

```
      时间    前值    现值        发布日期
0    2022年11月  2.60  2.85  2022-11-01
1    2022年10月  2.35  2.60  2022-10-04
2    2022年09月  1.85  2.35  2022-09-06
3    2022年08月  1.35  1.85  2022-08-02
4    2022年07月  0.85  1.35  2022-07-05
..        ...   ...   ...         ...
165  2008年05月  7.25  7.25  2008-05-05
166  2008年04月  7.25  7.25  2008-04-05
167  2008年03月  7.00  7.25  2008-03-05
168  2008年02月  7.00  7.00  2008-02-05
169  2008年01月   NaN  7.00  2008-01-05
```

### 加拿大宏观

#### 新屋开工

接口: macro_canada_new_house_rate

目标地址: http://data.eastmoney.com/cjsj/foreign_7_0.html

描述: 东方财富-经济数据-加拿大-新屋开工

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: 万 |
| 现值   | float64 | 注意单位: 万 |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_canada_new_house_rate_df = ak.macro_canada_new_house_rate()
print(macro_canada_new_house_rate_df)
```

数据示例

```
     时间     前值     现值        发布日期
0    2022年10月  29.96  26.71  2022-11-16
1    2022年09月  26.74  29.96  2022-10-14
2    2022年08月  27.53  26.74  2022-09-16
3    2022年07月  27.37  27.53  2022-08-16
4    2022年06月  28.73  27.37  2022-07-18
..        ...    ...    ...         ...
173  2008年05月  21.39  22.13  2008-06-09
174  2008年04月  25.47  21.39  2008-05-10
175  2008年03月  25.69  25.47  2008-04-09
176  2008年02月  22.27  25.69  2008-03-11
177  2008年01月  18.75  22.27  2008-02-09
```

#### 失业率

接口: macro_canada_unemployment_rate

目标地址: http://data.eastmoney.com/cjsj/foreign_7_1.html

描述: 东方财富-经济数据-加拿大-失业率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_canada_unemployment_rate_df = ak.macro_canada_unemployment_rate()
print(macro_canada_unemployment_rate_df)
```

数据示例

```
     时间   前值   现值        发布日期
0    2022年11月  5.2  NaN  2022-12-02
1    2022年10月  5.2  5.2  2022-11-04
2    2022年09月  5.4  5.2  2022-10-07
3    2022年08月  4.9  5.4  2022-09-09
4    2022年07月  4.9  4.9  2022-08-05
..        ...  ...  ...         ...
174  2008年05月  6.1  6.1  2008-06-08
175  2008年04月  6.0  6.1  2008-05-09
176  2008年03月  5.8  6.0  2008-04-08
177  2008年02月  5.8  5.8  2008-03-10
178  2008年01月  5.9  5.8  2008-02-08
```

#### 贸易帐

接口: macro_canada_trade

目标地址: http://data.eastmoney.com/cjsj/foreign_7_2.html

描述: 东方财富-经济数据-加拿大-贸易帐

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述        |
|------|---------|-----------|
| 时间   | object  | -         |
| 前值   | float64 | 注意单位: 亿加元 |
| 现值   | float64 | 注意单位: 亿加元 |
| 发布日期 | object  | -         |

接口示例

```python
import akshare as ak

macro_canada_trade_df = ak.macro_canada_trade()
print(macro_canada_trade_df)
```

数据示例

```
       时间    前值      现值        发布日期
0    2022年10月  1138     NaN  2022-12-06
1    2022年09月   550  1138.0  2022-11-03
2    2022年08月  2373   550.0  2022-10-05
3    2022年07月  4881  2373.0  2022-09-07
4    2022年06月  4769  4881.0  2022-08-04
..        ...   ...     ...         ...
173  2008年05月  5110  5540.0  2008-07-06
174  2008年04月  5530  5110.0  2008-06-06
175  2008年03月  4940  5530.0  2008-05-06
176  2008年02月  3260  4940.0  2008-04-07
177  2008年01月  2350  3260.0  2008-03-07
```

#### 零售销售月率

接口: macro_canada_retail_rate_monthly

目标地址: http://data.eastmoney.com/cjsj/foreign_7_3.html

描述: 东方财富-经济数据-加拿大-零售销售月率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_canada_retail_rate_monthly_df = ak.macro_canada_retail_rate_monthly()
print(macro_canada_retail_rate_monthly_df)
```

数据示例

```
           时间   前值   现值        发布日期
0    2022年10月  1.2  NaN  2022-12-20
1    2022年09月  0.5  1.2  2022-11-22
2    2022年08月 -0.1  0.5  2022-10-21
3    2022年07月  1.9 -0.1  2022-09-23
4    2022年06月  5.2  1.9  2022-08-19
..        ...  ...  ...         ...
167  2008年05月  0.6  0.4  2008-07-22
168  2008年04月  0.1  0.6  2008-06-22
169  2008年03月 -0.7  0.1  2008-05-22
170  2008年02月  1.5 -0.7  2008-04-23
171  2008年01月  0.6  1.5  2008-03-23
```

#### 央行公布利率决议

接口: macro_canada_bank_rate

目标地址: http://data.eastmoney.com/cjsj/foreign_7_4.html

描述: 东方财富-经济数据-加拿大-央行公布利率决议

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_canada_bank_rate_df = ak.macro_canada_bank_rate()
print(macro_canada_bank_rate_df)
```

数据示例

```
     时间    前值    现值        发布日期
0    2022年12月  3.75   NaN  2022-12-07
1    2022年10月  3.25  3.75  2022-10-26
2    2022年09月  2.50  3.25  2022-09-07
3    2022年07月  1.50  2.50  2022-07-13
4    2022年06月  1.00  1.50  2022-06-01
..        ...   ...   ...         ...
145  2008年05月  3.00  3.00  2008-05-15
146  2008年04月  3.50  3.00  2008-04-15
147  2008年03月  4.00  3.50  2008-03-15
148  2008年02月  4.00  4.00  2008-02-15
149  2008年01月   NaN  4.00  2008-01-15
```

#### 核心消费者物价指数年率

接口: macro_canada_core_cpi_yearly

目标地址: http://data.eastmoney.com/cjsj/foreign_7_5.html

描述: 东方财富-经济数据-加拿大-核心消费者物价指数年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_canada_core_cpi_yearly_df = ak.macro_canada_core_cpi_yearly()
print(macro_canada_core_cpi_yearly_df)
```

数据示例

```
      时间        前值        现值        发布日期
0    2022年11月  5.800000       NaN  2022-12-21
1    2022年10月  6.000000  5.800000  2022-11-16
2    2022年09月  5.800000  6.000000  2022-10-19
3    2022年08月  6.100000  5.800000  2022-09-20
4    2022年07月  6.200000  6.100000  2022-08-16
..        ...       ...       ...         ...
173  2008年05月  1.459854  1.455869  2008-06-21
174  2008年04月  1.278539  1.459854  2008-05-22
175  2008年03月  1.466544  1.278539  2008-04-21
176  2008年02月  1.381215  1.466544  2008-03-23
177  2008年01月  1.476015  1.381215  2008-02-21
```

#### 核心消费者物价指数月率

接口: macro_canada_core_cpi_monthly

目标地址: http://data.eastmoney.com/cjsj/foreign_7_6.html

描述: 东方财富-经济数据-加拿大-核心消费者物价指数月率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_canada_core_cpi_monthly_df = ak.macro_canada_core_cpi_monthly()
print(macro_canada_core_cpi_monthly_df)
```

数据示例

```
     时间        前值        现值        发布日期
0    2022年11月  0.400000       NaN  2022-12-21
1    2022年10月  0.400000  0.400000  2022-11-16
2    2022年09月  0.000000  0.400000  2022-10-19
3    2022年08月  0.500000  0.000000  2022-09-20
4    2022年07月  0.300000  0.500000  2022-08-16
..        ...       ...       ...         ...
173  2008年05月  0.270514  0.269784  2008-06-21
174  2008年04月  0.180668  0.270514  2008-05-22
175  2008年03月  0.544959  0.180668  2008-04-21
176  2008年02月  0.090909  0.544959  2008-03-23
177  2008年01月 -0.271985  0.090909  2008-02-21
```

#### 消费者物价指数年率

接口: macro_canada_cpi_yearly

目标地址: http://data.eastmoney.com/cjsj/foreign_7_7.html

描述: 东方财富-经济数据-加拿大-消费者物价指数年率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_canada_cpi_yearly_df = ak.macro_canada_cpi_yearly()
print(macro_canada_cpi_yearly_df)
```

数据示例

```
      时间        前值        现值        发布日期
0    2022年11月  6.900000       NaN  2022-12-21
1    2022年10月  6.900000  6.900000  2022-11-16
2    2022年09月  7.000000  6.900000  2022-10-19
3    2022年08月  7.600000  7.000000  2022-09-20
4    2022年07月  8.100000  7.600000  2022-08-16
..        ...       ...       ...         ...
174  2008年05月  1.702509  2.230152  2008-06-20
175  2008年04月  1.350135  1.702509  2008-05-21
176  2008年03月  1.814882  1.350135  2008-04-20
177  2008年02月  2.193784  1.814882  2008-03-22
178  2008年01月  2.376600  2.193784  2008-02-20
```

#### 消费者物价指数月率

接口: macro_canada_cpi_monthly

目标地址: http://data.eastmoney.com/cjsj/foreign_7_8.html

描述: 东方财富-经济数据-加拿大-消费者物价指数月率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_canada_cpi_monthly_df = ak.macro_canada_cpi_monthly()
print(macro_canada_cpi_monthly_df)
```

数据示例

```
           时间        前值        现值        发布日期
0    2022年10月  0.065531  0.720367  2022-11-16
1    2022年09月 -0.326584  0.065531  2022-10-19
2    2022年08月  0.130804 -0.326584  2022-09-20
3    2022年07月  0.658328  0.130804  2022-08-16
4    2022年06月  1.401869  0.658328  2022-07-20
..        ...       ...       ...         ...
172  2008年05月  0.799290  0.969163  2008-06-20
173  2008年04月  0.356506  0.799290  2008-05-21
174  2008年03月  0.357782  0.356506  2008-04-20
175  2008年02月 -0.178571  0.357782  2008-03-22
176  2008年01月  0.089366 -0.178571  2008-02-20
```

#### GDP 月率

接口: macro_canada_gdp_monthly

目标地址: http://data.eastmoney.com/cjsj/foreign_7_9.html

描述: 东方财富-经济数据-加拿大-GDP 月率

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 前值   | float64 | 注意单位: % |
| 现值   | float64 | 注意单位: % |
| 发布日期 | object  | -       |

接口示例

```python
import akshare as ak

macro_canada_gdp_monthly_df = ak.macro_canada_gdp_monthly()
print(macro_canada_gdp_monthly_df)
```

数据示例

```
           时间   前值   现值        发布日期
0    2022年09月  0.1  NaN  2022-11-29
1    2022年08月  0.1  0.1  2022-10-28
2    2022年07月  0.1  0.1  2022-09-29
3    2022年06月  0.0  0.1  2022-08-31
4    2022年05月  0.3  0.0  2022-07-29
..        ...  ...  ...         ...
167  2008年05月  0.4 -0.1  2008-07-31
168  2008年04月 -0.2  0.4  2008-07-01
169  2008年03月 -0.2 -0.2  2008-05-31
170  2008年02月  0.6 -0.2  2008-05-02
171  2008年01月 -0.7  0.6  2008-04-01
```

### 重要机构

#### 全球最大黄金 ETF—SPDR Gold Trust 持仓报告

接口: macro_cons_gold

目标地址: https://datacenter.jin10.com/reportType/dc_etf_gold

描述: 全球最大黄金 ETF—SPDR Gold Trust 持仓报告, 数据区间从 20041119-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型      | 描述       |
|-------|---------|----------|
| 商品    | object  | -        |
| 日期    | object  | -        |
| 总库存   | float64 | 注意单位: 吨  |
| 增持/减持 | float64 | 注意单位: 吨  |
| 总价值   | float64 | 注意单位: 美元 |

接口示例

```python
import akshare as ak

macro_cons_gold_df = ak.macro_cons_gold()
print(macro_cons_gold_df)
```

数据示例

```
      商品    日期     总库存  增持/减持           总价值
0     黄金  2004-11-19   57.85  49.76  8.288069e+08
1     黄金  2004-11-22   87.09  29.24  1.253785e+09
2     黄金  2004-11-24   96.42   9.33  1.390569e+09
3     黄金  2004-11-26  100.46   4.04  1.456603e+09
4     黄金  2004-11-29  103.57   3.11  1.502482e+09
   ..         ...     ...    ...           ...
2192  黄金  2022-12-15  913.88   2.32  5.239583e+10
2193  黄金  2022-12-16  910.41  -3.47  5.245953e+10
2194  黄金  2022-12-19  912.14   1.73  5.250656e+10
2195  黄金  2022-12-20  913.88   1.74  5.328468e+10
2196  黄金  2022-12-23  913.01  -0.87  5.274796e+10
```

#### 全球最大白银ETF--iShares Silver Trust持仓报告

接口: macro_cons_silver

目标地址: https://datacenter.jin10.com/reportType/dc_etf_sliver

描述: 全球最大白银 ETF--iShares Silver Trust 持仓报告, 数据区间从 20041202-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型      | 描述       |
|-------|---------|----------|
| 商品    | object  | -        |
| 日期    | object  | -        |
| 总库存   | float64 | 注意单位: 吨  |
| 增持/减持 | float64 | 注意单位: 吨  |
| 总价值   | float64 | 注意单位: 美元 |

接口示例

```python
import akshare as ak

macro_cons_silver_df = ak.macro_cons_silver()
print(macro_cons_silver_df)
```

数据示例

```
     商品  日期       总库存  增持/减持          总价值
0    白银  2014-12-02  10891.14  68.54   5505643206
1    白银  2014-12-03  10806.20 -84.94   5614273871
2    白银  2014-12-05  10737.66 -68.54   5626921446
3    白银  2014-12-11  10648.28 -89.38   5839725280
4    白银  2014-12-13  10606.57 -41.71   5820097631
..   ..         ...       ...    ...          ...
959  白银  2022-12-14  14601.21 -57.25  10832913305
960  白银  2022-12-15  14548.26 -52.95  10676072916
961  白银  2022-12-19  14578.31  30.05  11139357856
962  白银  2022-12-20  14598.35  20.04  11165639031
963  白银  2022-12-21  14541.10 -57.25  11093022448
```

#### 欧佩克报告

接口: macro_cons_opec_month

目标地址: https://datacenter.jin10.com/reportType/dc_opec_report

描述: 欧佩克报告, 数据区间从 20170118-至今

限量: 单次返回所有历史数据, 以网页数据为准.

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型      | 描述  |
|-------|---------|-----|
| 日期    | object  | -   |
| 阿尔及利亚 | float64 | -   |
| 安哥拉   | float64 | -   |
| 厄瓜多尔  | float64 | -   |
| 加蓬    | float64 | -   |
| 伊朗    | float64 | -   |
| 伊拉克   | float64 | -   |
| 科威特   | float64 | -   |
| 利比亚   | float64 | -   |
| 尼日利亚  | float64 | -   |
| 沙特    | float64 | -   |
| 阿联酋   | float64 | -   |
| 委内瑞拉  | float64 | -   |
| 欧佩克产量 | float64 | -   |

接口示例

```python
import akshare as ak

macro_cons_opec_month_df = ak.macro_cons_opec_month()
print(macro_cons_opec_month_df)
```

数据示例

```
     日期  阿尔及利亚    安哥拉    加蓬     伊朗  ...   尼日利亚      沙特    阿联酋   委内瑞拉   欧佩克产量
0   2016/12  108.7  167.4  20.9  372.5  ...  147.4  1044.3  309.0  203.4  3302.9
1   2017/01  105.3  165.8  20.3  378.0  ...  153.3   980.9  295.8  200.7  3202.6
2   2017/02  105.7  163.9  19.8  381.9  ...  156.4   995.2  293.3  199.8  3208.6
3   2017/03  105.1  159.9  20.2  379.2  ...  145.6   990.5  290.9  198.2  3177.0
4   2017/04  105.6  166.7  20.5  379.2  ...  149.6   993.4  290.6  196.7  3197.4
..      ...    ...    ...   ...    ...  ...    ...     ...    ...    ...     ...
64  2022/07  102.0  116.5  20.2  255.8  ...  118.3  1071.4  313.1   66.1  2889.6
65  2022/08  103.6  118.7  20.2  257.2  ...  110.0  1090.4  316.4   67.8  2965.1
66  2022/09  104.0  118.4  20.1  255.7  ...  108.7  1099.1  319.3   65.9  2976.7
67  2022/10  103.6  106.7  21.4  254.8  ...  105.7  1083.8  318.6   67.9  2949.4
68  2022/11  102.2  110.2  20.7  255.9  ...  115.8  1047.4  303.7   65.6  2882.6
```

#### 伦敦金属交易所

##### 持仓报告

接口: macro_euro_lme_holding

目标地址: https://datacenter.jin10.com/reportType/dc_lme_traders_report

描述: 获取伦敦金属交易所(LME)-持仓报告, 数据区间从 20151022-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 不同品种的多头仓位、空头仓位和净仓位  |

接口示例

```python
import akshare as ak

macro_euro_lme_holding_df = ak.macro_euro_lme_holding()
print(macro_euro_lme_holding_df)
```

数据示例

```
               铝-多头仓位     铝-空头仓位      铝-净仓位  ...  锡-多头仓位  锡-空头仓位   锡-净仓位
2015-10-22  327120.00 -304606.00  631726.00  ...    5462 -2129.0  7591.0
2015-10-23  326996.00 -304797.00  631793.00  ...    5339 -2090.0  7429.0
2015-10-26  327814.00 -305974.00  633788.00  ...    5388 -2239.0  7627.0
2015-10-27  331239.00 -305348.00  636587.00  ...    5338 -2289.0  7627.0
2015-10-28  331586.00 -302432.00  634018.00  ...    5264 -2370.0  7634.0
               ...        ...        ...  ...     ...     ...     ...
2020-05-01  737311.18  546268.81  191042.37  ...   12044  8966.0  3078.0
2020-05-07  715146.83  525746.88  189399.95  ...   11919  9101.0  2818.0
2020-05-15  741948.06  552763.07  189184.99  ...   11977  9159.0  2818.0
2020-05-22  726923.87  551171.11  175752.76  ...   11234  8762.0  2472.0
2020-05-29  730646.63  552041.55  178605.08  ...   11648  9110.0  2538.0
```

##### 库存报告

接口: macro_euro_lme_stock

目标地址: https://datacenter.jin10.com/reportType/dc_lme_report

描述: 获取伦敦金属交易所(LME)-库存报告, 数据区间从 20140702-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 不同品种的库存、注册仓单和注销仓单  |

接口示例

```python
import akshare as ak

macro_euro_lme_stock_df = ak.macro_euro_lme_stock()
print(macro_euro_lme_stock_df)
```

数据示例

```
               铝-库存   铝-注册仓单   铝-注销仓单    铜-库存  ...  锡-注销仓单    锌-库存  锌-注册仓单  锌-注销仓单
2014-07-02  5066400  2075450  2990950  156775  ...    2470  666775  610175   56600
2014-07-03  5058325  2074950  2983375  157050  ...    2500  665600  610175   55425
2014-07-04  5049225  2074450  2974775  156500  ...    2500  664650  604050   60600
2014-07-07  5038525  2072925  2965600  159350  ...    2500  663650  603950   59700
2014-07-08  5034200  2070925  2963275  158050  ...    2470  663150  603950   59200
             ...      ...      ...     ...  ...     ...     ...     ...     ...
2020-06-01  1496050  1283000   213050  255725  ...     840   99575   80150   19425
2020-06-02  1505550  1295200   210350  254275  ...     910   97850   79650   18200
2020-06-03  1500900  1295200   205700  252375  ...    1005   97800   79650   18150
2020-06-04  1526250  1324400   201850  248275  ...    1030   96275   79475   16800
2020-06-05  1521325  1305725   215600  243750  ...     905   94675   79450   15225
```

#### 美国商品期货交易委员会

##### 外汇类非商业持仓报告

接口: macro_usa_cftc_nc_holding

目标地址: https://datacenter.jin10.com/reportType/dc_cftc_nc_report

描述: 获取美国商品期货交易委员会CFTC外汇类非商业持仓报告, 数据区间从 19830107-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 不同品种的多头仓位、空头仓位和净仓位  |

接口示例

```python
import akshare as ak

macro_usa_cftc_nc_holding_df = ak.macro_usa_cftc_nc_holding()
print(macro_usa_cftc_nc_holding_df)
```

数据示例

```
            美元-多头仓位  美元-空头仓位  美元-净仓位  瑞郎-多头仓位  ...  英镑-净仓位  澳元-多头仓位  澳元-空头仓位  澳元-净仓位
1986-01-15        0        0       0        0  ...       0        0        0       0
1986-01-31        0        0       0        0  ...       0        0        0       0
1986-02-14        0        0       0        0  ...       0        0        0       0
1986-02-28        0        0       0        0  ...       0        0        0       0
1986-03-14        0        0       0        0  ...       0        0        0       0
             ...      ...     ...      ...  ...     ...      ...      ...     ...
2020-05-05   324795   350743  -25948    12967  ...  -12005    23541    56996  -33455
2020-05-12   337226   347594  -10368    12624  ...  -13688    23719    59144  -35425
2020-05-19   359429   352735    6694    13678  ...  -18989    25301    64859  -39558
2020-05-26   376764   388231  -11467    13246  ...  -22257    25530    66068  -40538
2020-06-02   385801   394030   -8229    13364  ...  -36044    26571    67362  -40791
```

##### 商品类非商业持仓报告

接口: macro_usa_cftc_c_holding

目标地址: https://datacenter.jin10.com/reportType/dc_cftc_c_report

描述: 获取美国商品期货交易委员会CFTC商品类非商业持仓报告, 数据区间从 19830107-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 不同品种的多头仓位、空头仓位和净仓位  |

接口示例

```python
import akshare as ak

macro_usa_cftc_c_holding_df = ak.macro_usa_cftc_c_holding()
print(macro_usa_cftc_c_holding_df)
```

数据示例

```
            原糖-多头仓位  原糖-空头仓位  原糖-净仓位  大豆-多头仓位  ...  棉花-净仓位  玉米-多头仓位  玉米-空头仓位  玉米-净仓位
1986-01-15        0        0       0    47835  ...       0    45615    16565   29050
1986-01-31        0        0       0    42610  ...       0    32135    34145   -2010
1986-02-14        0        0       0    24555  ...       0    14030    50275  -36245
1986-02-28        0        0       0    22805  ...       0    17735    59835  -42100
1986-03-14        0        0       0    43290  ...       0    18725    58090  -39365
             ...      ...     ...      ...  ...     ...      ...      ...     ...
2020-05-05   177939   145745   32194   173136  ...   -2633   213746   366836 -153090
2020-05-12   186688   142574   44114   188262  ...    1078   210833   388404 -177571
2020-05-19   208295   138673   69622   186743  ...    3320   218328   417374 -199046
2020-05-26   217461   130398   87063   182102  ...    3817   223361   443436 -220075
2020-06-02   221084   127678   93406   178933  ...    9596   235871   455309 -219438
```

##### 外汇类商业持仓报告

接口: macro_usa_cftc_merchant_currency_holding

目标地址: https://datacenter.jin10.com/reportType/dc_cftc_merchant_currency

描述: 获取美国商品期货交易委员会CFTC外汇类商业持仓报告, 数据区间从 19860115-至今

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 不同品种的多头仓位、空头仓位和净仓位  |

接口示例

```python
import akshare as ak

macro_usa_cftc_merchant_currency_holding_df = ak.macro_usa_cftc_merchant_currency_holding()
print(macro_usa_cftc_merchant_currency_holding_df)
```

数据示例

```
            美元-多头仓位  美元-空头仓位  美元-净仓位  瑞郎-多头仓位  ...  英镑-净仓位  澳元-多头仓位  澳元-空头仓位  澳元-净仓位
1986-01-15        0        0       0        0  ...       0        0        0       0
1986-01-31        0        0       0        0  ...       0        0        0       0
1986-02-14        0        0       0        0  ...       0        0        0       0
1986-02-28        0        0       0        0  ...       0        0        0       0
1986-03-14        0        0       0        0  ...       0        0        0       0
             ...      ...     ...      ...  ...     ...      ...      ...     ...
2020-05-05   761167   740678   20489    12783  ...   23207    90061    41987   48074
2020-05-12   764765   764586     179    16793  ...   28146    89686    39723   49963
2020-05-19   761649   773386  -11737    14422  ...   33299    91226    39980   51246
2020-05-26   790831   792542   -1711    14593  ...   35289    94516    40279   54237
2020-06-02   810672   794088   16584    14432  ...   44403    91638    37786   53852
```

##### 商品类商业持仓报告

接口: macro_usa_cftc_merchant_goods_holding

目标地址: https://datacenter.jin10.com/reportType/dc_cftc_merchant_goods

描述: 美国商品期货交易委员会 CFTC 商品类商业持仓报告, 数据区间从 19860115-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型  | 描述                 |
|-----|-----|--------------------|
| -   | -   | 不同品种的多头仓位、空头仓位和净仓位 |

接口示例

```python
import akshare as ak

macro_usa_cftc_merchant_goods_holding_df = ak.macro_usa_cftc_merchant_goods_holding()
print(macro_usa_cftc_merchant_goods_holding_df)
```

数据示例

```
            原糖-多头仓位  原糖-空头仓位  原糖-净仓位  大豆-多头仓位  ...  棉花-净仓位  玉米-多头仓位  玉米-空头仓位  玉米-净仓位
1986-01-15        0        0       0   117120  ...       0   307790   307815     -25
1986-01-31        0        0       0   122430  ...       0   323200   247390   75810
1986-02-14        0        0       0   130140  ...       0   303885   205150   98735
1986-02-28        0        0       0   145015  ...       0   288625   204725   83900
1986-03-14        0        0       0   125300  ...       0   276865   220480   56385
             ...      ...     ...      ...  ...     ...      ...      ...     ...
2020-05-05   581116   619230  -38114   402631  ...    2543   749637   613914  135723
2020-05-12   586013   638394  -52381   423150  ...   -1981   758783   603070  155713
2020-05-19   588614   670244  -81630   431829  ...   -5068   764876   593689  171187
2020-05-26   589614   686994  -97380   440560  ...   -4773   773465   589063  184402
2020-06-02   593359   695146 -101787   446474  ...  -10899   787667   608847  178820
```

### 全球宏观

#### 全球宏观事件

接口: news_economic_baidu

目标地址: https://gushitong.baidu.com/calendar

描述: 全球宏观指标重大事件

限量: 单次返回指定 date 的所有历史数据

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date="20220502" |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 日期  | object  | -       |
| 时间  | object  | -       |
| 地区  | object  | -       |
| 事件  | object  | -       |
| 公布  | float64 | -       |
| 预期  | float64 | -       |
| 前值  | float64 | -       |
| 重要性 | float64 | 数值越大越重要 |

接口示例

```python
import akshare as ak

news_economic_baidu_df = ak.news_economic_baidu(date="20220512")
print(news_economic_baidu_df)
```

数据示例

```
         日期     时间   地区  ...   预期       前值  重要性
0   2022-05-12  00:00  墨西哥  ...  NaN    48.04    1
1   2022-05-12  00:00   美国  ...  NaN    52.65    2
2   2022-05-12  00:00   美国  ...  NaN  2388.70    1
3   2022-05-12  00:00   美国  ...  NaN    96.90    1
4   2022-05-12  00:00  加拿大  ...  NaN    49.98    1
..         ...    ...  ...  ...  ...      ...  ...
95  2022-05-12  20:00   巴西  ...  NaN  5440.00    1
96  2022-05-12  20:00   巴西  ...  NaN  2240.00    2
97  2022-05-12  20:00   印度  ...  NaN     0.80    1
98  2022-05-12  20:00   印度  ...  1.7     1.70    1
99  2022-05-12  20:00   印度  ...  NaN    12.50    1
```
