## [AKShare](https://github.com/akfamily/akshare) 股票数据

### A股

#### 股票市场总貌

##### 上海证券交易所

接口: stock_sse_summary

目标地址: http://www.sse.com.cn/market/stockdata/statistic/

描述: 上海证券交易所-股票数据总貌

限量: 单次返回最近交易日的股票数据总貌(当前交易日的数据需要交易所收盘后统计)

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数-实时行情数据

| 名称  | 类型     | 描述  |
|-----|--------|-----|
| 项目  | object | -   |
| 股票  | object | -   |
| 科创板 | object | -   |
| 主板  | object | -   |

接口示例

```python
import akshare as ak

stock_sse_summary_df = ak.stock_sse_summary()
print(stock_sse_summary_df)
```

数据示例

```
      项目     股票       科创板         主板
0   流通股本   40403.47    413.63   39989.84
1    总市值  516714.68   55719.6  460995.09
2  平均市盈率      17.92      71.0      16.51
3   上市公司       2036       377       1659
4   上市股票       2078       377       1701
5   流通市值  432772.13   22274.3  410497.83
6   报告时间   20211230  20211230   20211230
8    总股本   46234.03    1211.5   45022.54
```

##### 深圳证券交易所

###### 证券类别统计

接口: stock_szse_summary

目标地址: http://www.szse.cn/market/overview/index.html

描述: 深圳证券交易所-市场总貌-证券类别统计

限量: 单次返回指定 date 的市场总貌数据-证券类别统计(当前交易日的数据需要交易所收盘后统计)

输入参数

| 名称   | 类型  | 描述                                  |
|------|-----|-------------------------------------|
| date | str | date="20200619"; 当前交易日的数据需要交易所收盘后统计 |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 证券类别 | object  | -       |
| 数量   | int64   | 注意单位: 只 |
| 成交金额 | float64 | 注意单位: 元 |
| 总市值  | float64 | -       |
| 流通市值 | float64 | -       |

接口示例

```python
import akshare as ak

stock_szse_summary_df = ak.stock_szse_summary(date="20200619")
print(stock_szse_summary_df)
```

数据示例

```
     证券类别    数量          成交金额           总市值          流通市值
0      股票  2284  4.647749e+11  2.706514e+13  2.104546e+13
1    主板A股   460  9.775950e+10  7.864787e+12  6.943990e+12
2    主板B股    46  8.626816e+07  4.759658e+10  4.706385e+10
3     中小板   960  2.013526e+11  1.130741e+13  8.669555e+12
4   创业板A股   818  1.655765e+11  7.845345e+12  5.384854e+12
5      基金   551  1.362524e+10  2.417277e+11  2.417277e+11
6     ETF   100  1.165436e+10  1.628294e+11  1.628294e+11
7     LOF   250  7.335768e+08  4.043156e+10  4.043156e+10
8   封闭式基金     1  5.527571e+05  7.622440e+08  7.622440e+08
9    分级基金   200  1.236746e+09  3.770451e+10  3.770451e+10
10     债券  7174  1.371389e+11           NaN           NaN
11   债券现券  6599  2.911357e+10  3.683881e+13  1.823072e+12
12   债券回购    13  1.054592e+11           NaN           NaN
13    ABS   562  2.566134e+09  4.849642e+11  4.849642e+11
14     期权   108  2.441560e+08           NaN           NaN
```

###### 地区交易排序

接口: stock_szse_area_summary

目标地址: http://www.szse.cn/market/overview/index.html

描述: 深圳证券交易所-市场总貌-地区交易排序

限量: 单次返回指定 date 的市场总貌数据-地区交易排序数据

输入参数

| 名称   | 类型  | 描述                |
|------|-----|-------------------|
| date | str | date="202203"; 年月 |

输出参数

| 名称    | 类型      | 描述      |
|-------|---------|---------|
| 序号    | int64   | -       |
| 地区    | object  | -       |
| 总交易额  | float64 | 注意单位: 元 |
| 占市场   | float64 | 注意单位: % |
| 股票交易额 | float64 | 注意单位: 元 |
| 基金交易额 | float64 | 注意单位: 元 |
| 债券交易额 | float64 | 注意单位: 元 |

接口示例

```python
import akshare as ak

stock_szse_area_summary_df = ak.stock_szse_area_summary(date="202203")
print(stock_szse_area_summary_df)
```

数据示例

```
    序号    地区          总交易额     占市场         股票交易额         基金交易额         债券交易额
0    1    上海  6.599168e+12  17.144  4.043329e+12  1.248538e+11  2.430985e+12
1    2    深圳  4.783964e+12  12.428  3.003823e+12  1.199498e+11  1.659669e+12
2    3    北京  3.631714e+12   9.435  2.225152e+12  8.615759e+10  1.319881e+12
3    4    浙江  3.237222e+12   8.410  2.691930e+12  3.906904e+10  5.062227e+11
4    5    江苏  3.025582e+12   7.860  2.158993e+12  9.452875e+10  7.720610e+11
5    6    广州  1.619480e+12   4.207  9.476950e+11  4.533178e+10  6.260720e+11
6    7    广东  1.536115e+12   3.991  1.177269e+12  2.426635e+10  3.345802e+11
7    8    福建  1.410869e+12   3.665  1.045202e+12  2.097877e+10  3.446887e+11
8    9    西藏  1.240056e+12   3.222  1.011404e+12  2.305406e+10  2.055980e+11
9   10  境外地区  1.232003e+12   3.201  1.232003e+12           NaN           NaN
10  11    湖北  1.228977e+12   3.193  7.476954e+11  1.038745e+10  4.708938e+11
11  12    四川  1.187554e+12   3.085  8.373194e+11  1.378157e+10  3.364527e+11
12  13    山东  1.183434e+12   3.074  8.430976e+11  2.015881e+10  3.201780e+11
13  14    湖南  8.043527e+11   2.090  5.268563e+11  4.055832e+10  2.369380e+11
14  15    安徽  6.206983e+11   1.613  4.188201e+11  6.798454e+09  1.950797e+11
15  16    江西  5.972801e+11   1.552  3.985462e+11  1.328896e+10  1.854450e+11
16  17    河南  5.583493e+11   1.451  4.470419e+11  6.132581e+09  1.051749e+11
17  18    陕西  5.219884e+11   1.356  3.312646e+11  4.391643e+09  1.863322e+11
18  19    重庆  4.900235e+11   1.273  3.335992e+11  5.959656e+09  1.504646e+11
19  20    辽宁  4.819182e+11   1.252  3.753209e+11  5.095175e+09  1.015021e+11
20  21    河北  3.792136e+11   0.985  2.720196e+11  6.335564e+09  1.008584e+11
21  22    天津  3.072727e+11   0.798  2.132726e+11  3.716296e+09  9.028385e+10
22  23    山西  2.739739e+11   0.712  1.891266e+11  2.959211e+09  8.188812e+10
23  24    广西  2.506026e+11   0.651  1.952779e+11  2.376218e+09  5.294850e+10
24  25   黑龙江  2.116977e+11   0.550  1.521119e+11  2.056486e+09  5.752928e+10
25  26    云南  1.891748e+11   0.491  1.362576e+11  1.983667e+09  5.093350e+10
26  27    吉林  1.886262e+11   0.490  1.380449e+11  2.868442e+09  4.771285e+10
27  28    贵州  1.720125e+11   0.447  1.048295e+11  2.405148e+09  6.477779e+10
28  29    新疆  1.345874e+11   0.350  1.067154e+11  9.359535e+08  2.693600e+10
29  30   内蒙古  1.095088e+11   0.284  7.087990e+10  8.743984e+08  3.775448e+10
30  31    甘肃  1.055270e+11   0.274  8.165647e+10  8.550514e+08  2.301547e+10
31  32    海南  9.300238e+10   0.242  6.899713e+10  4.858157e+08  2.351944e+10
32  33    宁夏  6.821635e+10   0.177  5.728423e+10  7.613631e+08  1.017075e+10
33  34    青海  1.783947e+10   0.046  1.518497e+10  1.181823e+08  2.536324e+09
```

###### 股票行业成交

接口: stock_szse_sector_summary

目标地址: http://docs.static.szse.cn/www/market/periodical/month/W020220511355248518608.html

描述: 深圳证券交易所-统计资料-股票行业成交

限量: 单次返回指定 date 和 symbol 的统计资料-股票行业成交数据

输入参数

| 名称     | 类型  | 描述                                  |
|--------|-----|-------------------------------------|
| symbol | str | symbol="当月"; choice of {"当月", "当年"} |
| date   | str | date="202203"; 年月                   |

输出参数

| 名称        | 类型      | 描述      |
|-----------|---------|---------|
| 项目名称      | object  | -       |
| 项目名称-英文   | object  | -       |
| 交易天数      | int64   | -       |
| 成交金额-人民币元 | int64   |         |
| 成交金额-占总计  | float64 | 注意单位: % |
| 成交股数-股数   | int64   | -       |
| 成交股数-占总计  | float64 | 注意单位: % |
| 成交笔数-笔    | int64   | -       |
| 成交笔数-占总计  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_szse_sector_summary_df = ak.stock_szse_sector_summary(symbol="当年", date="202204")
print(stock_szse_sector_summary_df)
```

数据示例

```
    项目名称                   项目名称-英文  交易天数  ...  成交股数-占总计      成交笔数-笔  成交笔数-占总计
0     合计                     Total    77  ...    100.00  3816547870    100.00
1   农林牧渔               Agriculture    77  ...      1.51    60126514      1.58
2    采矿业                    Mining    77  ...      2.10    72850554      1.91
3    制造业             Manufacturing    77  ...     55.08  2404587520     63.00
4   水电煤气                 Utilities    77  ...      2.27    68543100      1.80
5    建筑业              Construction    77  ...      3.13    87826462      2.30
6   批发零售        Wholesale & Retail    77  ...      3.29   102688643      2.69
7   运输仓储            Transportation    77  ...      1.13    46450606      1.22
8   住宿餐饮         Hotels & Catering    77  ...      0.25     6348476      0.17
9   信息技术                        IT    77  ...     12.11   429609907     11.26
10   金融业                   Finance    77  ...      3.36   102223897      2.68
11   房地产               Real Estate    77  ...      6.47   132471503      3.47
12  商务服务          Business Support    77  ...      2.72    73174343      1.92
13  科研服务    Research & Development    77  ...      1.06    58211379      1.53
14  公共环保  Environmental Protection    77  ...      1.90    59623129      1.56
15  居民服务         Resident Services    77  ...      0.00      280137      0.01
16    教育                 Education    77  ...      0.39    11672172      0.31
17    卫生             Public Health    77  ...      0.55    20643720      0.54
18  文化传播                     Media    77  ...      2.42    70405699      1.84
19    综合             Conglomerates    77  ...      0.26     8810109      0.23
```

##### 上海证券交易所-每日概况

接口: stock_sse_deal_daily

目标地址: http://www.sse.com.cn/market/stockdata/overview/day/

描述: 上海证券交易所-数据-股票数据-成交概况-股票成交概况-每日股票情况

限量: 单次返回指定日期的每日概况数据, 当前交易日数据需要在收盘后获取; 注意在 20211227（包含）之后输出格式变化

输入参数-20211224(之前)

| 名称   | 类型  | 描述                                                            |
|------|-----|---------------------------------------------------------------|
| date | str | date="20200619"; 当前交易日的数据需要交易所收盘后统计; 注意在 20211227（包含）之后输出格式变化 |

输出参数-20211224(之前)

| 名称   | 类型      | 描述        |
|------|---------|-----------|
| 单日情况 | object  | 包含了网页所有字段 |
| 股票   | float64 | -         |
| 主板A  | float64 | -         |
| 主板B  | float64 | -         |
| 科创板  | float64 | -         |
| 股票回购 | float64 | -         |

接口示例-20211224(之前)

```python
import akshare as ak

stock_sse_deal_daily_df = ak.stock_sse_deal_daily(date="20201111")
print(stock_sse_deal_daily_df)
```

数据示例-20211224(之前)

```
     单日情况                 股票  ...              科创板    股票回购
0     挂牌数               1808  ...              194       -
1    市价总值          434197.88  ...         30472.53       -
2    流通市值  359472.4374635267  ...  8417.6080896016       -
3    成交金额      3568.31165366  ...     327.99216384     0.4
4     成交量             271.81  ...             5.66    0.02
5    成交笔数          1954.6333  ...          97.0169  0.0002
6   平均市盈率              15.99  ...            91.48       0
7     换手率             0.8217  ...           1.0764       0
8  次新股换手率             1.1002  ...           1.0568       -
9   流通换手率             0.9925  ...           3.8965       0
```

输入参数-20211227(之后)

| 名称   | 类型  | 描述                                                            |
|------|-----|---------------------------------------------------------------|
| date | str | date="20211227"; 当前交易日的数据需要交易所收盘后统计; 注意在 20211227（包含）之后输出格式变化 |

输出参数-20211227(之后)

| 名称   | 类型      | 描述        |
|------|---------|-----------|
| 单日情况 | object  | 包含了网页所有字段 |
| 主板A  | float64 | -         |
| 主板B  | float64 | -         |
| 科创板  | float64 | -         |

接口示例-20211227(之后)

```python
import akshare as ak

stock_sse_deal_daily_df = ak.stock_sse_deal_daily(date="20211227")
print(stock_sse_deal_daily_df)
```

数据示例-20211227(之后)

```
    单日情况      主板A           主板B           科创板
0   市价总值  4.602654e+05  8.936800e+02  5.425756e+04
1  平均市盈率  1.654000e+01  1.085000e+01  6.935000e+01
2    成交量  3.239300e+02  3.000000e-01  6.450000e+00
3   成交金额  3.713660e+03  1.360000e+00  3.782300e+02
4   报告日期  2.021123e+07  2.021123e+07  2.021123e+07
5    挂牌数  1.654000e+03  4.700000e+01  3.730000e+02
6    换手率  8.069000e-01  1.519000e-01  6.971000e-01
7   流通市值  4.097216e+05  7.776200e+02  2.170117e+04
8  流通换手率  9.064000e-01  1.745000e-01  1.742900e+00
```

#### 个股信息查询

接口: stock_individual_info_em

目标地址: http://quote.eastmoney.com/concept/sh603777.html?from=classic

描述: 东方财富-个股-股票信息

限量: 单次返回指定 symbol 的个股信息

输入参数

| 名称     | 类型  | 描述              |
|--------|-----|-----------------|
| symbol | str | symbol="603777" |

输出参数-实时行情数据

| 名称    | 类型     | 描述  |
|-------|--------|-----|
| item  | object | -   |
| value | object | -   |

接口示例

```python
import akshare as ak

stock_individual_info_em_df = ak.stock_individual_info_em(symbol="000001")
print(stock_individual_info_em_df)
```

数据示例

```
   item                value
0   总市值  337468917463.220032
1  流通市值      337466070320.25
2    行业                   银行
3  上市时间             19910403
4  股票代码               000001
5  股票简称                 平安银行
6   总股本        19405918198.0
7   流通股        19405754475.0
```

#### 实时行情数据

##### 实时行情数据-东财

###### 沪深京 A 股

接口: stock_zh_a_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#hs_a_board

描述: 东方财富网-沪深京 A 股-实时行情数据

限量: 单次返回所有沪深京 A 股上市公司的实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 序号      | int64   | -       |
| 代码      | object  | -       |
| 名称      | object  | -       |
| 最新价     | float64 | -       |
| 涨跌幅     | float64 | 注意单位: % |
| 涨跌额     | float64 | -       |
| 成交量     | float64 | 注意单位: 手 |
| 成交额     | float64 | 注意单位: 元 |
| 振幅      | float64 | 注意单位: % |
| 最高      | float64 | -       |
| 最低      | float64 | -       |
| 今开      | float64 | -       |
| 昨收      | float64 | -       |
| 量比      | float64 | -       |
| 换手率     | float64 | 注意单位: % |
| 市盈率-动态  | float64 | -       |
| 市净率     | float64 | -       |
| 总市值     | float64 | 注意单位: 元 |
| 流通市值    | float64 | 注意单位: 元 |
| 涨速      | float64 | -       |
| 5分钟涨跌   | float64 | 注意单位: % |
| 60日涨跌幅  | float64 | 注意单位: % |
| 年初至今涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_zh_a_spot_em_df = ak.stock_zh_a_spot_em()
print(stock_zh_a_spot_em_df)
```

数据示例

```
        序号      代码       名称    最新价  ...    涨速  5分钟涨跌  60日涨跌幅  年初至今涨跌幅
0        1  838171      N邦德   8.95  ... -0.22   0.34  -69.04   -69.04
1        2  688150     莱特光电  31.66  ...  0.00   0.00   43.58    43.58
2        3  688011     新光光电  25.85  ...  0.00   0.00  -12.67   -21.21
3        4  688071     华依科技  38.87  ...  0.00   0.00  -21.24   -40.92
4        5  688280  精进电动-UW  12.90  ...  0.00   0.00    0.86   -15.41
    ...     ...      ...    ...  ...   ...    ...     ...      ...
4983  4984  002147      新光退   0.35  ...  0.00   0.00  -91.92   -92.71
4984  4985  002770      科迪退   0.59  ...  0.00   0.00  -77.99   -74.35
4985  4986  300651     金陵体育  31.00  ... -1.12  -0.55   -4.17    11.19
4986  4987  600146     退市环球   0.27  ...  0.00   0.00  -86.83   -92.50
4987  4988  600870     退市厦华   0.37  ...  2.78   2.78  -91.49   -91.96
```

###### 沪 A 股

接口: stock_sh_a_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#sh_a_board

描述: 东方财富网-沪 A 股-实时行情数据

限量: 单次返回所有沪 A 股上市公司的实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 序号      | int64   | -       |
| 代码      | object  | -       |
| 名称      | object  | -       |
| 最新价     | float64 | -       |
| 涨跌幅     | float64 | 注意单位: % |
| 涨跌额     | float64 | -       |
| 成交量     | float64 | 注意单位: 手 |
| 成交额     | float64 | 注意单位: 元 |
| 振幅      | float64 | 注意单位: % |
| 最高      | float64 | -       |
| 最低      | float64 | -       |
| 今开      | float64 | -       |
| 昨收      | float64 | -       |
| 量比      | float64 | -       |
| 换手率     | float64 | 注意单位: % |
| 市盈率-动态  | float64 | -       |
| 市净率     | float64 | -       |
| 总市值     | float64 | 注意单位: 元 |
| 流通市值    | float64 | 注意单位: 元 |
| 涨速      | float64 | -       |
| 5分钟涨跌   | float64 | 注意单位: % |
| 60日涨跌幅  | float64 | 注意单位: % |
| 年初至今涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_sh_a_spot_em_df = ak.stock_sh_a_spot_em()
print(stock_sh_a_spot_em_df)
```

数据示例

```
        序号      代码       名称    最新价  ...    涨速  5分钟涨跌  60日涨跌幅  年初至今涨跌幅
0        1  688150     莱特光电  31.66  ...  0.00   0.00   43.58    43.58
1        2  688011     新光光电  25.85  ...  0.00   0.00  -12.67   -21.21
2        3  688071     华依科技  38.87  ...  0.00   0.00  -21.24   -40.92
3        4  688280  精进电动-UW  12.90  ...  0.00   0.00    0.86   -15.41
4        5  688258     卓易信息  36.86  ...  0.00   0.00   14.44     4.48
    ...     ...      ...    ...  ...   ...    ...     ...      ...
2166  2167  600283     钱江水利  17.41  ...  0.00   0.00   33.21    37.63
2167  2168  600071     凤凰光学  18.11  ...  0.00   0.00  -53.52   -64.81
2168  2169  600476     湘邮科技  16.64  ...  0.00   0.00   21.73    33.98
2169  2170  600146     退市环球   0.27  ...  0.00   0.00  -86.83   -92.50
2170  2171  600870     退市厦华   0.37  ...  2.78   2.78  -91.49   -91.96
```

###### 深 A 股

接口: stock_sz_a_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#sz_a_board

描述: 东方财富网-深 A 股-实时行情数据

限量: 单次返回所有深 A 股上市公司的实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 序号      | int64   | -       |
| 代码      | object  | -       |
| 名称      | object  | -       |
| 最新价     | float64 | -       |
| 涨跌幅     | float64 | 注意单位: % |
| 涨跌额     | float64 | -       |
| 成交量     | float64 | 注意单位: 手 |
| 成交额     | float64 | 注意单位: 元 |
| 振幅      | float64 | 注意单位: % |
| 最高      | float64 | -       |
| 最低      | float64 | -       |
| 今开      | float64 | -       |
| 昨收      | float64 | -       |
| 量比      | float64 | -       |
| 换手率     | float64 | 注意单位: % |
| 市盈率-动态  | float64 | -       |
| 市净率     | float64 | -       |
| 总市值     | float64 | 注意单位: 元 |
| 流通市值    | float64 | 注意单位: 元 |
| 涨速      | float64 | -       |
| 5分钟涨跌   | float64 | 注意单位: % |
| 60日涨跌幅  | float64 | 注意单位: % |
| 年初至今涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_sz_a_spot_em_df = ak.stock_sz_a_spot_em()
print(stock_sz_a_spot_em_df)
```

数据示例

```
        序号      代码    名称    最新价  ...    涨速  5分钟涨跌  60日涨跌幅  年初至今涨跌幅
0        1  300926  博俊科技  24.66  ...  0.00   0.00   13.43     4.14
1        2  300153  科泰电源   9.21  ...  0.00  -0.11   -4.06    -9.17
2        3  300812  易天股份  17.24  ...  0.06  -0.06  -13.89   -20.26
3        4  300910  瑞丰新材  49.11  ...  0.00  -0.28  -14.41   -37.87
4        5  300428  立中集团  27.08  ...  0.00   0.00    7.50     3.24
    ...     ...   ...    ...  ...   ...    ...     ...      ...
2718  2719  002618   丹邦退   0.88  ...  0.00   0.00  -64.08   -65.49
2719  2720  002473   圣莱退   0.88  ...  0.00   0.00  -93.65   -92.65
2720  2721  002147   新光退   0.35  ...  0.00   0.00  -91.92   -92.71
2721  2722  002770   科迪退   0.59  ...  0.00   0.00  -77.99   -74.35
2722  2723  300651  金陵体育  31.00  ... -1.12  -0.55   -4.17    11.19
```

###### 京 A 股

接口: stock_bj_a_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#bj_a_board

描述: 东方财富网-京 A 股-实时行情数据

限量: 单次返回所有京 A 股上市公司的实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 序号      | int64   | -       |
| 代码      | object  | -       |
| 名称      | object  | -       |
| 最新价     | float64 | -       |
| 涨跌幅     | float64 | 注意单位: % |
| 涨跌额     | float64 | -       |
| 成交量     | float64 | 注意单位: 手 |
| 成交额     | float64 | 注意单位: 元 |
| 振幅      | float64 | 注意单位: % |
| 最高      | float64 | -       |
| 最低      | float64 | -       |
| 今开      | float64 | -       |
| 昨收      | float64 | -       |
| 量比      | float64 | -       |
| 换手率     | float64 | 注意单位: % |
| 市盈率-动态  | float64 | -       |
| 市净率     | float64 | -       |
| 总市值     | float64 | 注意单位: 元 |
| 流通市值    | float64 | 注意单位: 元 |
| 涨速      | float64 | -       |
| 5分钟涨跌   | float64 | 注意单位: % |
| 60日涨跌幅  | float64 | 注意单位: % |
| 年初至今涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_bj_a_spot_em_df = ak.stock_bj_a_spot_em()
print(stock_bj_a_spot_em_df)
```

数据示例

```
    序号      代码     名称    最新价    涨跌幅  ...        流通市值    涨速  5分钟涨跌  60日涨跌幅  年初至今涨跌幅
0    1  838171    N邦德   8.95  27.86  ...   172364470 -0.22   0.34  -69.04   -69.04
1    2  838030   德众汽车   5.10  10.15  ...   445198655  1.19   0.39    0.39   -18.01
2    3  836239   长虹能源  46.25   6.47  ...  2279499793  0.00   0.11  -17.13   -43.54
3    4  839946   华阳变速   4.17   6.38  ...   231527103  0.24   0.48  -14.20   -37.76
4    5  833523  XD德瑞锂  14.39   6.28  ...   531065627 -0.42   0.28  -26.95   -49.42
..  ..     ...    ...    ...    ...  ...         ...   ...    ...     ...      ...
89  90  872925  XD锦好医  15.72  -1.50  ...   266715502 -1.50  -1.50   -9.66   -37.40
90  91  835670  DR数字人   8.80  -1.90  ...   471049594 -0.79  -0.79  -33.73   -48.02
91  92  836433   大唐药业   3.82  -2.80  ...   642600725 -0.26   0.26  -10.75   -36.86
92  93  836826   盖世食品   9.32  -3.12  ...   306494836 -0.21   0.22  -34.37   -35.95
93  94  830946   森萱医药   9.60  -3.32  ...  4096256064 -0.10  -0.31  -52.76   -44.89
```

###### 新股

接口: stock_new_a_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#newshares

描述: 东方财富网-新股-实时行情数据

限量: 单次返回所有新股上市公司的实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 序号      | int64   | -       |
| 代码      | object  | -       |
| 名称      | object  | -       |
| 最新价     | float64 | -       |
| 涨跌幅     | float64 | 注意单位: % |
| 涨跌额     | float64 | -       |
| 成交量     | float64 | 注意单位: 手 |
| 成交额     | float64 | 注意单位: 元 |
| 振幅      | float64 | 注意单位: % |
| 最高      | float64 | -       |
| 最低      | float64 | -       |
| 今开      | float64 | -       |
| 昨收      | float64 | -       |
| 量比      | float64 | -       |
| 换手率     | float64 | 注意单位: % |
| 市盈率-动态  | float64 | -       |
| 市净率     | float64 | -       |
| 上市时间    | object  | -       |
| 总市值     | float64 | 注意单位: 元 |
| 流通市值    | float64 | 注意单位: 元 |
| 涨速      | float64 | -       |
| 5分钟涨跌   | float64 | 注意单位: % |
| 60日涨跌幅  | float64 | 注意单位: % |
| 年初至今涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_new_a_spot_em_df = ak.stock_new_a_spot_em()
print(stock_new_a_spot_em_df)
```

数据示例

```
      序号      代码      名称    最新价  ...    涨速  5分钟涨跌  60日涨跌幅  年初至今涨跌幅
0      1  688327  C云从-UW  32.30  ...  3.23   3.03  110.15   110.15
1      2  688045     必易微  71.40  ...  0.00  -0.04   29.47    29.47
2      3  301191    菲菱科思  80.92  ...  0.00   0.00   12.39    12.39
3      4  301183     东田微  38.27  ...  0.16  -0.47   66.97    66.97
4      5  301107    瑜欣电子  44.12  ... -0.16  -0.81   72.07    72.07
..   ...     ...     ...    ...  ...   ...    ...     ...      ...
386  387  301011    华立科技  31.01  ... -0.03   0.06  -32.63   -48.49
387  388  301009    可靠股份  12.90  ...  0.00   0.08  -32.03   -29.82
388  389  688067    爱威科技  23.07  ...  0.39  -0.09  -18.82   -17.04
389  390  688700    东威科技  70.59  ... -0.04  -0.01   18.26     3.66
390  391  603529    爱玛科技  60.74  ...  0.00   0.02   63.50    33.29
```

###### 科创板

接口: stock_kc_a_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#hs_a_board

描述: 东方财富网-科创板-实时行情

限量: 单次返回所有科创板的实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 序号      | int64   | -       |
| 代码      | object  | -       |
| 名称      | object  | -       |
| 最新价     | float64 | -       |
| 涨跌幅     | float64 | 注意单位: % |
| 涨跌额     | float64 | -       |
| 成交量     | float64 | 注意单位: 手 |
| 成交额     | float64 | 注意单位: 元 |
| 振幅      | float64 | 注意单位: % |
| 最高      | float64 | -       |
| 最低      | float64 | -       |
| 今开      | float64 | -       |
| 昨收      | float64 | -       |
| 量比      | float64 | -       |
| 换手率     | float64 | 注意单位: % |
| 市盈率-动态  | float64 | -       |
| 市净率     | float64 | -       |
| 总市值     | float64 | 注意单位: 元 |
| 流通市值    | float64 | 注意单位: 元 |
| 涨速      | float64 | -       |
| 5分钟涨跌   | float64 | 注意单位: % |
| 60日涨跌幅  | float64 | 注意单位: % |
| 年初至今涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_kc_a_spot_em_em_df = ak.stock_kc_a_spot_em()
print(stock_kc_a_spot_em_em_df)
```

数据示例

```
      序号 代码    名称     最新价  ...   涨速  5分钟涨跌  60日涨跌幅  年初至今涨跌幅
0      1  688155  先惠技术  110.40  ...  0.00   0.00   -2.64    -3.16
1      2  688707  振华新材   73.00  ...  0.00   0.97   19.28    45.62
2      3  688121  卓然股份   22.60  ...  0.58   0.44   -9.35   -41.22
3      4  688711  宏微科技   71.23  ... -0.04   0.03  -14.77   -19.39
4      5  688005  容百科技  125.32  ... -0.17  -0.12   -8.12     8.62
..   ...     ...   ...     ...  ...   ...    ...     ...      ...
428  429  688119  中钢洛耐    8.73  ...  0.00  -0.23   72.53    72.53
429  430  688189  南新制药   19.92  ...  0.00   0.10   -7.78   -43.44
430  431  688229  博睿数据   42.00  ... -0.52  -0.59  -13.22   -23.77
431  432  688793   倍轻松   54.41  ... -0.24  -0.49   -1.96   -47.63
432  433  688173   希荻微   30.51  ... -0.07  -0.03   15.13    -9.12
```

##### 实时行情数据-新浪

接口: stock_zh_a_spot

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#hs_a

描述: 新浪财经-沪深京 A 股数据, 重复运行本函数会被新浪暂时封 IP, 建议增加时间间隔

限量: 单次返回沪深京 A 股上市公司的实时行情数据

输入参数-实时行情数据

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数-实时行情数据

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 代码  | object  | -       |
| 名称  | object  | -       |
| 最新价 | float64 | -       |
| 涨跌额 | float64 | -       |
| 涨跌幅 | float64 | 注意单位: % |
| 买入  | float64 | -       |
| 卖出  | float64 | -       |
| 昨收  | float64 | -       |
| 今开  | float64 | -       |
| 最高  | float64 | -       |
| 最低  | float64 | -       |
| 成交量 | float64 | 注意单位: 股 |
| 成交额 | float64 | 注意单位: 元 |

接口示例-实时行情数据

```python
import akshare as ak

stock_zh_a_spot_df = ak.stock_zh_a_spot()
print(stock_zh_a_spot_df)
```

数据示例-实时行情数据

```
      代码       名称    最新价   涨跌额  ... 最高     最低        成交量      成交额
0     bj430047  诺思兰德  16.95 -1.13  ...  21.68  16.22   9792284.0  178722467.0
1     bj430090  同辉信息   8.15 -1.55  ...  10.27   7.94  17337157.0  153067422.0
2     bj430198  微创光电  11.32 -0.55  ...  12.45  11.32   4346109.0   51586066.0
3     bj430418  苏轴股份  16.21 -1.77  ...  19.20  16.21   2371783.0   41796314.0
4     bj430489  佳先股份  17.55 -0.96  ...  20.87  17.15   2545238.0   47749607.0
        ...   ...    ...   ...  ...    ...    ...         ...          ...
4615  sz301129  瑞纳智能  74.95  6.37  ...  77.00  69.80   6891592.0  501929197.0
4616  sz301149   C隆华  27.71  0.80  ...  31.14  24.81  35539728.0  993956229.0
4617  sz301169  零点有数  46.25 -0.02  ...  47.88  45.02   6943221.0  321091268.0
4618  sz301178  C天亿马  83.01  4.11  ...  83.83  74.88   6631398.0  535890089.0
4619  sz301188   C力诺  29.18  1.23  ...  31.00  27.51  27838347.0  811742915.0
```

#### 历史行情数据

##### 历史行情数据-东财

接口: stock_zh_a_hist

目标地址: https://quote.eastmoney.com/concept/sh603777.html?from=classic(示例)

描述: 东方财富-沪深京 A 股日频率数据; 历史数据按日频率更新, 当日收盘价请在收盘后获取

限量: 单次返回指定沪深京 A 股上市公司、指定周期和指定日期间的历史行情日频率数据

输入参数

| 名称         | 类型  | 描述                                                       |
|------------|-----|----------------------------------------------------------|
| symbol     | str | symbol='603777'; 股票代码可以在 **ak.stock_zh_a_spot_em()** 中获取 |
| period     | str | period='daily'; choice of {'daily', 'weekly', 'monthly'} |
| start_date | str | start_date='20210301'; 开始查询的日期                           |
| end_date   | str | end_date='20210616'; 结束查询的日期                             |
| adjust     | str | 默认返回不复权的数据; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据               |

**股票数据复权**

1.为何要复权：由于股票存在配股、分拆、合并和发放股息等事件，会导致股价出现较大的缺口。
若使用不复权的价格处理数据、计算各种指标，将会导致它们失去连续性，且使用不复权价格计算收益也会出现错误。
为了保证数据连贯性，常通过前复权和后复权对价格序列进行调整。

2.前复权：保持当前价格不变，将历史价格进行增减，从而使股价连续。
前复权用来看盘非常方便，能一眼看出股价的历史走势，叠加各种技术指标也比较顺畅，是各种行情软件默认的复权方式。
这种方法虽然很常见，但也有两个缺陷需要注意。

2.1 为了保证当前价格不变，每次股票除权除息，均需要重新调整历史价格，因此其历史价格是时变的。
这会导致在不同时点看到的历史前复权价可能出现差异。

2.2 对于有持续分红的公司来说，前复权价可能出现负值。

3.后复权：保证历史价格不变，在每次股票权益事件发生后，调整当前的股票价格。
后复权价格和真实股票价格可能差别较大，不适合用来看盘。
其优点在于，可以被看作投资者的长期财富增长曲线，反映投资者的真实收益率情况。

4.在量化投资研究中普遍采用后复权数据。

输出参数-历史行情数据

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 日期  | object  | 交易日     |
| 开盘  | float64 | 开盘价     |
| 收盘  | float64 | 收盘价     |
| 最高  | float64 | 最高价     |
| 最低  | float64 | 最低价     |
| 成交量 | int32   | 注意单位: 手 |
| 成交额 | float64 | 注意单位: 元 |
| 振幅  | float64 | 注意单位: % |
| 涨跌幅 | float64 | 注意单位: % |
| 涨跌额 | float64 | 注意单位: 元 |
| 换手率 | float64 | 注意单位: % |

接口示例-历史行情数据-不复权

```python
import akshare as ak

stock_zh_a_hist_df = ak.stock_zh_a_hist(symbol="000001", period="daily", start_date="20170301", end_date='20210907', adjust="")
print(stock_zh_a_hist_df)
```

数据示例-历史行情数据-不复权

```
      日期          开盘    收盘   最高  ...   振幅  涨跌幅 涨跌额 换手率
0     2017-03-01   9.49   9.49   9.55  ...  0.84  0.11  0.01  0.21
1     2017-03-02   9.51   9.43   9.54  ...  1.26 -0.63 -0.06  0.24
2     2017-03-03   9.41   9.40   9.43  ...  0.74 -0.32 -0.03  0.20
3     2017-03-06   9.40   9.45   9.46  ...  0.74  0.53  0.05  0.24
4     2017-03-07   9.44   9.45   9.46  ...  0.63  0.00  0.00  0.17
          ...    ...    ...    ...  ...   ...   ...   ...   ...
1100  2021-09-01  17.48  17.88  17.92  ...  5.11  0.45  0.08  1.19
1101  2021-09-02  18.00  18.40  18.78  ...  5.48  2.91  0.52  1.25
1102  2021-09-03  18.50  18.04  18.50  ...  4.35 -1.96 -0.36  0.72
1103  2021-09-06  17.93  18.45  18.60  ...  4.55  2.27  0.41  0.78
1104  2021-09-07  18.60  19.24  19.56  ...  6.56  4.28  0.79  0.84
```

接口示例-历史行情数据-前复权

```python
import akshare as ak

stock_zh_a_hist_df = ak.stock_zh_a_hist(symbol="000001", period="daily", start_date="20170301", end_date='20210907', adjust="qfq")
print(stock_zh_a_hist_df)
```

数据示例-历史行情数据-前复权

```
           日期     开盘   收盘    最高  ...   振幅  涨跌幅 涨跌额 换手率
0     2017-03-01   8.65   8.65   8.71  ...  0.93  0.12  0.01  0.21
1     2017-03-02   8.67   8.59   8.70  ...  1.39 -0.69 -0.06  0.24
2     2017-03-03   8.57   8.56   8.59  ...  0.81 -0.35 -0.03  0.20
3     2017-03-06   8.56   8.61   8.62  ...  0.82  0.58  0.05  0.24
4     2017-03-07   8.60   8.61   8.62  ...  0.70  0.00  0.00  0.17
          ...    ...    ...    ...  ...   ...   ...   ...   ...
1100  2021-09-01  17.48  17.88  17.92  ...  5.11  0.45  0.08  1.19
1101  2021-09-02  18.00  18.40  18.78  ...  5.48  2.91  0.52  1.25
1102  2021-09-03  18.50  18.04  18.50  ...  4.35 -1.96 -0.36  0.72
1103  2021-09-06  17.93  18.45  18.60  ...  4.55  2.27  0.41  0.78
1104  2021-09-07  18.60  19.24  19.56  ...  6.56  4.28  0.79  0.84
```

接口示例-历史行情数据-后复权

```python
import akshare as ak

stock_zh_a_hist_df = ak.stock_zh_a_hist(symbol="000001", period="daily", start_date="20170301", end_date='20210907', adjust="hfq")
print(stock_zh_a_hist_df)
```

数据示例-历史行情数据-后复权

```
       日期        开盘     收盘      最高  ...      振幅  涨跌幅   涨跌额  换手率
0     2017-03-01  1575.20  1575.20  1584.95  ...  0.83  0.10    1.63  0.21
1     2017-03-02  1578.45  1565.45  1583.32  ...  1.24 -0.62   -9.75  0.24
2     2017-03-03  1562.20  1560.57  1565.45  ...  0.73 -0.31   -4.88  0.20
3     2017-03-06  1560.57  1568.70  1570.32  ...  0.73  0.52    8.13  0.24
4     2017-03-07  1567.07  1568.70  1570.32  ...  0.62  0.00    0.00  0.17
          ...      ...      ...      ...  ...   ...   ...     ...   ...
1100  2021-09-01  3009.83  3074.84  3081.34  ...  4.83  0.42   13.00  1.19
1101  2021-09-02  3094.34  3159.35  3221.11  ...  5.18  2.75   84.51  1.25
1102  2021-09-03  3175.61  3100.84  3175.61  ...  4.12 -1.85  -58.51  0.72
1103  2021-09-06  3082.97  3167.48  3191.86  ...  4.30  2.15   66.64  0.78
1104  2021-09-07  3191.86  3295.88  3347.89  ...  6.21  4.05  128.40  0.84
```

##### 历史行情数据-新浪

接口: stock_zh_a_daily

P.S. 建议切换为 stock_zh_a_hist 接口使用(该接口数据质量高, 访问无限制)

目标地址: https://finance.sina.com.cn/realstock/company/sh600006/nc.shtml(示例)

描述: 新浪财经-沪深京 A 股的数据, 历史数据按日频率更新; 注意其中的 **sh689009** 为 CDR, 请
通过 **ak.stock_zh_a_cdr_daily** 接口获取

限量: 单次返回指定沪深京 A 股上市公司指定日期间的历史行情日频率数据, 多次获取容易封禁 IP

输入参数

| 名称         | 类型  | 描述                                                                                   |
|------------|-----|--------------------------------------------------------------------------------------|
| symbol     | str | symbol='sh600000'; 股票代码可以在 **ak.stock_zh_a_spot** 中获取                                |
| start_date | str | start_date='20201103'; 开始查询的日期                                                       |
| end_date   | str | end_date='20201116'; 结束查询的日期                                                         |
| adjust     | str | 默认返回不复权的数据; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据; hfq-factor: 返回后复权因子; qfq-factor: 返回前复权因子 |

**股票数据复权**

1.为何要复权：由于股票存在配股、分拆、合并和发放股息等事件，会导致股价出现较大的缺口。
若使用不复权的价格处理数据、计算各种指标，将会导致它们失去连续性，且使用不复权价格计算收益也会出现错误。
为了保证数据连贯性，常通过前复权和后复权对价格序列进行调整。

2.前复权：保持当前价格不变，将历史价格进行增减，从而使股价连续。
前复权用来看盘非常方便，能一眼看出股价的历史走势，叠加各种技术指标也比较顺畅，是各种行情软件默认的复权方式。
这种方法虽然很常见，但也有两个缺陷需要注意。

2.1 为了保证当前价格不变，每次股票除权除息，均需要重新调整历史价格，因此其历史价格是时变的。
这会导致在不同时点看到的历史前复权价可能出现差异。

2.2 对于有持续分红的公司来说，前复权价可能出现负值。

3.后复权：保证历史价格不变，在每次股票权益事件发生后，调整当前的股票价格。
后复权价格和真实股票价格可能差别较大，不适合用来看盘。
其优点在于，可以被看作投资者的长期财富增长曲线，反映投资者的真实收益率情况。

4.在量化投资研究中普遍采用后复权数据。

输出参数-历史行情数据

| 名称                | 类型         | 描述            |
|-------------------|------------|---------------|
| date              | datetime64 | 交易日           |
| open              | float64    | 开盘价           |
| high              | float64    | 最高价           |
| low               | float64    | 最低价           |
| close             | float64    | 收盘价           |
| volume            | float64    | 成交量; 注意单位: 股  |
| outstanding_share | float64    | 流动股本; 注意单位: 股 |
| turnover          | float64    | 换手率=成交量/流动股本  |

接口示例-历史行情数据(前复权)

```python
import akshare as ak

stock_zh_a_daily_qfq_df = ak.stock_zh_a_daily(symbol="sz000002", start_date="20101103", end_date="20201116", adjust="qfq")
print(stock_zh_a_daily_qfq_df)
```

数据示例-历史行情数据(前复权)

```
             open   high    low  ...       volume  outstanding_share  turnover
date                             ...
2010-11-03   6.98   7.20   6.90  ...  146025616.0       9.656080e+09  0.015123
2010-11-04   7.13   7.22   7.04  ...  104870112.0       9.656080e+09  0.010861
2010-11-05   7.22   7.28   7.04  ...  130233640.0       9.656080e+09  0.013487
2010-11-08   7.12   7.34   7.12  ...  162830704.0       9.656080e+09  0.016863
2010-11-09   7.17   7.23   6.88  ...  188507360.0       9.656080e+09  0.019522
           ...    ...    ...  ...          ...                ...       ...
2020-11-10  29.70  30.11  29.20  ...   61377060.0       9.714315e+09  0.006318
2020-11-11  29.37  30.25  29.25  ...   88521186.0       9.714315e+09  0.009112
2020-11-12  29.76  29.81  29.38  ...   45905719.0       9.714315e+09  0.004726
2020-11-13  29.56  29.69  28.83  ...   66013466.0       9.714315e+09  0.006795
2020-11-16  29.39  29.50  29.00  ...   51657638.0       9.714315e+09  0.005318
```

接口示例-历史行情数据(后复权)

```python
import akshare as ak

stock_zh_a_daily_hfq_df = ak.stock_zh_a_daily(symbol="sz000002", start_date='20201103', end_date='20201116', adjust="hfq")
print(stock_zh_a_daily_hfq_df)
```

数据示例-历史行情数据(后复权)

```
               open     high      low  ...       volume  outstanding_share  turnover
date                                   ...
2020-11-03  4010.19  4031.67  3982.98  ...   61766600.0       9.714315e+09  0.006358
2020-11-04  4017.35  4045.99  3995.87  ...   45499180.0       9.714315e+09  0.004684
2020-11-05  4074.64  4204.97  4054.59  ...  120119594.0       9.714315e+09  0.012365
2020-11-06  4202.10  4235.04  4157.70  ...   85288066.0       9.714315e+09  0.008780
2020-11-09  4256.53  4276.58  4180.62  ...   81118542.0       9.714315e+09  0.008350
2020-11-10  4253.66  4312.38  4182.05  ...   61377060.0       9.714315e+09  0.006318
2020-11-11  4206.40  4332.43  4189.21  ...   88521186.0       9.714315e+09  0.009112
2020-11-12  4262.26  4269.42  4207.83  ...   45905719.0       9.714315e+09  0.004726
2020-11-13  4233.61  4252.23  4129.06  ...   66013466.0       9.714315e+09  0.006795
2020-11-16  4209.26  4225.02  4153.41  ...   51657638.0       9.714315e+09  0.005318
```

接口示例-前复权因子

```python
import akshare as ak

qfq_factor_df = ak.stock_zh_a_daily(symbol="sz000002", adjust="qfq-factor")
print(qfq_factor_df)
```

数据示例-前复权因子

```
                      qfq_factor
date
2020-08-14    1.0000000000000000
2019-08-15    1.0368559887152000
2018-08-23    1.0783980437203000
2017-08-29    1.1205595658467000
2016-07-29    1.1586836854427000
2015-07-21    1.2071867234379000
2014-05-08    1.2478327410621000
2013-05-16    1.3164133608792000
2012-07-05    1.3377030648287000
2011-05-27    1.3570684766804000
2010-05-18    1.3744667904840000
2009-06-08    1.3885124365181000
2008-06-16    1.3950374009754000
2007-05-16    2.2456699625458000
2006-07-21    3.3906467379279000
2005-06-29    3.4764135188199000
2004-05-26    5.3736026037856000
2003-05-23    8.1158399710544000
2002-07-17   16.4702057311185000
2001-08-21   16.7388877169443000
2000-08-17   16.9482692172257000
2000-01-10   17.1244466519161980
1999-08-06   18.3747279845260000
1998-07-10   20.3681591223534000
1997-07-14   22.6729771283040000
1997-06-27   26.4431943252300000
1996-08-06   30.5408061754980000
1995-07-04   34.1548015729318950
1994-06-21   40.5700619999530000
1993-04-05   55.8148047629125000
1992-03-30   83.8869605857810100
1991-06-10  100.6643527029372100
1991-01-29  143.2209726780930000
1900-01-01  143.2209726780930000
```

接口示例-后复权因子

```python
import akshare as ak

hfq_factor_df = ak.stock_zh_a_daily(symbol="sz000002", adjust="hfq-factor")
print(hfq_factor_df)
```

数据示例-后复权因子

```
                      hfq_factor
date
2020-08-14  143.2209726780930000
2019-08-15  138.1300530033660000
2018-08-23  132.8090063887723000
2017-08-29  127.8120120012347900
2016-07-29  123.6066188533391900
2015-07-21  118.6402814886960200
2014-05-08  114.7757772056767000
2013-05-16  108.7963529802222000
2012-07-05  107.0648460362397000
2011-05-27  105.5370271575669000
2010-05-18  104.2011154213951000
2009-06-08  103.1470578954562000
2008-06-16  102.6646114132510000
2007-05-16   63.7765010294438000
2006-07-21   42.2400160641970000
2005-06-29   41.1979104047185000
2004-05-26   26.6526915438809980
2003-05-23   17.6470917599285000
2002-07-17    8.6957610011813000
2001-08-21    8.5561821729119010
2000-08-17    8.4504777946604000
2000-01-10    8.3635387226989000
1999-08-06    7.7944540348408990
1998-07-10    7.0316110463273000
1997-07-14    6.3168137059205000
1997-06-27    5.4161751759863000
1996-08-06    4.6894954853220000
1995-07-04    4.1932895546844000
1994-06-21    3.5302133055222000
1993-04-05    2.5660032904614000
1992-03-30    1.7073091178651000
1991-06-10    1.4227575982209000
1991-01-29    1.0000000000000000
1900-01-01    1.0000000000000000
```

##### 历史行情数据-网易

接口: stock_zh_a_hist_163

目标地址: http://quotes.money.163.com/trade/lsjysj_601318.html?year=2022&season=2

描述: 网易财经-行情首页-沪深 A 股-每日行情; 该接口主要用户获取流通市值、总市值等指标

限量: 单次返回指定沪深 A 股（不包含北交所）上市公司指定日期间的历史行情日频率数据, 该接口只返回未复权数据

输入参数

| 名称         | 类型  | 描述                                                                        |
|------------|-----|---------------------------------------------------------------------------|
| symbol     | str | symbol='sh601318'; 股票代码可以在 **ak.stock_zh_a_spot()** 中获取; 其中 sh689009 没有数据 |
| start_date | str | start_date='20201103'; 开始查询的日期                                            |
| end_date   | str | end_date='20201116'; 结束查询的日期                                              |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 日期   | object  | -       |
| 股票代码 | object  | -       |
| 名称   | object  | -       |
| 收盘价  | float64 | -       |
| 最高价  | float64 | -       |
| 最低价  | float64 | -       |
| 开盘价  | float64 | -       |
| 前收盘  | float64 | -       |
| 涨跌额  | float64 | -       |
| 涨跌幅  | float64 | 注意单位: % |
| 换手率  | float64 | 注意单位: % |
| 成交量  | float64 | 注意单位: 股 |
| 成交金额 | float64 | 注意单位: 元 |
| 总市值  | float64 | 注意单位: 元 |
| 流通市值 | float64 | 注意单位: 元 |

接口示例

```python
import akshare as ak

stock_zh_a_hist_163_df = ak.stock_zh_a_hist_163(symbol="sh601318", start_date="20210101", end_date="20220101")
print(stock_zh_a_hist_163_df)
```

数据示例

```
        日期    股票代码    名称  ...          成交金额        总市值        流通市值
0    2021-01-04  601318  中国平安  ...  8.814287e+09  1.557111e+12  9.227264e+11
1    2021-01-05  601318  中国平安  ...  8.795810e+09  1.540476e+12  9.128686e+11
2    2021-01-06  601318  中国平安  ...  7.950362e+09  1.567348e+12  9.287927e+11
3    2021-01-07  601318  中国平安  ...  9.137581e+09  1.576854e+12  9.344256e+11
4    2021-01-08  601318  中国平安  ...  1.006906e+10  1.573929e+12  9.326924e+11
..          ...     ...   ...  ...           ...           ...           ...
238  2021-12-27  601318  中国平安  ...  1.373482e+09  9.136465e+11  5.414166e+11
239  2021-12-28  601318  中国平安  ...  3.137431e+09  9.299159e+11  5.510576e+11
240  2021-12-29  601318  中国平安  ...  1.913670e+09  9.288191e+11  5.504077e+11
241  2021-12-30  601318  中国平安  ...  2.167180e+09  9.215070e+11  5.460746e+11
242  2021-12-31  601318  中国平安  ...  1.805071e+09  9.215070e+11  5.460746e+11
```

##### 分时数据-新浪

接口: stock_zh_a_minute

目标地址: http://finance.sina.com.cn/realstock/company/sh600519/nc.shtml

描述: 新浪财经-沪深京 A 股股票或者指数的分时数据，目前可以获取 1, 5, 15, 30, 60 分钟的数据频率, 可以指定是否复权

限量: 单次返回指定股票或指数的指定频率的最近交易日的历史分时行情数据

输入参数

| 名称     | 类型  | 描述                                                         |
|--------|-----|------------------------------------------------------------|
| symbol | str | symbol='sh000300'; 同日频率数据接口                                |
| period | str | period='1'; 获取 1, 5, 15, 30, 60 分钟的数据频率                    |
| adjust | str | adjust=""; 默认为空: 返回不复权的数据; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据; |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| day    | object  | -   |
| open   | float64 | -   |
| high   | float64 | -   |
| low    | float64 | -   |
| close  | float64 | -   |
| volume | float64 | -   |

接口示例

```python
import akshare as ak

stock_zh_a_minute_df = ak.stock_zh_a_minute(symbol='sh600751', period='1', adjust="qfq")
print(stock_zh_a_minute_df)
```

数据示例

```
                       day  open  high   low  close  volume
0      2020-06-17 14:49:00  3.05  3.05  3.04   3.04  133200
1      2020-06-17 14:50:00  3.05  3.05  3.04   3.04  131900
2      2020-06-17 14:51:00  3.04  3.05  3.04   3.04  332700
3      2020-06-17 14:52:00  3.05  3.05  3.04   3.04   71100
4      2020-06-17 14:53:00  3.04  3.05  3.04   3.04   49200
                    ...   ...   ...   ...    ...     ...
19995  2020-10-23 14:54:00  3.52  3.52  3.51   3.52  234900
19996  2020-10-23 14:55:00  3.51  3.52  3.51   3.52  337300
19997  2020-10-23 14:56:00  3.52  3.53  3.51   3.52  198067
19998  2020-10-23 14:57:00  3.53  3.53  3.52   3.53  225800
19999  2020-10-23 15:00:00  3.52  3.52  3.52   3.52  259123
```

##### 分时数据-东财

接口: stock_zh_a_hist_min_em

目标地址: http://quote.eastmoney.com/concept/sh603777.html?from=classic

描述: 东方财富网-行情首页-沪深京 A 股-每日分时行情; 该接口只能获取近期的分时数据，注意时间周期的设置

限量: 单次返回指定股票、频率、复权调整和时间区间的分时数据, 其中 1 分钟数据只返回近 5 个交易日数据且不复权

输入参数

| 名称         | 类型  | 描述                                                                                                  |
|------------|-----|-----------------------------------------------------------------------------------------------------|
| symbol     | str | symbol='sh000300'; 股票代码                                                                             |
| start_date | str | start_date="1979-09-01 09:32:00"; 日期时间; 默认返回所有数据                                                    |
| end_date   | str | end_date="2222-01-01 09:32:00"; 日期时间; 默认返回所有数据                                                      |
| period     | str | period='5'; choice of {'1', '5', '15', '30', '60'}; 其中 1 分钟数据返回近 5 个交易日数据且不复权                       |
| adjust     | str | adjust=''; choice of {'', 'qfq', 'hfq'}; '': 不复权, 'qfq': 前复权, 'hfq': 后复权, 其中 1 分钟数据返回近 5 个交易日数据且不复权 |

输出参数-1分钟数据

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 时间  | object  | -       |
| 开盘  | float64 | -       |
| 收盘  | float64 | -       |
| 最高  | float64 | -       |
| 最低  | float64 | -       |
| 成交量 | float64 | 注意单位: 手 |
| 成交额 | float64 | -       |
| 最新价 | float64 | -       |

接口示例-1分钟数据

```python
import akshare as ak

stock_zh_a_hist_min_em_df = ak.stock_zh_a_hist_min_em(symbol="000001", start_date="2021-09-01 09:32:00", end_date="2021-09-06 09:32:00", period='1', adjust='')
print(stock_zh_a_hist_min_em_df)
```

数据示例-1分钟数据

```
       时间       开盘     收盘  ...    成交量         成交额       最新价
0     2021-08-31 09:30:00   0.00  17.72  ...   5905  10463660.0  17.720
1     2021-08-31 09:31:00   0.00  17.65  ...  18454  32576004.0  17.669
2     2021-08-31 09:32:00   0.00  17.70  ...  14085  24864945.0  17.663
3     2021-08-31 09:33:00   0.00  17.68  ...  11138  19719604.0  17.673
4     2021-08-31 09:34:00   0.00  17.77  ...  14392  25513573.0  17.685
                   ...    ...    ...  ...    ...         ...     ...
1200  2021-09-06 14:56:00  18.46  18.46  ...   4564   8424252.0  18.348
1201  2021-09-06 14:57:00  18.45  18.45  ...   7414  13681401.0  18.348
1202  2021-09-06 14:58:00  18.45  18.45  ...     69    127274.0  18.348
1203  2021-09-06 14:59:00  18.45  18.45  ...      0         0.0  18.348
1204  2021-09-06 15:00:00  18.45  18.45  ...  11541  21293052.0  18.349
```

输出参数-其他

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 时间  | object  | -       |
| 开盘  | float64 | -       |
| 收盘  | float64 | -       |
| 最高  | float64 | -       |
| 最低  | float64 | -       |
| 涨跌幅 | float64 | 注意单位: % |
| 涨跌额 | float64 | -       |
| 成交量 | float64 | 注意单位: 手 |
| 成交额 | float64 | -       |
| 振幅  | float64 | 注意单位: % |
| 换手率 | float64 | 注意单位: % |

接口示例-其他

```python
import akshare as ak

stock_zh_a_hist_min_em_df = ak.stock_zh_a_hist_min_em(symbol="000001", start_date="2021-09-01 09:32:00", end_date="2021-09-06 09:32:00", period='5', adjust='hfq')
print(stock_zh_a_hist_min_em_df)
```

数据示例-其他

```
            时间       开盘       收盘  ...          成交额    振幅   换手率
0    2021-09-01 09:35:00  3009.83  2977.32  ...  248855522.0  2.97  0.07
1    2021-09-01 09:40:00  2980.57  2959.45  ...  242051722.0  0.87  0.07
2    2021-09-01 09:45:00  2957.82  2972.45  ...  140232924.0  0.99  0.04
3    2021-09-01 09:50:00  2974.07  3013.08  ...  174011168.0  1.59  0.05
4    2021-09-01 09:55:00  3013.08  2969.20  ...  110244839.0  1.56  0.03
..                   ...      ...      ...  ...          ...   ...   ...
139  2021-09-03 14:40:00  3107.35  3104.09  ...   34871309.0  0.16  0.01
140  2021-09-03 14:45:00  3104.09  3107.35  ...   41341513.0  0.21  0.01
141  2021-09-03 14:50:00  3107.35  3112.22  ...   35413634.0  0.21  0.01
142  2021-09-03 14:55:00  3112.22  3104.09  ...   55853775.0  0.37  0.02
143  2021-09-03 15:00:00  3104.09  3100.84  ...   45082686.0  0.16  0.01
```

##### 盘前数据

接口: stock_zh_a_hist_pre_min_em

目标地址: http://quote.eastmoney.com/concept/sh603777.html?from=classic

描述: 东方财富-股票行情-盘前数据

限量: 单次返回指定当前交易日的股票分钟数据, 包含盘前分钟数据

输入参数

| 名称         | 类型  | 描述                                  |
|------------|-----|-------------------------------------|
| symbol     | str | symbol="000001"; 股票代码               |
| start_date | str | start_date="09:00:00"; 时间; 默认返回所有数据 |
| end_date   | str | end_date="15:40:00"; 时间; 默认返回所有数据   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 时间  | object  | -       |
| 开盘  | float64 | -       |
| 收盘  | float64 | -       |
| 最高  | float64 | -       |
| 最低  | float64 | -       |
| 成交量 | float64 | 注意单位: 手 |
| 成交额 | float64 | -       |
| 最新价 | float64 | -       |

接口示例

```python
import akshare as ak

stock_zh_a_hist_pre_min_em_df = ak.stock_zh_a_hist_pre_min_em(symbol="000001")
print(stock_zh_a_hist_pre_min_em_df)
```

数据示例

```
         时间     开盘     收盘     最高     最低    成交量         成交额     最新价
0    2021-09-06 09:15:00  18.04  18.04  18.04  18.04      0         0.0  18.040
1    2021-09-06 09:16:00  18.04  18.04  18.20  18.04      0         0.0  18.040
2    2021-09-06 09:17:00  18.04  18.04  18.04  18.04      0         0.0  18.040
3    2021-09-06 09:18:00  18.04  18.03  18.04  18.03      0         0.0  18.040
4    2021-09-06 09:19:00  18.03  18.02  18.03  18.02      0         0.0  18.040
..                   ...    ...    ...    ...    ...    ...         ...     ...
251  2021-09-06 14:56:00  18.46  18.46  18.47  18.45   4564   8424252.0  18.348
252  2021-09-06 14:57:00  18.45  18.45  18.47  18.45   7414  13681401.0  18.348
253  2021-09-06 14:58:00  18.45  18.45  18.45  18.45     69    127274.0  18.348
254  2021-09-06 14:59:00  18.45  18.45  18.45  18.45      0         0.0  18.348
255  2021-09-06 15:00:00  18.45  18.45  18.45  18.45  11541  21293052.0  18.349
```

#### 历史分笔数据

##### 腾讯财经

接口: stock_zh_a_tick_tx

目标地址: http://gu.qq.com/sz300494/gp/detail(示例)

描述: A 股数据是从腾讯财经获取的数据, 历史数据按日频率更新, 该接口自 20210611 起, 暂时无法获取数据, 等腾讯修复后再使用

限量: 单次返回具体某个 A 上市公司的近 2 年历史分笔行情数据

P.S. 每个交易日 16:00 提供当日数据; 如遇到数据缺失, 请使用 **ak.stock_zh_a_tick_163()** 接口(注意数据会有一定差异)
或者使用 **ak.stock_zh_a_tick_tx_js(symbol="sz000001")** 来获取当日腾讯分笔数据

输入参数-历史行情数据

| 名称         | 类型  | 描述                    |
|------------|-----|-----------------------|
| symbol     | str | symbol="sh600000"     |
| trade_date | str | trade_date="20191011" |

输出参数-历史行情数据

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 成交时间 | object  | -       |
| 成交价格 | float64 | 注意单位: 元 |
| 价格变动 | float64 | 注意单位: 元 |
| 成交量  | int32   | 注意单位: 手 |
| 成交额  | int32   | 注意单位: 元 |
| 性质   | object  | 买卖盘标记   |

接口示例-历史行情数据

```python
import akshare as ak

stock_zh_a_tick_tx_df = ak.stock_zh_a_tick_tx(symbol="sh600848", trade_date="20191011")
print(stock_zh_a_tick_tx_df)

# 当前交易日的分时数据可以通过下接口获取
stock_zh_a_tick_tx_js_df = ak.stock_zh_a_tick_tx_js(symbol="sz000001")
print(stock_zh_a_tick_tx_js_df)
```

数据示例-历史行情数据

```
      成交时间  成交价格  价格变动  成交量  成交额 性质
0     09:25:04  3.45  0.01       4    1380   卖盘
1     09:30:02  3.46  0.01       1     346   买盘
2     09:30:08  3.46  0.00      20    6920   买盘
3     09:30:20  3.46  0.00      28    9688   买盘
4     09:30:23  3.46  0.00      25    8665   买盘
        ...   ...   ...     ...     ...  ..
1405  14:59:29  3.51 -0.02      14    4914   卖盘
1406  14:59:50  3.51  0.00       5    1755   卖盘
1407  14:59:50  3.52  0.01      69   24288   买盘
1408  14:59:59  3.51 -0.01     100   35100   卖盘
1409  15:00:02  3.52  0.01      10    3520   买盘
```

##### 网易财经

接口: stock_zh_a_tick_163

目标地址: http://quotes.money.163.com/trade/cjmx_000001.html#01b05(示例)

描述: A 股 Tick 数据是从网易财经获取, 历史数据按日频率更新, 晚上 10 更新数据; 可以调用 **ak.stock_zh_a_tick_163_now(
symbol="000001")** 接口获取
当日数据(该接口只能在交易日获取数据), 主要参数无市场标识

限量: 单次返回具体某个 A 上市公司的近 5 个交易日的历史分笔行情数据; 该接口目前还不支持北交所的股票; 该接口目前不能返回
上交所 数据

输入参数

| 名称         | 类型       | 描述                    |
|------------|----------|-----------------------|
| symbol     | str      | symbol="sh600000";    |
| trade_date | datetime | trade_date="20200408" |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | -       |
| 成交价  | float64 | -       |
| 价格变动 | float64 | -       |
| 成交量  | int64   | 注意单位: 手 |
| 成交额  | float64 | 注意单位: 元 |
| 性质   | object  | 买卖盘标记   |

接口示例

```python
import akshare as ak

stock_zh_a_tick_163_df = ak.stock_zh_a_tick_163(symbol="sh600848", trade_date="20210127")
print(stock_zh_a_tick_163_df)
```

数据示例

```
      成交时间    成交价  价格变动  成交量     成交额   性质
0     09:25:03  19.48  0.13   39   75972   买盘
1     09:30:02  19.47 -0.01   17   33095  中性盘
2     09:30:06  19.37 -0.10    6   11667   卖盘
3     09:30:12  19.40 -0.06    7   13580  中性盘
4     09:30:15  19.40  0.00    2    3880   买盘
        ...    ...   ...  ...     ...  ...
1306  14:56:40  19.32 -0.01   15   28980   卖盘
1307  14:56:46  19.32  0.00   69  133308   卖盘
1308  14:56:52  19.31 -0.01    7   13523   卖盘
1309  14:57:02  19.32  0.01    6   11592   买盘
1310  15:00:03  19.32  0.00  299  577668   买盘
```

### A股-CDR

#### 历史行情数据

接口: stock_zh_a_cdr_daily

目标地址: https://finance.sina.com.cn/realstock/company/sh689009/nc.shtml

描述: 上海证券交易所-科创板-CDR

限量: 单次返回指定 CDR 的日频率数据, 分钟历史行情数据可以通过 stock_zh_a_minute 获取

名词解释:

1. [Investopedia-CDR](https://www.investopedia.com/terms/c/cdr.asp)
2. [百度百科-中国存托凭证](https://baike.baidu.com/item/%E4%B8%AD%E5%9B%BD%E5%AD%98%E6%89%98%E5%87%AD%E8%AF%81/2489906?fr=aladdin)

输入参数

| 名称         | 类型  | 描述                          |
|------------|-----|-----------------------------|
| symbol     | str | symbol='sh689009'; CDR 股票代码 |
| start_date | str | start_date='20201103'       |
| end_date   | str | end_date='20201116'         |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| date   | object  | 交易日     |
| open   | float64 | -       |
| high   | float64 | -       |
| low    | float64 | -       |
| close  | float64 | -       |
| volume | float64 | 注意单位: 手 |

接口示例

```python
import akshare as ak

stock_zh_a_cdr_daily_df = ak.stock_zh_a_cdr_daily(symbol='sh689009', start_date='20201103', end_date='20201116')
print(stock_zh_a_cdr_daily_df)
```

数据示例

```
           date   open   high    low  close      volume
0    2020-10-29  33.00  49.80  33.00  38.50  40954922.0
1    2020-10-30  40.02  51.56  40.02  47.60  33600551.0
2    2020-11-02  50.20  56.78  48.81  56.77  27193402.0
3    2020-11-03  56.50  59.55  53.36  57.39  25121445.0
4    2020-11-04  57.45  57.80  51.90  54.40  20846450.0
..          ...    ...    ...    ...    ...         ...
265  2021-11-30  60.50  61.20  60.36  60.84   1535244.0
266  2021-12-01  60.99  61.00  59.78  59.78   2116728.0
267  2021-12-02  59.67  59.77  57.66  57.73   2421344.0
268  2021-12-03  57.55  58.78  57.50  58.60   1709167.0
269  2021-12-06  58.99  58.99  56.30  56.75   1719351.0
```

### B股

#### 实时行情数据

##### 实时行情数据-东财

接口: stock_zh_b_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#hs_b_board

描述: 东方财富网-实时行情数据

限量: 单次返回所有 B 股上市公司的实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 序号      | int64   | -       |
| 代码      | object  | -       |
| 名称      | object  | -       |
| 最新价     | float64 | -       |
| 涨跌幅     | float64 | 注意单位: % |
| 涨跌额     | float64 | -       |
| 成交量     | float64 | 注意单位: 手 |
| 成交额     | float64 | 注意单位: 元 |
| 振幅      | float64 | 注意单位: % |
| 最高      | float64 | -       |
| 最低      | float64 | -       |
| 今开      | float64 | -       |
| 昨收      | float64 | -       |
| 量比      | float64 | -       |
| 换手率     | float64 | 注意单位: % |
| 市盈率-动态  | float64 | -       |
| 市净率     | float64 | -       |
| 总市值     | float64 | 注意单位: 元 |
| 流通市值    | float64 | 注意单位: 元 |
| 涨速      | float64 | -       |
| 5分钟涨跌   | float64 | 注意单位: % |
| 60日涨跌幅  | float64 | 注意单位: % |
| 年初至今涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_zh_b_spot_em_df = ak.stock_zh_b_spot_em()
print(stock_zh_b_spot_em_df)
```

数据示例

```
      序号      代码     名称    最新价  ...    涨速  5分钟涨跌  60日涨跌幅  年初至今涨跌幅
0      1  900953    凯马Ｂ  0.330  ...  0.00   0.92    0.00    -2.65
1      2  200625  长  安Ｂ  4.420  ...  0.00   0.23   20.11     1.38
2      3  900914   锦在线B  0.702  ...  0.14   0.29   13.96    16.42
3      4  200761   本钢板Ｂ  2.670  ...  0.00   0.38    8.54     1.14
4      5  900957   凌云Ｂ股  0.568  ...  0.00  -0.35   -6.73    -9.98
..   ...     ...    ...    ...  ...   ...    ...     ...      ...
109  110  200017   深中华B  1.210  ... -1.63  -0.82  -14.18   -15.38
110  111  900936   鄂资Ｂ股  2.630  ...  0.00  -0.53   30.46    27.92
111  112  900919   退市庭B  0.026  ...  0.00   0.00  -78.15   -86.32
112  113  900906   中毅达B  0.571  ...  0.71  -0.70   17.73    13.07
113  114  900948   伊泰Ｂ股  1.465  ... -0.61   0.14   47.38    67.81
```

##### 实时行情数据-新浪

接口: stock_zh_b_spot

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#hs_b

描述: B 股数据是从新浪财经获取的数据, 重复运行本函数会被新浪暂时封 IP, 建议增加时间间隔

限量: 单次返回所有 B 股上市公司的实时行情数据

输入参数-实时行情数据

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数-实时行情数据

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 代码  | object  | -       |
| 名称  | object  | -       |
| 最新价 | float64 | -       |
| 涨跌额 | float64 | -       |
| 涨跌幅 | float64 | 注意单位: % |
| 买入  | float64 | -       |
| 卖出  | float64 | -       |
| 昨收  | float64 | -       |
| 今开  | float64 | -       |
| 最高  | float64 | -       |
| 最低  | float64 | -       |
| 成交量 | float64 | 注意单位: 股 |
| 成交额 | float64 | 注意单位: 元 |

接口示例-实时行情数据

```python
import akshare as ak

stock_zh_b_spot_df = ak.stock_zh_b_spot()
print(stock_zh_b_spot_df)
```

数据示例-实时行情数据

```
    代码        名称     最新价    涨跌额  ...      最高      最低         成交量         成交额
0   sh900901  云赛Ｂ股   0.451  0.001  ...   0.459   0.447   869400.0    395346.0
1   sh900902  市北B股   0.290 -0.004  ...   0.294   0.290   858200.0    251011.0
2   sh900903  大众Ｂ股   0.290 -0.006  ...   0.296   0.289  1775362.0    518333.0
3   sh900904  神奇B股   0.536 -0.006  ...   0.540   0.531    37060.0     19907.0
4   sh900905  老凤祥Ｂ   3.498 -0.011  ...   3.509   3.495   300400.0   1051414.0
..       ...   ...     ...    ...  ...     ...     ...        ...         ...
85  sz200761  本钢板Ｂ   3.260 -0.120  ...   3.380   3.240  2190800.0   7214306.0
86  sz200771  杭汽轮Ｂ  14.940 -0.760  ...  15.800  14.660   839948.0  12673391.0
87  sz200869  张 裕Ｂ  14.000  0.000  ...  14.000  13.810   176407.0   2461886.0
88  sz200992  中 鲁Ｂ   3.120  0.000  ...   3.130   3.080    17700.0     55129.0
89  sz201872   招港B   8.780 -0.220  ...   9.050   8.750   313566.0   2776833.0
```

#### 历史行情数据

##### 历史行情数据

接口: stock_zh_b_daily

目标地址: https://finance.sina.com.cn/realstock/company/sh900901/nc.shtml(示例)

描述: B 股数据是从新浪财经获取的数据, 历史数据按日频率更新

限量: 单次返回指定 B 股上市公司指定日期间的历史行情日频率数据

输入参数

| 名称         | 类型  | 描述                                                                                   |
|------------|-----|--------------------------------------------------------------------------------------|
| symbol     | str | symbol='sh900901'; 股票代码可以在 **ak.stock_zh_b_spot()** 中获取                              |
| start_date | str | start_date='20201103'; 开始查询的日期                                                       |
| end_date   | str | end_date='20201116'; 结束查询的日期                                                         |
| adjust     | str | 默认返回不复权的数据; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据; hfq-factor: 返回后复权因子; qfq-factor: 返回前复权因子 |

**股票数据复权**

1.为何要复权：由于股票存在配股、分拆、合并和发放股息等事件，会导致股价出现较大的缺口。
若使用不复权的价格处理数据、计算各种指标，将会导致它们失去连续性，且使用不复权价格计算收益也会出现错误。
为了保证数据连贯性，常通过前复权和后复权对价格序列进行调整。

2.前复权：保持当前价格不变，将历史价格进行增减，从而使股价连续。
前复权用来看盘非常方便，能一眼看出股价的历史走势，叠加各种技术指标也比较顺畅，是各种行情软件默认的复权方式。
这种方法虽然很常见，但也有两个缺陷需要注意。

2.1 为了保证当前价格不变，每次股票除权除息，均需要重新调整历史价格，因此其历史价格是时变的。
这会导致在不同时点看到的历史前复权价可能出现差异。

2.2 对于有持续分红的公司来说，前复权价可能出现负值。

3.后复权：保证历史价格不变，在每次股票权益事件发生后，调整当前的股票价格。
后复权价格和真实股票价格可能差别较大，不适合用来看盘。
其优点在于，可以被看作投资者的长期财富增长曲线，反映投资者的真实收益率情况。

4.在量化投资研究中普遍采用后复权数据。

输出参数-历史行情数据

| 名称                | 类型      | 描述            |
|-------------------|---------|---------------|
| date              | object  | 交易日           |
| close             | float64 | 收盘价           |
| high              | float64 | 最高价           |
| low               | float64 | 最低价           |
| open              | float64 | 开盘价           |
| volume            | float64 | 成交量; 注意单位: 股  |
| outstanding_share | float64 | 流动股本; 注意单位: 股 |
| turnover          | float64 | 换手率=成交量/流动股本  |

接口示例-历史行情数据(前复权)

```python
import akshare as ak

stock_zh_b_daily_qfq_df = ak.stock_zh_b_daily(symbol="sh900901", start_date="20101103", end_date="20201116",
                                              adjust="qfq")
print(stock_zh_b_daily_qfq_df)
```

数据示例-历史行情数据(前复权)

```
           date  open  high  ...     volume  outstanding_share  turnover
0    2010-11-03  0.55  0.55  ...  1508633.0        293370465.0  0.005142
1    2010-11-04  0.54  0.54  ...  1791380.0        293370465.0  0.006106
2    2010-11-05  0.54  0.55  ...  1700666.0        293370465.0  0.005797
3    2010-11-08  0.55  0.56  ...  2519000.0        293370465.0  0.008586
4    2010-11-09  0.56  0.56  ...  1569375.0        293370465.0  0.005349
         ...   ...   ...  ...        ...                ...       ...
2276 2020-11-10  0.49  0.49  ...   105610.0        293370465.0  0.000360
2277 2020-11-11  0.49  0.49  ...   257303.0        293370465.0  0.000877
2278 2020-11-12  0.49  0.49  ...   172259.0        293370465.0  0.000587
2279 2020-11-13  0.48  0.49  ...   172150.0        293370465.0  0.000587
2280 2020-11-16  0.48  0.49  ...   236700.0        293370465.0  0.000807
```

接口示例-历史行情数据(后复权)

```python
import akshare as ak

stock_zh_b_daily_hfq_df = ak.stock_zh_b_daily(symbol="sh900901", start_date='20201103', end_date='20201116',
                                              adjust="hfq")
print(stock_zh_b_daily_hfq_df)
```

数据示例-历史行情数据(后复权)

```
        date    open    high  ...    volume  outstanding_share  turnover
0 2020-11-03  180.74  184.17  ...  259617.0        293370465.0  0.000885
1 2020-11-04  184.17  187.97  ...  171320.0        293370465.0  0.000584
2 2020-11-05  184.93  187.97  ...  403833.0        293370465.0  0.001377
3 2020-11-06  187.97  187.97  ...  108805.0        293370465.0  0.000371
4 2020-11-09  185.69  190.64  ...  415910.0        293370465.0  0.001418
5 2020-11-10  190.26  190.26  ...  105610.0        293370465.0  0.000360
6 2020-11-11  188.35  189.11  ...  257303.0        293370465.0  0.000877
7 2020-11-12  189.11  189.11  ...  172259.0        293370465.0  0.000587
8 2020-11-13  185.69  188.73  ...  172150.0        293370465.0  0.000587
9 2020-11-16  186.83  189.49  ...  236700.0        293370465.0  0.000807
```

接口示例-前复权因子

```python
import akshare as ak

qfq_factor_df = ak.stock_zh_b_daily(symbol="sh900901", adjust="qfq-factor")
print(qfq_factor_df)
```

数据示例-前复权因子

```
         date            qfq_factor
0  2021-07-28    1.0000000000000000
1  2020-07-24    1.0198866222149000
2  2019-07-26    1.0348110274690000
3  2018-07-27    1.0498863629661000
4  2017-06-01    1.0683657827715000
5  2016-06-07    1.0812587249539000
6  2007-06-26    1.0888116113319000
7  2006-06-07    1.1976927724651000
8  2005-06-09    1.3880065788605000
9  2004-06-09    1.4194157006466000
10 2003-06-11    1.4324281797957000
11 2002-06-19    1.4463411525706000
12 2001-07-17    1.5936677862694000
13 2000-06-23    1.6120404854245000
14 1998-07-07    1.8138100600697000
15 1996-06-03    2.1765720720836000
16 1995-05-29    2.3942292792919000
17 1994-05-09    2.8730751351503000
18 1993-03-29    3.3877374747485000
19 1992-12-01    3.8807719054656000
20 1992-02-21  388.0771905465590000
21 1900-01-01  388.0771905465590000
```

接口示例-后复权因子

```python
import akshare as ak

hfq_factor_df = ak.stock_zh_b_daily(symbol="sh900901", adjust="hfq-factor")
print(hfq_factor_df)
```

数据示例-后复权因子

```
         date            hfq_factor
0  2021-07-28  388.0771905465590000
1  2020-07-24  380.5101293551464000
2  2019-07-26  375.0222796675719000
3  2018-07-27  369.6373286059189000
4  2017-06-01  363.2437474175006300
5  2016-06-07  358.9124245569568600
6  2007-06-26  356.4227149192948300
7  2006-06-07  324.0206499266317000
8  2005-06-09  279.5931924653872300
9  2004-06-09  273.4062969500634000
10 2003-06-11  270.9226165893487000
11 2002-06-19  268.3164963237175600
12 2001-07-17  243.5119752624272000
13 2000-06-23  240.7366279292711800
14 1998-07-07  213.9569071149911000
15 1996-06-03  178.2974225958258000
16 1995-05-29  162.0885659962053200
17 1994-05-09  135.0738049968378200
18 1993-03-29  114.5535016922676000
19 1992-12-01  100.0000000000000000
20 1992-02-21    1.0000000000000000
21 1900-01-01    1.0000000000000000
```

##### 分时数据

接口: stock_zh_b_minute

目标地址: http://finance.sina.com.cn/realstock/company/sh900901/nc.shtml

描述: 新浪财经 B 股股票或者指数的分时数据，目前可以获取 1, 5, 15, 30, 60 分钟的数据频率, 可以指定是否复权

限量: 单次返回指定股票或指数的指定频率的最近交易日的历史分时行情数据

输入参数

| 名称     | 类型  | 描述                                                         |
|--------|-----|------------------------------------------------------------|
| symbol | str | symbol='sh900901'; 同日频率数据接口                                |
| period | str | period='1'; 获取 1, 5, 15, 30, 60 分钟的数据频率                    |
| adjust | str | adjust=""; 默认为空: 返回不复权的数据; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据; |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| day    | object  | -   |
| open   | float64 | -   |
| high   | float64 | -   |
| low    | float64 | -   |
| close  | float64 | -   |
| volume | float64 | -   |

接口示例

```python
import akshare as ak

stock_zh_b_minute_df = ak.stock_zh_b_minute(symbol='sh900901', period='1', adjust="qfq")
print(stock_zh_b_minute_df)
```

数据示例

```
                       day      open      high   low  close volume
0      2020-10-30 11:24:00  0.471946  0.471946  0.47   0.47  20000
1      2020-10-30 11:27:00  0.470973  0.470973  0.47   0.47  11300
2      2020-10-30 13:01:00  0.470973  0.470973  0.47   0.47   7400
3      2020-10-30 13:03:00  0.470000  0.470000  0.47   0.47   2993
4      2020-10-30 13:05:00  0.470000  0.470000  0.47   0.47      7
                    ...       ...       ...   ...    ...    ...
19995  2021-09-24 14:52:00  0.450998  0.450998  0.45   0.45  10350
19996  2021-09-24 14:55:00  0.450000  0.450000  0.45   0.45   5000
19997  2021-09-24 14:56:00  0.450000  0.450000  0.45   0.45   4000
19998  2021-09-24 14:57:00  0.450000  0.450000  0.45   0.45    100
19999  2021-09-24 15:00:00  0.450000  0.450000  0.45   0.45  11100
```

### 次新股

接口: stock_zh_a_new

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#new_stock

描述: 新浪财经-行情中心-沪深股市-次新股

限量: 单次返回所有次新股行情数据, 由于次新股名单随着交易日变化而变化，只能获取最近交易日的数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称            | 类型      | 描述   |
|---------------|---------|------|
| symbol        | object  | 新浪代码 |
| code          | object  | 股票代码 |
| name          | object  | 股票简称 |
| open          | float64 | 开盘价  |
| high          | float64 | 最高价  |
| low           | float64 | 最低价  |
| volume        | int64   | 成交量  |
| amount        | int64   | 成交额  |
| mktcap        | float64 | 市值   |
| turnoverratio | float64 | 换手率  |

接口示例

```python
import akshare as ak

stock_zh_a_new_df = ak.stock_zh_a_new()
print(stock_zh_a_new_df)
```

数据示例

```
     symbol    code  name  ...      amount        mktcap  turnoverratio
0   sh601728  601728  中国电信  ...  2078538311  4.146314e+07        7.91425
1   sh601825  601825  沪农商行  ...   511698399  7.657689e+06        6.67390
2   sh601921  601921  浙版传媒  ...   218150606  2.284444e+06        9.66828
3   sh605028  605028  世茂能源  ...   248080378  3.996800e+05       24.98649
4   sh605056  605056  咸亨国际  ...    60691275  7.736193e+05        7.80149
..       ...     ...   ...  ...         ...           ...            ...
79  sz301052  301052  果麦文化  ...   231553223  2.541569e+05       38.94978
80  sz301053  301053  远信工业  ...   214016261  3.033018e+05       33.99790
81  sz301055  301055  C张小泉  ...   679460624  5.285280e+05       64.66610
82  sz301056  301056   C森赫  ...   423894365  3.694995e+05       48.84555
83  sz301058  301058  中粮工科  ...           0  0.000000e+00        0.00000
```

### 风险警示板

接口: stock_zh_a_st_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#st_board

描述: 东方财富网-行情中心-沪深个股-风险警示板

限量: 单次返回当前交易日风险警示板的所有股票的行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int64   | -       |
| 代码     | object  | -       |
| 名称     | object  | -       |
| 最新价    | float64 | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 涨跌额    | float64 | -       |
| 成交量    | float64 | -       |
| 成交额    | float64 | -       |
| 振幅     | float64 | 注意单位: % |
| 最高     | float64 | -       |
| 最低     | float64 | -       |
| 今开     | float64 | -       |
| 昨收     | float64 | -       |
| 量比     | float64 | -       |
| 换手率    | float64 | 注意单位: % |
| 市盈率-动态 | float64 | -       |
| 市净率    | float64 | -       |

接口示例

```python
import akshare as ak

stock_zh_a_st_em_df = ak.stock_zh_a_st_em()
print(stock_zh_a_st_em_df)
```

数据示例

```
      序号 代码     名称    最新价  涨跌幅  ...  昨收   量比   换手率 市盈率-动态 市净率
0      1  300795  *ST米奥  21.00  12.90  ...  18.60  3.93   5.62  -45.30   5.07
1      2  300038  *ST数知   2.17   5.34  ...   2.06  1.14   4.89   -5.93   1.10
2      3  300312  *ST邦讯   3.18   5.30  ...   3.02  2.27   9.81  -13.10  -4.26
3      4  600139   ST西源   2.67   5.12  ...   2.54  1.22   2.93  -11.54  22.94
4      5  000972  *ST中基   2.28   5.07  ...   2.17  1.31   1.35  -18.99  13.55
..   ...     ...    ...    ...    ...  ...    ...   ...    ...     ...    ...
181  182  603157  *ST拉夏   2.67  -4.64  ...   2.80  1.72   4.06   -3.09  -1.73
182  183  002619  *ST艾格   1.62  -4.71  ...   1.70  1.19   7.48  -32.97   1.40
183  184  002089   ST新海   2.72  -4.90  ...   2.86  1.95   3.80  -21.35   4.00
184  185  000509  *ST华塑   3.30  -4.90  ...   3.47  6.13   4.02  162.39  22.85
185  186  300313   ST天山  10.10  -9.01  ...  11.10  0.84  10.95 -153.14  22.20
```

### 新股

接口: stock_zh_a_new_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#newshares

描述: 东方财富网-行情中心-沪深个股-新股

限量: 单次返回当前交易日新股板块的所有股票的行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int64   | -       |
| 代码     | object  | -       |
| 名称     | object  | -       |
| 最新价    | float64 | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 涨跌额    | float64 | -       |
| 成交量    | float64 | -       |
| 成交额    | float64 | -       |
| 振幅     | float64 | 注意单位: % |
| 最高     | float64 | -       |
| 最低     | float64 | -       |
| 今开     | float64 | -       |
| 昨收     | float64 | -       |
| 量比     | float64 | -       |
| 换手率    | float64 | 注意单位: % |
| 市盈率-动态 | float64 | -       |
| 市净率    | float64 | -       |

接口示例

```python
import akshare as ak

stock_zh_a_new_em_df = ak.stock_zh_a_new_em()
print(stock_zh_a_new_em_df)
```

数据示例

```
      序号  代码     名称   最新价   涨跌幅  ...  昨收    量比  换手率 市盈率-动态 市净率
0      1  688091  N谊众-U  51.51   35.20  ...  38.10   NaN  43.82 -222.87  4.67
1      2  605599    N菜百  14.40   44.00  ...  10.00   NaN   1.05   28.53  3.72
2      3  301058    N中粮  14.25  301.41  ...   3.55   NaN  47.81   70.43  4.40
3      4  301057    N汇隆  27.38  240.97  ...   8.03   NaN  47.31   39.73  5.28
4      5  688767   博拓生物  70.00   -9.24  ...  77.13  0.83  29.81    6.56  4.05
..   ...     ...    ...    ...     ...  ...    ...   ...    ...     ...   ...
465  466  003007   直真科技  17.71   -0.17  ...  17.74  1.23   1.69  -15.03  2.24
466  467  688526   科前生物  28.09   -0.95  ...  28.36  0.65   0.71   22.82  4.57
467  468  688156   路德环境  20.28   -1.55  ...  20.60  1.10   2.33   30.48  2.59
468  469  003005    竞业达  33.98   -0.70  ...  34.22  1.04   1.07   20.55  2.46
469  470  688127   蓝特光学  23.65   -9.21  ...  26.05  3.18  12.44   62.48  6.76
```

### IPO 受益股

接口: stock_ipo_benefit_ths

目标地址: http://data.10jqka.com.cn/ipo/syg/

描述: 同花顺-数据中心-新股数据-IPO受益股

限量: 单次返回当前交易日的所有数据; 该数据每周更新一次, 返回最近一周的数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int64   | -       |
| 股票代码   | object  | -       |
| 股票简称   | object  | -       |
| 收盘价    | float64 | 注意单位: 元 |
| 涨跌幅    | float64 | 注意单位: % |
| 市值     | object  | 注意单位: 元 |
| 参股家数   | int64   | -       |
| 投资总额   | object  | 注意单位: 元 |
| 投资占市值比 | float64 | 注意单位: % |
| 参股对象   | object  | -       |

接口示例

```python
import akshare as ak

stock_ipo_benefit_ths_df = ak.stock_ipo_benefit_ths()
print(stock_ipo_benefit_ths_df)
```

数据示例

```
    序号  股票代码  股票简称 收盘价  涨跌幅  市值  参股家数    投资总额  投资占市值比 参股对象
0      1  601601  中国太保  29.12 -0.206  1993.28亿     2  34.17亿    1.71   明细
1      2  600716  凤凰股份   3.82 -1.036    35.76亿     1   4.76亿   13.33   明细
2      3  600649  城投控股   4.08 -0.730   103.21亿     1   4.67亿    4.52   明细
3      4  601963  重庆银行   8.59 -1.151   162.82亿     1   3.79亿    2.33   明细
4      5  600639  浦东金桥  11.10 -0.893    94.38亿     2   3.18亿    3.37   明细
..   ...     ...   ...    ...    ...       ...   ...     ...     ...  ...
107  108  000685  中山公用   8.59 -0.116   126.71亿     1      0万    0.00   明细
108  109  600052  浙江广厦   3.98 -2.690    33.60亿     1      0万    0.00   明细
109  110  600261  阳光照明   3.62 -0.550    52.57亿     1      0万    0.00   明细
110  111  600496  精工钢构   3.90 -2.500    78.50亿     1      0万    0.00   明细
111  112  603987   康德莱  20.00  0.200    88.31亿     1      0万    0.00   明细
```

### 两网及退市

接口: stock_zh_a_stop_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#staq_net_board

描述: 东方财富网-行情中心-沪深个股-两网及退市

限量: 单次返回当前交易日两网及退市的所有股票的行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int64   | -       |
| 代码     | object  | -       |
| 名称     | object  | -       |
| 最新价    | float64 | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 涨跌额    | float64 | -       |
| 成交量    | float64 | -       |
| 成交额    | float64 | -       |
| 振幅     | float64 | 注意单位: % |
| 最高     | float64 | -       |
| 最低     | float64 | -       |
| 今开     | float64 | -       |
| 昨收     | float64 | -       |
| 量比     | float64 | -       |
| 换手率    | float64 | 注意单位: % |
| 市盈率-动态 | float64 | -       |
| 市净率    | float64 | -       |

接口示例

```python
import akshare as ak

stock_zh_a_stop_em_df = ak.stock_zh_a_stop_em()
print(stock_zh_a_stop_em_df)
```

数据示例

```
      序号 代码    名称      最新价 涨跌幅 涨跌额  ... 今开 昨收 量比 换手率 市盈率-动态市净率
0      1  400010  鹫  峰 5  1.90  4.97  0.09  ... NaN  1.81 NaN  NaN  -87.16  20.41
1      2  400069     吉恩5  9.96  4.95  0.47  ... NaN  9.49 NaN  NaN   19.61   3.78
2      3  400073    上普A5  7.08  4.89  0.33  ... NaN  6.75 NaN  NaN   97.79  11.69
3      4  400008   水仙Ａ 5  4.96  4.86  0.23  ... NaN  4.73 NaN  NaN -539.13  992.0
4      5  400059     天珑5  3.50  4.79  0.16  ... NaN  3.34 NaN  NaN   50.29   3.72
..   ...     ...     ...   ...   ...   ...  ...  ..   ...  ..  ...     ...    ...
100  101  400027  生  态 5  1.05 -4.55 -0.05  ... NaN   1.1 NaN  NaN  -57.07    4.7
101  102  400036     天创5  1.64 -4.65 -0.08  ... NaN  1.72 NaN  NaN   103.8   1.57
102  103  400005   海国实 5  1.01 -4.72 -0.05  ... NaN  1.06 NaN  NaN  -91.82   15.3
103  104  400039  华  圣 5  0.95 -5.00 -0.05  ... NaN   1.0 NaN  NaN  -65.97   4.64
104  105  400028  金  马 5  0.95 -5.00 -0.05  ... NaN   1.0 NaN  NaN -226.19    9.3
```

### 股票指数

#### 实时行情数据

接口: stock_zh_index_spot

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#hs_s

描述: 中国股票指数数据, 注意该股票指数指新浪提供的国内股票指数

限量: 单次返回所有指数的实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 代码  | object  | -       |
| 名称  | object  | -       |
| 最新价 | float64 | -       |
| 涨跌额 | float64 | -       |
| 涨跌幅 | float64 | 注意单位: % |
| 昨收  | float64 | -       |
| 今开  | float64 | -       |
| 最高  | float64 | -       |
| 最低  | float64 | -       |
| 成交量 | float64 | 注意单位: 手 |
| 成交额 | float64 | 注意单位: 万 |

接口示例

```python
import akshare as ak

stock_zh_index_spot_df = ak.stock_zh_index_spot()
print(stock_zh_index_spot_df)
```

数据示例

```
     代码       名称     最新价  ...       最低         成交量           成交额
0    sh000001  上证指数  3484.3924  ...  3462.8321   262654873  317953200768
1    sh000002  Ａ股指数  3652.2918  ...  3629.6721   262507126  317711821774
2    sh000003  Ｂ股指数   246.1128  ...   245.3968      121902      62088261
3    sh000004  工业指数  3084.5617  ...  3051.0834   162642330  224198720298
4    sh000005  商业指数  3161.1518  ...  3150.4813    14486730   19213540155
..        ...   ...        ...  ...        ...         ...           ...
575  sz399998  中证煤炭  1395.7690  ...  1392.0210   788677823    4900473791
576  sz980001        1690.5910  ...  1679.6590  2458615064   60754965378
577  sz980017        9014.4380  ...  8679.3360   835190754   34070561457
578  sz980023        2957.4530  ...  2950.4640   489534394    8813329425
579  sz980068        2165.8470  ...  2154.3910   439360589    4552661981
```

#### 历史行情数据

##### 历史行情数据-新浪

接口: stock_zh_index_daily

目标地址: https://finance.sina.com.cn/realstock/company/sz399552/nc.shtml(示例)

描述: 股票指数数据是从新浪财经获取的数据, 历史数据按日频率更新

限量: 单次返回具体某个指数的所有历史行情数据

输入参数

| 名称     | 类型  | 描述                |
|--------|-----|-------------------|
| symbol | str | symbol="sz399552" |

输出参数-历史行情数据

| 名称     | 类型      | 描述                  |
|--------|---------|---------------------|
| date   | object  | 新浪的数据开始时间, 不是证券上市时间 |
| open   | float64 | -                   |
| close  | float64 | -                   |
| high   | float64 | -                   |
| low    | float64 | -                   |
| amount | float64 | -                   |

接口示例

```python
import akshare as ak

stock_zh_index_daily_df = ak.stock_zh_index_daily(symbol="sz399552")
print(stock_zh_index_daily_df)
```

数据示例-历史行情数据

```
  date       open      high       low     close        volume
2013-06-06  3353.536  3367.362  3325.742  3331.724  6.976691e+08
2013-06-07  3325.795  3338.029  3264.914  3276.253  7.975941e+08
2013-06-13  3227.157  3227.157  3138.502  3170.727  9.214073e+08
2013-06-14  3168.941  3190.161  3157.245  3184.553  7.290986e+08
2013-06-17  3189.969  3196.282  3153.118  3158.014  7.514038e+08
              ...       ...       ...       ...           ...
2019-11-11  7903.771  7903.771  7812.036  7827.082  1.500865e+09
2019-11-12  7826.054  7846.032  7759.229  7804.985  1.387154e+09
2019-11-13  7816.080  7817.346  7759.580  7803.760  1.169749e+09
2019-11-14  7815.102  7826.694  7785.544  7803.063  1.886548e+09
2019-11-15  7813.952  7823.045  7752.760  7752.760  1.514993e+09
```

##### 历史行情数据-腾讯

接口: stock_zh_index_daily_tx

目标地址: http://gu.qq.com/sh000919/zs

描述: 股票指数(或者股票)历史行情数据

限量: 单次返回具体某个股票指数(或者股票)的所有历史行情数据

输入参数

| 名称     | 类型  | 描述                |
|--------|-----|-------------------|
| symbol | str | symbol="sh000919" |

输出参数-历史行情数据

| 名称     | 类型      | 描述                  |
|--------|---------|---------------------|
| date   | object  | 腾讯的数据开始时间, 不是证券上市时间 |
| open   | float64 | -                   |
| close  | float64 | -                   |
| high   | float64 | -                   |
| low    | float64 | -                   |
| amount | float64 | -                   |

接口示例

```python
import akshare as ak

stock_zh_index_daily_tx_df = ak.stock_zh_index_daily_tx(symbol="sh000919")
print(stock_zh_index_daily_tx_df)
```

数据示例-历史行情数据

```
               open    close     high      low      amount
date
2005-01-04   993.11   978.14   993.11   976.82   4235500.0
2005-01-05   976.94   981.50   985.52   972.79   3366739.0
2005-01-06   982.37   968.90   982.37   966.52   3137880.0
2005-01-07   968.77   967.72   978.27   963.10   3340480.0
2005-01-10   967.81   977.77   978.15   963.31   2680019.0
             ...      ...      ...      ...         ...
2020-01-21  5057.77  4985.22  5057.77  4983.42  47773440.0
2020-01-22  4964.64  4993.16  5003.42  4916.75  44316915.0
2020-01-23  4952.00  4851.44  4952.00  4823.68  59821336.0
2020-02-03  4414.92  4486.51  4544.62  4414.92  87252491.0
2020-02-04  4472.27  4591.61  4595.76  4472.27  81098211.0
```

### 科创板

#### 实时行情数据

接口: stock_zh_kcb_spot

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#kcb

描述: 新浪财经-科创板股票实时行情数据

限量: 单次返回所有科创板上市公司的实时行情数据; 请控制采集的频率, 大量抓取容易封IP

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数-实时行情数据

| 名称   | 类型      | 描述           |
|------|---------|--------------|
| 代码   | object  | -            |
| 名称   | object  | -            |
| 最新价  | float64 | -            |
| 涨跌额  | float64 | -            |
| 涨跌幅  | float64 | -            |
| 买入   | float64 | -            |
| 卖出   | float64 | -            |
| 昨收   | float64 | -            |
| 今开   | float64 | -            |
| 最高   | float64 | -            |
| 最低   | float64 | -            |
| 成交量  | float64 | 注意单位: 股      |
| 成交额  | float64 | 注意单位: 元      |
| 时点   | object  | 注意: 数据获取的时间点 |
| 市盈率  | float64 | -            |
| 市净率  | float64 | -            |
| 流通市值 | float64 | -            |
| 总市值  | float64 | -            |
| 换手率  | float64 | -            |

接口示例

```python
import akshare as ak

stock_zh_kcb_spot_df = ak.stock_zh_kcb_spot()
print(stock_zh_kcb_spot_df)
```

数据示例

```
           代码    名称     最新价   涨跌额  ...     市净率          流通市值           总市值      换手率
0    sh688001  华兴源创   31.72 -0.43  ...   4.102  1.393734e+06  1.598691e+05  1.77051
1    sh688002  睿创微纳   58.78  0.28  ...   7.950  2.615710e+06  1.505524e+06  0.97091
2    sh688003  天准科技   32.15 -0.46  ...   4.173  6.224240e+05  2.356659e+05  0.88843
3    sh688004  博汇科技   32.88 -0.59  ...   2.612  1.867584e+05  1.299385e+05  0.78243
4    sh688005  容百科技  135.74 -3.76  ...  12.098  6.081663e+06  3.743849e+06  1.87571
..        ...   ...     ...   ...  ...     ...           ...           ...      ...
386  sh688799  华纳药厂   37.84  0.39  ...   2.496  3.549392e+05  7.558540e+04  4.39538
387  sh688800   瑞可达   95.54 -4.45  ...  10.805  1.031832e+06  2.192643e+05  4.70915
388  sh688819  天能股份   35.15 -0.61  ...   2.854  3.416932e+06  4.517024e+05  1.03151
389  sh688981  中芯国际   50.88 -0.18  ...   3.769  4.021520e+07  9.519842e+06  0.64778
390  sh689009  九号公司   54.75 -0.91  ...   0.927  3.875682e+06  2.425397e+06  0.29878
```

#### 历史行情数据

接口: stock_zh_kcb_daily

目标地址: https://finance.sina.com.cn/realstock/company/sh688001/nc.shtml(示例)

描述: 新浪财经-科创板股票历史行情数据

限量: 单次返回指定 symbol 和 adjust 的所有历史行情数据; 请控制采集的频率, 大量抓取容易封IP

输入参数

| 名称     | 类型  | 描述                                                                                 |
|--------|-----|------------------------------------------------------------------------------------|
| symbol | str | symbol="sh688008"; 带市场标识的股票代码                                                      |
| adjust | str | 默认不复权的数据; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据; hfq-factor: 返回后复权因子; hfq-factor: 返回前复权因子 |

输出参数

| 名称                | 类型      | 描述                                                                                           |
|-------------------|---------|----------------------------------------------------------------------------------------------|
| date              | object  | -                                                                                            |
| close             | float64 | 收盘价                                                                                          |
| high              | float64 | 最高价                                                                                          |
| low               | float64 | 最低价                                                                                          |
| open              | float64 | 开盘价                                                                                          |
| volume            | float64 | 成交量(股)                                                                                       |
| after_volume      | float64 | 盘后量; 参见[科创板盘后固定价格交易](http://www.sse.com.cn/lawandrules/sserules/tib/trading/c/4729491.shtml) |
| after_amount      | float64 | 盘后额; 参见[科创板盘后固定价格交易](http://www.sse.com.cn/lawandrules/sserules/tib/trading/c/4729491.shtml) |
| outstanding_share | float64 | 流通股本(股)                                                                                      |
| turnover          | float64 | 换手率=成交量(股)/流通股本(股)                                                                           |

接口示例

```python
import akshare as ak

stock_zh_kcb_daily_df = ak.stock_zh_kcb_daily(symbol="sh688399", adjust="hfq")
print(stock_zh_kcb_daily_df)
```

数据示例-历史行情数据(后复权)

```
 date            close    high    low  ...  after_amount  outstanding_share  turnover
2019-12-05  52.33   62.50  50.25  ...      508408.0         13338470.0  0.740740
2019-12-06  52.79   55.89  50.53  ...       30600.0         13338470.0  0.473652
2019-12-09  51.00   51.28  48.00  ...           0.0         13338470.0  0.335540
2019-12-10  50.10   57.51  49.60  ...       75983.0         13338470.0  0.441293
2019-12-11  53.01   56.58  52.85  ...       94051.0         13338470.0  0.303628
           ...     ...    ...  ...           ...                ...       ...
2020-04-14  79.61   81.18  78.33  ...           0.0         13338470.0  0.050237
2020-04-15  80.75   84.34  80.30  ...       32800.0         13338470.0  0.078527
2020-04-16  83.40   96.00  82.44  ...       47450.0         13338470.0  0.234366
2020-04-17  95.95   95.95  88.88  ...           0.0         13338470.0  0.180283
2020-04-20  95.79  109.97  95.20  ...      188212.0         13338470.0  0.259677
```

数据示例-后复权因子

```
  date              hfq_factor
2019-12-05  1.0000000000000000
1900-01-01  1.0000000000000000
```

数据示例-前复权因子

```
 date               qfq_factor
2019-12-05  1.0000000000000000
1900-01-01  1.0000000000000000
```

#### 科创板公告

接口: stock_zh_kcb_report_em

目标地址: http://data.eastmoney.com/notices/kcb.html

描述: 东方财富-科创板报告数据

限量: 单次返回所有科创板上市公司的报告数据

输入参数

| 名称        | 类型  | 描述                   |
|-----------|-----|----------------------|
| from_page | int | from_page=1; 始获取的页码  |
| to_page   | int | to_page=100; 结束获取的页码 |

输出参数

| 名称   | 类型     | 描述                                                                          |
|------|--------|-----------------------------------------------------------------------------|
| 代码   | object | -                                                                           |
| 名称   | object | -                                                                           |
| 公告标题 | object | -                                                                           |
| 公告类型 | object | -                                                                           |
| 公告日期 | object | -                                                                           |
| 公告代码 | object | 本代码可以用来获取公告详情: http://data.eastmoney.com/notices/detail/688595/{替换到此处}.html |

接口示例

```python
import akshare as ak

stock_zh_kcb_report_em_df = ak.stock_zh_kcb_report_em(from_page=1, to_page=100)
print(stock_zh_kcb_report_em_df)
```

数据示例

```
      代码    名称  ...        公告日期                  公告代码
0     688135  利扬芯片  ...  2021-08-21  AN202108201511241434
1     688618  三旺通信  ...  2021-08-21  AN202108201511240287
2     688508   芯朋微  ...  2021-08-21  AN202108201511239944
3     688191  智洋创新  ...  2021-08-21  AN202108201511238896
4     688508   芯朋微  ...  2021-08-21  AN202108201511238719
      ...   ...  ...         ...                   ...
9995  688215  瑞晟智能  ...  2021-04-30  AN202104291488644687
9996  688169  石头科技  ...  2021-04-30  AN202104291488644671
9997  688169  石头科技  ...  2021-04-30  AN202104291488644664
9998  688169  石头科技  ...  2021-04-30  AN202104291488644663
9999  688169  石头科技  ...  2021-04-30  AN202104291488644662
```

### A+H股

#### 实时行情数据

接口: stock_zh_ah_spot

目标地址: http://stockapp.finance.qq.com/mstats/#mod=list&id=hk_ah&module=HK&type=AH

描述: A+H 股数据是从腾讯财经获取的数据, 延迟 15 分钟更新

限量: 单次返回所有 A+H 上市公司的实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 代码  | object  | -       |
| 名称  | object  | -       |
| 最新价 | float64 | -       |
| 涨跌幅 | float64 | 注意单位: % |
| 涨跌额 | float64 | -       |
| 买入  | float64 | -       |
| 卖出  | float64 | -       |
| 成交量 | float64 | -       |
| 成交额 | float64 | -       |
| 今开  | float64 | -       |
| 昨收  | float64 | -       |
| 最高  | float64 | -       |
| 最低  | float64 | -       |

接口示例

```python
import akshare as ak

stock_zh_ah_spot_df = ak.stock_zh_ah_spot()
print(stock_zh_ah_spot_df)
```

数据示例

```
     代码      名称      最新价    涨跌幅  ...   今开       昨收       最高       最低
0    01211   比亚迪股份  205.000  -4.30  ...  211.600  214.200  212.600  203.200
1    01880    中国中免  190.000  -0.52  ...  193.800  191.000  195.900  186.000
2    06821     凯莱英   89.000  -3.52  ...   91.200   92.250   92.200   88.700
3    06160    百济神州   83.500  -1.59  ...   85.000   84.850   85.900   83.050
4    09696    天齐锂业   75.500  -3.88  ...   78.500   78.550   79.200   75.500
..     ...     ...      ...    ...  ...      ...      ...      ...      ...
145  01053  重庆钢铁股份    0.700  -2.78  ...    0.710    0.720    0.720    0.680
146  02880    辽港股份    0.650  -2.99  ...    0.660    0.670    0.670    0.640
147  01033   中石化油服    0.495  -1.00  ...    0.500    0.500    0.510    0.495
148  00042    东北电气    0.300  -9.09  ...    0.325    0.330    0.325    0.300
149  06116    拉夏贝尔    0.270  14.89  ...    0.265    0.235    0.270    0.265
```

#### 历史行情数据

接口: stock_zh_ah_daily

目标地址: http://gu.qq.com/hk02359/gp(示例)

描述: A+H 股数据是从腾讯财经获取的数据, 历史数据按日频率更新

限量: 单次返回所有 A+H 上市公司的历史行情数据

输入参数

| 名称         | 类型  | 描述                                                          |
|------------|-----|-------------------------------------------------------------|
| symbol     | str | symbol="02318"; 港股股票代码, 可以通过 **ak.stock_zh_ah_name()** 函数获取 |
| start_year | str | start_year="2000"; 开始年份                                     |
| end_year   | str | end_year="2019"; 结束年份                                       |
| adjust     | str | adjust=""; 默认为空不复权; 'qfq': 前复权, 'hfq': 后复权                  |

输出参数

| 名称  | 类型      | 描述  |
|-----|---------|-----|
| 日期  | object  | -   |
| 开盘  | float64 | -   |
| 收盘  | float64 | -   |
| 最高  | float64 | -   |
| 最低  | float64 | -   |
| 成交量 | float64 | -   |

接口示例

```python
import akshare as ak

stock_zh_ah_daily_df = ak.stock_zh_ah_daily(symbol="02318", start_year="2000", end_year="2019", adjust="")
print(stock_zh_ah_daily_df)
```

数据示例

```
     日期       开盘       收盘       最高       最低           成交量
0    2018-12-13   67.000   68.000   68.700   64.950  20213983.000
1    2018-12-14   68.000   68.000   68.100   67.000   2579900.000
2    2018-12-17   68.000   68.000   68.500   67.600   1131467.000
3    2018-12-18   68.000   67.900   68.000   67.250    961400.000
4    2018-12-19   67.850   67.500   68.000   66.400   2965300.000
..          ...      ...      ...      ...      ...           ...
225  2019-10-30  121.690  119.100  122.460  118.260    621131.000
226  2019-10-31  119.660  133.240  136.880  119.660   4659080.000
227  2019-11-01  132.470  131.560  134.640  129.180   1424212.000
228  2019-11-04  135.690  136.460  137.860  132.820   1298760.000
229  2019-11-05  136.530  134.010  138.210  132.470    868180.000
```

#### A+H股票字典

接口: stock_zh_ah_name

目标地址: http://stockapp.finance.qq.com/mstats/#mod=list&id=hk_ah&module=HK&type=AH

描述: A+H 股数据是从腾讯财经获取的数据, 历史数据按日频率更新

限量: 单次返回所有 A+H 上市公司的代码和名称

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型     | 描述  |
|-----|--------|-----|
| 代码  | object | -   |
| 名称  | object | -   |

接口示例

```python
import akshare as ak

stock_zh_ah_name_dict = ak.stock_zh_ah_name()
print(stock_zh_ah_name_dict)
```

数据示例

```
0    01211   比亚迪股份
1    01880    中国中免
2    06821     凯莱英
3    06160    百济神州
4    09696    天齐锂业
..     ...     ...
145  01053  重庆钢铁股份
146  02880    辽港股份
147  01033   中石化油服
148  00042    东北电气
149  06116    拉夏贝尔
```

### 美股

#### 实时行情数据-东财

接口: stock_us_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#us_stocks

描述: 美股实时行情数据, 从东方财富获取; 注意数据有 15 分钟延迟

限量: 单次返回美股所有上市公司的实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述              |
|-----|---------|-----------------|
| 序号  | int64   | -               |
| 名称  | object  | -               |
| 最新价 | float64 | 注意单位: 美元        |
| 涨跌额 | float64 | 注意单位: 美元        |
| 涨跌幅 | float64 | 注意单位: %         |
| 开盘价 | float64 | 注意单位: 美元        |
| 最高价 | float64 | 注意单位: 美元        |
| 最低价 | float64 | 注意单位: 美元        |
| 昨收价 | float64 | 注意单位: 美元        |
| 总市值 | float64 | 注意单位: 美元        |
| 市盈率 | float64 | -               |
| 成交量 | float64 | -               |
| 成交额 | float64 | 注意单位: 美元        |
| 振幅  | float64 | 注意单位: %         |
| 换手率 | float64 | 注意单位: %         |
| 代码  | object  | 注意: 用来获取历史数据的代码 |

接口示例

```python
import akshare as ak

stock_us_spot_em_df = ak.stock_us_spot_em()
print(stock_us_spot_em_df)
```

数据示例

```
          序号                      名称  ...      换手率         代码
0          1                    Nutriband Inc  ...  1792.77   105.NTRB
1          2                 Nutriband Inc Wt  ...      NaN  105.NTRBW
2          3  Lixte Biotechnology Holdings In  ...      NaN  105.LIXTW
3          4            AgeX Therapeutics Inc  ...    47.33    107.AGE
4          5  Nova Vision Acquisition Corp Wt  ...      NaN  105.NOVVW
      ...                              ...  ...      ...        ...
12242  12243          Enjoy Technology Inc Wt  ...      NaN  105.ENJYW
12243  12244                      Alfi Inc Wt  ...      NaN  105.ALFIW
12244  12245  Sarissa Capital Acquisition Cor  ...      NaN  105.SRSAW
12245  12246                 Medigus Ltd Wt-C  ...      NaN  105.MDGSW
12246  12247  Special Opportunities Fund Inc   ...      NaN   106.SPEr
```

#### 实时行情数据-新浪

接口: stock_us_spot

目标地址: http://finance.sina.com.cn/stock/usstock/sector.shtml

描述: 新浪财经-美股; 获取的数据有 15 分钟延迟; 建议使用 ak.stock_us_spot_em() 来获取数据

限量: 单次返回美股所有上市公司的实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型  | 描述   |
|-----|-----|------|
| -   | -   | 新浪默认 |

接口示例

```python
import akshare as ak

us_stock_current_df = ak.stock_us_spot()
print(us_stock_current_df)
```

数据示例(美股股票代码可通过 ak.get_us_stock_name() 函数返回值)

```
                                                 name  \
0                                         Apple, Inc.
1                                     Microsoft Corp.
2                                    Amazon.com, Inc.
3                                      Alphabet, Inc.
4                                      Alphabet, Inc.
..                                                ...
75                               salesforce.com, inc.
76                     Thermo Fisher Scientific, Inc.
77                                       AbbVie, Inc.
78  iPath Series B Bloomberg Energy Subindex Total...
79              International Business Machines Corp.
                                                cname category symbol  \
0                                                苹果公司      计算机   AAPL
1                                                微软公司       软件   MSFT
2                                               亚马逊公司      互联网   AMZN
3                                                  谷歌      互联网   GOOG
4                                               谷歌A类股     媒体内容  GOOGL
..                                                ...      ...    ...
75                                              赛富时公司       软件    CRM
76                                          赛默飞世尔科技公司             TMO
77                                              艾伯维公司  生物技术和制药   ABBV
78  iPath Series B Bloomberg Energy Subindex Total...     None   JJEB
79                                    IBM(国际商业机器有限公司)             IBM
      price   diff   chg preclose     open     high      low amplitude  \
0    255.82   7.06  2.84   248.76   249.54   255.93   249.16     2.72%
1    143.72   0.35  0.24   143.37   144.26   144.42   142.97     1.01%
2   1791.44  14.78  0.83  1776.66  1788.01  1797.44  1785.21     0.69%
3   1273.74  13.63  1.08  1260.11  1265.00  1274.62  1260.50     1.12%
4   1272.25  13.45  1.07  1258.80  1265.80  1273.00  1259.71     1.06%
..      ...    ...   ...      ...      ...      ...      ...       ...
75   159.74   3.25  2.08   156.49   157.91   160.09   156.75     2.13%
76   303.60   1.62  0.54   301.98   305.00   305.28   303.12     0.72%
77    81.75   2.20  2.77    79.55    80.03    82.18    79.13     3.83%
78    51.74   0.00  0.00    51.74     0.00     0.00     0.00     3.54%
79   135.53   1.80  1.35   133.73   134.50   135.56   134.09     1.10%
      volume         mktcap            pe  market category_id
0   37781334  1156096660699   21.62468377  NASDAQ           5
1   33128366  1097361048289   26.81343240  NASDAQ          14
2    2790354   881483397489   77.65236086  NASDAQ          41
3    1670072   874498927695   27.11238831  NASDAQ          41
4    1440607   873475960000   27.08067289  NASDAQ         702
..       ...            ...           ...     ...         ...
75   4771053   122239344864  129.86992115    NYSE          14
76    990471   122222192032   33.88392911    NYSE         738
77  13356251   121302156830   29.94505474    NYSE         700
78         0   121175090554          None    AMEX        None
79   3089789   120621698914   15.65011561    NYSE         750
```

#### 历史行情数据-东财

接口: stock_us_hist

目标地址: http://quote.eastmoney.com/us/ENTX.html#fullScreenChart

描述: 美股历史行情日频率数据

限量: 单次返回指定上市公司的指定 adjust 后的所有历史行情数据, 当日收盘的数据需要交易日晚上 10 点后获取

输入参数

| 名称         | 类型  | 描述                                                                          |
|------------|-----|-----------------------------------------------------------------------------|
| symbol     | str | 美股代码, 可以通过 **ak.stock_us_spot_em()** 函数返回所有的 pandas.DataFrame 里面的 `代码` 字段获取 |
| period     | str | period='daily'; choice of {'daily', 'weekly', 'monthly'}                    |
| start_date | str | start_date="20210101"                                                       |
| end_date   | str | end_date="20210601"                                                         |
| adjust     | str | 默认 adjust="", 则返回未复权的数据; adjust="qfq" 则返回前复权的数据, adjust="hfq" 则返回后复权的数据,    |

输出参数

| 名称  | 类型      | 描述       |
|-----|---------|----------|
| 日期  | object  | -        |
| 开盘  | float64 | 注意单位: 美元 |
| 收盘  | float64 | 注意单位: 美元 |
| 最高  | float64 | 注意单位: 美元 |
| 最低  | float64 | 注意单位: 美元 |
| 成交量 | int32   | 注意单位: 股  |
| 成交额 | float64 | 注意单位: 美元 |
| 振幅  | float64 | 注意单位: %  |
| 涨跌幅 | float64 | 注意单位: %  |
| 涨跌额 | float64 | 注意单位: 美元 |
| 换手率 | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

stock_us_hist_df = ak.stock_us_hist(symbol='105.MTP', period="daily", start_date="19700101", end_date="22220101",
                                    adjust="qfq")
print(stock_us_hist_df)
```

数据示例

```
         日期      开盘      收盘    最高  ...    振幅   涨跌幅   涨跌额   换手率
0     2015-12-07  404.50  367.50  404.50  ...   0.00   0.00   0.00    0.12
1     2015-12-08  367.00  314.00  367.00  ...  15.51 -14.56 -53.50    0.31
2     2015-12-09  312.50  300.00  313.50  ...  14.65  -4.46 -14.00    0.21
3     2015-12-10  300.00  317.00  322.00  ...   7.33   5.67  17.00    0.17
4     2015-12-11  315.00  314.50  317.50  ...   5.52  -0.79  -2.50    0.11
          ...     ...     ...     ...  ...    ...    ...    ...     ...
1380  2021-06-11    2.09    2.11    2.17  ...   7.84   3.43   0.07    1.43
1381  2021-06-14    2.14    2.08    2.14  ...   9.00  -1.42  -0.03    0.80
1382  2021-06-15    2.07    2.00    2.07  ...   3.37  -3.85  -0.08    0.76
1383  2021-06-16    1.98    2.04    2.05  ...   3.50   2.00   0.04    0.62
1384  2021-06-17    3.46    2.95    3.61  ...  51.47  44.61   0.91  944.77
```

#### 历史行情数据-富途

接口: stock_us_hist_fu

目标地址: https://www.futunn.com/stock/HON-US

描述: 美股历史行情日频率数据

限量: 单次返回指定上市公司的所有历史行情数据; 该行情数据为表明是否复权，请谨慎使用

输入参数

| 名称         | 类型  | 描述                                                |
|------------|-----|---------------------------------------------------|
| symbol     | str | 美股代码; 调用 ak.stock_us_code_table_fu() 函数获取 `代码` 字段 |
| start_date | str | start_date="20210101"                             |
| end_date   | str | end_date="20210601"                               |

输出参数

| 名称  | 类型      | 描述       |
|-----|---------|----------|
| 日期  | object  | -        |
| 今开  | float64 | 注意单位: 美元 |
| 今收  | float64 | 注意单位: 美元 |
| 最高  | float64 | 注意单位: 美元 |
| 最低  | float64 | 注意单位: 美元 |
| 成交量 | float64 | 注意单位: 股  |
| 成交额 | float64 | 注意单位: 美元 |
| 换手率 | float64 | 注意单位: %  |
| 昨收  | float64 | 注意单位: 美元 |

接口示例

```python
import akshare as ak

stock_us_hist_fu_df = ak.stock_us_hist_fu(symbol="202545")
print(stock_us_hist_fu_df)
```

数据示例

```
       日期         今开       今收  ...        成交额        换手率       昨收
0     1997-01-02   198.1142   197.0156  ...  0.000000e+00  0.00175   198.1142
1     1997-01-03   198.4804   202.1424  ...  0.000000e+00  0.00162   197.0156
2     1997-01-06   202.1424   201.0438  ...  0.000000e+00  0.00137   202.1424
3     1997-01-07   199.9452   201.4100  ...  0.000000e+00  0.00143   201.0438
4     1997-01-08   202.8748   200.3114  ...  0.000000e+00  0.00136   201.4100
          ...        ...        ...  ...           ...      ...        ...
6267  2021-11-24  2151.4000  2122.1000  ...  6.950800e+08  0.00500  2160.0000
6268  2021-11-26  2049.5000  2082.1000  ...  7.946890e+08  0.00591  2122.1000
6269  2021-11-29  2102.1000  2076.6000  ...  5.407381e+08  0.00398  2082.1000
6270  2021-11-30  2062.2860  2022.4000  ...  1.153856e+09  0.00869  2076.6000
6271  2021-12-01  2056.5000  1994.2000  ...  6.336901e+08  0.00478  2022.4000
```

#### 分时数据-东财

接口: stock_us_hist_min_em

目标地址: http://quote.eastmoney.com/us/ATER.html

描述: 东方财富网-行情首页-美股-每日分时行情

限量: 单次返回指定上市公司最近 5 个交易日分钟数据, 注意美股数据更新有延时

输入参数

| 名称         | 类型  | 描述                                                                                           |
|------------|-----|----------------------------------------------------------------------------------------------|
| symbol     | str | symbol="105.ATER"; 美股代码可以通过 **ak.stock_us_spot_em()** 函数返回所有的 pandas.DataFrame 里面的 `代码` 字段获取 |
| start_date | str | start_date="1979-09-01 09:32:00"; 日期时间; 默认返回所有数据                                             |
| end_date   | str | end_date="2222-01-01 09:32:00"; 日期时间; 默认返回所有数据                                               |

输出参数

| 名称  | 类型      | 描述       |
|-----|---------|----------|
| 时间  | object  | -        |
| 开盘  | float64 | 注意单位: 美元 |
| 收盘  | float64 | 注意单位: 美元 |
| 最高  | float64 | 注意单位: 美元 |
| 最低  | float64 | 注意单位: 美元 |
| 成交量 | float64 | 注意单位: 股  |
| 成交额 | float64 | 注意单位: 美元 |
| 最新价 | float64 | 注意单位: 美元 |

接口示例

```python
import akshare as ak

stock_us_hist_min_em_df = ak.stock_us_hist_min_em(symbol="105.ATER")
print(stock_us_hist_min_em_df)
```

数据示例

```
          时间    开盘    收盘    最高    最低       成交量          成交额    最新价
0     2021-08-30 21:30:00  0.00  8.86  8.92  8.86  12147424  108372137.0  8.898
1     2021-08-30 21:31:00  0.00  8.72  8.90  8.57    998571    8927364.0  8.813
2     2021-08-30 21:32:00  0.00  8.73  8.73  8.44    725257    6193335.0  8.735
3     2021-08-30 21:33:00  0.00  8.90  8.98  8.67    546888    4965712.0  8.747
4     2021-08-30 21:34:00  0.00  8.60  9.00  8.34   1040362    9456790.0  8.739
                   ...   ...   ...   ...   ...       ...          ...    ...
1950  2021-09-04 03:56:00  6.67  6.65  6.70  6.65     26769     180608.0  6.478
1951  2021-09-04 03:57:00  6.65  6.68  6.68  6.65     13643      90551.0  6.478
1952  2021-09-04 03:58:00  6.68  6.70  6.70  6.67     46469     314155.0  6.480
1953  2021-09-04 03:59:00  6.70  6.69  6.70  6.69     31059     209314.0  6.481
1954  2021-09-04 04:00:00  6.70  6.70  6.70  6.67    243168    1549848.0  6.478
```

#### 历史行情数据-新浪

接口: stock_us_daily

目标地址: http://finance.sina.com.cn/stock/usstock/sector.shtml

描述: 美股历史行情数据，设定 adjust="qfq" 则返回前复权后的数据，默认 adjust="", 则返回未复权的数据，历史数据按日频率更新

限量: 单次返回指定上市公司的指定 adjust 后的所有历史行情数据

输入参数

| 名称     | 类型  | 描述                                                                  |
|--------|-----|---------------------------------------------------------------------|
| symbol | str | 美股代码, 可以通过 **ak.get_us_stock_name()** 函数返回所有美股代码, 由于美股数据量大, 建议按需要获取 |
| adjust | str | adjust="qfq" 则返回前复权后的数据，默认 adjust="", 则返回未复权的数据                     |

**ak.get_us_stock_name()**: will return a pandas.DataFrame, which contains name, cname and symbol, you should use
symbol!

输出参数-历史数据

| 名称     | 类型         | 描述  |
|--------|------------|-----|
| date   | datetime64 | -   |
| open   | float64    | 开盘价 |
| high   | float64    | 最高价 |
| low    | float64    | 最低价 |
| close  | float64    | 收盘价 |
| volume | float64    | 成交量 |

输出参数-前复权因子

| 名称         | 类型         | 描述                  |
|------------|------------|---------------------|
| date       | datetime64 | 日期                  |
| qfq_factor | float      | 前复权因子               |
| adjust     | float      | 由于前复权会出现负值, 该值为调整因子 |

P.S. 复权计算公式: 未复权数据 * qfq_factor + adjust

P.S. "CIEN" 股票的新浪美股数据由于复权因子错误，暂不返回前复权数据

接口示例-未复权数据

```python
import akshare as ak

stock_us_daily_df = ak.stock_us_daily(symbol="AAPL", adjust="")
print(stock_us_daily_df)
```

数据示例-未复权数据

```
 date         open      high      low    close       volume
1980-12-12   28.735   28.8750   28.735   28.735    2093900.0
1980-12-15   27.265   27.3700   27.265   27.265     785200.0
1980-12-16   25.235   25.3750   25.235   25.235     472000.0
1980-12-17   25.865   26.0050   25.865   25.865     385900.0
1980-12-18   26.635   26.7400   26.635   26.635     327900.0
             ...       ...      ...      ...          ...
2021-01-04  133.520  133.6116  126.760  129.410  134308607.0
2021-01-05  128.890  131.7400  128.430  131.010   90749416.0
2021-01-06  127.720  131.0499  126.382  126.600  139351145.0
2021-01-07  128.360  131.6300  127.860  130.920  101546989.0
2021-01-08  132.430  132.6300  130.230  132.050   98373014.0
```

接口示例-前复权调整后的数据

```python
import akshare as ak

stock_us_daily_df = ak.stock_us_daily(symbol="AAPL", adjust="qfq")
print(stock_us_daily_df)
```

数据示例-前复权调整后的数据

```
 date          open      high       low     close       volume
1980-12-12   -4.8164   -4.8158   -4.8164   -4.8164    2093900.0
1980-12-15   -4.8230   -4.8225   -4.8230   -4.8230     785200.0
1980-12-16   -4.8321   -4.8314   -4.8321   -4.8321     472000.0
1980-12-17   -4.8293   -4.8286   -4.8293   -4.8293     385900.0
1980-12-18   -4.8258   -4.8253   -4.8258   -4.8258     327900.0
              ...       ...       ...       ...          ...
2021-01-04  133.5200  133.6116  126.7600  129.4100  134308607.0
2021-01-05  128.8900  131.7400  128.4300  131.0100   90749416.0
2021-01-06  127.7200  131.0499  126.3820  126.6000  139351145.0
2021-01-07  128.3600  131.6300  127.8600  130.9200  101546989.0
2021-01-08  132.4300  132.6300  130.2300  132.0500   98373014.0
```

接口示例-前复权因子

```python
import akshare as ak

qfq_df = ak.stock_us_daily(symbol="AAPL", adjust="qfq-factor")
print(qfq_df)
```

数据示例-前复权因子

```
 date               qfq_factor            adjust
2020-08-07                  1                 0
2020-05-08                  1      -0.819999993
2020-02-07                  1      -1.639999986
2019-11-07                  1      -2.409999967
2019-08-09                  1      -3.179999948
                       ...               ...
1987-11-17  0.035714285714285     -18.958676644
1987-08-10  0.035714285714285  -18.958778786857
1987-06-16  0.035714285714285  -18.958855215429
1987-05-11  0.017857142857142  -18.958855215429
1900-01-01  0.017857142857142  -18.958893429714
```

#### 基本面数据

接口: stock_us_fundamental

目标地址: https://www.macrotrends.net/stocks/charts/AAPL/apple/pe-ratio

描述: 美股的基本财务数据, 目前提供 PB 和 PE 的数据

限量: 单次返回指定美股和指标的所有数据

输入参数

| 名称     | 类型  | 描述                                                                                      |
|--------|-----|-----------------------------------------------------------------------------------------|
| stock  | str | stock="GOOGL"; 美股 ticker, 可以通过调用 **ak.stock_us_fundamental(symbol="info")** 获取所有 ticker |
| symbol | str | symbol="info"; info: 返回所有美股列表, PE: 返回 PE 数据, PB: 返回 PB 数据                               |

输出参数

| 名称  | 类型  | 描述           |
|-----|-----|--------------|
| -   | -   | 根据 symbol 变化 |

接口示例

```python
import akshare as ak

stock_us_fundamental_df = ak.stock_us_fundamental(stock="GOOGL", symbol="PB")
print(stock_us_fundamental_df)
```

数据示例

```
          date  stock_price book_value_per_share  price_to_book_ratio
0   2020-08-21      1575.57                  NaN                 5.18
1   2020-06-30      1418.05              $304.34                 4.66
2   2020-03-31      1161.95              $297.76                 3.90
3   2019-12-31      1339.39              $292.65                 4.58
4   2019-09-30      1221.14              $282.19                 4.33
..         ...          ...                  ...                  ...
54  2007-03-31       229.79               $29.60                 7.76
55  2006-12-31       230.95               $27.57                 8.38
56  2006-09-30       201.57               $23.66                 8.52
57  2006-06-30       210.31               $22.07                 9.53
58  2006-03-31       195.60               $17.36                11.27
```

#### 粉单市场

接口: stock_us_pink_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#us_pinksheet

描述: 美股粉单市场的实时行情数据

限量: 单次返回指定所有粉单市场的行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述              |
|-----|---------|-----------------|
| 序号  | int64   | -               |
| 名称  | object  | -               |
| 最新价 | float64 | 注意单位: 美元        |
| 涨跌额 | float64 | 注意单位: 美元        |
| 涨跌幅 | float64 | 注意单位: %         |
| 开盘价 | float64 | 注意单位: 美元        |
| 最高价 | float64 | 注意单位: 美元        |
| 最低价 | float64 | 注意单位: 美元        |
| 昨收价 | float64 | 注意单位: 美元        |
| 总市值 | float64 | 注意单位: 美元        |
| 市盈率 | float64 | -               |
| 代码  | object  | 注意: 用来获取历史数据的代码 |

接口示例

```python
import akshare as ak

stock_us_pink_spot_em_df = ak.stock_us_pink_spot_em()
print(stock_us_pink_spot_em_df)
```

数据示例

```
      序号           名称                    最新价  ...  总市值  市盈率  代码
0      1           LiNiu Technology Group  0.0189  ...  NaN  NaN  153.LINUF
1      2              NOBILIS HEALTH CORP  0.0016  ...  NaN  NaN  153.NRTSF
2      3                  Yuma Energy Inc  0.0999  ...  NaN  NaN  153.YUMAQ
3      4                      HHGregg Inc  0.0120  ...  NaN  NaN  153.HGGGQ
4      5  Helios and Matheson Analytics I  0.0010  ...  NaN  NaN   153.HMNY
..   ...                              ...     ...  ...  ...  ...        ...
215  216              root9B Holdings Inc  0.0100  ...  NaN  NaN   153.RTNB
216  217       Immune Pharmaceuticals Inc  0.0012  ...  NaN  NaN  153.IMNPQ
217  218                       JRjr33 Inc  0.0005  ...  NaN  NaN  153.JRJRQ
218  219         Mad Catz Interactive Inc  0.0001  ...  NaN  NaN  153.MCZAF
219  220         Taronis Technologies Inc  0.0010  ...  NaN  NaN   153.TRNX
```

#### 知名美股

接口: stock_us_famous_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#us_wellknown

描述: 美股-知名美股的实时行情数据

限量: 单次返回指定 symbol 的行情数据

输入参数

| 名称     | 类型  | 描述                                                                       |
|--------|-----|--------------------------------------------------------------------------|
| symbol | str | symbol="科技类"; choice of {'科技类', '金融类', '医药食品类', '媒体类', '汽车能源类', '制造零售类'} |

输出参数

| 名称  | 类型      | 描述              |
|-----|---------|-----------------|
| 序号  | int64   | -               |
| 名称  | object  | -               |
| 最新价 | float64 | 注意单位: 美元        |
| 涨跌额 | float64 | 注意单位: 美元        |
| 涨跌幅 | float64 | 注意单位: %         |
| 开盘价 | float64 | 注意单位: 美元        |
| 最高价 | float64 | 注意单位: 美元        |
| 最低价 | float64 | 注意单位: 美元        |
| 昨收价 | float64 | 注意单位: 美元        |
| 总市值 | float64 | 注意单位: 美元        |
| 市盈率 | float64 | -               |
| 代码  | object  | 注意: 用来获取历史数据的代码 |

接口示例

```python
import akshare as ak

stock_us_famous_spot_em_df = ak.stock_us_famous_spot_em(symbol='科技类')
print(stock_us_famous_spot_em_df)
```

数据示例

```
    序号              名称           最新价  ...         总市值     市盈率        代码
0    1  Silvergate Capital Corp-A   116.34  ...     3085409047   61.93    106.SI
1    2  Opendoor Technologies Inc    18.94  ...    11451903533  -19.65  105.OPEN
2    3                     阿勒格尼技术    17.55  ...     2233160842   -1.82   106.ATI
3    4                Yandex NV-A    78.71  ...    28129406798  131.13  105.YNDX
4    5                        爱立信    11.83  ...    39443015025   16.44  105.ERIC
5    6                        诺基亚     5.91  ...    33269348763  -14.11   106.NOK
6    7              Groupon Inc-A    22.16  ...      654264338   73.65  105.GRPN
7    8                         推特    62.46  ...    49840992399  129.65  106.TWTR
8    9             Facebook Inc-A   378.00  ...  1065750021378   27.36    105.FB
9   10                         惠普    28.21  ...    32512553599    7.98   106.HPQ
10  11                       谷歌-C  2898.27  ...  1932435735616   16.84  105.GOOG
11  12                      阿卡迈技术   113.38  ...    18461647373   31.60  105.AKAM
12  13                      超威半导体   106.15  ...   128756264684   37.47   105.AMD
13  14                         思科    58.60  ...   247159324736   23.34  105.CSCO
14  15                       中华电信    40.05  ...    31068573413   24.84   106.CHT
15  16                       德州仪器   188.47  ...   173997383234   25.87   105.TXN
16  17                        奥多比   661.68  ...   315224352000   56.47  105.ADBE
17  18                        高知特    76.48  ...    40197673856   23.91  105.CTSH
18  19                        英特尔    53.40  ...   216643800000   11.68  105.INTC
19  20                     美国电话电报    27.42  ...   195778800000 -100.55     106.T
20  21                         高通   141.58  ...   159702240000   17.35  105.QCOM
21  22                         苹果   154.07  ...  2546802675620   29.34  105.AAPL
22  23              IBM国际商业机器(US)   137.74  ...   123459126717   23.15   106.IBM
23  24                         陶氏    60.28  ...    44955123381   10.96   106.DOW
24  25                        思爱普   145.68  ...   171841118251   23.58   106.SAP
25  26                        英伟达   221.77  ...   554425000000   78.33  105.NVDA
26  27                      威瑞森通讯    54.44  ...   225387915421   11.28    106.VZ
27  28                         微软   297.25  ...  2233801423468   36.46  105.MSFT
28  29                   摩托罗拉解决方案   244.00  ...    41315202400   35.80   106.MSI
29  30                        亚马逊  3484.16  ...  1764519802163   59.94  105.AMZN
30  31                         易趣    73.00  ...    47454073765    3.68  105.EBAY
31  32                    沃达丰(US)    16.61  ...    46152628937  351.55   105.VOD
32  33                Zynga Inc-A     8.28  ...     9040854574  -53.06  105.ZNGA
33  34          SentinelOne Inc-A    66.04  ...    16930759265  -85.17     106.S
```

### 港股

#### 实时行情数据-东财

接口: stock_hk_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#hk_stocks

描述: 获取所有港股的实时行情数据; 该数据有 15 分钟延时

限量: 单次返回最近交易日的所有港股的数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型     | 描述       |
|-----|--------|----------|
| 序号  | int32  | -        |
| 代码  | object | -        |
| 名称  | object | -        |
| 最新价 | object | 注意单位: 港元 |
| 涨跌额 | object | 注意单位: 港元 |
| 涨跌幅 | object | 注意单位: %  |
| 今开  | object | -        |
| 最高  | object | -        |
| 最低  | object | -        |
| 昨收  | object | -        |
| 成交量 | object | 注意单位: 股  |
| 成交额 | object | 注意单位: 港元 |

接口示例

```python
import akshare as ak

stock_hk_spot_em_df = ak.stock_hk_spot_em()
print(stock_hk_spot_em_df)
```

数据示例

```
     序号     代码      名称    最新价  ...    最低   昨收  成交量         成交额
0        1  00593     梦东方   2.62  ...    1.6   1.51   2582500   7104955.0
1        2  08367    倩碧控股  0.225  ...  0.153  0.152  82770000  17723337.0
2        3  03886  康健国际医疗  0.395  ...  0.305   0.29  54347051  19867777.0
3        4  00205    财讯传媒  0.475  ...  0.305   0.35   6920400   3218611.0
4        5  08166  中国农业生态  0.047  ...   0.04  0.037    120000      5230.0
    ...    ...     ...    ...  ...    ...    ...       ...         ...
4523  4524  01335    顺泰控股  0.161  ...  0.152  0.195   2310000    376096.0
4524  4525  08088  八零八八投资  0.051  ...   0.05  0.062   1216000     65144.0
4525  4526  00809  大成生化科技  0.205  ...  0.195   0.25   4024000    875026.0
4526  4527  00378    五龙动力  0.012  ...  0.011  0.015  80412000    991172.0
4527  4528  03638    华邦科技  0.099  ...  0.099  0.128    972000    100308.0
```

#### 实时行情数据-新浪

港股-实时行情数据是从新浪财经获取的数据, 更新频率为实时, 由于新浪服务器因素行情延时 15 分钟

接口: stock_hk_spot

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#qbgg_hk

描述: 获取所有港股的实时行情数据 15 分钟延时

限量: 单次返回当前时间戳的所有港股的数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称            | 类型       | 描述        |
|---------------|----------|-----------|
| symbol        | str      | 港股代码      |
| name          | str      | 中文名称      |
| engname       | str      | 英文名称      |
| tradetype     | str      | 交易类型      |
| lasttrade     | float    | 最新价       |
| prevclose     | float    | 前一个交易日收盘价 |
| open          | float    | 开盘价       |
| high          | float    | 最高价       |
| low           | float    | 最低价       |
| volume        | float    | 成交量(万)    |
| amount        | float    | 成交额(万)    |
| ticktime      | datetime | 当前数据时间戳   |
| buy           | float    | 买一        |
| sell          | float    | 卖一        |
| pricechange   | float    | 涨跌额       |
| changepercent | float    | 涨跌幅       |

接口示例

```python
import akshare as ak

stock_hk_spot_df = ak.stock_hk_spot()
print(stock_hk_spot_df)
```

数据示例

```
     symbol            name         engname tradetype lasttrade prevclose  \
0     00001              长和     CHEUNG KONG      EQTY    73.550    72.800
1     00002            中电控股    CLP HOLDINGS      EQTY    83.300    82.450
2     00003          香港中华煤气  HK & CHINA GAS      EQTY    15.500    15.420
3     00004           九龙仓集团  WHARF HOLDINGS      EQTY    18.380    18.080
4     00005            汇丰控股   HSBC HOLDINGS      EQTY    60.100    59.600
     ...             ...             ...       ...       ...       ...
2431  08621  METROPOLIS CAP            NULL      EQTY     0.202     0.221
2432  08622          华康生物医学            NULL      EQTY     0.165     0.170
2433  08631            申港控股  SUN KONG HLDGS      EQTY     0.159     0.159
2434  08635          连成科技集团    NOVACON TECH      EQTY     0.141     0.144
2435  08668            瀛海集团            NULL      EQTY     0.169     0.169
        open    high     low    volume      amount             ticktime  \
0     72.800  73.750  72.750   4254929   312057461  2019-11-04 16:08:16
1     82.650  83.500  82.550   4134114   343898972  2019-11-04 16:08:16
2     15.500  15.540  15.420  18713572   290146820  2019-11-04 16:08:16
3     18.140  18.540  18.060   3444016    63114165  2019-11-04 16:08:38
4     59.650  60.150  59.650  21465219  1287428213  2019-11-04 16:08:16
      ...     ...     ...       ...         ...                  ...
2431   0.230   0.230   0.200   6544000     1362536  2019-11-04 16:08:20
2432   0.164   0.166   0.164    304000       49904  2019-11-04 16:08:20
2433   0.000   0.000   0.000         0           0  2019-11-04 16:08:20
2434   0.142   0.144   0.141    124000       17672  2019-11-04 16:08:20
2435   0.164   0.169   0.163    360000       59430  2019-11-04 16:08:20
         buy    sell pricechange changepercent
0     73.500  73.550       0.750     1.0302198
1     83.250  83.300       0.850     1.0309278
2     15.480  15.500       0.080     0.5188067
3     18.360  18.380       0.300     1.6592920
4     60.050  60.100       0.500     0.8389262
      ...     ...         ...           ...
2431   0.202   0.204      -0.019    -8.5972851
2432   0.165   0.175      -0.005    -2.9411765
2433   0.153   0.160       0.000     0.0000000
2434   0.141   0.144      -0.003    -2.0833333
2435   0.166   0.169       0.000     0.0000000
```

#### 分时数据-东财

接口: stock_hk_hist_min_em

目标地址: http://quote.eastmoney.com/hk/00948.html

描述: 东方财富网-行情首页-港股-每日分时行情

限量: 单次返回指定上市公司最近 5 个交易日分钟数据, 注意港股有延时

输入参数

| 名称         | 类型  | 描述                                                                                                  |
|------------|-----|-----------------------------------------------------------------------------------------------------|
| symbol     | str | symbol="01611"; 港股代码可以通过 **ak.stock_hk_spot_em()** 函数返回所有的 pandas.DataFrame 里面的 `代码` 字段获取           |
| period     | str | period='5'; choice of {'1', '5', '15', '30', '60'}; 其中 1 分钟数据返回近 5 个交易日数据且不复权                       |
| adjust     | str | adjust=''; choice of {'', 'qfq', 'hfq'}; '': 不复权, 'qfq': 前复权, 'hfq': 后复权, 其中 1 分钟数据返回近 5 个交易日数据且不复权 |
| start_date | str | start_date="1979-09-01 09:32:00"; 日期时间; 默认返回所有数据                                                    |
| end_date   | str | end_date="2222-01-01 09:32:00"; 日期时间; 默认返回所有数据                                                      |

输出参数-1分钟数据

| 名称  | 类型      | 描述       |
|-----|---------|----------|
| 时间  | object  | -        |
| 开盘  | float64 | 注意单位: 港元 |
| 收盘  | float64 | 注意单位: 港元 |
| 最高  | float64 | 注意单位: 港元 |
| 最低  | float64 | 注意单位: 港元 |
| 成交量 | float64 | 注意单位: 股  |
| 成交额 | float64 | 注意单位: 港元 |
| 最新价 | float64 | 注意单位: 港元 |

接口示例-1分钟数据

```python
import akshare as ak

stock_hk_hist_min_em_df = ak.stock_hk_hist_min_em(symbol="01611", period='1', adjust='',
                                                  start_date="2021-09-01 09:32:00",
                                                  end_date="2021-09-07 18:32:00")  # 其中的 start_date 和 end_date 需要设定为近期
print(stock_hk_hist_min_em_df)
```

数据示例-1分钟数据

```
                    时间     开盘  收盘    最高    最低   成交量   成交额      最新价
0     2021-09-01 09:32:00   0.00  11.90  11.90  11.90  15500  184450.0  11.9215
1     2021-09-01 09:33:00   0.00  11.86  11.88  11.70  27500  326030.0  11.8837
2     2021-09-01 09:34:00   0.00  11.84  11.86  11.84      0       0.0  11.8837
3     2021-09-01 09:35:00   0.00  11.80  11.80  11.80      0       0.0  11.8837
4     2021-09-01 09:36:00   0.00  11.60  11.70  11.60   5000   58200.0  11.8608
                   ...    ...    ...    ...    ...    ...       ...      ...
1648  2021-09-07 15:56:00  14.04  14.04  14.04  14.04   1000   14040.0  13.9076
1649  2021-09-07 15:57:00  14.08  14.06  14.08  14.04   4500   63330.0  13.9078
1650  2021-09-07 15:58:00  14.04  14.08  14.08  14.04   6500   91390.0  13.9081
1651  2021-09-07 15:59:00  14.08  14.06  14.08  14.06   1000   14070.0  13.9082
1652  2021-09-07 16:00:00  14.06  14.10  14.10  14.06  34500  486320.0  13.9102
```

输出参数-其他

| 名称  | 类型      | 描述       |
|-----|---------|----------|
| 时间  | object  | -        |
| 开盘  | float64 | 注意单位: 港元 |
| 收盘  | float64 | 注意单位: 港元 |
| 最高  | float64 | 注意单位: 港元 |
| 最低  | float64 | 注意单位: 港元 |
| 涨跌幅 | float64 | 注意单位: %  |
| 涨跌额 | float64 | 注意单位: 港元 |
| 成交量 | float64 | 注意单位: 股  |
| 成交额 | float64 | 注意单位: 港元 |
| 振幅  | float64 | 注意单位: %  |
| 换手率 | float64 | 注意单位: %  |

接口示例-其他

```python
import akshare as ak

stock_hk_hist_min_em_df = ak.stock_hk_hist_min_em(symbol="01611", period='5', adjust='hfq',
                                                  start_date="2021-09-01 09:32:00",
                                                  end_date="2021-09-07 18:32:00")  # 其中的 start_date 和 end_date 需要设定为近期
print(stock_hk_hist_min_em_df)
```

数据示例-其他

```
                  时间     开盘   收盘   最高  ...    成交量   成交额    振幅   换手率
0    2021-09-01 09:35:00  12.05  11.85  12.05  ...  48000   570420.0  2.47  0.02
1    2021-09-01 09:40:00  11.75  11.57  11.75  ...  41500   478780.0  1.86  0.01
2    2021-09-01 09:45:00  11.57  11.57  11.67  ...  17000   196350.0  0.86  0.01
3    2021-09-01 09:50:00  11.57  11.67  11.67  ...  21500   248120.0  1.38  0.01
4    2021-09-01 09:55:00  11.65  11.63  11.69  ...  36500   423360.0  0.51  0.01
..                   ...    ...    ...    ...  ...    ...        ...   ...   ...
325  2021-09-07 15:40:00  14.11  14.05  14.11  ...  76500  1073240.0  0.43  0.02
326  2021-09-07 15:45:00  14.09  14.07  14.13  ...  23500   329810.0  0.43  0.01
327  2021-09-07 15:50:00  14.07  14.13  14.13  ...  50000   701710.0  0.43  0.02
328  2021-09-07 15:55:00  14.13  14.13  14.15  ...  54500   767760.0  0.28  0.02
329  2021-09-07 16:00:00  14.09  14.15  14.15  ...  47500   669150.0  0.42  0.02
```

#### 历史行情数据-东财

接口: stock_hk_hist

目标地址: http://quote.eastmoney.com/hk/08367.html

描述: 港股-历史行情数据, 可以选择返回复权后数据, 更新频率为日频

限量: 单次返回指定上市公司的历史行情数据

输入参数

| 名称         | 类型  | 描述                                                             |
|------------|-----|----------------------------------------------------------------|
| symbol     | str | symbol="00593"; 港股代码,可以通过 **ak.stock_hk_spot_em()** 函数返回所有港股代码 |
| period     | str | period='daily'; choice of {'daily', 'weekly', 'monthly'}       |
| start_date | str | start_date="19700101"; 开始日期                                    |
| end_date   | str | end_date="22220101"; 结束日期                                      |
| adjust     | str | adjust="": 返回未复权的数据, 默认; qfq: 返回前复权数据; hfq: 返回后复权数据;           |

输出参数

| 名称  | 类型      | 描述       |
|-----|---------|----------|
| 日期  | object  | -        |
| 开盘  | float64 | 注意单位: 港元 |
| 收盘  | float64 | 注意单位: 港元 |
| 最高  | float64 | 注意单位: 港元 |
| 最低  | float64 | 注意单位: 港元 |
| 成交量 | int64   | 注意单位: 股  |
| 成交额 | float64 | 注意单位: 港元 |
| 振幅  | float64 | 注意单位: %  |
| 涨跌幅 | float64 | 注意单位: %  |
| 涨跌额 | float64 | 注意单位: 港元 |
| 换手率 | float64 | 注意单位: %  |

接口示例-未复权

```python
import akshare as ak

stock_hk_hist_df = ak.stock_hk_hist(symbol="00593", period="daily", start_date="19700101", end_date="22220101",
                                    adjust="")
print(stock_hk_hist_df)
```

数据示例-未复权

```
      日期    开盘    收盘    最高    最低  ...    成交额      振幅   涨跌幅  涨跌额  换手率
0     1998-01-02  0.64  0.64  0.67  0.62  ...   805000.0    0.00   0.00  0.00  0.45
1     1998-01-05  0.63  0.59  0.63  0.59  ...  2512000.0    6.25  -7.81 -0.05  1.47
2     1998-01-06  0.60  0.60  0.63  0.60  ...  1199000.0    5.08   1.69  0.01  0.69
3     1998-01-07  0.60  0.58  0.60  0.58  ...  1765000.0    3.33  -3.33 -0.02  1.05
4     1998-01-08  0.59  0.58  0.59  0.56  ...   864000.0    5.17   0.00  0.00  0.53
          ...   ...   ...   ...   ...  ...        ...     ...    ...   ...   ...
4536  2021-03-26  1.53  1.53  1.53  1.53  ...        0.0    0.00   0.00  0.00  0.00
4537  2021-03-29  1.53  1.53  1.53  1.53  ...      765.0    0.00   0.00  0.00  0.00
4538  2021-03-30  1.53  1.51  1.53  1.39  ...   106650.0    9.15  -1.31 -0.02  0.03
4539  2021-03-31  1.51  1.51  1.51  1.51  ...        0.0    0.00   0.00  0.00  0.00
4540  2021-06-18  1.60  2.62  3.80  1.60  ...  7104955.0  145.70  73.51  1.11  0.90
```

输出参数-前复权

| 名称  | 类型      | 描述       |
|-----|---------|----------|
| 日期  | object  | -        |
| 开盘  | float64 | 注意单位: 港元 |
| 收盘  | float64 | 注意单位: 港元 |
| 最高  | float64 | 注意单位: 港元 |
| 最低  | float64 | 注意单位: 港元 |
| 成交量 | int64   | 注意单位: 股  |
| 成交额 | float64 | 注意单位: 港元 |
| 振幅  | float64 | 注意单位: %  |
| 涨跌幅 | float64 | 注意单位: %  |
| 涨跌额 | float64 | 注意单位: 港元 |
| 换手率 | float64 | 注意单位: %  |

接口示例-前复权

```python
import akshare as ak

stock_hk_hist_qfq_df = ak.stock_hk_hist(symbol="00593", period="daily", start_date="19700101", end_date="22220101",
                                        adjust="qfq")
print(stock_hk_hist_qfq_df)
```

数据示例-前复权

```
      日期     开盘     收盘     最高  ...      振幅   涨跌幅  涨跌额 换手率
0     1998-01-02  1.713  1.713  1.863  ...    0.00   0.00  0.00  0.45
1     1998-01-05  1.663  1.463  1.663  ...   11.68 -14.59 -0.25  1.47
2     1998-01-06  1.513  1.513  1.663  ...   10.25   3.42  0.05  0.69
3     1998-01-07  1.513  1.413  1.513  ...    6.61  -6.61 -0.10  1.05
4     1998-01-08  1.463  1.413  1.463  ...   10.62   0.00  0.00  0.53
          ...    ...    ...    ...  ...     ...    ...   ...   ...
4536  2021-03-26  1.530  1.530  1.530  ...    0.00   0.00  0.00  0.00
4537  2021-03-29  1.530  1.530  1.530  ...    0.00   0.00  0.00  0.00
4538  2021-03-30  1.530  1.510  1.530  ...    9.15  -1.31 -0.02  0.03
4539  2021-03-31  1.510  1.510  1.510  ...    0.00   0.00  0.00  0.00
4540  2021-06-18  1.600  2.620  3.800  ...  145.70  73.51  1.11  0.90
```

输出参数-后复权

| 名称  | 类型      | 描述       |
|-----|---------|----------|
| 日期  | object  | -        |
| 开盘  | float64 | 注意单位: 港元 |
| 收盘  | float64 | 注意单位: 港元 |
| 最高  | float64 | 注意单位: 港元 |
| 最低  | float64 | 注意单位: 港元 |
| 成交量 | int32   | 注意单位: 股  |
| 成交额 | float64 | 注意单位: 港元 |
| 振幅  | float64 | 注意单位: %  |
| 涨跌幅 | float64 | 注意单位: %  |
| 涨跌额 | float64 | 注意单位: 港元 |
| 换手率 | float64 | 注意单位: %  |

接口示例-后复权

```python
import akshare as ak

stock_hk_hist_hfq_df = ak.stock_hk_hist(symbol="00593", period="daily", start_date="19700101", end_date="22220101",
                                        adjust="hfq")
print(stock_hk_hist_hfq_df)
```

数据示例-后复权

```
      日期     开盘     收盘     最高  ...     振幅    涨跌幅  涨跌额 换手率
0     1998-01-02  0.715  0.715  0.745  ...   0.00   0.00  0.000  0.45
1     1998-01-05  0.705  0.665  0.705  ...   5.59  -6.99 -0.050  1.47
2     1998-01-06  0.675  0.675  0.705  ...   4.51   1.50  0.010  0.69
3     1998-01-07  0.675  0.655  0.675  ...   2.96  -2.96 -0.020  1.05
4     1998-01-08  0.665  0.655  0.665  ...   4.58   0.00  0.000  0.53
          ...    ...    ...    ...  ...    ...    ...    ...   ...
4536  2021-03-26  0.679  0.679  0.679  ...   0.00   0.00  0.000  0.00
4537  2021-03-29  0.679  0.679  0.679  ...   0.00   0.00  0.000  0.00
4538  2021-03-30  0.679  0.675  0.679  ...   4.12  -0.59 -0.004  0.03
4539  2021-03-31  0.675  0.675  0.675  ...   0.00   0.00  0.000  0.00
4540  2021-06-18  0.693  0.897  1.133  ...  65.19  32.89  0.222  0.90
```

#### 历史行情数据-新浪

接口: stock_hk_daily

目标地址: http://stock.finance.sina.com.cn/hkstock/quotes/01336.html(个例)

描述:港股-历史行情数据, 可以选择返回复权后数据,更新频率为日频

限量: 单次返回指定上市公司的历史行情数据(包括前后复权因子), 提供新浪财经拥有的该股票的所有数据(
并不等于该股票从上市至今的数据)

输入参数

| 名称     | 类型  | 描述                                                                                             |
|--------|-----|------------------------------------------------------------------------------------------------|
| symbol | str | 港股代码,可以通过 **ak.stock_hk_spot()** 函数返回所有港股代码                                                    |
| adjust | str | "": 返回未复权的数据 ; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据; qfq-factor: 返回前复权因子和调整; hfq-factor: 返回后复权因子和调整; |

输出参数-历史行情数据(后复权)

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| date   | object  | 日期  |
| open   | float64 | 开盘价 |
| high   | float64 | 最高价 |
| low    | float64 | 最低价 |
| close  | float64 | 收盘价 |
| volume | float64 | 成交量 |

接口示例-历史行情数据(后复权)

```python
import akshare as ak

stock_hk_daily_hfq_df = ak.stock_hk_daily(symbol="00700", adjust="hfq")
print(stock_hk_daily_hfq_df)
```

数据示例-历史行情数据(后复权)

```
           date      open      high       low     close       volume
0    2004-06-16     4.375     4.625     4.075     4.150  439775000.0
1    2004-06-17     4.150     4.375     4.125     4.225   83801500.0
2    2004-06-18     4.200     4.250     3.950     4.025   36598000.0
3    2004-06-21     4.125     4.125     3.950     4.000   22817000.0
4    2004-06-23     4.050     4.450     4.025     4.425   55016000.0
         ...       ...       ...       ...       ...          ...
4163 2021-05-24  2968.040  2975.540  2918.040  2963.040   16608372.0
4164 2021-05-25  2983.040  3100.540  2978.040  3085.540   27044587.0
4165 2021-05-26  3158.040  3158.040  3095.540  3125.540   18726374.0
4166 2021-05-27  3085.540  3100.540  3045.540  3063.040   25744926.0
4167 2021-05-28  3075.540  3095.540  3040.540  3043.040   15183086.0
```

输出参数-历史行情数据(未复权)

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| date   | object  | 日期  |
| open   | float64 | 开盘价 |
| high   | float64 | 最高价 |
| low    | float64 | 最低价 |
| close  | float64 | 收盘价 |
| volume | float64 | 成交量 |

接口示例-历史行情数据(未复权)

```python
import akshare as ak

stock_hk_daily_df = ak.stock_hk_daily(symbol="00700", adjust="")
print(stock_hk_daily_df)
```

数据示例-历史行情数据(未复权)

```
            date     open     high      low    close       volume
0     2004-06-16    4.375    4.625    4.075    4.150  439775000.0
1     2004-06-17    4.150    4.375    4.125    4.225   83801500.0
2     2004-06-18    4.200    4.250    3.950    4.025   36598000.0
3     2004-06-21    4.125    4.125    3.950    4.000   22817000.0
4     2004-06-23    4.050    4.450    4.025    4.425   55016000.0
          ...      ...      ...      ...      ...          ...
4165  2021-05-24  586.500  588.000  576.500  585.500   16608372.0
4166  2021-05-25  589.500  613.000  588.500  610.000   27044587.0
4167  2021-05-26  624.500  624.500  612.000  618.000   18726374.0
4168  2021-05-27  610.000  613.000  602.000  605.500   25744926.0
4169  2021-05-28  608.000  612.000  601.000  601.500   15183086.0
```

输出参数-后复权因子

| 名称         | 类型     | 描述    |
|------------|--------|-------|
| date       | object | 日期    |
| hfq_factor | object | 后复权因子 |
| cash       | object | 现金分红  |

接口示例-后复权因子

```python
import akshare as ak

stock_hk_daily_hfq_factor_df = ak.stock_hk_daily(symbol="00700", adjust="hfq-factor")
print(stock_hk_daily_hfq_factor_df)
```

数据示例-后复权因子

```
         date hfq_factor   cash
0  2021-05-24          5  35.54
1  2020-05-15          5  27.54
2  2019-05-17          5  21.54
3  2018-12-28          5  16.54
4  2018-05-18          5  16.28
5  2017-05-19          5  11.88
6  2016-05-20          5   8.83
7  2015-05-15          5   6.48
8  2014-05-16          5   4.68
9  2014-05-15          5   3.48
10 2013-05-20          1   3.48
11 2012-05-18          1   2.48
12 2011-05-03          1   1.73
13 2010-05-05          1   1.18
14 2009-05-06          1   0.78
15 2008-05-06          1   0.43
16 2007-05-09          1   0.27
17 2006-05-15          1   0.15
18 2005-04-19          1   0.07
19 1900-01-01          1      0
```

### 中国概念股

#### 实时行情数据

接口: stock_us_zh_spot

目标地址: http://quote.hexun.com/default.html#ustock_0

描述: 获取中国概念股实时行情数据

限量: 单次获取所有中概股公司的实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型    | 描述       |
|-----|-------|----------|
| 代码  | str   | -        |
| 名称  | str   | -        |
| 最新价 | float | 注意单位: 美元 |
| 涨跌幅 | float | -        |
| 最高  | float | -        |
| 最低  | float | -        |
| 昨收  | float | -        |
| 成交量 | float | -        |

接口示例

```python
import akshare as ak

stock_us_zh_spot_df = ak.stock_us_zh_spot()
print(stock_us_zh_spot_df)
```

数据示例

```
       代码                     名称     最新价  ...      最低      昨收          成交量
0    BABA                 阿里巴巴集团  264.31  ...  260.20  261.89  13146490.00
1    BIDU                     百度  190.11  ...  184.80  190.40   9801807.00
2     EDU                    新东方  165.59  ...  164.88  165.94    921626.00
3    CBPO                   泰邦生物  118.09  ...  117.84  117.99    258647.00
4     TSM                    台积电  103.91  ...  103.85  104.77   7133371.00
..    ...                    ...     ...  ...     ...     ...          ...
185  CNTF                   德信无线    0.00  ...    0.00    0.00         0.00
186   SPU                   天人果汁    0.00  ...    0.00    0.00         0.00
187   YIN                   银科控股    0.00  ...    0.00    7.25         0.00
188  CCCL  China Ceramics Co Ltd    0.00  ...    0.00    0.00         0.00
189  ABAC                   奥信天力    0.00  ...    0.00    0.00         0.00
```

#### 历史行情数据

接口: stock_us_zh_daily

目标地址: http://stockdata.stock.hexun.com/us/NTES.shtml

描述: 中国概念股日频率的历史数据

限量: 单次获取指定中概股公司的历史日频率数据, 返回最近 1000 个交易日数据, 此处建议使用新浪财经数据接口获取复权后数据使用

输入参数

| 名称     | 类型  | 描述                                                             |
|--------|-----|----------------------------------------------------------------|
| symbol | str | symbol="BABA"; 此处 symbol 可以通过调用 **ak.stock_us_zh_spot()** 接口获取 |

输出参数

| 名称   | 类型    | 描述  |
|------|-------|-----|
| 时间   | str   | -   |
| 前收盘价 | float | -   |
| 开盘价  | float | -   |
| 收盘价  | float | -   |
| 最高价  | float | -   |
| 最低价  | float | -   |
| 成交量  | float | -   |

接口示例

```python
import akshare as ak

stock_us_zh_daily_df = ak.stock_us_zh_daily(symbol="BABA")
print(stock_us_zh_daily_df)
```

数据示例

```
     时间    前收盘价     开盘价     收盘价     最高价     最低价       成交量
0    20161214   92.18   91.83   91.21   92.26   90.83   8531018
1    20161215   91.21   90.06   88.86   90.60   88.74  18300256
2    20161216   88.86   89.00   88.71   90.10   88.57  10221997
3    20161219   88.71   88.50   88.87   89.82   88.41  10162130
4    20161220   88.87   89.34   89.85   90.31   88.94   8145093
..        ...     ...     ...     ...     ...     ...       ...
995  20201214  264.54  260.43  256.36  260.85  256.27  15562792
996  20201215  256.03  255.47  255.19  255.55  252.30  15385080
997  20201216  255.11  257.85  262.19  263.18  257.05  15643445
998  20201217  261.89  264.70  264.31  264.85  260.20  13146490
999  20201218  264.43  263.50  259.99  264.90  259.20  14778831
```

### 企业社会责任

接口: stock_zh_a_scr_report

目标地址: http://stockdata.stock.hexun.com/zrbg/Plate.aspx?date=2010-12-31#

描述: 和讯财经-企业社会责任数据; 年度更新

限量: 单次返回指定 year 和 need_page 的数据

输入参数

| 名称        | 类型  | 描述                      |
|-----------|-----|-------------------------|
| year      | str | year="2018"; 需要获取的年份    |
| need_page | str | need_page="10"; 需要获取的页数 |

输出参数

| 名称             | 类型      | 描述  |
|----------------|---------|-----|
| 序号             | int64   | -   |
| 股票名称           | object  | -   |
| 股票代码           | object  | -   |
| 总得分            | float64 | -   |
| 等级             | object  | -   |
| 股东责任           | float64 | -   |
| 员工责任           | float64 | -   |
| 供应商、客户和消费者权益责任 | float64 | -   |
| 环境责任           | float64 | -   |
| 社会责任           | float64 | -   |

接口示例

```python
import akshare as ak

stock_zh_a_scr_report_df = ak.stock_zh_a_scr_report(year="2018", need_page="10")
print(stock_zh_a_scr_report_df)
```

数据示例

```
      序号  股票名称    股票代码    总得分 等级   股东责任   员工责任  供应商、客户和消费者权益责任  环境责任   社会责任
0      1  澜起科技  688008  78.22  B  16.23  59.34             0.0   0.0   2.65
1      2   陆家嘴  600663  42.39  C  23.39   4.00             0.0   0.0  15.00
2      3  世荣兆业  002016  42.39  C  24.61   2.78             0.0   0.0  15.00
3      4   万科A  000002  41.87  C  22.87   4.00             0.0   0.0  15.00
4      5  华夏幸福  600340  41.35  C  22.35   4.00             0.0   0.0  15.00
..   ...   ...     ...    ... ..    ...    ...             ...   ...    ...
195  196  双汇发展  000895  31.94  D  22.72   0.84             0.0   0.0   8.38
196  197  飞科电器  603868  31.93  D  24.90   2.03             0.0   0.0   5.00
197  198  中国银河  601881  31.93  D  15.00   4.00             0.0   0.0  12.93
198  199  银泰资源  000975  31.92  D  20.14   2.38             0.0   0.0   9.40
199  200  迈瑞医疗  300760  31.92  D  23.81   3.00             0.0   0.0   5.11
```

### 机构调研

#### 机构调研-统计

接口: stock_jgdy_tj_em

目标地址: http://data.eastmoney.com/jgdy/tj.html

描述: 东方财富网-数据中心-特色数据-机构调研-机构调研统计

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型  | 描述                       |
|------|-----|--------------------------|
| date | str | date="20180928"; 开始查询的时间 |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int64   | -       |
| 代码     | object  | -       |
| 名称     | object  | -       |
| 最新价    | float64 | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 接待机构数量 | int64   | -       |
| 接待方式   | object  | -       |
| 接待人员   | object  | -       |
| 接待地点   | object  | -       |
| 接待日期   | object  | -       |
| 公告日期   | object  | -       |

接口示例

```python
import akshare as ak

stock_jgdy_tj_em_df = ak.stock_jgdy_tj_em(date="20210128")
print(stock_jgdy_tj_em_df)
```

数据示例

```
      序号      代码    名称  ...                 接待地点        接待日期        公告日期
0      1  002315  焦点科技  ...               线上电话会议  2021-02-02  2021-02-03
1      2  300415   伊之密  ...  广东省佛山市顺德顺昌路12号3号会议室  2021-02-02  2021-02-03
2      3  002092  中泰化学  ...                公司会议室  2021-02-02  2021-02-03
3      4  002562  兄弟科技  ...                   线上  2021-02-02  2021-02-03
4      5  002749  国光股份  ...              公司龙泉办公区  2021-02-02  2021-02-03
..   ...     ...   ...  ...                  ...         ...         ...
111  112  000698  沈阳化工  ...             公司董事会办公室  2021-01-29  2021-01-29
112  113  688669  聚石化学  ...                 电话会议  2021-01-29  2021-01-29
113  114  300143  盈康生命  ...                 电话会议  2021-01-29  2021-01-29
114  115  002438  江苏神通  ...           公司董事会秘书办公室  2021-01-29  2021-01-29
115  116  002735  王子新材  ...                公司会议室  2021-01-29  2021-01-29
```

#### 机构调研-详细

接口: stock_jgdy_detail_em

目标地址: http://data.eastmoney.com/jgdy/xx.html

描述: 东方财富网-数据中心-特色数据-机构调研-机构调研详细

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型  | 描述                       |
|------|-----|--------------------------|
| date | str | date="20180928"; 开始查询的时间 |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 序号   | int64   | -       |
| 代码   | object  | -       |
| 名称   | object  | -       |
| 最新价  | float64 | -       |
| 涨跌幅  | float64 | 注意单位: % |
| 调研机构 | object  | -       |
| 机构类型 | object  | -       |
| 调研人员 | object  | -       |
| 接待方式 | object  | -       |
| 接待人员 | object  | -       |
| 接待地点 | object  | -       |
| 调研日期 | object  | -       |
| 公告日期 | object  | -       |

接口示例

```python
import akshare as ak

stock_jgdy_detail_em_df = ak.stock_jgdy_detail_em(date="20210915")
print(stock_jgdy_detail_em_df)
```

数据示例

```
      序号      代码    名称  ...                           接待地点        调研日期        公告日期
0      1  000615  奥园美谷  ...                           公司会议室  2021-09-16  2021-09-17
1      2  000615  奥园美谷  ...                           公司会议室  2021-09-16  2021-09-17
2      3  000615  奥园美谷  ...                           公司会议室  2021-09-16  2021-09-17
3      4  000615  奥园美谷  ...                           公司会议室  2021-09-16  2021-09-17
4      5  000615  奥园美谷  ...                           公司会议室  2021-09-16  2021-09-17
..   ...     ...   ...  ...                             ...         ...         ...
619  620  300677  英科医疗  ...  江西省九江市彭泽县彭湖湾工业园垅太路东侧江西英科医疗有限公司  2021-09-16  2021-09-16
620  621  300718  长盛轴承  ...                  浙江长盛滑动轴承股份有限公司  2021-09-16  2021-09-16
621  622  300718  长盛轴承  ...                  浙江长盛滑动轴承股份有限公司  2021-09-16  2021-09-16
622  623  300718  长盛轴承  ...                  浙江长盛滑动轴承股份有限公司  2021-09-16  2021-09-16
623  624  300718  长盛轴承  ...                  浙江长盛滑动轴承股份有限公司  2021-09-16  2021-09-16
```

### 主营构成

接口: stock_zygc_ym

目标地址: http://f10.emoney.cn/f10/zbyz/1000001

描述: 益盟-F10-主营构成

限量: 单次返回所有历史数据

输入参数

| 名称     | 类型  | 描述              |
|--------|-----|-----------------|
| symbol | str | symbol="000001" |

输出参数

| 名称          | 类型     | 描述      |
|-------------|--------|---------|
| 报告期         | object | -       |
| 分类方向        | object | -       |
| 分类          | object | -       |
| 营业收入        | object | 注意单位: 元 |
| 营业收入-同比增长   | object | -       |
| 营业收入-占主营收入比 | object | -       |
| 营业成本        | object | 注意单位: 元 |
| 营业成本-同比增长   | object | -       |
| 营业成本-占主营成本比 | object | -       |
| 毛利率         | object | -       |
| 毛利率-同比增长    | object | -       |

接口示例

```python
import akshare as ak

stock_zygc_ym_df = ak.stock_zygc_ym(symbol="000001")
print(stock_zygc_ym_df)
```

数据示例

```
       报告期  分类方向      分类      营业收入  ... 营业成本-同比增长 营业成本-占主营成本比     毛利率 毛利率-同比增长
0   2021年度  按行业分  零售金融业务   982.37亿  ...        --      70.02%  64.66%       --
1   2021年度  按行业分  批发金融业务   614.18亿  ...        --      29.98%  75.80%       --
2   2021年度  按行业分    其他业务    97.28亿  ...        --          --      --       --
3   2021年度  按行业分      合计  1693.83亿  ...        --     100.00%  70.73%       --
4   2021年度  按产品分  零售金融业务   982.37亿  ...    12.52%      70.02%  64.66%   -0.78%
..     ...   ...     ...       ...  ...       ...         ...     ...      ...
68  2019中期  按地区分      南区   129.58亿  ...    -4.54%      14.93%  76.28%    6.43%
69  2019中期  按地区分      西区    44.96亿  ...     5.43%       5.47%  74.93%    5.77%
70  2019中期  按地区分      北区    75.17亿  ...     6.98%      11.69%  67.98%    4.85%
71  2019中期  按地区分      总行   274.44亿  ...    40.96%      51.72%  61.20%   -8.81%
72  2019中期  按地区分      合计   678.29亿  ...    17.37%     100.00%  69.65%    0.42%
```

### 管理层讨论与分析

接口: stock_mda_ym

目标地址: http://f10.emoney.cn/f10/zbyz/1000001

描述: 益盟-F10-管理层讨论与分析

限量: 单次返回所有历史数据

输入参数

| 名称     | 类型  | 描述              |
|--------|-----|-----------------|
| symbol | str | symbol="000001" |

输出参数

| 名称  | 类型     | 描述      |
|-----|--------|---------|
| 报告期 | object | -       |
| 内容  | object | -       |

接口示例

```python
import akshare as ak

stock_mda_ym_df = ak.stock_mda_ym(symbol="000001")
print(stock_mda_ym_df)
```

数据示例

```
      报告期                                                 内容
0  2021年度  一、总体经营情况    2021 年是中国共产党成立 100 周年，是我国“十四五”规划的开...
1  2021中期  一、总体经营情况    2021 年是中国共产党建党 100 周年，是我国“十四五”规划的开...
2  2020年度  一、总体经营情况    2020年是本行新三年战略举措的起步之年，本行以打造“中国最卓越、全...
3  2020中期  一、总体经营情况    本行以打造“中国最卓越、全球领先的智能化零售银行”为战略目标，坚持“...
4  2019年度  一、经营情况讨论与分析    总体经营情况：    2019年，本行紧跟国家战略，积极贯彻落...
5  2019中期  一、概述    2019 年上半年，面对复杂多变的经济金融形势，本行紧跟党和国家的各项重大战...
```

### 股票质押

#### 股权质押市场概况

接口: stock_gpzy_profile_em

目标地址: http://data.eastmoney.com/gpzy/marketProfile.aspx

描述: 东方财富网-数据中心-特色数据-股权质押-股权质押市场概况

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 交易日期    | object  | -       |
| A股质押总比例 | float64 | 注意单位: % |
| 质押公司数量  | float64 | -       |
| 质押笔数    | float64 | 注意单位: 笔 |
| 质押总股数   | float64 | 注意单位: 股 |
| 质押总市值   | float64 | 注意单位: 元 |
| 沪深300指数 | float64 | -       |
| 涨跌幅     | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_gpzy_profile_em_df = ak.stock_gpzy_profile_em()
print(stock_gpzy_profile_em_df)
```

数据示例

```
     交易日期   A股质押总比例  质押公司数量  ... 质押总市值  沪深300指数  涨跌幅
0    2014-03-07  6.731948    1609  ...  1.629956e+08  2168.3580 -0.4871
1    2014-03-14  6.754048    1617  ...  1.593885e+08  2122.8360 -2.0994
2    2014-03-21  6.750488    1614  ...  1.624715e+08  2158.7980  1.6941
3    2014-03-28  6.716687    1623  ...  1.591070e+08  2151.9650 -0.3165
4    2014-04-04  6.801723    1628  ...  1.635032e+08  2185.4720  1.5570
..          ...       ...     ...  ...           ...        ...     ...
409  2022-03-11  4.773296    2512  ...  3.678838e+08  4306.5217 -4.2235
410  2022-03-18  4.764498    2516  ...  3.619820e+08  4265.9017 -0.9432
411  2022-03-25  4.766883    2513  ...  3.578898e+08  4174.5742 -2.1409
412  2022-04-01  4.731799    2515  ...  3.610561e+08  4276.1580  2.4334
413  2022-04-08  4.703041    2516  ...  3.541657e+08  4230.7669 -1.0615
```

#### 上市公司质押比例

接口: stock_gpzy_pledge_ratio_em

目标地址: http://data.eastmoney.com/gpzy/pledgeRatio.aspx

描述: 东方财富网-数据中心-特色数据-股权质押-上市公司质押比例

限量: 单次返回指定交易日的所有历史数据; 其中的交易日需要根据网站提供的为准;
请访问 http://data.eastmoney.com/gpzy/pledgeRatio.aspx 查询具体交易日

输入参数

| 名称   | 类型  | 描述                                                                           |
|------|-----|------------------------------------------------------------------------------|
| date | str | date="20220408"; 请访问 http://data.eastmoney.com/gpzy/pledgeRatio.aspx 查询具体交易日 |

输出参数

| 名称      | 类型      | 描述       |
|---------|---------|----------|
| 序号      | int64   | -        |
| 股票代码    | object  | -        |
| 股票简称    | object  | -        |
| 交易日期    | object  | -        |
| 所属行业    | object  | -        |
| 质押比例    | float64 | 注意单位: %  |
| 质押股数    | float64 | 注意单位: 万股 |
| 质押市值    | float64 | 注意单位: 万元 |
| 质押笔数    | float64 | -        |
| 无限售股质押数 | float64 | 注意单位: 万股 |
| 限售股质押数  | float64 | 注意单位: 万股 |
| 近一年涨跌幅  | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

stock_gpzy_pledge_ratio_em_df = ak.stock_gpzy_pledge_ratio_em(date="20220408")
print(stock_gpzy_pledge_ratio_em_df)
```

数据示例

```
        序号    股票代码   股票简称        交易日期  ... 质押笔数   无限售股质押数     限售股质押数      近一年涨跌幅
0        1  000567   海德股份  2022-04-08  ...    6  48145.99       0.00   75.371550
1        2  000688   国城矿业  2022-04-08  ...    8  80604.69       0.00   70.499643
2        3  002485   雪松发展  2022-04-08  ...    7  37266.20       0.00  -17.596567
3        4  002147  *ST新光  2022-04-08  ...   23      0.00  120890.18  139.766082
4        5  000020   深华发A  2022-04-08  ...    2  11610.00       0.00   -3.091684
    ...     ...    ...         ...  ...  ...       ...        ...         ...
2511  2512  600698   湖南天雁  2022-04-08  ...    1      0.00       3.55   96.551724
2512  2513  601377   兴业证券  2022-04-08  ...    1      9.90       0.00   -8.466129
2513  2514  600519   贵州茅台  2022-04-08  ...    1      1.80       0.00  -12.625073
2514  2515  601857   中国石油  2022-04-08  ...    1    480.28       0.00   35.884008
2515  2516  001289   龙源电力  2022-04-08  ...    1      8.73       0.00  -22.868699
```

#### 重要股东股权质押明细

接口: stock_gpzy_pledge_ratio_detail_em

目标地址: http://data.eastmoney.com/gpzy/pledgeDetail.aspx

描述: 东方财富网-数据中心-特色数据-股权质押-重要股东股权质押明细

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 序号      | int64   | -       |
| 股票代码    | object  | -       |
| 股票简称    | object  | -       |
| 股东名称    | object  | -       |
| 质押股份数量  | float64 | 注意单位: 股 |
| 占所持股份比例 | float64 | 注意单位: % |
| 占总股本比例  | float64 | 注意单位: % |
| 质押机构    | object  | -       |
| 最新价     | float64 | 注意单位: 元 |
| 质押日收盘价  | float64 | 注意单位: 元 |
| 预估平仓线   | float64 | 注意单位: 元 |
| 公告日期    | object  | -       |
| 质押开始日期  | object  | -       |

接口示例

```python
import akshare as ak

stock_gpzy_pledge_ratio_detail_em_df = ak.stock_gpzy_pledge_ratio_detail_em()
print(stock_gpzy_pledge_ratio_detail_em_df)
```

数据示例

```
     序号    股票代码   股票简称  ...       预估平仓线   质押开始日期   公告日期
0          1  600010   包钢股份  ...    1.792000  2021-08-19  2021-08-21
1          2  603759   海天股份  ...   11.452000  2021-08-19  2021-08-21
2          3  002594    比亚迪  ...  205.604000  2021-08-19  2021-08-21
3          4  002895   川恒股份  ...   12.723200  2021-08-19  2021-08-21
4          5  002172   澳洋健康  ...    2.643200  2021-08-19  2021-08-21
      ...     ...    ...  ...         ...         ...         ...
99050  99051  600093  *ST易见  ...         NaN  2002-08-07  2002-08-07
99051  99052  600093  *ST易见  ...         NaN  2002-07-23  2002-07-24
99052  99053  000835  *ST长动  ...         NaN  2001-08-17  2002-07-10
99053  99054  000028   国药一致  ...         NaN  2000-12-20  2002-03-29
99054  99055  600745   闻泰科技  ...    9.872408  2001-11-20  2001-11-24
```

#### 质押机构分布统计-证券公司

接口: stock_gpzy_distribute_statistics_company_em

目标地址: http://data.eastmoney.com/gpzy/distributeStatistics.aspx

描述: 东方财富网-数据中心-特色数据-股权质押-质押机构分布统计-证券公司

限量: 单次返回当前时点所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称           | 类型      | 描述      |
|--------------|---------|---------|
| 序号           | int64   | -       |
| 质押机构         | object  | -       |
| 质押公司数量       | int64   | -       |
| 质押笔数         | int64   | -       |
| 质押数量         | float64 | 注意单位: 股 |
| 未达预警线比例      | float64 | 注意单位: % |
| 达到预警线未达平仓线比例 | float64 | 注意单位: % |
| 达到平仓线比例      | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_gpzy_distribute_statistics_company_em_df = ak.stock_gpzy_distribute_statistics_company_em()
print(stock_gpzy_distribute_statistics_company_em_df)
```

数据示例

```
    序号  质押机构  质押公司数量  质押笔数          质押数量   未达预警线比例  达到预警线未达平仓线比例   达到平仓线比例
0    1  海通证券     304  1261  1.402742e+06  0.753370      0.045202  0.201427
1    2  国泰君安     268   904  1.231400e+06  0.743079      0.034330  0.222591
2    3  中信证券     244   639  1.612960e+06  0.668232      0.067293  0.264476
3    4  华泰证券     181   723  1.040893e+06  0.673130      0.036011  0.290859
4    5  招商证券     166   450  4.972209e+05  0.777778      0.068889  0.153333
5    6  广发证券     153   584  5.437655e+05  0.785959      0.046233  0.167808
6    7  中国银河     127   318  6.123945e+05  0.694969      0.050314  0.254717
7    8  中信建投     105   328  5.657925e+05  0.579268      0.085366  0.335366
8    9  中泰证券     101   346  5.231542e+05  0.754335      0.066474  0.179191
9   10  兴业证券      93   326  3.394603e+05  0.616564      0.076687  0.306748
10  11  国信证券      91   451  6.067771e+05  0.558758      0.075388  0.365854
11  12  长江证券      83   272  3.178707e+05  0.573529      0.055147  0.371324
12  13  浙商证券      80   152  1.261287e+05  0.842105      0.039474  0.118421
13  14  国金证券      79   191  2.726742e+05  0.848168      0.047120  0.104712
14  15  东吴证券      63   207  2.763393e+05  0.574879      0.048309  0.376812
15  16  东方证券      62   246  3.957932e+05  0.475610      0.093496  0.430894
16  17  财通证券      59   105  1.227393e+05  0.752381      0.076190  0.171429
17  18  光大证券      56   145  2.391708e+05  0.572414      0.048276  0.379310
18  19  红塔证券      54   157  1.529568e+05  0.878981      0.012739  0.108280
19  20  东北证券      51   152  1.392464e+05  0.539474      0.032895  0.427632
20  21  国联证券      44   115  1.111010e+05  0.730435      0.043478  0.226087
21  22  华西证券      43   190  1.581871e+05  0.821053      0.063158  0.115789
22  23  国元证券      42   125  1.909249e+05  0.792000      0.064000  0.144000
23  24  中金公司      41   125  1.260170e+05  0.832000      0.024000  0.144000
24  25  国海证券      39   196  1.276768e+05  0.500000      0.015306  0.484694
25  26  华安证券      35    75  7.706306e+04  0.933333      0.026667  0.040000
26  27  长城证券      35   107  1.837452e+05  0.542056      0.037383  0.420561
27  28  第一创业      34   179  4.349701e+05  0.240223      0.039106  0.720670
28  29  东兴证券      32   104  1.423795e+05  0.365385      0.057692  0.576923
29  30  方正证券      29   115  1.857242e+05  0.504348      0.095652  0.400000
30  31  西南证券      28    52  8.773574e+04  0.730769      0.038462  0.230769
31  32  中银证券      28    59  5.708684e+04  0.745763      0.000000  0.254237
32  33  天风证券      26    87  1.803283e+05  0.264368      0.011494  0.724138
33  34  山西证券      23    47  7.069562e+04  0.914894      0.000000  0.085106
34  35  中原证券      22    76  7.726518e+04  0.750000      0.052632  0.197368
35  36   太平洋      20    39  6.065551e+04  0.435897      0.025641  0.538462
36  37  财达证券      17    66  7.506754e+04  0.848485      0.030303  0.121212
37  38  南京证券      16    37  2.476809e+04  0.945946      0.054054  0.000000
38  39  西部证券       9    20  2.626103e+04  0.250000      0.000000  0.750000
39  40  华林证券       5     7  3.709550e+03  0.571429      0.000000  0.428571
40  41  申万宏源       3    11  4.012356e+04  1.000000      0.000000  0.000000
```

#### 质押机构分布统计-银行

接口: stock_gpzy_distribute_statistics_bank_em

目标地址: http://data.eastmoney.com/gpzy/distributeStatistics.aspx

描述: 东方财富网-数据中心-特色数据-股权质押-质押机构分布统计-银行

限量: 单次返回当前时点所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称           | 类型      | 描述      |
|--------------|---------|---------|
| 序号           | int64   | -       |
| 质押机构         | object  | -       |
| 质押公司数量       | int64   | -       |
| 质押笔数         | int64   | -       |
| 质押数量         | float64 | 注意单位: 股 |
| 未达预警线比例      | float64 | 注意单位: % |
| 达到预警线未达平仓线比例 | float64 | 注意单位: % |
| 达到平仓线比例      | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_em_gpzy_distribute_statistics_bank_df = ak.stock_gpzy_distribute_statistics_bank_em()
print(stock_em_gpzy_distribute_statistics_bank_df)
```

数据示例

```
    序号  质押机构  质押公司数量  质押笔数          质押数量   未达预警线比例  达到预警线未达平仓线比例   达到平仓线比例
0    1  工商银行     213   356  1.339490e+06  0.827684      0.039548  0.132768
1    2  浦发银行     195   391  9.506755e+05  0.743590      0.046154  0.210256
2    3  中信银行     143   260  7.504436e+05  0.734615      0.050000  0.215385
3    4  民生银行     133   231  1.726826e+06  0.730435      0.056522  0.213043
4    5  农业银行     131   222  8.965415e+05  0.842342      0.031532  0.126126
5    6  建设银行     113   215  7.744608e+05  0.827907      0.037209  0.134884
6    7  交通银行     111   193  6.373226e+05  0.823834      0.046632  0.129534
7    8  华夏银行     108   196  4.514306e+05  0.810256      0.056410  0.133333
8    9  中国银行     106   170  6.759497e+05  0.829412      0.058824  0.111765
9   10  兴业银行     105   166  6.322536e+05  0.806061      0.084848  0.109091
10  11  招商银行     101   156  9.057606e+05  0.814103      0.038462  0.147436
11  12  浙商银行      87   203  1.165197e+06  0.758621      0.113300  0.128079
12  13  光大银行      85   138  3.010593e+05  0.746269      0.059701  0.194030
13  14  北京银行      45    80  1.946276e+05  0.850000      0.062500  0.087500
14  15  江苏银行      42    69  2.159537e+05  0.811594      0.014493  0.173913
15  16  平安银行      40    66  2.677631e+05  0.818182      0.045455  0.136364
16  17  杭州银行      34    61  8.706317e+04  0.750000      0.133333  0.116667
17  18  上海银行      32    61  3.661410e+05  0.852459      0.065574  0.081967
18  19  南京银行      30    40  8.697171e+04  0.725000      0.075000  0.200000
19  20  宁波银行      20    31  3.985480e+04  0.838710      0.032258  0.129032
20  21  长沙银行      15    42  9.014982e+04  0.738095      0.023810  0.238095
21  22  青岛银行      12    15  3.360395e+04  0.733333      0.066667  0.200000
22  23  苏州银行      12    16  2.166000e+04  0.928571      0.000000  0.071429
23  24  郑州银行       9    27  6.818363e+04  0.851852      0.000000  0.148148
24  25  渝农商行       7    23  2.001640e+05  0.652174      0.043478  0.304348
25  26  厦门银行       7    18  5.292578e+04  0.611111      0.000000  0.388889
26  27  苏农银行       7    18  2.299500e+04  1.000000      0.000000  0.000000
27  28  沪农商行       6     8  6.477619e+04  0.750000      0.000000  0.250000
28  29  兰州银行       5     9  1.542600e+04  0.888889      0.000000  0.111111
29  30  无锡银行       4     7  1.264000e+04  0.857143      0.142857  0.000000
30  31  江阴银行       4     6  1.316000e+04  1.000000      0.000000  0.000000
31  32  成都银行       3     3  1.476582e+04  0.666667      0.333333  0.000000
32  33  邮储银行       3     6  4.562714e+03  0.500000      0.333333  0.166667
33  34  西安银行       3     5  3.645519e+04  1.000000      0.000000  0.000000
34  35  瑞丰银行       3     4  7.370000e+03  0.250000      0.000000  0.750000
35  36  张家港行       3     4  2.609000e+03  1.000000      0.000000  0.000000
36  37  齐鲁银行       3     8  1.191600e+04  0.875000      0.000000  0.125000
37  38  重庆银行       2     2  2.080000e+04  1.000000      0.000000  0.000000
38  39  贵阳银行       2     3  3.003136e+04  0.333333      0.333333  0.333333
39  40  青农商行       2     2  1.450000e+04  1.000000      0.000000  0.000000
40  41  紫金银行       2     4  3.100000e+03  1.000000      0.000000  0.000000
41  42  常熟银行       1     3  4.830000e+03  1.000000      0.000000  0.000000
```

#### 上市公司质押比例

接口: stock_gpzy_industry_data_em

目标地址: http://data.eastmoney.com/gpzy/industryData.aspx

描述: 东方财富网-数据中心-特色数据-股权质押-上市公司质押比例-行业数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 行业     | object  | -       |
| 平均质押比例 | float64 | 注意单位: % |
| 公司家数   | float64 | -       |
| 质押总笔数  | float64 | -       |
| 质押总股本  | float64 | -       |
| 最新质押市值 | float64 | -       |
| 统计时间   | object  | -       |

接口示例

```python
import akshare as ak

stock_gpzy_industry_data_em_df = ak.stock_gpzy_industry_data_em()
print(stock_gpzy_industry_data_em_df)
```

数据示例

```
    序号     行业     平均质押比例  公司家数  质押总笔数       质押总股本        最新质押市值        统计时间
0    1   多元金融  24.680000    19    207  1030571.65  4.304502e+06  2022-04-15
1    2  房地产开发  24.283500    60    741  3624662.83  1.656433e+07  2022-04-15
2    3   煤炭行业  20.876842    19    127   840972.87  9.303022e+06  2022-04-15
3    4   化纤行业  20.281429    14     92   379910.64  3.026493e+06  2022-04-15
4    5   纺织服装  18.990351    57    472   862152.35  4.300888e+06  2022-04-15
..  ..    ...        ...   ...    ...         ...           ...         ...
81  82  电子化学品   6.930000    11     63    34912.90  5.458575e+05  2022-04-15
82  83     保险   6.920000     4     61   156429.50  2.124751e+06  2022-04-15
83  84   工程机械   6.053333     9     53   134576.79  1.416715e+06  2022-04-15
84  85    半导体   5.720789    38    170   116759.58  6.816297e+06  2022-04-15
85  86   专业服务   5.417000    10     26    22927.37  2.361607e+05  2022-04-15
```

### 商誉专题

#### A股商誉市场概况

接口: stock_em_sy_profile

目标地址: http://data.eastmoney.com/sy/scgk.html

描述: 获取东方财富网-数据中心-特色数据-商誉-A股商誉市场概况

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称         | 类型            | 描述      |
|------------|---------------|---------|
| 报告期        | float         | -       |
| 商誉         | datetime.date | 注意单位: 元 |
| 商誉减值       | float         | 注意单位: 元 |
| 净资产        | float         | 注意单位: 元 |
| 商誉占净资产比例   | float         | 注意单位: % |
| 商誉减值占净资产比例 | float         | 注意单位: % |
| 净利润规模      | float         | 注意单位: 元 |
| 商誉减值占净利润比例 | float         | 注意单位: % |

接口示例

```python
import akshare as ak

stock_em_sy_profile_df = ak.stock_em_sy_profile()
print(stock_em_sy_profile_df)
```

数据示例

```
          报告期            商誉          商誉减值  ...  商誉减值占净资产比例         净利润规模  商誉减值占净利润比例
0  2020-06-30  1.292050e+12  7.717300e+08  ...    0.000024  1.166105e+12    0.000662
1  2019-12-31  1.258899e+12 -1.301585e+11  ...   -0.004144  2.522490e+12   -0.051599
2  2018-12-31  1.318436e+12  1.476818e+11  ...    0.005286  2.317951e+12    0.063712
3  2017-12-31  1.302102e+12  3.314372e+10  ...    0.001324  2.294834e+12    0.014443
4  2016-12-31  1.054482e+12  1.478584e+10  ...    0.000681  1.914396e+12    0.007724
..        ...           ...           ...  ...         ...           ...         ...
6  2014-12-31  3.402409e+11  3.103449e+09  ...    0.000216  1.616912e+12    0.001919
7  2013-12-31  2.099531e+11  2.527157e+09  ...    0.000213  1.449426e+12    0.001744
8  2012-12-31  1.673510e+11  1.114310e+09  ...    0.000107  1.227273e+12    0.000908
9  2011-12-31  1.355841e+11  9.313426e+08  ...    0.000118  1.034316e+12    0.000900
10 2010-12-31  9.424007e+10  7.456191e+09  ...    0.001170  8.679582e+11    0.008590
```

#### 商誉减值预期明细

接口: stock_em_sy_yq_list

目标地址: http://data.eastmoney.com/sy/yqlist.html

描述: 获取东方财富网-数据中心-特色数据-商誉-商誉减值预期明细

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称         | 类型  | 必选  | 描述                              |
|------------|-----|-----|---------------------------------|
| symbol     | str | Y   | symbol="沪市主板"; 参见网页选项           |
| trade_date | str | Y   | trade_date="2019-09-30"; 参见网页选项 |

输出参数

| 名称          | 类型            | 默认显示 | 描述  |
|-------------|---------------|------|-----|
| 股票代码        | datetime.date | Y    | -   |
| 公司名称        | float         | Y    | -   |
| 最新一期商誉(元)   | float         | Y    | -   |
| 公告日期        | float         | Y    | -   |
| 预计净利润(元)-下限 | float         | Y    | -   |
| 预计净利润(元)-上限 | float         | Y    | -   |
| 业绩变动幅度-上限   | float         | Y    | -   |
| 业绩变动幅度-下限   | float         | Y    | -   |
| 预告内容        | float         | Y    | -   |
| 业绩变动原因      | float         | Y    | -   |
| 上年度同期净利润(元) | float         | Y    | -   |
| 上年商誉        | float         | Y    | -   |
| 商誉报告日期      | str           | Y    | -   |

接口示例

```python
import akshare as ak

stock_em_sy_yq_list_df = ak.stock_em_sy_yq_list(symbol="沪市主板", trade_date="2019-12-31")
print(stock_em_sy_yq_list_df)
```

数据示例

```
      股票代码   公司名称     最新一期商誉(元)       公告日期  预计净利润(元)-下限  预计净利润(元)-上限  \
0   600393   粤泰股份  2.376026e+07 2019-04-29    2.635e+08    3.162e+08
1   600255   梦舟股份  5.521950e+08 2019-04-26    -1.35e+09     -1.3e+09
2   600122   宏图高科  3.060019e+07 2019-04-25   -2.034e+09   -2.034e+09
3   600100   同方股份  2.237865e+08 2019-04-25    -3.88e+09    -3.88e+09
4   600734   实达集团  1.028262e+09 2019-04-24    -2.67e+08    -2.67e+08
5   600881   亚泰集团  1.234449e+09 2019-04-24  -1.9732e+08  -1.9732e+08
6   603318   派思股份  7.520709e+07 2019-04-20   3.5434e+06   3.5434e+06
7   600666  *ST瑞德  4.907776e+08 2019-04-19   -1.697e+09   -1.697e+09
8   600715   文投控股  3.626455e+09 2019-04-19       -7e+08     -6.8e+08
9   600175   美都能源  3.709262e+05 2019-04-13    -1.09e+09    -1.09e+09
10  600200   江苏吴中  1.259109e+07 2019-04-12  -2.8557e+08  -2.8557e+08
11  600988   赤峰黄金  3.614854e+08 2019-04-11 -1.27863e+08 -1.27863e+08
12  600898   国美通讯  4.420382e+08 2019-04-02     -4.5e+08     -3.5e+08
13  600458   时代新材  1.932405e+08 2019-03-19  -4.2742e+08  -4.2742e+08
14  600654  *ST中安  9.871203e+08 2019-01-31 -1.81122e+09 -1.61559e+09
15  600499   科达洁能  1.001481e+09 2019-01-31     -6.5e+08     -5.5e+08
16  600651   飞乐音响  1.533954e+09 2019-01-31   -3.326e+09   -3.326e+09
17  600525   长园集团  2.171520e+09 2019-01-31  5.73942e+07  5.11394e+08
18  603366   日出东方  2.565794e+08 2019-01-31    -4.95e+08     -4.1e+08
19  601258  *ST庞大  3.811819e+08 2019-01-31     -6.5e+09       -6e+09
20  600240   退市华业  1.988173e+08 2019-01-31   -5.051e+09   -4.652e+09
21  600576   祥源文化  8.660237e+08 2019-01-31      1.5e+07     2.25e+07
22  600652  *ST游久  7.756531e+08 2019-01-31  -8.8284e+08  -8.8284e+08
23  600721  *ST百花  1.731904e+08 2019-01-31     -9.7e+08     -7.9e+08
24  601717    郑煤机  8.483892e+08 2019-01-31        7e+08      8.4e+08
25  601599   鹿港文化  4.346753e+08 2019-01-31        6e+07        1e+08
26  600614  *ST鹏起  7.989185e+08 2019-01-31    -3.31e+09    -2.81e+09
27  600203   福日电子  5.598964e+08 2019-01-31      3.2e+07      4.2e+07
28  600587   新华医疗  3.299961e+08 2019-01-31  1.96586e+07  3.27644e+07
29  600594   益佰制药  8.614062e+08 2019-01-31       -9e+08     -7.5e+08
30  600251   冠农股份  5.515517e+07 2019-01-31     9.08e+07     9.97e+07
31  600892   大晟文化  3.869058e+08 2019-01-31     -1.5e+09       -1e+09
32  603778   乾景园林  1.102207e+07 2019-01-31      1.3e+07      1.9e+07
33  600446   金证股份  5.061425e+07 2019-01-31 -1.69555e+08 -1.17673e+08
34  600358   国旅联合  8.143705e+07 2019-01-31     -8.8e+07     -7.2e+07
35  603111   康尼机电  2.271492e+09 2019-01-31     -3.2e+09     -2.7e+09
36  600981   汇鸿集团  1.660564e+08 2019-01-31    1.105e+09    1.253e+09
37  600568   中珠医疗  2.116471e+08 2019-01-31     -1.6e+09     -1.1e+09
38  600146   商赢环球  9.119387e+06 2019-01-31 -1.85275e+09 -1.65254e+09
39  600151   航天机电  3.627090e+08 2019-01-31      2.5e+07      3.5e+07
40  600701  *ST工新  6.255429e+08 2019-01-31   -3.778e+09   -2.989e+09
41  600584   长电科技  2.351876e+09 2019-01-31     -8.9e+08     -7.6e+08
42  603555    贵人鸟  2.205609e+08 2019-01-31     -8.2e+08     -6.4e+08
43  603168   莎普爱思  1.781572e+08 2019-01-31     -1.3e+08     -1.1e+08
44  601558   ST锐电  4.134303e+08 2019-01-31  1.81383e+08  1.81383e+08
45  603008    喜临门  5.406770e+08 2019-01-31     -4.4e+08     -3.9e+08
46  600079   人福医药  3.902683e+09 2019-01-30     -2.7e+09     -2.2e+09
47  600462  *ST九有  1.526539e+08 2019-01-30  -2.5483e+08  -2.5483e+08
48  600571    信雅达  2.290546e+07 2019-01-30        2e+07        3e+07
49  600318   新力金融  5.185066e+08 2019-01-30        4e+07        6e+07
50  600805   悦达投资  1.624193e+06 2019-01-30        8e+07        8e+07
51  600128   弘业股份  1.589353e+07 2019-01-30       -8e+07       -7e+07
52  600369   西南证券  1.936805e+08 2019-01-30    2.008e+08    3.008e+08
53  600243   青海华鼎  4.107611e+06 2019-01-29     -1.8e+08     -1.8e+08
54  600787   中储股份  1.508798e+08 2019-01-29   4.5412e+08   4.5412e+08
55  603188   ST亚邦  2.218093e+08 2019-01-29  1.85218e+08  1.85218e+08
56  600894   广日股份  2.666724e+06 2019-01-29  9.96494e+07  1.79349e+08
57  600657   信达地产  8.518282e+07 2019-01-29     2.15e+09     2.15e+09
58  600880   博瑞传播  2.391724e+08 2019-01-29     -8.2e+08     -6.9e+08
59  600152   维科技术  1.568185e+08 2019-01-29      5.2e+07      5.2e+07
60  600645   中源协和  1.018158e+09 2019-01-28        5e+07      7.5e+07
61  600052   浙江广厦  1.326462e+08 2019-01-26     1.05e+08     1.05e+08
62  600526  *ST菲达  4.827764e+07 2019-01-26     -3.8e+08     -3.8e+08
63  603703   盛洋科技  1.709506e+08 2019-01-24     -7.5e+07       -7e+07
64  600241   时代万恒  5.417181e+07 2019-01-10    -1.65e+08    -1.65e+08
65  603158   腾龙股份  9.886292e+07 2018-10-30            -            -
   业绩变动幅度-上限 业绩变动幅度-下限                                               预告内容  \
0     -72.92    -77.44  预计2018年1-12月归属于上市公司股东的净利润盈利:26,350万元-31,620万元,...
1   -964.187  -997.425     预计2018年1-12月归属于上市公司股东的净利润亏损130,000万元-135,000万元
2   -434.539  -434.539              预计2018年1-12月归属于上市公司股东的净利润亏损:203,400万元
3   -3830.77  -3830.77             预计2018年1-12月归属于上市公司股东的净利润亏损388,000万元左右
4   -243.004  -243.004            预计2018年1-12月归属于上市公司股东的净利润亏损:26,700万元左右。
5     -124.6    -124.6   预计2018年1-12月归属于上市公司股东的净利润亏损:19,732万元,同比减少124.6%。
6   -93.5414  -93.5414              预计2018年1-12月归属于上市公司股东的净利润盈利为354.34万元。
7   -3182.65  -3182.65            预计2018年1-12月归属于上市公司股东的净利润亏损169,700万元左右。
8   -256.702  -261.311     预计2018年1-12月归属于上市公司股东的净利润亏损:68,000万元-70,000万元。
9   -1982.88  -1982.88           预计2018年1-12月归属于上市公司股东的净利润亏损:109,000万元左右。
10  -314.545  -314.545              预计2018年1-12月归属于上市公司股东的净利润亏损:28,557万元。
11    -146.6    -146.6  预计2018年1-12月归属于上市公司股东的净利润亏损:12,786.29万元,同比减少14...
12  -2911.99  -3715.42     预计2018年1-12月归属于上市公司股东的净利润亏损:35,000万元-45,000万元。
13   -717.48   -717.48              预计2018年1-12月归属于上市公司股东的净利润亏损:42,742万元。
14   119.799   146.414  预计2018年1-12月归属于上市公司股东的净利润亏损161,559.00万元到181,12...
15  -214.849   -235.73     预计2018年1-12月归属于上市公司股东的净利润亏损:55,000万元-65,000万元。
16  -6147.27  -6147.27            预计2018年1-12月归属于上市公司股东的净利润亏损332,600万元左右。
17       -55       -95  预计2018年1-12月归属于上市公司股东的净利润盈利5,739.42万元51,139.42...
18  -848.601   -1003.8     预计2018年1-12月归属于上市公司股东的净利润亏损:41,000万元-49,500万元。
19  -2929.92  -3165.75       预计2018年1-12月归属于上市公司股东的净利润亏损600000万元-650000万元
20  -566.035  -606.006    预计2018年1-12月归属于上市公司股东的净利润亏损465,200万元到505,100万元。
21    -75.39    -83.59  预计2018年1-12月归属于上市公司股东的净利润盈利1500万元-2250万元,较上年同期...
22   109.048   109.048             预计2018年1-12月归属于上市公司股东的净利润亏损88,284万元左右。
23       -40    -71.99  预计2018年1-12月归属于上市公司股东的净利润亏损:79,000万元-97,000万元,...
24    195.51    146.26  预计2018年1-12月归属于上市公司股东的净利润盈利70,000万元-84,000万元,同...
25    -65.89    -79.54  预计2018年1-12月归属于上市公司股东的净利润盈利6,000万元-10,000万元,同比...
26   -825.78  -954.923    预计2018年1-12月归属于上市公司股东的净利润亏损281,000万元到331,000万元。
27  -137.317  -128.432       预计2018年1-12月归属于上市公司股东的净利润盈利:3,200万元-4,200万元。
28       -50       -70  预计2018年1-12月归属于上市公司股东的净利润盈利:1,965.86万元-3,276.4...
29  -293.533   -332.24     预计2018年1-12月归属于上市公司股东的净利润亏损:75,000万元-90,000万元。
30        17       6.7  预计2018年1-12月归属于上市公司股东的净利润盈利:9,080万元-9,970万元,同比...
31  -433.205  -599.807     预计2018年1-12月归属于上市公司股东的净利润亏损:100000万元–150000万元。
32    -78.81     -85.5  预计2018年1-12月归属于上市公司股东的净利润盈利:1,300万元-1,900万元,同比...
33  -189.146  -228.451  预计2018年1-12月归属于上市公司股东的净利润亏损11,767.26万元-16,955....
34  -322.863  -372.388         预计2018年1-12月归属于上市公司股东的净利润亏损:7200万元–8800万元。
35  -1061.21  -1239.21  预计2018年1-12月归属于上市公司股东的净利润亏损270,000.00万元-320,00...
36        70        50  预计2018年1-12月归属于上市公司股东的净利润盈利:110500万元-125300万元,...
37  -749.567  -1044.82   预计2018年1-12月归属于上市公司股东的净利润亏损:110,000万元-160,000万元。
38  -884.008  -978.995  预计2018年1-12月归属于上市公司股东的净利润亏损:165,253.96万元-185,2...
39  -111.323  -108.088           预计2018年1-12月归属于上市公司股东的净利润:2500万元-3500万元。
40  -2449.31  -3069.45   预计2018年1-12月归属于上市公司股东的净利润亏损:298,900万元-377,800万元。
41  -321.348  -359.211     预计2018年1-12月归属于上市公司股东的净利润亏损:76,000万元-89,000万元。
42  -506.846  -621.271      预计2018年1-12月归属于上市公司股东的净利润亏损64,000万元到82,000万元。
43  -175.159  -188.824        预计2018年1-12月归属于上市公司股东的净利润亏损11000万元-13000万元。
44        58        58  预计2018年1-12月归属于上市公司股东的净利润盈利18,138.31万元,同比增加58....
45  -237.519   -255.15     预计2018年1-12月归属于上市公司股东的净利润亏损:39,000万元到44,000万元。
46  -206.346  -230.516     预计2018年1-12月归属于上市公司股东的净利润亏损220,000万元-270,000万元
47  -3078.93  -3078.93                预计2018年1-12月归属于上市公司股东的净利润亏损25,483万元
48  -114.363  -109.575         预计2018年1-12月归属于上市公司股东的净利润盈利2,000万元-3,000万元
49  -119.435  -112.957         预计2018年1-12月归属于上市公司股东的净利润盈利:4000万元至6000万元。
50  -128.445  -128.445               预计2018年1-12月归属于上市公司股东的净利润盈利8,000万元左右
51  -670.776  -752.316       预计2018年1-12月归属于上市公司股东的净利润亏损:7,000万元-8,000万元。
52       -55       -70  预计2018年1-12月归属于上市公司股东的净利润为20,080.02万元-30,080.0...
53  -958.823  -958.823             预计2018年1-12月归属于上市公司股东的净利润亏损18,000万元左右。
54       -66       -66  预计2018年1-12月归属于上市公司股东的净利润盈利约45,412万元,较上年同期,同比减...
55       -66       -66     预计2018年1-12月归属于上市公司股东的净利润盈利18,521.82万元,同比减少66%
56       -55       -75  预计2018年1-12月归属于上市公司股东的净利润盈利9,964.94万元-17,934.9...
57    112.66    112.66  预计2018年1-12月归属于上市公司股东的净利润盈利215,000万元,同比增加约112.66%
58  -2082.76  -2456.32       预计2018年1-12月归属于上市公司股东的净利润亏损69,000万元至82,000万元
59       213       213      预计2018年1-12月归属于上市公司股东的净利润为盈利5200万元,同比增加约213%。
60  -506.284  -370.856        预计2018年1-12月归属于上市公司股东的净利润盈利5,000万元-7,500万元。
61       -44       -44   预计2018年1-12月归属于上市公司股东的净利润盈利10,500万元左右,同比上年下降44%。
62     127.9     127.9                预计2018年1-12月归属于上市公司股东的净利润亏损38,000万元
63  -389.051  -409.697        预计2018年1-12月归属于上市公司股东的净利润亏损7,000万元-7,500万元。
64  -946.154  -946.154             预计2018年1-12月归属于上市公司股东的净利润亏损16,500万元左右。
65         -         -                      预计2018年1-12月归属于上市公司股东的净利润不确定。
                                               业绩变动原因  上年度同期净利润(元)  \
0   (一)前次业绩预告数据测算过程中,由于财务部门会计政策理解偏差,非经常性损益扣除了商誉、无形...  1.16786e+09
1   1、近日,公司控股孙公司梦幻工厂文化传媒(天津)有限公司(以下简称“梦幻工厂”)的业绩核算最...   1.5043e+08
2   本次业绩预告更正的主要原因如下:1、公司于2016年12月6日、12月19日与湖北匡时文化艺...     6.08e+08
3   (一)商誉减值影响1、本次业绩预告更正的主要原因系商誉减值测试考虑了更多影响商誉的因素,导致...     1.04e+08
4   本次业绩预告更正的主要原因是增加计提了对子公司的商誉减值准备(公司此次计提商誉减值准备之前的...  1.86709e+08
5   1、吉林银行股份有限公司2018年四季度投资收益低于预期2019年初,公司根据吉林银行股份有...    8.018e+08
6   本次业绩预告更正的主要原因系公司对商誉减值测试时考虑了更多影响商誉的因素,导致子公司估值下调...   5.4863e+07
7   (一)受部分客户经营资金短缺的影响,公司对相关应收账款补充计提坏账准备26,800万元左右;...    5.505e+07
8   (一)计提商誉减值出于审慎性考虑,公司会同外部评估机构对公司商誉进行了进一步的评估与测算,对...  4.33944e+08
9   (一)2018年度业绩预告中对持有的鑫合汇长期股权投资按照资产法进行评估并计提大额减值准备(...    5.789e+07
10  公司全资子公司响水恒利达科技化工有限公司(以下简称“响水恒利达”)由于受江苏省盐城市响水县陈...  1.33105e+08
11  (一)商誉减值因素2015年,公司收购郴州雄风环保科技有限公司(简称“雄风环保”),形成商誉...  2.74357e+08
12  公司披露《2018年年度业绩预亏公告》(公告编号2019-03号)时,标的公司浙江德景电子科...  1.24467e+07
13  进入2019年,包括中国在内的全球乘用车市场表现持续疲软,乘用车生产和销售数据继续下滑。德国...    6.922e+07
14  (一)主营业务影响:公司经营状况总体正常运转,但本期受立案调查、债务压缩、管理层变动、项目回... -7.35031e+08
15  (一)计提资产减值准备。根据市场环境、经营情况以及《企业会计准则》的规定,公司对子公司沈阳科...  4.78891e+08
16  1、公司受PPP业务政策变动、照明行业产品升级等因素影响,2018年度营业收入较上年同期有较...      5.5e+07
17  (一)主营业务影响1.营业收入公司2018年度营业收入同比小幅下降。智能电网设备主力公司长园...  1.13639e+09
18  (一)经常性损益影响1.主营业务太阳能热水器行业景气度持续下滑;浙江帅康电气股份有限公司(以...  5.47688e+07
19  (一)主营业务影响报告期内,一、因公司融资困难,出现流动资金严重不足,不能满足正常经营运转的...   2.1202e+08
20  公司于2018年发生应收账款被骗事件,该案正处于公安机构侦查阶段,司法机关尚未给出最终结论,...  9.98209e+08
21  (一)主营业务影响1、报告期内,受宏观经济、行业监管政策、市场竞争加剧等因素影响,公司对业务...  9.14158e+07
22  (一)主营业务影响1、主营游戏业务经营亏损2018年,由于游戏行业面临市场竞争日趋激烈,游戏... -4.22315e+08
23  (一)主营业务影响公司2017年度扣除商誉后主营业务归属于母公司的净利润为0.59亿元人民币...    -5.64e+08
24  (一)主营业务影响报告期内,煤炭行业供给侧结构性改革和去产能政策持续深化,煤炭行业保持平稳运...  2.84251e+08
25  (一)纺织板块:国内市场受中美贸易战影响,市场萎缩低迷,客户采购力明显不足,导致2018年下...  2.93203e+08
26  1、公司以前年度完成的股权并购形成的商誉,由于业绩持续大幅下滑、货款回笼与存货周转慢等原因,...   3.8717e+08
27  (一)主营业务影响。2017年公司计提商誉减值准备11,950万元,2018年公司根据对商誉...  -1.1255e+08
28  (一)主营业务影响1、公司所处的医疗器械板块医疗器械板块稳步增长,预计实现主营业务收入85....  6.55287e+07
29  (一)主营业务影响1、报告期内,受医保控费等医药行业政策影响,公司主要产品售价和销量下滑,公...   3.8753e+08
30  (一)投资收益的影响本报告期投资收益预计比上年同期增加83%,主要是公司参股公司--国投新疆...  8.50735e+07
31  (一)主营业务影响:报告期内,公司主营业务所处行业影视行业和游戏行业的政策环境发生较大变化,...  3.00116e+08
32  (一)主营业务影响。公司2018年新签大额工程项目签约时间较晚,新签项目对2018年收入的贡...  8.96588e+07
33  (一)公司全资子公司北京联龙博通电子商务技术有限公司(以下简称“联龙博通”)受综合因素影响,...     1.32e+08
34  (一)主营业务影响:报告期内,受宏观经济政策环境影响,公司互联网广告业务及营销服务收入增长乏...  3.23068e+07
35  (一)2018年,国内智能手机市场增速放缓、消费电子行业呈现低迷态势、中美贸易战等因素影响,...  2.80897e+08
36  (一)公司归属于上市公司股东的净利润预增主要是报告期内金融资产的处置收益增加。(二)公司归属...     7.37e+08
37  (一)主营业务影响:1、军队和武警肿瘤治疗合作中心板块由于受到军队政策改革影响,到2018年...  1.69344e+08
38  (一)主营业务影响由于美国传统零售业受电商冲击影响,盈利空间不断受到挤压,传统零售巨头面临倒...  2.10781e+08
39  (一)报告期内,公司转让所持上海太阳能科技有限公司70%股权、上海神舟新能源发展有限公司10...   -3.091e+08
40  (一)公司及全资子公司汉柏科技有限公司(以下简称“汉柏科技”)因债务逾期、多个账户被冻结、部...  1.27229e+08
41  (一)主营业务影响1、报告期,受半导体市场景气度指数下降、移动通讯产品市场疲软、星科金朋赎回...   3.4335e+08
42  (一)主营业务影响:报告期内,公司自主贵人鸟品牌销售收入下降,生产成本上升,销售费用上涨,导...  1.57308e+08
43  1.公司子公司强身药业中成药产品的销售不达预期,导致其销售收入同比有较大幅度下降,本期强身药...  1.46356e+08
44  (一)本年公司与苏州美恩超导有限公司、美国超导公司、美国超导奥地利公司共同签署了《和解协议》...  1.14796e+08
45  (一)本期公司全资子公司浙江晟喜华视文化传媒有限公司(以下简称“晟喜华视”)受影视行业市场和...  2.83596e+08
46  公司本期业绩预亏的主要原因如下:(一)主营业务方面的影响因市场供需发生变化,2018年全资子...  2.06872e+09
47  (一)主营业务影响1、报告期内,控股子公司深圳博立信科技有限公司(以下简称“博立信”)受手机...   8.5544e+06
48  (一)投资收益影响1、经公司六届十九次、六届二十次董事会会议审议通过,决定将公司持有的趣链科... -2.08867e+08
49  1、上年同期公司因2015年并购的标的资产未完成业绩承诺目标,计提了大额商誉减值,影响了上年... -3.08722e+08
50  (一)报告期内,公司全资子公司江苏悦达纺织集团有限公司业绩实现扭亏为盈。(二)报告期内,公司... -2.81246e+08
51  (一)主营业务影响。公司对截至2018年末的相关资产进行清查分析,结合代理律师意见对相关诉讼...   1.2264e+07
52  (一)资产减值影响公司对可供出售金融资产、商誉、应收账款等资产进行减值测试,合计计提各项资产...    6.688e+08
53  1、2018年度因市场环境持续不景气,市场疲软、需求不足是一段时期以来持续困扰机械行业发展的...  2.09589e+07
54  (一)主营业务影响公司控股51%的子公司英国HenryBath&SonLimited(以下简...  1.34944e+09
55  1、2017年12月9日江苏连云港聚鑫生物科技有限公司“12.9”重大爆炸事故发生后,连云港...  5.47626e+08
56  公司本次业绩预减主要是由于①公司对持有的新筑股份股票(证券代码:002480)计提减值准备1...  3.98449e+08
57  (一)报告期内,公司贯彻“守正出新、变中求进、攻坚克难”的指导思想,持续提升公司专业开发能力...    1.011e+09
58  (一)主营业务影响1、受行业政策变化、市场深度洗牌和进一步集中化影响,中小游戏厂商受到严重冲...     3.48e+07
59  1、本期归属于上市公司股东的净利润预增主要系非经营性收益所致,合计影响金额约为19050万元...  1.66282e+07
60  (一)报告期内,公司将持有的北京泛生子基因科技有限公司6.483%股权以1.25亿元价格转让...   -1.846e+07
61  报告期内,归属于上市公司股东的净利润预计同比下滑,主要系(1)公司本期交付结转的房地产项目毛...  1.88592e+08
62  1、主营业务影响因受煤电行业“超低排放”的快速推进及行业竞争加剧影响,本公司主业电除尘器市场...  -1.6674e+08
63  (一)主营业务影响。本期公司高端消费类通信产品销售较2017年度大幅减少3亿多元,相关业务实...  2.42172e+07
64  (一)资产负债表日公司商誉等长期资产存在减值迹象,计提减值准备。(二)公司本年高能锂离子动力...     1.95e+07
65  公司因股权收购产生的商誉截至报告期末确认余额11,457.47万元。如未来有关子公司业绩未达...            -
           上年商誉
0   6.12769e+07
1   1.45557e+09
2   1.78758e+09
3   1.17492e+09
4   1.50049e+09
5   1.33389e+09
6   8.01802e+07
7   2.14743e+09
8    3.5202e+09
9   1.62521e+08
10  3.79774e+08
11  4.83385e+08
12  6.17694e+08
13  7.22603e+08
14  1.66933e+09
15   1.1826e+09
16  1.57369e+09
17  3.39975e+09
18   4.9972e+08
19  1.13681e+09
20  1.24641e+09
21  9.42326e+08
22  7.75653e+08
23  1.08137e+09
24  3.45768e+08
25   5.1483e+08
26  2.34313e+09
27  5.10764e+08
28  6.28476e+08
29  2.16815e+09
30   9.9092e+07
31  1.28698e+09
32  7.13637e+06
33  2.91566e+08
34  1.20773e+08
35  2.27149e+09
36  9.10758e+06
37  1.13686e+09
38  1.37544e+09
39  2.82478e+08
40  6.25543e+08
41  2.51067e+09
42  5.74493e+08
43  1.78157e+08
44            -
45  6.34058e+08
46   6.4748e+09
47  1.52654e+08
48  7.39458e+07
49  2.18733e+08
50  1.62419e+06
51  1.64676e+07
52  2.65239e+08
53  4.10761e+06
54  1.76657e+08
55  2.34753e+08
56  5.40927e+07
57  9.49811e+07
58  1.09194e+09
59            -
60  1.24466e+09
61  1.82759e+08
62  1.19151e+08
63   4.8056e+07
64  1.60366e+08
65  1.14575e+08
```

#### 个股商誉减值明细

接口: stock_em_sy_jz_list

目标地址: http://data.eastmoney.com/sy/jzlist.html

描述: 获取东方财富网-数据中心-特色数据-商誉-个股商誉减值明细

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称         | 类型  | 描述                              |
|------------|-----|---------------------------------|
| symbol     | str | symbol="沪市主板"; 参见网页选项           |
| trade_date | str | trade_date="2019-12-31"; 参见网页选项 |

输出参数

| 名称            | 类型            | 默认显示 | 描述  |
|---------------|---------------|------|-----|
| 股票代码          | datetime.date | Y    | -   |
| 股票简称          | float         | Y    | -   |
| 商誉(元)         | float         | Y    | -   |
| 商誉减值(元)       | float         | Y    | -   |
| 商誉减值占净资产比例(%) | float         | Y    | -   |
| 净利润(元)        | float         | Y    | -   |
| 商誉减值占净利润比例(%) | float         | Y    | -   |
| 公告日期          | float         | Y    | -   |

接口示例

```python
import akshare as ak

stock_em_sy_jz_list_df = ak.stock_em_sy_jz_list(symbol="沪市主板", trade_date="2019-12-31")
print(stock_em_sy_jz_list_df)
```

数据示例

```
       股票代码   股票简称         商誉(元) 商誉减值(元) 商誉减值占净资产比例(%)        净利润(元)  \
0    600021   上海电力  5.841499e+06       0             0  6.244933e+08
1    600549   厦门钨业  8.697061e+07       0             0  7.737426e+07
2    601258  *ST庞大  3.766229e+08       0             0 -1.198859e+09
3    600096    云天化  8.671338e+07       0             0  1.266708e+08
4    601618   中国中冶  1.630960e+08  -83000   -7.8666e-07  3.156882e+09
..      ...    ...           ...     ...           ...           ...
739  600641   万业企业  2.735111e+08       -             -  5.269850e+08
740  603665    康隆达  7.150660e+07       -             -  4.355607e+07
741  603283   赛腾股份  5.304210e+07       -             -  6.035453e+07
742  601880    大连港  2.043369e+07       -             -  2.882358e+08
743  600459   贵研铂业  8.516619e+07       -             -  1.115956e+08
    商誉减值占净利润比例(%)       公告日期
0               0 2003-10-29
1               0 2002-11-07
2               0 2011-04-28
3               0 1997-07-09
4    -2.62918e-05 2009-09-21
..            ...        ...
739             - 1993-04-07
740             - 2017-03-13
741             - 2017-12-25
742             - 2010-12-06
743             - 2003-05-16
```

#### 个股商誉明细

接口: stock_em_sy_list

目标地址: http://data.eastmoney.com/sy/list.html

描述: 获取东方财富网-数据中心-特色数据-商誉-个股商誉明细

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称         | 类型  | 必选  | 描述                                                              |
|------------|-----|-----|-----------------------------------------------------------------|
| symbol     | str | Y   | symbol="沪市主板"; choice of {"沪市主板", "深市主板", "中小板", "创业板", "沪深两市"} |
| trade_date | str | Y   | trade_date="2019-12-31"; 参见网页 **数据日期** 选项                       |

输出参数

| 名称       | 类型            | 默认显示 | 描述      |
|----------|---------------|------|---------|
| 股票代码     | datetime.date | Y    | -       |
| 股票简称     | float         | Y    | -       |
| 商誉       | float         | Y    | 注意单位: 元 |
| 商誉占净资产比例 | float         | Y    | 注意单位: % |
| 净利润      | float         | Y    | 注意单位: 元 |
| 净利润同比    | float         | Y    | 注意单位: % |
| 上年商誉     | float         | Y    | 注意单位: 元 |
| 公告日期     | float         | Y    | -       |

接口示例

```python
import akshare as ak

stock_em_sy_list_df = ak.stock_em_sy_list(symbol="沪深两市", trade_date="2019-12-31")
print(stock_em_sy_list_df)
```

数据示例

```
        股票代码   股票简称            商誉  ...      净利润同比          上年商誉       公告日期
0     600226  *ST瀚叶  4.672344e+08  ...  -5.748764  1.185446e+09 2020-06-30
1     600589   广东榕泰  3.223212e+08  ...  -4.498360  1.051754e+09 2020-06-23
2     300178   腾邦国际  2.070220e+07  ... -10.394864  5.833286e+08 2020-05-01
3     603998   方盛制药  2.521327e+08  ...   0.081058  1.091616e+08 2020-04-30
4     603906   龙蟠科技  2.067265e+08  ...   0.556907  2.067265e+08 2020-04-30
      ...    ...           ...  ...        ...           ...        ...
2085  600549   厦门钨业  3.985015e+07  ...  -0.477644  7.149327e+07 2020-01-21
2086  601018    宁波港  1.433640e+08  ...   0.185833  1.433640e+08 2020-01-16
2087  600101   明星电力  4.506434e+06  ...  -0.020582  4.506434e+06 2020-01-15
2088  601952   苏垦农发  1.092066e+08  ...  -0.023240  4.589893e+06 2020-01-14
2089  600018   上港集团  1.870246e+08  ...  -0.118142  1.804916e+08 2020-01-10
```

#### 行业商誉

接口: stock_em_sy_hy_list

目标地址: http://data.eastmoney.com/sy/hylist.html

描述: 获取东方财富网-数据中心-特色数据-商誉-行业商誉

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| trade_date | str  | Y    |   trade_date="2019-12-31"; 参见网页的选项 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 行业名称          | datetime.date   | Y        | -     |
| 公司家数          | float   | Y        | -     |
| 商誉规模(元)         | float   | Y        | -     |
| 净资产(元)          | float   | Y        | -     |
| 商誉规模占净资产规模比例(%)          | float   | Y        | -     |
| 净利润规模(元)          | float   | Y        | -     |

接口示例

```python
import akshare as ak

stock_em_sy_hy_list_df = ak.stock_em_sy_hy_list(trade_date="2019-12-31")
print(stock_em_sy_hy_list_df)
```

数据示例

```
    行业名称   公司家数       商誉规模(元)        净资产(元)  商誉规模占净资产规模比例(%)      净利润规模(元)
0   珠宝首饰    6.0  6.871225e+09  1.986175e+10         0.345953 -2.183489e+09
1   电信运营    4.0  5.624605e+09  2.051773e+10         0.274134  8.434792e+08
2   软件服务  129.0  1.078117e+11  4.085827e+11         0.263868  2.081720e+10
3   塑胶制品   24.0  2.461064e+10  1.015163e+11         0.242430  6.285810e+09
4   文教休闲   20.0  1.133933e+10  4.818311e+10         0.235338  4.756984e+09
5   医疗行业   50.0  3.394348e+10  1.608957e+11         0.210966  1.631258e+10
6   电子信息   70.0  5.492619e+10  2.692388e+11         0.204005  1.456987e+10
7   旅游酒店   20.0  1.900859e+10  9.319367e+10         0.203969  8.850620e+09
8   航天航空    9.0  7.672619e+09  4.021660e+10         0.190782  1.047841e+09
9   文化传媒   74.0  7.745306e+10  4.241996e+11         0.182586  2.068973e+10
10  家电行业   23.0  6.161491e+10  3.717773e+11         0.165731  5.679208e+10
11  通讯行业   62.0  3.962408e+10  2.479608e+11         0.159800  1.308809e+10
12  园林工程   15.0  7.829651e+09  5.372857e+10         0.145726 -2.120879e+08
13  机械行业  136.0  8.138680e+10  5.648938e+11         0.144075  3.622411e+10
14  农药兽药   15.0  1.079488e+10  7.631503e+10         0.141452  3.582141e+09
15  船舶制造    2.0  2.744973e+09  1.954651e+10         0.140433  5.273400e+07
16  医药制造  156.0  1.157882e+11  8.732211e+11         0.132599  6.454089e+10
17  仪器仪表   22.0  6.576150e+09  5.392088e+10         0.121959  3.274192e+09
18  金属制品   32.0  2.085736e+10  1.713588e+11         0.121717  6.786388e+09
19  环保工程   38.0  1.802037e+10  1.537313e+11         0.117220  4.785180e+09
20  纺织服装   40.0  1.353747e+10  1.365149e+11         0.099165  7.219908e+09
21  工艺商品    2.0  3.411191e+08  3.545197e+09         0.096220  2.456804e+08
22  化工行业   95.0  5.176045e+10  5.431418e+11         0.095298  3.737679e+10
23  专用设备   49.0  9.661970e+09  1.080933e+11         0.089385  5.933097e+09
24  安防设备   15.0  8.071328e+09  9.169130e+10         0.088027  1.083084e+10
25  木业家具   18.0  5.421531e+09  6.324778e+10         0.085719  4.916758e+09
26  材料行业   40.0  1.251178e+10  1.476718e+11         0.084727  6.352127e+09
27  食品饮料   47.0  1.413954e+10  1.709447e+11         0.082714  1.935951e+10
28  电子元件  129.0  6.526574e+10  7.937096e+11         0.082229  3.742744e+10
29  化纤行业    8.0  2.285575e+09  2.989491e+10         0.076454  1.312792e+09
30  包装材料   17.0  3.504108e+09  4.845075e+10         0.072323  3.098849e+09
31  输配电气   72.0  2.846233e+10  4.103985e+11         0.069353  1.836198e+10
32  公用事业   23.0  1.023297e+10  1.538024e+11         0.066533  8.305771e+09
33  装修装饰   16.0  4.070667e+09  6.207894e+10         0.065572  2.624415e+09
34  汽车行业   71.0  5.738294e+10  9.086594e+11         0.063151  4.260509e+10
35  玻璃陶瓷   15.0  4.615963e+09  7.961761e+10         0.057977  6.355877e+09
36  商业百货   41.0  2.272472e+10  4.002345e+11         0.056779  2.574140e+10
37  造纸印刷   17.0  4.900019e+09  9.503895e+10         0.051558  6.338822e+09
38  农牧饲渔   46.0  1.235736e+10  2.411693e+11         0.051239  1.962621e+10
39  综合行业   13.0  3.126045e+09  6.734589e+10         0.046418  2.886950e+09
40  交运物流   37.0  1.216597e+10  2.737250e+11         0.044446  1.445670e+10
41  交运设备   12.0  9.977482e+09  2.271280e+11         0.043929  1.251830e+10
42  国际贸易   15.0  5.811994e+09  1.337195e+11         0.043464  7.983563e+09
43  民航机场    3.0  1.045905e+10  2.423249e+11         0.043161  1.174093e+10
44   贵金属    7.0  4.542734e+09  1.075856e+11         0.042224  4.145033e+09
45  多元金融   14.0  1.257611e+10  3.439604e+11         0.036563  1.523315e+10
46  有色金属   37.0  1.405050e+10  4.075440e+11         0.034476  1.319495e+10
47  港口水运   16.0  1.513695e+10  4.581632e+11         0.033038  2.228818e+10
48  化肥行业    8.0  1.148380e+09  4.061339e+10         0.028276  1.053674e+09
49    保险    4.0  2.905489e+10  1.028357e+12         0.028254  1.519328e+11
50  水泥建材   25.0  1.079457e+10  3.925170e+11         0.027501  4.602760e+10
51  券商信托   35.0  3.674398e+10  1.454979e+12         0.025254  7.247154e+10
52  石油行业   20.0  5.645186e+10  2.403400e+12         0.023488  8.258209e+10
53  电力行业   35.0  2.074898e+10  9.898093e+11         0.020963  4.431108e+10
54  酿酒行业   13.0  3.422861e+09  1.847725e+11         0.018525  2.684754e+10
55  煤炭采选   16.0  6.822174e+09  3.847587e+11         0.017731  2.493593e+10
56   房地产   67.0  2.813986e+10  1.608848e+12         0.017491  1.024632e+11
57  工程建设   53.0  1.989413e+10  1.779517e+12         0.011180  1.010677e+11
58  高速公路    7.0  1.128700e+09  1.190739e+11         0.009479  9.508561e+09
59  钢铁行业   11.0  1.448608e+09  3.529604e+11         0.004104  2.260305e+10
60    银行    9.0  3.417200e+10  8.907237e+12         0.003836  8.418650e+11
```

### 股票账户统计

#### 股票账户统计月度

接口: stock_account_statistics_em

目标地址: http://data.eastmoney.com/cjsj/gpkhsj.html

描述: 东方财富网-数据中心-特色数据-股票账户统计

限量: 单次获取从 201504 开始至今的所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称         | 类型      | 描述       |
|------------|---------|----------|
| 数据日期       | object  | -        |
| 新增投资者-数量   | float64 | 注意单位: 万户 |
| 新增投资者-环比   | float64 | -        |
| 新增投资者-同比   | float64 | -        |
| 期末投资者-总量   | float64 | 注意单位: 万户 |
| 期末投资者-A股账户 | float64 | 注意单位: 万户 |
| 期末投资者-B股账户 | float64 | 注意单位: 万户 |
| 沪深总市值      | float64 | -        |
| 沪深户均市值     | float64 | 注意单位: 万  |
| 上证指数-收盘    | float64 | -        |
| 上证指数-涨跌幅   | float64 | -        |

接口示例

```python
import akshare as ak

stock_account_statistics_em_df = ak.stock_account_statistics_em()
print(stock_account_statistics_em_df)
```

数据示例

```
       数据日期  新增投资者-数量  新增投资者-环比  ...   沪深户均市值    上证指数-收盘  上证指数-涨跌幅
0   2021-11    133.75    0.3638  ...  45.9273  3563.8872    0.4666
1   2021-10     98.07   -0.3940  ...  44.6824  3547.3361   -0.5838
2   2021-09    161.82   -0.1368  ...  44.8923  3568.1668    0.6836
3   2021-08    187.46    0.1651  ...  45.2922  3543.9402    4.3146
4   2021-07    160.89    0.0345  ...  43.7963  3397.3574   -5.3976
..      ...       ...       ...  ...      ...        ...       ...
75  2015-08    136.85   -0.3320  ...  46.9417  3205.9860  -12.4938
76  2015-07    204.87   -0.5587  ...  54.9082  3663.7260  -14.3433
77  2015-06    464.22    0.1163  ...  65.0300  4277.2220   -7.2537
78  2015-05    415.87   -0.1641  ...  73.6062  4611.7440    3.8294
79  2015-04    497.53       NaN  ...  69.4956  4441.6550   18.5105
```

### 分析师指数

#### 分析师指数排行

接口: stock_analyst_rank_em

目标地址: http://data.eastmoney.com/invest/invest/list.html

描述: 东方财富网-数据中心-研究报告-东方财富分析师指数-东方财富分析师指数

限量: 单次获取指定年份的所有数据

输入参数

| 名称   | 类型  | 描述                      |
|------|-----|-------------------------|
| year | str | year='2022'; 从 2015 年至今 |

输出参数

| 名称               | 类型      | 描述                       |
|------------------|---------|--------------------------|
| 序号               | int64   | -                        |
| 分析师名称            | object  | -                        |
| 分析师单位            | object  | -                        |
| 年度指数             | float64 | -                        |
| xxxx年收益率         | float64 | 其中 xxxx 表示指定的年份; 注意单位: % |
| 3个月收益率           | float64 | 注意单位: %                  |
| 6个月收益率           | float64 | 注意单位: %                  |
| 12个月收益率          | float64 | 注意单位: %                  |
| 成分股个数            | int64   | -                        |
| xxxx最新个股评级--股票名称 | object  | 其中 xxxx 表示指定的年份          |
| xxxx最新个股评级--股票代码 | object  | 其中 xxxx 表示指定的年份          |
| 分析师ID            | object  | -                        |
| 行业代码             | object  | -                        |
| 行业               | object  | -                        |
| 更新日期             | object  | 数据更新日期                   |
| 年度               | object  | 数据更新年度                   |

接口示例

```python
import akshare as ak

stock_analyst_rank_em_df = ak.stock_analyst_rank_em(year='2022')
print(stock_analyst_rank_em_df)
```

数据示例

```
     序号 分析师名称 分析师单位     年度指数  ...    行业代码    行业        更新日期    年度
0     1   丁逸朦  国盛证券  1812.26  ...    None  None  2022-08-19  2022
1     2   孟鹏飞  开源证券  2863.20  ...  640000  机械设备  2022-08-19  2022
2     3    杨浩  西南证券  1997.74  ...  270000    电子  2022-08-19  2022
3     4   左前明  信达证券  3539.20  ...  740000    煤炭  2022-08-19  2022
4     5   王西典  招商证券  1578.45  ...    None  None  2022-08-19  2022
..  ...   ...   ...      ...  ...     ...   ...         ...   ...
95   96   童成墩  中信证券  1279.85  ...  490000  非银金融  2022-08-19  2022
96   97   徐柏乔  海通证券  3594.25  ...  630000  电力设备  2022-08-19  2022
97   98   郑宏达  海通国际  1187.64  ...    None  None  2022-08-19  2022
98   99   洪奕昕  华西证券  1133.42  ...  420000  交通运输  2022-08-19  2022
99  100   李子俊  中信证券  1055.95  ...  630000  电力设备  2022-08-19  2022
```

#### 分析师详情

接口: stock_analyst_detail_em

目标地址: https://data.eastmoney.com/invest/invest/11000257131.html

描述: 东方财富网-数据中心-研究报告-东方财富分析师指数-分析师详情

限量: 单次获取指定 indicator 指定的数据

输入参数

| 名称         | 类型  | 描述                                                               |
|------------|-----|------------------------------------------------------------------|
| analyst_id | str | analyst_id="11000257131"; 分析师ID, 从 ak.stock_analyst_rank_em() 获取 |
| indicator  | str | indicator="最新跟踪成分股"; 从 {"最新跟踪成分股", "历史跟踪成分股", "历史指数"} 中选择一个      |

输出参数-最新跟踪成分股

| 名称        | 类型      | 描述      |
|-----------|---------|---------|
| 序号        | int64   | -       |
| 股票代码      | object  | -       |
| 股票名称      | object  | -       |
| 调入日期      | object  | -       |
| 最新评级日期    | object  | -       |
| 当前评级名称    | object  | -       |
| 成交价格(前复权) | float64 | -       |
| 最新价格      | float64 | -       |
| 阶段涨跌幅     | float64 | 注意单位: % |

接口示例-最新跟踪成分股

```python
import akshare as ak

stock_analyst_detail_em_df = ak.stock_analyst_detail_em(analyst_id="11000200926", indicator="最新跟踪成分股")
print(stock_analyst_detail_em_df)
```

数据示例-最新跟踪成分股

```
   序号    股票代码  股票名称        调入日期      最新评级日期 当前评级名称 成交价格(前复权)    最新价格   阶段涨跌幅
0   1  300035  中科电气  2020-09-28  2020-10-30     买入      8.70   12.53   44.02
1   2  002812  恩捷股份  2020-06-01  2020-10-28     买入     60.10  107.10   78.20
2   3  601012  隆基股份  2020-05-26  2020-11-02     买入     31.19   66.56  113.40
3   4  300750  宁德时代  2020-05-18  2020-10-28     买入    141.60  253.21   78.82
4   5  300274  阳光电源  2020-03-23  2020-10-30     买入      9.64   46.36  380.91
5   6  002080  中材科技  2020-02-10  2020-11-03     买入     12.95   18.76   44.86
```

输出参数-历史跟踪成分股

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 序号      | int64   | -       |
| 股票代码    | object  | -       |
| 股票名称    | object  | -       |
| 调入日期    | object  | -       |
| 调出日期    | object  | -       |
| 调入时评级名称 | object  | -       |
| 调出原因    | object  | -       |
| 累计涨跌幅   | float64 | 注意单位: % |

接口示例-历史跟踪成分股

```python
import akshare as ak

stock_em_analyst_detail_df = ak.stock_analyst_detail_em(analyst_id="11000200926", indicator="历史跟踪成分股")
print(stock_em_analyst_detail_df)
```

数据示例-历史跟踪成分股

```
   序号    股票代码  股票名称        调入日期        调出日期 调入时评级名称  调出原因   累计涨跌幅
0   1  603659   璞泰来  2019-10-30  2020-04-30      买入  到期平仓   45.33
1   2  002129  中环股份  2019-08-09  2020-04-29      买入  到期平仓   48.61
2   3  603659   璞泰来  2019-03-19  2019-09-25      买入  到期平仓   -6.26
3   4  002202  金风科技  2019-02-25  2020-04-29      买入  到期平仓  -27.07
4   5  601012  隆基股份  2018-12-27  2020-05-06      买入  到期平仓  114.24
5   6  600438  通威股份  2018-11-19  2020-04-27      买入  到期平仓   68.18
```

输出参数-历史指数

| 名称    | 类型      | 描述                   |
|-------|---------|----------------------|
| date  | object  | 日期                   |
| value | float64 | 指数数值; 注意: 此指数为东方财富制定 |

接口示例-历史指数

```python
import akshare as ak

stock_em_analyst_detail_df = ak.stock_analyst_detail_em(analyst_id="11000200926", indicator="历史指数")
print(stock_em_analyst_detail_df)
```

数据示例-历史指数

```
           date    value
0    2018-11-19     1000
1    2018-11-20   970.74
2    2018-11-21  1011.45
3    2018-11-22  1003.82
4    2018-11-23   989.82
..          ...      ...
478  2020-11-09  4921.39
479  2020-11-10  5028.72
480  2020-11-11  4842.29
481  2020-11-12  4887.65
482  2020-11-13  4783.01
```

### 千股千评

接口: stock_comment_em

目标地址: http://data.eastmoney.com/stockcomment/

描述: 东方财富网-数据中心-特色数据-千股千评

限量: 单次获取所有数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型      | 描述      |
|-------|---------|---------|
| 序号    | int64   | -       |
| 代码    | object  | -       |
| 名称    | object  | -       |
| 最新价   | float64 | -       |
| 涨跌幅   | float64 | -       |
| 换手率   | float64 | 注意单位: % |
| 市盈率   | float64 | -       |
| 主力成本  | float64 | -       |
| 机构参与度 | float64 | -       |
| 综合得分  | float64 | -       |
| 上升    | int64   | 注意: 正负号 |
| 目前排名  | int64   | -       |
| 关注指数  | float64 | -       |
| 交易日   | float64 | -       |

接口示例

```python
import akshare as ak

stock_comment_em_df = ak.stock_comment_em()
print(stock_comment_em_df)
```

数据示例

```
     序号    代码       名称    最新价  ...    上升  目前排名  关注指数   交易日
0        1  000001     平安银行  16.42  ...  -279    72  89.6  2022-04-15
1        2  000002    万  科Ａ  21.30  ...    55   162  92.4  2022-04-15
2        3  000004     国华网安  16.92  ...   198  4160  67.6  2022-04-15
3        4  000005     ST星源   2.24  ...  -493  3415  69.6  2022-04-15
4        5  000006     深振业Ａ   4.99  ...   368  1112  76.8  2022-04-15
    ...     ...      ...    ...  ...   ...   ...   ...         ...
4605  4606  688799     华纳药厂  33.96  ...   419  1906  61.2  2022-04-15
4606  4607  688800      瑞可达  90.00  ... -1945   869  61.2  2022-04-15
4607  4608  688819     天能股份  28.37  ...   231  2340  67.2  2022-04-15
4608  4609  688981     中芯国际  43.25  ...    26  1048  82.4  2022-04-15
4609  4610  689009  九号公司-WD  40.20  ...  -353  1223  50.0  2022-04-15
```

### 千股千评详情

#### 主力控盘

##### 机构参与度

接口: stock_comment_detail_zlkp_jgcyd_em

目标地址: https://data.eastmoney.com/stockcomment/stock/600000.html

描述: 东方财富网-数据中心-特色数据-千股千评-主力控盘-机构参与度

限量: 单次获取所有数据

输入参数

| 名称     | 类型  | 描述              |
|--------|-----|-----------------|
| symbol | str | symbol="600000" |

输出参数

| 名称    | 类型      | 描述       |
|-------|---------|----------|
| date  | object  | -        |
| value | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

stock_comment_detail_zlkp_jgcyd_em_df = ak.stock_comment_detail_zlkp_jgcyd_em(symbol="600000")
print(stock_comment_detail_zlkp_jgcyd_em_df)
```

数据示例

```
          date  value
0   2022-03-17  29.42
1   2022-03-18  27.33
2   2022-03-21  29.99
3   2022-03-22  33.76
4   2022-03-23  27.37
5   2022-03-24  33.84
6   2022-03-25  35.31
7   2022-03-28  28.44
8   2022-03-29  23.08
9   2022-03-30  29.67
10  2022-03-31  35.85
11  2022-04-01  35.67
12  2022-04-06  38.57
13  2022-04-07  31.44
14  2022-04-08  33.44
15  2022-04-11  28.49
16  2022-04-12  25.38
17  2022-04-13  22.88
18  2022-04-14  24.91
19  2022-04-15  24.74
20  2022-04-18  27.31
21  2022-04-19  32.36
```

#### 综合评价

##### 历史评分

接口: stock_comment_detail_zhpj_lspf_em

目标地址: https://data.eastmoney.com/stockcomment/stock/600000.html

描述: 东方财富网-数据中心-特色数据-千股千评-综合评价-历史评分

限量: 单次获取所有数据

输入参数

| 名称     | 类型  | 描述              |
|--------|-----|-----------------|
| symbol | str | symbol="600000" |

输出参数

| 名称  | 类型      | 描述  |
|-----|---------|-----|
| 日期  | object  | -   |
| 评分  | float64 | -   |
| 股价  | float64 | -   |

接口示例

```python
import akshare as ak

stock_comment_detail_zhpj_lspf_em_df = ak.stock_comment_detail_zhpj_lspf_em(symbol="600000")
print(stock_comment_detail_zhpj_lspf_em_df)
```

数据示例

```
        日期     评分    股价
0   2022-03-08  69.20  8.08
1   2022-03-09  68.35  7.90
2   2022-03-10  69.87  7.92
3   2022-03-11  69.75  8.01
4   2022-03-14  69.59  7.91
5   2022-03-15  68.78  7.63
6   2022-03-16  73.49  7.77
7   2022-03-17  73.65  7.74
8   2022-03-18  73.01  7.90
9   2022-03-21  66.97  7.76
10  2022-03-22  71.70  7.83
11  2022-03-23  68.51  7.80
12  2022-03-24  68.25  7.80
13  2022-03-25  65.55  7.80
14  2022-03-28  68.71  7.86
15  2022-03-29  68.52  7.82
16  2022-03-30  72.90  7.92
17  2022-03-31  70.94  8.00
18  2022-04-01  72.89  8.07
19  2022-04-06  70.41  8.17
20  2022-04-07  70.94  8.07
21  2022-04-08  71.49  8.11
22  2022-04-11  73.21  8.01
23  2022-04-12  71.73  8.11
24  2022-04-13  71.79  8.10
25  2022-04-14  69.94  8.11
26  2022-04-15  67.36  8.15
27  2022-04-18  67.55  8.03
28  2022-04-19  68.93  8.14
29  2022-04-20  67.67  8.11
```

#### 市场热度

##### 用户关注指数

接口: stock_comment_detail_scrd_focus_em

目标地址: https://data.eastmoney.com/stockcomment/stock/600000.html

描述: 东方财富网-数据中心-特色数据-千股千评-市场热度-用户关注指数

限量: 单次获取所有数据

输入参数

| 名称     | 类型  | 描述              |
|--------|-----|-----------------|
| symbol | str | symbol="600000" |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 日期     | object  | -   |
| 用户关注指数 | float64 | -   |
| 收盘价    | float64 | -   |

接口示例

```python
import akshare as ak

stock_comment_detail_scrd_focus_em_df = ak.stock_comment_detail_scrd_focus_em(symbol="600000")
print(stock_comment_detail_scrd_focus_em_df)
```

数据示例

```
       日期  用户关注指数  收盘价
0   2022-03-08    88.4  8.08
1   2022-03-09    88.8  7.90
2   2022-03-10    89.2  7.92
3   2022-03-11    88.4  8.01
4   2022-03-14    88.4  7.91
5   2022-03-15    89.2  7.63
6   2022-03-16    90.8  7.77
7   2022-03-17    90.0  7.74
8   2022-03-18    89.2  7.90
9   2022-03-21    88.4  7.76
10  2022-03-22    88.4  7.83
11  2022-03-23    88.8  7.80
12  2022-03-24    88.4  7.80
13  2022-03-25    88.8  7.80
14  2022-03-28    88.0  7.86
15  2022-03-29    88.8  7.82
16  2022-03-30    89.2  7.92
17  2022-03-31    88.8  8.00
18  2022-04-01    88.4  8.07
19  2022-04-06    88.0  8.17
20  2022-04-07    88.0  8.07
21  2022-04-08    88.8  8.11
22  2022-04-11    88.0  8.01
23  2022-04-12    89.6  8.11
24  2022-04-13    88.8  8.10
25  2022-04-14    89.2  8.11
26  2022-04-15    88.4  8.15
27  2022-04-18    88.4  8.03
28  2022-04-19    87.6  8.14
29  2022-04-20    88.0  8.11
```

##### 市场参与意愿

接口: stock_comment_detail_scrd_desire_em

目标地址: https://data.eastmoney.com/stockcomment/stock/600000.html

描述: 东方财富网-数据中心-特色数据-千股千评-市场热度-市场参与意愿

限量: 单次获取所有数据

输入参数

| 名称     | 类型  | 描述              |
|--------|-----|-----------------|
| symbol | str | symbol="600000" |

输出参数

| 名称   | 类型         | 描述  |
|------|------------|-----|
| 日期时间 | datetime64 | -   |
| 大户   | float64    | -   |
| 全部   | float64    | -   |
| 散户   | float64    | -   |

接口示例

```python
import akshare as ak

stock_comment_detail_scrd_desire_em_df = ak.stock_comment_detail_scrd_desire_em(symbol="600000")
print(stock_comment_detail_scrd_desire_em_df)
```

数据示例

```
                  日期时间    大户    全部    散户
0  2022-04-22 09:30:00  0.24  0.00 -0.25
1  2022-04-22 09:40:00  0.20 -0.04 -0.29
2  2022-04-22 09:50:00  0.16 -0.08 -0.33
3  2022-04-22 10:00:00  0.08 -0.10 -0.29
4  2022-04-22 10:10:00  0.00 -0.16 -0.33
5  2022-04-22 10:20:00  0.00 -0.16 -0.33
6  2022-04-22 10:30:00  0.00 -0.16 -0.33
7  2022-04-22 10:40:00  0.00 -0.14 -0.29
8  2022-04-22 10:50:00  0.04 -0.08 -0.20
9  2022-04-22 11:00:00  0.08 -0.06 -0.20
10 2022-04-22 11:10:00  0.12 -0.08 -0.29
11 2022-04-22 11:20:00  0.08 -0.14 -0.37
12 2022-04-22 11:30:00  0.12 -0.12 -0.37
13 2022-04-22 13:00:00  0.04 -0.12 -0.29
14 2022-04-22 13:10:00  0.00 -0.16 -0.33
15 2022-04-22 13:20:00  0.04 -0.14 -0.33
16 2022-04-22 13:30:00  0.00 -0.16 -0.33
17 2022-04-22 13:40:00  0.00 -0.18 -0.37
18 2022-04-22 13:50:00 -0.04 -0.20 -0.37
19 2022-04-22 14:00:00 -0.04 -0.20 -0.37
20 2022-04-22 14:10:00  0.00 -0.18 -0.37
21 2022-04-22 14:20:00  0.08 -0.16 -0.41
22 2022-04-22 14:30:00  0.04 -0.20 -0.45
23 2022-04-22 14:40:00 -0.04 -0.26 -0.49
24 2022-04-22 14:50:00 -0.12 -0.30 -0.49
25 2022-04-22 15:00:00 -0.12 -0.26 -0.41
```

##### 日度市场参与意愿

接口: stock_comment_detail_scrd_desire_daily_em

目标地址: https://data.eastmoney.com/stockcomment/stock/600000.html

描述: 东方财富网-数据中心-特色数据-千股千评-市场热度-日度市场参与意愿

限量: 单次获取所有数据

输入参数

| 名称     | 类型  | 描述              |
|--------|-----|-----------------|
| symbol | str | symbol="600000" |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 日期     | object  | -   |
| 当日意愿下降 | float64 | -   |
| 五日累计意愿 | float64 | -   |

接口示例

```python
import akshare as ak

stock_comment_detail_scrd_desire_daily_em_df = ak.stock_comment_detail_scrd_desire_daily_em(symbol="600000")
print(stock_comment_detail_scrd_desire_daily_em_df)
```

数据示例

```
       日期 当日意愿下降 五日累计意愿
0  2022-04-18    0.28    0.28
1  2022-04-19   -0.71   -0.44
2  2022-04-20   -0.26   -0.70
3  2022-04-21   -0.24   -0.93
4  2022-04-22   -0.26   -1.19
```

##### 市场成本

接口: stock_comment_detail_scrd_cost_em

目标地址: https://data.eastmoney.com/stockcomment/stock/600000.html

描述: 东方财富网-数据中心-特色数据-千股千评-市场热度-市场成本

限量: 单次获取所有数据

输入参数

| 名称     | 类型  | 描述              |
|--------|-----|-----------------|
| symbol | str | symbol="600000" |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 日期     | object  | -   |
| 市场成本   | float64 | -   |
| 5日市场成本 | float64 | -   |

接口示例

```python
import akshare as ak

stock_comment_detail_scrd_cost_em_df = ak.stock_comment_detail_scrd_cost_em(symbol="600000")
print(stock_comment_detail_scrd_cost_em_df)
```

数据示例

```
        日期  市场成本  5日市场成本
0  2022-04-18  8.05    8.09
1  2022-04-19  8.07    8.09
2  2022-04-20  8.11    8.09
3  2022-04-21  8.06    8.08
4  2022-04-22  8.08    8.07
```

### 沪深港通资金流向

接口: stock_hsgt_fund_flow_summary_em

目标地址: https://data.eastmoney.com/hsgt/index.html#lssj

描述: 东方财富网-数据中心-资金流向-沪深港通资金流向

限量: 单次获取沪深港通资金流向数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述       |
|--------|---------|----------|
| 交易日    | object  | -        |
| 类型     | object  | -        |
| 板块     | object  | -        |
| 资金方向   | object  | -        |
| 交易状态   | int64   | 3 为收盘    |
| 成交净买额  | float64 | 注意单位: 亿元 |
| 资金净流入  | float64 | 注意单位: 亿元 |
| 当日资金余额 | float64 | 注意单位: 亿元 |
| 上涨数    | int64   | -        |
| 持平数    | int64   | -        |
| 下跌数    | int64   | -        |
| 相关指数   | object  | -        |
| 指数涨跌幅  | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

stock_hsgt_fund_flow_summary_em_df = ak.stock_hsgt_fund_flow_summary_em()
print(stock_hsgt_fund_flow_summary_em_df)
```

数据示例

```
          交易日   类型      板块 资金方向  交易状态  ...  上涨数  持平数  下跌数  相关指数  指数涨跌幅
0  2022-11-25  沪港通     沪股通   北向     3  ...  302    8  284  上证指数   0.40
1  2022-11-25  沪港通  港股通(沪)   南向     3  ...  179   16  186  恒生指数  -0.49
2  2022-11-25  深港通     深股通   北向     3  ...  283   29  621  深证成指  -0.48
3  2022-11-25  深港通  港股通(深)   南向     3  ...  247   33  268  恒生指数  -0.49
```

### 沪深港通持股

#### 结算汇率-深港通

接口: stock_sgt_settlement_exchange_rate_szse

目标地址: https://www.szse.cn/szhk/hkbussiness/exchangerate/index.html

描述: 深港通-港股通业务信息-结算汇率

限量: 单次获取所有深港通结算汇率数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称       | 类型      | 描述  |
|----------|---------|-----|
| 适用日期     | object  | -   |
| 买入结算汇兑比率 | float64 | -   |
| 卖出结算汇兑比率 | float64 | -   |
| 货币种类     | object  | -   |

接口示例

```python
import akshare as ak

stock_sgt_settlement_exchange_rate_szse_df = ak.stock_sgt_settlement_exchange_rate_szse()
print(stock_sgt_settlement_exchange_rate_szse_df)
```

数据示例

```
     适用日期  买入结算汇兑比率  卖出结算汇兑比率 货币种类
0     2016-12-05   0.88621   0.88679  HKD
1     2016-12-06   0.88698   0.88682  HKD
2     2016-12-07   0.88525   0.88935  HKD
3     2016-12-08   0.89041   0.88899  HKD
4     2016-12-09   0.88567   0.89133  HKD
          ...       ...       ...  ...
1371  2022-09-23   0.90209   0.90311  HKD
1372  2022-09-26   0.90826   0.90814  HKD
1373  2022-09-27   0.91179   0.91181  HKD
1374  2022-09-28   0.91024   0.91636  HKD
1375  2022-09-29   0.93270   0.91810  HKD
```

#### 结算汇率-沪港通

接口: stock_sgt_settlement_exchange_rate_sse

目标地址: http://www.sse.com.cn/services/hkexsc/disclo/ratios

描述: 沪港通-港股通信息披露-结算汇兑

限量: 单次获取所有沪港通结算汇率数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称       | 类型      | 描述  |
|----------|---------|-----|
| 适用日期     | object  | -   |
| 买入结算汇兑比率 | float64 | -   |
| 卖出结算汇兑比率 | float64 | -   |
| 货币种类     | object  | -   |

接口示例

```python
import akshare as ak

stock_sgt_settlement_exchange_rate_sse_df = ak.stock_sgt_settlement_exchange_rate_sse()
print(stock_sgt_settlement_exchange_rate_sse_df)
```

数据示例

```
      适用日期  买入结算汇兑比率  卖出结算汇兑比率 货币种类
0     2014-11-17   0.79143   0.79017  HKD
1     2014-11-18   0.79068   0.78932  HKD
2     2014-11-19   0.78873   0.78927  HKD
3     2014-11-20   0.78980   0.78980  HKD
4     2014-11-21   0.79021   0.78999  HKD
          ...       ...       ...  ...
1860  2022-09-23   0.90170   0.90350  HKD
1861  2022-09-26   0.90812   0.90828  HKD
1862  2022-09-27   0.91177   0.91183  HKD
1863  2022-09-28   0.91038   0.91622  HKD
1864  2022-09-29   0.93260   0.91820  HKD
```

#### 参考汇率-深港通

接口: stock_sgt_reference_exchange_rate_szse

目标地址: https://www.szse.cn/szhk/hkbussiness/exchangerate/index.html

描述: 深港通-港股通业务信息-参考汇率

限量: 单次获取所有深港通参考汇率数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述  |
|---------|---------|-----|
| 适用日期    | object  | -   |
| 参考汇率买入价 | float64 | -   |
| 参考汇率卖出价 | float64 | -   |
| 货币种类    | object  | -   |

接口示例

```python
import akshare as ak

stock_sgt_reference_exchange_rate_szse_df = ak.stock_sgt_reference_exchange_rate_szse()
print(stock_sgt_reference_exchange_rate_szse_df)
```

数据示例

```
     适用日期  参考汇率买入价  参考汇率卖出价 货币种类
0     2016-12-05   0.8599   0.9131  HKD
1     2016-12-06   0.8603   0.9135  HKD
2     2016-12-07   0.8607   0.9139  HKD
3     2016-12-08   0.8630   0.9164  HKD
4     2016-12-09   0.8618   0.9152  HKD
          ...      ...      ...  ...
1375  2022-09-26   0.8810   0.9354  HKD
1376  2022-09-27   0.8844   0.9392  HKD
1377  2022-09-28   0.8859   0.9407  HKD
1378  2022-09-29   0.8976   0.9532  HKD
1379  2022-09-30   0.8875   0.9423  HKD
```

#### 参考汇率-沪港通

接口: stock_sgt_reference_exchange_rate_sse

目标地址: http://www.sse.com.cn/services/hkexsc/disclo/ratios/

描述: 沪港通-港股通信息披露-参考汇率

限量: 单次获取所有沪港通参考汇率数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述  |
|---------|---------|-----|
| 适用日期    | object  | -   |
| 参考汇率买入价 | float64 | -   |
| 参考汇率卖出价 | float64 | -   |
| 货币种类    | object  | -   |

接口示例

```python
import akshare as ak

stock_sgt_reference_exchange_rate_sse_df = ak.stock_sgt_reference_exchange_rate_sse()
print(stock_sgt_reference_exchange_rate_sse_df)
```

数据示例

```
      适用日期  参考汇率买入价  参考汇率卖出价 货币种类
0     2014-11-17   0.7671   0.8145  HKD
1     2014-11-18   0.7663   0.8137  HKD
2     2014-11-19   0.7653   0.8127  HKD
3     2014-11-20   0.7661   0.8135  HKD
4     2014-11-21   0.7664   0.8138  HKD
          ...      ...      ...  ...
1915  2022-09-26   0.8810   0.9354  HKD
1916  2022-09-27   0.8844   0.9392  HKD
1917  2022-09-28   0.8859   0.9407  HKD
1918  2022-09-29   0.8976   0.9532  HKD
1919  2022-09-30   0.8875   0.9423  HKD
```

#### 港股通成份股

接口: stock_hk_ggt_components_em

目标地址: https://quote.eastmoney.com/center/gridlist.html#hk_components

描述: 东方财富网-行情中心-港股市场-港股通成份股

限量: 单次获取所有港股通成份股数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述        |
|-----|---------|-----------|
| 序号  | int64   | -         |
| 代码  | object  | -         |
| 名称  | object  | -         |
| 最新价 | float64 | 注意单位: HKD |
| 涨跌额 | float64 | -         |
| 涨跌幅 | float64 | -         |
| 今开  | float64 | -         |
| 最高  | float64 | -         |
| 最低  | float64 | -         |
| 昨收  | float64 | -         |
| 成交量 | float64 | 注意单位: 股   |
| 成交额 | float64 | 注意单位: 港元  |

接口示例

```python
import akshare as ak

stock_hk_ggt_components_em_df = ak.stock_hk_ggt_components_em()
print(stock_hk_ggt_components_em_df)
```

数据示例

```
      序号  代码     名称     最新价  ...      最低      昨收   成交量          成交额
0      1  01533     庄园牧场    9.88  ...    9.19    8.70    1304000   13000260.0
1      2  03996   中国能源建设    1.49  ...    1.34    1.40  132802000  191323000.0
2      3  02096     先声药业    9.26  ...    8.79    8.79    3704000   34850480.0
3      4  06185  康希诺生物-B  187.50  ...  182.00  178.00    1809797  342741632.0
4      5  06600     赛生药业    8.57  ...    8.18    8.16     114000     960700.0
..   ...    ...      ...     ...  ...     ...     ...        ...          ...
523  524  02500   启明医疗-B   26.05  ...   26.05   28.95    3871500  107972625.0
524  525  02208     金风科技   15.14  ...   15.12   16.86    7215267  113175318.0
525  526  01772     赣锋锂业  115.00  ...  114.00  130.30    4890655  584491888.0
526  527  01638    佳兆业集团    0.79  ...    0.79    0.92   41178286   34351610.0
527  528  06068     光正教育    1.00  ...    0.71    1.47   50828717   46421095.0
```

#### 北向净流入

接口: stock_hsgt_north_net_flow_in_em

目标地址: http://data.eastmoney.com/hsgtcg/

描述: 东方财富网-数据中心-沪深港通持股-北向概况-北向净流入; 注: 资金净流入=当日资金限额-当日资金余额;
资金净流入包含当日成交净买额和当日买入申报未成交金额; 北向资金是沪股通与深股通的资金加总

限量: 单次返回指定 symbol 的所有数据

输入参数

| 名称     | 类型  | 描述                                           |
|--------|-----|----------------------------------------------|
| symbol | str | symbol="沪股通"; choice of {"沪股通", "深股通", "北上"} |

输出参数

| 名称    | 类型      | 描述       |
|-------|---------|----------|
| date  | object  | 日期时间     |
| value | float64 | 注意单位: 万元 |

接口示例

```python
import akshare as ak

stock_hsgt_north_net_flow_in_em_df = ak.stock_hsgt_north_net_flow_in_em(symbol="沪股通")
print(stock_hsgt_north_net_flow_in_em_df)
```

数据示例

```
           date       value
0    2018-01-24   -54984.00
1    2018-01-25   149003.00
2    2018-01-26   203800.00
3    2018-01-29   -43001.00
4    2018-01-30   -16952.00
..          ...         ...
495  2020-03-18  -369176.13
496  2020-03-19  -524843.72
497  2020-03-20   467331.07
498  2020-03-23  -587815.69
499  2020-03-24   360505.22
```

#### 北向资金余额

接口: stock_hsgt_north_cash_em

目标地址: http://data.eastmoney.com/hsgtcg/

描述: 东方财富网-数据中心-沪深港通持股-北向概况-北向资金余额; 注: 资金净流入=当日资金限额-当日资金余额;
资金净流入包含当日成交净买额和当日买入申报未成交金额; 北向资金是沪股通与深股通的资金加总

限量: 单次返回指定 symbol 的所有数据

输入参数

| 名称     | 类型  | 描述                                           |
|--------|-----|----------------------------------------------|
| symbol | str | symbol="沪股通"; choice of {"沪股通", "深股通", "北上"} |

输出参数

| 名称    | 类型      | 描述       |
|-------|---------|----------|
| date  | object  | 日期时间     |
| value | float64 | 注意单位: 万元 |

接口示例

```python
import akshare as ak

stock_em_hsgt_north_cash_df = ak.stock_hsgt_north_cash_em(symbol="沪股通")
print(stock_em_hsgt_north_cash_df)
```

数据示例

```
           date       value
0    2018-01-24  1354984.00
1    2018-01-25  1150997.00
2    2018-01-26  1096200.00
3    2018-01-29  1343001.00
4    2018-01-30  1316952.00
..          ...         ...
495  2020-03-18  5569176.13
496  2020-03-19  5724843.72
497  2020-03-20  4732668.93
498  2020-03-23  5787815.69
499  2020-03-24  4839494.78
```

#### 北向累计净流入

接口: stock_hsgt_north_acc_flow_in_em

目标地址: http://data.eastmoney.com/hsgtcg/

描述: 东方财富网-数据中心-沪深港通持股-北向概况-北向累计净流入, 注: 资金净流入=当日资金限额-当日资金余额;
资金净流入包含当日成交净买额和当日买入申报未成交金额; 北向资金是沪股通与深股通的资金加总

限量: 单次返回指定 symbol 的所有数据

输入参数

| 名称     | 类型  | 描述                                           |
|--------|-----|----------------------------------------------|
| symbol | str | symbol="沪股通"; choice of {"沪股通", "深股通", "北上"} |

输出参数

| 名称    | 类型    | 描述         |
|-------|-------|------------|
| date  | str   | 日期时间       |
| value | float | 数值(单位: 万元) |

接口示例

```python
import akshare as ak

stock_hsgt_north_acc_flow_in_em_df = ak.stock_hsgt_north_acc_flow_in_em(symbol="沪股通")
print(stock_hsgt_north_acc_flow_in_em_df)
```

数据示例

```
           date        value
0    2018-01-24  35577144.00
1    2018-01-25  35726147.00
2    2018-01-26  35929947.00
3    2018-01-29  35886946.00
4    2018-01-30  35869994.00
..          ...          ...
495  2020-03-18  81587241.34
496  2020-03-19  81062397.61
497  2020-03-20  81529728.68
498  2020-03-23  80941912.99
499  2020-03-24  81302418.21
```

#### 南向净流入

接口: stock_hsgt_south_net_flow_in_em

目标地址: http://data.eastmoney.com/hsgtcg/

描述: 东方财富网-数据中心-沪深港通持股-南向概括-南向净流入; 注: 资金净流入=当日资金限额-当日资金余额;
资金净流入包含当日成交净买额和当日买入申报未成交金额; 南向资金是沪股通与深股通的资金加总

限量: 单次返回指定 symbol 的所有数据

输入参数

| 名称     | 类型  | 描述                                           |
|--------|-----|----------------------------------------------|
| symbol | str | symbol="沪股通"; choice of {"沪股通", "深股通", "南下"} |

输出参数

| 名称    | 类型      | 描述       |
|-------|---------|----------|
| date  | object  | 日期       |
| value | float64 | 注意单位: 万元 |

接口示例

```python
import akshare as ak

stock_hsgt_south_net_flow_in_em_df = ak.stock_hsgt_south_net_flow_in_em(symbol="沪股通")
print(stock_hsgt_south_net_flow_in_em_df)
```

数据示例

```
           date       value
0    2018-01-08   261100.00
1    2018-01-09   247400.00
2    2018-01-10   348700.00
3    2018-01-11   117800.00
4    2018-01-12   189500.00
..          ...         ...
495  2020-03-18   438078.11
496  2020-03-19  1111726.56
497  2020-03-20   454211.91
498  2020-03-23   803559.16
499  2020-03-24   328810.83
```

#### 南向资金余额

接口: stock_hsgt_south_cash_em

目标地址: http://data.eastmoney.com/hsgtcg/

描述: 东方财富网-数据中心-沪深港通持股-南向概括-南向资金余额, 注: 资金净流入=当日资金限额-当日资金余额;
资金净流入包含当日成交净买额和当日买入申报未成交金额; 南向资金是沪股通与深股通的资金加总

限量: 单次返回指定 symbol 的所有数据

输入参数

| 名称     | 类型  | 描述                                           |
|--------|-----|----------------------------------------------|
| symbol | str | symbol="沪股通"; choice of {"沪股通", "深股通", "南下"} |

输出参数

| 名称    | 类型      | 描述       |
|-------|---------|----------|
| date  | object  | 日期       |
| value | float64 | 注意单位: 万元 |

接口示例

```python
import akshare as ak

stock_hsgt_south_cash_em_df = ak.stock_hsgt_south_cash_em(symbol="沪股通")
print(stock_hsgt_south_cash_em_df)
```

数据示例

```
           date       value
0    2018-01-08   788900.00
1    2018-01-09   802600.00
2    2018-01-10   701300.00
3    2018-01-11   932200.00
4    2018-01-12   860500.00
..          ...         ...
495  2020-03-18  3761921.89
496  2020-03-19  3088273.44
497  2020-03-20  3745788.09
498  2020-03-23  3396440.84
499  2020-03-24  3871189.17
```

#### 南向累计净流入

接口: stock_hsgt_south_acc_flow_in_em

目标地址: http://data.eastmoney.com/hsgtcg/

描述: 东方财富网-数据中心-沪深港通持股-南向概括-累计净流入, 注: 资金净流入=当日资金限额-当日资金余额;
资金净流入包含当日成交净买额和当日买入申报未成交金额; 南向资金是沪股通与深股通的资金加总

限量: 单次返回指定 symbol 的所有数据

输入参数

| 名称     | 类型  | 描述                                           |
|--------|-----|----------------------------------------------|
| symbol | str | symbol="沪股通"; choice of {"沪股通", "深股通", "南下"} |

输出参数

| 名称    | 类型      | 描述       |
|-------|---------|----------|
| date  | object  | 日期时间     |
| value | float64 | 注意单位: 万元 |

接口示例

```python
import akshare as ak

stock_hsgt_south_acc_flow_in_em_df = ak.stock_hsgt_south_acc_flow_in_em(symbol="沪股通")
print(stock_hsgt_south_acc_flow_in_em_df)
```

数据示例

```
           date         value
0    2018-01-08   74003000.00
1    2018-01-09   74250400.00
2    2018-01-10   74599100.00
3    2018-01-11   74716900.00
4    2018-01-12   74906400.00
..          ...           ...
495  2020-03-18  120618810.70
496  2020-03-19  121730537.26
497  2020-03-20  122184749.17
498  2020-03-23  122988308.33
499  2020-03-24  123317119.16
```

#### 板块排行

接口: stock_hsgt_board_rank_em

目标地址: http://data.eastmoney.com/hsgtcg/hy.html

描述: 东方财富网-数据中心-沪深港通持股-板块排行

限量: 单次获取指定 symbol 和 indicator 的所有数据

输入参数

| 名称        | 类型  | 描述                                                                                |
|-----------|-----|-----------------------------------------------------------------------------------|
| symbol    | str | symbol="北向资金增持行业板块排行"; choice of {"北向资金增持行业板块排行", "北向资金增持概念板块排行", "北向资金增持地域板块排行"} |
| indicator | str | indicator="今日"; choice of {"今日", "3日", "5日", "10日", "1月", "1季", "1年"}             |

输出参数

| 名称                | 类型      | 描述      |
|-------------------|---------|---------|
| 序号                | int64   | -       |
| 名称                | object  | -       |
| 最新涨跌幅             | float64 | 注意单位: % |
| 北向资金今日持股-股票只数     | float64 | -       |
| 北向资金今日持股-市值       | float64 | 注意单位: 元 |
| 北向资金今日持股-占板块比     | float64 | -       |
| 北向资金今日持股-占北向资金比   | float64 | -       |
| 北向资金今日增持估计-股票只数   | float64 | -       |
| 北向资金今日增持估计-市值     | float64 | 注意单位: 元 |
| 北向资金今日增持估计-市值增幅   | float64 | -       |
| 北向资金今日增持估计-占板块比   | float64 | -       |
| 北向资金今日增持估计-占北向资金比 | float64 | -       |
| 今日增持最大股-市值        | float64 | -       |
| 今日增持最大股-占股本比      | float64 | -       |
| 今日减持最大股-占股本比      | float64 | -       |
| 今日减持最大股-市值        | float64 | -       |
| 报告时间              | object  | -       |

接口示例

```python
import akshare as ak

stock_hsgt_board_rank_em_df = ak.stock_hsgt_board_rank_em(symbol="北向资金增持行业板块排行", indicator="今日")
print(stock_hsgt_board_rank_em_df)
```

数据示例

```
    序号   名称  最新涨跌幅  ...  今日减持最大股-市值  今日减持最大股-占总市值比        报告时间
0    1   通信设备  -0.87  ...        中天科技           中天科技  2022-01-17
1    2  互联网服务  -0.54  ...        润和软件           润和软件  2022-01-17
2    3   软件开发   0.22  ...         同花顺           数字认证  2022-01-17
3    4   医疗服务  -2.94  ...        爱尔眼科           金域医学  2022-01-17
4    5     银行   1.85  ...        平安银行           常熟银行  2022-01-17
..  ..    ...    ...  ...         ...            ...         ...
79  80   钢铁行业   0.85  ...        永兴材料           新兴铸管  2022-01-17
80  81   工程机械  -0.71  ...        三一重工           大连重工  2022-01-17
81  82     电池  -0.85  ...        宁德时代           鹏辉能源  2022-01-17
82  83     保险   0.65  ...        中国平安           中国太保  2022-01-17
83  84   旅游酒店  -2.64  ...        中国中免           中国中免  2022-01-17
```

#### 个股排行

接口: stock_hsgt_hold_stock_em

目标地址: http://data.eastmoney.com/hsgtcg/list.html

描述: 东方财富网-数据中心-沪深港通持股-个股排行

限量: 单次获取指定 market 和 indicator 的所有数据

输入参数

| 名称        | 类型  | 描述                                                                                |
|-----------|-----|-----------------------------------------------------------------------------------|
| market    | str | market="沪股通"; choice of {"北向", "沪股通", "深股通"}                                      |
| indicator | str | indicator="沪股通"; choice of {"今日排行", "3日排行", "5日排行", "10日排行", "月排行", "季排行", "年排行"} |

输出参数

| 名称         | 类型      | 描述                            |
|------------|---------|-------------------------------|
| 序号         | int32   | -                             |
| 代码         | object  | -                             |
| 名称         | object  | -                             |
| 今日收盘价      | float64 | -                             |
| 今日涨跌幅      | float64 | 注意单位: %                       |
| 今日持股-股数    | float64 | 注意单位: 万                       |
| 今日持股-市值    | float64 | 注意单位: 万                       |
| 今日持股-占流通股比 | float64 | 注意单位: %                       |
| 今日持股-占总股本比 | float64 | 注意单位: %                       |
| 增持估计-股数    | float64 | 注意单位: 万; 主要字段名根据 indicator 变化 |
| 增持估计-市值    | float64 | 注意单位: 万; 主要字段名根据 indicator 变化 |
| 增持估计-市值增幅  | object  | 注意单位: %; 主要字段名根据 indicator 变化 |
| 增持估计-占流通股比 | float64 | 注意单位: ‰; 主要字段名根据 indicator 变化 |
| 增持估计-占总股本比 | float64 | 注意单位: ‰; 主要字段名根据 indicator 变化 |
| 所属板块       | object  | -                             |
| 日期         | object  | -                             |

接口示例

```python
import akshare as ak

stock_em_hsgt_hold_stock_df = ak.stock_hsgt_hold_stock_em(market="北向", indicator="今日排行")
print(stock_em_hsgt_hold_stock_df)
```

数据示例

```
        序号      代码    名称    今日收盘价  ...  今日增持估计-占流通股比  今日增持估计-占总股本比  所属板块          日期
0        1  601012  隆基股份    84.10  ...          2.10          2.10  材料行业  2021-09-15
1        2  002460  赣锋锂业   196.18  ...          4.59          2.74  有色金属  2021-09-15
2        3  600036  招商银行    51.40  ...          0.42          0.34    银行  2021-09-15
3        4  603659   璞泰来   184.80  ...          3.45          3.44  材料行业  2021-09-15
4        5  300059  东方财富    35.31  ...          1.35          1.11  电子信息  2021-09-15
    ...     ...   ...      ...  ...           ...           ...   ...         ...
1436  1437  002594   比亚迪   261.15  ...         -1.05         -0.42  汽车行业  2021-09-15
1437  1438  000651  格力电器    38.99  ...         -2.09         -2.07  家电行业  2021-09-15
1438  1439  000858   五粮液   198.50  ...         -0.65         -0.65  酿酒行业  2021-09-15
1439  1440  600031  三一重工    26.58  ...         -2.62         -2.62  机械行业  2021-09-15
1440  1441  600519  贵州茅台  1615.74  ...         -0.42         -0.42  酿酒行业  2021-09-15
```

#### 每日个股统计

接口: stock_hsgt_stock_statistics_em

目标地址: http://data.eastmoney.com/hsgtcg/StockStatistics.aspx

描述: 东方财富网-数据中心-沪深港通-沪深港通持股-每日个股统计

限量: 单次获取指定 market 的 start_date 和 end_date 之间的所有数据, 该接口只能获取近期的数据

输入参数

| 名称         | 类型  | 描述                                                          |
|------------|-----|-------------------------------------------------------------|
| symbol     | str | symbol="北向持股"; choice of {"北向持股", "沪股通持股", "深股通持股", "南向持股"} |
| start_date | str | start_date="20210601"; 此处指定近期交易日                            |
| end_date   | str | end_date="20210608"; 此处指定近期交易日                              |

输出参数

| 名称          | 类型      | 描述                   |
|-------------|---------|----------------------|
| 持股日期        | object  | -                    |
| 股票代码        | object  | -                    |
| 股票简称        | object  | -                    |
| 当日收盘价       | float64 | 注意单位: 元; 南向持股单位为: 港元 |
| 当日涨跌幅       | float64 | 注意单位: %              |
| 持股数量        | float64 | 注意单位: 股              |
| 持股市值        | float64 | 注意单位: 元              |
| 持股数量占发行股百分比 | float64 | 注意单位: %              |
| 持股市值变化-1日   | float64 | 注意单位: 元              |
| 持股市值变化-5日   | float64 | 注意单位: 元              |
| 持股市值变化-10日  | float64 | 注意单位: 元              |

接口示例

```python
import akshare as ak

stock_hsgt_stock_statistics_em_df = ak.stock_hsgt_stock_statistics_em(symbol="北向持股", start_date="20211027",
                                                                      end_date="20211027")
print(stock_hsgt_stock_statistics_em_df)
```

数据示例

```
      持股日期    股票代码  股票简称  ...     持股市值变化-1日     持股市值变化-5日   持股市值变化-10日
0     2021-10-27  603327  福蓉科技  ... -1.876431e+05 -7.623525e+04 -1.999411e+06
1     2021-10-27  605199   葫芦娃  ... -1.408119e+06 -8.786002e+05 -8.750511e+05
2     2021-10-27  605136  丽人丽妆  ... -4.739965e+05 -4.834552e+05 -2.335740e+06
3     2021-10-27  300396  迪瑞医疗  ... -2.088927e+05 -7.029425e+05 -8.044508e+05
4     2021-10-27  603598  引力传媒  ...  1.090273e+05 -4.007397e+06 -6.420819e+06
          ...     ...   ...  ...           ...           ...           ...
1436  2021-10-27  601012  隆基股份  ...  1.753065e+09  4.817712e+08  7.829894e+09
1437  2021-10-27  600036  招商银行  ... -8.938440e+08  4.831173e+09  4.401946e+09
1438  2021-10-27  000333  美的集团  ... -5.719656e+09 -3.952053e+09 -7.030619e+09
1439  2021-10-27  300750  宁德时代  ...  3.142970e+09  7.133537e+09  2.157141e+10
1440  2021-10-27  600519  贵州茅台  ... -3.964678e+09 -2.334647e+09 -5.475161e+09
```

#### 机构排行

接口: stock_hsgt_institution_statistics_em

目标地址: http://data.eastmoney.com/hsgtcg/InstitutionStatistics.aspx

描述: 东方财富网-数据中心-沪深港通-沪深港通持股-机构排行

限量: 单次获取指定 market 的所有数据, 该接口只能获取近期的数据

输入参数

| 名称         | 类型  | 描述                                                          |
|------------|-----|-------------------------------------------------------------|
| market     | str | market="北向持股"; choice of {"北向持股", "沪股通持股", "深股通持股", "南向持股"} |
| start_date | str | start_date="20201218"; 此处指定近期交易日                            |
| end_date   | str | end_date="20201218"; 此处指定近期交易日                              |

输出参数

| 名称         | 类型      | 描述                   |
|------------|---------|----------------------|
| 持股日期       | object  | -                    |
| 机构名称       | object  | -                    |
| 持股只数       | float64 | 注意单位: 只              |
| 持股市值       | float64 | 注意单位: 元; 南向持股单位为: 港元 |
| 持股市值变化-1日  | float64 | 注意单位: 元; 南向持股单位为: 港元 |
| 持股市值变化-5日  | float64 | 注意单位: 元; 南向持股单位为: 港元 |
| 持股市值变化-10日 | float64 | 注意单位: 元; 南向持股单位为: 港元 |

接口示例

```python
import akshare as ak

stock_hsgt_institution_statistics_em_df = ak.stock_hsgt_institution_statistics_em(market="北向持股",
                                                                                  start_date="20201218",
                                                                                  end_date="20201218")
print(stock_hsgt_institution_statistics_em_df)
```

数据示例

```
     持股日期  ...           持股市值变化-10日
0    2020-12-18  ...  -1853745798.3000183
1    2020-12-18  ...         -6.01983e+09
2    2020-12-18  ...   3296301138.0900955
3    2020-12-18  ...   299245525.25022888
4    2020-12-18  ...   18389735021.519775
..          ...  ...                  ...
153  2020-12-18  ...   1455359.9999999981
154  2020-12-18  ...                  -10
155  2020-12-18  ...  -2035718.2199999988
156  2020-12-18  ...                -5425
157  2020-12-18  ...                  -94
```

#### 沪深港通历史数据

接口: stock_hsgt_hist_em

目标地址: http://data.eastmoney.com/hsgt/index.html

描述: 东方财富网-数据中心-资金流向-沪深港通资金流向-沪深港通历史数据

限量: 单次获取指定 symbol 的所有数据

输入参数

| 名称     | 类型  | 描述                                                      |
|--------|-----|---------------------------------------------------------|
| symbol | str | symbol="港股通沪"; choice of {"沪股通", "深股通", "港股通沪", "港股通深"} |

输出参数-沪股通

| 名称      | 类型      | 描述       |
|---------|---------|----------|
| 日期      | object  | -        |
| 当日成交净买额 | int64   | 注意单位: 亿元 |
| 买入成交额   | int64   | 注意单位: 亿元 |
| 卖出成交额   | int64   | 注意单位: 亿元 |
| 历史累计净买额 | float64 | 注意单位: 亿元 |
| 当日资金流入  | int64   | 注意单位: 亿元 |
| 当日余额    | int64   | 注意单位: 亿元 |
| 领涨股     | object  | -        |
| 领涨股涨跌幅  | float64 | 注意单位: %  |
| 上证指数    | float64 | -        |
| 涨跌幅     | float64 | 注意单位: %  |

接口示例-沪股通

```python
import akshare as ak

stock_hsgt_hist_em_df = ak.stock_hsgt_hist_em(symbol="沪股通")
print(stock_hsgt_hist_em_df)
```

数据示例-沪股通

```
      日期  当日成交净买额   买入成交额   卖出成交额  ...   领涨股  领涨股涨跌幅   上证指数   涨跌幅
0     2021-10-28    45.63  304.63  259.00  ...   喜临门   10.02  3518.42 -1.23
1     2021-10-27     8.46  248.01  239.55  ...  上海电力   10.04  3562.31 -0.98
2     2021-10-26   -14.43  237.41  251.84  ...  复旦微电   16.47  3597.64 -0.34
3     2021-10-25    15.49  255.41  239.92  ...  世运电路   10.01  3609.86  0.76
4     2021-10-22    72.11  286.85  214.74  ...  四川路桥   10.02  3582.60 -0.34
          ...      ...     ...     ...  ...   ...     ...      ...   ...
1603  2014-11-21    22.00   24.31    2.31  ...  大众公用   10.02  2486.79  1.39
1604  2014-11-20    21.42   23.10    1.68  ...  厦门国贸    9.37  2452.66  0.07
1605  2014-11-19    24.97   26.70    1.73  ...  君正集团    6.85  2450.99 -0.22
1606  2014-11-18    47.20   49.44    2.24  ...  厦门国贸   10.06  2456.37 -0.71
1607  2014-11-17   120.82  120.82    0.00  ...   唐山港    9.98  2474.01 -0.19
```

输出参数-港股通沪

| 名称      | 类型      | 描述        |
|---------|---------|-----------|
| 日期      | object  | -         |
| 当日成交净买额 | int64   | 注意单位: 亿港元 |
| 买入成交额   | int64   | 注意单位: 亿港元 |
| 卖出成交额   | int64   | 注意单位: 亿港元 |
| 历史累计净买额 | float64 | 注意单位: 万亿元 |
| 当日资金流入  | int64   | 注意单位: 亿元  |
| 当日余额    | int64   | 注意单位: 亿元  |
| 领涨股     | object  | -         |
| 领涨股涨跌幅  | float64 | 注意单位: %   |
| 恒生指数    | float64 | -         |
| 涨跌幅     | float64 | 注意单位: %   |

接口示例-港股通沪

```python
import akshare as ak

stock_hsgt_hist_em_df = ak.stock_hsgt_hist_em(symbol="港股通沪")
print(stock_hsgt_hist_em_df)
```

数据示例-港股通沪

```
     日期  当日成交净买额  买入成交额  卖出成交额  ...领涨股  领涨股涨跌幅  恒生指数   涨跌幅
0     2021-10-28     -210   5816   6026  ...   洛阳玻璃股份   11.33  25555.73 -0.28
1     2021-10-27     -938   6732   7670  ...     金风科技   11.94  25628.74 -1.57
2     2021-10-26    -1937   5149   7086  ...     上海复旦    9.88  26038.27 -0.36
3     2021-10-25      436   5893   5457  ...     东方电气   10.67  26132.03  0.02
4     2021-10-22     -704   6079   6783  ...     敏华控股    8.84  26126.93  0.42
          ...      ...    ...    ...  ...      ...     ...       ...   ...
1571  2014-11-21      175    309    134  ...  第一拖拉机股份    6.45  23437.12  0.37
1572  2014-11-20      188    282     94  ...     东方电气    5.26  23349.64 -0.10
1573  2014-11-19      266    381    115  ...     复星医药    7.58  23373.31 -0.66
1574  2014-11-18      937   1083    146  ...   统一企业中国    5.53  23529.17 -1.13
1575  2014-11-17     2132   2238    106  ...     上海医药    3.74  23797.08 -1.21
```

#### 沪深港通持股-个股

接口: stock_hsgt_individual_em

目标地址: http://data.eastmoney.com/hsgtcg/StockHdStatistics/002008.html(示例)

描述: 东方财富网-数据中心-沪深港通-沪深港通持股-具体股票

限量: 单次获取指定 stock 的近期数据

输入参数

| 名称    | 类型  | 描述             |
|-------|-----|----------------|
| stock | str | stock="002008" |

输出参数

| 名称         | 类型      | 描述      |
|------------|---------|---------|
| 持股日期       | object  | -       |
| 当日收盘价      | float64 | 注意单位: 元 |
| 当日涨跌幅      | float64 | 注意单位: % |
| 持股数量       | int64   | 注意单位: 股 |
| 持股市值       | float64 | 注意单位: 元 |
| 持股数量占A股百分比 | float64 | 注意单位: % |
| 持股市值变化-1日  | float64 | 注意单位: 元 |
| 持股市值变化-5日  | float64 | 注意单位: 元 |
| 持股市值变化-10日 | float64 | 注意单位: 元 |

接口示例

```python
import akshare as ak

stock_hsgt_individual_em_df = ak.stock_hsgt_individual_em(stock="002008")
print(stock_hsgt_individual_em_df)
```

数据示例

```
    持股日期  当日收盘价   当日涨跌幅  ... 持股市值变化-1日  持股市值变化-5日  持股市值变化-10日
0   2021-10-22  39.84   0.682335  ... -2.541465e+07  4.309722e+07  1.492801e+08
1   2021-10-21  39.57  -0.477867  ... -3.656606e+07  3.448956e+08 -2.642153e+08
2   2021-10-20  39.76  -0.425745  ... -1.769953e+07  1.799787e+08 -2.446364e+08
3   2021-10-19  39.93   1.448171  ...  7.080771e+07  2.125419e+08 -3.810102e+08
4   2021-10-18  39.36   0.587784  ...  5.196766e+07  9.280935e+07 -3.145112e+08
5   2021-10-15  39.13   1.530877  ...  2.764133e+08  1.400814e+08 -4.442396e+08
6   2021-10-12  36.94  -3.298429  ... -2.005922e+08 -6.083117e+08 -9.559455e+08
7   2021-10-11  38.20   0.632244  ...  1.591944e+07 -4.518069e+08 -7.291012e+08
8   2021-10-08  37.96   0.343643  ... -4.809285e+07 -6.264651e+08 -8.999057e+08
9   2021-09-30  37.83   0.745672  ...  6.721548e+07 -4.329733e+08 -7.943264e+08
10  2021-09-29  37.55  -6.405783  ... -4.670429e+08 -5.810981e+08 -8.375968e+08
11  2021-09-28  40.12   0.049875  ... -1.979165e+07 -3.482011e+08 -6.290619e+08
12  2021-09-27  40.10  -2.504255  ... -1.593808e+08 -2.776694e+08 -8.426891e+08
13  2021-09-24  41.13   2.389843  ...  1.465906e+08 -2.735974e+08 -5.190073e+08
14  2021-09-23  40.17   0.752445  ... -8.168253e+07 -3.622901e+08 -6.792029e+08
15  2021-09-16  40.51  -3.132473  ... -2.338641e+08 -2.571110e+08 -5.864724e+08
16  2021-09-15  41.82   0.625602  ...  5.073979e+07 -2.808217e+08 -3.278190e+08
17  2021-09-14  41.56  -1.516588  ... -1.552722e+08 -5.649805e+08 -5.157192e+08
18  2021-09-13  42.20   1.247601  ...  5.847866e+07 -2.448081e+08 -5.903708e+08
19  2021-09-10  41.68   0.216398  ...  2.343952e+07 -3.169400e+08 -2.651793e+08
20  2021-09-09  41.59  -4.368820  ... -2.577584e+08 -3.296567e+08 -2.082070e+08
21  2021-09-08  43.49  -2.815642  ... -2.336739e+08 -4.775990e+07  1.220296e+08
22  2021-09-07  44.75   2.968247  ...  1.648786e+08  4.910598e+07  5.045753e+08
23  2021-09-06  43.46  -0.068981  ... -1.433620e+07 -3.457728e+08  3.670148e+08
24  2021-09-03  43.49   0.184289  ...  1.105600e+07  5.161283e+07  7.132410e+08
25  2021-09-02  43.41   0.976971  ...  1.534197e+07  1.214498e+08  7.684794e+08
26  2021-09-01  42.99  -4.168524  ... -1.372145e+08  1.692652e+08  6.337621e+08
27  2021-08-31  44.86  -3.589082  ... -2.294794e+08  4.453658e+08  7.042868e+08
28  2021-08-30  46.53   5.366848  ...  3.815882e+08  7.171889e+08  4.851421e+08
29  2021-08-27  44.16   0.454959  ...  8.145012e+07  6.575977e+08  2.904897e+08
30  2021-08-26  43.96  -0.317460  ...  1.302959e+08  6.472922e+08  8.953875e+08
31  2021-08-25  44.10   0.638978  ...  2.368987e+07  4.249577e+08  1.081029e+09
32  2021-08-24  43.82   0.160000  ...  1.001651e+08  2.806188e+08  1.010920e+09
33  2021-08-23  43.75   6.240894  ...  3.271146e+08 -1.521217e+08  9.801216e+08
34  2021-08-20  41.18   3.130478  ...  6.063662e+07 -4.483904e+08  6.952596e+08
35  2021-08-19  39.93   1.063022  ... -8.414599e+07  2.566553e+08  6.927641e+08
36  2021-08-18  39.51  -0.252461  ... -9.106697e+07  6.562148e+08  3.790538e+08
37  2021-08-17  39.61  -4.737855  ... -3.865083e+08  7.117942e+08  5.505880e+08
38  2021-08-16  41.58  -1.235154  ...  5.093199e+07  1.153426e+09  8.529746e+08
39  2021-08-13  42.10  10.007839  ...  7.676797e+08  1.143808e+09  8.983042e+08
40  2021-08-12  38.27   5.397962  ...  3.155094e+08  4.361088e+08  3.219119e+07
41  2021-08-11  36.31  -0.873601  ... -3.583330e+07 -2.771610e+08 -7.253962e+06
42  2021-08-10  36.63   0.964719  ...  5.512892e+07 -1.612062e+08 -1.290572e+08
43  2021-08-09  36.28   0.165654  ...  4.132297e+07 -3.004515e+08 -2.776736e+07
44  2021-08-06  36.22   1.116695  ...  6.032758e+07 -2.455035e+08 -2.608318e+08
45  2021-08-05  35.82  -4.708699  ... -3.977604e+08 -4.036236e+08 -5.232954e+08
46  2021-08-04  37.59   1.211632  ...  8.012153e+07  2.697535e+08 -1.947024e+08
47  2021-08-03  37.14  -1.537646  ... -8.411638e+07  3.208780e+07 -2.531750e+08
48  2021-08-02  37.72   2.416508  ...  9.627101e+07  2.725113e+08 -1.531233e+08
49  2021-07-30  36.83  -0.566955  ... -9.826055e+07 -1.540150e+07 -3.275803e+08
50  2021-07-29  37.04   5.406944  ...  2.758291e+08 -1.196816e+08 -2.989891e+08
51  2021-07-28  35.14  -2.928177  ... -1.575981e+08 -4.644362e+08 -6.055456e+08
52  2021-07-27  36.20   2.375566  ...  1.366582e+08 -2.925343e+08 -6.064969e+08
53  2021-07-26  35.36  -2.669970  ... -1.928296e+08 -4.201493e+08 -6.358283e+08
```

#### 沪深港通持股-个股详情

接口: stock_hsgt_individual_detail_em

目标地址: http://data.eastmoney.com/hsgtcg/StockHdStatistics/002008.html(示例)

描述: 东方财富网-数据中心-沪深港通-沪深港通持股-具体股票-个股详情

限量: 单次获取指定 symbol 的在 start_date 和 end_date 之间的所有数据; 注意只能返回 90 个交易日内的数据

输入参数

| 名称         | 类型  | 描述                                              |
|------------|-----|-------------------------------------------------|
| symbol     | str | symbol="002008"                                 |
| start_date | str | start_date="20210830"; 注意只能返回离最近交易日 90 个交易日内的数据 |
| end_date   | str | end_date="20211026"; 注意只能返回离最近交易日 90 个交易日内的数据   |

输出参数

| 名称         | 类型      | 描述      |
|------------|---------|---------|
| 持股日期       | object  | -       |
| 当日收盘价      | float64 | 注意单位: 元 |
| 当日涨跌幅      | float64 | 注意单位: % |
| 机构名称       | object  | -       |
| 持股数量       | int64   | 注意单位: 股 |
| 持股市值       | float64 | 注意单位: 元 |
| 持股数量占A股百分比 | float64 | 注意单位: % |
| 持股市值变化-1日  | float64 | 注意单位: 元 |
| 持股市值变化-5日  | float64 | 注意单位: 元 |
| 持股市值变化-10日 | float64 | 注意单位: 元 |

接口示例

```python
import akshare as ak

stock_hsgt_individual_detail_em_df = ak.stock_hsgt_individual_detail_em(symbol="002008", start_date="20210830",
                                                                        end_date="20211026")
print(stock_hsgt_individual_detail_em_df)
```

数据示例

```
      持股日期  当日收盘价   当日涨跌幅  ...  持股市值变化-1日  持股市值变化-5日  持股市值变化-10日
0     2021-10-25  40.05  0.5271  ...   112008.0 -9329832.0    211866.0
1     2021-10-25  40.05  0.5271  ...     1155.0     3795.0     12210.0
2     2021-10-25  40.05  0.5271  ...     8442.0    27738.0    437280.0
3     2021-10-25  40.05  0.5271  ...    26922.0    88458.0    224076.0
4     2021-10-25  40.05  0.5271  ...     1071.0     3519.0     11322.0
          ...    ...     ...  ...        ...        ...         ...
1791  2021-08-30  46.53  5.3668  ...    10428.0    29732.0    142362.0
1792  2021-08-30  46.53  5.3668  ...   120633.0  2329002.0   2330955.0
1793  2021-08-30  46.53  5.3668  ...  5289183.0  4723917.0   7891389.0
1794  2021-08-30  46.53  5.3668  ...   -15768.0  -225276.0         0.0
1795  2021-08-30  46.53  5.3668  ...      474.0      556.0     -3168.0
```

### 两市停复牌

接口: stock_tfp_em

目标地址: http://data.eastmoney.com/tfpxx/

描述: 东方财富网-数据中心-特色数据-两市停复牌

限量: 单次获取指定 date 的停复牌数据, 具体更新逻辑跟目标网页统一

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date="20220523" |

输出参数

| 名称     | 类型     | 描述  |
|--------|--------|-----|
| 序号     | int64  |     |
| 代码     | object |     |
| 名称     | object |     |
| 停牌时间   | object |     |
| 停牌截止时间 | object |     |
| 停牌期限   | object |     |
| 停牌原因   | object |     |
| 所属市场   | object |     |
| 预计复牌时间 | object |     |

接口示例

```python
import akshare as ak

stock_tfp_em_df = ak.stock_tfp_em(date="20220523")
print(stock_tfp_em_df)
```

数据示例

```
    序号      代码      名称        停牌时间  ...  停牌期限       停牌原因      所属市场      预计复牌时间
0    1  002341    新纶新材  2022-05-23  ...  连续停牌     刊登重要公告     深交所主板         NaT
1    2  603066    音飞储存  2022-05-23  ...  连续停牌     刊登重要公告     上交所主板  2022-06-07
2    3  002058     威尔泰  2022-05-20  ...  停牌一天     刊登重要公告     深交所主板  2022-05-23
3    4  300446    乐凯新材  2022-05-20  ...  停牌一天     刊登重要公告    深交所创业板  2022-05-23
4    5  603318    水发燃气  2022-05-20  ...  连续停牌  拟筹划重大资产重组     上交所主板  2022-06-06
5    6  300140    中环装备  2022-05-20  ...  连续停牌  拟筹划重大资产重组    深交所创业板  2022-06-06
6    7  603996    退市中新  2022-05-18  ...  连续停牌     刊登重要公告  上交所风险警示板  2022-05-24
7    8  603157    退市拉夏  2022-05-18  ...  连续停牌     刊登重要公告  上交所风险警示板  2022-05-24
8    9  002121    科陆电子  2022-05-17  ...  连续停牌     刊登重要公告     深交所主板  2022-05-24
9   10  300905     宝丽迪  2022-05-16  ...  连续停牌  拟筹划重大资产重组    深交所创业板  2022-05-30
10  11  000155    川能动力  2022-05-16  ...  连续停牌  拟筹划重大资产重组     深交所主板  2022-05-30
11  12  603069    海汽集团  2022-05-16  ...  连续停牌  拟筹划重大资产重组     上交所主板  2022-05-30
12  13  000411    英特集团  2022-05-12  ...  连续停牌  拟筹划重大资产重组     深交所主板  2022-05-26
13  14  002473   *ST圣莱  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
14  15  002147   *ST新光  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
15  16  002118    紫鑫药业  2022-05-05  ...  连续停牌  未如期刊登定期报告     深交所主板         NaT
16  17  300023   *ST宝德  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
17  18  600856   *ST中天  2022-05-05  ...  连续停牌     刊登重要公告  上交所风险警示板  2022-05-25
18  19  600275   *ST昌鱼  2022-05-05  ...  连续停牌     刊登重要公告  上交所风险警示板  2022-05-25
19  20  600781    ST辅仁  2022-05-05  ...  连续停牌  未如期刊登定期报告  上交所风险警示板         NaT
20  21  600532    未来股份  2022-05-05  ...  连续停牌  未如期刊登定期报告     上交所主板         NaT
21  22  002618   *ST丹邦  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
22  23  600896   *ST海医  2022-05-05  ...  连续停牌     刊登重要公告  上交所风险警示板         NaT
23  24  300108    吉药控股  2022-05-05  ...  连续停牌  未如期刊登定期报告    深交所创业板         NaT
24  25  300064   *ST金刚  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
25  26  600870   *ST厦华  2022-05-05  ...  连续停牌     刊登重要公告  上交所风险警示板         NaT
26  27  000420    吉林化纤  2022-05-05  ...  连续停牌  未如期刊登定期报告     深交所主板         NaT
27  28  000613  *ST东海A  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
28  29  000502   *ST绿景  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
29  30  002684   *ST猛狮  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
30  31  002447   *ST晨鑫  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
31  32  002411    延安必康  2022-05-05  ...  连续停牌  未如期刊登定期报告     深交所主板         NaT
32  33  600146   *ST环球  2022-05-05  ...  连续停牌  未如期刊登定期报告  上交所风险警示板         NaT
33  34  000611   *ST天首  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
34  35  900955  *ST海创B  2022-05-05  ...  连续停牌     刊登重要公告  上交所风险警示板         NaT
35  36  002776    ST柏龙  2022-05-05  ...  连续停牌  未如期刊登定期报告  深交所风险警示板         NaT
36  37  002433     太安堂  2022-05-05  ...  连续停牌  未如期刊登定期报告     深交所主板         NaT
37  38  300325   *ST德威  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
38  39  002770   *ST科迪  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
39  40  300312   *ST邦讯  2022-05-05  ...  连续停牌  未如期刊登定期报告  深交所风险警示板         NaT
40  41  600555   *ST海创  2022-05-05  ...  连续停牌     刊登重要公告  上交所风险警示板         NaT
41  42  600652   *ST游久  2022-05-05  ...  连续停牌     刊登重要公告  上交所风险警示板  2022-05-25
42  43  000673   *ST当代  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
43  44  200613  *ST东海B  2022-05-05  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
44  45  300202   *ST聚龙  2022-04-29  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
45  46  300038   *ST数知  2022-04-29  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
46  47  600385   *ST金泰  2022-04-29  ...  连续停牌     刊登重要公告  上交所风险警示板         NaT
47  48  600209   *ST罗顿  2022-04-29  ...  连续停牌     刊登重要公告  上交所风险警示板  2022-05-25
48  49  600890   *ST中房  2022-04-29  ...  连续停牌     刊登重要公告  上交所风险警示板  2022-05-25
49  50  300367   *ST网力  2022-04-29  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
50  51  002464   *ST众应  2022-04-29  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
51  52  600091   *ST明科  2022-04-28  ...  连续停牌     刊登重要公告  上交所风险警示板  2022-05-25
52  53  000687   *ST华讯  2022-04-28  ...  连续停牌     刊登重要公告  深交所风险警示板  2022-05-26
53  54  300178   *ST腾邦  2022-04-27  ...  连续停牌     刊登重要公告  深交所风险警示板         NaT
54  55  600093   *ST易见  2022-04-27  ...  连续停牌     刊登重要公告  上交所风险警示板  2022-05-26
55  56  600090   *ST济堂  2022-04-12  ...  连续停牌     刊登重要公告  上交所风险警示板         NaT
56  57  833874    泰祥股份  2021-11-08  ...  连续停牌     刊登重要公告   北京证券交易所         NaT
57  58  833533    骏创科技  2021-11-05  ...  连续停牌     刊登重要公告   北京证券交易所  2022-05-24
58  59  833994    翰博高新  2021-11-04  ...  连续停牌      IPO受理   北京证券交易所         NaT
```

### 停复牌

接口: news_trade_notify_suspend_baidu

目标地址: https://gushitong.baidu.com/calendar

描述: 百度股市通-交易提醒-停复牌

限量: 单次获取指定 date 的停复牌数据, 提供港股的停复牌数据

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date="20220513" |

输出参数

| 名称     | 类型     | 描述  |
|--------|--------|-----|
| 股票代码   | object |     |
| 股票简称   | object |     |
| 交易所    | object |     |
| 停牌时间   | object |     |
| 复牌时间   | object |     |
| 停牌事项说明 | object |     |

接口示例

```python
import akshare as ak

news_trade_notify_suspend_baidu_df = ak.news_trade_notify_suspend_baidu(date="20220513")
print(news_trade_notify_suspend_baidu_df)
```

数据示例

```
     股票代码    股票简称  ...        复牌时间                                      停牌事项说明
0  000609   *ST中迪  ...  2022-05-16                                    撤销退市风险警示
1  600850    电科数字  ...  2022-05-16                                        重要公告
2  833580    科创新材  ...  2022-05-13            竞价交易出现《北京证券交易所交易规则(试行)》规定的临时停牌情形
3  833580    科创新材  ...  2022-05-13            竞价交易出现《北京证券交易所交易规则(试行)》规定的临时停牌情形
4   00102    凯升控股  ...         NaT                将于今天(13/5/2022)上午九时正起短暂停止买卖。
5   08001  东方汇财证券  ...         NaT                将于今天(13/5/2022)上午九时正起短暂停止买卖。
6   01609  创建集团控股  ...         NaT  已于今天(13/5/2022)上午九时起根据主板上市规则第6.01(4)条暂停买卖。
7   01842    植华集团  ...         NaT                将于今天(13/5/2022)上午九时正起短暂停止买卖。
8   01383   太阳城集团  ...         NaT                将于今天(13/5/2022)上午九时正起短暂停止买卖。
9   01802    文业集团  ...         NaT              已于今天(13/5/2022)上午九时三十分起短暂停止买卖。
```

### 分红派息

接口: news_trade_notify_dividend_baidu

目标地址: https://gushitong.baidu.com/calendar

描述: 百度股市通-交易提醒-分红派息

限量: 单次获取指定 date 的分红派息数据, 提供港股的分红派息数据

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date="20220513" |

输出参数

| 名称   | 类型     | 描述  |
|------|--------|-----|
| 股票代码 | object |     |
| 除权日  | object |     |
| 分红   | object |     |
| 送股   | object |     |
| 转增   | object |     |
| 实物   | object |     |
| 交易所  | object |     |
| 股票简称 | object |     |
| 报告期  | object |     |

接口示例

```python
import akshare as ak

news_trade_notify_dividend_baidu_df = ak.news_trade_notify_dividend_baidu(date="20220916")
print(news_trade_notify_dividend_baidu_df)
```

数据示例

```
     股票代码   除权日      分红 送股 转增   实物 交易所         股票简称       报告期
0  833533  2022-09-16   2.00元        NaN  BJ             骏创科技  2022-09-16
1  603017  2022-09-16   2.50元        NaN  SH             中衡设计  2022-09-16
2   00688  2022-09-16  0.40港元             HK           中国海外发展  2022-09-16
3   00320  2022-09-16  0.05港元             HK              金宝通  2022-09-16
4   00165  2022-09-16  0.15港元             HK           中国光大控股  2022-09-16
5   00732  2022-09-16  0.05港元             HK             信利国际  2022-09-16
6   00662  2022-09-16  0.02港元             HK             亚洲金融  2022-09-16
7   02005  2022-09-16  0.06港元             HK            石四药集团  2022-09-16
8   01547  2022-09-16  0.01港元             HK  IBI GROUP HLDGS  2022-09-16
```

### 财报发行

接口: news_report_time_baidu

目标地址: https://gushitong.baidu.com/calendar

描述: 百度股市通-财报发行

限量: 单次获取指定 date 的财报发行, 提供港股的财报发行数据

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date="20220514" |

输出参数

| 名称   | 类型     | 描述  |
|------|--------|-----|
| 股票代码 | object |     |
| 交易所  | object |     |
| 股票简称 | object |     |
| 财报期  | object |     |

接口示例

```python
import akshare as ak

news_report_time_baidu_df = ak.news_report_time_baidu(date="20220514")
print(news_report_time_baidu_df)
```

数据示例

```
    股票代码 交易所       股票简称       财报期
0  08219  HK     恒伟集团控股  2022年一季报
1  08521  HK     智纺国际控股  2022年一季报
2  08491  HK  COOL LINK  2022年一季报
```

### 新股数据

#### 打新收益率

接口: stock_dxsyl_em

目标地址: http://data.eastmoney.com/xg/xg/dxsyl.html

描述: 东方财富网-数据中心-新股申购-打新收益率

限量: 单次获取所有打新收益率数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称       | 类型      | 描述      |
|----------|---------|---------|
| 股票代码     | object  | -       |
| 股票简称     | object  | -       |
| 发行价      | float64 | -       |
| 最新价      | float64 | -       |
| 网上发行中签率  | float64 | 注意单位: % |
| 网上有效申购股数 | int64   | -       |
| 网上有效申购户数 | int64   | 注意单位: 户 |
| 网上超额认购倍数 | float64 | -       |
| 网下配售中签率  | float64 | 注意单位: % |
| 网下有效申购股数 | int64   | -       |
| 网下有效申购户数 | int64   | 注意单位: 户 |
| 网下配售认购倍数 | float64 | -       |
| 总发行数量    | int64   | -       |
| 开盘溢价     | float64 | -       |
| 首日涨幅     | float64 | -       |
| 上市日期     | object  | -       |

接口示例

```python
import akshare as ak

stock_dxsyl_em_df = ak.stock_dxsyl_em()
print(stock_dxsyl_em_df)
```

数据示例

```
        序号  股票代码  股票简称    发行价  ...      总发行数量   开盘溢价     首日涨幅        上市日期
0        1  301377  鼎泰高科  22.88  ...  5000.0000        NaN      NaN  2022-11-22
1        2  301365  矩阵股份  34.72  ...  3000.0000        NaN      NaN  2022-11-22
2        3  301165   N锐捷  32.38  ...  6818.1818   3.458925  15.8122  2022-11-21
3        4  688376   C美埃  29.19  ...  3360.0000  19.904077  29.1538  2022-11-18
4        5  603130   云中马  19.72  ...  3500.0000  19.979716  44.0162  2022-11-18
    ...     ...   ...    ...  ...        ...        ...      ...         ...
3245  3246  301311  昆船智能  13.88  ...  6000.0000        NaN      NaN         NaN
3246  3247  301290  东星医疗  44.09  ...  2504.3334        NaN      NaN         NaN
3247  3248  001333  光华股份  27.76  ...  3200.0000        NaN      NaN         NaN
3248  3249  001301  尚太科技    NaN  ...  6494.3700        NaN      NaN         NaN
3249  3250  001256  炜冈科技  13.64  ...  3565.3500        NaN      NaN         NaN
```

#### 新股申购与中签

接口: stock_xgsglb_em

目标地址: http://data.eastmoney.com/xg/xg/default_2.html

描述: 东方财富网-数据中心-新股数据-新股申购-新股申购与中签查询

限量: 单次获取指定 market 的新股申购与中签查询数据

输入参数

| 名称     | 类型  | 描述                                                                      |
|--------|-----|-------------------------------------------------------------------------|
| symbol | str | symbol="全部股票"; choice of {"全部股票", "沪市A股", "科创板", "深市A股", "创业板", "京市A股"} |

输出参数-其他

| 名称       | 类型      | 描述      |
|----------|---------|---------|
| 股票代码     | object  | -       |
| 股票简称     | object  | -       |
| 申购代码     | object  | -       |
| 发行总数     | float64 | 注意单位: 股 |
| 网上发行     | int64   | 注意单位: 股 |
| 顶格申购需配市值 | float64 | 注意单位: 股 |
| 申购上限     | int64   | -       |
| 发行价格     | float64 | -       |
| 最新价      | float64 | -       |
| 首日收盘价    | float64 | -       |
| 申购日期     | object  | -       |
| 中签号公布日   | object  | -       |
| 中签缴款日期   | object  | -       |
| 上市日期     | object  | -       |
| 发行市盈率    | float64 | -       |
| 行业市盈率    | float64 | -       |
| 中签率      | float64 | 注意单位: % |
| 询价累计报价倍数 | float64 | -       |
| 配售对象报价家数 | float64 | -       |
| 连续一字板数量  | object  | -       |
| 涨幅       | float64 | 注意单位: % |
| 每中一签获利   | float64 | 注意单位: 元 |

接口示例-其他

```python
import akshare as ak

stock_xgsglb_em_df = ak.stock_xgsglb_em(symbol="全部股票")
print(stock_xgsglb_em_df)
```

数据示例-其他

```
        股票代码  股票简称    申购代码        发行总数  ...  配售对象报价家数  连续一字板数量          涨幅   每中一签获利
0     601825  沪农商行  780825  96444.4445  ...   12821.0      待上市         NaN      NaN
1     301041   金百泽  301041   2668.0000  ...       NaN      待上市         NaN      NaN
2     300994  久祺股份  300994   4856.0000  ...       NaN      待上市         NaN      NaN
3     688385  复旦微电  787385  12000.0000  ...       NaN      待上市         NaN      NaN
4     605577  龙版传媒  707577   4444.4445  ...       NaN      待上市         NaN      NaN
      ...   ...     ...         ...  ...       ...      ...         ...      ...
2760  002338  奥普光电  002338   2000.0000  ...     285.0        1  136.045455  14965.0
2761  002337  赛象科技  002337   3000.0000  ...     181.0        1   40.612903   6295.0
2762  002336   人人乐  002336  10000.0000  ...     272.0        1   22.312824   3010.0
2763  002335  科华数据  002335   1950.0000  ...     188.0        1   56.709324   7755.0
2764  002334   英威腾  002334   1600.0000  ...     190.0        1   37.708333   9050.0
```

输出参数-京市A股

| 名称       | 类型      | 描述      |
|----------|---------|---------|
| 序号       | int64   | -       |
| 代码       | object  | -       |
| 简称       | object  | -       |
| 申购代码     | object  | -       |
| 发行总数     | int64   | 注意单位: 股 |
| 网上发行数量   | int64   | 注意单位: 股 |
| 顶格申购所需资金 | int64   | 注意单位: 股 |
| 申购上限     | int64   | 注意单位: 股 |
| 发行价格     | float64 | -       |
| 最新价      | float64 | -       |
| 首日收盘价    | float64 | -       |
| 申购日      | object  | -       |
| 网上申购缴款日  | object  | -       |
| 网上申购退款日  | object  | -       |
| 上市日      | object  | -       |
| 发行结果公告日  | object  | -       |
| 发行市盈率    | float64 | -       |
| 网上获配比例   | float64 | 注意单位: % |
| 网下有效申购倍数 | float64 | -       |
| 每百股获利    | float64 | -       |

接口示例-京市A股

```python
import akshare as ak

stock_xgsglb_em_df = ak.stock_xgsglb_em(symbol="全部股票")
print(stock_xgsglb_em_df)
```

数据示例-京市A股

```
    序号 代码     简称    申购代码  ...  发行市盈率 网上获配比例 网下有效申购倍数 每百股获利
0    1  832419  路斯股份  889699  ...  21.00       NaN       NaN      NaN
1    2  835179  凯德石英  889168  ...  43.90       NaN       NaN      NaN
2    3  871857  泓禧科技  889777  ...  24.18  0.130000       NaN      NaN
3    4  833346  威贸电子  889889  ...  27.17  0.130000       NaN   395.59
4    5  870204  沪江材料  889888  ...  18.45  0.110000       NaN  1297.52
..  ..     ...   ...     ...  ...    ...       ...       ...      ...
83  84  839167  同享科技  889007  ...  19.82  0.131069     33.25   684.42
84  85  430489  佳先股份  889998  ...  25.00  0.321880     17.27   -80.07
85  86  834682  球冠电缆  889888  ...  19.73  0.561907     12.21  -135.51
86  87  833819  颖泰生物  889001  ...  24.77  0.188485     38.48    55.76
87  88  830799  艾融软件  889999  ...  49.31  0.057005     37.18   237.10
```

### 年报季报

#### 业绩报表

接口: stock_yjbb_em

目标地址: http://data.eastmoney.com/bbsj/202003/yjbb.html

描述: 东方财富-数据中心-年报季报-业绩报表

限量: 单次获取指定 date 的业绩报告数据

输入参数

| 名称   | 类型  | 描述                                                                                         |
|------|-----|--------------------------------------------------------------------------------------------|
| date | str | date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20100331 开始 |

输出参数

| 名称          | 类型      | 描述      |
|-------------|---------|---------|
| 序号          | int64   | -       |
| 股票代码        | object  | -       |
| 股票简称        | object  | -       |
| 每股收益        | float64 | 注意单位: 元 |
| 营业收入-营业收入   | float64 | 注意单位: 元 |
| 营业收入-同比增长   | float64 | 注意单位: % |
| 营业收入-季度环比增长 | float64 | 注意单位: % |
| 净利润-净利润     | float64 | 注意单位: 元 |
| 净利润-同比增长    | float64 | 注意单位: % |
| 净利润-季度环比增长  | float64 | 注意单位: % |
| 每股净资产       | float64 | 注意单位: 元 |
| 净资产收益率      | float64 | 注意单位: % |
| 每股经营现金流量    | float64 | 注意单位: 元 |
| 销售毛利率       | float64 | 注意单位: % |
| 所处行业        | object  | -       |
| 最新公告日期      | object  | -       |

接口示例

```python
import akshare as ak

stock_yjbb_em_df = ak.stock_yjbb_em(date="20220331")
print(stock_yjbb_em_df)
```

数据示例

```
    序号    股票代码  股票简称    每股收益  ... 每股经营现金流量  销售毛利率  所处行业    最新公告日期
0        1  873001  纬达光电  0.1400  ...  0.126094  43.276814   None  2022-11-10
1        2  002970  锐明技术 -0.3400  ...  0.030892  30.685575  计算机设备  2022-11-10
2        3  400067   欣泰3 -0.0400  ... -0.006301  32.457913   None  2022-11-02
3        4  688701  卓锦股份 -0.0200  ...  0.113099  21.935457   环保行业  2022-10-31
4        5  688565  力源科技  0.0600  ...  0.037649  11.651499   环保行业  2022-10-29
    ...     ...   ...     ...  ...       ...        ...    ...         ...
5343  5344  000838  财信发展  0.0163  ... -0.158798  20.020858  房地产开发  2022-04-12
5344  5345  870529  东铭新材  0.0200  ... -0.003474  29.472422   None  2022-04-11
5345  5346  600313  农发种业  0.0176  ...  0.102528   9.302207   农牧饲渔  2022-04-08
5346  5347  600731  湖南海利  0.1455  ... -0.024639  23.754061   农药兽药  2022-04-07
5347  5348  300692  中环环保  0.1100  ...  0.124310  41.607754   环保行业  2022-04-02
```

#### 业绩快报

接口: stock_yjkb_em

目标地址: http://data.eastmoney.com/bbsj/202003/yjkb.html

描述: 东方财富-数据中心-年报季报-业绩快报

限量: 单次获取指定 date 的业绩快报数据

输入参数

| 名称   | 类型  | 描述                                                                                         |
|------|-----|--------------------------------------------------------------------------------------------|
| date | str | date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20100331 开始 |

输出参数

| 名称          | 类型     | 描述  |
|-------------|--------|-----|
| 序号          | object | -   |
| 股票代码        | object | -   |
| 股票简称        | object | -   |
| 每股收益        | object | -   |
| 营业收入-营业收入   | object | -   |
| 营业收入-去年同期   | object | -   |
| 营业收入-同比增长   | str    | -   |
| 营业收入-季度环比增长 | object | -   |
| 净利润-净利润     | object | -   |
| 净利润-去年同期    | object | -   |
| 净利润-同比增长    | str    | -   |
| 净利润-季度环比增长  | object | -   |
| 每股净资产       | object | -   |
| 净资产收益率      | object | -   |
| 所处行业        | object | -   |
| 公告日期        | object | -   |
| 市场板块        | object | -   |
| 证券类型        | object | -   |

接口示例

```python
import akshare as ak

stock_yjkb_em_df = ak.stock_yjkb_em(date="20200331")
print(stock_yjkb_em_df)
```

数据示例

```
      序号    股票代码  股票简称   每股收益  ...  所处行业                 公告日期    市场板块  证券类型
0      1  300961  深水海纳    NaN  ...  环保工程  2020-03-31 00:00:00  深交所创业板    A股
1      2  688092  爱科科技    NaN  ...  专用设备  2020-03-31 00:00:00  上交所科创板    A股
2      3  300950   德固特    NaN  ...  专用设备  2020-03-31 00:00:00  深交所创业板    A股
3      4  688529  豪森股份    NaN  ...  汽车行业  2020-03-31 00:00:00  上交所科创板    A股
4      5  688619   罗普特    NaN  ...  软件服务  2020-03-31 00:00:00  上交所科创板    A股
..   ...     ...   ...    ...  ...   ...                  ...     ...   ...
128  129  601231  环旭电子    NaN  ...  电子元件  2020-03-31 00:00:00   上交所主板    A股
129  130  000728  国元证券  0.080  ...  券商信托  2020-03-31 00:00:00   深交所主板    A股
130  131  600917  重庆燃气  0.034  ...  公用事业  2020-03-31 00:00:00   上交所主板    A股
131  132  688528  秦川物联    NaN  ...  仪器仪表  2020-03-31 00:00:00  上交所科创板    A股
132  133  601139  深圳燃气  0.080  ...  公用事业  2020-03-31 00:00:00   上交所主板    A股
```

#### 业绩预告

接口: stock_yjyg_em

目标地址: http://data.eastmoney.com/bbsj/202003/yjyg.html

描述: 东方财富-数据中心-年报季报-业绩预告

限量: 单次获取指定 date 的业绩预告数据

输入参数

| 名称   | 类型  | 描述                                                                                         |
|------|-----|--------------------------------------------------------------------------------------------|
| date | str | date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20081231 开始 |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | object  | -       |
| 股票代码   | object  | -       |
| 股票简称   | object  | -       |
| 预测指标   | float64 | -       |
| 业绩变动   | float64 | -       |
| 预测数值   | float64 | 注意单位: 元 |
| 业绩变动幅度 | float64 | 注意单位: % |
| 业绩变动原因 | float64 | -       |
| 预告类型   | float64 | -       |
| 上年同期值  | float64 | 注意单位: 元 |
| 公告日期   | float64 | -       |

接口示例

```python
import akshare as ak

stock_yjyg_em_df = ak.stock_yjyg_em(date="20190331")
print(stock_yjyg_em_df)
```

数据示例

```
        序号    股票代码  股票简称  ... 预告类型         上年同期值                 公告日期
0        1  003030  祖名股份  ...   预增  1.283700e+07  2020-07-08 00:00:00
1        2  003030  祖名股份  ...   预增  1.165470e+07  2020-07-08 00:00:00
2        3  003030  祖名股份  ...   略增  2.283200e+08  2020-07-08 00:00:00
3        4  003031  中瓷电子  ...   略增  1.678760e+07  2020-05-15 00:00:00
4        5  003031  中瓷电子  ...   略增  1.423360e+07  2020-05-15 00:00:00
    ...     ...   ...  ...  ...           ...                  ...
2514  2515  300294  博雅生物  ...  不确定  7.300522e+06  2020-02-03 00:00:00
2515  2516  300708  聚灿光电  ...   扭亏 -8.405100e+06  2020-01-23 00:00:00
2516  2517  002617  露笑科技  ...   略增  8.054310e+07  2020-01-23 00:00:00
2517  2518  000818  航锦科技  ...   续盈  1.101800e+08  2020-01-16 00:00:00
2518  2519  000818  航锦科技  ...   续盈  1.600000e-01  2020-01-16 00:00:00
```

#### 预约披露时间-东方财富

接口: stock_yysj_em

目标地址: http://data.eastmoney.com/bbsj/202003/yysj.html

描述: 东方财富-数据中心-年报季报-预约披露时间

限量: 单次获取指定 symbol 和 date 的预约披露时间数据

输入参数

| 名称     | 类型  | 描述                                                                                         |
|--------|-----|--------------------------------------------------------------------------------------------|
| symbol | str | symbol="沪深A股"; choice of {'沪深A股', '沪市A股', '科创板', '深市A股', '创业板', '京市A股', 'ST板'}             |
| date   | str | date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20081231 开始 |

输出参数

| 名称     | 类型     | 描述  |
|--------|--------|-----|
| 序号     | int64  | -   |
| 股票代码   | object | -   |
| 股票简称   | object | -   |
| 首次预约时间 | object | -   |
| 一次变更日期 | object | -   |
| 二次变更日期 | object | -   |
| 三次变更日期 | object | -   |
| 实际披露时间 | object | -   |

接口示例

```python
import akshare as ak

stock_yysj_em_df = ak.stock_yysj_em(date="20190331")
print(stock_yysj_em_df)
```

数据示例

```
        序号 股票代码 股票简称 首次预约时间  一次变更日期 二次变更日期 三次变更日期 实际披露时间
0        1  002778  中晟高科  2020-01-17  2020-04-17    NaT    NaT  2020-04-17
1        2  300617  安靠智电  2020-01-17         NaT    NaT    NaT  2020-01-17
2        3  002099  海翔药业  2020-01-23         NaT    NaT    NaT  2020-01-23
3        4  002315  焦点科技  2020-02-08         NaT    NaT    NaT  2020-02-08
4        5  603822  嘉澳环保  2020-02-10  2020-02-18    NaT    NaT  2020-02-18
    ...     ...   ...         ...         ...    ...    ...         ...
3759  3760  688010  福光股份  2020-04-30         NaT    NaT    NaT  2020-04-30
3760  3761  688026  洁特生物  2020-04-30         NaT    NaT    NaT  2020-04-30
3761  3762  002377  国创高新  2020-05-20         NaT    NaT    NaT  2020-05-20
3762  3763  002783  凯龙股份  2020-05-22         NaT    NaT    NaT  2020-05-22
3763  3764  002694  顾地科技  2020-06-24         NaT    NaT    NaT  2020-06-24
```

#### 预约披露时间-巨潮资讯

接口: stock_report_disclosure

目标地址: http://www.cninfo.com.cn/new/commonUrl?url=data/yypl

描述: 巨潮资讯-数据-预约披露的数据

限量: 单次获取指定 market 和 period 的预约披露数据

输入参数

| 名称     | 类型  | 描述                                                                                   |
|--------|-----|--------------------------------------------------------------------------------------|
| market | str | market="沪深京"; choice of {"沪深京", "深市", "深主板", "创业板", "沪市", "沪主板", "科创板", "北交所"}       |
| period | str | period="2021年报"; 近四期的财务报告; e.g., choice of {"2021一季", "2021半年报", "2021三季", "2021年报"} |

输出参数

| 名称   | 类型     | 描述  |
|------|--------|-----|
| 股票代码 | object | -   |
| 股票简称 | object | -   |
| 首次预约 | object | -   |
| 初次变更 | object | -   |
| 二次变更 | object | -   |
| 三次变更 | object | -   |
| 实际披露 | object | -   |

接口示例

```python
import akshare as ak

stock_report_disclosure_df = ak.stock_report_disclosure(market="沪深京", period="2021年报")
print(stock_report_disclosure_df)
```

数据示例

```
      股票代码   股票简称 首次预约        初次变更 二次变更 三次变更   实际披露
0     000001   平安银行  2022-03-10         NaT  NaT  NaT  2022-03-10
1     000002  万  科Ａ  2022-03-31         NaT  NaT  NaT  2022-03-31
2     000004   ST国华  2022-04-29  2022-04-30  NaT  NaT  2022-04-30
3     000005   ST星源  2022-04-27         NaT  NaT  NaT  2022-04-27
4     000006   深振业Ａ  2022-04-16         NaT  NaT  NaT  2022-04-16
      ...    ...         ...         ...  ...  ...         ...
4732  871553   凯腾精工  2022-03-25         NaT  NaT  NaT  2022-03-25
4733  871642   通易航天  2022-04-28         NaT  NaT  NaT  2022-04-28
4734  871857   泓禧科技  2022-04-28  2022-03-17  NaT  NaT  2022-03-17
4735  871981   晶赛科技  2022-04-25         NaT  NaT  NaT  2022-04-25
4736  872925   锦好医疗  2022-03-14  2022-03-28  NaT  NaT  2022-03-28
```

#### 行业分类数据-巨潮资讯

接口: stock_industry_category_cninfo

目标地址: http://webapi.cninfo.com.cn/#/apiDoc

描述: 巨潮资讯-数据-行业分类数据

限量: 单次获取指定 symbol 的行业分类数据

输入参数

| 名称     | 类型  | 描述                                                                                                                                 |
|--------|-----|------------------------------------------------------------------------------------------------------------------------------------|
| symbol | str | symbol="巨潮行业分类标准"; choice of {"证监会行业分类标准", "巨潮行业分类标准", "申银万国行业分类标准", "新财富行业分类标准", "国资委行业分类标准", "巨潮产业细分标准", "天相行业分类标准", "全球行业分类标准"} |

输出参数

| 名称     | 类型         | 描述  |
|--------|------------|-----|
| 类目编码   | object     | -   |
| 类目名称   | object     | -   |
| 终止日期   | datetime64 | -   |
| 行业类型   | object     | -   |
| 行业类型编码 | object     | -   |
| 类目名称英文 | object     | -   |
| 父类编码   | object     | -   |
| 分级     | int32      | -   |

接口示例

```python
import akshare as ak

stock_industry_category_cninfo_df = ak.stock_industry_category_cninfo(symbol="巨潮行业分类标准")
print(stock_industry_category_cninfo_df)
```

数据示例

```
          类目编码      类目名称  ...     父类编码 分级
0            Z  巨潮行业分类标准  ...      008  0
1          Z01        能源  ...        Z  1
2        Z0101        能源  ...      Z01  2
3      Z010101   能源设备与服务  ...    Z0101  3
4    Z01010101      能源设备  ...  Z010101  4
..         ...       ...  ...      ... ..
289  Z11020101     房地产信托  ...  Z110201  4
290    Z110202     房地产租赁  ...    Z1102  3
291  Z11020201     房地产租赁  ...  Z110202  4
292    Z110203   其他房地产服务  ...    Z1102  3
293  Z11020301   其他房地产服务  ...  Z110203  4
```

#### 上市公司行业归属的变动情况-巨潮资讯

接口: stock_industry_change_cninfo

目标地址: http://webapi.cninfo.com.cn/#/apiDoc

描述: 巨潮资讯-数据-上市公司行业归属的变动情况

限量: 单次获取指定 symbol 在 start_date 和 end_date 之间的上市公司行业归属的变动情况数据

输入参数

| 名称         | 类型  | 描述                    |
|------------|-----|-----------------------|
| symbol     | str | symbol="002594"       |
| start_date | str | start_date="20091227" |
| end_date   | str | end_date="20220708"   |

输出参数

| 名称     | 类型     | 描述  |
|--------|--------|-----|
| 新证券简称  | object | -   |
| 行业中类   | object | -   |
| 行业大类   | object | -   |
| 行业次类   | object | -   |
| 行业门类   | object | -   |
| 机构名称   | object | -   |
| 行业编码   | object | -   |
| 分类标准   | object | -   |
| 分类标准编码 | object | -   |
| 证券代码   | object | -   |
| 变更日期   | object | -   |

接口示例

```python
import akshare as ak

stock_industry_change_cninfo_df = ak.stock_industry_change_cninfo(symbol="002594", start_date="20091227", end_date="20220708")
print(stock_industry_change_cninfo_df)
```

数据示例

```
   新证券简称      行业中类      行业大类  ...  分类标准编码    证券代码        变更日期
0    比亚迪  汽车和汽车零部件  汽车和汽车零部件  ...  008004  002594  2011-06-08
1    比亚迪     其他制造业     其他制造业  ...  008009  002594  2011-06-08
2    比亚迪       乘用车       乘用车  ...  008018  002594  2011-06-21
3    比亚迪       NaN     汽车制造业  ...  008001  002594  2011-06-30
4    比亚迪        轿车        汽车  ...  008013  002594  2011-06-30
5    比亚迪        轿车        汽车  ...  008013  002594  2017-10-16
6    比亚迪        轿车        汽车  ...  008002  002594  2019-05-28
7    比亚迪        汽车    汽车与摩托车  ...  008019  002594  2020-03-16
8    比亚迪       NaN        汽车  ...  008016  002594  2021-06-21
9    比亚迪     电动乘用车     电动乘用车  ...  008003  002594  2021-07-30
10   比亚迪       乘用车       乘用车  ...  008014  002594  2021-12-17
```

#### 公司股本变动-巨潮资讯

接口: stock_share_change_cninfo

目标地址: http://webapi.cninfo.com.cn/#/apiDoc

描述: 巨潮资讯-数据-公司股本变动

限量: 单次获取指定 symbol 在 start_date 和 end_date 之间的公司股本变动数据

输入参数

| 名称         | 类型  | 描述                    |
|------------|-----|-----------------------|
| symbol     | str | symbol="002594"       |
| start_date | str | start_date="20091227" |
| end_date   | str | end_date="20220708"   |

输出参数

| 名称         | 类型      | 描述  |
|------------|---------|-----|
| 证券简称       | object  | -   |
| 机构名称       | object  | -   |
| 境外法人持股     | float64 | -   |
| 证券投资基金持股   | float64 | -   |
| 国家持股-受限    | float64 | -   |
| 国有法人持股     | float64 | -   |
| 配售法人股      | float64 | -   |
| 发起人股份      | float64 | -   |
| 未流通股份      | float64 | -   |
| 其中：境外自然人持股 | float64 | -   |
| 其他流通受限股份   | float64 | -   |
| 其他流通股      | float64 | -   |
| 外资持股-受限    | float64 | -   |
| 内部职工股      | float64 | -   |
| 境外上市外资股-H股 | float64 | -   |
| 其中：境内法人持股  | float64 | -   |
| 自然人持股      | float64 | -   |
| 人民币普通股     | float64 | -   |
| 国有法人持股-受限  | float64 | -   |
| 一般法人持股     | float64 | -   |
| 控股股东、实际控制人 | float64 | -   |
| 其中：限售H股    | float64 | -   |
| 变动原因       | object  | -   |
| 公告日期       | object  | -   |
| 境内法人持股     | float64 | -   |
| 证券代码       | object  | -   |
| 变动日期       | object  | -   |
| 战略投资者持股    | float64 | -   |
| 国家持股       | float64 | -   |
| 其中：限售B股    | float64 | -   |
| 其他未流通股     | float64 | -   |
| 流通受限股份     | float64 | -   |
| 优先股        | float64 | -   |
| 高管股        | float64 | -   |
| 总股本        | float64 | -   |
| 其中：限售高管股   | float64 | -   |
| 转配股        | float64 | -   |
| 境内上市外资股-B股 | float64 | -   |
| 其中：境外法人持股  | float64 | -   |
| 募集法人股      | float64 | -   |
| 已流通股份      | float64 | -   |
| 其中：境内自然人持股 | float64 | -   |
| 其他内资持股-受限  | float64 | -   |
| 变动原因编码     | object  | -   |

接口示例

```python
import akshare as ak

stock_share_change_cninfo_df = ak.stock_share_change_cninfo(symbol="002594", start_date="20091227", end_date="20220713")
print(stock_share_change_cninfo_df)
```

数据示例

```
   证券简称     机构名称  境外法人持股  ...   其中：境内自然人持股    其他内资持股-受限         变动原因编码
0   比亚迪  比亚迪股份有限公司     NaN  ...  129518.2500  146457.3960  015001,015019
1   比亚迪  比亚迪股份有限公司     NaN  ...  129518.2500  146457.3960         015009
2   比亚迪  比亚迪股份有限公司     NaN  ...  129518.2500  146457.3960         015019
3   比亚迪  比亚迪股份有限公司     NaN  ...  103909.7150  120525.4050         015019
4   比亚迪  比亚迪股份有限公司     NaN  ...   82121.6860   98737.3760         015027
5   比亚迪  比亚迪股份有限公司     NaN  ...  105034.8585  121650.5485         015019
6   比亚迪  比亚迪股份有限公司     NaN  ...  101057.0665  117672.7565         015019
7   比亚迪  比亚迪股份有限公司     NaN  ...  101057.0665  117672.7565         015019
8   比亚迪  比亚迪股份有限公司     NaN  ...  101057.0665  117672.7565         015005
9   比亚迪  比亚迪股份有限公司     NaN  ...   74641.3870   86835.0265         015019
10  比亚迪  比亚迪股份有限公司     NaN  ...   77933.1165   90126.7560         015027
11  比亚迪  比亚迪股份有限公司     NaN  ...   73295.2720   85488.9115         015019
12  比亚迪  比亚迪股份有限公司     NaN  ...   74625.3530   84758.9925         015019
13  比亚迪  比亚迪股份有限公司     NaN  ...   73295.2720   81424.3650         015027
14  比亚迪  比亚迪股份有限公司     NaN  ...   72387.8051   80516.8981         015019
15  比亚迪  比亚迪股份有限公司     NaN  ...   67996.6256   72061.1721         015019
16  比亚迪  比亚迪股份有限公司     NaN  ...   72387.8051   76452.3516         015027
17  比亚迪  比亚迪股份有限公司     NaN  ...   67996.6256   95881.7294         015004
18  比亚迪  比亚迪股份有限公司     NaN  ...   67044.1386   96322.9706         015019
19  比亚迪  比亚迪股份有限公司     NaN  ...   67480.9896   92695.2751         015019
20  比亚迪  比亚迪股份有限公司     NaN  ...   67044.1386   92258.4241         015027
21  比亚迪  比亚迪股份有限公司     NaN  ...   67480.9896   67480.9896         015027
22  比亚迪  比亚迪股份有限公司     NaN  ...   67480.9896   67480.9896         015019
23  比亚迪  比亚迪股份有限公司     NaN  ...   67134.3301   67134.3301         015019
24  比亚迪  比亚迪股份有限公司     NaN  ...   67092.8936   67092.8936         015019
25  比亚迪  比亚迪股份有限公司     NaN  ...   67248.1221   67248.1221         015019
26  比亚迪  比亚迪股份有限公司     NaN  ...   67151.6826   67151.6826         015019
27  比亚迪  比亚迪股份有限公司     NaN  ...   66747.5312   66747.5312         015019
28  比亚迪  比亚迪股份有限公司     NaN  ...   66714.9897   66714.9897         015019
29  比亚迪  比亚迪股份有限公司     NaN  ...   66747.5312   66747.5312         015004
30  比亚迪  比亚迪股份有限公司     NaN  ...   65808.4620   65808.4620         015019
31  比亚迪  比亚迪股份有限公司     NaN  ...   65808.4620   65808.4620         015004
32  比亚迪  比亚迪股份有限公司     NaN  ...   65808.4620   65808.4620         015019
33  比亚迪  比亚迪股份有限公司     NaN  ...   64837.8251   64837.8251         015999
```

#### 配股实施方案-巨潮资讯

接口: stock_allotment_cninfo

目标地址: http://webapi.cninfo.com.cn/#/dataBrowse

描述: 巨潮资讯-个股-配股实施方案

限量: 单次获取指定 symbol 在 start_date 和 end_date 之间的公司股本变动数据

输入参数

| 名称         | 类型  | 描述                    |
|------------|-----|-----------------------|
| symbol     | str | symbol="600030"       |
| start_date | str | start_date="19700101" |
| end_date   | str | end_date="22220222"   |

输出参数

| 名称           | 类型         | 描述  |
|--------------|------------|-----|
| 记录标识         | int64      | -   |
| 证券简称         | object     | -   |
| 停牌起始日        | object     | -   |
| 上市公告日期       | object     | -   |
| 配股缴款起始日      | object     | -   |
| 可转配股数量       | float64    | -   |
| 停牌截止日        | object     | -   |
| 实际配股数量       | float64    | -   |
| 配股价格         | float64    | -   |
| 配股比例         | float64    | -   |
| 配股前总股本       | float64    | -   |
| 每股配权转让费(元)   | float64    | -   |
| 法人股实配数量      | float64    | -   |
| 实际募资净额       | float64    | -   |
| 大股东认购方式      | object     | -   |
| 其他配售简称       | object     | -   |
| 发行方式         | object     | -   |
| 配股失败，退还申购款日期 | object     | -   |
| 除权基准日        | object     | -   |
| 预计发行费用       | float64    | -   |
| 配股发行结果公告日    | object     | -   |
| 证券代码         | object     | -   |
| 配股权证交易截止日    | datetime64 | -   |
| 其他股份实配数量     | float64    | -   |
| 国家股实配数量      | float64    | -   |
| 委托单位         | object     | -   |
| 公众获转配数量      | float64    | -   |
| 其他配售代码       | object     | -   |
| 配售对象         | object     | -   |
| 配股权证交易起始日    | datetime64 | -   |
| 资金到账日        | datetime64 | -   |
| 机构名称         | object     | -   |
| 股权登记日        | object     | -   |
| 实际募资总额       | float64    | -   |
| 预计募集资金       | float64    | -   |
| 大股东认购数量      | float64    | -   |
| 公众股实配数量      | float64    | -   |
| 转配股实配数量      | float64    | -   |
| 承销费用         | float64    | -   |
| 法人获转配数量      | float64    | -   |
| 配股后流通股本      | float64    | -   |
| 股票类别         | object     | -   |
| 公众配售简称       | object     | -   |
| 发行方式编码       | object     | -   |
| 承销方式         | object     | -   |
| 公告日期         | object     | -   |
| 配股上市日        | object     | -   |
| 配股缴款截止日      | object     | -   |
| 承销余额(股)      | float64    | -   |
| 预计配股数量       | float64    | -   |
| 配股后总股本       | float64    | -   |
| 职工股实配数量      | float64    | -   |
| 承销方式编码       | object     | -   |
| 发行费用总额       | float64    | -   |
| 配股前流通股本      | float64    | -   |
| 股票类别编码       | object     | -   |
| 公众配售代码       | object     | -   |

接口示例

```python
import akshare as ak

stock_allotment_cninfo_df = ak.stock_allotment_cninfo(symbol="600030", start_date="19900101", end_date="20221008")
print(stock_allotment_cninfo_df)
```

数据示例

```
    记录标识  证券简称       停牌起始日  ...     配股前流通股本  股票类别编码  公众配售代码
0  4475575959  中信证券  2022-01-19  ...  1209298.94  001001  700030
```

#### 公司概况-巨潮资讯

接口: stock_profile_cninfo

目标地址: http://webapi.cninfo.com.cn/#/company

描述: 巨潮资讯-个股-公司概况

限量: 单次获取指定 symbol 在 start_date 和 end_date 之间的公司股本变动数据

输入参数

| 名称         | 类型  | 描述                    |
|------------|-----|-----------------------|
| symbol     | str | symbol="600030"       |

输出参数

| 名称   | 类型     | 描述  |
|------|--------|-----|
| 公司名称 | object | -   |
| 英文名称 | object | -   |
| 曾用简称 | object | -   |
| A股代码 | object | -   |
| A股简称 | object | -   |
| B股代码 | object | -   |
| B股简称 | object | -   |
| H股代码 | object | -   |
| H股简称 | object | -   |
| 入选指数 | object | -   |
| 所属市场 | object | -   |
| 所属行业 | object | -   |
| 法人代表 | object | -   |
| 注册资金 | object | -   |
| 成立日期 | object | -   |
| 上市日期 | object | -   |
| 官方网站 | object | -   |
| 电子邮箱 | object | -   |
| 联系电话 | object | -   |
| 传真   | object | -   |
| 注册地址 | object | -   |
| 办公地址 | object | -   |
| 邮政编码 | object | -   |
| 主营业务 | object | -   |
| 经营范围 | object | -   |
| 机构简介 | object | -   |

接口示例

```python
import akshare as ak

stock_profile_cninfo_df = ak.stock_profile_cninfo(symbol="600030")
print(stock_profile_cninfo_df)
```

数据示例

```
         公司名称  ...                                               机构简介
0  中信证券股份有限公司  ...  公司的前身中信证券有限责任公司是经中国人民银行银复[1995]313号文批准，由中信公司，中...
```

#### 资产负债表

接口: stock_zcfz_em

目标地址: http://data.eastmoney.com/bbsj/202003/zcfz.html

描述: 东方财富-数据中心-年报季报-业绩快报-资产负债表

限量: 单次获取指定 date 的资产负债表数据

输入参数

| 名称   | 类型  |  描述                                                                                        |
|------|-----|--------------------------------------------------------------------------------------------|
| date | str | date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20081231 开始 |

输出参数

| 名称       | 类型      | 描述      |
|----------|---------|---------|
| 序号       | int64   | -       |
| 股票代码     | object  | -       |
| 股票简称     | object  | -       |
| 资产-货币资金  | float64 | 注意单位: 元 |
| 资产-应收账款  | float64 | 注意单位: 元 |
| 资产-存货    | float64 | 注意单位: 元 |
| 资产-总资产   | float64 | 注意单位: 元 |
| 资产-总资产同比 | float64 | 注意单位: % |
| 负债-应付账款  | float64 | 注意单位: 元 |
| 负债-总负债   | float64 | 注意单位: 元 |
| 负债-预收账款  | float64 | 注意单位: 元 |
| 负债-总负债同比 | float64 | 注意单位: % |
| 资产负债率    | float64 | 注意单位: % |
| 股东权益合计   | float64 | 注意单位: 元 |
| 公告日期     | object  | -       |

接口示例

```python
import akshare as ak

stock_zcfz_em_df = ak.stock_zcfz_em(date="20220331")
print(stock_zcfz_em_df)
```

数据示例

```
        序号    股票代码  股票简称  ...      资产负债率        股东权益合计        公告日期
0        1  689009  九号公司  ...  43.468006  4.336026e+09  2022-04-30
1        2  688819  天能股份  ...  54.060903  1.316418e+10  2022-04-30
2        3  688789  宏华数科  ...  15.887649  1.583510e+09  2022-04-30
3        4  688728   格科微  ...  47.046658  7.800925e+09  2022-04-30
4        5  688711  宏微科技  ...  15.249714  8.846763e+08  2022-04-30
    ...     ...   ...  ...        ...           ...         ...
4689  4690  000921  海信家电  ...  71.695759  1.556595e+10  2022-04-12
4690  4691  000838  财信发展  ...  86.070793  1.907452e+09  2022-04-12
4691  4692  600313  农发种业  ...  32.933914  2.269956e+09  2022-04-08
4692  4693  600731  湖南海利  ...  45.418289  1.893839e+09  2022-04-07
4693  4694  300692  中环环保  ...  58.367935  2.275923e+09  2022-04-02
```

#### 利润表

接口: stock_lrb_em

目标地址: http://data.eastmoney.com/bbsj/202003/lrb.html

描述: 东方财富-数据中心-年报季报-业绩快报-利润表

限量: 单次获取指定 date 的利润表数据

输入参数

| 名称   | 类型  | 描述                                                                                         |
|------|-----|--------------------------------------------------------------------------------------------|
| date | str | date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20081231 开始 |

输出参数

| 名称          | 类型      | 描述      |
|-------------|---------|---------|
| 序号          | int64   | -       |
| 股票代码        | object  | -       |
| 股票简称        | object  | -       |
| 净利润         | float64 | 注意单位: 元 |
| 净利润同比       | float64 | 注意单位: % |
| 营业总收入       | float64 | 注意单位: 元 |
| 营业总收入同比     | float64 | 注意单位: % |
| 营业总支出-营业支出  | float64 | 注意单位: 元 |
| 营业总支出-销售费用  | float64 | 注意单位: 元 |
| 营业总支出-管理费用  | float64 | 注意单位: 元 |
| 营业总支出-财务费用  | float64 | 注意单位: 元 |
| 营业总支出-营业总支出 | float64 | 注意单位: 元 |
| 营业利润        | float64 | 注意单位: 元 |
| 利润总额        | float64 | 注意单位: 元 |
| 公告日期        | object  | -       |

接口示例

```python
import akshare as ak

stock_lrb_em_df = ak.stock_lrb_em(date="20220331")
print(stock_lrb_em_df)
```

数据示例

```
        序号    股票代码  股票简称  ...          营业利润          利润总额        公告日期
0        1  689009  九号公司  ...  6.341801e+07  7.554774e+07  2022-04-30
1        2  688819  天能股份  ...  4.751819e+08  4.854114e+08  2022-04-30
2        3  688789  宏华数科  ...  8.604662e+07  8.609621e+07  2022-04-30
3        4  688728   格科微  ...  2.921737e+08  2.921569e+08  2022-04-30
4        5  688711  宏微科技  ...  1.037831e+07  1.231014e+07  2022-04-30
    ...     ...   ...  ...           ...           ...         ...
4689  4690  000921  海信家电  ...  7.028900e+08  7.470311e+08  2022-04-12
4690  4691  000838  财信发展  ...  1.145975e+08  1.148306e+08  2022-04-12
4691  4692  600313  农发种业  ...  4.302312e+07  4.113952e+07  2022-04-08
4692  4693  600731  湖南海利  ...  7.562458e+07  7.978201e+07  2022-04-07
4693  4694  300692  中环环保  ...  5.607089e+07  5.609576e+07  2022-04-02
```

#### 现金流量表

接口: stock_xjll_em

目标地址: http://data.eastmoney.com/bbsj/202003/xjll.html

描述: 东方财富-数据中心-年报季报-业绩快报-现金流量表

限量: 单次获取指定 date 的现金流量表数据

输入参数

| 名称   | 类型  | 描述                                                                                         |
|------|-----|--------------------------------------------------------------------------------------------|
| date | str | date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20081231 开始 |

输出参数

| 名称            | 类型      | 描述      |
|---------------|---------|---------|
| 序号            | int64   | -       |
| 股票代码          | object  | -       |
| 股票简称          | object  | -       |
| 净现金流-净现金流     | float64 | 注意单位: 元 |
| 净现金流-同比增长     | float64 | 注意单位: % |
| 经营性现金流-现金流量净额 | float64 | 注意单位: 元 |
| 经营性现金流-净现金流占比 | float64 | 注意单位: % |
| 投资性现金流-现金流量净额 | float64 | 注意单位: 元 |
| 投资性现金流-净现金流占比 | float64 | 注意单位: % |
| 融资性现金流-现金流量净额 | float64 | 注意单位: 元 |
| 融资性现金流-净现金流占比 | float64 | 注意单位: % |
| 公告日期          | object  | -       |

接口示例

```python
import akshare as ak

stock_xjll_em_df = ak.stock_xjll_em(date="20200331")
print(stock_xjll_em_df)
```

数据示例

```
        序号 股票代码  股票简称  ... 融资性现金流-现金流量净额  融资性现金流-净现金流占比        公告日期
0        1  689009  九号公司  ...  -3.985194e+06      -1.551691  2022-04-30
1        2  688819  天能股份  ...   1.417293e+09      61.772831  2022-04-30
2        3  688789  宏华数科  ...  -5.790733e+05      -0.625678  2022-04-30
3        4  688728   格科微  ...   1.046237e+09     156.145900  2022-04-30
4        5  688711  宏微科技  ...   1.612512e+07      49.691423  2022-04-30
    ...     ...   ...  ...            ...            ...         ...
4689  4690  000921  海信家电  ...  -4.811565e+08   -1088.173981  2022-04-12
4690  4691  000838  财信发展  ...  -1.434027e+08     -44.002389  2022-04-12
4691  4692  600313  农发种业  ...  -5.489125e+07    -188.854591  2022-04-08
4692  4693  600731  湖南海利  ...   1.394648e+08     153.341554  2022-04-07
4693  4694  300692  中环环保  ...   1.188472e+08     136.620224  2022-04-02
```

### 高管持股

#### 股东增减持

接口: stock_ggcg_em

目标地址: http://data.eastmoney.com/executive/gdzjc.html

描述: 东方财富网-数据中心-特色数据-高管持股

限量: 单次获取所有高管持股数据数据

输入参数

| 名称     | 类型  | 描述                                            |
|--------|-----|-----------------------------------------------|
| symbol | str | symbol="全部"; choice of {"全部", "股东增持", "股东减持"} |

输出参数

| 名称             | 类型      | 描述       |
|----------------|---------|----------|
| 代码             | object  | -        |
| 名称             | object  | -        |
| 最新价            | float64 | -        |
| 涨跌幅            | float64 | 注意单位: %  |
| 股东名称           | object  | -        |
| 持股变动信息-增减      | float64 | -        |
| 持股变动信息-变动数量    | float64 | 注意单位: 万股 |
| 持股变动信息-占总股本比例  | float64 | 注意单位: %  |
| 持股变动信息-占流通股比例  | float64 | 注意单位: %  |
| 变动后持股情况-持股总数   | float64 | 注意单位: 万股 |
| 变动后持股情况-占总股本比例 | float64 | 注意单位: %  |
| 变动后持股情况-持流通股数  | float64 | 注意单位: 万股 |
| 变动后持股情况-占流通股比例 | float64 | 注意单位: %  |
| 变动开始日          | object  | -        |
| 变动截止日          | object  | -        |
| 公告日            | object  | -        |

接口示例

```python
import akshare as ak

stock_ggcg_em_df = ak.stock_ggcg_em(symbol="全部")
print(stock_ggcg_em_df)
```

数据示例

```
        代码   名称       最新价  ...    变动开始日   变动截止日       公告日
0       688369  致远互联  44.19  ...  2022-01-05  2022-04-29  2022-04-30
1       688106  金宏气体  16.33  ...         NaT  2022-04-29  2022-04-30
2       601966  玲珑轮胎  17.77  ...  2022-04-29  2022-04-29  2022-04-30
3       601199  江南水务   5.80  ...  2022-01-29  2022-04-29  2022-04-30
4       600346  恒力石化  20.95  ...         NaT  2022-04-29  2022-04-30
        ...   ...    ...  ...         ...         ...         ...
112446  600653  申华控股   1.83  ...  1996-11-29  1996-12-03  1996-12-04
112447  600653  申华控股   1.83  ...  1996-11-26  1996-11-28  1996-11-29
112448  600653  申华控股   1.83  ...  1996-11-21  1996-11-25  1996-11-26
112449  600653  申华控股   1.83  ...         NaT  1996-11-20  1996-11-21
112450  600651  飞乐音响   2.96  ...         NaT  1994-08-05  1994-08-10
```

### 分红配送

接口: stock_fhps_em

目标地址: http://data.eastmoney.com/yjfp/

描述: 东方财富-数据中心-年报季报-分红配送

限量: 单次获取指定日期的分红配送数据

输入参数

| 名称   | 类型  | 描述                                                                 |
|------|-----|--------------------------------------------------------------------|
| date | str | date="20201231"; choice of {"XXXX0630", "XXXX1231"}; 从 19901231 开始 |

输出参数

| 名称          | 类型      | 描述  |
|-------------|---------|-----|
| 代码          | object  | -   |
| 名称          | object  | -   |
| 送转股份-送转总比例  | float64 | -   |
| 送转股份-送转比例   | float64 | -   |
| 送转股份-转股比例   | float64 | -   |
| 现金分红-现金分红比例 | float64 | -   |
| 现金分红-股息率    | float64 | -   |
| 每股收益        | float64 | -   |
| 每股净资产       | float64 | -   |
| 每股公积金       | float64 | -   |
| 每股未分配利润     | float64 | -   |
| 净利润同比增长     | float64 | -   |
| 总股本         | int64   | -   |
| 预案公告日       | object  | -   |
| 股权登记日       | object  | -   |
| 除权除息日       | object  | -   |
| 方案进度        | object  | -   |
| 最新公告日期      | object  | -   |

接口示例

```python
import akshare as ak

stock_fhps_em_df = ak.stock_fhps_em(date="20201231")
print(stock_fhps_em_df)
```

数据示例

```
      代码    名称  送转股份-送转总比例  ...   除权除息日  方案进度  最新公告日期
0     688601   力芯微         NaN  ...  2021-12-20  实施分配  2021-12-14
1     688509  正元地信         NaN  ...  2021-12-30  实施分配  2021-12-23
2     002218  拓日新能         NaN  ...  2021-12-17  实施分配  2021-12-11
3     001212  中旗新材         NaN  ...  2021-11-02  实施分配  2021-10-27
4     301028  东亚机械         NaN  ...         NaT  取消分配  2021-08-27
      ...   ...         ...  ...         ...   ...         ...
3062  600315  上海家化         NaN  ...  2021-08-05  实施分配  2021-07-30
3063  000001  平安银行         NaN  ...  2021-05-14  实施分配  2021-05-07
3064  300617  安靠智电         NaN  ...  2021-03-02  实施分配  2021-02-23
3065  002107  沃华医药         NaN  ...  2021-04-09  实施分配  2021-03-31
3066  002886  沃特股份         7.0  ...  2021-05-13  实施分配  2021-04-30
```

### 资金流向

#### 同花顺

##### 个股资金流

接口: stock_fund_flow_individual

目标地址: http://data.10jqka.com.cn/funds/ggzjl/#refCountId=data_55f13c2c_254

描述: 同花顺-数据中心-资金流向-个股资金流

限量: 单次获取指定 symbol 的概念资金流数据

输入参数

| 名称     | 类型  | 描述                                                              |
|--------|-----|-----------------------------------------------------------------|
| symbol | str | symbol="即时"; choice of {“即时”, "3日排行", "5日排行", "10日排行", "20日排行"} |

输出参数-即时

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 序号   | int32   | -       |
| 股票代码 | int64   | -       |
| 股票简称 | object  | -       |
| 最新价  | float64 | -       |
| 涨跌幅  | object  | 注意单位: % |
| 换手率  | object  | -       |
| 流入资金 | object  | 注意单位: 元 |
| 流出资金 | object  | 注意单位: 元 |
| 净额   | object  | 注意单位: 元 |
| 成交额  | object  | 注意单位: 元 |
| 大单流入 | object  | 注意单位: 元 |

接口示例-即时

```python
import akshare as ak

stock_fund_flow_individual_df = ak.stock_fund_flow_individual(symbol="即时")
print(stock_fund_flow_individual_df)
```

数据示例-即时

```
        序号      行业  行业指数    涨跌幅  ...      公司家数        领涨股       涨跌幅       当前价
0        1  300061  旗天科技   6.90  ...     4.63亿  -3656.13万     8.89亿     1.30亿
1        2  300171   东富龙  28.49  ...     1.68亿   4488.23万     3.80亿  6876.22万
2        3    2248  华东数控   6.17  ...     1.20亿  -1952.27万     2.20亿   752.59万
3        4  300325  ST德威   1.73  ...  8562.60万   7795.99万     2.49亿  8953.17万
4        5  300141  和顺电气   9.71  ...     1.18亿   -471.92万     2.31亿  5185.56万
    ...     ...   ...    ...  ...       ...        ...       ...       ...
4163  4164  300783  三只松鼠  54.41  ...     4.05亿  -6084.78万     7.50亿     1.06亿
4164  4165  300791  仙乐健康  79.00  ...     1.00亿  -4467.92万     1.56亿   914.81万
4165  4166  688313  仕佳光子  16.36  ...  4487.91万  -1334.78万  7641.04万   461.98万
4166  4167  300526  中潜股份  27.32  ...     2.57亿      8.49亿    13.63亿     8.53亿
4167  4168  300892  品渥食品  53.37  ...     2.31亿  -5625.06万     4.06亿  3825.87万
```

输出参数-3日、5日、10日和20日

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int32   | -       |
| 股票代码   | int64   | -       |
| 股票简称   | object  | -       |
| 最新价    | float64 | -       |
| 阶段涨跌幅  | object  | 注意单位: % |
| 连续换手率  | object  | 注意单位: % |
| 资金流入净额 | float64 | 注意单位: 元 |

接口示例-3日、5日、10日和20日

```python
import akshare as ak

stock_fund_flow_individual_df = ak.stock_fund_flow_individual(symbol="3日排行")
print(stock_fund_flow_individual_df)
```

数据示例-3日、5日、10日和20日

```
      序号  股票代码  股票简称  最新价  阶段涨跌幅  连续换手率 资金流入净额
0        1  300975  商络电子  28.14  413.50%  198.89%     -1.45亿
1        2  605016  百龙创园  25.48   74.28%    1.44%  -1018.34万
2        3  605098  行动教育  48.06   74.26%    3.88%  -3551.65万
3        4  688201  信安世纪  42.50   58.70%  145.18%  -6456.07万
4        5  688639  华恒生物  36.30   56.74%  123.02%  -6329.43万
    ...     ...   ...    ...      ...      ...        ...
4163  4164  688229  博睿数据  74.93  -24.21%   20.97%  -1694.05万
4164  4165    3036  泰坦股份  17.89  -24.42%  147.69%     -1.17亿
4165  4166  300887  谱尼测试  58.52  -37.71%   47.51%    368.01万
4166  4167  300526  中潜股份  27.32  -44.57%   26.37%      9.16亿
4167  4168    2911  佛燃能源  10.15  -47.35%    2.41%  -2280.56万
```

##### 概念资金流

接口: stock_fund_flow_concept

目标地址: http://data.10jqka.com.cn/funds/gnzjl/#refCountId=data_55f13c2c_254

描述: 同花顺-数据中心-资金流向-概念资金流

限量: 单次获取指定 symbol 的概念资金流数据

输入参数

| 名称     | 类型  | 描述                                                              |
|--------|-----|-----------------------------------------------------------------|
| symbol | str | symbol="即时"; choice of {“即时”, "3日排行", "5日排行", "10日排行", "20日排行"} |

输出参数-即时

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 序号      | int32   | -       |
| 行业      | object  | -       |
| 行业指数    | float64 | -       |
| 行业-涨跌幅  | float64 | 注意单位: % |
| 流入资金    | float64 | 注意单位: 亿 |
| 流出资金    | float64 | 注意单位: 亿 |
| 净额      | float64 | 注意单位: 亿 |
| 公司家数    | float64 | -       |
| 领涨股     | object  | -       |
| 领涨股-涨跌幅 | float64 | 注意单位: % |
| 当前价     | float64 | 注意单位: 元 |

接口示例-即时

```python
import akshare as ak

stock_fund_flow_concept_df = ak.stock_fund_flow_concept(symbol="即时")
print(stock_fund_flow_concept_df)
```

数据示例-即时

```
      序号        行业      行业指数     行业-涨跌幅  ...  公司家数   领涨股     领涨股-涨跌幅     当前价
0      1      送转填权  1071.770   2.81%  ...    12  神宇股份  20.00%   18.96
1      2        大豆  2147.220   1.61%  ...     3  丰乐种业   2.94%   13.67
2      3      特钢概念  2655.760   1.38%  ...    19  钢研高纳   4.46%   23.18
3      4  同花顺漂亮100   951.187   1.26%  ...   100  爱尔眼科  10.97%   70.63
4      5   国家大基金持股   965.188   1.23%  ...    23  北方华创   5.16%  163.97
..   ...       ...       ...     ...  ...   ...   ...     ...     ...
266  267     高送转预期   653.076  -2.83%  ...    15  震裕科技   3.53%   74.70
267  268     拼多多概念   812.286  -2.86%  ...    11  兆驰股份  -0.18%    5.64
268  269      医美概念  1371.420  -2.90%  ...    39  爱尔眼科  10.97%   70.63
269  270        乳业  2101.210  -2.94%  ...    30  ST科迪   2.97%    2.08
270  271      数字货币  1248.700  -3.02%  ...    50   北信源   3.56%    5.53
```

输出参数-3日、5日、10日和20日

| 名称    | 类型      | 描述      |
|-------|---------|---------|
| 序号    | int32   | -       |
| 行业    | object  | -       |
| 公司家数  | int64   | -       |
| 行业指数  | float64 | -       |
| 阶段涨跌幅 | object  | 注意单位: % |
| 流入资金  | float64 | 注意单位: 亿 |
| 流出资金  | float64 | 注意单位: 亿 |
| 净额    | float64 | 注意单位: 亿 |

接口示例-3日、5日、10日和20日

```python
import akshare as ak

stock_fund_flow_concept_df = ak.stock_fund_flow_concept(symbol="3日排行")
print(stock_fund_flow_concept_df)
```

数据示例-3日、5日、10日和20日

```
      序号  行业     公司家数 行业指数 阶段涨跌幅  流入资金  流出资金 净额
0      1   医美概念    39  1371.42   3.95%   90.87   86.42   4.45
1      2   啤酒概念    11  1338.42   3.90%    7.97    6.66   1.31
2      3   辅助生殖    18  1240.24   3.85%   22.35   21.69   0.66
3      4   眼科医疗    29  1401.38   3.04%   25.12   26.04  -0.92
4      5   白酒概念    34  7185.12   2.98%  186.93  157.10  29.83
..   ...    ...   ...      ...     ...     ...     ...    ...
265  266   胎压监测    25  1341.87  -4.28%   21.96   28.51  -6.55
266  267  海南自贸区    34  1061.24  -4.36%   16.91   24.38  -7.47
267  268   无人零售    16   771.24  -4.41%    3.44    5.30  -1.86
268  269   在线旅游    15  1986.32  -4.44%   20.91   23.30  -2.39
269  270  高送转预期    15   653.08  -6.58%    5.75    8.68  -2.93
```

##### 行业资金流

接口: stock_fund_flow_industry

目标地址: http://data.10jqka.com.cn/funds/hyzjl/#refCountId=data_55f13c2c_254

描述: 同花顺-数据中心-资金流向-行业资金流

限量: 单次获取指定 symbol 的行业资金流数据

输入参数

| 名称     | 类型  | 描述                                                              |
|--------|-----|-----------------------------------------------------------------|
| symbol | str | symbol="即时"; choice of {“即时”, "3日排行", "5日排行", "10日排行", "20日排行"} |

输出参数-即时

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 序号      | int32   | -       |
| 行业      | object  | -       |
| 行业指数    | float64 | -       |
| 行业-涨跌幅  | object  | 注意单位: % |
| 流入资金    | float64 | 注意单位: 亿 |
| 流出资金    | float64 | 注意单位: 亿 |
| 净额      | float64 | 注意单位: 亿 |
| 公司家数    | float64 | -       |
| 领涨股     | object  | -       |
| 领涨股-涨跌幅 | object  | 注意单位: % |
| 当前价     | float64 | -       |

接口示例-即时

```python
import akshare as ak

stock_fund_flow_industry_df = ak.stock_fund_flow_industry(symbol="即时")
print(stock_fund_flow_industry_df)
```

数据示例-即时

```
    序号      行业      行业指数     行业-涨跌幅    流入资金  ...     净额  公司家数    领涨股     领涨股-涨跌幅     当前价
0    1      钢铁   1518.11   1.73%   67.35  ...  17.44    36   八一钢铁  10.06%    5.58
1    2  医疗器械服务  12584.10   1.18%  178.79  ...  16.98   120   热景生物  20.00%  174.13
2    3  半导体及元件   6446.56   0.30%  105.85  ...  -1.98   116   明微电子  20.00%  114.20
3    4    生物制品   7393.07   0.25%   66.23  ...   2.57    46   未名医药   9.96%   10.60
4    5   化工新材料   6444.54   0.14%   16.82  ...   0.47    18   美瑞新材   6.77%   37.08
..  ..     ...       ...     ...     ...  ...    ...   ...    ...     ...     ...
61  62  煤炭开采加工   1337.40  -1.94%   18.25  ... -10.52    35   ST永泰   2.23%    1.83
62  63      零售   1266.51  -1.97%   13.77  ... -11.86    79   吉峰科技   1.66%    4.29
63  64     养殖业   2587.41  -2.29%   10.20  ...  -4.89    26  *ST东洋   1.10%    1.84
64  65   计算机设备   2458.47  -2.35%   19.46  ... -18.20    51   创维数字   4.60%    8.64
65  66   景点及旅游   2425.33  -2.98%   21.83  ...  -4.50    25   中国中免   1.11%  299.29
```

输出参数-3日、5日、10日和20日

| 名称    | 类型      | 描述      |
|-------|---------|---------|
| 序号    | int32   | -       |
| 行业    | object  | -       |
| 公司家数  | int64   | -       |
| 行业指数  | float64 | -       |
| 阶段涨跌幅 | object  | 注意单位: % |
| 流入资金  | float64 | 注意单位: 亿 |
| 流出资金  | float64 | 注意单位: 亿 |
| 净额    | float64 | 注意单位: 亿 |

接口示例-3日、5日、10日和20日

```python
import akshare as ak

stock_fund_flow_industry_df = ak.stock_fund_flow_industry(symbol="3日排行")
print(stock_fund_flow_industry_df)
```

数据示例-3日、5日、10日和20日

```
    序号     行业  公司家数     行业指数   阶段涨跌幅   流入资金    流出资金     净额
0    1   服装家纺    61  2132.36  -2.63%  14.03   18.12  -4.09
1    2  汽车零部件   151  2809.80  -2.63%  54.04   77.27 -23.24
2    3  计算机应用   222  8233.27  -2.68%  99.81  123.20 -23.39
3    4  非汽车交运    33  2184.87  -2.70%   4.74    7.44  -2.70
4    5     公交     9  1175.02  -2.77%   1.38    2.09  -0.71
5    6   环保工程    80  2334.29  -2.82%  19.13   26.25  -7.11
6    7     零售    79  1266.51  -2.86%  25.47   29.72  -4.25
7    8     电力    76  1124.61  -2.87%  73.40   72.14   1.26
8    9   采掘服务    15   837.11  -3.13%   3.27    3.53  -0.26
9   10  计算机设备    51  2458.47  -3.14%  32.32   45.72 -13.40
10  11  酒店及餐饮     9  1288.26  -3.37%   2.94    3.57  -0.63
11  12   汽车整车    23  1938.71  -3.42%  75.73  112.25 -36.52
12  13   燃气水务    48  1197.05  -3.46%  16.98   21.85  -4.87
13  14    养殖业    26  2587.41  -3.72%  22.81   23.09  -0.28
14  15   机场航运    12  2055.57  -3.78%   6.87    9.78  -2.91
15  16  景点及旅游    25  2425.33  -6.03%  25.33   28.71  -3.38
```

##### 大单追踪

接口: stock_fund_flow_big_deal

目标地址: http://data.10jqka.com.cn/funds/ddzz/###

描述: 同花顺-数据中心-资金流向-大单追踪

限量: 单次获取当前时点的所有大单追踪数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数-即时

| 名称   | 类型      | 描述       |
|------|---------|----------|
| 成交时间 | object  | -        |
| 股票代码 | int64   | -        |
| 股票简称 | object  | -        |
| 成交价格 | float64 | -        |
| 成交量  | int64   | 注意单位: 股  |
| 成交额  | float64 | 注意单位: 万元 |
| 大单性质 | object  | -        |
| 涨跌幅  | object  | -        |
| 涨跌额  | object  | -        |

接口示例-即时

```python
import akshare as ak

stock_fund_flow_big_deal_df = ak.stock_fund_flow_big_deal()
print(stock_fund_flow_big_deal_df)
```

数据示例-即时

```
      成交时间    股票代码  股票简称     成交价格  ...      成交额  大单性质     涨跌幅    涨跌额
0     2021-04-23 15:00:00  688399  硕世生物   170.99  ...    89.33    买盘   9.62%  16.44
1     2021-04-23 15:00:00  601005  重庆钢铁     2.25  ...   168.75    卖盘   1.81%   0.04
2     2021-04-23 15:00:00  600060  海信视像    11.98  ...   281.89    买盘   1.35%   0.16
3     2021-04-23 15:00:00  601888  中国中免   299.29  ...  1137.30    买盘   1.11%   3.33
4     2021-04-23 15:00:00  600961  株冶集团     6.34  ...   169.28    买盘   1.12%   0.07
                   ...     ...   ...      ...  ...      ...   ...     ...    ...
4995  2021-04-23 14:01:31  688008  澜起科技    66.39  ...    59.95    卖盘  -0.32%  -0.21
4996  2021-04-23 14:01:29  688981  中芯国际    55.17  ...    77.40    卖盘  -0.23%  -0.13
4997  2021-04-23 14:01:29  600519  贵州茅台  2108.94  ...   167.60    买盘   2.60%  54.83
4998  2021-04-23 14:01:28  601888  中国中免   299.29  ...   122.88    卖盘   1.11%   3.33
4999  2021-04-23 14:01:28  601398  工商银行     5.29  ...   528.00    卖盘  -0.75%  -0.04
```

#### 东方财富

##### 个股资金流

接口: stock_individual_fund_flow

目标地址: http://data.eastmoney.com/zjlx/detail.html

描述: 东方财富网-数据中心-个股资金流向

限量: 单次获取指定市场和股票的近 100 个交易日的资金流数据

输入参数

| 名称     | 类型  | 描述                                    |
|--------|-----|---------------------------------------|
| stock  | str | stock="000425"; 股票代码                  |
| market | str | market="sh"; 上海证券交易所: sh, 深证证券交易所: sz |

输出参数

| 名称         | 类型      | 描述      |
|------------|---------|---------|
| 日期         | object  | -       |
| 收盘价        | float64 | -       |
| 涨跌幅        | float64 | 注意单位: % |
| 主力净流入-净额   | float64 | -       |
| 主力净流入-净占比  | float64 | 注意单位: % |
| 超大单净流入-净额  | float64 | -       |
| 超大单净流入-净占比 | float64 | 注意单位: % |
| 大单净流入-净额   | float64 | -       |
| 大单净流入-净占比  | float64 | 注意单位: % |
| 中单净流入-净额   | float64 | -       |
| 中单净流入-净占比  | float64 | 注意单位: % |
| 小单净流入-净额   | float64 | -       |
| 小单净流入-净占比  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_individual_fund_flow_df = ak.stock_individual_fund_flow(stock="600094", market="sh")
print(stock_individual_fund_flow_df)
```

数据示例

```
     日期   收盘价   涨跌幅  ...  中单净流入-净占比    小单净流入-净额  小单净流入-净占比
0    2021-03-04  3.86 -0.26  ...       0.42   4493995.0       8.24
1    2021-03-05  3.95  2.33  ...      -8.61   2192740.0       2.80
2    2021-03-08  3.86 -2.27  ...      -1.36  12764010.0      14.47
3    2021-03-09  3.98  3.10  ...      -3.75   4560902.0       3.19
4    2021-03-10  3.88 -2.51  ...      10.84   5378415.0       6.42
..          ...   ...   ...  ...        ...         ...        ...
97   2021-07-26  3.59 -1.64  ...      -7.09   1835511.0       6.02
98   2021-07-27  3.55 -1.11  ...       5.52    730802.0       2.22
99   2021-07-28  3.53 -0.56  ...      -2.59   2063895.0       5.08
100  2021-07-29  3.50 -0.85  ...       5.94   -262565.0      -0.77
101  2021-07-30  3.41 -2.57  ...      -2.32  11334031.0      22.87
```

##### 个股资金流排名

接口: stock_individual_fund_flow_rank

目标地址: http://data.eastmoney.com/zjlx/detail.html

描述: 东方财富网-数据中心-资金流向-排名

限量: 单次获取指定类型的个股资金流排名数据

输入参数

| 名称        | 类型  | 描述                                               |
|-----------|-----|--------------------------------------------------|
| indicator | str | indicator="今日"; choice {"今日", "3日", "5日", "10日"} |

输出参数-今日

| 名称           | 类型      | 描述      |
|--------------|---------|---------|
| 序号           | int64   | -       |
| 代码           | object  | -       |
| 名称           | object  | -       |
| 最新价          | float64 | -       |
| 今日涨跌幅        | float64 | 注意单位: % |
| 今日主力净流入-净额   | float64 | -       |
| 今日主力净流入-净占比  | float64 | 注意单位: % |
| 今日超大单净流入-净额  | float64 | -       |
| 今日超大单净流入-净占比 | float64 | 注意单位: % |
| 今日大单净流入-净额   | float64 | -       |
| 今日大单净流入-净占比  | float64 | 注意单位: % |
| 今日中单净流入-净额   | float64 | -       |
| 今日中单净流入-净占比  | float64 | 注意单位: % |
| 今日小单净流入-净额   | float64 | -       |
| 今日小单净流入-净占比  | float64 | 注意单位: % |

接口示例-今日

```python
import akshare as ak

stock_individual_fund_flow_rank_df = ak.stock_individual_fund_flow_rank(indicator="今日")
print(stock_individual_fund_flow_rank_df)
```

数据示例-今日

```
    序号 代码    名称  ...  今日中单净流入-净占比   今日小单净流入-净额  今日小单净流入-净占比
0    1  600196  复星医药  ...       -11.80 -554888208.0        -8.76
1    2  601012  隆基股份  ...        -5.09 -284138560.0        -3.55
2    3  000963  华东医药  ...        -6.39 -291504016.0        -4.76
3    4  300986   N志特  ...         2.28 -416998433.0       -47.90
4    5  300059  东方财富  ...        -4.01 -168403920.0        -3.02
5    6  002460  赣锋锂业  ...        -4.44  -83612896.0        -1.32
6    7  603799  华友钴业  ...        -4.30 -162641040.0        -3.89
7    8  000908  景峰医药  ...        -8.53 -183772494.0       -12.59
8    9  000519  中兵红箭  ...       -10.68 -149982694.0       -10.75
9   10  300274  阳光电源  ...        -2.34 -158902688.0        -3.01
10  11  600276  恒瑞医药  ...        -3.34 -135060768.0        -3.13
11  12  002714  牧原股份  ...        -4.59 -174012720.0        -8.76
12  13  002241  歌尔股份  ...        -4.76 -148783568.0        -6.22
13  14  601127  小康股份  ...        -3.51 -130833968.0        -3.57
14  15  002385   大北农  ...       -10.22 -128105833.0       -13.10
15  16  003040   楚天龙  ...        -7.24 -134830833.0       -10.48
16  17  600223  鲁商发展  ...        -5.69  -97029040.0        -4.48
17  18  000650  仁和药业  ...       -12.98  -79890962.0        -7.68
18  19  300601  康泰生物  ...        -4.51  -82006064.0        -2.83
19  20  000928  中钢国际  ...        -8.78  -75598962.0        -4.99
20  21  002176  江特电机  ...        -9.13 -102992833.0        -9.05
```

输出参数-3日

| 名称           | 类型      | 描述      |
|--------------|---------|---------|
| 序号           | int64   | -       |
| 代码           | object  | -       |
| 名称           | object  | -       |
| 最新价          | float64 | -       |
| 3日涨跌幅        | float64 | 注意单位: % |
| 3日主力净流入-净额   | float64 | -       |
| 3日主力净流入-净占比  | float64 | 注意单位: % |
| 3日超大单净流入-净额  | float64 | -       |
| 3日超大单净流入-净占比 | float64 | 注意单位: % |
| 3日大单净流入-净额   | float64 | -       |
| 3日大单净流入-净占比  | float64 | 注意单位: % |
| 3日中单净流入-净额   | float64 | -       |
| 3日中单净流入-净占比  | float64 | 注意单位: % |
| 3日小单净流入-净额   | float64 | -       |
| 3日小单净流入-净占比  | float64 | 注意单位: % |

接口示例-3日

```python
import akshare as ak

stock_individual_fund_flow_rank_df = ak.stock_individual_fund_flow_rank(indicator="3日")
print(stock_individual_fund_flow_rank_df)
```

数据示例-3日

```
    序号      代码    名称  ...  3日中单净流入-净占比    3日小单净流入-净额  3日小单净流入-净占比
0    1  600196  复星医药  ...        -9.33 -1.157038e+09        -6.84
1    2  300059  东方财富  ...        -3.29 -7.832414e+08        -3.89
2    3  002466  天齐锂业  ...        -3.91 -2.935912e+08        -1.63
3    4  601012  隆基股份  ...        -2.84 -3.713241e+08        -2.14
4    5  002304  洋河股份  ...        -5.98 -3.069602e+08        -4.01
5    6  000963  华东医药  ...        -3.58 -1.615584e+08        -1.11
6    7  300601  康泰生物  ...        -3.55 -3.172210e+08        -4.44
7    8  002460  赣锋锂业  ...        -2.17 -1.881166e+08        -1.24
8    9  603799  华友钴业  ...        -3.09 -2.247308e+08        -2.52
9   10  300760  迈瑞医疗  ...        -7.66 -1.840590e+06        -0.03
10  11  603259  药明康德  ...        -3.41 -1.396783e+08        -1.37
11  12  300750  宁德时代  ...        -0.95 -2.482142e+08        -0.98
12  13  688383   新益昌  ...         1.17 -4.520943e+08       -21.70
13  14  300986   N志特  ...         2.28 -4.169984e+08       -47.90
14  15  000001  平安银行  ...        -4.37 -1.960774e+08        -4.76
15  16  600216  浙江医药  ...        -6.40 -1.923193e+08        -8.57
16  17  002714  牧原股份  ...        -1.31 -2.559579e+08        -4.58
17  18  600030  中信证券  ...        -2.19 -1.662703e+08        -2.24
18  19  000650  仁和药业  ...       -10.18 -1.381347e+08        -7.78
19  20  000718  苏宁环球  ...        -4.32 -1.313346e+08        -3.15
20  21  002821   凯莱英  ...        -5.28 -1.838423e+08        -8.10
```

输出参数-5日

| 名称           | 类型      | 描述      |
|--------------|---------|---------|
| 序号           | int64   | -       |
| 代码           | object  | -       |
| 名称           | object  | -       |
| 最新价          | float64 | -       |
| 5日涨跌幅        | float64 | 注意单位: % |
| 5日主力净流入-净额   | float64 | -       |
| 5日主力净流入-净占比  | float64 | 注意单位: % |
| 5日超大单净流入-净额  | float64 | -       |
| 5日超大单净流入-净占比 | float64 | 注意单位: % |
| 5日大单净流入-净额   | float64 | -       |
| 5日大单净流入-净占比  | float64 | 注意单位: % |
| 5日中单净流入-净额   | float64 | -       |
| 5日中单净流入-净占比  | float64 | 注意单位: % |
| 5日小单净流入-净额   | float64 | -       |
| 5日小单净流入-净占比  | float64 | 注意单位: % |

接口示例-5日

```python
import akshare as ak

stock_individual_fund_flow_rank_df = ak.stock_individual_fund_flow_rank(indicator="5日")
print(stock_individual_fund_flow_rank_df)
```

数据示例-5日

```
    序号      代码    名称  ...  5日中单净流入-净占比    5日小单净流入-净额  5日小单净流入-净占比
0    1  600196  复星医药  ...        -7.51 -1.193192e+09        -5.48
1    2  300979   C华利  ...        -7.16 -1.151424e+09        -9.62
2    3  002304  洋河股份  ...        -5.52 -2.617723e+08        -2.48
3    4  300760  迈瑞医疗  ...        -7.26 -3.271416e+06        -0.03
4    5  300601  康泰生物  ...        -3.09 -4.497565e+08        -4.51
5    6  300981   C中红  ...        -6.22 -1.023511e+08        -1.11
6    7  603259  药明康德  ...        -3.23 -1.252767e+08        -0.76
7    8  002027  分众传媒  ...        -3.80 -3.990743e+08        -5.94
8    9  000928  中钢国际  ...        -5.31 -2.201884e+08        -3.79
9   10  601012  隆基股份  ...        -1.66 -6.462818e+07        -0.24
10  11  002142  宁波银行  ...        -5.03 -2.290891e+08        -4.35
11  12  300059  东方财富  ...        -1.85  2.324636e+08         0.62
12  13  000963  华东医药  ...        -2.00 -8.412000e+06        -0.04
13  14  688383   新益昌  ...         1.17 -4.520943e+08       -21.70
14  15  002241  歌尔股份  ...        -3.00  3.025771e+07         0.20
15  16  000661  长春高新  ...        -4.94 -2.646385e+06        -0.03
16  17  002821   凯莱英  ...        -5.35 -1.858551e+08        -4.39
17  18  300986   N志特  ...         2.28 -4.169984e+08       -47.90
18  19  300982   C苏文  ...         1.20 -4.231374e+08       -14.36
19  20  002466  天齐锂业  ...        -2.37  1.762265e+08         0.75
20  21  601919  中远海控  ...        -1.10 -1.222831e+08        -0.54
```

输出参数-10日

| 名称            | 类型      | 描述      |
|---------------|---------|---------|
| 序号            | int32   | -       |
| 代码            | object  | -       |
| 名称            | object  | -       |
| 最新价           | float64 | -       |
| 10日涨跌幅        | float64 | 注意单位: % |
| 10日主力净流入-净额   | float64 | -       |
| 10日主力净流入-净占比  | float64 | 注意单位: % |
| 10日超大单净流入-净额  | float64 | -       |
| 10日超大单净流入-净占比 | float64 | 注意单位: % |
| 10日大单净流入-净额   | float64 | -       |
| 10日大单净流入-净占比  | float64 | 注意单位: % |
| 10日中单净流入-净额   | float64 | -       |
| 10日中单净流入-净占比  | float64 | 注意单位: % |
| 10日小单净流入-净额   | float64 | -       |
| 10日小单净流入-净占比  | float64 | 注意单位: % |

接口示例-10日

```python
import akshare as ak

stock_individual_fund_flow_rank_df = ak.stock_individual_fund_flow_rank(indicator="10日")
print(stock_individual_fund_flow_rank_df)
```

数据示例-10日

```
    序号      代码     名称  ...  10日中单净流入-净占比   10日小单净流入-净额  10日小单净流入-净占比
0    1  600196   复星医药  ...         -6.51 -1.620072e+09         -4.96
1    2  002241   歌尔股份  ...         -4.37 -1.504247e+09         -3.82
2    3  300059   东方财富  ...         -1.28 -1.498377e+09         -2.20
3    4  300979    C华利  ...         -7.16 -1.151424e+09         -9.62
4    5  002304   洋河股份  ...         -4.77 -5.633588e+08         -2.79
5    6  002027   分众传媒  ...         -4.08 -9.081865e+08         -6.91
6    7  300015   爱尔眼科  ...         -3.03 -5.969998e+08         -2.28
7    8  300760   迈瑞医疗  ...         -6.79 -4.882262e+06         -0.02
8    9  603259   药明康德  ...         -2.87 -3.367873e+08         -1.09
9   10  601012   隆基股份  ...         -1.47 -2.309467e+08         -0.39
10  11  002415   海康威视  ...         -3.18 -4.275869e+08         -2.12
11  12  002142   宁波银行  ...         -5.86 -3.757830e+08         -3.51
12  13  300601   康泰生物  ...         -3.19 -4.968827e+08         -3.39
13  14  603799   华友钴业  ...         -2.14 -3.544022e+08         -1.37
14  15  000661   长春高新  ...         -5.88 -4.703516e+06         -0.03
15  16  000858  五 粮 液  ...         -2.30  3.079020e+08          0.62
16  17  600570   恒生电子  ...         -4.15 -3.146686e+08         -3.05
17  18  300981    C中红  ...         -6.22 -1.023511e+08         -1.11
18  19  002460   赣锋锂业  ...         -2.59  3.715398e+08          0.93
19  20  300142   沃森生物  ...         -1.47 -9.540762e+07         -0.25
20  21  300347   泰格医药  ...         -4.72 -1.195595e+08         -1.08
```

##### 大盘资金流

接口: stock_market_fund_flow

目标地址: http://data.eastmoney.com/zjlx/dpzjlx.html

描述: 东方财富网-数据中心-资金流向-大盘

限量: 单次获取大盘资金流向历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称         | 类型      | 描述      |
|------------|---------|---------|
| 日期         | object  | -       |
| 上证-收盘价     | float64 | -       |
| 上证-涨跌幅     | float64 | 注意单位: % |
| 深证-收盘价     | float64 | -       |
| 深证-涨跌幅     | float64 | 注意单位: % |
| 主力净流入-净额   | float64 | -       |
| 主力净流入-净占比  | float64 | 注意单位: % |
| 超大单净流入-净额  | float64 | -       |
| 超大单净流入-净占比 | float64 | 注意单位: % |
| 大单净流入-净额   | float64 | -       |
| 大单净流入-净占比  | float64 | 注意单位: % |
| 中单净流入-净额   | float64 | -       |
| 中单净流入-净占比  | float64 | 注意单位: % |
| 小单净流入-净额   | float64 | -       |
| 小单净流入-净占比  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_market_fund_flow_df = ak.stock_market_fund_flow()
print(stock_market_fund_flow_df)
```

数据示例

```
          日期  上证-收盘价 上证-涨跌幅  ... 中单净流入-净占比  小单净流入-净额  小单净流入-净占比
0    2022-05-11  3058.70    0.75  ...      -1.34  2.104373e+09       0.20
1    2022-05-12  3054.99   -0.12  ...       0.05  2.481816e+10       3.02
2    2022-05-13  3084.28    0.96  ...      -0.59  1.222098e+10       1.61
3    2022-05-16  3073.75   -0.34  ...       0.21  2.409703e+10       3.07
4    2022-05-17  3093.70    0.65  ...      -0.57  1.250873e+10       1.58
..          ...      ...     ...  ...        ...           ...        ...
96   2022-09-26  3051.23   -1.20  ...      -0.62  1.804505e+10       2.70
97   2022-09-27  3093.86    1.40  ...      -1.05  5.671129e+09       0.85
98   2022-09-28  3045.07   -1.58  ...       0.47  3.608425e+10       5.57
99   2022-09-29  3041.20   -0.13  ...      -0.58  1.443049e+10       2.31
100  2022-09-30  3024.39   -0.55  ...       0.28  1.855733e+10       3.31
```

##### 板块资金流排名

接口: stock_sector_fund_flow_rank

目标地址: http://data.eastmoney.com/bkzj/hy.html

描述: 东方财富网-数据中心-资金流向-板块资金流-排名

限量: 单次获取指定板块的指定期限的资金流排名数据

输入参数

| 名称          | 类型  | 必选  | 描述                                                                        |
|-------------|-----|-----|---------------------------------------------------------------------------|
| indicator   | str | Y   | indicator="5日"; choice of {"今日", "5日", "10日"}                             |
| sector_type | str | Y   | sector_type="地域资金流"; choice of {"行业资金流": "2", "概念资金流": "3", "地域资金流": "1"} |

输出参数-行业资金流-今日

| 名称         | 类型    | 默认显示 | 描述      |
|------------|-------|------|---------|
| 名称         | str   | Y    | -       |
| 今日涨跌幅      | str   | Y    | 注意单位: % |
| 主力净流入-净额   | float | Y    | -       |
| 主力净流入-净占比  | float | Y    | 注意单位: % |
| 超大单净流入-净额  | float | Y    | -       |
| 超大单净流入-净占比 | float | Y    | 注意单位: % |
| 大单净流入-净额   | float | Y    | -       |
| 大单净流入-净占比  | float | Y    | 注意单位: % |
| 中单净流入-净额   | float | Y    | -       |
| 中单净流入-净占比  | float | Y    | 注意单位: % |
| 小单净流入-净额   | float | Y    | -       |
| 小单净流入-净占比  | float | Y    | 注意单位: % |
| 主力净流入最大股   | float | Y    | -       |

接口示例-行业资金流-今日

```python
import akshare as ak

stock_sector_fund_flow_rank_df = ak.stock_sector_fund_flow_rank(indicator="今日", sector_type="行业资金流")
print(stock_sector_fund_flow_rank_df)
```

数据示例-行业资金流-今日

```
    序号    名称  今日涨跌幅  ...    今日小单净流入-净额  今日小单净流入-净占比  今日主力净流入最大股
0    1  汽车行业   0.48  ... -6.233196e+08        -1.43         比亚迪
1    2  材料行业   0.57  ... -1.280722e+08        -0.37        隆基股份
2    3  煤炭采选   6.80  ... -4.556032e+06        -0.03        郑州煤电
3    4   贵金属  -0.38  ... -1.445082e+08        -2.27        紫金矿业
4    5  玻璃陶瓷   1.49  ... -1.448699e+08        -1.72        福耀玻璃
..  ..   ...    ...  ...           ...          ...         ...
56  57  食品饮料  -1.96  ...  1.616924e+09         5.91        花园生物
57  58  软件服务  -1.36  ...  1.552398e+09         6.77        科大讯飞
58  59  券商信托  -0.97  ...  1.588546e+09         6.05        哈投股份
59  60    银行  -1.26  ...  1.475838e+09         8.16        邮储银行
60  61  电子元件  -0.79  ...  4.203038e+09         5.69         N明微
```

### 基本面数据

#### 沪深 A 股公告

接口: stock_notice_report

目标地址: http://data.eastmoney.com/notices/hsa/5.html

描述: 东方财富网-数据中心-公告大全-沪深 A 股公告

限量: 单次获取指定 symbol 和 date 的数据

输入参数

| 名称     | 类型  | 描述                                                                                      |
|--------|-----|-----------------------------------------------------------------------------------------|
| symbol | str | symbol='财务报告'; choice of {"全部", "重大事项", "财务报告", "融资公告", "风险提示", "资产重组", "信息变更", "持股变动"} |
| date   | str | date="20220511"; 指定日期                                                                   |

输出参数

| 名称   | 类型     | 描述  |
|------|--------|-----|
| 代码   | object | -   |
| 名称   | object | -   |
| 公告标题 | object | -   |
| 公告类型 | object | -   |
| 公告日期 | object | -   |

接口示例

```python
import akshare as ak

stock_notice_report_df = ak.stock_notice_report(symbol='财务报告', date="20220511")
print(stock_notice_report_df)
```

数据示例

```
      代码    名称                                   公告标题      公告类型        公告日期
0    301219  腾远钴业                   腾远钴业:2021年年度股东大会决议公告  分配方案决议公告  2022-05-11
1    300492  华图山鼎                 华图山鼎:2021年年度报告(更新后)(2)    年度报告全文  2022-05-11
2    300492  华图山鼎                  华图山鼎:关于2021年年度报告更正的公告  年度报告更正公告  2022-05-11
3    300492  华图山鼎                 华图山鼎:2021年年度报告(更新后)(1)    年度报告全文  2022-05-11
4    831445  龙竹科技                   龙竹科技:2021年年度股东大会决议公告  分配方案决议公告  2022-05-11
..      ...   ...                                    ...       ...         ...
195  600882  妙可蓝多                 600882:2021年年度股东大会决议公告  分配方案决议公告  2022-05-11
196  002438  江苏神通                   江苏神通:2021年年度股东大会决议公告  分配方案决议公告  2022-05-11
197  000573  粤宏远A                    粤宏远A:2021年度股东大会决议公告  分配方案决议公告  2022-05-11
198  000727  冠捷科技                   冠捷科技:2021年年度股东大会决议公告  分配方案决议公告  2022-05-11
199  688670   金迪克  688670:江苏金迪克生物技术股份有限公司2021年年度权益分派实施公告    分配方案实施  2022-05-11
```

#### 财务报表-新浪

接口: stock_financial_report_sina

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vFD_BalanceSheet/stockid/600004/ctrl/part/displaytype/4.phtml

描述: 新浪财经-财务报表-三大报表

限量: 单次获取指定报表的所有年份数据

输入参数

| 名称     | 类型  | 描述                                                  |
|--------|-----|-----------------------------------------------------|
| stock  | str | stock="600004"; 股票代码                                |
| symbol | str | symbol="现金流量表"; choice of {"资产负债表", "利润表", "现金流量表"} |

输出参数

| 名称   | 类型  | 描述        |
|------|-----|-----------|
| 报表日期 | str | 报告日期      |
| 单位   | str | 注意单位: 元   |
| ...  | str | 70 多项财务指标 |

接口示例

```python
import akshare as ak

stock_financial_report_sina_df = ak.stock_financial_report_sina(stock="600004", symbol="现金流量表")
print(stock_financial_report_sina_df)
```

数据示例

```
        报表日期 单位 一、经营活动产生的现金流量  ... 现金等价物的期末余额 现金等价物的期初余额   现金及现金等价物的净增加额
1   20200930  元           NaN  ...          0          0               0
2   20200630  元           NaN  ...          0          0     11724335.23
3   20200331  元           NaN  ...          0          0               0
4   20191231  元           NaN  ...          0          0  -1044254625.00
5   20190930  元           NaN  ...          0          0               0
..       ... ..           ...  ...        ...        ...             ...
69  20030930  元           NaN  ...          0          0    -83266325.50
70  20030630  元           NaN  ...          0          0   -143509055.17
71  20030331  元           NaN  ...          0          0    115220322.31
72  20021231  元           NaN  ...          0          0    110751837.42
73  20020630  元           NaN  ...          0          0               0
```

#### 财务报表-东财

##### 资产负债表-按报告期

接口: stock_balance_sheet_by_report_em

目标地址: https://emweb.securities.eastmoney.com/PC_HSF10/NewFinanceAnalysis/Index?type=web&code=sh600519#lrb-0

描述: 东方财富-股票-财务分析-资产负债表-按报告期

限量: 单次获取指定 symbol 的资产负债表-按报告期数据

输入参数

| 名称     | 类型  | 描述                      |
|--------|-----|-------------------------|
| symbol | str | symbol="SH600519"; 股票代码 |

输出参数

| 名称  | 类型  | 描述         |
|-----|-----|------------|
| -   | -   | 319项，不逐一列出 |

接口示例

```python
import akshare as ak

stock_balance_sheet_by_report_em_df = ak.stock_balance_sheet_by_report_em(symbol="SH600519")
print(stock_balance_sheet_by_report_em_df)
```

数据示例

```
    SECUCODE SECURITY_CODE  ... OSOPINION_TYPE LISTING_STATE
0   600519.SH        600519  ...           None             0
1   600519.SH        600519  ...           None             0
2   600519.SH        600519  ...           None             0
3   600519.SH        600519  ...           None             0
4   600519.SH        600519  ...           None             0
..        ...           ...  ...            ...           ...
67  600519.SH        600519  ...           None             0
68  600519.SH        600519  ...           None             0
69  600519.SH        600519  ...           None             0
70  600519.SH        600519  ...           None             0
71  600519.SH        600519  ...           None             0
```

##### 资产负债表-按年度

接口: stock_balance_sheet_by_yearly_em

目标地址: https://emweb.securities.eastmoney.com/PC_HSF10/NewFinanceAnalysis/Index?type=web&code=sh600519#lrb-0

描述: 东方财富-股票-财务分析-资产负债表-按年度

限量: 单次获取指定 symbol 的资产负债表-按年度数据

输入参数

| 名称     | 类型  | 描述                      |
|--------|-----|-------------------------|
| symbol | str | symbol="SH600519"; 股票代码 |

输出参数

| 名称  | 类型  | 描述         |
|-----|-----|------------|
| -   | -   | 319项，不逐一列出 |

接口示例

```python
import akshare as ak

stock_balance_sheet_by_yearly_em_df = ak.stock_balance_sheet_by_yearly_em(symbol="SH600519")
print(stock_balance_sheet_by_yearly_em_df)
```

数据示例

```
    SECUCODE SECURITY_CODE  ... OSOPINION_TYPE LISTING_STATE
0   600519.SH        600519  ...           None             0
1   600519.SH        600519  ...           None             0
2   600519.SH        600519  ...           None             0
3   600519.SH        600519  ...           None             0
4   600519.SH        600519  ...           None             0
5   600519.SH        600519  ...           None             0
6   600519.SH        600519  ...           None             0
7   600519.SH        600519  ...           None             0
8   600519.SH        600519  ...           None             0
9   600519.SH        600519  ...           None             0
10  600519.SH        600519  ...           None             0
11  600519.SH        600519  ...           None             0
12  600519.SH        600519  ...           None             0
13  600519.SH        600519  ...           None             0
14  600519.SH        600519  ...           None             0
15  600519.SH        600519  ...           None             0
16  600519.SH        600519  ...           None             0
17  600519.SH        600519  ...           None             0
18  600519.SH        600519  ...           None             0
19  600519.SH        600519  ...           None             0
```

##### 利润表-报告期

接口: stock_profit_sheet_by_report_em

目标地址: https://emweb.securities.eastmoney.com/PC_HSF10/NewFinanceAnalysis/Index?type=web&code=sh600519#lrb-0

描述: 东方财富-股票-财务分析-利润表-报告期

限量: 单次获取指定 symbol 的利润表-报告期数据

输入参数

| 名称     | 类型  | 描述                      |
|--------|-----|-------------------------|
| symbol | str | symbol="SH600519"; 股票代码 |

输出参数

| 名称  | 类型  | 描述          |
|-----|-----|-------------|
| -   | -   | 203 项，不逐一列出 |

接口示例

```python
import akshare as ak

stock_profit_sheet_by_report_em_df = ak.stock_profit_sheet_by_report_em(symbol="SH600519")
print(stock_profit_sheet_by_report_em_df)
```

数据示例

```
     SECUCODE SECURITY_CODE  ... ACF_END_INCOME_YOY OPINION_TYPE
0   600519.SH        600519  ...               None         None
1   600519.SH        600519  ...               None      标准无保留意见
2   600519.SH        600519  ...               None         None
3   600519.SH        600519  ...               None         None
4   600519.SH        600519  ...               None         None
..        ...           ...  ...                ...          ...
67  600519.SH        600519  ...               None         None
68  600519.SH        600519  ...               None      标准无保留意见
69  600519.SH        600519  ...               None      标准无保留意见
70  600519.SH        600519  ...               None      标准无保留意见
71  600519.SH        600519  ...               None      标准无保留意见
```

##### 利润表-按年度

接口: stock_profit_sheet_by_yearly_em

目标地址: https://emweb.securities.eastmoney.com/PC_HSF10/NewFinanceAnalysis/Index?type=web&code=sh600519#lrb-0

描述: 东方财富-股票-财务分析-利润表-按年度

限量: 单次获取指定 symbol 的利润表-按年度数据

输入参数

| 名称     | 类型  | 描述                      |
|--------|-----|-------------------------|
| symbol | str | symbol="SH600519"; 股票代码 |

输出参数

| 名称  | 类型  | 描述          |
|-----|-----|-------------|
| -   | -   | 203 项，不逐一列出 |

接口示例

```python
import akshare as ak

stock_profit_sheet_by_yearly_em_df = ak.stock_profit_sheet_by_yearly_em(symbol="SH600519")
print(stock_profit_sheet_by_yearly_em_df)
```

数据示例

```
     SECUCODE SECURITY_CODE  ... ACF_END_INCOME_YOY OPINION_TYPE
0   600519.SH        600519  ...               None      标准无保留意见
1   600519.SH        600519  ...               None      标准无保留意见
2   600519.SH        600519  ...               None      标准无保留意见
3   600519.SH        600519  ...               None      标准无保留意见
4   600519.SH        600519  ...               None      标准无保留意见
5   600519.SH        600519  ...               None      标准无保留意见
6   600519.SH        600519  ...               None      标准无保留意见
7   600519.SH        600519  ...               None      标准无保留意见
8   600519.SH        600519  ...               None      标准无保留意见
9   600519.SH        600519  ...               None      标准无保留意见
10  600519.SH        600519  ...               None      标准无保留意见
11  600519.SH        600519  ...               None      标准无保留意见
12  600519.SH        600519  ...               None      标准无保留意见
13  600519.SH        600519  ...               None      标准无保留意见
14  600519.SH        600519  ...               None      标准无保留意见
15  600519.SH        600519  ...               None      标准无保留意见
16  600519.SH        600519  ...               None      标准无保留意见
17  600519.SH        600519  ...               None      标准无保留意见
18  600519.SH        600519  ...               None      标准无保留意见
19  600519.SH        600519  ...               None      标准无保留意见
```

##### 利润表-按单季度

接口: stock_profit_sheet_by_quarterly_em

目标地址: https://emweb.securities.eastmoney.com/PC_HSF10/NewFinanceAnalysis/Index?type=web&code=sh600519#lrb-0

描述: 东方财富-股票-财务分析-利润表-按单季度

限量: 单次获取指定 symbol 的利润表-按单季度数据

输入参数

| 名称     | 类型  | 描述                      |
|--------|-----|-------------------------|
| symbol | str | symbol="SH600519"; 股票代码 |

输出参数

| 名称  | 类型  | 描述          |
|-----|-----|-------------|
| -   | -   | 204 项，不逐一列出 |

接口示例

```python
import akshare as ak

stock_profit_sheet_by_quarterly_em_df = ak.stock_profit_sheet_by_quarterly_em(symbol="SH600519")
print(stock_profit_sheet_by_quarterly_em_df)
```

数据示例

```
    SECUCODE SECURITY_CODE  ... DEDUCT_PARENT_NETPROFIT DEDUCT_PARENT_NETPROFIT_QOQ
0   600519.SH        600519  ...            1.724306e+10                   13.261847
1   600519.SH        600519  ...            1.522407e+10                   19.799929
2   600519.SH        600519  ...            1.270791e+10                   18.991805
3   600519.SH        600519  ...            1.067965e+10                  -23.550003
4   600519.SH        600519  ...            1.396946e+10                    6.520684
..        ...           ...  ...                     ...                         ...
63  600519.SH        600519  ...                     NaN                         NaN
64  600519.SH        600519  ...                     NaN                         NaN
65  600519.SH        600519  ...            7.115463e+07                        None
66  600519.SH        600519  ...                     NaN                        None
67  600519.SH        600519  ...                     NaN                        None
```

##### 现金流量表-按报告期

接口: stock_cash_flow_sheet_by_report_em

目标地址: https://emweb.securities.eastmoney.com/PC_HSF10/NewFinanceAnalysis/Index?type=web&code=sh600519#lrb-0

描述: 东方财富-股票-财务分析-现金流量表-按报告期

限量: 单次获取指定 symbol 的现金流量表-按报告期数据

输入参数

| 名称     | 类型  | 描述                      |
|--------|-----|-------------------------|
| symbol | str | symbol="SH600519"; 股票代码 |

输出参数

| 名称  | 类型  | 描述          |
|-----|-----|-------------|
| -   | -   | 204 项，不逐一列出 |

接口示例

```python
import akshare as ak

stock_cash_flow_sheet_by_report_em_df = ak.stock_cash_flow_sheet_by_report_em(symbol="SH600519")
print(stock_cash_flow_sheet_by_report_em_df)
```

数据示例

```
    SECUCODE SECURITY_CODE  ... MINORITY_INTEREST MINORITY_INTEREST_YOY
0   600519.SH        600519  ...              None                  None
1   600519.SH        600519  ...              None                  None
2   600519.SH        600519  ...              None                  None
3   600519.SH        600519  ...              None                  None
4   600519.SH        600519  ...              None                  None
..        ...           ...  ...               ...                   ...
64  600519.SH        600519  ...               NaN                  None
65  600519.SH        600519  ...              None                  None
66  600519.SH        600519  ...              None                  None
67  600519.SH        600519  ...              None                  None
68  600519.SH        600519  ...              None                  None
```

##### 现金流量表-按年度

接口: stock_cash_flow_sheet_by_yearly_em

目标地址: https://emweb.securities.eastmoney.com/PC_HSF10/NewFinanceAnalysis/Index?type=web&code=sh600519#lrb-0

描述: 东方财富-股票-财务分析-现金流量表-按年度

限量: 单次获取指定 symbol 的现金流量表-按年度数据

输入参数

| 名称     | 类型  | 描述                      |
|--------|-----|-------------------------|
| symbol | str | symbol="SH600519"; 股票代码 |

输出参数

| 名称  | 类型  | 描述          |
|-----|-----|-------------|
| -   | -   | 252 项，不逐一列出 |

接口示例

```python
import akshare as ak

stock_cash_flow_sheet_by_yearly_em_df = ak.stock_cash_flow_sheet_by_yearly_em(symbol="SH600519")
print(stock_cash_flow_sheet_by_yearly_em_df)
```

数据示例

```
    SECUCODE SECURITY_CODE  ... MINORITY_INTEREST MINORITY_INTEREST_YOY
0   600519.SH        600519  ...              None                  None
1   600519.SH        600519  ...              None                  None
2   600519.SH        600519  ...              None                  None
3   600519.SH        600519  ...              None                  None
4   600519.SH        600519  ...              None                  None
5   600519.SH        600519  ...               NaN                   NaN
6   600519.SH        600519  ...               NaN                   NaN
7   600519.SH        600519  ...               NaN                   NaN
8   600519.SH        600519  ...               NaN                   NaN
9   600519.SH        600519  ...      487177897.39             68.826452
10  600519.SH        600519  ...      240442819.27             19.457607
11  600519.SH        600519  ...       201278784.6             48.851814
12  600519.SH        600519  ...      135220914.59             88.954245
13  600519.SH        600519  ...       71562782.14             41.482957
14  600519.SH        600519  ...       50580496.34             50.455792
15  600519.SH        600519  ...       22005657.78                  None
16  600519.SH        600519  ...               NaN                  None
17  600519.SH        600519  ...               NaN                  None
18  600519.SH        600519  ...               NaN                  None
```

##### 现金流量表-按单季度

接口: stock_cash_flow_sheet_by_quarterly_em

目标地址: https://emweb.securities.eastmoney.com/PC_HSF10/NewFinanceAnalysis/Index?type=web&code=sh600519#lrb-0

描述: 东方财富-股票-财务分析-现金流量表-按单季度

限量: 单次获取指定 symbol 的现金流量表-按单季度数据

输入参数

| 名称     | 类型  | 描述                      |
|--------|-----|-------------------------|
| symbol | str | symbol="SH600519"; 股票代码 |

输出参数

| 名称  | 类型  | 描述          |
|-----|-----|-------------|
| -   | -   | 253 项，不逐一列出 |

接口示例

```python
import akshare as ak

stock_cash_flow_sheet_by_quarterly_em_df = ak.stock_cash_flow_sheet_by_quarterly_em(symbol="SH600519")
print(stock_cash_flow_sheet_by_quarterly_em_df)
```

数据示例

```
    SECUCODE SECURITY_CODE  ... OSOPINION_TYPE LISTING_STATE
0   600519.SH        600519  ...           None             0
1   600519.SH        600519  ...           None             0
2   600519.SH        600519  ...           None             0
3   600519.SH        600519  ...           None             0
4   600519.SH        600519  ...           None             0
..        ...           ...  ...            ...           ...
60  600519.SH        600519  ...           None             0
61  600519.SH        600519  ...           None             0
62  600519.SH        600519  ...           None             0
63  600519.SH        600519  ...           None             0
64  600519.SH        600519  ...           None             0
```

#### 港股财务报表

接口: stock_financial_hk_report_em

目标地址: https://emweb.securities.eastmoney.com/PC_HKF10/FinancialAnalysis/index?type=web&code=00700

描述: 东方财富-港股-财务报表-三大报表

限量: 单次获取指定报表的所有年份数据

输入参数

| 名称        | 类型  | 描述                                                  |
|-----------|-----|-----------------------------------------------------|
| stock     | str | stock="00700"; 股票代码                                 |
| symbol    | str | symbol="现金流量表"; choice of {"资产负债表", "利润表", "现金流量表"} |
| indicator | str | symbol="年度"; choice of {"年度", "报告期"}                |

输出参数

| 名称   | 类型                | 描述      |
|------|-------------------|---------|
| 日期索引 | datetime     报告日期 |
| 流动资产 | str               | 注意单位: 亿 |
| ...  | str               | 多项财务指标  |

```python
import akshare as ak

stock_financial_hk_report_em_df = ak.stock_financial_hk_report_em(stock="00700", symbol="资产负债表", indicator="年度")
print(stock_financial_hk_report_em_df)
```

数据示例

```
	      流动资产|1	现金及现金等价物	...
2020-12-31	--	2212.85亿	...
2019-12-31	--	1799.02亿	...
2018-12-31	--	1607.32亿	...
```

#### 财务摘要

接口: stock_financial_abstract

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vFD_FinanceSummary/stockid/600004.phtml

描述: 新浪财经-财务报表-财务摘要

限量: 单次获取财务摘要所有历史数据

输入参数

| 名称    | 类型  | 描述                   |
|-------|-----|----------------------|
| stock | str | stock="600004"; 股票代码 |

输出参数

| 名称            | 类型  | 描述  |
|---------------|-----|-----|
| 截止日期          | str | -   |
| 每股净资产-摊薄/期末股数 | str | -   |
| 每股现金流         | str | -   |
| 每股资本公积金       | str | -   |
| 固定资产合计        | str | -   |
| 流动资产合计        | str | -   |
| 资产总计          | str | -   |
| 长期负债合计        | str | -   |
| 主营业务收入        | str | -   |
| 财务费用          | str | -   |
| 净利润           | str | -   |

接口示例

```python
import akshare as ak

stock_financial_abstract_df = ak.stock_financial_abstract(stock="600004")
print(stock_financial_abstract_df)
```

数据示例

```
          截止日期 每股净资产-摊薄/期末股数  ...             财务费用              净利润
0   2020-03-31       8.0046元  ...  -63,823,000.00元  -63,009,000.00元
1   2019-12-31       8.2127元  ...   54,507,900.00元  999,862,000.00元
2   2019-09-30       7.6569元  ...   50,083,400.00元  572,881,000.00元
3   2019-06-30       7.7549元  ...   36,672,500.00元  428,149,000.00元
4   2019-03-31       7.6604元  ...   22,076,000.00元  223,594,000.00元
..         ...           ...  ...              ...              ...
68  2003-03-31       2.1205元  ...   -5,602,780.00元   71,703,900.00元
69  2002-12-31        2.241元  ...   -9,195,920.00元  286,680,000.00元
70  2002-06-30           NaN  ...   -3,025,480.00元  136,568,000.00元
71  2001-12-31       1.7632元  ...   -9,981,980.00元  296,790,000.00元
72  2000-12-31       1.4986元  ...   -9,413,540.00元  196,758,000.00元
```

#### 财务指标

接口: stock_financial_analysis_indicator

目标地址: https://money.finance.sina.com.cn/corp/go.php/vFD_FinancialGuideLine/stockid/600004/ctrl/2019/displaytype/4.phtml

描述: 新浪财经-财务分析-财务指标

限量: 单次获取指定 symbol 财务指标所有历史数据

输入参数

| 名称     | 类型  | 描述                    |
|--------|-----|-----------------------|
| symbol | str | symbol="600004"; 股票代码 |

输出参数

| 名称                | 类型  | 描述  |
|-------------------|-----|-----|
| 日期                | str | -   |
| 摊薄每股收益(元)         | str | -   |
| 加权每股收益(元)         | str | -   |
| 每股收益_调整后(元)       | str | -   |
| 扣除非经常性损益后的每股收益(元) | str | -   |
| 每股净资产_调整前(元)      | str | -   |
| 每股净资产_调整后(元)      | str | -   |
| 每股经营性现金流(元)       | str | -   |
| 每股资本公积金(元)        | str | -   |
| 每股未分配利润(元)        | str | -   |
| 调整后的每股净资产(元)      | str | -   |
| 总资产利润率(%)         | str | -   |
| 主营业务利润率(%)        | str | -   |
| 总资产净利润率(%)        | str | -   |
| 成本费用利润率(%)        | str | -   |
| 营业利润率(%)          | str | -   |
| 主营业务成本率(%)        | str | -   |
| 销售净利率(%)          | str | -   |
| 股本报酬率(%)          | str | -   |
| 净资产报酬率(%)         | str | -   |
| 资产报酬率(%)          | str | -   |
| 销售毛利率(%)          | str | -   |
| 三项费用比重            | str | -   |
| 非主营比重             | str | -   |
| 主营利润比重            | str | -   |
| 股息发放率(%)          | str | -   |
| 投资收益率(%)          | str | -   |
| 主营业务利润(元)         | str | -   |
| 净资产收益率(%)         | str | -   |
| 加权净资产收益率(%)       | str | -   |
| 扣除非经常性损益后的净利润(元)  | str | -   |
| 主营业务收入增长率(%)      | str | -   |
| 净利润增长率(%)         | str | -   |
| 净资产增长率(%)         | str | -   |
| 总资产增长率(%)         | str | -   |
| 应收账款周转率(次)        | str | -   |
| 应收账款周转天数(天)       | str | -   |
| 存货周转天数(天)         | str | -   |
| 存货周转率(次)          | str | -   |
| 固定资产周转率(次)        | str | -   |
| 总资产周转率(次)         | str | -   |
| 总资产周转天数(天)        | str | -   |
| 流动资产周转率(次)        | str | -   |
| 流动资产周转天数(天)       | str | -   |
| 股东权益周转率(次)        | str | -   |
| 流动比率              | str | -   |
| 速动比率              | str | -   |
| 现金比率(%)           | str | -   |
| 利息支付倍数            | str | -   |
| 长期债务与营运资金比率(%)    | str | -   |
| 股东权益比率(%)         | str | -   |
| 长期负债比率(%)         | str | -   |
| 股东权益与固定资产比率(%)    | str | -   |
| 负债与所有者权益比率(%)     | str | -   |
| 长期资产与长期资金比率(%)    | str | -   |
| 资本化比率(%)          | str | -   |
| 固定资产净值率(%)        | str | -   |
| 资本固定化比率(%)        | str | -   |
| 产权比率(%)           | str | -   |
| 清算价值比率(%)         | str | -   |
| 固定资产比重(%)         | str | -   |
| 资产负债率(%)          | str | -   |
| 总资产(元)            | str | -   |
| 经营现金净流量对销售收入比率(%) | str | -   |
| 资产的经营现金流量回报率(%)   | str | -   |
| 经营现金净流量与净利润的比率(%) | str | -   |
| 经营现金净流量对负债比率(%)   | str | -   |
| 现金流量比率(%)         | str | -   |
| 短期股票投资(元)         | str | -   |
| 短期债券投资(元)         | str | -   |
| 短期其它经营性投资(元)      | str | -   |
| 长期股票投资(元)         | str | -   |
| 长期债券投资(元)         | str | -   |
| 长期其它经营性投资(元)      | str | -   |
| 1年以内应收帐款(元)       | str | -   |
| 1-2年以内应收帐款(元)     | str | -   |
| 2-3年以内应收帐款(元)     | str | -   |
| 3年以内应收帐款(元)       | str | -   |
| 1年以内预付货款(元)       | str | -   |
| 1-2年以内预付货款(元)     | str | -   |
| 2-3年以内预付货款(元)     | str | -   |
| 3年以内预付货款(元)       | str | -   |
| 1年以内其它应收款(元)      | str | -   |
| 1-2年以内其它应收款(元)    | str | -   |
| 2-3年以内其它应收款(元)    | str | -   |
| 3年以内其它应收款(元)      | str | -   |

接口示例

```python
import akshare as ak

stock_financial_analysis_indicator_df = ak.stock_financial_analysis_indicator(symbol="600004")
print(stock_financial_analysis_indicator_df)
```

数据示例

```
     日期   摊薄每股收益(元) 加权每股收益(元)  ... 1-2年以内其它应收款(元) 2-3年以内其它应收款(元) 3年以内其它应收款(元)
0   2021-09-30   -0.2038     -0.21  ...             --             --           --
1   2021-06-30   -0.1686     -0.17  ...     4506318.27     3471186.42           --
2   2021-03-31   -0.0645     -0.07  ...             --             --           --
3   2020-12-31    -0.098     -0.12  ...     6610781.07     1495234.99           --
4   2020-09-30    -0.138     -0.14  ...             --             --           --
..         ...       ...       ...  ...            ...            ...          ...
74  2003-03-31      0.12        --  ...             --             --           --
75  2002-12-31      0.48        --  ...     4970111.83     1570549.33           --
76  2002-06-30      0.23        --  ...             --             --           --
77  2001-12-31      0.49        --  ...             --             --           --
78  2000-12-31      0.33        --  ...             --             --           --
```

#### 港股财务指标

接口: stock_financial_hk_analysis_indicator_em

目标地址: https://emweb.securities.eastmoney.com/PC_HKF10/NewFinancialAnalysis/index?type=web&code=00700

描述: 东方财富-港股-财务分析-主要指标

限量: 单次获取财务指标所有历史数据

输入参数

| 名称        | 类型  | 描述                                      |
|-----------|-----|-----------------------------------------|
| symbol    | str | symbol="00700"; 股票代码                    |
| indicator | str | indicator="年度"; choice of {"年度", "报告期"} |

输出参数

| 名称         | 类型     | 描述     |
|------------|--------|--------|
| 周期         | object | -      |
| 基本每股收益(元)  | object | -      |
| 稀释每股收益(元)  | object | -      |
| TTM每股收益(元) | object | -      |
| ...        | object | 多项财务指标 |

接口示例

```python
import akshare as ak

stock_financial_hk_analysis_indicator_em_df = ak.stock_financial_hk_analysis_indicator_em(symbol="00700",
                                                                                          indicator="年度")
print(stock_financial_hk_analysis_indicator_em_df)
```

数据示例

```
   周期 基本每股收益(元) 稀释每股收益(元)  ... 资产负债率(%) 流动负债/总负债(%)    流动比率
1  2021-03-31    5.0200    4.9170  ...  40.6137     49.3061  1.1596
2  2020-12-31   16.8440   16.5230  ...  41.6508     48.4494  1.1805
3  2020-09-30   10.6010   10.4030  ...  45.6738     47.7102  1.2314
4  2020-06-30    6.5410    6.4400  ...  47.7145     46.0158  1.3411
5  2020-03-31    3.0490    2.9990  ...  49.4019     50.5371  1.1081
6  2019-12-31    9.8560    9.6430  ...  48.7598     51.6285  1.0575
7  2019-09-30    7.5780    7.4860  ...  48.4319     51.0084  1.2290
8  2019-06-30    5.4270    5.3620  ...  48.4575     51.0186  1.2047
9  2019-03-31    2.8770    2.8440  ...  48.9844     56.8520  1.0628
```

#### 历史分红

接口: stock_history_dividend

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vInvestConsult/kind/lsfh/index.phtml?p=1&num=5000

描述: 新浪财经-发行与分配-历史分红

限量: 单次获取所有股票的历史分红数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 代码   | object  | -       |
| 名称   | object  | -       |
| 上市日期 | object  | -       |
| 累计股息 | float64 | 注意单位: % |
| 年均股息 | float64 | 注意单位: % |
| 分红次数 | float64 | -       |
| 融资总额 | float64 | 注意单位: 亿 |
| 融资次数 | float64 | -       |

接口示例

```python
import akshare as ak

stock_history_dividend_df = ak.stock_history_dividend()
print(stock_history_dividend_df)
```

数据示例

```
          代码    名称        上市日期   累计股息  年均股息  分红次数      融资总额  融资次数
0     000550  江铃汽车  1993-12-01  198.9  7.10    45    0.0000     0
1     000541  佛山照明  1993-11-23  178.6  6.38    50    0.0000     0
2     000726   鲁泰A  2000-12-25  134.6  6.41    41    9.5082     1
3     000429  粤高速A  1998-02-20  133.0  5.54    44   16.3350     1
4     000022  深赤湾A  1993-05-05  132.3  5.09    45    0.0000     0
      ...   ...         ...    ...   ...   ...       ...   ...
4605  688789  宏华数科  2021-07-08    0.0  0.00     0    5.0340     1
4606  688798  艾为电子  2021-08-16    0.0  0.00     0   30.3526     1
4607  688799  华纳药厂  2021-07-13    0.0  0.00     0    6.5566     1
4608  688800   瑞可达  2021-07-22    0.0  0.00     0    3.4983     1
4609  688981  中芯国际  2020-07-16    0.0  0.00     0  525.1560     1
```

#### 十大流通股东(个股)

接口: stock_gdfx_free_top_10_em

目标地址: https://emweb.securities.eastmoney.com/PC_HSF10/ShareholderResearch/Index?type=web&code=SH688686#sdltgd-0

描述: 东方财富网-个股-十大流通股东

限量: 单次返回指定 symbol 和 date 的所有数据

输入参数

| 名称     | 类型  | 描述                            |
|--------|-----|-------------------------------|
| symbol | str | symbol="sh688686"; 带市场标识的股票代码 |
| date   | str | date="20210630"; 财报发布季度最后日    |

输出参数

| 名称         | 类型      | 描述      |
|------------|---------|---------|
| 名次         | int64   | -       |
| 股东名称       | object  | -       |
| 股东性质       | object  | -       |
| 股份类型       | object  | -       |
| 持股数        | int64   | 注意单位: 股 |
| 占总流通股本持股比例 | float64 | 注意单位: % |
| 增减         | object  | 注意单位: 股 |
| 变动比率       | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_gdfx_free_top_10_em_df = ak.stock_gdfx_free_top_10_em(symbol="sh688686", date="20210630")
print(stock_gdfx_free_top_10_em_df)
```

数据示例

```
   名次                                     股东名称  ...       增减       变动比率
0   1               高华-汇丰-GOLDMAN,SACHS&CO.LLC  ...   946997  54.311934
1   2         铭基国际投资公司-MATTHEWS ASIA FUNDS(US)  ...  -358837 -15.460528
2   3  MORGAN STANLEY & CO. INTERNATIONAL PLC.  ...    70003   4.082755
3   4                   FMR 有限公司-富达新兴市场基金(交易所)  ...    80100   9.086784
4   5             摩根资产管理(新加坡)有限公司-摩根中国A股市场机会基金  ...       新进        NaN
5   6                                   UBS AG  ...  -400254 -45.037994
6   7             中国工商银行股份有限公司-万家自主创新混合型证券投资基金  ...       新进        NaN
7   8      铭基国际投资公司-Matthews Asia Funds(SICAV)  ...     6123   2.132424
8   9                               中信证券股份有限公司  ...       新进        NaN
9  10                    泰康人寿保险有限责任公司-投连-多策略优选  ...       新进        NaN
```

#### 十大股东(个股)

接口: stock_gdfx_top_10_em

目标地址: https://emweb.securities.eastmoney.com/PC_HSF10/ShareholderResearch/Index?type=web&code=SH688686#sdltgd-0

描述: 东方财富网-个股-十大股东

限量: 单次返回指定 symbol 和 date 的所有数据

输入参数

| 名称     | 类型  | 描述                            |
|--------|-----|-------------------------------|
| symbol | str | symbol="sh688686"; 带市场标识的股票代码 |
| date   | str | date="20210630"; 财报发布季度最后日    |

输出参数

| 名称       | 类型      | 描述      |
|----------|---------|---------|
| 名次       | int64   | -       |
| 股东名称     | object  | -       |
| 股份类型     | object  | -       |
| 持股数      | int64   | 注意单位: 股 |
| 占总股本持股比例 | float64 | 注意单位: % |
| 增减       | object  | 注意单位: 股 |
| 变动比率     | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_gdfx_top_10_em_df = ak.stock_gdfx_top_10_em(symbol="sh688686", date="20210630")
print(stock_gdfx_top_10_em_df)
```

数据示例

```
   名次                                        股东名称  ...       增减       变动比率
0   1                                         卢治临  ...       不变        NaN
1   2                                         卢盛林  ...       不变        NaN
2   3                                         许学亮  ...       不变        NaN
3   4                          东莞千智股权投资合伙企业(有限合伙)  ...       不变        NaN
4   5                  高华-汇丰-GOLDMAN,SACHS&CO.LLC  ...   946997  54.311934
5   6            铭基国际投资公司-MATTHEWS ASIA FUNDS(US)  ...  -358837 -15.460528
6   7     MORGAN STANLEY & CO. INTERNATIONAL PLC.  ...    70003   4.082755
7   8  宁波梅山保税港区晨道投资合伙企业-长江晨道(湖北)新能源产业投资合伙企业(有限合伙)  ...       不变        NaN
8   9          国信证券-招商银行-国信证券鼎信10号科创板战略配售集合资产管理计划  ...  -639100 -30.994180
9  10                      FMR 有限公司-富达新兴市场基金(交易所)  ...       新进        NaN
```

#### 股东持股变动统计-十大流通股东

接口: stock_gdfx_free_holding_change_em

目标地址: https://data.eastmoney.com/gdfx/HoldingAnalyse.html

描述: 东方财富网-数据中心-股东分析-股东持股变动统计-十大流通股东

限量: 单次返回指定 date 的所有数据

输入参数

| 名称   | 类型  | 描述                         |
|------|-----|----------------------------|
| date | str | date="20210930"; 财报发布季度最后日 |

输出参数

| 名称           | 类型      | 描述      |
|--------------|---------|---------|
| 序号           | int64   | -       |
| 股东名称         | object  | -       |
| 股东类型         | object  | -       |
| 期末持股只数统计-总持有 | float64 | -       |
| 期末持股只数统计-新进  | float64 | -       |
| 期末持股只数统计-增加  | float64 | -       |
| 期末持股只数统计-不变  | float64 | -       |
| 期末持股只数统计-减少  | float64 | -       |
| 流通市值统计       | float64 | 注意单位: 元 |
| 持有个股         | object  | -       |

接口示例

```python
import akshare as ak

stock_gdfx_free_holding_change_em_df = ak.stock_gdfx_free_holding_change_em(date="20210930")
print(stock_gdfx_free_holding_change_em_df)
```

数据示例

```
          序号  ...                                               持有个股
0          1  ...  603218|日月股份,600988|赤峰黄金,600298|安琪酵母,300232|洲明科...
1          2  ...  600519|贵州茅台,000686|东北证券,002533|金杯电工,002066|瑞泰科...
2          3  ...  600519|贵州茅台,300015|爱尔眼科,600674|川投能源,600009|上海机...
3          4  ...  000026|飞亚达,200026|飞亚达B,300946|恒而达,000751|锌业股份,...
4          5  ...  300005|探路者,300946|恒而达,000985|大庆华科,300927|江天化学,...
      ...  ...                                                ...
30953  30954  ...                                        002982|湘佳股份
30954  30955  ...                                        300917|特发服务
30955  30956  ...                                         688733|壹石通
30956  30957  ...                                        300969|恒帅股份
30957  30958  ...                                        002896|中大力德
```

#### 股东持股变动统计-十大股东

接口: stock_gdfx_holding_change_em

目标地址: https://data.eastmoney.com/gdfx/HoldingAnalyse.html

描述: 东方财富网-数据中心-股东分析-股东持股变动统计-十大股东

限量: 单次返回指定 date 的所有数据

输入参数

| 名称   | 类型  | 描述                         |
|------|-----|----------------------------|
| date | str | date="20210930"; 财报发布季度最后日 |

输出参数

| 名称           | 类型      | 描述      |
|--------------|---------|---------|
| 序号           | int64   | -       |
| 股东名称         | object  | -       |
| 股东类型         | object  | -       |
| 期末持股只数统计-总持有 | float64 | -       |
| 期末持股只数统计-新进  | float64 | -       |
| 期末持股只数统计-增加  | float64 | -       |
| 期末持股只数统计-不变  | float64 | -       |
| 期末持股只数统计-减少  | float64 | -       |
| 流通市值统计       | float64 | 注意单位: 元 |
| 持有个股         | object  | -       |

接口示例

```python
import akshare as ak

stock_gdfx_holding_change_em_df = ak.stock_gdfx_holding_change_em(date="20210930")
print(stock_gdfx_holding_change_em_df)
```

数据示例

```
          序号  ...                                               持有个股
0          1  ...  600763|通策医疗,300229|拓尔思,603039|泛微网络,300006|莱美药业...
1          2  ...  002225|濮耐股份,600435|北方导航,600422|昆药集团,600009|上海机...
2          3  ...  600340|华夏幸福,600009|上海机场,000001|平安银行,601899|紫金矿...
3          4  ...  601865|福莱特,601899|紫金矿业,000756|新华制药,600036|招商银行...
4          5  ...  002479|富春环保,300582|英飞特,300358|楚天科技,002892|科力尔,...
      ...  ...                                                ...
33896  33897  ...                                        300047|天源迪科
33897  33898  ...                                        300969|恒帅股份
33898  33899  ...                                        000425|徐工机械
33899  33900  ...                                        002896|中大力德
33900  33901  ...                            000761|本钢板材,200761|本钢板B
```

#### 股东持股分析-十大流通股东

接口: stock_gdfx_free_holding_analyse_em

目标地址: https://data.eastmoney.com/gdfx/HoldingAnalyse.html

描述: 东方财富网-数据中心-股东分析-股东持股分析-十大流通股东

限量: 单次获取返回所有数据

输入参数

| 名称   | 类型  | 描述                         |
|------|-----|----------------------------|
| date | str | date="20210930"; 财报发布季度最后日 |

输出参数

| 名称             | 类型      | 描述      |
|----------------|---------|---------|
| 序号             | int64   | -       |
| 股东名称           | object  | -       |
| 股东类型           | object  | -       |
| 股票代码           | object  | -       |
| 股票简称           | object  | -       |
| 报告期            | object  | -       |
| 期末持股-数量        | float64 | 注意单位: 股 |
| 期末持股-数量变化      | float64 | 注意单位: 股 |
| 期末持股-数量变化比例    | float64 | 注意单位: % |
| 期末持股-持股变动      | float64 | -       |
| 期末持股-流通市值      | float64 | 注意单位: 元 |
| 公告日            | object  | -       |
| 公告日后涨跌幅-10个交易日 | float64 | 注意单位: % |
| 公告日后涨跌幅-30个交易日 | float64 | 注意单位: % |
| 公告日后涨跌幅-60个交易日 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_gdfx_free_holding_analyse_em_df = ak.stock_gdfx_free_holding_analyse_em(date="20210930")
print(stock_gdfx_free_holding_analyse_em_df)
```

数据示例

```
          序号  ... 公告日后涨跌幅-60个交易日
0          1  ...      19.832736
1          2  ...      19.832736
2          3  ...      19.832736
3          4  ...      19.832736
4          5  ...      19.832736
      ...  ...            ...
46536  46537  ...      -1.977232
46537  46538  ...      -1.977232
46538  46539  ...      -1.977232
46539  46540  ...      -1.977232
46540  46541  ...      -1.977232
```

#### 股东持股分析-十大股东

接口: stock_gdfx_holding_analyse_em

目标地址: https://data.eastmoney.com/gdfx/HoldingAnalyse.html

描述: 东方财富网-数据中心-股东分析-股东持股分析-十大股东

限量: 单次获取返回所有数据

输入参数

| 名称   | 类型  | 描述                         |
|------|-----|----------------------------|
| date | str | date="20210930"; 财报发布季度最后日 |

输出参数

| 名称             | 类型      | 描述      |
|----------------|---------|---------|
| 序号             | int64   | -       |
| 股东名称           | object  | -       |
| 股东类型           | object  | -       |
| 股票代码           | object  | -       |
| 股票简称           | object  | -       |
| 报告期            | object  | -       |
| 期末持股-数量        | float64 | 注意单位: 股 |
| 期末持股-数量变化      | float64 | 注意单位: 股 |
| 期末持股-数量变化比例    | float64 | 注意单位: % |
| 期末持股-持股变动      | float64 | -       |
| 期末持股-流通市值      | float64 | 注意单位: 元 |
| 公告日            | object  | -       |
| 公告日后涨跌幅-10个交易日 | float64 | 注意单位: % |
| 公告日后涨跌幅-30个交易日 | float64 | 注意单位: % |
| 公告日后涨跌幅-60个交易日 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_gdfx_holding_analyse_em_df = ak.stock_gdfx_holding_analyse_em(date="20210930")
print(stock_gdfx_holding_analyse_em_df)
```

数据示例

```
          序号               股东名称  ... 公告日后涨跌幅-30个交易日 公告日后涨跌幅-60个交易日
0          1     厦门象屿资产管理运营有限公司  ...            NaN            NaN
1          2       厦门港务控股集团有限公司  ...            NaN            NaN
2          3       厦门国际会展控股有限公司  ...            NaN            NaN
3          4       厦门国贸金融控股有限公司  ...            NaN            NaN
4          5         福建奥元集团有限公司  ...            NaN            NaN
      ...                ...  ...            ...            ...
55198  55199  深圳市德益共赢投资企业(有限合伙)  ...            NaN            NaN
55199  55200                王小峰  ...            NaN            NaN
55200  55201                卢达华  ...            NaN            NaN
55201  55202      东莞市通辉模具股份有限公司  ...            NaN            NaN
55202  55203                 赵禹  ...            NaN            NaN
```

#### 股东持股明细-十大流通股东

接口: stock_gdfx_free_holding_detail_em

目标地址: https://data.eastmoney.com/gdfx/HoldingAnalyse.html

描述: 东方财富网-数据中心-股东分析-股东持股明细-十大流通股东

限量: 单次返回指定 date 的所有数据

输入参数

| 名称   | 类型  | 描述                         |
|------|-----|----------------------------|
| date | str | date="20210930"; 财报发布季度最后日 |

输出参数

| 名称           | 类型      | 描述      |
|--------------|---------|---------|
| 序号           | int64   | -       |
| 股东名称         | object  | -       |
| 股东类型         | object  | -       |
| 股票代码         | object  | -       |
| 股票简称         | object  | -       |
| 报告期          | object  | -       |
| 期末持股-数量      | float64 | 注意单位: 股 |
| 期末持股-数量变化    | float64 | 注意单位: 股 |
| 期末持股-数量变化比例  | float64 | 注意单位: % |
| 期末持股-持股变动    | float64 | -       |
| 期末持股-流通市值    | float64 | 注意单位: 元 |
| 公告日          | object  | -       |

接口示例

```python
import akshare as ak

stock_gdfx_free_holding_detail_em_df = ak.stock_gdfx_free_holding_detail_em(date="20210930")
print(stock_gdfx_free_holding_detail_em_df)
```

数据示例

```
     序号                                 股东名称  ...     期末持股-流通市值         公告日
0          1                         漯河银鸽实业集团有限公司  ...  2.152836e+08  2022-04-29
1          2                       永城煤电控股集团上海有限公司  ...  1.363201e+07  2022-04-29
2          3                      漯河市发展投资控股集团有限公司  ...  5.661508e+06  2022-04-29
3          4                                  黄毅明  ...  4.968781e+06  2022-04-29
4          5                                  何卫昌  ...  3.609256e+06  2022-04-29
      ...                                  ...  ...           ...         ...
46546  46547     中国工商银行股份有限公司-东方红启恒三年持有期混合型证券投资基金  ...  2.441112e+08  2021-10-12
46547  46548        招商银行股份有限公司-泓德瑞兴三年持有期混合型证券投资基金  ...  2.201811e+08  2021-10-12
46548  46549  中国工商银行股份有限公司-富国天惠精选成长混合型证券投资基金(LOF)  ...  2.132101e+08  2021-10-12
46549  46550                          全国社保基金四零二组合  ...  2.128475e+08  2021-10-12
46550  46551              中国工商银行股份有限公司-博时信用债券投资基金  ...  2.079605e+08  2021-10-12
```

#### 股东持股明细-十大股东

接口: stock_gdfx_holding_detail_em

目标地址: https://data.eastmoney.com/gdfx/HoldingAnalyse.html

描述: 东方财富网-数据中心-股东分析-股东持股明细-十大股东

限量: 单次返回指定 date 的所有数据

输入参数

| 名称   | 类型  | 描述                         |
|------|-----|----------------------------|
| date | str | date="20210930"; 财报发布季度最后日 |

输出参数

| 名称           | 类型      | 描述      |
|--------------|---------|---------|
| 序号           | int64   | -       |
| 股东名称         | object  | -       |
| 股东类型         | object  | -       |
| 股东排名         | object  | -       |
| 股票代码         | object  | -       |
| 股票简称         | object  | -       |
| 报告期          | object  | -       |
| 期末持股-数量      | float64 | 注意单位: 股 |
| 期末持股-持股占流通股比 | float64 | 注意单位: 股 |
| 期末持股-数量变化    | float64 | 注意单位: 股 |
| 期末持股-数量变化比例  | float64 | 注意单位: % |
| 期末持股-持股变动    | float64 | -       |
| 期末持股-流通市值    | float64 | 注意单位: 元 |
| 公告日          | object  | -       |

接口示例

```python
import akshare as ak

stock_gdfx_holding_detail_em_df = ak.stock_gdfx_holding_detail_em(date="20210930")
print(stock_gdfx_holding_detail_em_df)
```

数据示例

```
          序号             股东名称 股东类型  ...  期末持股-持股变动 期末持股-流通市值         公告日
0          1     厦门象屿资产管理运营有限公司   其他  ...         不变       NaN  2022-01-07
1          2       厦门港务控股集团有限公司   其他  ...         不变       NaN  2022-01-07
2          3       厦门国际会展控股有限公司   其他  ...         不变       NaN  2022-01-07
3          4       厦门国贸金融控股有限公司   其他  ...         不变       NaN  2022-01-07
4          5         福建奥元集团有限公司   其他  ...         不变       NaN  2022-01-07
      ...                ...  ...  ...        ...       ...         ...
55198  55199  深圳市德益共赢投资企业(有限合伙)   其他  ...         新进       NaN  2021-07-13
55199  55200                王小峰   个人  ...         新进       NaN  2021-07-13
55200  55201                卢达华   个人  ...         新进       NaN  2021-07-13
55201  55202      东莞市通辉模具股份有限公司   其他  ...         新进       NaN  2021-07-13
55202  55203                 赵禹   个人  ...         新进       NaN  2021-07-13
```

#### 股东持股统计-十大流通股东

接口: stock_gdfx_free_holding_statistics_em

目标地址: https://data.eastmoney.com/gdfx/HoldingAnalyse.html

描述: 东方财富网-数据中心-股东分析-股东持股统计-十大股东

限量: 单次返回指定 date 的所有数据

输入参数

| 名称   | 类型  | 描述                         |
|------|-----|----------------------------|
| date | str | date="20210930"; 财报发布季度最后日 |

输出参数

| 名称                   | 类型      | 描述  |
|----------------------|---------|-----|
| 序号                   | int64   | -   |
| 股东名称                 | object  | -   |
| 股东类型                 | object  | -   |
| 统计次数                 | int64   | -   |
| 公告日后涨幅统计-10个交易日-平均涨幅 | float64 | -   |
| 公告日后涨幅统计-10个交易日-最大涨幅 | float64 | -   |
| 公告日后涨幅统计-10个交易日-最小涨幅 | float64 | -   |
| 公告日后涨幅统计-30个交易日-平均涨幅 | float64 | -   |
| 公告日后涨幅统计-30个交易日-最大涨幅 | float64 | -   |
| 公告日后涨幅统计-30个交易日-最小涨幅 | float64 | -   |
| 公告日后涨幅统计-60个交易日-平均涨幅 | float64 | -   |
| 公告日后涨幅统计-60个交易日-最大涨幅 | float64 | -   |
| 公告日后涨幅统计-60个交易日-最小涨幅 | float64 | -   |
| 持有个股                 | object  | -   |

接口示例

```python
import akshare as ak

stock_gdfx_free_holding_statistics_em_df = ak.stock_gdfx_free_holding_statistics_em(date="20210930")
print(stock_gdfx_free_holding_statistics_em_df)
```

数据示例

```
          序号  ...                                               持有个股
0          1  ...  603218|日月股份,600988|赤峰黄金,600298|安琪酵母,300232|洲明科...
1          2  ...  600519|贵州茅台,000686|东北证券,002533|金杯电工,002066|瑞泰科...
2          3  ...  600519|贵州茅台,300015|爱尔眼科,600674|川投能源,600009|上海机...
3          4  ...  000026|飞亚达,300946|恒而达,000751|锌业股份,300927|江天化学,...
4          5  ...  300005|探路者,300946|恒而达,000985|大庆华科,300927|江天化学,...
      ...  ...                                                ...
30963  30964  ...                                        002982|湘佳股份
30964  30965  ...                                        300917|特发服务
30965  30966  ...                                         688733|壹石通
30966  30967  ...                                        300969|恒帅股份
30967  30968  ...                                        002896|中大力德
```

#### 股东持股统计-十大股东

接口: stock_gdfx_holding_statistics_em

目标地址: https://data.eastmoney.com/gdfx/HoldingAnalyse.html

描述: 东方财富网-数据中心-股东分析-股东持股统计-十大股东

限量: 单次返回指定 date 的所有数据

输入参数

| 名称   | 类型  | 描述                         |
|------|-----|----------------------------|
| date | str | date="20210930"; 财报发布季度最后日 |

输出参数

| 名称                   | 类型      | 描述  |
|----------------------|---------|-----|
| 序号                   | int64   | -   |
| 股东名称                 | object  | -   |
| 股东类型                 | object  | -   |
| 统计次数                 | int64   | -   |
| 公告日后涨幅统计-10个交易日-平均涨幅 | float64 | -   |
| 公告日后涨幅统计-10个交易日-最大涨幅 | float64 | -   |
| 公告日后涨幅统计-10个交易日-最小涨幅 | float64 | -   |
| 公告日后涨幅统计-30个交易日-平均涨幅 | float64 | -   |
| 公告日后涨幅统计-30个交易日-最大涨幅 | float64 | -   |
| 公告日后涨幅统计-30个交易日-最小涨幅 | float64 | -   |
| 公告日后涨幅统计-60个交易日-平均涨幅 | float64 | -   |
| 公告日后涨幅统计-60个交易日-最大涨幅 | float64 | -   |
| 公告日后涨幅统计-60个交易日-最小涨幅 | float64 | -   |
| 持有个股                 | object  | -   |

接口示例

```python
import akshare as ak

stock_gdfx_holding_statistics_em_df = ak.stock_gdfx_holding_statistics_em(date="20210930")
print(stock_gdfx_holding_statistics_em_df)
```

数据示例

```
          序号  ...                                               持有个股
0          1  ...  600763|通策医疗,300229|拓尔思,603039|泛微网络,300006|莱美药业...
1          2  ...  002225|濮耐股份,600435|北方导航,600422|昆药集团,600009|上海机...
2          3  ...  600340|华夏幸福,600009|上海机场,000001|平安银行,601899|紫金矿...
3          4  ...  601865|福莱特,601899|紫金矿业,000756|新华制药,600036|招商银行...
4          5  ...  002479|富春环保,300582|英飞特,300358|楚天科技,002892|科力尔,...
      ...  ...                                                ...
33819  33820  ...                                        300047|天源迪科
33820  33821  ...                                        300969|恒帅股份
33821  33822  ...                                        000425|徐工机械
33822  33823  ...                                        002896|中大力德
33823  33824  ...                                        000761|本钢板材
```

#### 股东协同-十大流通股东

接口: stock_gdfx_free_holding_teamwork_em

目标地址: https://data.eastmoney.com/gdfx/HoldingAnalyse.html

描述: 东方财富网-数据中心-股东分析-股东协同-十大流通股东

限量: 单次返回所有数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型     | 描述  |
|--------|--------|-----|
| 序号     | int64  | -   |
| 股东名称   | object | -   |
| 股东类型   | object | -   |
| 协同股东名称 | object | -   |
| 协同股东类型 | object | -   |
| 协同次数   | int64  | -   |
| 个股详情   | object | -   |

接口示例

```python
import akshare as ak

stock_gdfx_free_holding_teamwork_em_df = ak.stock_gdfx_free_holding_teamwork_em()
print(stock_gdfx_free_holding_teamwork_em_df)
```

数据示例

```
        序号  ...                                               个股详情
0        1  ...  600655|豫园股份|2021-06-30,600352|浙江龙盛|2021-03-31,...
1        2  ...  600655|豫园股份|2021-06-30,600352|浙江龙盛|2021-03-31,...
2        3  ...  600522|中天科技|2021-09-30,000333|美的集团|2021-09-30,...
3        4  ...  600522|中天科技|2021-09-30,000333|美的集团|2021-09-30,...
4        5  ...  600522|中天科技|2021-09-30,000333|美的集团|2021-09-30,...
    ...  ...                                                ...
4995  4996  ...  002600|领益智造|2020-09-30,600309|万华化学|2021-09-30,...
4996  4997  ...  301002|崧盛股份|2021-06-30,600521|华海药业|2021-06-30,...
4997  4998  ...  300735|光弘科技|2020-03-31,002920|德赛西威|2020-06-30,...
4998  4999  ...  300470|中密控股|2020-06-30,002182|云海金属|2020-12-31,...
4999  5000  ...  002912|中新赛克|2020-03-31,300136|信维通信|2020-09-30,...
```

#### 股东协同-十大股东

接口: stock_gdfx_holding_teamwork_em

目标地址: https://data.eastmoney.com/gdfx/HoldingAnalyse.html

描述: 东方财富网-数据中心-股东分析-股东协同-十大股东

限量: 单次返回所有数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型     | 描述  |
|--------|--------|-----|
| 序号     | int64  | -   |
| 股东名称   | object | -   |
| 股东类型   | object | -   |
| 协同股东名称 | object | -   |
| 协同股东类型 | object | -   |
| 协同次数   | int64  | -   |
| 个股详情   | object | -   |

接口示例

```python
import akshare as ak

stock_gdfx_holding_teamwork_em_df = ak.stock_gdfx_holding_teamwork_em()
print(stock_gdfx_holding_teamwork_em_df)
```

数据示例

```
        序号  ...                                               个股详情
0        1  ...  600201|生物股份|2021-03-31,000656|金科股份|2020-03-31,...
1        2  ...  600201|生物股份|2021-03-31,000656|金科股份|2020-03-31,...
2        3  ...  600201|生物股份|2021-06-30,002007|华兰生物|2021-09-30,...
3        4  ...  600201|生物股份|2021-06-30,002007|华兰生物|2021-09-30,...
4        5  ...  600201|生物股份|2021-03-31,002007|华兰生物|2021-03-31,...
    ...  ...                                                ...
4995  4996  ...  600741|华域汽车|2020-03-31,002065|东华软件|2019-12-31,...
4996  4997  ...  600741|华域汽车|2019-12-31,002065|东华软件|2019-12-31,...
4997  4998  ...  300009|安科生物|2021-03-31,600531|豫光金铅|2020-06-30,...
4998  4999  ...  601628|中国人寿|2021-09-30,601336|新华保险|2021-09-30,...
4999  5000  ...  601628|中国人寿|2021-09-30,601336|新华保险|2021-09-30,...
```

#### 股东户数

接口: stock_zh_a_gdhs

目标地址: http://data.eastmoney.com/gdhs/

描述: 东方财富网-数据中心-特色数据-股东户数数据

限量: 单次获取返回所有数据

输入参数

| 名称     | 类型  | 描述                                         |
|--------|-----|--------------------------------------------|
| symbol | str | symbol="20210331"; choice of {"最新", 每个季度末} |

输出参数

| 名称           | 类型      | 描述      |
|--------------|---------|---------|
| 代码           | object  | -       |
| 名称           | object  | -       |
| 最新价          | float64 | 注意单位: 元 |
| 涨跌幅          | float64 | 注意单位: % |
| 股东户数-本次      | int64   | -       |
| 股东户数-上次      | int64   | -       |
| 股东户数-增减      | int64   | -       |
| 股东户数-增减比例    | float64 | 注意单位: % |
| 区间涨跌幅        | float64 | 注意单位: % |
| 股东户数统计截止日-本次 | object  | -       |
| 股东户数统计截止日-上次 | object  | -       |
| 户均持股市值       | float64 | -       |
| 户均持股数量       | float64 | -       |
| 总市值          | float64 | -       |
| 总股本          | float64 | -       |
| 公告日期         | object  | -       |

接口示例

```python
import akshare as ak

stock_zh_a_gdhs_df = ak.stock_zh_a_gdhs(symbol="20210930")
print(stock_zh_a_gdhs_df)
```

数据示例

```
     代码    名称     最新价  ...           总市值       总股本      公告日期
0     688621  阳光诺和  122.92  ...  1.460160e+10    80000000  2021-11-06
1     603668  天马科技    8.08  ...  3.407573e+09   436308976  2021-11-02
2     600350  山东高速    5.08  ...  2.665386e+10  4811165857  2021-11-02
3     301091   深城交   30.85  ...           NaN   120000000  2021-10-31
4     688819  天能股份   44.63  ...  4.265575e+10   972100000  2021-10-30
      ...   ...     ...  ...           ...         ...         ...
4366  300191  潜能恒信   23.74  ...  8.233600e+09   320000000  2021-10-12
4367  002984   森麒麟   37.67  ...  1.882741e+10   649668940  2021-10-12
4368  002585  双星新材   23.10  ...  2.886070e+10  1156278085  2021-10-12
4369  002552  宝鼎科技   13.74  ...  4.486304e+09   306232338  2021-10-12
4370  000708  中信特钢   18.56  ...  1.034664e+11  5047143433  2021-10-12
```

#### 股东户数详情

接口: stock_zh_a_gdhs_detail_em

目标地址: https://data.eastmoney.com/gdhs/detail/000002.html

描述: 东方财富网-数据中心-特色数据-股东户数详情

限量: 单次获取指定 symbol 的所有数据

输入参数

| 名称     | 类型  | 描述                    |
|--------|-----|-----------------------|
| symbol | str | symbol="000002"; 股票代码 |

输出参数

| 名称        | 类型      | 描述      |
|-----------|---------|---------|
| 股东户数统计截止日 | object  | -       |
| 区间涨跌幅     | float64 | 注意单位: % |
| 股东户数-本次   | int64   | -       |
| 股东户数-上次   | int64   | -       |
| 股东户数-增减   | int64   | -       |
| 股东户数-增减比例 | float64 | 注意单位: % |
| 户均持股市值    | float64 | -       |
| 户均持股数量    | float64 | -       |
| 总市值       | float64 | -       |
| 总股本       | int64   | -       |
| 股本变动      | int64   | -       |
| 股本变动原因    | object  | -       |
| 股东户数公告日期  | object  | -       |
| 代码        | object  | -       |
| 名称        | object  | -       |

接口示例

```python
import akshare as ak

stock_zh_a_gdhs_detail_em_df = ak.stock_zh_a_gdhs_detail_em(symbol="000002")
print(stock_zh_a_gdhs_detail_em_df)
```

数据示例

```
   股东户数统计截止日  区间涨跌幅 股东户数-本次  ...股东户数公告日期 代码   名称
0   2021-09-30   9.068631   538792  ...  2021-10-29  000002  万科A
1   2021-07-31 -13.229735   566039  ...  2021-08-30  000002  万科A
2   2021-06-30 -20.633333   571074  ...  2021-08-30  000002  万科A
3   2021-03-31  -9.365559   393960  ...  2021-04-23  000002  万科A
4   2021-02-28  15.331010   381906  ...  2021-03-31  000002  万科A
5   2020-12-31   2.426838   385248  ...  2021-03-31  000002  万科A
6   2020-09-30   8.257337   371477  ...  2020-10-30  000002  万科A
7   2020-07-31   2.677888   461666  ...  2020-08-28  000002  万科A
8   2020-06-30   1.910331   406742  ...  2020-08-28  000002  万科A
9   2020-03-31 -13.315309   326417  ...  2020-04-28  000002  万科A
10  2020-02-29  -8.048477   286901  ...  2020-03-18  000002  万科A
11  2019-12-31  24.247104   245835  ...  2020-03-18  000002  万科A
12  2019-09-30  -6.318701   290500  ...  2019-10-25  000002  万科A
13  2019-07-31   3.416037   246798  ...  2019-08-21  000002  万科A
14  2019-06-30  -9.472656   266065  ...  2019-08-21  000002  万科A
15  2019-03-31   9.753483   222935  ...  2019-04-30  000002  万科A
16  2019-02-28  17.506297   239089  ...  2019-03-26  000002  万科A
17  2018-12-31  -1.975309   243721  ...  2019-03-26  000002  万科A
18  2018-09-30   8.276392   261769  ...  2018-10-26  000002  万科A
19  2018-07-31  -5.203252   282167  ...  2018-08-21  000002  万科A
20  2018-06-30 -26.103935   279652  ...  2018-08-21  000002  万科A
21  2018-03-31   1.804281   248297  ...  2018-04-26  000002  万科A
22  2018-02-28   5.280103   246735  ...  2018-03-27  000002  万科A
23  2017-12-31  18.323810   207177  ...  2018-03-27  000002  万科A
24  2017-09-30  16.145054   208940  ...  2017-10-27  000002  万科A
25  2017-07-31  -6.407689   258271  ...  2017-08-25  000002  万科A
26  2017-06-30  21.331390   253139  ...  2017-08-25  000002  万科A
27  2017-03-31   0.243546   326683  ...  2017-04-28  000002  万科A
28  2017-02-28  -0.097324   339282  ...  2017-03-27  000002  万科A
29  2016-12-31 -21.474971   336065  ...  2017-03-27  000002  万科A
30  2016-09-30  52.683781   321534  ...  2016-10-28  000002  万科A
31  2016-07-31 -26.903456   546691  ...  2016-08-22  000002  万科A
32  2016-06-30   0.000000   272006  ...  2016-08-22  000002  万科A
33  2016-03-31   0.000000   272063  ...  2016-04-28  000002  万科A
34  2016-02-29   0.000000   272145  ...  2016-03-14  000002  万科A
35  2015-12-31  91.908877   272350  ...  2016-03-14  000002  万科A
36  2015-09-30  -9.375935   332339  ...  2015-10-28  000002  万科A
37  2015-06-30   5.065123   479246  ...  2015-08-17  000002  万科A
38  2015-03-31   5.900383   652113  ...  2015-04-27  000002  万科A
39  2015-03-24  -6.115108   586390  ...  2015-03-31  000002  万科A
40  2014-12-31  51.416122   496907  ...  2015-03-31  000002  万科A
41  2014-09-30  11.003628   619745  ...  2014-10-27  000002  万科A
42  2014-06-30   7.843228   662721  ...  2014-08-18  000002  万科A
43  2014-03-31  20.386905   718506  ...  2014-04-29  000002  万科A
44  2014-02-28 -16.313823   752643  ...  2014-03-07  000002  万科A
45  2013-12-31 -12.048193   723239  ...  2014-03-07  000002  万科A
46  2013-09-30  -7.309645   713492  ...  2013-10-30  000002  万科A
47  2013-06-30  -6.976724   666684  ...  2013-08-07  000002  万科A
48  2013-03-31 -10.407993   687129  ...  2013-04-23  000002  万科A
49  2013-01-31  18.675889   704832  ...  2013-02-28  000002  万科A
```

#### 分红配股

接口: stock_history_dividend_detail

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vISSUE_ShareBonus/stockid/300670.phtml

描述: 新浪财经-发行与分配-分红配股

限量: 单次获取指定股票的新浪财经-发行与分配-分红配股详情

输入参数

| 名称        | 类型  | 描述                                               |
|-----------|-----|--------------------------------------------------|
| symbol    | str | symbol="600012"; 股票代码                            |
| indicator | str | indicator="配股"; choice of {"分红", "配股"}           |
| date      | str | date="1994-12-24"; 分红配股的具体日期, e.g., "1994-12-24" |

输出参数-分红历史

| 名称    | 类型      | 描述          |
|-------|---------|-------------|
| 公告日期  | object  | -           |
| 送股    | int64   | 注意单位: 股     |
| 转增    | int64   | 注意单位: 股     |
| 派息    | float64 | 注意单位: 元; 税前 |
| 进度    | object  | -           |
| 除权除息日 | object  | -           |
| 股权登记日 | object  | -           |
| 红股上市日 | object  | -           |

接口示例-分红历史

```python
import akshare as ak

stock_history_dividend_detail_df = ak.stock_history_dividend_detail(symbol="600012", indicator="分红")
print(stock_history_dividend_detail_df)
```

数据示例-分红历史

```
     公告日期  送股  转增   派息  进度  除权除息日   股权登记日 红股上市日
0   2021-07-14   0   0  2.3  实施  2021-07-21  2021-07-20   NaT
1   2020-07-14   0   0  2.3  实施  2020-07-22  2020-07-21   NaT
2   2019-07-08   0   0  2.5  实施  2019-07-16  2019-07-15   NaT
3   2018-07-09   0   0  2.3  实施  2018-07-17  2018-07-16   NaT
4   2017-07-10   0   0  2.3  实施  2017-07-18  2017-07-17   NaT
5   2016-07-12   0   0  2.3  实施  2016-07-19  2016-07-18   NaT
6   2015-07-13   0   0  2.3  实施  2015-07-20  2015-07-17   NaT
7   2014-07-07   0   0  2.2  实施  2014-07-11  2014-07-10   NaT
8   2013-06-18   0   0  2.0  实施  2013-06-24  2013-06-21   NaT
9   2012-07-10   0   0  2.1  实施  2012-07-16  2012-07-13   NaT
10  2011-06-08   0   0  2.1  实施  2011-06-14  2011-06-13   NaT
11  2010-06-10   0   0  2.0  实施  2010-06-21  2010-06-18   NaT
12  2009-05-25   0   0  2.3  实施  2009-06-02  2009-06-01   NaT
13  2008-06-18   0   0  2.0  实施  2008-06-25  2008-06-24   NaT
14  2007-06-20   0   0  2.5  实施  2007-06-26  2007-06-25   NaT
15  2006-07-12   0   0  2.8  实施  2006-07-18  2006-07-17   NaT
16  2005-07-11   0   0  1.0  实施  2005-07-15  2005-07-14   NaT
17  2004-06-14   0   0  0.6  实施  2004-06-18  2004-06-17   NaT
18  2003-07-07   0   0  0.3  实施  2003-07-11  2003-07-10   NaT
```

输出参数-分红详情

| 名称    | 类型     | 描述   |
|-------|--------|------|
| item  | object | 所列项目 |
| value | object | 项目值  |

接口示例-分红详情

```python
import akshare as ak

stock_history_dividend_detail_df = ak.stock_history_dividend_detail(symbol="600012", indicator="分红",
                                                                    date="2019-07-08")
print(stock_history_dividend_detail_df)
```

数据示例-分红详情

```
                 item             value
0          税前红利（报价币种）        2.50
1          税后红利（报价币种）        2.50
2       B、H股税前红利（人民币）          --
3       B、H股税后红利（人民币）          --
4           送股比例（10送）          --
5          转增比例（10转增）          --
6     盈余公积金转增比例（10转增）          --
7     资本公积金转增比例（10转增）          --
8                发放对象          --
9               股本基准日  2018-12-31
10              最后交易日          --
11                登记日  2019-07-15
12                除息日  2019-07-16
13  红利/配股起始日（送、转股到账日）  2019-07-16
14           红利/配股终止日          --
15                上市日          --
16         股东大会决议公告日期  2019-05-18
17       可转债享受权益转股截止日          --
18          配股比例（10配）          --
19                配股价          --
20               转配比例          --
21                转配价          --
22              配股有效期          --
23              实际配股数          --
24             配股前总股本          --
25             实际配股比例          --
26              每股拆细数          --
27             外币折算汇率          --
28               权息说明          --
```

输出参数-配股历史

| 名称     | 类型      | 描述             |
|--------|---------|----------------|
| 公告日期   | object  | -              |
| 配股方案   | float64 | 注意单位: 每10股配股股数 |
| 配股价格   | float64 | 注意单位: 元        |
| 基准股本   | int64   | 注意单位: 股        |
| 除权日    | object  | -              |
| 股权登记日  | object  | -              |
| 缴款起始日  | object  | -              |
| 缴款终止日  | object  | -              |
| 配股上市日  | object  | -              |
| 募集资金合计 | float64 | 注意单位: 元        |

接口示例-配股历史

```python
import akshare as ak

stock_history_dividend_detail_df = ak.stock_history_dividend_detail(symbol="000002", indicator="配股")
print(stock_history_dividend_detail_df)
```

数据示例-配股历史

```
   公告日期   配股方案  配股价格  ... 缴款终止日    配股上市日 募集资金合计
0  1999-12-22  2.727   7.5  ...  2000-01-24  2000-02-16    NaN
1  1997-06-26  2.370   4.5  ...  1997-07-29  1997-08-22    NaN
2  1900-01-01  5.000   4.4  ...  1991-06-08  1900-01-01    NaN
```

输出参数-配股详情

| 名称    | 类型     | 描述   |
|-------|--------|------|
| item  | object | 所列项目 |
| value | object | 项目值  |

接口示例-配股详情

```python
import akshare as ak

stock_history_dividend_detail_df = ak.stock_history_dividend_detail(indicator="配股", symbol="000002",
                                                                    date="1999-12-22")
print(stock_history_dividend_detail_df)
```

数据示例-配股详情

```
                 item         value
0          税前红利（报价币种）            --
1          税后红利（报价币种）            --
2       B、H股税前红利（人民币）            --
3       B、H股税后红利（人民币）            --
4           送股比例（10送）            --
5          转增比例（10转增）            --
6     盈余公积金转增比例（10转增）            --
7     资本公积金转增比例（10转增）            --
8                发放对象            --
9               股本基准日            --
10              最后交易日            --
11                登记日    2000-01-07
12                除息日    2000-01-10
13  红利/配股起始日（送、转股到账日）    2000-01-11
14           红利/配股终止日    2000-01-24
15                上市日    2000-02-16
16         股东大会决议公告日期            --
17       可转债享受权益转股截止日            --
18          配股比例（10配）          2.73
19                配股价          7.50
20               转配比例            --
21                转配价            --
22              配股有效期            --
23              实际配股数   85434500.00
24             配股前总股本  545537000.00
25             实际配股比例          1.57
26              每股拆细数            --
27             外币折算汇率            --
28               权息说明            --
```

#### 历史分红

接口: stock_dividents_cninfo

目标地址: http://webapi.cninfo.com.cn/#/company?companyid=600009

描述: 巨潮资讯-个股-历史分红

限量: 单次获取指定股票的历史分红数据

输入参数

| 名称     | 类型  | 描述              |
|--------|-----|-----------------|
| symbol | str | symbol="600009" |

输出参数

| 名称       | 类型      | 描述           |
|----------|---------|--------------|
| 实施方案公告日期 | object  | -            |
| 送股比例     | float64 | 注意单位: 每 10 股 |
| 转增比例     | float64 | 注意单位: 每 10 股 |
| 派息比例     | float64 | 注意单位: 每 10 股 |
| 股权登记日    | object  | -            |
| 除权日      | object  | -            |
| 派息日      | object  | -            |
| 股份到账日    | object  | -            |
| 实施方案分红说明 | object  | -            |
| 分红类型     | object  | -            |
| 报告时间     | object  | -            |

接口示例

```python
import akshare as ak

stock_dividents_cninfo_df = ak.stock_dividents_cninfo(symbol="600009")
print(stock_dividents_cninfo_df)
```

数据示例

```
   实施方案公告日期  送股比例  转增比例  派息比例  ... 股份到账日 实施方案分红说明 分红类型  报告时间
0   2020-08-14   NaN   NaN  7.90  ...   NaT    10派7.9元(含税)  年度分红   2019年报
1   2019-08-16   NaN   NaN  6.60  ...   NaT    10派6.6元(含税)  年度分红   2018年报
2   2018-08-17   NaN   NaN  5.80  ...   NaT    10派5.8元(含税)  年度分红   2017年报
3   2017-08-18   NaN   NaN  4.40  ...   NaT    10派4.4元(含税)  年度分红   2016年报
4   2016-08-12   NaN   NaN  4.30  ...   NaT    10派4.3元(含税)  年度分红   2015年报
5   2015-08-14   NaN   NaN  3.50  ...   NaT    10派3.5元(含税)  年度分红   2014年报
6   2014-08-11   NaN   NaN  3.00  ...   NaT      10派3元(含税)  年度分红   2013年报
7   2013-08-12   NaN   NaN  3.70  ...   NaT    10派3.7元(含税)  年度分红   2012年报
8   2012-08-07   NaN   NaN  6.00  ...   NaT      10派6元(含税)  年度分红   2011年报
9   2011-08-08   NaN   NaN  1.00  ...   NaT      10派1元(含税)  年度分红   2010年报
10  2010-07-29   NaN   NaN  0.50  ...   NaT    10派0.5元（含税）  年度分红   2009年报
11  2009-07-30   NaN   NaN  0.50  ...   NaT    10派0.5元（含税）  年度分红   2008年报
12  2008-07-24   NaN   NaN  1.00  ...   NaT      10派1元（含税）  年度分红   2007年报
13  2007-08-16   NaN   NaN  1.50  ...   NaT    10派1.5元（含税）  年度分红   2006年报
14  2006-12-01   NaN   NaN  1.00  ...   NaT      10派1元（含税）  中期分红  2006半年报
15  2006-08-15   NaN   NaN  1.50  ...   NaT    10派1.5元(含税)  年度分红   2005年报
16  2005-05-17   NaN   NaN  1.00  ...   NaT      10派1元(含税)  年度分红   2004年报
17  2004-07-16   NaN   NaN  0.96  ...   NaT   10派0.96元（含税）  年度分红   2003年报
18  2003-12-22   3.0   NaN   NaN  ...   NaT          10送3股  中期分红  2003半年报
19  2003-08-05   NaN   NaN  1.99  ...   NaT  10股派1.99元（含税）  年度分红   2002年报
20  2002-07-18   NaN   NaN  1.50  ...   NaT    10派1.5元(含税)  年度分红   2001年报
21  2001-06-23   NaN   NaN  2.93  ...   NaT   10派2.93元(含税)  年度分红   2000年报
22  1998-11-28   0.0   5.0  0.00  ...   NaT         10转增5股  中期分红  1998半年报
```

#### 新股发行

接口: stock_ipo_info

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vISSUE_NewStock/stockid/600004.phtml

描述: 新浪财经-发行与分配-新股发行

限量: 单次获取新股发行的基本信息数据

输入参数

| 名称    | 类型  | 描述                   |
|-------|-----|----------------------|
| stock | str | stock="600004"; 股票代码 |

输出参数

| 名称    | 类型     | 描述   |
|-------|--------|------|
| item  | object | 所列项目 |
| value | object | 项目值  |

接口示例

```python
import akshare as ak

stock_ipo_info_df = ak.stock_ipo_info(stock="600004")
print(stock_ipo_info_df)
```

数据示例

```
              item       value
0              上市地     上海证券交易所
1             主承销商  中国国际金融有限公司
2             承销方式        余额包销
3            上市推荐人  中国国际金融有限公司
4         每股发行价(元)        5.88
5             发行方式    二级市场定价配售
6   发行市盈率（按发行后总股本）          --
7       首发前总股本（万股）    60000.00
8       首发后总股本（万股）   100000.00
9        实际发行量（万股）    40000.00
10      预计募集资金（万元）   235200.00
11    实际募集资金合计（万元）   235200.00
12      发行费用总额（万元）     6936.40
13      募集资金净额（万元）   228263.60
14        承销费用（万元）          --
15           招股公告日  2003-04-09
16            上市日期  2003-04-28
```

#### 股票增发

接口: stock_add_stock

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vISSUE_AddStock/stockid/600004.phtml

描述: 获取新浪财经-发行与分配-增发

限量: 单次获取股票增发详情数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="600004"; 股票代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 发行方式          | str   | Y        |   -   |
| 发行价格          | str   | Y        |   -   |
| 实际公司募集资金总额          | str   | Y        |   -   |
| 发行费用总额          | str   | Y        |   -   |
| 实际发行数量          | str   | Y        |   -   |

接口示例

```python
import akshare as ak

stock_add_stock_df = ak.stock_add_stock(stock="600004")
print(stock_add_stock_df)
```

数据示例

```
              发行方式    发行价格   实际公司募集资金总额      发行费用总额   实际发行数量
2007-12-29  网下定价发行  15.05元  22,575.00万元  1,887.00万元   1500万股
2007-12-18    定向配售   7.09元        0.00元       0.00元  13500万股
```

#### 限售解禁

##### 个股限售解禁-新浪

接口: stock_restricted_release_queue_sina

目标地址: https://vip.stock.finance.sina.com.cn/q/go.php/vInvestConsult/kind/xsjj/index.phtml?symbol=sh600000

描述: 新浪财经-发行分配-限售解禁

限量: 单次获取指定 symbol 的限售解禁数据

输入参数

| 名称     | 类型  | 描述                    |
|--------|-----|-----------------------|
| symbol | str | symbol="600000"; 股票代码 |

输出参数

| 名称      | 类型      | 描述       |
|---------|---------|----------|
| 代码      | object  | -        |
| 名称      | object  | -        |
| 解禁日期    | object  | -        |
| 解禁数量    | float64 | 注意单位: 万股 |
| 解禁股流通市值 | float64 | 注意单位: 亿元 |
| 上市批次    | int64   | -        |
| 公告日期    | object  | -        |

接口示例

```python
import akshare as ak

stock_restricted_release_queue_sina_df = ak.stock_restricted_release_queue_sina(symbol="600000")
print(stock_restricted_release_queue_sina_df)
```

数据示例

```
    代码    名称        解禁日期       解禁数量   解禁股流通市值  上市批次        公告日期
0  600000  浦发银行  2020-09-04  124831.65  127.0786    10  2017-09-06
1  600000  浦发银行  2017-03-20  109946.14  179.1023     9  2016-03-22
2  600000  浦发银行  2015-10-14  373069.43  599.1495     8  2010-10-16
3  600000  浦发银行  2010-09-29  117540.69  151.9801     7  2009-09-30
4  600000  浦发银行  2009-05-12   64917.32  161.1248     6  2006-05-09
5  600000  浦发银行  2008-05-12   41247.84  120.7737     5  2008-05-07
6  600000  浦发银行  2007-11-30   27761.94  144.0567     4  2006-11-21
7  600000  浦发银行  2007-05-14  192834.49  564.2337     3  2007-05-09
```

##### 限售股解禁

接口: stock_restricted_release_summary_em

目标地址: https://data.eastmoney.com/dxf/marketStatistics.html?type=day&startdate=2022-11-08&enddate=2022-12-19

描述: 东方财富网-数据中心-特色数据-限售股解禁

限量: 单次获取指定 symbol 在近期限售股解禁数据

输入参数

| 名称         | 类型  | 描述                                                                      |
|------------|-----|-------------------------------------------------------------------------|
| symbol     | str | symbol="全部股票"; choice of {"全部股票", "沪市A股", "科创板", "深市A股", "创业板", "京市A股"} |
| start_date | str | start_date="20221101"                                                   |
| end_date   | str | end_date="20221209"                                                     |

输出参数

| 名称         | 类型      | 描述      |
|------------|---------|---------|
| 序号         | int64   | -       |
| 解禁时间       | object  | -       |
| 当日解禁股票家数   | int64   | -       |
| 解禁数量       | float64 | 注意单位: 股 |
| 实际解禁数量     | float64 | 注意单位: 股 |
| 实际解禁市值     | int64   | 注意单位: 元 |
| 沪深300指数    | float64 | -       |
| 沪深300指数涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_restricted_release_summary_em_df = ak.stock_restricted_release_summary_em(symbol="全部股票", start_date="20221108", end_date="20221209")
print(stock_restricted_release_summary_em_df)
```

数据示例

```
    序号        解禁时间  当日解禁股票家数  ...        实际解禁市值    沪深300指数  沪深300指数涨跌幅
0    1  2022-11-08        15  ...  1.172407e+10  3749.3251     -0.6879
1    2  2022-11-09        10  ...  2.572546e+09  3714.2704     -0.9350
2    3  2022-11-10        15  ...  9.329462e+09  3685.6885     -0.7695
3    4  2022-11-11        17  ...  4.912280e+09  3788.4387      2.7878
4    5  2022-11-14        15  ...  2.318019e+10  3794.0171      0.1472
5    6  2022-11-15        14  ...  1.714207e+10  3865.9726      1.8966
6    7  2022-11-16        12  ...  1.209874e+10  3834.3899     -0.8169
7    8  2022-11-17        11  ...  4.802956e+09  3818.6640     -0.4101
8    9  2022-11-18        22  ...  8.274363e+10  3801.5686     -0.4477
9   10  2022-11-21        20  ...  1.283129e+10  3769.1269     -0.8534
10  11  2022-11-22         9  ...  9.232523e+09  3769.5727      0.0118
11  12  2022-11-23         7  ...  3.737618e+08  3773.5287      0.1049
12  13  2022-11-24         7  ...  4.706748e+09  3756.8082     -0.4431
13  14  2022-11-25        11  ...  2.465310e+09  3775.7764      0.5049
14  15  2022-11-28        17  ...  4.328994e+10  3733.2424     -1.1265
15  16  2022-11-29        13  ...  7.017021e+10  3848.4224      3.0853
16  17  2022-11-30        11  ...  1.060871e+10  3853.0365      0.1199
17  18  2022-12-01        15  ...  3.325098e+09  3894.7687      1.0831
18  19  2022-12-02        15  ...  4.087764e+09  3870.9478     -0.6116
19  20  2022-12-05        35  ...  1.952387e+10        NaN         NaN
20  21  2022-12-06        19  ...  1.600255e+10        NaN         NaN
21  22  2022-12-07        14  ...  2.661094e+09        NaN         NaN
22  23  2022-12-08        10  ...  2.100872e+09        NaN         NaN
23  24  2022-12-09         8  ...  1.630020e+10        NaN         NaN
```

##### 限售股解禁详情

接口: stock_restricted_release_detail_em

目标地址: https://data.eastmoney.com/dxf/detail.html

描述: 东方财富网-数据中心-限售股解禁-解禁详情一览

限量: 单次获取指定时间段限售股解禁数据

输入参数

| 名称         | 类型  | 描述                                                                      |
|------------|-----|-------------------------------------------------------------------------|
| start_date | str | start_date="20221202"                                                   |
| end_date   | str | end_date="20241202"                                                     |

输出参数

| 名称         | 类型      | 描述      |
|------------|---------|---------|
| 序号         | int64   | -       |
| 股票代码       | object  | -       |
| 股票简称       | object  | -       |
| 解禁时间       | object  | -       |
| 限售股类型      | object  | 注意单位: 股 |
| 解禁数量       | float64 | 注意单位: 股 |
| 实际解禁数量     | float64 | 注意单位: 股 |
| 实际解禁市值     | float64 | 注意单位: 元 |
| 占解禁前流通市值比例 | float64 | -       |
| 解禁前一交易日收盘价 | float64 | -       |
| 解禁前20日涨跌幅  | float64 | 注意单位: % |
| 解禁后20日涨跌幅  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_restricted_release_detail_em_df = ak.stock_restricted_release_detail_em(start_date="20221202", end_date="20221204")
print(stock_restricted_release_detail_em_df)
```

数据示例

```
    序号    股票代码  股票简称        解禁时间  ... 占解禁前流通市值比例  解禁前一交易日收盘价  解禁前20日涨跌幅  解禁后20日涨跌幅
0    1  002548   金新农  2022-12-02  ...   0.000292        5.98   3.866432       1.18
1    2  873527   夜光明  2022-12-02  ...   0.006829        9.02  -2.162162      -0.33
2    3  603127  昭衍新药  2022-12-02  ...   0.000445       58.30  -6.029040      -2.08
3    4  002511  中顺洁柔  2022-12-02  ...   0.000604       11.97  17.993795       4.91
4    5  688557  兰剑智能  2022-12-02  ...   0.020572       38.04  -4.086845       1.30
5    6  603283  赛腾股份  2022-12-02  ...   0.007451       35.55  -2.860892      -3.94
6    7  688007  光峰科技  2022-12-02  ...   0.003214       26.28   7.978723      -0.42
7    8  688578   艾力斯  2022-12-02  ...   0.013058       20.80  -9.883470      -0.38
8    9  300227   光韵达  2022-12-02  ...   0.021127        6.89  -5.793103       0.88
9   10  300525  博思软件  2022-12-02  ...   0.017589       19.87  -4.481132      -1.88
10  11  831641   格利尔  2022-12-02  ...   0.422407       12.65        NaN      31.77
11  12  688489  三未信安  2022-12-02  ...   1.000000      119.50        NaN        NaN
12  13  301198  喜悦智行  2022-12-02  ...   0.457230       18.83   1.796407       0.70
13  14  600848  上海临港  2022-12-02  ...   0.015465       12.64   6.260575       0.64
14  15  000415  渤海租赁  2022-12-02  ...   0.061934        2.29   4.954955      -1.72
```

##### 解禁批次

接口: stock_restricted_release_queue_em

目标地址: https://data.eastmoney.com/dxf/q/600000.html

描述: 东方财富网-数据中心-个股限售解禁-解禁批次

限量: 单次获取指定 symbol 的解禁批次数据

输入参数

| 名称     | 类型  | 描述              |
|--------|-----|-----------------|
| symbol | str | symbol="600000" |

输出参数

| 名称         | 类型      | 描述      |
|------------|---------|---------|
| 序号         | int64   | -       |
| 解禁时间       | object  | -       |
| 解禁股东数      | int64   | -       |
| 解禁数量       | float64 | 注意单位: 股 |
| 实际解禁数量     | float64 | 注意单位: 股 |
| 未解禁数量      | int64   | 注意单位: 股 |
| 实际解禁数量市值   | float64 | 注意单位: 元 |
| 占总市值比例     | float64 | -       |
| 占流通市值比例    | float64 | -       |
| 解禁前一交易日收盘价 | float64 | 注意单位: 元 |
| 限售股类型      | object  | -       |
| 解禁前20日涨跌幅  | float64 | 注意单位: % |
| 解禁后20日涨跌幅  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_restricted_release_queue_em_df = ak.stock_restricted_release_queue_em(symbol="600000")
print(stock_restricted_release_queue_em_df)
```

数据示例

```
   序号        解禁时间  解禁股东数  ...       限售股类型  解禁前20日涨跌幅  解禁后20日涨跌幅
0   1  2020-09-04      2  ...  定向增发机构配售股份  -3.893637  -6.916996
1   2  2017-03-20     11  ...  定向增发机构配售股份  -2.644231  -5.555556
2   3  2015-10-14      1  ...  定向增发机构配售股份   6.042497  12.085160
3   4  2010-09-29     38  ...  定向增发机构配售股份 -10.334996  15.262321
```

##### 解禁股东

接口: stock_restricted_release_stockholder_em

目标地址: https://data.eastmoney.com/dxf/q/600000.html

描述: 东方财富网-数据中心-个股限售解禁-解禁股东

限量: 单次获取指定 symbol 的解禁批次数据

输入参数

| 名称     | 类型  | 描述                                                                           |
|--------|-----|------------------------------------------------------------------------------|
| symbol | str | symbol="600000"                                                              |
| date   | str | date="20200904"; 通过 ak.stock_restricted_release_queue_em(symbol="600000") 获取 |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 序号      | int64   | -       |
| 股东名称    | object  | -       |
| 解禁数量    | int64   | 注意单位: 股 |
| 实际解禁数量  | int64   | 注意单位: 股 |
| 解禁市值    | float64 | 注意单位: 元 |
| 锁定期     | int64   | 注意单位: 月 |
| 剩余未解禁数量 | int64   | 注意单位: 股 |
| 限售股类型   | object  | -       |
| 进度      | object  | -       |

接口示例

```python
import akshare as ak

stock_restricted_release_stockholder_em_df = ak.stock_restricted_release_stockholder_em(symbol="600000", date="20200904")
print(stock_restricted_release_stockholder_em_df)
```

数据示例

```
   序号          股东名称       解禁数量     实际解禁数量  ...  锁定期  剩余未解禁数量       限售股类型  进度
0   1    上海国际集团有限公司  842003367  842003367  ...   36        0  定向增发机构配售股份  实施
1   2  上海国鑫投资发展有限公司  406313131  406313131  ...   36        0  定向增发机构配售股份  实施
```

#### 流通股东

接口: stock_circulate_stock_holder

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vCI_CirculateStockHolder/stockid/600000.phtml

描述: 新浪财经-股东股本-流通股东

限量: 单次获取指定 symbol 的流通股东数据

输入参数

| 名称     | 类型  | 描述                    |
|--------|-----|-----------------------|
| symbol | str | symbol="600000"; 股票代码 |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 截止日期   | object  | -       |
| 公告日期   | object  | -       |
| 编号     | int64   | -       |
| 股东名称   | object  | -       |
| 持股数量   | int64   | 注意单位: 股 |
| 占流通股比例 | float64 | 注意单位: % |
| 股本性质   | object  | -       |

接口示例

```python
import akshare as ak

stock_circulate_stock_holder_df = ak.stock_circulate_stock_holder(symbol="600000")
print(stock_circulate_stock_holder_df)
```

数据示例

```
      截止日期        公告日期  编号                股东名称        持股数量  占流通股比例   股本性质
0    2022-09-30  2022-10-29   1          上海国际集团有限公司  6331322671  21.570    国有股
1    2022-09-30  2022-10-29   2      中国移动通信集团广东有限公司  5334892824  18.175    国有股
2    2022-09-30  2022-10-29   3   富德生命人寿保险股份有限公司-传统  2779437274   9.469  境内法人股
3    2022-09-30  2022-10-29   4  富德生命人寿保险股份有限公司-资本金  1763232325   6.007  境内法人股
4    2022-09-30  2022-10-29   5       上海上国投资产管理有限公司  1395571025   4.755    国有股
..          ...         ...  ..                 ...         ...     ...    ...
745  2003-12-31         NaN   6          世纪证券有限责任公司     6882195   0.765    国有股
746  2003-12-31         NaN   7            汉兴证券投资基金     5921727   0.658  境内法人股
747  2003-12-31         NaN   8            泰和证券投资基金     4534267   0.504  境内法人股
748  2003-12-31         NaN   9          博时裕富证券投资基金     4197332   0.466  境内法人股
749  2003-12-31         NaN  10            同智证券投资基金     3880427   0.431  境内法人股
```

#### 板块行情

接口: stock_sector_spot

目标地址: http://finance.sina.com.cn/stock/sl/

描述: 新浪行业-板块行情

限量: 单次获取指定的板块行情实时数据

输入参数

| 名称        | 类型  | 描述                                                              |
|-----------|-----|-----------------------------------------------------------------|
| indicator | str | indicator="新浪行业"; choice of {"新浪行业", "启明星行业", "概念", "地域", "行业"} |

输出参数

| 名称     | 类型      | 描述       |
|--------|---------|----------|
| label  | object  | -        |
| 板块     | object  | -        |
| 公司家数   | int64   | -        |
| 平均价格   | float64 | -        |
| 涨跌额    | float64 | -        |
| 涨跌幅    | float64 | 注意单位: %  |
| 总成交量   | int64   | 注意单位: 手  |
| 总成交额   | int64   | 注意单位: 万元 |
| 股票代码   | object  | -        |
| 个股-涨跌幅 | float64 | 注意单位: %  |
| 个股-当前价 | float64 | -        |
| 个股-涨跌额 | float64 | -        |
| 股票名称   | object  | -        |

接口示例

```python
import akshare as ak

stock_industry_sina_df = ak.stock_sector_spot(indicator="新浪行业")
print(stock_industry_sina_df)
```

数据示例

```
        label    板块  公司家数        平均价格  ...  个股-涨跌幅  个股-当前价  个股-涨跌额   股票名称
0    new_blhy  玻璃行业    19   15.913158  ...   4.214   21.27    0.86   金刚玻璃
1    new_cbzz  船舶制造     8   10.561250  ...   5.374   22.55    1.15   中国船舶
2    new_cmyl  传媒娱乐    40    6.491053  ...  13.826    3.54    0.43   华谊兄弟
3    new_dlhy  电力行业    62    7.798667  ...  10.011   20.66    1.88   文山电力
4    new_dqhy  电器行业    58   15.341897  ...   7.950    7.74    0.57   精达股份
5    new_dzqj  电子器件   152   22.652349  ...  20.055    8.74    1.46   珈伟新能
6    new_dzxx  电子信息   247   12.984641  ...  20.022   21.46    3.58    中青宝
7     new_fdc   房地产   123    7.213445  ...  10.189    2.92    0.27   铁岭新城
8    new_fdsb  发电设备    65   11.620000  ...   6.644   18.46    1.15    天融信
9    new_fjzz  飞机制造    14   24.420714  ...   6.079   62.82    3.60   中直股份
10   new_fzhy  纺织行业    42    5.945750  ...   7.362    5.25    0.36   凤竹纺织
11   new_fzjx  纺织机械     8   10.077500  ...   5.704   19.83    1.07   三联虹普
12   new_fzxl  服装鞋类    49    9.784375  ...  10.066    6.67    0.61    乔治白
13   new_glql  公路桥梁    20    4.771667  ...   2.979    2.42    0.07   吉林高速
14   new_gsgq  供水供气    25    6.512000  ...   4.945    3.82    0.18   辽宁能源
15   new_gthy  钢铁行业    60    8.681455  ...  10.036   15.24    1.39   海南矿业
16   new_hbhy  环保行业    27    7.172308  ...  20.023   10.61    1.77   天壕环境
17   new_hghy  化工行业   150   17.143537  ...  11.946   10.87    1.16   海达股份
18   new_hqhy  化纤行业    26    9.303846  ...  10.027    4.06    0.37   吉林化纤
19   new_jdhy  家电行业    37   13.049118  ...   6.127   53.00    3.06  苏 泊 尔
20   new_jdly  酒店旅游    35   16.324571  ...   6.809    2.51    0.16  *ST腾邦
21   new_jjhy  家具行业    16   14.207333  ...   3.830    4.88    0.18   海鸥住工
22   new_jrhy  金融行业    51   12.387200  ...   4.566   25.88    1.13   中信证券
23   new_jtys  交通运输    87    7.466835  ...   6.642    8.51    0.53   中国国航
24   new_jxhy  机械行业   211   12.314412  ...  10.012    9.56    0.87   宁波精达
25   new_jzjc  建筑建材    91    6.915568  ...   7.900   12.02    0.88   四川路桥
26    new_kfq   开发区    10    9.127000  ...   3.902   13.58    0.51   中国国贸
27   new_ljhy  酿酒行业    33  124.060303  ...  10.002  150.45   13.68   重庆啤酒
28    new_mtc   摩托车     6    9.040000  ...   5.878   13.87    0.77   钱江摩托
29   new_mthy  煤炭行业    41    8.143171  ...   5.121    3.90    0.19   ST安泰
30   new_nlmy  农林牧渔    64   11.500161  ...   7.095   14.49    0.96   盈康生命
31   new_nyhf  农药化肥    46   15.010000  ...   8.333   35.36    2.72   广信股份
32   new_qczz  汽车制造   103   17.203465  ...   9.967    9.93    0.90   天润工业
33   new_qtxy  其它行业   202   12.054028  ...  14.844    4.41    0.57    汤姆猫
34   new_slzp  塑料制品    33   12.096061  ...   5.975    6.74    0.38   浙江众成
35   new_snhy  水泥行业    26   10.774800  ...   5.584    8.13    0.43   博闻科技
36   new_sphy  食品行业    58   16.108214  ...  10.031   10.64    0.97   中粮科技
37  new_stock   次新股    76   41.233443  ...  10.015   35.92    3.27   青岛食品
38   new_swzz  生物制药   155   20.037059  ...  10.131    3.37    0.31   交大昂立
39   new_sybh  商业百货    93   10.116111  ...  10.023   23.82    2.17   天音控股
40   new_syhy  石油行业    24    6.421739  ...   7.438    5.20    0.36   泰山石油
41   new_tchy  陶瓷行业     8    9.295714  ...   5.040    3.96    0.19   ST冠福
42   new_wzwm  物资外贸    21    8.492000  ...  10.025   13.17    1.20   江苏国泰
43   new_ylqx  医疗器械    31   27.988333  ...   6.168  170.40    9.90   泰格医药
44   new_yqyb  仪器仪表    48   15.053125  ...   5.106    2.47    0.12   ST安控
45   new_ysbz  印刷包装    20    5.662000  ...   6.150    7.94    0.46   万顺新材
46   new_ysjs  有色金属    72   15.427206  ...   9.871   41.74    3.75   钢研高纳
47   new_zhhy  综合行业    33    6.043929  ...   6.833    6.41    0.41   合金投资
48   new_zzhy  造纸行业    24    6.515652  ...   6.367   17.04    1.02   中顺洁柔
```

#### 板块详情

接口: stock_sector_detail

目标地址: http://finance.sina.com.cn/stock/sl/#area_1

描述: 新浪行业-板块行情-成份详情, 由于新浪网页提供的统计数据有误, 部分行业数量大于统计数

限量: 单次获取指定的新浪行业-板块行情-成份详情

输入参数

| 名称     | 类型  | 描述                                                                        |
|--------|-----|---------------------------------------------------------------------------|
| sector | str | sector="hangye_ZL01"; 通过 **ak.stock_sector_spot** 返回数据的 label 字段选择 sector |

输出参数

| 名称            | 类型      | 描述  |
|---------------|---------|-----|
| symbol        | object  | -   |
| code          | object  | -   |
| name          | object  | -   |
| trade         | float64 | -   |
| pricechange   | float64 | -   |
| changepercent | float64 | -   |
| buy           | float64 | -   |
| sell          | float64 | -   |
| settlement    | float64 | -   |
| open          | float64 | -   |
| high          | float64 | -   |
| low           | float64 | -   |
| volume        | int64   | -   |
| amount        | int64   | -   |
| ticktime      | object  | -   |
| per           | float64 | -   |
| pb            | float64 | -   |
| mktcap        | float64 | -   |
| nmc           | float64 | -   |
| turnoverratio | float64 | -   |

接口示例

```python
import akshare as ak

stock_sector_detail_df = ak.stock_sector_detail(sector="hangye_ZL01")
print(stock_sector_detail_df)
```

数据示例

```
      symbol    code   name  ...        mktcap           nmc turnoverratio
0   sh600373  600373   中文传媒  ...  1.619301e+06  1.619301e+06       0.64600
1   sh600551  600551   时代出版  ...  3.616651e+05  3.616651e+05       0.22616
2   sh600633  600633   浙数文化  ...  1.249847e+06  1.249847e+06       1.06662
3   sh600757  600757   长江传媒  ...  6.310981e+05  6.310185e+05       0.26325
4   sh601098  601098   中南传媒  ...  1.925312e+06  1.925312e+06       0.23095
5   sh601801  601801   皖新传媒  ...  9.727211e+05  9.727211e+05       0.22932
6   sh601858  601858   中国科传  ...  7.280505e+05  7.280505e+05       0.59413
7   sh601900  601900   南方传媒  ...  8.206229e+05  8.147362e+05       0.31126
8   sh601928  601928   凤凰传媒  ...  1.702538e+06  1.702538e+06       0.11763
9   sh601999  601999   出版传媒  ...  3.261415e+05  3.261415e+05       0.60498
10  sh603999  603999   读者传媒  ...  3.317760e+05  3.317760e+05       0.61157
11  sz000504  000504  *ST生物  ...  2.246448e+05  2.239954e+05       0.83369
12  sz000719  000719   中原传媒  ...  6.855465e+05  4.469889e+05       0.32643
13  sz300148  300148   天舟文化  ...  2.999517e+05  2.770519e+05       4.02933
```

#### 股票列表-A股

接口: stock_info_a_code_name

目标地址: 沪深京三个交易所

描述: 沪深京 A 股股票代码和股票简称数据

限量: 单次获取所有 A 股股票代码和简称数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型     | 描述  |
|------|--------|-----|
| code | object | -   |
| name | object | -   |

接口示例

```python
import akshare as ak

stock_info_a_code_name_df = ak.stock_info_a_code_name()
print(stock_info_a_code_name_df)
```

数据示例

```
        code   name
0     000001   平安银行
1     000002  万  科Ａ
2     000004   国华网安
3     000005   ST星源
4     000006   深振业Ａ
      ...    ...
4623  871396   常辅股份
4624  871553   凯腾精工
4625  871642   通易航天
4626  871981   晶赛科技
4627  872925   锦好医疗
```

#### 股票列表-上证

接口: stock_info_sh_name_code

目标地址: 上海证券交易所

描述: 上海证券交易所股票代码和简称数据

限量: 单次获取所有上海证券交易所股票代码和简称数据

输入参数

| 名称        | 类型  | 描述                                                  |
|-----------|-----|-----------------------------------------------------|
| indicator | str | indicator="主板A股"; choice of {"主板A股", "主板B股", "科创板"} |

输出参数

| 名称   | 类型     | 描述  |
|------|--------|-----|
| 公司代码 | object | -   |
| 公司简称 | object | -   |
| 代码   | object | -   |
| 简称   | object | -   |
| 上市日期 | object | -   |

接口示例

```python
import akshare as ak

stock_info_sh_name_code_df = ak.stock_info_sh_name_code(indicator="主板A股")
print(stock_info_sh_name_code_df)
```

数据示例

```
      公司代码  公司简称  代码    简称        上市日期
0     600000  浦发银行  600000  浦发银行  1999-11-10
1     600004  白云机场  600004  白云机场  2003-04-28
2     600006  东风汽车  600006  东风汽车  1999-07-27
3     600007  中国国贸  600007  中国国贸  1999-03-12
4     600008  首创环保  600008  首创环保  2000-04-27
      ...   ...     ...   ...         ...
1644  605580  恒盛能源  605580  恒盛能源  2021-08-19
1645  605588  冠石科技  605588  冠石科技  2021-08-12
1646  605589  圣泉集团  605589  圣泉集团  2021-08-10
1647  605598  上海港湾  605598  上海港湾  2021-09-17
1648  605599  菜百股份  605599  菜百股份  2021-09-09
```

#### 股票列表-深证

接口: stock_info_sz_name_code

目标地址: http://www.szse.cn/market/product/stock/list/index.html

描述: 深证证券交易所股票代码和股票简称数据

限量: 单次获取深证证券交易所股票代码和简称数据

输入参数

| 名称        | 类型  | 描述                                                             |
|-----------|-----|----------------------------------------------------------------|
| indicator | str | indicator="A股列表"; choice of {"A股列表", "B股列表", "CDR列表", "AB股列表"} |

输出参数-A股列表

| 名称     | 类型     | 描述  |
|--------|--------|-----|
| 板块     | object | -   |
| A股代码   | object | -   |
| A股简称   | object | -   |
| A股上市日期 | object | -   |
| A股总股本  | object | -   |
| A股流通股本 | object | -   |
| 所属行业   | object | -   |

接口示例-A股列表

```python
import akshare as ak

stock_info_sz_name_code_df = ak.stock_info_sz_name_code(indicator="A股列表")
print(stock_info_sz_name_code_df)
```

数据示例-A股列表

```
       板块    A股代码   A股简称   A股上市日期      A股总股本      A股流通股本    所属行业
0      主板  000001   平安银行  1991-04-03  19,405,918,198  19,405,754,475   J 金融业
1      主板  000002  万  科Ａ  1991-01-29   9,724,196,533   9,717,553,265   K 房地产
2      主板  000004   国华网安  1990-12-01     165,052,625     115,125,619  I 信息技术
3      主板  000005   ST星源  1990-12-10   1,058,536,842   1,057,946,242  N 公共环保
4      主板  000006   深振业Ａ  1992-04-27   1,349,995,046   1,349,995,046   K 房地产
   ...     ...    ...         ...             ...             ...     ...
2426  创业板  300999    金龙鱼  2020-10-15   5,421,591,536     394,582,508   C 制造业
2427  创业板  301000   肇民科技  2021-05-28      53,333,500      13,333,500   C 制造业
2428  创业板  301001   凯淳股份  2021-05-28      80,000,000      20,000,000  I 信息技术
2429  创业板  301003    C博云  2021-06-01      58,266,667      14,566,667   C 制造业
2430  创业板  301005    C超捷  2021-06-01      57,126,903      14,281,726   C 制造业
```

#### 股票列表-北证

接口: stock_info_bj_name_code

目标地址: https://www.bse.cn/nq/listedcompany.html

描述: 北京证券交易所股票代码和简称数据

限量: 单次获取北京证券交易所所有的股票代码和简称数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型     | 描述      |
|------|--------|---------|
| 证券代码 | object | -       |
| 证券简称 | object | -       |
| 总股本  | int64  | 注意单位: 股 |
| 流通股本 | int64  | 注意单位: 股 |
| 上市日期 | object | -       |
| 所属行业 | object | -       |
| 地区   | object | -       |
| 报告日期 | object | -       |

接口示例

```python
import akshare as ak

stock_info_bj_name_code_df = ak.stock_info_bj_name_code()
print(stock_info_bj_name_code_df)
```

数据示例

```
      证券代码  证券简称        总股本  ...              所属行业   地区      报告日期
0   430047  诺思兰德  257250203  ...             医药制造业  北京市  20211119
1   430090  同辉信息  153333497  ...        软件和信息技术服务业  北京市  20211119
2   430198  微创光电  124126056  ...  计算机、通信和其他电子设备制造业  湖北省  20211119
3   430418  苏轴股份   80600000  ...           通用设备制造业  江苏省  20211119
4   430489  佳先股份   85287000  ...      化学原料和化学制品制造业  安徽省  20211119
..     ...   ...        ...  ...               ...  ...       ...
76  871396  常辅股份   53263891  ...           仪器仪表制造业  江苏省  20211119
77  871553  凯腾精工  143690460  ...           专用设备制造业  北京市  20211119
78  871642  通易航天   74050199  ...          橡胶和塑料制品业  江苏省  20211119
79  871981  晶赛科技   52838300  ...  计算机、通信和其他电子设备制造业  安徽省  20211119
80  872925  锦好医疗   46970000  ...           专用设备制造业  广东省  20211119
```

#### 终止(暂停)上市-深证

接口: stock_info_sz_delist

目标地址: http://www.szse.cn/market/stock/suspend/index.html

描述: 获取深证证券交易所终止(暂停)上市股票

限量: 单次获取深证证券交易所终止(暂停)上市股票

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| indicator | str | Y    | indicator="终止上市公司"; choice of {"暂停上市公司", "终止上市公司"}|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 证券代码          | str   |  -   |
| 证券简称          | str   |    -   |
| 上市日期          | str   |   -   |
| 终止上市日期          | str   |    -   |

接口示例

```python
import akshare as ak

stock_info_sz_delist_df = ak.stock_info_sz_delist(indicator="终止上市公司")
print(stock_info_sz_delist_df)
```

数据示例

```
    证券代码    证券简称        上市日期      终止上市日期
0   000003   PT金田Ａ  1991-01-14  2002-06-14
1   000013  *ST石化A  1992-05-06  2004-09-20
2   000015   PT中浩Ａ  1992-06-25  2001-10-25
3   000018    神城A退  1992-06-16  2020-01-07
4   000024    招商地产  1993-06-07  2015-12-30
..     ...     ...         ...         ...
65  200418    小天鹅Ｂ  1996-07-18  2019-05-27
66  200513   丽  珠Ｂ  1993-07-20  2014-01-10
67  200770    武锅B退  1998-04-15  2015-07-13
68  300186     大华农  2011-03-08  2015-11-02
69  300372     欣泰退  2014-01-27  2017-08-28
```

#### 两网及退市

接口: stock_staq_net_stop

目标地址: http://quote.eastmoney.com/center/gridlist.html#staq_net_board

描述: 东方财富网-行情中心-沪深个股-两网及退市

限量: 单次获取所有两网及退市的股票数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型     | 描述  |
|-----|--------|-----|
| 序号  | int32  | -   |
| 代码  | object | -   |
| 名称  | object | -   |

接口示例

```python
import akshare as ak

stock_staq_net_stop_df = ak.stock_staq_net_stop()
print(stock_staq_net_stop_df)
```

数据示例

```
   序号    代码     名称
0    1  400084    乐视网3
1    2  400068     昆机3
2    3  420008   水仙Ｂ 5
3    4  400045     猴王5
4    5  400046     大菲5
..  ..     ...     ...
93  94  400021    华夏 3
94  95  400080     华业3
95  96  400070     烯碳3
96  97  400027  生  态 5
97  98  400025  宏  业 3
```

#### 暂停/终止上市-上证

接口: stock_info_sh_delist

目标地址: http://www.sse.com.cn/assortment/stock/list/delisting/

描述: 上海证券交易所暂停/终止上市股票

限量: 单次获取上海证券交易所暂停/终止上市股票

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型     | 描述  |
|--------|--------|-----|
| 公司代码   | object | -   |
| 公司简称   | object | -   |
| 上市日期   | object | -   |
| 暂停上市日期 | object | -   |

接口示例

```python
import akshare as ak

stock_info_sh_delist_df = ak.stock_info_sh_delist()
print(stock_info_sh_delist_df)
```

数据示例

```
    公司代码    公司简称     上市日期  暂停上市日期
0   600001    邯郸钢铁  1998-01-22  2009-12-29
1   600002    齐鲁退市  1998-04-08  2006-04-24
2   600003   ST东北高  1999-08-10  2010-02-26
3   600005    武钢股份  1999-08-03  2017-02-14
4   600065  *ST联 谊  1997-05-23  2007-12-13
..     ...     ...         ...         ...
77  900935    阳晨Ｂ股  1995-07-27  2016-12-16
78  900949    东电Ｂ股  1997-09-23  2013-11-07
79  900950    新城Ｂ股  1997-10-16  2015-11-23
80  900951    退市大化  1997-10-21  2020-08-28
81  900956    东贝Ｂ股  1999-07-15  2020-11-23
```

#### 股票更名

接口: stock_info_change_name

目标地址: http://vip.stock.finance.sina.com.cn/corp/go.php/vCI_CorpInfo/stockid/300378.phtml

描述: 新浪财经-股票曾用名

限量: 单次指定 symbol 的所有历史曾用名称

输入参数

| 名称     | 类型  | 描述                    |
|--------|-----|-----------------------|
| symbol | str | symbol="000503"; 股票代码 |

输出参数

| 名称    | 类型     | 描述  |
|-------|--------|-----|
| index | int64  | -   |
| name  | object | -   |

接口示例

```python
import akshare as ak

stock_info_change_name_list = ak.stock_info_change_name(symbol="000503")
print(stock_info_change_name_list)
```

数据示例

```
   index  name
0      1   琼海虹
1      2  海虹控股
2      3  ST海虹
3      4  海虹控股
4      5   G海虹
5      6  海虹控股
6      7  国新健康
```

#### 股票更名-深证

接口: stock_info_sz_change_name

目标地址: http://www.szse.cn/market/companys/changename/index.html

描述: 获取深证证券交易所-更名公司(暂无上海交易所的数据)

限量: 单次获取深证证券交易所-更名公司所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| indicator | str | Y    | indicator="全称变更"; choice of {"全称变更", "简称变更"}|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 变更日期          | str   | Y        |  -    |
| 证券代码          | str   | Y        |  -    |
| 证券简称          | str   | Y        |  -    |
| 变更前全称          | str   | Y        |  -    |
| 变更后全称          | str   | Y        |  -    |

接口示例

```python
import akshare as ak

stock_info_sz_change_name_df = ak.stock_info_sz_change_name(indicator="全称变更")
print(stock_info_sz_change_name_df)
```

数据示例

```
            变更日期    证券代码   证券简称              变更前全称            变更后全称
0     2020-05-18  300456   赛微电子       北京耐威科技股份有限公司     北京赛微电子股份有限公司
1     2020-05-13  002057   中钢天源   中钢集团安徽天源科技股份有限公司       中钢天源股份有限公司
2     2020-05-12  002811   郑中设计    深圳市亚泰国际建设股份有限公司    深圳市郑中设计股份有限公司
3     2020-05-12  300466   赛摩智能         赛摩电气股份有限公司   赛摩智能科技集团股份有限公司
4     2020-04-30  002283   天润工业         天润曲轴股份有限公司     天润工业技术股份有限公司
          ...     ...    ...                ...              ...
1334  1993-12-19  000005   世纪星源       深圳原野实业股份有限公司     深圳世纪星源股份有限公司
1335  1993-07-12  000009   中国宝安  深圳市宝安企业(集团)股份有限公司     中国宝安集团股份有限公司
1336  1993-03-08  000012  南  玻Ａ       中国南方玻璃股份有限公司     中国南玻集团股份有限公司
1337  1993-03-08  200012  南  玻Ｂ       中国南方玻璃股份有限公司     中国南玻集团股份有限公司
1338  1992-02-28  000004   国农科技       蛇口安达运输股份有限公司  深圳市蛇口安达实业股份有限公司
```

#### 基金持股

接口: stock_fund_stock_holder

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vCI_FundStockHolder/stockid/600004.phtml

描述: 获取新浪财经-股本股东-基金持股

限量: 单次获取新浪财经-股本股东-基金持股所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="600004"; 股票代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 基金名称          | str   | Y        |  -    |
| 基金代码          | str   | Y        |  -    |
| 持仓数量(股)          | str   | Y        |  -    |
| 占流通股比例(%)          | str   | Y        |  -    |
| 持股市值（元）          | str   | Y        |  -    |
| 截止日期          | str   | Y        |  -    |

接口示例

```python
import akshare as ak

stock_fund_stock_holder_df = ak.stock_fund_stock_holder(stock="300270")
print(stock_fund_stock_holder_df)
```

数据示例

```
                     基金名称    基金代码 持仓数量(股) 占流通股比例(%)   持股市值（元）        截止日期
0    大成中证360互联网+大数据100指数C  003359  100100    0.0331    822822  2019-12-31
1    大成中证360互联网+大数据100指数A  002236  100100    0.0331    822822  2019-12-31
2             大成智惠量化多策略混合  004209   31200    0.0103    256464  2019-12-31
3               国金量化多策略混合  005443  210518    0.0695   1597830  2019-06-30
4           广发中证全指信息技术ETF  159939   61501    0.0203    466793  2019-06-30
..                    ...     ...     ...       ...       ...         ...
196              长盛积极配置债券  080003  500000         0  17500000  2011-09-30
197             农银恒久增利债券C  660102   48445         0   1517780  2011-09-30
198             农银增强收益债券C  660109     500         0     17500  2011-09-30
199             农银增强收益债券A  660009     500         0     17500  2011-09-30
200             海富通稳固收益债券  519030     500         0     17500  2011-09-30
```

#### 主要股东

接口: stock_main_stock_holder

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vCI_StockHolder/stockid/600004.phtml

描述: 获取新浪财经-股本股东-主要股东

限量: 单次获取新浪财经-股本股东-主要股东所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="600004"; 股票代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 编号          | str   | Y        |  -    |
| 股东名称          | str   | Y        |  -    |
| 持股数量(股)          | float   | Y        |  -    |
| 持股比例(%)          | str   | Y        |  -    |
| 股本性质          | str   | Y        |  -    |
| 截至日期          | str   | Y        |  -    |
| 公告日期          | str   | Y        |  -    |
| 股东说明          | str   | Y        |  -    |
| 股东总数          | float   | Y        |  -    |
| 平均持股数          | float   | Y        |  备注: 按总股本计算    |

接口示例

```python
import akshare as ak

stock_main_stock_holder_df = ak.stock_main_stock_holder(stock="600004")
print(stock_main_stock_holder_df)
```

数据示例

```
0   编号                              股东名称     持股数量(股)  ... 股东说明   股东总数  平均持股数
0    1                     广东省机场管理集团有限公司  1056346783  ...  NaN  62931  32881
1    2                        香港中央结算有限公司  170420835↓  ...  NaN  62931  32881
2    3                    中央汇金资产管理有限责任公司    41964740  ...  NaN  62931  32881
3    4  中国人寿保险股份有限公司－分红－个人分红－005L－FH002沪   40373549↑  ...  NaN  62931  32881
4    5                       全国社保基金一零九组合   26840612↑  ...  NaN  62931  32881
..  ..                               ...         ...  ...  ...    ...    ...
568  1                              机场集团   576000000  ...  NaN
569  2                        广州交通投资有限公司     6000000  ...  NaN
570  3                             新机场公司     6000000  ...  NaN
571  4                       中国民航机场建设总公司     6000000  ...  NaN
572  5                          中国国际航空公司     6000000  ...  NaN
```

#### 机构持股

##### 机构持股一览表

接口: stock_institute_hold

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vComStockHold/kind/jgcg/index.phtml

描述: 获取新浪财经-机构持股-机构持股一览表

限量: 单次获取新浪财经-机构持股-机构持股一览表所有数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| quarter | str | Y    | quarter="20051"; 从 2005 年开始, {"一季报":1, "中报":2 "三季报":3 "年报":4}, e.g., "20191", 其中的 1 表示一季报; "20193", 其中的 3 表示三季报;|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 证券代码          | str   | Y        |  -    |
| 证券简称          | str   | Y        |  -    |
| 机构数          | float   | Y        |  -    |
| 机构数变化          | float   | Y        |  -    |
| 持股比例          | float   | Y        |  注意单位: %    |
| 持股比例增幅          | float   | Y        |  注意单位: %    |
| 占流通股比例         | float   | Y        |  注意单位: %    |
| 占流通股比例增幅        | float   | Y        |  注意单位: %    |

接口示例

```python
import akshare as ak

stock_institute_hold_df = ak.stock_institute_hold(quarter="20201")
print(stock_institute_hold_df)
```

数据示例

```
        证券代码  证券简称  机构数  机构数变化   持股比例  持股比例增幅  占流通股比例  占流通股比例增幅
0     002296  辉煌科技    1      1   0.85    0.85    0.85      0.85
1     300354  东华测试    1      0   0.21   -0.59    0.21     -0.59
2     000656  金科股份    1      0   2.12    0.04    2.14      0.03
3     002859  洁美科技    1      0   0.97    0.00    2.28      0.00
4     603866  桃李面包    1      0   1.34    0.00    1.34      0.00
      ...   ...  ...    ...    ...     ...     ...       ...
1787  300782   卓胜微   10      2   6.00    2.02   24.00      8.07
1788  300788  中信出版   10      0  10.26    2.88   41.03     11.50
1789  300785   值得买   10      1  11.62    4.14   46.48     16.56
1790  688188  柏楚电子   10      0   5.17   -0.13   21.43     -1.70
1791  300003  乐普医疗   16      1  11.16    0.99   11.78      1.05
```

##### 机构持股详情

接口: stock_institute_hold_detail

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vComStockHold/kind/jgcg/index.phtml

描述: 获取新浪财经-机构持股-机构持股详情

限量: 单次获取新浪财经-机构持股-机构持股详情所有数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="300003"; 股票代码|
| quarter | str | Y    | quarter="20201"; 从 2005 年开始, {"一季报":1, "中报":2 "三季报":3 "年报":4}, e.g., "20191", 其中的 1 表示一季报; "20193", 其中的 3 表示三季报;|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 持股机构类型          | str   | Y        |  -    |
| 持股机构代码          | str   | Y        |  -    |
| 持股机构简称          | float   | Y        |  -    |
| 持股机构全称          | float   | Y        |  -    |
| 持股数          | float   | Y        |  注意单位: 万股   |
| 最新持股数          | float   | Y        |  注意单位: 万股    |
| 持股比例         | float   | Y        |  注意单位: %    |
| 最新持股比例        | float   | Y        |  注意单位: %    |
| 占流通股比例        | float   | Y        |  注意单位: %    |
| 最新占流通股比例        | float   | Y        |  注意单位: %    |
| 持股比例增幅        | float   | Y        |  注意单位: %    |
| 占流通股比例增幅        | float   | Y        |  注意单位: %    |

接口示例

```python
import akshare as ak

stock_institute_hold_detail_df = ak.stock_institute_hold_detail(stock="300003", quarter="20201")
print(stock_institute_hold_detail_df)
```

数据示例

```
       持股机构类型    持股机构代码              持股机构简称  ... 最新占流通股比例 持股比例增幅 占流通股比例增幅
0          基金    519069          汇添富价值精选混合A  ...     1.18  -0.22    -0.23
1          基金    159915           易方达创业板ETF  ...     0.73   0.02     0.02
2          基金    001417           汇添富医疗服务混合  ...     1.01  -0.35    -0.37
3          基金    470009          汇添富民营活力混合A  ...     0.48   0.03     0.02
4          基金    159949          华安创业板50ETF  ...     0.36   0.13     0.13
5          基金    000831            工银医疗保健股票  ...     0.57  -0.09    -0.10
6        全国社保  70010117         全国社保基金一一七组合  ...     1.30  -0.22    -0.23
7        全国社保  70010104         全国社保基金一零四组合  ...     0.60  -0.06    -0.07
8        全国社保  70010503         全国社保基金五零三组合  ...     0.38   0.07     0.07
9   insurance  70304136  华夏人寿保险股份有限公司－自有...  ...     0.00   1.39     1.47
10       QFII  70304002         挪威中央银行－自有资金  ...     0.90   0.25     0.27
11       QFII  70304274        澳门金融管理局－自有资金  ...     0.99   0.00     0.00
12       QFII  80126479           魁北克储蓄投资集团  ...     0.71   0.00     0.00
13       QFII  70304150  鼎晖投资咨询新加坡有限公司－鼎...  ...     0.57   0.01     0.01
14       QFII  80128964             阿布达比投资局  ...     0.56   0.02     0.02
15       QFII  80195934            科威特政府投资局  ...     0.39   0.04     0.04
```

#### 机构推荐

##### 机构推荐池

接口: stock_institute_recommend

目标地址: http://stock.finance.sina.com.cn/stock/go.php/vIR_RatingNewest/index.phtml

描述: 新浪财经-机构推荐池-具体指标的数据

限量: 单次获取新浪财经-机构推荐池-具体指标的所有数据

输入参数

| 名称     | 类型  | 描述                                                                                                                 |
|--------|-----|--------------------------------------------------------------------------------------------------------------------|
| symbol | str | symbol="行业关注度"; choice of {'最新投资评级', '上调评级股票', '下调评级股票', '股票综合评级', '首次评级股票', '目标涨幅排名', '机构关注度', '行业关注度', '投资评级选股'} |

输出参数

| 名称  | 类型  | 描述                |
|-----|-----|-------------------|
| -   | -   | 根据特定 indicator 而定 |

接口示例

```python
import akshare as ak

stock_institute_recommend_df = ak.stock_institute_recommend(symbol="投资评级选股")
print(stock_institute_recommend_df)
```

数据示例

```
        股票代码   股票名称 最新评级     目标价       评级日期↓ 综合评级    平均涨幅    行业
0     000001   平安银行   买入   19.73  2020-05-27   买入  51.75%    银行
1     300403   汉宇集团   中性    5.70  2020-05-27   中性  18.26%  白色家电
2     603288   海天味业   买入  112.85  2020-05-27   买入  -1.32%  食品加工
3     601238   广汽集团   买入   12.72  2020-05-27   买入  34.62%  汽车整车
4     002709   天赐材料   增持   34.24  2020-05-27   买入   18.1%  化学制品
      ...    ...  ...     ...         ...  ...     ...   ...
1053  601398   工商银行   买入    7.14  2020-05-27   买入  39.54%    银行
1054  002078   太阳纸业   买入   11.22  2020-05-27   买入  35.64%    造纸
1055  002080   中材科技   买入   14.59  2020-05-27   买入  22.61%  化学制品
1056  002081  金 螳 螂   增持   12.55  2020-05-27   买入  55.51%  装修装饰
1057  601658   邮储银行   增持    6.52  2020-05-27   买入  28.25%    银行
```

##### 股票评级记录

接口: stock_institute_recommend_detail

目标地址: http://stock.finance.sina.com.cn/stock/go.php/vIR_StockSearch/key/sz000001.phtml

描述: 新浪财经-机构推荐池-股票评级记录

限量: 单次获取新浪财经-机构推荐池-股票评级记录的所有数据

输入参数

| 名称     | 类型  | 描述              |
|--------|-----|-----------------|
| symbol | str | symbol="000001" |

输出参数

| 名称   | 类型  | 描述  |
|------|-----|-----|
| 股票代码 | str | -   |
| 股票名称 | str | -   |
| 目标价  | str | -   |
| 最新评级 | str | -   |
| 评级机构 | str | -   |
| 分析师  | str | -   |
| 行业   | str | -   |
| 评级日期 | str | -   |

接口示例

```python
import akshare as ak

stock_institute_recommend_detail_df = ak.stock_institute_recommend_detail(symbol="002709")
print(stock_institute_recommend_detail_df)
```

数据示例

```
       股票代码  股票名称    目标价 最新评级  评级机构        分析师    行业        评级日期
0    002709  天赐材料    NaN   增持  国海证券      谭倩,尹斌  化学制品  2020-05-27
1    002709  天赐材料    NaN   增持  光大证券     吴裕,裘孝锋  化学制品  2020-05-07
2    002709  天赐材料  35.20   买入  华创证券  杨达伟,于潇,邱迪  化学制品  2020-05-06
3    002709  天赐材料  33.25   买入  东吴证券        曾朵红  化学制品  2020-05-06
4    002709  天赐材料  35.50   买入  招商证券    游家训,刘珺涵  化学制品  2020-05-01
..      ...   ...    ...  ...   ...        ...   ...         ...
241  002709  天赐材料    NaN   买入  招商证券    游家训,陈雁冰  化学制品  2017-09-07
242  002709  天赐材料    NaN   买入  方正证券        韩振国  化学制品  2017-09-07
243  002709  天赐材料  61.82   买入  招商证券    游家训,陈雁冰  化学制品  2017-09-07
244  002709  天赐材料  59.82   买入  中泰证券        邵晶鑫  化学制品  2017-09-06
245  002709  天赐材料    NaN   买入  国海证券        代鹏举  化学制品  2017-09-04
```

##### 投资评级

接口: stock_rank_forecast_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics?name=%E6%8A%95%E8%B5%84%E8%AF%84%E7%BA%A7

描述: 巨潮资讯-数据中心-评级预测-投资评级

限量: 单次获取指定交易日的所有数据

输入参数

| 名称   | 类型  | 描述                   |
|------|-----|----------------------|
| date | str | date="20210910"; 交易日 |

输出参数

| 名称      | 类型      | 描述  |
|---------|---------|-----|
| 证券代码    | object  | -   |
| 证券简称    | object  | -   |
| 发布日期    | object  | -   |
| 研究机构简称  | object  | -   |
| 研究员名称   | object  | -   |
| 投资评级    | object  | -   |
| 是否首次评级  | object  | -   |
| 评级变化    | object  | -   |
| 前一次投资评级 | object  | -   |
| 目标价格-下限 | float64 | -   |
| 目标价格-上限 | float64 | -   |

接口示例

```python
import akshare as ak

stock_rank_forecast_cninfo_df = ak.stock_rank_forecast_cninfo(date="20210907")
print(stock_rank_forecast_cninfo_df)
```

数据示例

```
     证券代码   证券简称  发布日期  研究机构简称  ... 评级变化 前一次投资评级 目标价格-下限 目标价格-上限
0    000001   平安银行  2021-09-07     中金  ...   维持      增持   30.21   30.21
1    000001   平安银行  2021-09-07   招商证券  ...   维持      买入   28.60   28.60
2    000002  万  科Ａ  2021-09-07   兴业证券  ...   维持      买入     NaN     NaN
3    000066   中国长城  2021-09-07   东吴证券  ...   维持      买入     NaN     NaN
4    000069   华侨城Ａ  2021-09-07     中金  ...   维持      增持    8.42    8.42
..      ...    ...         ...    ...  ...  ...     ...     ...     ...
164  688499    利元亨  2021-09-07   东北证券  ...   未知     不评级  360.00  360.00
165  688499    利元亨  2021-09-07   德邦证券  ...   未知     不评级     NaN     NaN
166  688608   恒玄科技  2021-09-07   银河证券  ...   未知     不评级     NaN     NaN
167  688636    智明达  2021-09-07   安信证券  ...   维持      买入     NaN     NaN
168  689009   九号公司  2021-09-07   安信证券  ...   维持      买入  100.00  100.00
```

##### 行业市盈率

接口: stock_industry_pe_ratio_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-行业分析-行业市盈率

限量: 单次获取指定行业在指定交易日的所有数据

输入参数

| 名称     | 类型  | 描述                                                |
|--------|-----|---------------------------------------------------|
| symbol | str | symbol="证监会行业分类"; choice of {"证监会行业分类", "国证行业分类"} |
| date   | str | date="20210910"; 交易日                              |

输出参数

| 名称         | 类型      | 描述       |
|------------|---------|----------|
| 变动日期       | object  | -        |
| 行业分类       | object  | -        |
| 行业层级       | int64   | -        |
| 行业编码       | object  | -        |
| 行业名称       | object  | -        |
| 公司数量       | float64 | -        |
| 纳入计算公司数量   | float64 | -        |
| 总市值-静态     | float64 | 注意单位: 亿元 |
| 净利润-静态     | float64 | 注意单位: 亿元 |
| 静态市盈率-加权平均 | float64 | -        |
| 静态市盈率-中位数  | float64 | -        |
| 静态市盈率-算术平均 | float64 | -        |

接口示例

```python
import akshare as ak

stock_industry_pe_ratio_cninfo_df = ak.stock_industry_pe_ratio_cninfo(symbol="国证行业分类", date="20210907")
print(stock_industry_pe_ratio_cninfo_df)
```

数据示例

```
     变动日期       行业分类      行业层级  ... 静态市盈率-加权平均 静态市盈率-中位数 静态市盈率-算术平均
0    2021-09-07  国证行业分类标准2019     1  ...      21.58     30.65       89.91
1    2021-09-07  国证行业分类标准2019     2  ...      21.58     30.65       89.91
2    2021-09-07  国证行业分类标准2019     3  ...      29.31     54.97      175.68
3    2021-09-07  国证行业分类标准2019     4  ...      32.04     83.21      206.47
4    2021-09-07  国证行业分类标准2019     4  ...      28.02     51.41      136.10
..          ...           ...   ...  ...        ...       ...         ...
288  2021-09-07  国证行业分类标准2019     4  ...        NaN       NaN         NaN
289  2021-09-07  国证行业分类标准2019     3  ...      25.21     28.40       59.29
290  2021-09-07  国证行业分类标准2019     4  ...      25.21     28.40       59.29
291  2021-09-07  国证行业分类标准2019     3  ...      49.63     46.34       63.90
292  2021-09-07  国证行业分类标准2019     4  ...      49.63     46.34       63.90
```

##### 新股过会

接口: stock_new_gh_cninfo

目标地址: http://webapi.cninfo.com.cn/#/xinguList

描述: 巨潮资讯-数据中心-新股数据-新股过会

限量: 单次获取近一年所有新股过会的数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型     | 描述  |
|-------|--------|-----|
| 公司名称  | object | -   |
| 上会日期  | object | -   |
| 审核类型  | object | -   |
| 审议内容  | object | -   |
| 审核结果  | object | -   |
| 审核公告日 | object | -   |

接口示例

```python
import akshare as ak

stock_new_gh_cninfo_df = ak.stock_new_gh_cninfo()
print(stock_new_gh_cninfo_df)
```

数据示例

```
              公司名称        上会日期  审核类型 审议内容 审核结果       审核公告日
0          兰州银行股份有限公司  2021-09-09  首发新股   首发   通过  2021-09-09
1          永安期货股份有限公司  2021-09-09  首发新股   首发   通过  2021-09-09
2        杭州福莱蒽特股份有限公司  2021-09-09  首发新股   首发   通过  2021-09-09
3    新疆派特罗尔能源服务股份有限公司  2021-09-02  首发新股   首发  未通过  2021-09-02
4      浙江盛泰服装集团股份有限公司  2021-08-26  首发新股   首发   通过  2021-08-26
..                ...         ...   ...  ...  ...         ...
125      河南蓝天燃气股份有限公司  2020-09-17  首发新股   首发   通过  2020-09-17
126      北京声迅电子股份有限公司  2020-09-17  首发新股   首发   通过  2020-09-17
127    天津友发钢管集团股份有限公司  2020-09-17  首发新股   首发   通过  2020-09-17
128     联泓新材料科技股份有限公司  2020-09-17  首发新股   首发   通过  2020-09-17
129      中国国际金融股份有限公司  2020-09-17  首发新股   首发   通过  2020-09-17
```

##### 新股发行

接口: stock_new_ipo_cninfo

目标地址: http://webapi.cninfo.com.cn/#/xinguList

描述: 巨潮资讯-数据中心-新股数据-新股发行

限量: 单次获取近三年所有新股发行的数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述       |
|---------|---------|----------|
| 证劵代码    | object  | -        |
| 证券简称    | object  | -        |
| 上市日期    | object  | -        |
| 申购日期    | object  | -        |
| 发行价     | float64 | 注意单位: 元  |
| 总发行数量   | float64 | 注意单位: 万股 |
| 发行市盈率   | float64 | -        |
| 上网发行中签率 | float64 | 注意单位: %  |
| 摇号结果公告日 | object  | -        |
| 中签公告日   | object  | -        |
| 中签缴款日   | object  | -        |
| 网上申购上限  | float64 | -        |
| 上网发行数量  | float64 | -        |

接口示例

```python
import akshare as ak

stock_new_ipo_cninfo_df = ak.stock_new_ipo_cninfo()
print(stock_new_ipo_cninfo_df)
```

数据示例

```
      证劵代码 证券简称  上市日期  ...      中签缴款日  网上申购上限 上网发行数量
0     001216  华瓷股份         NaT  ...  2021-10-12     2.5   2518.65
1     001217   华尔泰         NaT  ...  2021-09-22     3.3   7467.30
2     001218  丽臣实业         NaT  ...  2021-09-28     NaN    900.00
3     301063  海锅股份         NaT  ...  2021-09-09     0.6   1021.40
4     301068  大地海洋         NaT  ...  2021-09-16     0.5    913.50
      ...   ...         ...  ...         ...     ...       ...
999   601577  长沙银行  2018-09-26  ...  2018-09-14    10.2  30794.00
1000  300749  顶固集创  2018-09-25  ...  2018-09-17     1.1   2565.00
1001  300748  金力永磁  2018-09-21  ...  2018-09-10     1.2   3744.00
1002  603583  捷昌驱动  2018-09-21  ...  2018-09-13     1.2   2718.00
1003  002936  郑州银行  2018-09-19  ...  2018-09-11    18.0  54000.00
```

##### 股东人数及持股集中度

接口: stock_hold_num_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-股东股本-股东人数及持股集中度

限量: 单次指定 date 的股东人数及持股集中度数据, 从 20170331 开始

输入参数

| 名称   | 类型  | 描述                                                                                         |
|------|-----|--------------------------------------------------------------------------------------------|
| date | str | date="20210630"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20170331 开始 |

输出参数

| 名称       | 类型      | 描述       |
|----------|---------|----------|
| 证劵代码     | object  | -        |
| 证券简称     | object  | -        |
| 变动日期     | object  | -        |
| 本期股东人数   | int64   | -        |
| 上期股东人数   | float64 | -        |
| 股东人数增幅   | float64 | 注意单位: %  |
| 本期人均持股数量 | int64   | 注意单位: 万股 |
| 上期人均持股数量 | float64 | 注意单位: %  |
| 人均持股数量增幅 | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

stock_hold_num_cninfo_df = ak.stock_hold_num_cninfo(date="20210630")
print(stock_hold_num_cninfo_df)
```

数据示例

```
      证券代码  证券简称  变动日期 本期股东人数  ...股东人数增幅 本期人均持股数量 上期人均持股数量 人均持股数量增幅
0     002054  德美化工  2021-06-30   17768  ...   -8.71     27134   24771.0      9.54
1     002055  得润电子  2021-06-30   57449  ...   15.55      8242    9524.0    -13.46
2     002056  横店东磁  2021-06-30   94339  ...    8.63     17243   18927.0     -8.90
3     600048  保利地产  2021-06-30  264212  ...    5.63     45303   47855.0     -5.33
4     002057  中钢天源  2021-06-30   44197  ...   -3.58     16883   12550.0     34.53
      ...   ...         ...     ...  ...     ...       ...       ...       ...
4317  600918  中泰证券  2021-06-30  152424  ...   11.38     45719   50923.0    -10.22
4318  601375  中原证券  2021-06-30  158626  ...    2.38     29269   29966.0     -2.33
4319  601108  财通证券  2021-06-30  158061  ...   -5.50     22706   21458.0      5.82
4320  002945  华林证券  2021-06-30   54407  ...  -11.32     49626   44008.0     12.77
4321  601066  中信建投  2021-06-30  201162  ...    1.18     38559   39013.0     -1.16
```

##### 实际控制人持股变动

接口: stock_hold_control_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-股东股本-实际控制人持股变动

限量: 单次指定 symbol 的实际控制人持股变动数据, 从 2010 开始

输入参数

| 名称     | 类型  | 描述                                                                         |
|--------|-----|----------------------------------------------------------------------------|
| symbol | str | symbol="全部"; choice of {"单独控制", "实际控制人", "一致行动人", "家族控制", "全部"}; 从 2010 开始 |

输出参数

| 名称      | 类型      | 描述       |
|---------|---------|----------|
| 证劵代码    | object  | -        |
| 证券简称    | object  | -        |
| 变动日期    | object  | -        |
| 实际控制人名称 | object  | -        |
| 控股数量    | float64 | 注意单位: 万股 |
| 控股比例    | float64 | 注意单位: %  |
| 直接控制人名称 | object  | -        |
| 控制类型    | object  | -        |

接口示例

```python
import akshare as ak

stock_hold_control_cninfo_df = ak.stock_hold_control_cninfo(symbol="全部")
print(stock_hold_control_cninfo_df)
```

数据示例

```
        证券代码    证券简称  ...                                       直接控制人名称   控制类型
0     000001    平安银行  ...                                    重庆国际信托有限公司   单独控制
1     000002   万  科Ａ  ...                                    意华控股集团有限公司   None
2     000004    国华网安  ...                                 深圳中农大科技投资有限公司   单独控制
3     000005    ST星源  ...                       中国投资有限公司;深圳市博睿意碳源科技有限公司  实际控制人
4     000006    深振业Ａ  ...  深圳市国有资产监督管理局;深圳市特区建设发展集团有限公司;深圳市长城投资控股股份有限公司   单独控制
      ...     ...  ...                                           ...    ...
4600  900953     凯马Ｂ  ...                                    中国恒天集团有限公司   单独控制
4601  900955  *ST海创B  ...                                  盛唐发展(洋浦)有限公司   单独控制
4602  900957    凌云Ｂ股  ...                                 广州市东愉实业发展有限公司   单独控制
4603   C0488    侨源气体  ...                                           乔志涌   家族控制
4604   K0002    安翰科技  ...         吉朋松;肖国华;张丽;XIAODONG DUAN;XINHONG WANG  实际控制人
```

##### 高管持股变动明细

接口: stock_hold_management_detail_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-股东股本-高管持股变动明细

限量: 单次指定 symbol 的高管持股变动明细数据, 返回近一年的数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="增持"; choice of {"增持", "减持"} |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 证劵代码          | object   |   -    |
| 证券简称          | object   |   -    |
| 截止日期          | object   |  -    |
| 公告日期          | object   |  -    |
| 高管姓名          | object   |  -    |
| 董监高姓名          | object   |  -    |
| 董监高职务          | object   |  -    |
| 变动人与董监高关系          | object   |  -    |
| 期初持股数量          | float64   |  注意单位: 万股    |
| 期末持股数量          | float64   |  注意单位: 万股    |
| 变动数量          | float64   |  -    |
| 变动比例          | int64   |  注意单位: %    |
| 成交均价          | float64   |  注意单位: 元    |
| 期末市值          | float64   |  注意单位: 万元    |
| 持股变动原因          | object   |  -    |
| 数据来源          | object   |  -    |

接口示例

```python
import akshare as ak

stock_hold_management_detail_cninfo_df = ak.stock_hold_management_detail_cninfo(symbol="增持")
print(stock_hold_management_detail_cninfo_df)
```

数据示例

```
         证券代码  证券简称 截止日期    公告日期  ...   成交均价 期末市值  持股变动原因  数据来源
0      000001  平安银行  2021-09-01  2021-09-02  ...  17.79  NaN    竞价交易  临时公告
1      000001  平安银行  2021-09-02  2021-09-03  ...  18.50  NaN    竞价交易  临时公告
2      000001  平安银行  2021-09-02  2021-09-03  ...  18.56  NaN    竞价交易  临时公告
3      000001  平安银行  2021-09-02  2021-09-03  ...  18.32  NaN    竞价交易  临时公告
4      000001  平安银行  2021-09-03  2021-09-06  ...  18.15  NaN    竞价交易  临时公告
       ...   ...         ...         ...  ...    ...  ...     ...   ...
11915  900933  华新Ｂ股  2021-07-28  2021-07-30  ...  14.99  NaN  二级市场买卖  临时公告
11916  900933  华新Ｂ股  2021-07-28  2021-07-30  ...   1.67  NaN  二级市场买卖  临时公告
11917  900933  华新Ｂ股  2021-07-28  2021-07-30  ...   1.66  NaN  二级市场买卖  临时公告
11918  900934  锦江Ｂ股  2021-05-31  2021-06-01  ...  61.05  NaN  二级市场买卖  临时公告
11919  900934  锦江Ｂ股  2021-06-30  2021-08-31  ...    NaN  NaN    None  定期报告
```

##### 对外担保

接口: stock_cg_guarantee_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-公司治理-对外担保

限量: 单次指定 symbol 和起始日期的对外担保数据

输入参数

| 名称         | 类型  | 描述                                                        |
|------------|-----|-----------------------------------------------------------|
| symbol     | str | symbol="全部"; choice of {"全部", "深市主板", "沪市", "创业板", "科创板"} |
| start_date | str | start_date="20180630"                                     |
| end_date   | str | end_date="20210927"                                       |

输出参数

| 名称          | 类型      | 描述       |
|-------------|---------|----------|
| 证劵代码        | object  | -        |
| 证券简称        | object  | -        |
| 公告统计区间      | object  | -        |
| 担保笔数        | int64   | -        |
| 担保金额        | float64 | 注意单位: 万元 |
| 归属于母公司所有者权益 | float64 | 注意单位: 万元 |
| 担保金融占净资产比例  | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

stock_corporate_governance_guarantee_df = ak.stock_cg_guarantee_cninfo(symbol="全部", start_date="20180630", end_date="20210927")
print(stock_corporate_governance_guarantee_df)
```

数据示例

```
    证券代码   证券简称  ... 归属于母公司所有者权益  担保金融占净资产比例
0     000031    大悦城  ...  1923219.96     1282.60
1     000671  阳 光 城  ...  3009075.98     1573.69
2     000851   高鸿股份  ...   441512.63      580.65
3     002092   中泰化学  ...  2057758.92      534.41
4     002195   二三四五  ...   910560.47       60.57
      ...    ...  ...         ...         ...
3094  603759   海天股份  ...   206665.52        1.94
3095  688025    杰普特  ...   165088.74        6.06
3096  300822   贝仕达克  ...   117215.70        4.27
3097  300907   康平科技  ...    75107.82       10.65
3098  688296   和达科技  ...    36850.84        2.71
```

##### 公司诉讼

接口: stock_cg_lawsuit_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-公司治理-公司诉讼

限量: 单次指定 symbol 和起始日期的公司诉讼数据

输入参数

| 名称         | 类型  | 描述                                                        |
|------------|-----|-----------------------------------------------------------|
| symbol     | str | symbol="全部"; choice of {"全部", "深市主板", "沪市", "创业板", "科创板"} |
| start_date | str | start_date="20180630"                                     |
| end_date   | str | end_date="20210927"                                       |

输出参数

| 名称     | 类型      | 描述       |
|--------|---------|----------|
| 证劵代码   | object  | -        |
| 证券简称   | object  | -        |
| 公告统计区间 | object  | -        |
| 诉讼次数   | int64   | -        |
| 诉讼金额   | float64 | 注意单位: 万元 |

接口示例

```python
import akshare as ak

stock_cg_lawsuit_cninfo_df = ak.stock_cg_lawsuit_cninfo(symbol="全部", start_date="20180630", end_date="20210927")
print(stock_cg_lawsuit_cninfo_df)
```

数据示例

```
        证券代码  证券简称                   公告统计区间  诉讼次数      诉讼金额
0     002524  光正眼科  2018-09-28---2021-09-27     1       NaN
1     603507  振江股份  2018-09-28---2021-09-27     1       NaN
2     600410  华胜天成  2018-09-28---2021-09-27     2       NaN
3     601333  广深铁路  2018-09-28---2021-09-27     1       NaN
4     301013   利和兴  2018-09-28---2021-09-27     1       NaN
      ...   ...                      ...   ...       ...
1020  600310  桂东电力  2018-09-28---2021-09-27     2   5360.63
1021  600815  厦工股份  2018-09-28---2021-09-27    75  75569.33
1022  600830  香溢融通  2018-09-28---2021-09-27     6  17109.27
1023  603986  兆易创新  2018-09-28---2021-09-27     6  29200.00
1024  002673  西部证券  2018-09-28---2021-09-27     4  75380.45
```

##### 股权质押

接口: stock_cg_equity_mortgage_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-公司治理-股权质押

限量: 单次指定 date 的股权质押数据

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date="20210930" |

输出参数

| 名称         | 类型      | 描述       |
|------------|---------|----------|
| 股票代码       | object  | -        |
| 股票简称       | object  | -        |
| 公告日期       | object  | -        |
| 出质人        | object  | -        |
| 质权人        | object  | -        |
| 质押数量       | float64 | 注意单位: 万股 |
| 占总股本比例     | float64 | 注意单位: %  |
| 质押解除数量     | float64 | 注意单位: 万股 |
| 质押事项       | object  | 注意单位: 万元 |
| 累计质押占总股本比例 | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

stock_cg_equity_mortgage_cninfo_df = ak.stock_cg_equity_mortgage_cninfo(date="20210930")
print(stock_cg_equity_mortgage_cninfo_df)
```

数据示例

```
      股票代码   股票简称  ...                                               质押事项  \
0   000892   欢瑞世纪  ...  本公司持股5%以上股东欢瑞世纪(天津)资产管理合伙企业(有限合伙)将2020年04月20日质...
1   000892   欢瑞世纪  ...  本公司持股5%以上股东赵枳程将持有的本公司4743836股流通A股质押给方正证券股份有限公司...
2   000948   南天信息  ...  本公司控股股东云南省工业投资控股集团有限责任公司将2020年09月18日质押给云南国际信托有...
3   002074   国轩高科  ...  本公司控股股东南京国轩控股集团有限公司将持有的本公司20620000股质押给海通证券股份有限...
4   002074   国轩高科  ...  本公司实际控制人李缜将2019年09月25日质押给华安证券股份有限公司的11270000股解...
5   002074   国轩高科  ...  本公司实际控制人李缜将2019年09月27日质押给华安证券股份有限公司的11100000股解...
6   002138   顺络电子  ...  本公司股东新余市恒顺通电子科技开发有限公司将持有的本公司3635000股流通A股质押给广发证...
7   002375   亚厦股份  ...  本公司控股股东亚厦控股有限公司将持有的本公司68000000股流通A股质押给杭州银行股份有限...
8   002375   亚厦股份  ...  本公司控股股东亚厦控股有限公司将持有的本公司97000000股流通A股质押给绍兴银行股份有限...
9   002466   天齐锂业  ...  本公司控股股东成都天齐实业(集团)有限公司将持有的本公司12000000股流通A股质押给中国...
10  002466   天齐锂业  ...  本公司控股股东成都天齐实业(集团)有限公司将持有的本公司4600000股流通A股质押给交通银...
11  002475   立讯精密  ...  本公司控股股东香港立讯有限公司将持有的本公司72620000股流通A股质押给招商银行股份有限...
12  002584   西陇科学  ...  本公司实际控制人黄伟波将持有的本公司8470000股流通受限股份质押给华鑫证券有限责任公司用...
13  002584   西陇科学  ...  本公司实际控制人黄伟波将持有的本公司9480000股流通受限股份质押给华鑫证券有限责任公司用...
14  002584   西陇科学  ...  本公司实际控制人黄伟鹏将2017年08月10日质押给华鑫证券有限责任公司的4480000股解...
15  002584   西陇科学  ...  本公司实际控制人黄伟鹏将持有的本公司5260000股流通受限股份质押给华鑫证券有限责任公司用...
16  002584   西陇科学  ...  本公司实际控制人黄伟鹏将持有的本公司7680000股流通受限股份质押给华鑫证券有限责任公司用...
17  002584   西陇科学  ...  本公司实际控制人黄伟鹏将持有的本公司9970000股流通受限股份质押给华鑫证券有限责任公司用...
18  002584   西陇科学  ...  本公司实际控制人黄伟鹏将持有的本公司5260000股流通受限股份质押给华鑫证券有限责任公司用...
19  002584   西陇科学  ...  本公司实际控制人黄少群将持有的本公司6290000股流通A股质押给华鑫证券有限责任公司用于办...
20  002584   西陇科学  ...  本公司实际控制人黄少群将持有的本公司7360000股流通受限股份质押给华鑫证券有限责任公司用...
21  002584   西陇科学  ...  本公司实际控制人黄少群将持有的本公司8200000股流通受限股份质押给华鑫证券有限责任公司用...
22  002584   西陇科学  ...  本公司实际控制人黄少群将持有的本公司9700000股流通受限股份质押给华鑫证券有限责任公司用...
23  002584   西陇科学  ...  本公司实际控制人黄少群将持有的本公司6290000股流通A股质押给华鑫证券有限责任公司用于办...
24  002602   世纪华通  ...  本公司大股东王佶将2018年02月12日质押给大连银行股份有限公司上海分行的25000000...
25  002602   世纪华通  ...  本公司大股东王佶将2018年02月12日质押给大连银行股份有限公司上海分行的26000000...
26  002602   世纪华通  ...  本公司大股东王佶将持有的本公司26000000股流通A股质押给泰安复星招银壹号股权投资基金合...
27  002602   世纪华通  ...  本公司大股东王佶将持有的本公司5000000股流通A股质押给泰安复星招银壹号股权投资基金合伙...
28  002677   浙江美大  ...  本公司股东夏鼎将2020年12月28日质押给上海海通证券资产管理有限公司用于办理质押式回购业...
29  002677   浙江美大  ...  本公司股东夏鼎将2021年05月18日质押给上海海通证券资产管理有限公司用于办理质押式回购业...
30  002677   浙江美大  ...  本公司股东夏鼎将2021年08月25日质押给上海海通证券资产管理有限公司用于办理质押式回购业...
31  002853    皮阿诺  ...  本公司控股股东、实际控制人马礼斌将持有的本公司1000000股流通A股质押给中信证券股份有限...
32  002922    伊戈尔  ...  本公司控股股东佛山市麦格斯投资有限公司将持有的本公司5000000股流通A股质押给国金证券股...
33  300175   朗源股份  ...  本公司控股股东新疆尚龙股权投资管理有限公司将持有的本公司17000000股流通A股质押给邳州...
34  300275    梅安森  ...  本公司控股股东马焰将持有的本公司2000000股流通受限股份质押给交通银行股份有限公司重庆市...
35  600093  *ST易见  ...  本公司股东云南省滇中产业发展集团有限责任公司将质押给中国工商银行股份有限公司昆明正义支行的8...
36  600093  *ST易见  ...  本公司股东云南省滇中产业发展集团有限责任公司将持有的本公司86380000股流通A股质押给中...
37  600176   中国巨石  ...  本公司股东振石控股集团有限公司将持有的本公司126680000股流通A股质押给中国民生银行股...
38  600176   中国巨石  ...  本公司股东振石控股集团有限公司将质押的211672605股解除质押，解除日期为2021年09...
39  600246   万通发展  ...  本公司第二大股东万通投资控股股份有限公司将2021年07月12日质押给江苏银行股份有限公司北...
40  600516   方大炭素  ...  本公司控股股东辽宁方大集团实业有限公司将持有的本公司56000000股流通A股质押给平安银行...
41  600516   方大炭素  ...  本公司控股股东辽宁方大集团实业有限公司将质押给平安银行股份有限公司沈阳分行的70700000...
42  600572    康恩贝  ...  本公司持股5%以上股东胡季强将持有的本公司27000000股流通A股质押给中信证券股份有限公...
43  600572    康恩贝  ...  本公司持股5%以上股东胡季强将质押给中信证券股份有限公司用于办理质押式回购业务的210000...
44  600739   辽宁成大  ...  本公司控股股东辽宁省国有资产经营有限公司将持有的本公司5500000股流通A股质押给华夏银行...
45  600745   闻泰科技  ...  本公司股东张丹琳将持有的本公司171095股流通A股质押给云南国际信托有限公司，质押开始日期...
46  600745   闻泰科技  ...  本公司股东张秋红将持有的本公司305364股流通A股质押给云南国际信托有限公司，质押开始日期...
47  600866   星湖科技  ...  本公司股东深圳长城汇理资产服务企业(有限合伙)将质押给东方证券股份有限公司的13080000...
48  600903   贵州燃气  ...  本公司控股股东北京东嘉投资有限公司将质押给华能贵诚信托有限公司的91507780股解除质押，...
49  600998    九州通  ...  本公司股东上海弘康实业投资有限公司将持有的本公司15600000股流通A股质押给汉口银行股份...
50  601012   隆基股份  ...  本公司控股股东李振国将质押给国信证券股份有限公司的28000000股流通A股解除质押，解除日...
51  603501   韦尔股份  ...  本公司控股股东虞仁荣将持有的本公司590000股流通A股质押给平安证券股份有限公司，质押开始...
52  603619   中曼石油  ...     本公司实际控制人李玉池将质押的16038460股解除质押，解除日期为2021年09月28日。
53  603638   艾迪精密  ...  本公司控股股东烟台翔宇投资有限公司将持有的本公司6000000股流通A股质押给云南国际信托有...
54  603661   恒林股份  ...  本公司持股5%以上股东安吉恒林商贸有限公司将持有的本公司1500000股流通A股质押给浙商证...
```

#### 美港目标价

接口: stock_price_js

目标地址: https://www.ushknews.com/report.html

描述: 美港电讯-美港目标价数据

限量: 单次获取所有数据, 数据从 2019-至今; 该接口暂时不能使用

输入参数

| 名称     | 类型  | 描述                                  |
|--------|-----|-------------------------------------|
| symbol | str | symbol="us"; choice of {"us", "hk"} |

输出参数

| 名称    | 类型      | 描述  |
|-------|---------|-----|
| 日期    | object  | -   |
| 个股名称  | object  | -   |
| 评级    | object  | -   |
| 先前目标价 | float64 | -   |
| 最新目标价 | float64 | -   |
| 机构名称  | object  | -   |

接口示例

```python
import akshare as ak

stock_price_js_df = ak.stock_price_js(symbol="us")
print(stock_price_js_df)
```

数据示例

```
               日期                    个股名称     评级  先前目标价  最新目标价       机构名称
0      2022-02-12  Teladoc Health(TDOC.N)     买入    NaN  121.0         高盛
1      2022-02-12       Cloudflare(NET.N)   None  132.0  150.0    KeyBanc
2      2022-02-12             Zillow(Z.O)   None   74.0   76.0      摩根士丹利
3      2022-02-11             Zillow(Z.O)   None  105.0  115.0  Benchmark
4      2022-02-11       Cloudflare(NET.N)     中性  210.0  130.0         贝雅
...           ...                     ...    ...    ...    ...        ...
46039  2019-01-02             美国银行(BAC.N)  与大市持平   37.0   34.0        巴克莱
46040  2019-01-02             亚马逊(AMZN.O)     买入    NaN    NaN    加拿大皇家银行
46041  2019-01-02              苹果(AAPL.O)   跑赢大市  266.0  228.0       摩根大通
46042  2019-01-02              苹果(AAPL.O)   跑赢大市    NaN  220.0    加拿大皇家银行
46043  2019-01-01               强生(JNJ.N)     中性  139.0  148.0         花旗
```

#### 券商业绩月报

接口: stock_qsjy_em

目标地址: http://data.eastmoney.com/other/qsjy.html

描述: 东方财富网-数据中心-特色数据-券商业绩月报

限量: 单次获取所有数据, 数据从 201006-202007, 月频率

输入参数

| 名称   | 类型  | 描述                                |
|------|-----|-----------------------------------|
| date | str | date="20200430"; 输入需要查询月份的最后一天的日期 |

输出参数

| 名称              | 类型      | 描述       |
|-----------------|---------|----------|
| 简称              | object  | -        |
| 代码              | object  | -        |
| 当月净利润-净利润       | float64 | 注意单位: 万元 |
| 当月净利润-同比增长      | float64 | -        |
| 当月净利润-环比增长      | float64 | -        |
| 当年累计净利润-累计净利润   | float64 | 注意单位: 万元 |
| 当年累计净利润-同比增长    | float64 | -        |
| 当月营业收入-营业收入     | float64 | 注意单位: 万元 |
| 当月营业收入-环比增长     | float64 | -        |
| 当月营业收入-同比增长     | float64 | -        |
| 当年累计营业收入-累计营业收入 | float64 | 注意单位: 万元 |
| 当年累计营业收入-同比增长   | float64 | -        |
| 净资产-净资产         | float64 | 注意单位: 万元 |
| 净资产-同比增长        | float64 | -        |

接口示例

```python
import akshare as ak

stock_qsjy_em_df = ak.stock_qsjy_em(date="20200430")
print(stock_qsjy_em_df)
```

数据示例

```
      简称      代码      当月净利润-净利润  ...  当年累计营业收入-同比增长       净资产-净资产   净资产-同比增长
0   国海证券  000750   19194.615013  ...      54.032161  1.776790e+06  33.096526
1   国金证券  600109   20891.770000  ...      50.235759  2.097736e+06   6.747984
2   光大证券  601788   60001.753808  ...       1.940449  5.191309e+06   2.343186
3   方正证券  601901   12395.300000  ...      15.571724  4.278250e+06  -8.135272
4   兴业证券  601377   32467.150000  ...     -14.595211  3.430436e+06   5.441332
5   国信证券  002736   56775.290000  ...      32.460693  5.529023e+06   2.995151
6   华泰证券  601688   78019.450000  ...       5.858672  1.234187e+07  14.817958
7   天风证券  601162    7704.010000  ...      13.050550  1.687778e+06  50.755090
8   华西证券  002926   24595.360000  ...       1.709712  2.002422e+06   6.198522
9   西南证券  600369   10153.900000  ...     -32.599011  1.976813e+06   5.182443
10  长城证券  002939   12596.910000  ...      14.546146  1.725532e+06   3.114500
11  东吴证券  601555   15202.270000  ...       8.220710  2.664589e+06  30.763186
12  东兴证券  601198   23724.000000  ...       1.505702  2.069308e+06   4.788353
13  浙商证券  601878   10729.640000  ...      71.999008  1.508543e+06   4.119564
14  申万宏源  000166  156658.000000  ...      29.308936  7.945952e+06  10.579253
15  华林证券  002945    3286.100000  ...      43.888841  5.492524e+05   8.617837
16  国泰君安  601211   79724.170000  ...      -9.160164  1.364813e+07   1.784078
17  东北证券  000686   19464.850000  ...       3.469984  1.618389e+06   4.375444
18  华安证券  600909   11005.490000  ...       7.830548  1.371776e+06   9.652564
19  中原证券  601375    8586.950000  ...      15.216216  1.004165e+06   2.114908
20  长江证券  000783   28988.140000  ...            NaN  3.115692e+06  10.237273
21  东方证券  600958   59493.090000  ...      36.465438  5.598729e+06   4.538278
22  红塔证券  601236   21168.110000  ...            NaN  1.352354e+06        NaN
23   太平洋  601099    1074.460000  ...     -35.504783  1.046198e+06   3.302652
24  中信证券  600030  162426.000000  ...      52.561662  1.683170e+07  23.936907
25  山西证券  002500   11175.370000  ...      35.841437  1.411993e+06   4.424647
26  中银证券  601696   10172.510000  ...            NaN  1.415213e+06        NaN
27  第一创业  002797   10003.990000  ...      32.569921  9.662962e+05   5.396208
28  招商证券  600999   82020.637477  ...      24.449430  8.590377e+06   6.038244
29  中信建投  601066  103886.720000  ...      61.480355  5.799100e+06  20.862475
30  国元证券  000728    4848.630000  ...      27.615097  2.366435e+06  -1.110733
31  华鑫股份  600621    4442.740000  ...      58.946622  6.125237e+05  14.145368
32  中国银河  601881   83429.360000  ...      30.440181  7.297874e+06   7.543491
33  西部证券  002673   19674.240000  ...     -10.968199  1.828071e+06   1.750810
34  广发证券  000776   68079.485932  ...      -4.933729  8.878713e+06   6.098383
35  财通证券  601108   17561.630000  ...      -8.775579  2.116647e+06   6.241030
36  南京证券  601990    9131.740000  ...      19.802440  1.139362e+06   5.430794
37  海通证券  600837   96773.380000  ...       3.011836  1.203286e+07   3.822430
```

#### A 股市盈率

接口: stock_a_pe

目标地址: https://www.legulegu.com/stockdata/market_pe

描述: 乐咕乐股网站-A股市盈率

限量: 单次获取指定 symbol 的所有数据

输入参数

| 名称     | 类型  | 描述                                          |
|--------|-----|---------------------------------------------|
| symbol | str | symbol="000016.XSHG"; 参见 **stock_a_pe** 一览表 |

stock_a_pe 一览表

| 栏目              | 参数          |
|-----------------|-------------|
| 上证A股市盈率         | sh          |
| 深圳A股市盈率         | sz          |
| 中小板市盈率          | zx          |
| 创业板市盈率          | cy          |
| 科创板市盈率          | kc          |
| 全部A股市盈率-平均数-中位数 | all         |
| 沪深300市盈率        | 000300.XSHG |
| 上证50市盈率         | 000016.XSHG |
| 上证180市盈率        | 000010.XSHG |
| 上证380市盈率        | 000009.XSHG |
| 中证流通市盈率         | 000902.XSHG |
| 中证100市盈率        | 000903.XSHG |
| 中证500市盈率        | 000905.XSHG |
| 中证800市盈率        | 000906.XSHG |
| 中证1000市盈率       | 000852.XSHG |

输出参数

| 名称           | 类型      | 描述        |
|--------------|---------|-----------|
| date         | object  | -         |
| averagePELYR | float64 | 等权平均PELYR |
| averagePETTM | float64 | 中位数PETTM  |
| middlePELYR  | float64 | 中位数PELYR  |
| middlePETTM  | float64 | 等权平均PETTM |
| close        | float64 | 收盘价       |

接口示例

```python
import akshare as ak

stock_a_pe_df = ak.stock_a_pe(symbol="000016.XSHG")
print(stock_a_pe_df)
```

数据示例

```
            date  averagePELYR  averagePETTM  middlePELYR  middlePETTM    close
0     2005-01-05         35.64         29.52        17.91        18.97   831.43
1     2005-01-06         35.85         29.88        17.95        18.88   822.50
2     2005-01-07         37.17         29.74        19.17        18.81   823.62
3     2005-01-10         35.27         29.81        17.98        18.73   832.99
4     2005-01-11         37.49         30.14        19.35        19.07   837.86
          ...           ...           ...          ...          ...      ...
4110  2021-12-12         43.59         32.11        27.79        17.05  3353.63
4111  2021-12-13         43.66         32.18        27.81        17.47  3366.07
4112  2021-12-14         43.63         32.23        27.08        17.53  3350.50
4113  2021-12-15         42.94         31.71        27.09        17.50  3318.98
4114  2021-12-16         42.98         31.77        27.33        17.62  3330.86
```

#### A 股市净率

接口: stock_a_pb

目标地址: https://www.legulegu.com/stockdata/market_pb

描述: 乐咕乐股网站-A 股市净率

限量: 单次获取指定 symbol 的所有数据

输入参数

| 名称     | 类型  | 描述                                          |
|--------|-----|---------------------------------------------|
| symbol | str | symbol="000016.XSHG"; 参见 **stock_a_pb** 一览表 |

stock_a_pb 一览表

| 栏目        | 参数          |
|-----------|-------------|
| 上证A股市净率   | sh          |
| 深圳A股市净率   | sz          |
| 中小板市净率    | zx          |
| 创业板市净率    | cy          |
| 沪深300市净率  | 000300.XSHG |
| 上证50市净率   | 000016.XSHG |
| 上证180市净率  | 000010.XSHG |
| 上证380市净率  | 000009.XSHG |
| 中证流通市净率   | 000902.XSHG |
| 中证100市净率  | 000903.XSHG |
| 中证500市净率  | 000905.XSHG |
| 中证800市净率  | 000906.XSHG |
| 中证1000市净率 | 000852.XSHG |

输出参数

| 名称                   | 类型      | 描述   |
|----------------------|---------|------|
| date                 | object  | -    |
| equalWeightAveragePB | float64 | 等权平均 |
| middlePB             | float64 | 中位数  |
| weightingAveragePB   | float64 | 加权平均 |
| close                | float64 | 收盘价  |

接口示例

```python
import akshare as ak

stock_a_pb_df = ak.stock_a_pb(symbol="000902.XSHG")
print(stock_a_pb_df)
```

数据示例

```
            date  equalWeightAveragePB  middlePB  weightingAveragePB    close
0     2006-02-27                  1.90      1.64                 0.0  1081.88
1     2006-02-28                  1.89      1.62                 0.0  1087.72
2     2006-03-01                  1.90      1.63                 0.0  1096.32
3     2006-03-02                  1.91      1.64                 0.0  1071.56
4     2006-03-03                  1.87      1.60                 0.0  1074.12
          ...                   ...       ...                 ...      ...
3834  2021-12-12                  4.57      2.80                 0.0  4623.96
3835  2021-12-13                  4.59      2.82                 0.0  4623.96
3836  2021-12-14                  4.60      2.84                 0.0  4623.96
3837  2021-12-15                  4.61      2.84                 0.0  4623.96
3838  2021-12-16                  4.64      2.87                 0.0  4623.96
```

#### A 股个股指标

接口: stock_a_lg_indicator

目标地址: https://www.legulegu.com/stocklist

描述: 乐咕乐股-A 股个股指标: 市盈率, 市净率, 股息率

限量: 单次获取指定 symbol 的所有历史数据

输入参数

| 名称     | 类型  | 描述                                                                  |
|--------|-----|---------------------------------------------------------------------|
| symbol | str | symbol="000001"; 参见 **ak.stock_a_lg_indicator(stock="all")** 获取股票代码 |

输出参数

| 名称         | 类型      | 描述     |
|------------|---------|--------|
| trade_date | object  | 交易日    |
| pe         | float64 | 市盈率    |
| pe_ttm     | float64 | 市盈率TTM |
| pb         | float64 | 市净率    |
| ps         | float64 | 市销率    |
| ps_ttm     | float64 | 市销率TTM |
| dv_ratio   | float64 | 股息率    |
| dv_ttm     | float64 | 股息率TTM |
| total_mv   | float64 | 总市值    |

接口示例

```python
import akshare as ak

stock_a_lg_indicator_df = ak.stock_a_lg_indicator(symbol="000001")
print(stock_a_lg_indicator_df)
```

数据示例

```
      trade_date       pe   pe_ttm  ...  dv_ratio  dv_ttm      total_mv
0     2002-10-08  65.0928  53.0940  ...    0.0000  1.5386  2.619077e+06
1     2002-10-09  64.3190  52.4629  ...    0.0000  1.5571  2.587943e+06
2     2002-10-10  63.3035  51.6346  ...    0.0000  1.5821  2.547081e+06
3     2002-10-11  62.3846  50.8851  ...    0.0000  1.6054  2.510111e+06
4     2002-10-14  62.3846  50.8851  ...    0.0000  1.6054  2.510111e+06
          ...      ...      ...  ...       ...     ...           ...
4696  2022-09-21   6.6385   5.9062  ...    1.4481  1.8343  2.412156e+07
4697  2022-09-22   6.5637   5.8397  ...    1.4646  1.8552  2.384987e+07
4698  2022-09-23   6.5637   5.8397  ...    1.4646  1.8552  2.384987e+07
4699  2022-09-26   6.4088   5.7019  ...    1.5000  1.9000  2.328710e+07
4700  2022-09-27   6.4889   5.7732  ...       NaN     NaN  2.357819e+07
```

#### A 股股息率

接口: stock_a_gxl_lg

目标地址: https://legulegu.com/stockdata/guxilv

描述: 乐咕乐股-股息率-A 股股息率

限量: 单次获取指定 symbol 的所有历史数据

输入参数

| 名称     | 类型  | 描述                                                      |
|--------|-----|---------------------------------------------------------|
| symbol | str | symbol="上证A股"; choice of {"上证A股", "深证A股", "创业板", "科创板"} |

输出参数

| 名称  | 类型      | 描述  |
|-----|---------|-----|
| 日期  | object  | -   |
| 股息率 | float64 | -   |

接口示例

```python
import akshare as ak

stock_a_gxl_lg_df = ak.stock_a_gxl_lg(symbol="上证A股")
print(stock_a_gxl_lg_df)
```

数据示例

```
        日期   股息率
0     2005-01-04  2.03
1     2005-01-05  2.05
2     2005-01-06  2.07
3     2005-01-07  2.06
4     2005-01-10  2.05
          ...   ...
4363  2022-12-16  3.57
4364  2022-12-19  3.64
4365  2022-12-20  3.68
4366  2022-12-21  3.68
4367  2022-12-22  3.69
```

#### 恒生指数股息率

接口: stock_hk_gxl_lg

目标地址: https://legulegu.com/stockdata/market/hk/dv/hsi

描述: 乐咕乐股-股息率-恒生指数股息率

限量: 单次获取所有月度历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述  |
|-----|---------|-----|
| 日期  | object  | -   |
| 股息率 | float64 | -   |

接口示例

```python
import akshare as ak

stock_hk_gxl_lg_df = ak.stock_hk_gxl_lg()
print(stock_hk_gxl_lg_df)
```

数据示例

```
        日期   股息率
0    1973-05-31  0.00
1    1973-06-30  0.00
2    1973-07-31  0.00
3    1973-08-31  0.00
4    1973-09-30  0.00
..          ...   ...
590  2022-07-31  3.33
591  2022-08-31  3.36
592  2022-09-30  3.86
593  2022-10-31  4.53
594  2022-11-30  3.57
```

#### 大盘拥挤度

接口: stock_a_congestion_lg

目标地址: https://legulegu.com/stockdata/ashares-congestion

描述: 乐咕乐股-大盘拥挤度

限量: 单次获取近 4 年的历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称         | 类型      | 描述  |
|------------|---------|-----|
| date       | object  | 日期  |
| close      | float64 | 收盘价 |
| congestion | float64 | 拥挤度 |

接口示例

```python
import akshare as ak

stock_a_congestion_lg_df = ak.stock_a_congestion_lg()
print(stock_a_congestion_lg_df)
```

数据示例

```
           date    close  congestion
0    2018-12-28  2493.90      0.3854
1    2019-01-02  2465.29      0.4061
2    2019-01-03  2464.36      0.3854
3    2019-01-04  2514.87      0.3892
4    2019-01-07  2533.09      0.3632
..          ...      ...         ...
963  2022-12-21  3068.41      0.3857
964  2022-12-22  3054.43      0.3947
965  2022-12-23  3045.87      0.3983
966  2022-12-26  3065.56      0.3939
967  2022-12-27  3095.57      0.3900
```

#### 股债利差

接口: stock_ebs_lg

目标地址: https://legulegu.com/stockdata/equity-bond-spread

描述: 乐咕乐股-股债利差

限量: 单次所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述  |
|---------|---------|-----|
| 日期      | object  | -   |
| 沪深300指数 | float64 | -   |
| 股债利差    | float64 | -   |
| 股债利差均线  | float64 | -   |

接口示例

```python
import akshare as ak

stock_ebs_lg_df = ak.stock_ebs_lg()
print(stock_ebs_lg_df)
```

数据示例

```
       日期  沪深300指数      股债利差    股债利差均线
0     2008-04-09  3688.13 -0.003790  0.008278
1     2008-04-10  3754.72 -0.004137  0.008258
2     2008-04-11  3783.73 -0.004597  0.008172
3     2008-04-14  3536.33 -0.002205  0.007961
4     2008-04-15  3583.30 -0.002263  0.007877
          ...      ...       ...       ...
3573  2022-12-22  3836.03  0.066257  0.050412
3574  2022-12-23  3828.22  0.066488  0.050435
3575  2022-12-26  3843.49  0.066207  0.050457
3576  2022-12-27  3887.85  0.064855  0.050481
3577  2022-12-28  3871.26  0.065082  0.050505
```

#### 巴菲特指标

接口: stock_buffett_index_lg

目标地址: https://legulegu.com/stockdata/marketcap-gdp

描述: 乐估乐股-底部研究-巴菲特指标

限量: 单次获取所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述                             |
|--------|---------|--------------------------------|
| 日期     | object  | 交易日                            |
| 收盘价    | float64 | -                              |
| 总市值    | float64 | A股收盘价*已发行股票总股本（A股+B股+H股）       |
| GDP    | float64 | 上年度国内生产总值（例如：2019年，则取2018年GDP） |
| 近十年分位数 | float64 | 当前"总市值/GDP"在历史数据上的分位数          |
| 总历史分位数 | float64 | 当前"总市值/GDP"在历史数据上的分位数          |

接口示例

```python
import akshare as ak

stock_buffett_index_lg_df = ak.stock_buffett_index_lg()
print(stock_buffett_index_lg_df)
```

数据示例

```
      日期      收盘价        总市值         GDP   近十年分位数   总历史分位数
0     2005-04-07  1003.45   38470.47   161840.16  1.00000  1.00000
1     2005-04-10   995.42   39184.81   161840.16  1.00000  1.00000
2     2005-04-11   978.70   38955.09   161840.16  0.66667  0.66667
3     2005-04-12  1000.90   38287.33   161840.16  0.25000  0.25000
4     2005-04-13   986.98   39166.32   161840.16  0.80000  0.80000
          ...      ...        ...         ...      ...      ...
4250  2022-10-09  3804.89  844801.00  1143000.00  0.50185  0.54411
4251  2022-10-10  3720.94  830669.18  1143000.00  0.47178  0.51858
4252  2022-10-11  3727.69  833054.59  1143000.00  0.47672  0.52269
4253  2022-10-12  3784.31  848960.01  1143000.00  0.51174  0.55172
4254  2022-10-13  3752.67  848075.96  1143000.00  0.50947  0.54994
```

#### A 股等权重与中位数市盈率

接口: stock_a_ttm_lyr

目标地址: https://www.legulegu.com/stockdata/a-ttm-lyr

描述: 乐咕乐股-A 股等权重市盈率与中位数市盈率

限量: 单次返回所有数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称                                  | 类型      | 描述                               |
|-------------------------------------|---------|----------------------------------|
| date                                | object  | 日期                               |
| middlePETTM                         | float64 | 全A股滚动市盈率(TTM)中位数                 |
| averagePETTM                        | float64 | 全A股滚动市盈率(TTM)等权平均                |
| middlePELYR                         | float64 | 全A股静态市盈率(LYR)中位数                 |
| averagePELYR                        | float64 | 全A股静态市盈率(LYR)等权平均                |
| quantileInAllHistoryMiddlePeTtm     | float64 | 当前"TTM(滚动市盈率)中位数"在历史数据上的分位数      |
| quantileInRecent10YearsMiddlePeTtm  | float64 | 当前"TTM(滚动市盈率)中位数"在最近10年数据上的分位数   |
| quantileInAllHistoryAveragePeTtm    | float64 | 当前"TTM(滚动市盈率)等权平均"在历史数据上的分位数     |
| quantileInRecent10YearsAveragePeTtm | float64 | 当前"TTM(滚动市盈率)等权平均"在在最近10年数据上的分位数 |
| quantileInAllHistoryMiddlePeLyr     | float64 | 当前"LYR(静态市盈率)中位数"在历史数据上的分位数      |
| quantileInRecent10YearsMiddlePeLyr  | float64 | 当前"LYR(静态市盈率)中位数"在最近10年数据上的分位数   |
| quantileInAllHistoryAveragePeLyr    | float64 | 当前"LYR(静态市盈率)等权平均"在历史数据上的分位数     |
| quantileInRecent10YearsAveragePeLyr | float64 | 当前"LYR(静态市盈率)等权平均"在最近10年数据上的分位数  |
| close                               | float64 | 沪深300指数                          |

接口示例

```python
import akshare as ak

stock_a_ttm_lyr_df = ak.stock_a_ttm_lyr()
print(stock_a_ttm_lyr_df)
```

数据示例

```
            date  middlePETTM  ...  quantileInRecent10YearsAveragePeLyr    close
0     2005-01-04        28.79  ...                              1.00000     0.00
1     2005-01-05        29.18  ...                              1.00000     0.00
2     2005-01-06        28.73  ...                              0.66667     0.00
3     2005-01-09        28.84  ...                              0.50000     0.00
4     2005-01-10        29.09  ...                              1.00000     0.00
          ...          ...  ...                                  ...      ...
4028  2021-08-05        32.66  ...                              0.45016  4948.67
4029  2021-08-08        32.78  ...                              0.45181  4921.56
4030  2021-08-09        33.15  ...                              0.47364  4985.56
4031  2021-08-10        33.60  ...                              0.49012  5043.15
4032  2021-08-11        33.71  ...                              0.49217  5015.34
```

#### A 股等权重与中位数市净率

接口: stock_a_all_pb

目标地址: https://www.legulegu.com/stockdata/all-pb

描述: 乐咕乐股-A 股等权重与中位数市净率

限量: 单次返回所有数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称                                          | 类型      | 描述                     |
|---------------------------------------------|---------|------------------------|
| date                                        | object  | 日期                     |
| middlePB                                    | float64 | 全部A股市净率中位数             |
| equalWeightAveragePB                        | float64 | 全部A股市净率等权平均            |
| close                                       | float64 | 上证指数                   |
| quantileInAllHistoryMiddlePB                | float64 | 当前市净率中位数在历史数据上的分位数     |
| quantileInRecent10YearsMiddlePB             | float64 | 当前市净率中位数在最近10年数据上的分位数  |
| quantileInAllHistoryEqualWeightAveragePB    | float64 | 当前市净率等权平均在历史数据上的分位数    |
| quantileInRecent10YearsEqualWeightAveragePB | float64 | 当前市净率等权平均在最近10年数据上的分位数 |

接口示例

```python
import akshare as ak

stock_a_all_pb_df = ak.stock_a_all_pb()
print(stock_a_all_pb_df)
```

数据示例

```
            date  ...  quantileInRecent10YearsEqualWeightAveragePB
0     2005-01-03  ...                                      1.00000
1     2005-01-04  ...                                      1.00000
2     2005-01-05  ...                                      0.66667
3     2005-01-06  ...                                      0.75000
4     2005-01-09  ...                                      1.00000
          ...  ...                                          ...
4032  2021-08-04  ...                                      0.65817
4033  2021-08-05  ...                                      0.66242
4034  2021-08-08  ...                                      0.67421
4035  2021-08-09  ...                                      0.69519
4036  2021-08-10  ...                                      0.69148
```

#### A 股市盈率和市净率

接口: stock_a_pe_and_pb

目标地址: https://legulegu.com/stockdata/hs300-ttm-lyr https://legulegu.com/stockdata/hs300-pb

描述: 乐咕乐股-指定市场的A股的市盈率和市净率，包括等权和加权。目标的两个网页分别展示市盈率和市净率，但实际上是来自同一个API的数据

限量: 单次获取指定 symbol 的所有数据

输入参数

| 名称     | 类型  | 描述                                               |
|--------|-----|--------------------------------------------------|
| symbol | str | symbol="000300.SH"; 参见 **stock_a_pe_and_pb** 一览表 |

stock_a_pe_and_pb 一览表

| 栏目     | 参数        |
|--------|-----------|
| 上证A股   | sh        |
| 深圳A股   | sz        |
| 创业板    | cy        |
| 科创板    | kc        |
| 沪深300  | 000300.SH |
| 上证50   | 000016.SH |
| 上证红利   | 000015.SH |
| 深证红利   | 399324.SZ |
| 上证180  | 000010.SH |
| 上证380  | 000009.SH |
| 中证100  | 000903.SH |
| 中证500  | 000905.SH |
| 中证800  | 000906.SH |
| 中证1000 | 000852.SH |

输出参数

| 名称              | 类型      | 描述           |
|-----------------|---------|--------------|
| date            | object  | 日期           |
| addTtmPe        | float64 | (加权)滚动市盈率    |
| middleAddTtmPe  | float64 | (加权)滚动市盈率中位数 |
| addLyrPe        | float64 | (加权)静态市盈率    |
| middleAddLyrPe  | float64 | (加权)静态市盈率中位数 |
| addPb           | float64 | (加权)市净率      |
| averageTtmPe    | float64 | 等权滚动市盈率      |
| averageLyrPe    | float64 | 等权静态市盈率      |
| averagePb       | float64 | 等权市净率        |
| middleAveragePb | float64 | 等权市净率中位数     |
| close           | float64 | 收盘点位         |

接口示例

```python
import akshare as ak

stock_a_pe_and_pb_df = ak.stock_a_pe_and_pb(symbol="000300.SH")
print(stock_a_pe_and_pb_df)
```

数据示例

```
            date  addTtmPe  middleAddTtmPe  ...  averagePb  middleAveragePb    close
0     2005-04-08     14.98           20.65  ...       2.12             1.92  1003.45
1     2005-04-11     15.12           20.65  ...       2.14             1.95   995.42
2     2005-04-12     14.75           20.30  ...       2.09             1.88   978.70
3     2005-04-13     15.12           20.78  ...       2.15             1.95  1000.90
4     2005-04-14     14.99           20.56  ...       2.11             1.93   986.98
          ...       ...             ...  ...        ...              ...      ...
4056  2021-12-13     12.78           25.81  ...       5.29             3.15  5083.80
4057  2021-12-14     12.83           25.87  ...       5.29             3.18  5049.70
4058  2021-12-15     12.74           25.82  ...       5.27             3.15  5005.90
4059  2021-12-16     12.65           25.93  ...       5.20             3.13  5034.73
4060  2021-12-17     12.73           25.67  ...       5.23             3.16  4954.76
```

#### A 股估值指标

接口: stock_zh_valuation_baidu

目标地址: https://gushitong.baidu.com/stock/ab-002044

描述: 百度股市通- A 股-财务报表-估值数据

限量: 单次获取指定 symbol 和 indicator 的所有历史数据

输入参数

| 名称        | 类型  | 描述                                                                     |
|-----------|-----|------------------------------------------------------------------------|
| symbol    | str | symbol="002044"; A 股代码                                                 |
| indicator | str | indicator="总市值"; choice of {"总市值", "市盈率(TTM)", "市盈率(静)", "市净率", "市现率"} |

输出参数

| 名称    | 类型      | 描述  |
|-------|---------|-----|
| date  | object  | -   |
| value | float64 | -   |

接口示例

```python
import akshare as ak

stock_zh_valuation_baidu_df = ak.stock_zh_valuation_baidu(symbol="002044", indicator="总市值")
print(stock_zh_valuation_baidu_df)
```

数据示例

```
            date   value
0     2005-05-19    6.59
1     2005-05-20    6.36
2     2005-05-23    5.73
3     2005-05-24    5.54
4     2005-05-25    5.48
          ...     ...
4218  2022-09-16  173.40
4219  2022-09-19  169.88
4220  2022-09-20  171.05
4221  2022-09-21  171.05
4222  2022-09-30  167.14
```

#### 涨跌投票

接口: stock_zh_vote_baidu

目标地址: https://gushitong.baidu.com/index/ab-000001

描述: 百度股市通- A 股或指数-股评-投票

限量: 单次获取指定 symbol 和 indicator 的所有数据

输入参数

| 名称        | 类型  | 描述                                     |
|-----------|-----|----------------------------------------|
| symbol    | str | symbol="000001"; A 股股票或指数代码            |
| indicator | str | indicator="指数"; choice of {"指数", "股票"} |

输出参数

| 名称   | 类型     | 描述  |
|------|--------|-----|
| 周期   | object | -   |
| 看涨   | object | -   |
| 看跌   | object | -   |
| 看涨比例 | object | -   |
| 看跌比例 | object | -   |

接口示例

```python
import akshare as ak

stock_zh_vote_baidu_df = ak.stock_zh_vote_baidu(symbol="000001", indicator="指数")
print(stock_zh_vote_baidu_df)
```

数据示例

```
   周期    看涨      看跌 看涨比例 看跌比例
0  今日    1531    4765  24%  76%
1  本周    1531    4765  24%  76%
2  本月    2442    7109  26%  74%
3  今年  15.04万  36.01万  29%  71%
```

#### 港股个股指标

接口: stock_hk_eniu_indicator

目标地址: https://eniu.com/gu/hk01093/roe

描述: 亿牛网-港股个股指标: 市盈率, 市净率, 股息率, ROE, 市值

限量: 单次获取指定 symbol 和 indicator 的所有历史数据; 该数据源暂未更新数据

输入参数

| 名称        | 类型  | 描述                                                                                              |
|-----------|-----|-------------------------------------------------------------------------------------------------|
| symbol    | str | symbol="hk01093"; 可通过调用 **ak.stock_hk_eniu_indicator(symbol="hk01093", indicator="港股")** 获取股票代码 |
| indicator | str | indicator="港股"; choice of {"港股", "市盈率", "市净率", "股息率", "ROE", "市值"}                              |

输出参数

| 名称  | 类型  | 描述              |
|-----|-----|-----------------|
| -   | -   | 根据 indicator 而异 |

接口示例-ROE

```python
import akshare as ak

stock_hk_eniu_indicator_df = ak.stock_hk_eniu_indicator(symbol="hk01093", indicator="市净率")
print(stock_hk_eniu_indicator_df)
```

数据示例-ROE

```
            date    pb  price
0     2000-01-03  1.17   0.00
1     2000-01-04  1.24   0.00
2     2000-01-05  1.19   0.00
3     2000-01-06  1.06   0.00
4     2000-01-07  1.08   0.00
          ...   ...    ...
5041  2020-08-07  7.31  15.74
5042  2020-08-10  7.22  15.54
5043  2020-08-11  7.31  15.74
5044  2020-08-12  7.15  15.40
5045  2020-08-13  7.18  15.46
```

#### 港股估值指标

接口: stock_hk_valuation_baidu

目标地址: https://gushitong.baidu.com/stock/hk-06969

描述: 百度股市通-港股-财务报表-估值数据

限量: 单次获取指定 indicator 的所有历史数据

输入参数

| 名称        | 类型  | 描述                                                                     |
|-----------|-----|------------------------------------------------------------------------|
| symbol    | str | symbol="02358"; 港股代码                                                   |
| indicator | str | indicator="总市值"; choice of {"总市值", "市盈率(TTM)", "市盈率(静)", "市净率", "市现率"} |

输出参数

| 名称    | 类型      | 描述  |
|-------|---------|-----|
| date  | object  | -   |
| value | float64 | -   |

接口示例

```python
import akshare as ak

stock_hk_valuation_baidu_df = ak.stock_hk_valuation_baidu(symbol="02358", indicator="总市值")
print(stock_hk_valuation_baidu_df)
```

数据示例

```
            date  value
0     2005-12-20   3.16
1     2005-12-21   3.16
2     2005-12-22   3.28
3     2005-12-23   3.24
4     2005-12-28   3.20
          ...    ...
4130  2022-09-22   4.38
4131  2022-09-23   4.38
4132  2022-09-26   4.38
4133  2022-09-27   4.27
4134  2022-10-07   5.42
```

#### 创新高和新低的股票数量

接口: stock_a_high_low_statistics

目标地址: https://www.legulegu.com/stockdata/high-low-statistics

描述: 不同市场的创新高和新低的股票数量

限量: 单次获取指定 market 的近两年的历史数据

输入参数

| 名称     | 类型  | 描述                                                                                |
|--------|-----|-----------------------------------------------------------------------------------|
| market | str | market="all"; {"all": "全部A股", "sz50": "上证50", "hs300": "沪深300", "zz500": "中证500"} |

输出参数

| 名称      | 类型     | 描述      |
|---------|--------|---------|
| date    | object | 交易日     |
| close   | int64  | 相关指数收盘价 |
| high20  | int64  | 20日新高   |
| low20   | int64  | 20日新低   |
| high60  | int64  | 60日新高   |
| low60   | int64  | 60日新低   |
| high120 | int64  | 120日新高  |
| low120  | int64  | 60日新低   |

接口示例

```python
import akshare as ak

stock_a_high_low_statistics_df = ak.stock_a_high_low_statistics(symbol="zz500")
print(stock_a_high_low_statistics_df)
```

数据示例

```
           date    close  high20  low20  high60  low60  high120  low120
0    2020-09-23  6392.03       7     66       2     27        2       4
1    2020-09-24  6244.64       4    248       2    141        2      26
2    2020-09-25  6236.89       5    172       2    108        2      17
3    2020-09-28  6178.47       9    217       4    140        4      32
4    2020-09-29  6228.77      20     70       9     33        9       7
..          ...      ...     ...    ...     ...    ...      ...     ...
495  2022-10-17  6015.60      57      5      32      2       23       0
496  2022-10-18  6035.67      64     11      32      6       24       3
497  2022-10-19  5972.72      24     24       5     18        5      11
498  2022-10-20  5948.86      36     36      19     26       11      15
499  2022-10-21  5956.88      49     57      20     44       13      24
```

#### 破净股统计

接口: stock_a_below_net_asset_statistics

目标地址: https://www.legulegu.com/stockdata/below-net-asset-statistics

描述: 乐咕乐股-A 股破净股统计数据

限量: 单次获取所有历史数据

输入参数

| 名称     | 类型  | 描述                                         |
|--------|-----|--------------------------------------------|
| symbol | str | symbol="全部A股"; choice of {"全部A股", "沪深300"} |

输出参数-全部A股

| 名称                    | 类型      | 描述    |
|-----------------------|---------|-------|
| date                  | object  | 交易日   |
| below_net_asset       | float64 | 破净股家数 |
| total_company         | float64 | 总公司数  |
| below_net_asset_ratio | float64 | 破净股比率 |

接口示例-全部 A 股

```python
import akshare as ak

stock_a_below_net_asset_statistics_df = ak.stock_a_below_net_asset_statistics(symbol="全部A股")
print(stock_a_below_net_asset_statistics_df)
```

数据示例-全部 A 股

```
            date  below_net_asset  total_company  below_net_asset_ratio
0     2005-01-04             36.0         1352.0               0.026627
1     2005-01-05             31.0         1352.0               0.022929
2     2005-01-06             32.0         1352.0               0.023669
3     2005-01-09             33.0         1352.0               0.024408
4     2005-01-10             29.0         1352.0               0.021450
          ...              ...            ...                    ...
3887  2021-01-07            368.0         4147.0               0.088739
3888  2021-01-08            370.0         4147.0               0.089221
3890  2021-01-11            391.0         4149.0               0.094240
3889  2021-01-12            393.0         4150.0               0.094699
3891  2021-01-13            406.0         4150.0               0.097831
```

输出参数-沪深 300

| 名称                    | 类型      | 描述    |
|-----------------------|---------|-------|
| date                  | object  | 交易日   |
| below_net_asset       | float64 | 破净股家数 |
| total_company         | float64 | 总公司数  |
| below_net_asset_ratio | float64 | 破净股比率 |

接口示例-沪深 300

```python
import akshare as ak

stock_a_below_net_asset_statistics_df = ak.stock_a_below_net_asset_statistics(symbol="沪深300")
print(stock_a_below_net_asset_statistics_df)
```

数据示例-沪深 300

```
            date  below_net_asset  total_company  below_net_asset_ratio
0     2005-04-08             22.0          299.0                 0.0736
1     2005-04-11             21.0          299.0                 0.0702
2     2005-04-12             23.0          299.0                 0.0769
3     2005-04-13             20.0          299.0                 0.0669
4     2005-04-14             22.0          299.0                 0.0736
          ...              ...            ...                    ...
3904  2021-04-26             46.0          300.0                 0.1533
3905  2021-04-27             48.0          300.0                 0.1600
3906  2021-04-28             48.0          300.0                 0.1600
3907  2021-04-29             48.0          300.0                 0.1600
3908  2021-05-05             49.0          300.0                 0.1633
```

#### 基金持股

接口: stock_report_fund_hold

目标地址: http://data.eastmoney.com/zlsj/2020-06-30-1-2.html

描述: 东方财富网-数据中心-主力数据-基金持仓

限量: 单次返回指定 symbol 和 date 的所有历史数据

输入参数

| 名称     | 类型  | 描述                                                                          |
|--------|-----|-----------------------------------------------------------------------------|
| symbol | str | symbol="基金持仓"; choice of {"基金持仓", "QFII持仓", "社保持仓", "券商持仓", "保险持仓", "信托持仓"} |
| date   | str | date="20200630"; 财报发布日期, xxxx-03-31, xxxx-06-30, xxxx-09-30, xxxx-12-31     |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int64   | -       |
| 股票代码   | object  | -       |
| 股票简称   | object  | -       |
| 持有基金家数 | int64   | 注意单位: 家 |
| 持股总数   | int64   | 注意单位: 股 |
| 持股市值   | float64 | 注意单位: 元 |
| 持股变化   | object  | -       |
| 持股变动数值 | int64   | 注意单位: 股 |
| 持股变动比例 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_report_fund_hold_df = ak.stock_report_fund_hold(symbol="基金持仓", date="20200630")
print(stock_report_fund_hold_df)
```

数据示例

```
        序号    股票代码  股票简称  ... 持股变化   持股变动数值             持股变动比例
0        1  300846  首都在线  ...   新进  3024892         0.00219976
1        2  300843  胜蓝股份  ...   新进  1984496         0.00293824
2        3  300842  帝科股份  ...   新进  1190928   1.19092800000001
3        4  600956  新天绿能  ...   新进  6460517  0.167734880000004
4        5  300845  捷安高科  ...   新进  1211353         0.00388496
    ...     ...   ...  ...  ...      ...                ...
3555  3556  300752  隆利科技  ...   增持     3100         0.00258868
3556  3557  300778   新城市  ...   新进      125           0.000125
3557  3558  300786  国林科技  ...   增持     2800         0.00327715
3558  3559  300818  耐普矿机  ...   新进      500         0.00071429
3559  3560  688981  中芯国际  ...   新进   139500         0.00255926
```

#### 基金持股明细

接口: stock_report_fund_hold_detail

目标地址: http://data.eastmoney.com/zlsj/ccjj/2020-12-31-008286.html

描述: 东方财富网-数据中心-主力数据-基金持仓-基金持仓明细表

限量: 单次返回指定 symbol 和 date 的所有历史数据

输入参数

| 名称     | 类型  | 描述                                                                      |
|--------|-----|-------------------------------------------------------------------------|
| symbol | str | symbol="005827"; 基金代码                                                   |
| date   | str | date="20200630"; 财报发布日期, xxxx-03-31, xxxx-06-30, xxxx-09-30, xxxx-12-31 |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 序号      | int64   | -       |
| 股票代码    | object  | -       |
| 股票简称    | object  | -       |
| 持股数     | int64   | 注意单位: 股 |
| 持股市值    | float64 | 注意单位: 元 |
| 占总股本比例  | float64 | 注意单位: % |
| 占流通股本比例 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_report_fund_hold_detail_df = ak.stock_report_fund_hold_detail(symbol="005827", date="20201231")
print(stock_report_fund_hold_detail_df)
```

数据示例

```
   序号       股票代码  股票简称       持股数           持股市值 占总股本比例 占流通股本比例
0   1  600519.SH  贵州茅台   3265532     6524532936   0.26    0.26
1   2  300015.SZ  爱尔眼科  32000005  2396480374.45   0.78    0.80
2   3  002415.SZ  海康威视  70000025  3395701212.75   0.75    0.85
3   4  002304.SZ  洋河股份  27200000     6418928000   1.80    2.16
4   5  000858.SZ   五粮液  21858499  6379402933.15   0.56    0.58
5   6  000568.SZ  泸州老窖  27700000     6264632000   1.89    1.89
```

#### 龙虎榜

##### 龙虎榜-东财

###### 龙虎榜详情

接口: stock_lhb_detail_em

目标地址: https://data.eastmoney.com/stock/tradedetail.html

描述: 东方财富网-数据中心-龙虎榜单-龙虎榜详情

限量: 单次返回所有历史数据

输入参数

| 名称         | 类型  | 描述                    |
|------------|-----|-----------------------|
| start_date | str | start_date="20220314" |
| end_date   | str | end_date="20220315"   |

输出参数

| 名称       | 类型      | 描述  |
|----------|---------|-----|
| 序号       | int64   | -   |
| 代码       | object  | -   |
| 名称       | object  | -   |
| 解读       | object  | -   |
| 收盘价      | float64 | -   |
| 涨跌幅      | float64 | -   |
| 龙虎榜净买额   | float64 | -   |
| 龙虎榜买入额   | float64 | -   |
| 龙虎榜卖出额   | float64 | -   |
| 龙虎榜成交额   | float64 | -   |
| 市场总成交额   | float64 | -   |
| 净买额占总成交比 | float64 | -   |
| 成交额占总成交比 | float64 | -   |
| 换手率      | float64 | -   |
| 流通市值     | float64 | -   |
| 上榜原因     | object  | -   |

接口示例

```python
import akshare as ak

stock_lhb_detail_em_df = ak.stock_lhb_detail_em(start_date="20220314", end_date="20220315")
print(stock_lhb_detail_em_df)
```

数据示例

```
      序号      代码  ...          流通市值                                  上榜原因
0      1  000788  ...  7.151849e+09                      日涨幅偏离值达到7%的前5只证券
1      2  000788  ...  7.151849e+09              连续三个交易日内，涨幅偏离值累计达到20%的证券
2      3  000807  ...  3.796225e+10                      日跌幅偏离值达到7%的前5只证券
3      4  000815  ...  1.211148e+10                       日振幅值达到15%的前5只证券
4      5  000815  ...  1.211148e+10              连续三个交易日内，涨幅偏离值累计达到20%的证券
..   ...     ...  ...           ...                                   ...
142  143  688105  ...  3.990630e+09  有价格涨跌幅限制的连续3个交易日内收盘价格涨幅偏离值累计达到30%的证券
143  144  688256  ...  1.590967e+10           有价格涨跌幅限制的日收盘价格跌幅达到15%的前五只证券
144  145  688575  ...  1.640041e+09              有价格涨跌幅限制的日换手率达到30%的前五只证券
145  146  688687  ...  2.526759e+09           有价格涨跌幅限制的日收盘价格涨幅达到15%的前五只证券
146  147  688767  ...  2.561364e+09              有价格涨跌幅限制的日换手率达到30%的前五只证券
```

###### 个股上榜统计

接口: stock_lhb_stock_statistic_em

目标地址: https://data.eastmoney.com/stock/tradedetail.html

描述: 东方财富网-数据中心-龙虎榜单-个股上榜统计

限量: 单次返回所有历史数据

输入参数

| 名称     | 类型  | 描述                                                   |
|--------|-----|------------------------------------------------------|
| symbol | str | symbol="近一月"; choice of {"近一月", "近三月", "近六月", "近一年"} |

输出参数

| 名称      | 类型      | 描述  |
|---------|---------|-----|
| 序号      | int64   | -   |
| 代码      | object  | -   |
| 名称      | object  | -   |
| 最近上榜日   | object  | -   |
| 收盘价     | float64 | -   |
| 涨跌幅     | float64 | -   |
| 上榜次数    | float64 | -   |
| 龙虎榜净买额  | float64 | -   |
| 龙虎榜买入额  | float64 | -   |
| 龙虎榜卖出额  | float64 | -   |
| 龙虎榜总成交额 | float64 | -   |
| 买方机构次数  | float64 | -   |
| 卖方机构次数  | float64 | -   |
| 机构买入净额  | float64 | -   |
| 机构买入总额  | float64 | -   |
| 机构卖出总额  | float64 | -   |
| 近1个月涨跌幅 | float64 | -   |
| 近3个月涨跌幅 | float64 | -   |
| 近6个月涨跌幅 | float64 | -   |
| 近1年涨跌幅  | float64 | -   |

接口示例

```python
import akshare as ak

stock_lhb_stock_statistic_em_df = ak.stock_lhb_stock_statistic_em(symbol="近一月")
print(stock_lhb_stock_statistic_em_df)
```

数据示例

```
    序号  代码   名称  ...     近3个月涨跌幅   近6个月涨跌幅  近1年涨跌幅
0    1  001313  粤海饲料  ...  176.394052  176.394052   176.394052
1    2  002761  浙江建投  ...  291.780822  262.944162   271.796583
2    3  301201  诚达药业  ...   96.258082   96.258082    96.258082
3    4  003007  直真科技  ...   59.173273   61.737629    42.632573
4    5  601789  宁波建工  ...   89.944134   69.154229    74.887480
5    6  603176  汇通集团  ...  528.823529  528.823529   528.823529
6    7  002104  恒宝股份  ...   87.962963  106.008582   107.363902
7    8  603122  合富中国  ...  309.546539  309.546539   309.546539
8    9  603132  金徽股份  ...   61.388889   61.388889    61.388889
9   10  603215  比依股份  ...   62.720000   62.720000    62.720000
10  11  300249   依米康  ...  192.017417  179.444444   184.180791
11  12  600190   锦州港  ...   75.444840   68.259386    68.876344
12  13  002207  准油股份  ...   63.620981   53.492063    29.451138
13  14  301158  德石股份  ...  136.764706  136.764706   136.764706
14  15  000815   美利云  ...  168.827160  145.007032   249.098196
15  16  002621   美吉姆  ...   39.787798   22.558140     8.436214
16  17  600510   黑牡丹  ...   93.211488   73.302108   129.138912
17  18  603399  吉翔股份  ...  191.399230  213.535912   325.891182
18  19  002037  保利联合  ...   88.395415  103.245750   104.573944
19  20  603316  诚邦股份  ...   66.536965   61.205273    73.665826
20  21  002432  九安医疗  ...  168.490153  761.657303   628.899787
21  22  600077  宋都股份  ...   94.782609   80.645161    71.679079
22  23  603963  大理药业  ...   47.042254   42.040816    47.762435
23  24  600982  宁波能源  ...   26.105263   55.181347    85.602692
24  25  301228  实朴检测  ...   94.372510   94.372510    94.372510
25  26  002758  浙农股份  ...   60.058309   73.368421    56.509799
26  27  603029  天鹅股份  ...   47.464042   34.067447    72.123237
27  28  301038  深水规院  ...   27.289462   23.316986   314.071856
28  29  001296  长江材料  ...   38.888889   38.888889    38.888889
29  30  002667  鞍重股份  ...  -18.971631  -37.375814   192.012780
30  31  301126  达嘉维康  ...   32.919540  133.710590   133.710590
31  32  603912   佳力图  ...   40.680183   22.914286    79.792906
32  33  003042  中农联合  ...   39.398998   35.332253    54.916512
33  34  603388  元成股份  ...   18.291055   35.267176    52.972585
34  35  603843  正平股份  ...   31.175060   42.819843    40.611462
35  36  000953  河化股份  ...   59.791667   53.093812    61.814346
36  37  001266  宏英智能  ...   29.500129   29.500129    29.500129
37  38  002366  台海核电  ...   36.383442   40.990991    56.500000
38  39  301060  兰卫医学  ...   31.993896   82.105263  1144.604317
39  40  600220  江苏阳光  ...   62.608696   45.525292    57.898350
40  41  002435  长江健康  ...   86.122449   80.952381   122.733486
41  42  002178  延华智能  ...   75.956284   69.028871    89.411765
42  43  600358  国旅联合  ...  100.511509   74.610245   151.282051
43  44  600996  贵广网络  ...   93.541203   74.148297    72.420635
44  45  600113  浙江东日  ...   39.685039   49.326599    43.301682
45  46  002629  仁智股份  ...   84.108527   79.245283   118.894009
46  47  600575  淮河能源  ...   58.590308   52.542373    73.076923
47  48  603616  韩建河山  ...   64.629630   63.119266    73.632812
48  49  600797  浙大网新  ...   31.803797   30.974843    29.543435
49  50  605303  园林股份  ...   19.147497   13.029525     8.028776
```

###### 机构买卖每日统计

接口: stock_lhb_jgmmtj_em

目标地址: https://data.eastmoney.com/stock/jgmmtj.html

描述: 东方财富网-数据中心-龙虎榜单-机构买卖每日统计

限量: 单次返回所有历史数据

输入参数

| 名称         | 类型  | 描述                    |
|------------|-----|-----------------------|
| start_date | str | start_date="20220311" |
| end_date   | str | end_date="20220315"   |

输出参数

| 名称          | 类型      | 描述       |
|-------------|---------|----------|
| 序号          | int64   | -        |
| 代码          | object  | -        |
| 名称          | object  | -        |
| 收盘价         | float64 | -        |
| 涨跌幅         | float64 | -        |
| 买方机构数       | float64 | -        |
| 卖方机构数       | float64 | -        |
| 机构买入总额      | float64 | 注意单位: 元  |
| 机构卖出总额      | float64 | 注意单位: 元  |
| 机构买入净额      | float64 | 注意单位: 元  |
| 市场总成交额      | float64 | 注意单位: 元  |
| 机构净买额占总成交额比 | float64 | -        |
| 换手率         | float64 | -        |
| 流通市值        | float64 | 注意单位: 亿元 |
| 上榜原因        | object  | -        |
| 上榜日期        | object  | -        |

接口示例

```python
import akshare as ak

stock_lhb_jgmmtj_em_df = ak.stock_lhb_jgmmtj_em(start_date="20220904", end_date="20220906")
print(stock_lhb_jgmmtj_em_df)
```

数据示例

```
    序号      代码  ...                                      上榜原因        上榜日期
0    1  600026  ...    非ST、*ST和S证券连续三个交易日内收盘价格涨幅偏离值累计达到20%的证券  2022-09-06
1    2  002738  ...                          日涨幅偏离值达到7%的前5只证券  2022-09-06
2    3  688501  ...      有价格涨跌幅限制的连续3个交易日内收盘价格涨幅偏离值累计达到30%的证券  2022-09-06
3    4  300721  ...                  连续三个交易日内，涨幅偏离值累计达到30%的证券  2022-09-06
4    5  600603  ...             有价格涨跌幅限制的日收盘价格涨幅偏离值达到7%的前五只证券  2022-09-05
5    6  603366  ...             有价格涨跌幅限制的日收盘价格涨幅偏离值达到7%的前五只证券  2022-09-05
6    7  600586  ...             有价格涨跌幅限制的日收盘价格涨幅偏离值达到7%的前五只证券  2022-09-06
7    8  688596  ...               有价格涨跌幅限制的日收盘价格涨幅达到15%的前五只证券  2022-09-06
8    9  000909  ...                           日振幅值达到15%的前5只证券  2022-09-05
9   10  301021  ...                            日涨幅达到15%的前5只证券  2022-09-06
10  11  000868  ...                  连续三个交易日内，涨幅偏离值累计达到20%的证券  2022-09-06
11  12  300563  ...                           日换手率达到30%的前5只证券  2022-09-05
12  13  301282  ...                           日换手率达到30%的前5只证券  2022-09-06
13  14  001258  ...                           日换手率达到20%的前5只证券  2022-09-05
14  15  002943  ...                  连续三个交易日内，涨幅偏离值累计达到20%的证券  2022-09-06
15  16  300565  ...                            日涨幅达到15%的前5只证券  2022-09-06
16  17  000037  ...                  连续三个交易日内，跌幅偏离值累计达到20%的证券  2022-09-05
17  18  000892  ...                          日跌幅偏离值达到7%的前5只证券  2022-09-05
18  19  000593  ...                          日涨幅偏离值达到7%的前5只证券  2022-09-05
19  20  603676  ...             有价格涨跌幅限制的日收盘价格涨幅偏离值达到7%的前五只证券  2022-09-06
20  21  000892  ...                  连续三个交易日内，跌幅偏离值累计达到20%的证券  2022-09-06
21  22  603556  ...             有价格涨跌幅限制的日收盘价格涨幅偏离值达到7%的前五只证券  2022-09-06
22  23  001231  ...                           日换手率达到20%的前5只证券  2022-09-05
23  24  300721  ...                            日涨幅达到15%的前5只证券  2022-09-05
24  25  002868  ...                  连续三个交易日内，涨幅偏离值累计达到20%的证券  2022-09-05
25  26  300228  ...                            日涨幅达到15%的前5只证券  2022-09-05
26  27  000593  ...                          日涨幅偏离值达到7%的前5只证券  2022-09-06
27  28  300751  ...                            日涨幅达到15%的前5只证券  2022-09-05
28  29  301209  ...                           日换手率达到30%的前5只证券  2022-09-05
29  30  000573  ...                  连续三个交易日内，涨幅偏离值累计达到20%的证券  2022-09-05
30  31  000409  ...                  连续三个交易日内，涨幅偏离值累计达到20%的证券  2022-09-05
31  32  002122  ...  连续三个交易日内，涨幅偏离值累计达到12%的ST证券、*ST证券和未完成股改证券  2022-09-06
32  33  002828  ...                  连续三个交易日内，涨幅偏离值累计达到20%的证券  2022-09-06
33  34  300082  ...                            日涨幅达到15%的前5只证券  2022-09-06
34  35  000892  ...                          日跌幅偏离值达到7%的前5只证券  2022-09-06
35  36  301209  ...                           日换手率达到30%的前5只证券  2022-09-06
36  37  000820  ...                  连续三个交易日内，跌幅偏离值累计达到20%的证券  2022-09-05
37  38  001258  ...                           日换手率达到20%的前5只证券  2022-09-06
38  39  301282  ...                           日换手率达到30%的前5只证券  2022-09-05
39  40  300563  ...                           日换手率达到30%的前5只证券  2022-09-06
40  41  002983  ...                           日振幅值达到15%的前5只证券  2022-09-05
41  42  002962  ...                          日跌幅偏离值达到7%的前5只证券  2022-09-05
42  43  000409  ...                          日涨幅偏离值达到7%的前5只证券  2022-09-05
43  44  002791  ...                          日跌幅偏离值达到7%的前5只证券  2022-09-05
44  45  600152  ...    非ST、*ST和S证券连续三个交易日内收盘价格涨幅偏离值累计达到20%的证券  2022-09-06
45  46  000007  ...                          日跌幅偏离值达到7%的前5只证券  2022-09-06
46  47  600500  ...             有价格涨跌幅限制的日收盘价格涨幅偏离值达到7%的前五只证券  2022-09-06
47  48  002383  ...                          日涨幅偏离值达到7%的前5只证券  2022-09-05
48  49  002383  ...                  连续三个交易日内，涨幅偏离值累计达到20%的证券  2022-09-05
49  50  603096  ...             有价格涨跌幅限制的日收盘价格跌幅偏离值达到7%的前五只证券  2022-09-05
50  51  605090  ...    非ST、*ST和S证券连续三个交易日内收盘价格涨幅偏离值累计达到20%的证券  2022-09-05
51  52  600877  ...             有价格涨跌幅限制的日收盘价格跌幅偏离值达到7%的前五只证券  2022-09-05
52  53  603236  ...             有价格涨跌幅限制的日收盘价格跌幅偏离值达到7%的前五只证券  2022-09-05
53  54  600196  ...             有价格涨跌幅限制的日收盘价格跌幅偏离值达到7%的前五只证券  2022-09-05
54  55  605090  ...                  有价格涨跌幅限制的日换手率达到20%的前五只证券  2022-09-06
55  56  603019  ...             有价格涨跌幅限制的日收盘价格跌幅偏离值达到7%的前五只证券  2022-09-06
```

###### 每日活跃营业部

接口: stock_lhb_hyyyb_em

目标地址: https://data.eastmoney.com/stock/jgmmtj.html

描述: 东方财富网-数据中心-龙虎榜单-每日活跃营业部

限量: 单次返回所有历史数据

输入参数

| 名称         | 类型  | 描述                    |
|------------|-----|-----------------------|
| start_date | str | start_date="20220311" |
| end_date   | str | end_date="20220315"   |

输出参数

| 名称    | 类型      | 描述      |
|-------|---------|---------|
| 序号    | int64   | -       |
| 营业部名称 | object  | -       |
| 上榜日   | object  | -       |
| 买入个股数 | float64 | -       |
| 卖出个股数 | float64 | -       |
| 买入总金额 | float64 | 注意单位: 元 |
| 卖出总金额 | float64 | 注意单位: 元 |
| 总买卖净额 | float64 | 注意单位: 元 |
| 买入股票  | object  | -       |

接口示例

```python
import akshare as ak

stock_lhb_hyyyb_em_df = ak.stock_lhb_hyyyb_em(start_date="20220324", end_date="20220324")
print(stock_lhb_hyyyb_em_df)
```

数据示例

```
      序号                     营业部名称  ...         总买卖净额                      买入股票
0      1      中信证券股份有限公司上海溧阳路证券营业部  ...  2.922708e+08  永太科技 吉翔股份 精华制药 九安医疗 中欣氟材
1      2      中信证券股份有限公司杭州凤起路证券营业部  ...  2.570532e+08                      九安医疗
2      3           申港证券股份有限公司浙江分公司  ...  2.134787e+08                       阳光城
3      4                     沪股通专用  ...  1.991210e+08                      闻泰科技
4      5           华鑫证券有限责任公司深圳分公司  ...  1.707255e+08                  阳光城 九安医疗
..   ...                       ...  ...           ...                       ...
270  271      华泰证券股份有限公司上海武定路证券营业部  ... -1.096899e+08                      九安医疗
271  272                     深股通专用  ... -1.103188e+08        阳光城 中南建设 永太科技 崇达技术
272  273         东亚前海证券有限责任公司深圳分公司  ... -1.143005e+08                      荣安地产
273  274  东方证券股份有限公司上海浦东新区源深路证券营业部  ... -1.612277e+08                  阳光城 国机汽车
274  275     中信证券股份有限公司西安朱雀大街证券营业部  ... -1.657588e+08                      九安医疗
```

###### 个股龙虎榜详情

接口: stock_lhb_stock_detail_em

目标地址: https://data.eastmoney.com/stock/lhb/600077.html

描述: 东方财富网-数据中心-龙虎榜单-个股龙虎榜详情

限量: 单次返回所有历史数据

输入参数

| 名称     | 类型  | 描述                                                                                            |
|--------|-----|-----------------------------------------------------------------------------------------------|
| symbol | str | symbol="600077";                                                                              |
| date   | str | date="20220310"; 需要通过 ak.stock_lhb_stock_detail_date_em(symbol="600077") 接口获取相应股票的有龙虎榜详情数据的日期 |
| flag   | str | flag="卖出";  choice of {"买入", "卖出"}                                                            |

输出参数

| 名称          | 类型      | 描述               |
|-------------|---------|------------------|
| 序号          | int64   | -                |
| 交易营业部名称     | object  | -                |
| 买入金额        | float64 | -                |
| 买入金额-占总成交比例 | float64 | -                |
| 卖出金额-占总成交比例 | float64 | -                |
| 净额          | float64 | -                |
| 类型          | object  | 该字段主要处理多种龙虎榜标准问题 |

接口示例

```python
import akshare as ak

stock_lhb_stock_detail_em_df = ak.stock_lhb_stock_detail_em(symbol="600077", date="20070416", flag="买入")
print(stock_lhb_stock_detail_em_df)
```

数据示例

```
   序号                 交易营业部名称  ...           净额                             类型
0   1         华鑫证券有限责任公司深圳分公司  ...  26846792.00  有价格涨跌幅限制的日收盘价格涨幅偏离值达到7%的前五只证券
1   2   华泰证券股份有限公司上海牡丹江路证券营业部  ...  21829584.12  有价格涨跌幅限制的日收盘价格涨幅偏离值达到7%的前五只证券
2   3  东方财富证券股份有限公司上海东方路证券营业部  ...  12757248.00  有价格涨跌幅限制的日收盘价格涨幅偏离值达到7%的前五只证券
3   4       国泰君安证券股份有限公司上海分公司  ...   8960000.00  有价格涨跌幅限制的日收盘价格涨幅偏离值达到7%的前五只证券
4   5    财通证券股份有限公司温岭中华路证券营业部  ...   7976246.00  有价格涨跌幅限制的日收盘价格涨幅偏离值达到7%的前五只证券
```

##### 龙虎榜-营业部排行

###### 龙虎榜-营业部排行-上榜次数最多

接口: stock_lh_yyb_most

目标地址: http://data.10jqka.com.cn/market/longhu/

描述: 龙虎榜-营业部排行-上榜次数最多

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称        | 类型     | 描述  |
|-----------|--------|-----|
| 序号        | int64  | -   |
| 营业部名称     | object | -   |
| 上榜次数      | int64  | -   |
| 合计动用资金    | object | -   |
| 年内上榜次数    | int64  | -   |
| 年内买入股票只数  | int64  | -   |
| 年内3日跟买成功率 | object | -   |

接口示例

```python
import akshare as ak

stock_lh_yyb_most_df = ak.stock_lh_yyb_most()
print(stock_lh_yyb_most_df)
```

数据示例

```
      序号                    营业部名称  上榜次数  ... 年内上榜次数  年内买入股票只数  年内3日跟买成功率
0      1  东方财富证券股份有限公司拉萨团结路第二...  一线游资    18  ...   4090      3031     42.82%
1      2        东方财富证券股份有限公司拉萨团结路第一...    11  ...   1417       983     41.56%
2      3         招商证券股份有限公司上海牡丹江路证券营业部     7  ...   1161       782     37.55%
3      4         招商证券股份有限公司深圳深南东路证券营业部     7  ...    977       546     43.81%
4      5        中国中金财富证券有限公司北京宋庄路证券...     7  ...   1263       816     44.09%
..   ...                           ...   ...  ...    ...       ...        ...
188  189          长城国瑞证券有限公司晋江东华街证券营业部     1  ...    106        75     44.59%
189  190          长城证券股份有限公司合肥临泉路证券营业部     1  ...      2         2      无符合数据
190  191         金元证券股份有限公司慈溪孙塘北路证券营业部     1  ...     10         7      无符合数据
191  192  华泰证券股份有限公司上海普陀区江宁路证...  一线游资     1  ...    266       165     46.24%
192  193         华创证券有限责任公司上海肇嘉浜路证券营业部     1  ...     23        10     88.89%
```

###### 龙虎榜-营业部排行-资金实力最强

接口: stock_lh_yyb_capital

目标地址: http://data.10jqka.com.cn/market/longhu/

描述: 龙虎榜-营业部排行-资金实力最强

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称       | 类型     | 描述  |
|----------|--------|-----|
| 序号       | int64  | -   |
| 营业部名称    | object | -   |
| 今日最高操作   | int64  | -   |
| 今日最高金额   | object | -   |
| 今日最高买入金额 | object | -   |
| 累计参与金额   | object | -   |
| 累计买入金额   | object | -   |

接口示例

```python
import akshare as ak

stock_lh_yyb_capital_df = ak.stock_lh_yyb_capital()
print(stock_lh_yyb_capital_df)
```

数据示例

```
      序号                       营业部名称  今日最高操作  ...  今日最高买入金额  累计参与金额    累计买入金额
0      1                 深股通专用  一线游资       4  ...     6.79亿  19.03亿    12.66亿
1      2        国信证券股份有限公司深圳振华路证券营业部       1  ...     4.21亿   4.22亿     4.21亿
2      3      国泰君安证券股份有限公司上海新闸路证券...       3  ...     2.15亿   2.86亿     2.84亿
3      4  广发证券股份有限公司上海东方路证券营业部  知名游资       1  ...     1.49亿   1.50亿     1.49亿
4      5      招商证券交易单元(353800)  知名游资       2  ...  5680.22万   1.44亿  6239.91万
..   ...                         ...     ...  ...       ...     ...       ...
188  189        中泰证券股份有限公司泰安龙潭路证券营业部       1  ...    4620.0  4620.0    4620.0
189  190      中国银河证券股份有限公司成都益州大道证...       1  ...     231.0   231.0     231.0
190  191      东方财富证券股份有限公司拉萨八一路证券...       1  ...     231.0   231.0     231.0
191  192             华泰证券股份有限公司湖南分公司       1  ...     231.0   231.0     231.0
192  193        广发证券股份有限公司北京安立路证券营业部       1  ...     231.0   231.0     231.0
```

###### 龙虎榜-营业部排行-抱团操作实力

接口: stock_lh_yyb_control

目标地址: http://data.10jqka.com.cn/market/longhu/

描述: 龙虎榜-营业部排行-抱团操作实力

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称        | 类型     | 描述  |
|-----------|--------|-----|
| 序号        | int64  | -   |
| 营业部名称     | object | -   |
| 携手营业部家数   | int64  | -   |
| 年内最佳携手对象  | object | -   |
| 年内最佳携手股票数 | int64  | -   |
| 年内最佳携手成功率 | object | -   |

接口示例

```python
import akshare as ak

stock_lh_yyb_control_df = ak.stock_lh_yyb_control()
print(stock_lh_yyb_control_df)
```

数据示例

```
      序号                         营业部名称  ...  年内最佳携手股票数 年内最佳携手成功率
0      1  东方财富证券股份有限公司拉萨团结路第二...  一线游资  ...        243    48.13%
1      2        东方财富证券股份有限公司拉萨团结路第一...  ...        235    44.21%
2      3        中国中金财富证券有限公司北京宋庄路证券...  ...        144    53.52%
3      4         招商证券股份有限公司上海牡丹江路证券营业部  ...        220    42.66%
4      5  东方财富证券股份有限公司拉萨东环路第二...  一线游资  ...        243    48.13%
..   ...                           ...  ...        ...       ...
184  185        国都证券股份有限公司北京中关村南大街证...  ...          1     无符合数据
185  186          申万宏源证券有限公司桐乡和平路证券营业部  ...          4     无符合数据
186  187             中国国际金融股份有限公司上海分公司  ...         33    62.50%
187  188               财通证券股份有限公司温州分公司  ...          2     无符合数据
188  189          华福证券有限责任公司龙岩中山路证券营业部  ...          3     无符合数据
```

##### 龙虎榜-每日详情

接口: stock_lhb_detail_daily_sina

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vInvestConsult/kind/lhb/index.phtml

描述: 新浪财经-龙虎榜-每日详情

限量: 单次返回指定 trade_date 和 symbol 的所有历史数据

输入参数

| 名称         | 类型  | 描述                                                                                                                |
|------------|-----|-------------------------------------------------------------------------------------------------------------------|
| trade_date | str | trade_date="20200730"; 交易日                                                                                        |
| symbol     | str | symbol="涨幅偏离值达7%的证券"; 调用**ak.stock_sina_lhb_detail_daily(trade_date="指定交易日", symbol="返回当前交易日所有可查询的指标")**返回可以获取的指标 |

输出参数

| 名称   | 类型      | 描述       |
|------|---------|----------|
| 序号   | int64   | 股票代码     |
| 股票代码 | object  | 股票简称     |
| 股票名称 | object  | 发布时间     |
| 收盘价  | float64 | 注意单位: 元  |
| 对应值  | float64 | 注意单位: %  |
| 成交量  | float64 | 注意单位: 万股 |
| 成交额  | float64 | 注意单位: 万元 |

接口示例

```python
import akshare as ak

indicator_name_list = ak.stock_lhb_detail_daily_sina(trade_date="20200730", symbol="返回当前交易日所有可查询的指标")
print(indicator_name_list)  # 输出当前交易日可以查询的指标

stock_lhb_detail_daily_sina_df = ak.stock_lhb_detail_daily_sina(trade_date="20200730", symbol="涨幅偏离值达7%的证券")
print(stock_lhb_detail_daily_sina_df)
```

数据示例

```
    序号    股票代码  股票名称    收盘价    对应值          成交量          成交额
0    1  000153  丰原药业  12.49  10.43    5557.0037   67219.8132
1    2  002030  达安基因  40.83  10.33   17674.6085  702130.7001
2    3  000518  四环生物   5.81  10.43   24000.9936  136374.7225
3    4  002080  中材科技  21.41  10.33    5467.7608  111211.8131
4    5  000698  沈阳化工  10.47  10.43   14371.0766  146957.0365
5    6  002151  北斗星通  45.93  10.33    2784.7750  126670.0000
6    7  000710  贝瑞基因  90.78  10.43     789.0226   70435.7913
7    8  300146  汤臣倍健  23.69  10.76    4694.6306  109195.9714
8    9  000789   万年青  18.81  10.43    7196.6080  134261.7201
9   10  002202  金风科技  11.85  10.33   17670.6062  202096.2865
10  11  300199  翰宇药业   8.75  10.76    7339.7293   62268.9428
11  12  300327  中颖电子  37.30  10.76    3896.9080  142907.4260
12  13  300378  鼎捷软件  29.30  10.76    3568.6673   99835.8516
13  14  002610  爱康科技   2.78  10.33  101493.1314  276012.6241
14  15  601016  节能风电   2.81  10.43   16838.7467   46247.2700
15  16  600135  乐凯胶片   7.87  10.31    1446.6728   11187.6300
16  17  601216  君正集团   6.79  10.28   50568.4745  337035.7400
17  18  900921  丹科B股   0.21  10.22     446.9862      90.5800
18  19  300016  北陆药业  14.08  10.76    8330.1927  113627.0487
```

##### 龙虎榜-个股上榜统计

接口: stock_lhb_ggtj_sina

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vLHBData/kind/ggtj/index.phtml

描述: 新浪财经-龙虎榜-个股上榜统计

限量: 单次返回指定 recent_day 的所有历史数据

输入参数

| 名称         | 类型  | 描述                                                                                    |
|------------|-----|---------------------------------------------------------------------------------------|
| recent_day | str | recent_day="5"; choice of {"5": 最近 5 天; "10": 最近 10 天; "30": 最近 30 天; "60": 最近 60 天;} |

输出参数

| 名称    | 类型      | 描述      |
|-------|---------|---------|
| 股票代码  | object  | -       |
| 股票名称  | object  | -       |
| 上榜次数  | int64   | -       |
| 累积购买额 | float64 | 注意单位: 万 |
| 累积卖出额 | float64 | 注意单位: 万 |
| 净额    | float64 | 注意单位: 万 |
| 买入席位数 | int64   | -       |
| 卖出席位数 | int64   | -       |

接口示例

```python
import akshare as ak

stock_lhb_ggtj_sina_df = ak.stock_lhb_ggtj_sina(recent_day="5")
print(stock_lhb_ggtj_sina_df)
```

数据示例

```
    股票代码  股票名称  上榜次数      累积购买额      累积卖出额         净额  买入席位数  卖出席位数
0    002415  海康威视     1  301832.02  111932.27  189899.75      5      4
1    002625  光启技术     3  188974.51  110632.86   78341.65     13     11
2    002030  达安基因     1  129640.18   56229.02   73411.16      5      5
3    002028  思源电气     1   76507.29   24156.38   52350.92      5      5
4    002557  洽洽食品     1   61385.91   19129.47   42256.44      3      4
..      ...   ...   ...        ...        ...        ...    ...    ...
203  600685  中船防务     1   51551.44   71149.70  -19598.26      5      5
204  600988  赤峰黄金     1   29905.23   50559.51  -20654.28      5      5
205  002626   金达威     4  229037.33  251697.41  -22660.08     14     15
206  600211  西藏药业     1   47912.79   85004.67  -37091.88      8      7
207  300123  亚光科技     1   17645.48   63111.54  -45466.06      5      5
```

##### 龙虎榜-营业上榜统计

接口: stock_lhb_yytj_sina

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vLHBData/kind/yytj/index.phtml

描述: 新浪财经-龙虎榜-营业上榜统计

限量: 单次返回指定 recent_day 的所有历史数据

输入参数

| 名称         | 类型  | 描述                                                                                    |
|------------|-----|---------------------------------------------------------------------------------------|
| recent_day | str | recent_day="5"; choice of {"5": 最近 5 天; "10": 最近 10 天; "30": 最近 30 天; "60": 最近 60 天;} |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 营业部名称  | object  | -       |
| 上榜次数   | int64   | -       |
| 累积购买额  | float64 | 注意单位: 万 |
| 买入席位数  | int64   | -       |
| 累积卖出额  | float64 | 注意单位: 万 |
| 卖出席位数  | int64   | -       |
| 买入前三股票 | object  | -       |

接口示例

```python
import akshare as ak

stock_lhb_yytj_sina_df = ak.stock_lhb_yytj_sina(recent_day="5")
print(stock_lhb_yytj_sina_df)
```

数据示例

```
                        营业部名称  上榜次数    累积购买额  ...     累积卖出额  卖出席位数          买入前三股票
0       长城证券股份有限公司资阳娇子大道证券营业部     2  2494.35  ...      0.00      0       展鹏科技,山东威达
1       上海证券有限责任公司苏州干将西路证券营业部     2  3519.09  ...      0.00      0            展鹏科技
2        华泰证券股份有限公司武汉新华路证券营业部    11  8460.95  ...  10178.39      4  西藏天路,澳柯玛,沈阳化工,
3     海通证券股份有限公司深圳分公司华富路证券营业部     3  1589.52  ...      0.00      0  展鹏科技,三维工程,蓝英装备
4           东亚前海证券有限责任公司湖北分公司     3  2800.88  ...      0.00      0       英特集团,展鹏科技
..                        ...   ...      ...  ...       ...    ...             ...
235           华鑫证券有限责任公司深圳分公司     1  1256.33  ...      0.00      0           *ST东科
236      华泰证券股份有限公司深圳红荔路证券营业部     2  1056.43  ...    716.98      1      *ST东科,山东海化
237  国泰君安证券股份有限公司吉安井冈山大道证券营业部     1   833.11  ...      0.00      0           *ST东科
238           国信证券股份有限公司浙江分公司     3  1044.56  ...    155.42      1     *ST东科,*ST群兴
239     中信证券股份有限公司惠州麦地东路证券营业部     1     0.00  ...   3601.39      1           *ST东科
```

##### 龙虎榜-机构席位追踪

接口: stock_lhb_jgzz_sina

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vLHBData/kind/jgzz/index.phtml

描述: 新浪财经-龙虎榜-机构席位追踪

限量: 单次返回指定 recent_day 的所有历史数据

输入参数

| 名称         | 类型  | 描述                                                                                    |
|------------|-----|---------------------------------------------------------------------------------------|
| recent_day | str | recent_day="5"; choice of {"5": 最近 5 天; "10": 最近 10 天; "30": 最近 30 天; "60": 最近 60 天;} |

输出参数

| 名称    | 类型      | 描述      |
|-------|---------|---------|
| 股票代码  | object  | -       |
| 股票名称  | object  | -       |
| 累积买入额 | float64 | 注意单位: 万 |
| 买入次数  | float64 | -       |
| 累积卖出额 | float64 | 注意单位: 万 |
| 卖出次数  | float64 | -       |
| 净额    | float64 | 注意单位: 万 |

接口示例

```python
import akshare as ak

stock_lhb_jgzz_sina_df = ak.stock_lhb_jgzz_sina(recent_day="5")
print(stock_lhb_jgzz_sina_df)
```

数据示例

```
       股票代码  股票名称     累积买入额  买入次数     累积卖出额  卖出次数        净额
0    600316  洪都航空  65583.87     6      0.00     0  65583.87
1    300758  七彩化学  22994.81     4      0.00     0  22994.81
2    000698  沈阳化工  30499.57     9  14099.30     5  16400.27
3    600297  广汇汽车  20612.11     3   6156.50     2  14455.61
4    000789   万年青  12938.07     3      0.00     0  12938.07
..      ...   ...       ...   ...       ...   ...       ...
112  002080  中材科技      0.00     0   8885.15     2  -8885.15
113  600211  西藏药业  20082.79     2  31766.00     3 -11683.21
114  002626   金达威   4162.68     1  18767.99     3 -14605.31
115  600685  中船防务      0.00     0  22549.90     1 -22549.90
116  600196  复星医药  30846.00     1  69593.30     2 -38747.30
```

##### 龙虎榜-机构席位成交明细

接口: stock_lhb_jgmx_sina

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vLHBData/kind/jgzz/index.phtml

描述: 新浪财经-龙虎榜-机构席位成交明细

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述      |
|---------|---------|---------|
| 股票代码    | object  | -       |
| 股票名称    | object  | -       |
| 交易日期    | object  | -       |
| 机构席位买入额 | float64 | 注意单位: 万 |
| 机构席位卖出额 | float64 | 注意单位: 万 |
| 类型      | object  | -       |

接口示例

```python
import akshare as ak

stock_lhb_jgmx_sina_df = ak.stock_lhb_jgmx_sina()
print(stock_lhb_jgmx_sina_df)
```

数据示例

```
       股票代码  ...                                                 类型
0    002202  ...                                        涨幅偏离值达7%的证券
1    002946  ...                            连续三个交易日内，涨幅偏离值累计达20%的证券
2    000789  ...                                        涨幅偏离值达7%的证券
3    600175  ...                                                NaN
4    600331  ...                            连续三个交易日内，涨幅偏离值累计达20%的证券
..      ...  ...                                                ...
164  002389  ...                            连续三个交易日内，涨幅偏离值累计达20%的证券
165  300845  ...                                         换手率达20%的证券
166  300840  ...  连续三个交易日内，日均换手率与前五个交易日的日均换手率的比值达到30倍，且换手率累计达20%的股票
167  000526  ...                                         振幅值达15%的证券
168  300366  ...                                        涨幅偏离值达7%的证券
```

#### 首发申报信息

接口: stock_ipo_declare

目标地址: https://data.eastmoney.com/xg/xg/sbqy.html

描述: 东方财富网-数据中心-新股申购-首发申报信息-首发申报企业信息

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型     | 描述  |
|--------|--------|-----|
| 序号     | int64  | -   |
| 申报企业   | object | -   |
| 拟上市地   | object | -   |
| 保荐机构   | object | -   |
| 会计师事务所 | object | -   |
| 律师事务所  | object | -   |
| 备注     | object | -   |

接口示例

```python
import akshare as ak

stock_ipo_declare_df = ak.stock_ipo_declare()
print(stock_ipo_declare_df)
```

数据示例

```
      序号     申报企业 拟上市地  ...               会计师事务所        律师事务所      备注
0      1     奥精医疗科技股份有限公司  科创板  ...     立信会计师事务所(特殊普通合伙)  北京观韬中茂律师事务所  进一步问询中
1      2       爱威科技股份有限公司  科创板  ...     天健会计师事务所(特殊普通合伙)    湖南启元律师事务所  进一步问询中
2      3   北京弘成立业科技股份有限公司  创业板  ...     大华会计师事务所(特殊普通合伙)   北京市君合律师事务所  进一步问询中
3      4   北京海天瑞声科技股份有限公司  科创板  ...  毕马威华振会计师事务所(特殊普通合伙)   北京市天元律师事务所  进一步问询中
4      5  北京挖金客信息科技股份有限公司  创业板  ...     容诚会计师事务所(特殊普通合伙)  国浩律师(北京)事务所  进一步问询中
..   ...              ...  ...  ...                  ...          ...     ...
106  107   浙江嘉益保温科技股份有限公司  创业板  ...     天健会计师事务所(特殊普通合伙)   北京市金杜律师事务所  进一步问询中
107  108   浙江日发纺织机械股份有限公司  创业板  ...     天健会计师事务所(特殊普通合伙)    浙江天册律师事务所  进一步问询中
108  109     浙江泰福泵业股份有限公司  创业板  ...     天健会计师事务所(特殊普通合伙)  国浩律师(杭州)事务所  进一步问询中
109  110     中兰环保科技股份有限公司  创业板  ...     立信会计师事务所(特殊普通合伙)    北京国枫律师事务所  进一步问询中
110  111   中联云港数据科技股份有限公司  创业板  ...   天职国际会计师事务所(特殊普通合伙)  国浩律师(北京)事务所  进一步问询中
```

#### 注册制审核

##### 注册制审批

###### 科创板

接口: stock_register_kcb

目标地址: https://data.eastmoney.com/zcz/

描述: 东方财富网-数据中心-新股数据-注册制审核-科创板

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型     | 描述  |
|--------|--------|-----|
| 序号     | int64  | -   |
| 发行人全称  | object | -   |
| 审核状态   | object | -   |
| 注册地    | object | -   |
| 证监会行业  | object | -   |
| 保荐机构   | object | -   |
| 律师事务所  | object | -   |
| 会计师事务所 | object | -   |
| 更新日期   | object | -   |
| 受理日期   | object | -   |
| 拟上市地点  | object | -   |

接口示例

```python
import akshare as ak

stock_register_kcb_df = ak.stock_register_kcb()
print(stock_register_kcb_df)
```

数据示例

```
      序号            发行人全称  审核状态  ...             更新日期                受理日期 拟上市地点
0      1     长春百克生物科技股份公司  提交注册  ...  2021-04-02 00:00:00  2020-08-25 00:00:00   科创板
1      2     苏州明志科技股份有限公司  注册生效  ...  2021-04-02 00:00:00  2020-06-30 00:00:00   科创板
2      3   南京茂莱光学科技股份有限公司   已问询  ...  2021-04-02 00:00:00  2020-08-07 00:00:00   科创板
3      4  江苏金迪克生物技术股份有限公司   已问询  ...  2021-04-02 00:00:00  2020-10-26 00:00:00   科创板
4      5       科德数控股份有限公司  提交注册  ...  2021-04-02 00:00:00  2020-05-28 00:00:00   科创板
..   ...              ...   ...  ...                  ...                  ...   ...
534  535       澜起科技股份有限公司  注册生效  ...  2019-06-26 00:00:00  2019-04-01 00:00:00   科创板
535  536     浙江杭可科技股份有限公司  注册生效  ...  2019-06-24 00:00:00  2019-04-15 00:00:00   科创板
536  537     苏州天准科技股份有限公司  注册生效  ...  2019-06-20 00:00:00  2019-04-02 00:00:00   科创板
537  538   苏州华兴源创科技股份有限公司  注册生效  ...  2019-06-18 00:00:00  2019-03-27 00:00:00   科创板
538  539   烟台睿创微纳技术股份有限公司  注册生效  ...  2019-06-18 00:00:00  2019-03-22 00:00:00   科创板
```

###### 创业板

接口: stock_register_cyb

目标地址: http://data.eastmoney.com/xg/cyb/

描述: 获取东方财富网-数据中心-新股数据-注册制审核-创业板

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型     | 描述  |
|--------|--------|-----|
| 序号     | int32  | -   |
| 发行人全称  | object | -   |
| 审核状态   | object | -   |
| 注册地    | object | -   |
| 证监会行业  | object | -   |
| 保荐机构   | object | -   |
| 律师事务所  | object | -   |
| 会计师事务所 | object | -   |
| 更新日期   | object | -   |
| 受理日期   | object | -   |
| 拟上市地点  | object | -   |

接口示例

```python
import akshare as ak

stock_register_cyb_df = ak.stock_register_cyb()
print(stock_register_cyb_df)
```

数据示例

```
      序号              发行人全称  ...                 受理日期 拟上市地点
0      1      河南省力量钻石股份有限公司  ...  2020-07-24 00:00:00   创业板
1      2     安徽晶奇网络科技股份有限公司  ...  2020-12-17 00:00:00   创业板
2      3       杭州正强传动股份有限公司  ...  2020-07-17 00:00:00   创业板
3      4   北京百普赛斯生物科技股份有限公司  ...  2020-10-09 00:00:00   创业板
4      5         金埔园林股份有限公司  ...  2020-06-29 00:00:00   创业板
..   ...                ...  ...                  ...   ...
552  553    宁波卡倍亿电气技术股份有限公司  ...  2020-06-22 00:00:00   创业板
553  554      杨凌美畅新材料股份有限公司  ...  2020-06-24 00:00:00   创业板
554  555  康泰医学系统(秦皇岛)股份有限公司  ...  2020-07-02 00:00:00   创业板
555  556   北京锋尚世纪文化传媒股份有限公司  ...  2020-06-22 00:00:00   创业板
556  557      安徽蓝盾光电子股份有限公司  ...  2020-06-30 00:00:00   创业板
```

##### 达标企业

接口: stock_register_db

目标地址: http://data.eastmoney.com/xg/cyb/

描述: 东方财富网-数据中心-新股数据-注册制审核-达标企业

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称           | 类型      | 描述      |
|--------------|---------|---------|
| 序号           | int32   | -       |
| 企业名称         | object  | -       |
| 经营范围         | object  | -       |
| 近三年营业收入-2019 | float64 | 注意单位: 元 |
| 近三年净利润-2019  | float64 | 注意单位: 元 |
| 近三年研发费用-2019 | object  | 注意单位: 元 |
| 近三年营业收入-2018 | float64 | 注意单位: 元 |
| 近三年净利润-2018  | float64 | 注意单位: 元 |
| 近三年研发费用-2018 | object  | 注意单位: 元 |
| 近三年营业收入-2017 | object  | 注意单位: 元 |
| 近三年净利润-2017  | object  | 注意单位: 元 |
| 近三年研发费用-2017 | object  | 注意单位: 元 |
| 近两年累计净利润     | float64 | 注意单位: 元 |

接口示例

```python
import akshare as ak

stock_register_db_df = ak.stock_register_db()
print(stock_register_db_df)
```

数据示例

```
        序号              企业名称  ... 近三年研发费用-2017      近两年累计净利润
0        1   上海宏力达信息技术股份有限公司  ...  19932141.20  3.360614e+08
1        2   上海阿拉丁生化科技股份有限公司  ...   8962209.85  1.171064e+08
2        3  河北华友文化遗产保护股份有限公司  ...   2203545.49  5.992881e+07
3        4    大连豪森设备制造股份有限公司  ...  38364081.96  6.224462e+07
4        5            九号有限公司  ...  91330278.85 -2.258809e+09
    ...               ...  ...          ...           ...
1713  1714  武汉同济现代医药科技股份有限公司  ...   2796051.27  2.762509e+07
1714  1715      上海雷腾软件股份有限公司  ...   7793124.89  1.014579e+08
1715  1716    上海银音信息科技股份有限公司  ...  12518776.19  1.107391e+07
1716  1717    上海致远绿色能源股份有限公司  ...  18035201.48  3.533665e+07
1717  1718    上海四维文化传媒股份有限公司  ...  16961496.21  2.896218e+07
```

#### 增发

接口: stock_qbzf_em

目标地址: http://data.eastmoney.com/other/gkzf.html

描述: 东方财富网-数据中心-新股数据-增发-全部增发

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 股票代码   | object  | -       |
| 股票简称   | object  | -       |
| 增发代码   | object  | -       |
| 发行方式   | object  | -       |
| 发行总数   | int64   | 注意单位: 股 |
| 网上发行   | object  | 注意单位: 股 |
| 发行价格   | float64 | -       |
| 最新价    | float64 | -       |
| 发行日期   | object  | -       |
| 增发上市日期 | object  | -       |
| 锁定期    | object  | -       |

接口示例

```python
import akshare as ak

stock_qbzf_em_df = ak.stock_qbzf_em()
print(stock_qbzf_em_df)
```

数据示例

```
        股票代码  股票简称  增发代码  发行方式  ...    最新价        发行日期      增发上市日期   锁定期
0     836414   欧普泰  None  公开增发  ...    NaN  2022-11-29         NaT  None
1     833230  欧康医药  None  公开增发  ...    NaN  2022-11-24         NaT  None
2     832110  雷特科技  None  公开增发  ...    NaN  2022-11-24         NaT  None
3     300873  海晨股份  None  定向增发  ...  28.30  2022-11-23  2022-11-23    3年
4     002849  威星智能  None  定向增发  ...  18.13  2022-11-22  2022-11-22  0.5年
      ...   ...   ...   ...  ...    ...         ...         ...   ...
5153  002259  ST升达  None  定向增发  ...   2.61  2011-01-05  2011-01-13    1年
5154  002039  黔源电力  None  定向增发  ...  13.60  2011-01-05  2011-01-12  1-3年
5155  000528    柳工  None  定向增发  ...   6.22  2011-01-05  2011-01-24  1-3年
5156  600461  洪城环境  None  定向增发  ...   7.17  2011-01-05  2011-01-05    1年
5157  002205  国统股份  None  定向增发  ...  10.27  2011-01-04  2011-01-11    1年
```

#### 配股

接口: stock_pg_em

目标地址: http://data.eastmoney.com/xg/pg/

描述: 东方财富网-数据中心-新股数据-配股

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 股票代码   | object  | -       |
| 股票简称   | object  | -       |
| 配售代码   | object  | -       |
| 配股数量   | int64   | 注意单位: 股 |
| 配股比例   | object  | -       |
| 配股价    | float64 | -       |
| 最新价    | float64 | -       |
| 配股前总股本 | int64   | 注意单位: 股 |
| 配股后总股本 | int64   | 注意单位: 股 |
| 股权登记日  | object  | -       |
| 缴款起始日期 | object  | -       |
| 缴款截止日期 | object  | -       |
| 上市日    | object  | -       |

接口示例

```python
import akshare as ak

stock_pg_em_df = ak.stock_pg_em()
print(stock_pg_em_df)
```

数据示例

```
        股票代码   股票简称    配售代码  ...      缴款起始日期      缴款截止日期         上市日
0     601016   节能风电  760016  ...  2022-11-18  2022-11-24         NaT
1     300772   运达股份  380772  ...  2022-11-10  2022-11-16         NaT
2     601377   兴业证券  760377  ...  2022-08-17  2022-08-23  2022-09-02
3     600958   东方证券  700958  ...  2022-04-21  2022-04-27  2022-05-13
4     000065   北方国际  080065  ...  2022-04-06  2022-04-12  2022-04-25
      ...    ...     ...  ...         ...         ...         ...
1028  600651   飞乐音响    None  ...         NaT         NaT  1994-04-25
1029  600653   申华控股    None  ...         NaT         NaT  1993-06-10
1030  600609   金杯汽车    None  ...         NaT         NaT  1993-01-29
1031  600601  *ST方科    None  ...         NaT         NaT  1992-06-10
1032  000002    万科A    None  ...  1991-06-01  1991-06-08         NaT
```

#### 股票回购数据

接口: stock_repurchase_em

目标地址: https://data.eastmoney.com/gphg/hglist.html

描述: 东方财富网-数据中心-股票回购-股票回购数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称             | 类型      | 描述      |
|----------------|---------|---------|
| 序号             | int64   | -       |
| 股票代码           | object  | -       |
| 股票简称           | object  | -       |
| 最新价            | float64 | -       |
| 计划回购价格区间       | float64 | 注意单位: 元 |
| 计划回购数量区间-下限    | float64 | 注意单位: 股 |
| 计划回购数量区间-上限    | float64 | 注意单位: 股 |
| 占公告前一日总股本比例-下限 | float64 | 注意单位: % |
| 占公告前一日总股本比例-上限 | float64 | 注意单位: % |
| 计划回购金额区间-下限    | float64 | 注意单位: 元 |
| 计划回购金额区间-上限    | float64 | 注意单位: 元 |
| 回购起始时间         | object  | -       |
| 实施进度           | object  | -       |
| 已回购股份价格区间-下限   | float64 | 注意单位: % |
| 已回购股份价格区间-上限   | float64 | 注意单位: % |
| 已回购股份数量        | float64 | 注意单位: 股 |
| 已回购金额          | float64 | 注意单位: 元 |
| 最新公告日期         | object  | -       |

接口示例

```python
import akshare as ak

stock_repurchase_em_df = ak.stock_repurchase_em()
print(stock_repurchase_em_df)
```

数据示例

```
        序号 股票代码  股票简称  ...  已回购股份数量    已回购金额      最新公告日期
0        1  600028  中国石化  ...         NaN           NaN  2022-08-29
1        2  301021  英诺激光  ...      6500.0  1.625000e+05  2022-08-29
2        3  688185   康希诺  ...    500000.0  1.137614e+08  2022-08-29
3        4  603700  宁水集团  ...   2291336.0  4.005009e+07  2021-09-15
4        5  000338  潍柴动力  ...  55950000.0  6.822452e+08  2022-08-27
    ...     ...   ...  ...         ...           ...         ...
1977  1978  002048  宁波华翔  ...  23152838.0  1.598245e+08  2012-08-16
1978  1979  002032   苏泊尔  ...   2750000.0  3.467148e+07  2012-07-18
1979  1980  002054  德美化工  ...   5484773.0  5.473750e+07  2012-01-05
1980  1981  002048  宁波华翔  ...  13940012.0  1.442085e+08  2011-12-02
1981  1982  600380   健康元  ...  29252223.0  2.999997e+08  2011-11-30
```

### 大宗交易

#### 市场统计

接口: stock_dzjy_sctj

目标地址: http://data.eastmoney.com/dzjy/dzjy_sctj.aspx

描述: 东方财富网-数据中心-大宗交易-市场统计

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称       | 类型      | 描述      |
|----------|---------|---------|
| 序号       | int64   | -       |
| 交易日期     | object  | -       |
| 上证指数     | float64 | -       |
| 上证指数涨跌幅  | float64 | 注意单位: % |
| 大宗交易成交总额 | float64 | 注意单位: 元 |
| 溢价成交总额   | float64 | 注意单位: 元 |
| 溢价成交总额占比 | float64 | 注意单位: % |
| 折价成交总额   | float64 | 注意单位: 元 |
| 折价成交总额占比 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_dzjy_sctj_df = ak.stock_dzjy_sctj()
print(stock_dzjy_sctj_df)
```

数据示例

```
        序号 交易日期     上证指数  ...    溢价成交总额占比  折价成交总额    折价成交总额占比
0        1  2021-12-24  3618.0535  ...   25.338689  5.260039e+09   67.429218
1        2  2021-12-23  3643.3391  ...    9.468909  4.960000e+09   85.262248
2        3  2021-12-22  3622.6178  ...    1.903727  6.129518e+09   89.114668
3        4  2021-12-21  3625.1251  ...    2.488751  4.403554e+09   85.118743
4        5  2021-12-20  3593.6019  ...    4.735832  3.043108e+09   79.963998
    ...         ...        ...  ...         ...           ...         ...
3491  3492  2003-03-14  1466.0440  ...    0.000000  6.272000e+07  100.000000
3492  3493  2003-01-20  1482.6810  ...  100.000000  0.000000e+00    0.000000
3493  3494  2003-01-08  1372.0670  ...    0.000000  1.517427e+08  100.000000
3494  3495  2002-03-19  1665.3570  ...    0.000000  1.217700e+08  100.000000
3495  3496  2000-08-29  2105.4800  ...    0.000000  1.491000e+07  100.000000
```

#### 每日明细

接口: stock_dzjy_mrmx

目标地址: http://data.eastmoney.com/dzjy/dzjy_mrmxa.aspx

描述: 东方财富网-数据中心-大宗交易-每日明细

限量: 单次返回所有历史数据

输入参数

| 名称         | 类型  | 描述                                              |
|------------|-----|-------------------------------------------------|
| symbol     | str | symbol='债券'; choice of {'A股', 'B股', '基金', '债券'} |
| start_date | str | start_date='20201123'; 开始日期                     |
| end_date   | sr  | end_date='20201204'; 结束日期                       |

输出参数-A股

| 名称 | 类型 | 描述 |
|----------|--|----------|
| 序号 | int64 | - |
| 交易日期 | object | - |
| 证券代码 | object | - |
| 证券简称 | object | - |
| 涨跌幅 | float64 | 注意单位: % |
| 收盘价 | float64 | - |
| 成交价 | float64 | - |
| 折溢率 | float64 | - |
| 成交量 | float64 | 注意单位: 股 |
| 成交额 | float64 | 注意单位: 元 |
| 成交额/流通市值 | float64 | 注意单位: % |
| 买方营业部 | object | - |
| 卖方营业部 | object | - |

接口示例-A股

```python
import akshare as ak

stock_dzjy_mrmx_df = ak.stock_dzjy_mrmx(symbol='A股', start_date='20220104', end_date='20220104')
print(stock_dzjy_mrmx_df)
```

数据示例-A股

```
      序号        交易日期  ...                       买方营业部                     卖方营业部
0      1  2022-01-04  ...  中信建投证券股份有限公司上海浦东新区福山路证券营业部    国泰君安证券股份有限公司上海江苏路证券营业部
1      2  2022-01-04  ...       国信证券股份有限公司株洲神农大道证券营业部      长城证券股份有限公司株洲天台路证券营业部
2      3  2022-01-04  ...             开源证券股份有限公司上海分公司       中信建投证券股份有限公司北京东城分公司
3      4  2022-01-04  ...                        机构专用                      机构专用
4      5  2022-01-04  ...      华泰证券股份有限公司南京清凉门大街证券营业部      华泰证券股份有限公司广州天河城证券营业部
..   ...         ...  ...                         ...                       ...
130  131  2022-01-04  ...        信达证券股份有限公司深圳白石路证券营业部    兴业证券股份有限公司上海自由贸易试验区分公司
131  132  2022-01-04  ...        民生证券股份有限公司上海自贸试验区分公司         国信证券股份有限公司客户资产管理部
132  133  2022-01-04  ...               中信证券(山东)青岛分公司             中信证券(山东)青岛分公司
133  134  2022-01-04  ...           广发证券股份有限公司深圳前海营业部      财通证券股份有限公司江山中山路证券营业部
134  135  2022-01-04  ...     申万宏源证券有限公司成都火车南站东路证券营业部  申万宏源西部证券有限公司霍尔果斯亚欧路证券营业部
```

输出参数-B股

| 名称    | 类型      | 描述      |
|-------|---------|---------|
| 序号    | int64   | -       |
| 交易日期  | object  | -       |
| 证券代码  | object  | -       |
| 证券简称  | object  | -       |
| 成交价   | float64 | -       |
| 成交量   | float64 | 注意单位: 股 |
| 成交额   | float64 | 注意单位: 元 |
| 买方营业部 | object  | -       |
| 卖方营业部 | object  | -       |

接口示例-B股

```python
import akshare as ak

stock_dzjy_mrmx_df = ak.stock_dzjy_mrmx(symbol='B股', start_date='20211104', end_date='20220104')
print(stock_dzjy_mrmx_df)
```

数据示例-B股

```
   序号        交易日期    证券代码  ...          成交额                 买方营业部             卖方营业部
0   1  2021-11-19  200596  ...  29031500.00  华鑫证券有限责任公司上海茅台路证券营业部  申万宏源交易单元(001698)
1   2  2021-12-02  900926  ...    762204.34         申万宏源证券有限公司国际部     申万宏源证券有限公司国际部
```

输出参数-基金

| 名称    | 类型      | 描述      |
|-------|---------|---------|
| 序号    | int64   | -       |
| 交易日期  | object  | -       |
| 证券代码  | object  | -       |
| 证券简称  | object  | -       |
| 成交价   | float64 | -       |
| 成交量   | float64 | 注意单位: 股 |
| 成交额   | float64 | 注意单位: 元 |
| 买方营业部 | object  | -       |
| 卖方营业部 | object  | -       |

接口示例-基金

```python
import akshare as ak

stock_dzjy_mrmx_df = ak.stock_dzjy_mrmx(symbol='基金', start_date='20220104', end_date='20220104')
print(stock_dzjy_mrmx_df)
```

数据示例-基金

```
   序号        交易日期    证券代码  ...        成交额            买方营业部                  卖方营业部
0   1  2022-01-04  159919  ...   13503700  东北证券股份有限公司四川分公司  长城证券股份有限公司深圳深南大道证券营业部
1   2  2022-01-04  510050  ...  162350000   国泰君安证券股份有限公司总部  广发证券股份有限公司广州环市东路证券营业部
2   3  2022-01-04  510050  ...  584460000   国泰君安证券股份有限公司总部  广发证券股份有限公司广州环市东路证券营业部
```

输出参数-债券

| 名称    | 类型      | 描述      |
|-------|---------|---------|
| 序号    | int64   | -       |
| 交易日期  | object  | -       |
| 证券代码  | object  | -       |
| 证券简称  | object  | -       |
| 成交价   | float64 | -       |
| 成交量   | float64 | 注意单位: 股 |
| 成交额   | float64 | 注意单位: 元 |
| 买方营业部 | object  | -       |
| 卖方营业部 | object  | -       |

接口示例-债券

```python
import akshare as ak

stock_dzjy_mrmx_df = ak.stock_dzjy_mrmx(symbol='债券', start_date='20220104', end_date='20220104')
print(stock_dzjy_mrmx_df)
```

数据示例-债券

```
      序号        交易日期  ...                 买方营业部                 卖方营业部
0      1  2022-01-04  ...  华安证券股份有限公司合肥高新区证券营业部  华福证券有限责任公司上海银城路证券营业部
1      2  2022-01-04  ...                  机构专用                  机构专用
2      3  2022-01-04  ...                  机构专用                  机构专用
3      4  2022-01-04  ...                  机构专用                  机构专用
4      5  2022-01-04  ...                  机构专用                  机构专用
..   ...         ...  ...                   ...                   ...
162  163  2022-01-04  ...                  机构专用                  机构专用
163  164  2022-01-04  ...                  机构专用                  机构专用
164  165  2022-01-04  ...                  机构专用                  机构专用
165  166  2022-01-04  ...                  机构专用                  机构专用
166  167  2022-01-04  ...                  机构专用                  机构专用
```

#### 每日统计

接口: stock_dzjy_mrtj

目标地址: http://data.eastmoney.com/dzjy/dzjy_mrtj.aspx

描述: 东方财富网-数据中心-大宗交易-每日统计

限量: 单次返回所有历史数据

输入参数

| 名称         | 类型  | 描述                          |
|------------|-----|-----------------------------|
| start_date | str | start_date='20220105'; 开始日期 |
| end_date   | sr  | end_date='20220105'; 结束日期   |

输出参数

| 名称        | 类型      | 描述       |
|-----------|---------|----------|
| 序号        | int64   | -        |
| 交易日期      | object  | -        |
| 证券代码      | object  | -        |
| 证券简称      | object  | -        |
| 涨跌幅       | float64 | 注意单位: %  |
| 收盘价       | float64 | -        |
| 成交均价      | float64 | -        |
| 折溢率       | float64 | -        |
| 成交笔数      | int64   |          |
| 成交总量      | float64 | 注意单位: 万股 |
| 成交总额      | float64 | 注意单位: 万元 |
| 成交总额/流通市值 | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

stock_dzjy_mrtj_df = ak.stock_dzjy_mrtj(start_date='20220105', end_date='20220105')
print(stock_dzjy_mrtj_df)
```

数据示例

```
    序号  交易日期    证券代码  证券简称  ...  成交笔数 成交总量   成交总额  成交总额/流通市值
0    1  2022-01-05  002919  名臣健康  ...     3  191.79   7427.8500   2.843176
1    2  2022-01-05  833509  同惠电子  ...     1  130.00   1783.6000   2.563485
2    3  2022-01-05  300858  科拓生物  ...     2   75.00   2779.7500   1.389459
3    4  2022-01-05  836263  中航泰达  ...     1  101.39    654.9794   1.380876
4    5  2022-01-05  300917  特发服务  ...     1   93.00   3111.7800   1.374916
5    6  2022-01-05  300264  佳创视讯  ...     1  400.00   4644.0000   1.160941
6    7  2022-01-05  300720  海川智能  ...     2  131.16   1449.3200   1.054742
7    8  2022-01-05  002729  好利科技  ...     1   90.00   4320.0000   0.991293
8    9  2022-01-05  300909   汇创达  ...     1   43.54   1698.0600   0.937461
9   10  2022-01-05  300578  会畅通讯  ...     1  100.00   3234.0000   0.606941
10  11  2022-01-05  300449  汉邦高科  ...     1  170.00   1275.0000   0.605209
11  12  2022-01-05  300440  运达科技  ...     1  173.80   1685.8600   0.384707
12  13  2022-01-05  002712  思美传媒  ...     2  210.00    993.3000   0.331366
13  14  2022-01-05  300138  晨光生物  ...     2  151.99   2097.4600   0.292605
14  15  2022-01-05  300787  海能实业  ...     1   15.00    408.4500   0.282249
15  16  2022-01-05  300245  天玑科技  ...     1   85.45    769.0500   0.263842
16  17  2022-01-05  002922   伊戈尔  ...     1   57.00   1065.9000   0.201882
17  18  2022-01-05  002378  章源钨业  ...     1  200.00   1530.0000   0.200547
18  19  2022-01-05  300559  佳发教育  ...     1   60.82    499.2900   0.181494
19  20  2022-01-05  000975  银泰黄金  ...     1  470.00   3727.1000   0.172198
20  21  2022-01-05  002251   步步高  ...     1  152.56   1026.7300   0.171250
21  22  2022-01-05  300342  天银机电  ...     1   58.84    724.3200   0.130974
22  23  2022-01-05  300285  国瓷材料  ...     2  101.10   4141.2800   0.128258
23  24  2022-01-05  000792  盐湖股份  ...     4  600.00  19908.0000   0.110022
24  25  2022-01-05  002602  世纪华通  ...     1  487.87   4161.5300   0.100785
25  26  2022-01-05  300599  雄塑科技  ...     1   20.00    203.6000   0.095153
26  27  2022-01-05  000671   阳光城  ...     2  391.81   1202.8600   0.095145
27  28  2022-01-05  000829  天音控股  ...     1   60.30   1012.4400   0.058900
28  29  2022-01-05  300604  长川科技  ...     1   23.07   1113.3600   0.054263
29  30  2022-01-05  002293  罗莱生活  ...     1   46.70    648.2000   0.053016
30  31  2022-01-05  002352  顺丰控股  ...     3  217.00  15472.1000   0.048185
31  32  2022-01-05  000786  北新建材  ...     1   72.00   2592.0000   0.044124
32  33  2022-01-05  000021   深科技  ...     1   63.00   1001.7000   0.040588
33  34  2022-01-05  834021  流金岁月  ...     1   10.00     50.0000   0.034594
34  35  2022-01-05  002120  韵达股份  ...     5  100.22   1983.3500   0.033215
35  36  2022-01-05  000733  振华科技  ...     1   14.41   1650.5200   0.027838
36  37  2022-01-05  300999   金龙鱼  ...     1   17.60    908.1600   0.025182
37  38  2022-01-05  300327  中颖电子  ...     1    3.80    202.1600   0.010727
38  39  2022-01-05  300750  宁德时代  ...     5   16.86   9303.6900   0.008335
39  40  2022-01-05  002271  东方雨虹  ...     1   10.19    509.8100   0.005306
40  41  2022-01-05  002475  立讯精密  ...     1   10.00    482.1000   0.001415
```

#### 活跃 A 股统计

接口: stock_dzjy_hygtj

目标地址: http://data.eastmoney.com/dzjy/dzjy_hygtj.aspx

描述: 东方财富网-数据中心-大宗交易-活跃 A 股统计

限量: 单次返回所有历史数据

输入参数

| 名称     | 类型  | 描述                                                   |
|--------|-----|------------------------------------------------------|
| symbol | str | symbol='近三月'; choice of {'近一月', '近三月', '近六月', '近一年'} |

输出参数

| 名称            | 类型      | 描述       |
|---------------|---------|----------|
| 序号            | int64   | -        |
| 证券代码          | object  | -        |
| 证券简称          | object  | -        |
| 最新价           | float64 | -        |
| 涨跌幅           | float64 | 注意单位: %  |
| 最近上榜日         | object  | -        |
| 上榜次数-总计       | int64   | -        |
| 上榜次数-溢价       | int64   | -        |
| 上榜次数-折价       | int64   |          |
| 总成交额          | float64 | 注意单位: 万元 |
| 折溢率           | float64 | 注意单位: 万元 |
| 成交总额/流通市值     | float64 | -        |
| 上榜日后平均涨跌幅-1日  | float64 | 注意符号: %  |
| 上榜日后平均涨跌幅-5日  | float64 | 注意符号: %  |
| 上榜日后平均涨跌幅-10日 | float64 | 注意符号: %  |
| 上榜日后平均涨跌幅-20日 | float64 | 注意符号: %  |

接口示例

```python
import akshare as ak

stock_dzjy_hygtj_df = ak.stock_dzjy_hygtj(symbol='近三月')
print(stock_dzjy_hygtj_df)
```

数据示例

```
        序号    证券代码   证券简称  ...  上榜日后平均涨跌幅-5日  上榜日后平均涨跌幅-10日 上榜日后平均涨跌幅-20日
0        1  600145  *ST新亿  ...     -8.088303     -13.020297    -13.651724
1        2  300454    深信服  ...     -1.233912      -6.219710     -7.615164
2        3  000792   盐湖股份  ...     -0.143511       0.811818      0.963856
3        4  300896    爱美客  ...     -3.932019      -6.420039     -6.898466
4        5  600090  *ST济堂  ...      7.650440       0.312480     13.447214
    ...     ...    ...  ...           ...            ...           ...
1518  1519  000050   深天马A  ...      1.614205       1.049233      2.663438
1519  1520  000026    飞亚达  ...      2.830189      -1.029160      2.744425
1520  1521  000023   深天地A  ...      7.234727       8.038585      0.000000
1521  1522  000014   沙河股份  ...      0.000000       0.000000      0.000000
1522  1523  000009   中国宝安  ...     -9.163103     -13.378131      0.000000
```

#### 活跃营业部统计

接口: stock_dzjy_hyyybtj

目标地址: http://data.eastmoney.com/dzjy/dzjy_hyyybtj.aspx

描述: 东方财富网-数据中心-大宗交易-活跃营业部统计

限量: 单次返回所有历史数据

输入参数

| 名称     | 类型  | 描述                                                              |
|--------|-----|-----------------------------------------------------------------|
| symbol | str | symbol='近3日'; choice of {'当前交易日', '近3日', '近5日', '近10日', '近30日'} |

输出参数

| 名称          | 类型      | 描述       |
|-------------|---------|----------|
| 序号          | int64   | -        |
| 营业部名称       | str     | -        |
| 最近上榜日       | object  | -        |
| 次数总计-买入     | float64 | -        |
| 次数总计-卖出     | float64 | 注意单位: %  |
| 成交金额统计-买入   | float64 | 注意单位: 万元 |
| 成交金额统计-卖出   | float64 | 注意单位: 万元 |
| 成交金额统计-净买入额 | float64 | 注意单位: 万元 |
| 买入的股票       | object  |          |

接口示例

```python
import akshare as ak

stock_dzjy_hyyybtj_df = ak.stock_dzjy_hyyybtj(symbol='近3日')
print(stock_dzjy_hyyybtj_df)
```

数据示例

```
      序号  ...                                              买入的股票
0      1  ...  000021|深科技,000733|振华科技,000786|北新建材,000792|盐湖股份...
1      2  ...  002120|韵达股份,002243|力合科创,002558|巨人网络,003006|百亚股...
2      3  ...  002243|力合科创,002251|步步高,002709|天赐材料,300255|常山药业...
3      4  ...  002120|韵达股份,002243|力合科创,002558|巨人网络,300885|海昌新...
4      5  ...                                        002352|顺丰控股
..   ...  ...                                                ...
307  308  ...                                               None
308  309  ...                                               None
309  310  ...                                               None
310  311  ...                                               None
311  312  ...                                               None
```

#### 营业部排行

接口: stock_dzjy_yybph

目标地址: http://data.eastmoney.com/dzjy/dzjy_yybph.aspx

描述: 东方财富网-数据中心-大宗交易-营业部排行

限量: 单次返回所有历史数据

输入参数

| 名称     | 类型  | 描述                                                   |
|--------|-----|------------------------------------------------------|
| symbol | str | symbol='近三月'; choice of {'近一月', '近三月', '近六月', '近一年'} |

输出参数

| 名称          | 类型      | 描述      |
|-------------|---------|---------|
| 序号          | int64   | -       |
| 营业部名称       | object  | -       |
| 上榜后1天-买入次数  | float64 | -       |
| 上榜后1天-平均涨幅  | float64 | 注意单位: % |
| 上榜后1天-上涨概率  | float64 | -       |
| 上榜后5天-买入次数  | float64 | -       |
| 上榜后5天-平均涨幅  | float64 | 注意单位: % |
| 上榜后5天-上涨概率  | float64 | -       |
| 上榜后10天-买入次数 | float64 | -       |
| 上榜后10天-平均涨幅 | float64 | 注意单位: % |
| 上榜后10天-上涨概率 | float64 |         |
| 上榜后20天-买入次数 | float64 | -       |
| 上榜后20天-平均涨幅 | float64 | 注意单位: % |
| 上榜后20天-上涨概率 | float64 |         |

接口示例

```python
import akshare as ak

stock_dzjy_yybph_df = ak.stock_dzjy_yybph(symbol='近三月')
print(stock_dzjy_yybph_df)
```

数据示例

```
        序号                营业部名称  ...  上榜后20天-平均涨幅  上榜后20天-上涨概率
0        1                 机构专用  ...    -0.209491    45.094937
1        2  中信建投证券深圳宝安前进一路证券营业部  ...    -8.418230          NaN
2        3      平安证券哈尔滨中山路证券营业部  ...    -1.380208    38.461538
3        4        中信证券总部(非营业场所)  ...     0.107413    40.251572
4        5       招商证券西安北大街证券营业部  ...     0.595301    51.200000
    ...                  ...  ...          ...          ...
1755  1756      恒泰证券宁波甬江大道证券营业部  ...          NaN          NaN
1756  1757     中信建投证券北京厚金路证券营业部  ...          NaN          NaN
1757  1758     中国银河证券大连人民路证券营业部  ...          NaN          NaN
1758  1759      东吴证券太仓上海东路证券营业部  ...          NaN          NaN
1759  1760       东吴证券太仓浏河镇证券营业部  ...          NaN          NaN
```

### 一致行动人

接口: stock_yzxdr_em

目标地址: http://data.eastmoney.com/yzxdr/

描述: 东方财富网-数据中心-特色数据-一致行动人

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型  | 描述                         |
|------|-----|----------------------------|
| date | str | date="20200930"; 每年的季度末时间点 |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int32   | -       |
| 股票代码   | object  | -       |
| 股票简称   | object  | -       |
| 一致行动人  | object  | -       |
| 股东排名   | object  | -       |
| 持股数量   | int64   | -       |
| 持股比例   | float64 | -       |
| 持股数量变动 | object  | 注意单位: % |
| 行业     | object  | -       |
| 公告日期   | object  | -       |

接口示例

```python
import akshare as ak

stock_yzxdr_em_df = ak.stock_yzxdr_em(date="20210331")
print(stock_yzxdr_em_df)
```

数据示例

```
    序号    股票代码   股票简称  ... 持股数量变动   行业    公告日期
0        1  603836   海程邦达  ...    NaN  交运物流  2021-05-14
1        2  000835   *ST长动  ...     NaN  文化传媒  2021-05-11
2        3  603358   华达科技  ...    NaN  汽车行业  2021-05-06
3        4  002277   友阿股份  ...    NaN  商业百货  2021-04-30
4        5  002597   金禾实业  ...    NaN  化工行业  2021-04-30
    ...     ...    ...  ...    ...   ...         ...
3036  3037  300208   青岛中程  ...   None  输配电气  2021-04-09
3037  3038  300208   青岛中程  ...   None  输配电气  2021-04-09
3038  3039  300208   青岛中程  ...   None  输配电气  2021-04-09
3039  3040  002825   纳尔股份  ...   None  塑胶制品  2021-04-08
3040  3041  300584   海辰药业  ...   None  医药制造  2021-04-08
```

### 融资融券

#### 上海证券交易所

##### 融资融券汇总

接口: stock_margin_sse

目标地址: http://www.sse.com.cn/market/othersdata/margin/sum/

描述: 获取上海证券交易所-融资融券数据-融资融券汇总数据

限量: 单次返回指定时间段内的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| start_date | str | Y    | start_date="20010106" |
| end_date | str | Y    | end_date="20010106" |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 信用交易日期          | str   | Y        |  -    |
| 融资余额          | float   | Y        |  注意单位: 元    |
| 融资买入额         | float   | Y        |  注意单位: 元    |
| 融券余量          | float   | Y        |  -    |
| 融券余量金额          | float   | Y        |  注意单位: 元    |
| 融券卖出量          | float   | Y     |  -    |
| 融资融券余额          | float   | Y     |  注意单位: 元    |

接口示例

```python
import akshare as ak

stock_margin_sse_df = ak.stock_margin_sse(start_date="20010106", end_date="20210208")
print(stock_margin_sse_df)
```

数据示例

```
     信用交易日期 融资余额        融资买入额  ... 融券余量金额  融券卖出量   融资融券余额
0     20210205  798537947597  39256505179  ...  87230537840  169481352  885768485437
1     20210204  802902827539  41486860920  ...  87780973049  164920794  890683800588
2     20210203  807189978760  42621756166  ...  88548469683  251518719  895738448443
3     20210202  807418158794  37533872673  ...  88303226275  230032183  895721385069
4     20210201  807900109492  33787419612  ...  87699520622  149203855  895599630114
        ...           ...          ...  ...          ...        ...           ...
1995  20121126   52224867623   1322180521  ...   1366826765  234474541   53591694388
1996  20121123   52163842479   1543727769  ...   1347840020  257859771   53511682499
1997  20121122   52326315202   1332145449  ...   1302639373  214932697   53628954575
1998  20121121   52338359165   1943146103  ...   1306569346  308581665   53644928511
1999  20121120   52232906651   1509399872  ...   1208322014  225334923   53441228665
```

##### 融资融券明细

接口: stock_margin_detail_sse

目标地址: http://www.sse.com.cn/market/othersdata/margin/detail/

描述: 上海证券交易所-融资融券数据-融资融券明细数据

限量: 单次返回交易日的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| date | str | Y    | date="20210205" |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 信用交易日期          | str   | Y        |  -    |
| 标的证券代码          | str   | Y        |  -    |
| 标的证券简称          | str   | Y        |  -    |
| 融资余额          | float   | Y        |  注意单位: 元    |
| 融资买入额         | float   | Y        |  注意单位: 元    |
| 融资偿还额         | float   | Y        |  注意单位: 元    |
| 融券余量          | float   | Y        |  -    |
| 融券卖出量          | float   | Y        |  -    |
| 融券偿还量          | float   | Y     |  -    |

接口示例

```python
import akshare as ak

stock_margin_detail_sse_df = ak.stock_margin_detail_sse(date="20210201")
print(stock_margin_detail_sse_df)
```

数据示例

```
    信用交易日期  标的证券代码  标的证券简称  ...  融券余量 融券卖出量  融券偿还量
0     20210201  510050   50ETF  ...  35579000  11401300   3105145
1     20210201  510150   消费ETF  ...         0         0         0
2     20210201  510180  180ETF  ...    616800     18800      1300
3     20210201  510230   金融ETF  ...         0         0         0
4     20210201  510300  300ETF  ...  68534680  13358800  14957571
        ...     ...     ...  ...       ...       ...       ...
1103  20210201  688777    中控技术  ...    324312      2850      7526
1104  20210201  688788    科思科技  ...         0         0         0
1105  20210201  688819    天能股份  ...   1986124    203807    547152
1106  20210201  688981    中芯国际  ...  63791387    399906   1394406
1107  20210201  689009    九号公司  ...    895753    236200    197020
```

#### 深圳证券交易所

##### 融资融券汇总

接口: stock_margin_szse

目标地址: http://www.szse.cn/disclosure/margin/margin/index.html

描述: 深圳证券交易所-融资融券数据-融资融券汇总数据

限量: 单次返回指定时间内的所有历史数据

输入参数

| 名称   | 类型  | 描述                    |
|------|-----|-----------------------|
| date | str | start_date="20210401" |

输出参数

| 名称     | 类型      | 描述          |
|--------|---------|-------------|
| 融资买入额  | float64 | 注意单位: 亿元    |
| 融资余额   | float64 | 注意单位: 亿元    |
| 融券卖出量  | float64 | 注意单位: 亿股/亿份 |
| 融券余量   | float64 | 注意单位: 亿股/亿份 |
| 融券余额   | float64 | 注意单位: 亿元    |
| 融资融券余额 | float64 | 注意单位: 亿元    |

接口示例

```python
import akshare as ak

stock_margin_sse_df = ak.stock_margin_szse(date="20210401")
print(stock_margin_sse_df)
```

数据示例

```
   融资买入额     融资余额  融券卖出量   融券余量    融券余额   融资融券余额
0  267.8  7113.05   0.93  31.99  579.71  7692.76
```

##### 融资融券明细

接口: stock_margin_detail_szse

目标地址: http://www.szse.cn/disclosure/margin/margin/index.html

描述: 深证证券交易所-融资融券数据-融资融券交易明细数据

限量: 单次返回指定 date 的所有历史数据

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date="20220118" |

输出参数

| 名称     | 类型     | 描述        |
|--------|--------|-----------|
| 证券代码   | object | -         |
| 证券简称   | object | -         |
| 融资买入额  | int64  | 注意单位: 元   |
| 融资余额   | int64  | 注意单位: 元   |
| 融券卖出量  | int64  | 注意单位: 股/份 |
| 融券余量   | int64  | 注意单位: 股/份 |
| 融券余额   | int64  | 注意单位: 元   |
| 融资融券余额 | int64  | 注意单位: 元   |

接口示例

```python
import akshare as ak

stock_margin_detail_sse_df = ak.stock_margin_detail_szse(date="20220118")
print(stock_margin_detail_sse_df)
```

数据示例

```
      证券代码   证券简称 融资买入额  ...    融券余量   融券余额    融资融券余额
0     000001   平安银行  153304267  ...  30832919  509359823  4890818086
1     000002  万  科Ａ  214486690  ...  18657257  402810177  5761767267
2     000006   深振业Ａ    4808512  ...    489800    2208998   369253707
3     000008   神州高铁   16715874  ...    176800     487968   286094995
4     000009   中国宝安  150026241  ...   5685387   83916311  2178793761
      ...    ...        ...  ...       ...        ...         ...
1123  301198   喜悦智行    3114156  ...         0          0    37727194
1124  301199   迈赫股份    3768584  ...         0          0    33061744
1125  301211   亨迪药业   21586821  ...    395958   13114129    91040631
1126  301213   观想科技   12056188  ...         0          0    65715127
1127  301221   光庭信息   33964967  ...         0          0    91047120
```

##### 标的证券信息

接口: stock_margin_underlying_info_szse

目标地址: http://www.szse.cn/disclosure/margin/object/index.html

描述: 深圳证券交易所-融资融券数据-标的证券信息

限量: 单次返回交易日的所有历史数据

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date="20210205" |

输出参数

| 名称       | 类型     | 描述  |
|----------|--------|-----|
| 证券代码     | object | -   |
| 证券简称     | object | -   |
| 融资标的     | object | -   |
| 融券标的     | object | -   |
| 当日可融资    | object | -   |
| 当日可融券    | object | -   |
| 融券卖出价格限制 | object | -   |
| 涨跌幅限制    | object | -   |

接口示例

```python
import akshare as ak

stock_margin_underlying_info_szse_df = ak.stock_margin_underlying_info_szse(date="20210727")
print(stock_margin_underlying_info_szse_df)
```

数据示例

```
    证券代码  证券简称 融资标的 融券标的 当日可融资 当日可融券 融券卖出价格限制 涨跌幅限制
0     000001  平安银行    Y    Y     Y     Y        Y   10%
1     000002   万科Ａ    Y    Y     Y     Y        Y   10%
2     000006  深振业Ａ    Y    Y     Y     Y        Y   10%
3     000008  神州高铁    Y    Y     Y     Y        Y   10%
4     000009  中国宝安    Y    Y     Y     Y        Y   10%
      ...   ...  ...  ...   ...   ...      ...   ...
1000  301030   C仕净    Y    Y     Y     Y        Y   无限制
1001  301031  中熔电气    Y    Y     Y     Y        Y   20%
1002  301032   C新柴    Y    Y     Y     Y        Y   无限制
1003  301033   C迈普    Y    Y     Y     Y        Y   无限制
1004  301039  中集车辆    Y    Y     Y     Y        Y   20%
```

### 盈利预测

接口: stock_profit_forecast

目标地址: http://data.eastmoney.com/report/profitforecast.jshtml

描述: 东方财富网-数据中心-研究报告-盈利预测

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称              | 类型      | 描述  |
|-----------------|---------|-----|
| 序号              | int64   | -   |
| 代码              | object  | -   |
| 名称              | object  | -   |
| 研报数             | int64   | -   |
| 机构投资评级(近六个月)-买入 | float64 | -   |
| 机构投资评级(近六个月)-增持 | float64 | -   |
| 机构投资评级(近六个月)-中性 | float64 | -   |
| 机构投资评级(近六个月)-减持 | float64 | -   |
| 机构投资评级(近六个月)-卖出 | float64 | -   |
| xxxx预测每股收益      | float64 | -   |
| xxxx预测每股收益      | float64 | -   |
| xxxx预测每股收益      | float64 | -   |
| xxxx预测每股收益      | float64 | -   |

接口示例

```python
import akshare as ak

stock_profit_forecast_df = ak.stock_profit_forecast()
print(stock_profit_forecast_df)
```

数据示例

```
        序号 代码     名称   研报数  ...  2020预测每股收益  2021预测每股收益  2022预测每股收益  2023预测每股收益
0        1  600519   贵州茅台   50  ...   37.173513   41.967800   48.813600   56.092917
1        2  000858    五粮液   46  ...    5.140862    6.182609    7.348043    8.637442
2        3  300957    贝泰妮   43  ...    1.283069    1.920605    2.670256    3.556927
3        4  600809   山西汾酒   43  ...    2.523725    4.676744    6.353070    8.303452
4        5  000568   泸州老窖   42  ...    4.100162    5.228024    6.555286    8.125615
    ...     ...    ...  ...  ...         ...         ...         ...         ...
2276  2277  600108   亚盛集团    1  ...   -0.437857    0.090000    0.150000    0.200000
2277  2278  688590   新致软件    1  ...    0.448354    0.580000    0.740000    0.940000
2278  2279  603408   建霖家居    1  ...    0.813031    0.900000    1.080000    1.310000
2279  2280  603032  *ST德新    1  ...   -0.051496    0.870000    1.680000    2.440000
2280  2281  000603   盛达资源    1  ...    0.421211    0.670000    0.770000    0.900000
```

### 概念板块

#### 同花顺-概念时间表

接口: stock_board_concept_name_ths

目标地址: http://q.10jqka.com.cn/gn/detail/code/301558/

描述: 同花顺-板块-概念板块-概念

限量: 单次返回当前所有概念时间表；日期为空的为补充概念

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型     | 描述      |
|-------|--------|---------|
| 日期    | object | -       |
| 概念名称  | object | -       |
| 成分股数量 | int64  | -       |
| 网址    | object | -       |
| 代码    | object | 同花顺内部代码 |

接口示例

```python
import akshare as ak

stock_board_concept_name_ths_df = ak.stock_board_concept_name_ths()
print(stock_board_concept_name_ths_df)
```

数据示例

```
             日期     概念名称  ...                                             网址      代码
0    2022-01-07      电子纸  ...  http://q.10jqka.com.cn/gn/detail/code/301135/  301135
1    2022-01-05  幽门螺杆菌概念  ...  http://q.10jqka.com.cn/gn/detail/code/308818/  308818
2    2022-01-04      预制菜  ...  http://q.10jqka.com.cn/gn/detail/code/308814/  308814
3    2021-12-28      沪股通  ...  http://q.10jqka.com.cn/gn/detail/code/301490/  301490
4    2021-12-15      冬奥会  ...  http://q.10jqka.com.cn/gn/detail/code/301544/  301544
..          ...      ...  ...                                            ...     ...
295  2012-09-05    氟化工概念  ...  http://q.10jqka.com.cn/gn/detail/code/300085/  300085
296  2012-09-05     横琴新区  ...  http://q.10jqka.com.cn/gn/detail/code/300087/  300087
297  2012-09-05      磷化工  ...  http://q.10jqka.com.cn/gn/detail/code/300098/  300098
298  2012-09-05     参股券商  ...  http://q.10jqka.com.cn/gn/detail/code/300100/  300100
299  2012-09-05     生物疫苗  ...  http://q.10jqka.com.cn/gn/detail/code/300106/  300106
```

#### 同花顺-成份股-概念名称

接口: stock_board_concept_cons_ths

目标地址: http://q.10jqka.com.cn/gn/detail/code/301558/

描述: 同花顺-板块-概念板块-成份股数据

限量: 单次返回当前时刻所有成份股, 调用 **ak.stock_board_concept_info_ths** 返回该板块信息

输入参数

| 名称     | 类型  | 描述                                                                                                                |
|--------|-----|-------------------------------------------------------------------------------------------------------------------|
| symbol | str | symbol="阿里巴巴概念"; 可以通过调用 **ak.stock_board_concept_name_ths()** 查看同花顺的所有概念名称; 注意：其中 "国家大基金持股" 为 "国家大基金持股 ", 最后有一个空格 |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 序号   | int64   | -       |
| 代码   | object  | -       |
| 名称   | object  | -       |
| 现价   | float64 | -       |
| 涨跌幅  | float64 | 注意单位: % |
| 涨跌   | float64 | -       |
| 涨速   | float64 | 注意单位: % |
| 换手   | float64 | 注意单位: % |
| 量比   | float64 | -       |
| 振幅   | float64 | 注意单位: % |
| 成交额  | object  | -       |
| 流通股  | object  | -       |
| 流通市值 | object  | -       |
| 市盈率  | object  | -       |

接口示例

```python
import akshare as ak

stock_board_concept_cons_ths_df = ak.stock_board_concept_cons_ths(symbol="人脸识别")
print(stock_board_concept_cons_ths_df)
```

数据示例

```
   序号  代码     名称      现价  ...   成交额    流通股    流通市值        市盈率
0    1  002415   海康威视   53.40  ...  19.10亿  83.44亿  4455.66亿       37.23
1    2  002230   科大讯飞   47.60  ...  25.86亿  20.26亿   964.60亿      143.30
2    3  688039   当虹科技   67.98  ...   0.17亿   0.48亿    32.85亿       49.23
3    4  300807   天迈科技   27.76  ...   1.00亿   0.30亿     8.36亿          --
4    5  002236   大华股份   24.18  ...  16.83亿  18.58亿   449.33亿       18.56
5    6  002990   盛视科技   67.84  ...   0.20亿   0.32亿    21.41亿       41.74
6    7  300884    狄耐克   38.76  ...   0.51亿   0.28亿    11.03亿       31.41
7    8  002177   御银股份    6.42  ...  14.27亿   7.61亿    48.87亿       65.54
8    9  002456    欧菲光    8.44  ...   7.06亿  26.68亿   225.22亿       25.83
9   10  300188   美亚柏科   18.07  ...   0.95亿   6.01亿   108.65亿       38.80
10  11  002189    中光学   16.10  ...   0.30亿   2.22亿    35.76亿   28.740000
11  12  002065   东华软件    7.67  ...   1.87亿  28.08亿   215.35亿   35.440000
12  13  002362   汉王科技   19.79  ...   0.53亿   1.79亿    35.40亿   46.530000
13  14  002373   千方科技   16.07  ...   1.41亿  11.43亿   183.61亿   23.730000
14  15  300076  GQY视讯    4.59  ...   0.22亿   3.82亿    17.55亿  118.080000
15  16  002819   东方中科   33.95  ...   0.20亿   1.39亿    47.35亿   98.350000
16  17  300306   远方信息    8.62  ...   0.22亿   1.50亿    12.96亿   34.040000
17  18  300248    新开普    9.17  ...   1.36亿   3.31亿    30.39亿   23.840000
18  19  600728   佳都科技    6.69  ...   0.52亿  17.30亿   115.72亿  152.380000
19  20  300711   广哈通信   14.01  ...   0.53亿   2.06亿    28.93亿   94.380000
20  21  600355   精伦电子    2.22  ...   0.13亿   4.92亿    10.92亿          --
21  22  300561   汇金科技   15.01  ...   0.99亿   1.34亿    20.18亿      176.12
22  23  300367   ST网力    2.74  ...   0.19亿   9.48亿    25.99亿          --
23  24  600271   航天信息   11.89  ...   1.16亿  18.53亿   220.30亿       93.77
24  25  300098    高新兴    3.10  ...   0.49亿  13.79亿    42.76亿          --
25  26  300386   飞天诚信   20.75  ...   4.54亿   2.26亿    46.92亿      192.55
26  27  300053    欧比特    8.97  ...   0.75亿   6.15亿    55.16亿       95.61
27  28  600701   退市工新    0.41  ...   0.00亿   8.32亿     3.41亿          --
28  29  600167   联美控股   10.56  ...   0.84亿  22.88亿   241.62亿       15.63
29  30  300044   赛为智能    5.31  ...   0.80亿   6.36亿    33.77亿       29.01
30  31  603660   苏州科达    8.03  ...   0.42亿   4.94亿    39.68亿       47.18
31  32  300130    新国都   10.22  ...   1.61亿   3.54亿    36.19亿       22.37
32  33  300479   神思电子   11.23  ...   0.19亿   1.68亿    18.86亿      904.43
33  34  300449   汉邦高科    8.55  ...   1.39亿   2.44亿    20.89亿       54.89
34  35  300300   海峡创新    4.15  ...   0.66亿   6.71亿    27.86亿          --
35  36  000997    新大陆   14.74  ...   1.36亿  10.27亿   151.43亿       25.91
36  37  002152   广电运通   11.01  ...  11.68亿  23.94亿   263.61亿       39.06
37  38  002253   川大智胜   13.94  ...   0.52亿   2.07亿    28.91亿       46.67
38  39  603160   汇顶科技  108.96  ...   3.11亿   4.53亿   493.96亿       34.00
39  40  300546   雄帝科技   13.97  ...   0.66亿   0.85亿    11.94亿          --
40  41  688088   虹软科技   51.58  ...   0.96亿   2.64亿   136.19亿   80.110000
```

#### 同花顺-成份股-行业板块和概念板块

接口: stock_board_cons_ths

目标地址: http://q.10jqka.com.cn/gn/

描述: 同花顺-板块-行业板块和概念板块-成份股数据

限量: 单次返回当前时刻所有成份股, 调用 **ak.stock_board_concept_info_ths() 或者 ak.stock_board_industry_info_ths**
返回板块信息

输入参数

| 名称     | 类型  | 描述                      |
|--------|-----|-------------------------|
| symbol | str | symbol="885611"; 输入概念代码 |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 序号   | int64   | -       |
| 代码   | object  | -       |
| 名称   | object  | -       |
| 现价   | float64 | -       |
| 涨跌幅  | float64 | 注意单位: % |
| 涨跌   | float64 | -       |
| 涨速   | float64 | 注意单位: % |
| 换手   | float64 | 注意单位: % |
| 量比   | float64 | -       |
| 振幅   | float64 | 注意单位: % |
| 成交额  | object  | -       |
| 流通股  | object  | -       |
| 流通市值 | object  | -       |
| 市盈率  | object  | -       |

接口示例

```python
import akshare as ak

stock_board_cons_ths_df = ak.stock_board_cons_ths(symbol="885611")
print(stock_board_cons_ths_df)
```

数据示例

```
    序号代码    名称       现价   涨跌幅  ...     振幅 成交额    流通股   流通市值  市盈率
0    1  600258  首旅酒店  26.94  8.28  ...   8.68   9.40亿   9.82亿  264.57亿  159.44
1    2  002368  太极股份  29.47  7.28  ...   9.39   6.77亿   5.76亿  169.80亿  148.83
2    3  002335  科华数据  45.42  6.15  ...  12.13  23.09亿   3.97亿  180.25亿   55.29
3    4  002488  金固股份   7.61  6.14  ...  11.30   4.34亿   9.11亿   69.34亿   45.63
4    5  002707  众信旅游   5.30  5.37  ...  10.34   2.58亿   6.40亿   33.92亿      --
..  ..     ...   ...    ...   ...  ...    ...     ...     ...      ...     ...
91  92  002120  韵达股份  17.05 -2.90  ...   4.16   2.31亿  28.10亿  479.11亿   47.52
92  93  600640   新国脉  12.68 -3.57  ...   4.87   2.35亿   7.96亿  100.89亿      --
93  94  300556  丝路视觉  26.37 -3.72  ...   5.55   3.77亿   0.90亿   23.77亿   56.57
94  95  300459   汤姆猫   5.15 -3.92  ...   6.72  24.97亿  28.53亿  146.92亿   22.62
95  96  300781  因赛集团  25.66 -4.15  ...   3.62   1.84亿   0.36亿    9.19亿   42.27
```

#### 同花顺-指数

接口: stock_board_concept_hist_ths

目标地址: http://q.10jqka.com.cn/gn/detail/code/301558/

描述: 同花顺-板块-概念板块-指数日频率数据

限量: 单次返回所有日频指数数据

输入参数

| 名称         | 类型  | 描述                                                                         |
|------------|-----|----------------------------------------------------------------------------|
| start_year | str | start_year='2000'; 指定开始年份                                                  |
| symbol     | str | symbol="阿里巴巴概念"; 可以通过调用 **ak.stock_board_concept_name_ths()** 查看同花顺的所有概念名称 |

输出参数

| 名称  | 类型      | 描述  |
|-----|---------|-----|
| 日期  | object  | -   |
| 开盘价 | float64 | -   |
| 最高价 | float64 | -   |
| 最低价 | float64 | -   |
| 收盘价 | float64 | -   |
| 成交量 | int64   | -   |
| 成交额 | float64 | -   |

接口示例

```python
import akshare as ak

stock_board_concept_hist_ths_df = ak.stock_board_concept_hist_ths(start_year='2020', symbol="一带一路")
print(stock_board_concept_hist_ths_df)
```

数据示例

```
  日期       开盘价       最高价  ...       收盘价         成交量              成交额
0   2020-01-02  1154.249  1165.727  ...  1165.089  6151305100  44674952000.000
1   2020-01-03  1167.015  1174.117  ...  1172.325  5041909100  35835388000.000
2   2020-01-06  1170.345  1186.953  ...  1178.527  6790413500  47935278000.000
3   2020-01-07  1178.083  1190.517  ...  1190.517  5416339900  37899162000.000
4   2020-01-08  1189.191  1189.824  ...  1176.491  6084009300  42706830000.000
..         ...       ...       ...  ...       ...         ...              ...
360 2021-06-30  1315.572  1320.357  ...  1318.736  5218780500  52146582000.000
361 2021-07-01  1322.871  1323.448  ...  1302.545  5748184400  50141903000.000
362 2021-07-02  1301.641  1306.141  ...  1301.976  6840299100  58940041000.000
363 2021-07-05  1301.644  1316.040  ...  1316.040  6811110700  58032126000.000
364 2021-07-06  1316.929  1320.690  ...  1314.917  4395948300  36338664000.000
```

#### 东方财富-概念板块

接口: stock_board_concept_name_em

目标地址: http://quote.eastmoney.com/center/boardlist.html#concept_board

描述: 东方财富-沪深板块-概念板块

限量: 单次返回当前时刻所有概念板块数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称       | 类型      | 描述     |
|----------|---------|--------|
| 排名       | int64   | -      |
| 板块名称     | object  | -      |
| 板块代码     | object  | -      |
| 最新价      | float64 | -      |
| 涨跌额      | float64 | -      |
| 涨跌幅      | float64 | 注意单位：% |
| 总市值      | int64   | -      |
| 换手率      | float64 | 注意单位：% |
| 上涨家数     | int64   | -      |
| 下跌家数     | int64   | -      |
| 领涨股票     | object  | -      |
| 领涨股票-涨跌幅 | float64 | 注意单位：% |

接口示例

```python
import akshare as ak

stock_board_concept_name_em_df = ak.stock_board_concept_name_em()
print(stock_board_concept_name_em_df)
```

数据示例

```
      排名 板块名称  板块代码  最新价    涨跌额  ... 换手率 上涨家数 下跌家数 领涨股票 领涨股票-涨跌幅
0      1   盲盒经济  BK0954   946.66  39.33  ...  3.82    10     1  沐邦高科      9.98
1      2  元宇宙概念  BK1009  1615.64  44.87  ...  7.04    54    19  大富科技     20.00
2      3    CRO  BK0899  2442.12  61.21  ...  1.48    18     3  诺泰生物     13.43
3      4   稀土永磁  BK0578  2323.35  54.45  ...  5.54    37    16   英洛华      9.95
4      5    云游戏  BK0903  1155.49  24.82  ...  6.38    20     6  佳创视讯     20.02
..   ...    ...     ...      ...    ...  ...   ...   ...   ...   ...       ...
326  327  钠离子电池  BK0988  1815.33 -29.36  ...  3.19     4    12  博众精工      4.31
327  328  HIT电池  BK0908  3460.08 -56.95  ...  4.21     6    18  帝科股份      4.65
328  329   虚拟电厂  BK0958  1611.20 -26.74  ...  4.70     4     6  恒实科技      3.91
329  330     储能  BK0989  1833.43 -33.86  ...  3.52    26   103  天永智能     10.00
330  331    转基因  BK0907  1680.38 -47.34  ...  4.11     1    10  节能铁汉      1.06
```

#### 东方财富-成份股

接口: stock_board_concept_cons_em

目标地址: http://quote.eastmoney.com/center/boardlist.html#boards-BK06551(示例)

描述: 东方财富-沪深板块-概念板块-板块成份

限量: 单次返回当前时刻所有成份股

输入参数

| 名称     | 类型  | 描述                                                                           |
|--------|-----|------------------------------------------------------------------------------|
| symbol | str | symbol="车联网"; 可以通过调用 **ak.stock_board_concept_name_em()** 查看东方财富-概念板块的所有行业名称 |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int64   | -       |
| 代码     | object  | -       |
| 名称     | object  | -       |
| 最新价    | float64 | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 涨跌额    | float64 | -       |
| 成交量    | float64 | 注意单位: 手 |
| 成交额    | float64 | -       |
| 振幅     | float64 | 注意单位: % |
| 最高     | float64 | -       |
| 最低     | float64 | -       |
| 今开     | float64 | -       |
| 昨收     | float64 | -       |
| 换手率    | float64 | 注意单位: % |
| 市盈率-动态 | float64 | -       |
| 市净率    | float64 | -       |

接口示例

```python
import akshare as ak

stock_board_concept_cons_em_df = ak.stock_board_concept_cons_em(symbol="车联网")
print(stock_board_concept_cons_em_df)
```

数据示例

```
    序号      代码     名称     最新价    涨跌幅  ...      今开      昨收    换手率  市盈率-动态   市净率
0    1  688561  奇安信-U  122.76  20.00  ...  106.30  102.30  13.04  -38.86  8.74
1    2  300369   绿盟科技   18.00  20.00  ...   15.25   15.00   4.97  -79.35  4.46
2    3  688080    映翰通   50.46  13.70  ...   44.39   44.38   4.22  268.85  4.05
3    4  300184   力源信息    6.24  11.63  ...    5.81    5.59  11.51   26.15  2.45
4    5  002813   路畅科技   30.09  10.02  ...   28.51   27.35  15.06  664.00  9.40
..  ..     ...    ...     ...    ...  ...     ...     ...    ...     ...   ...
91  92  002355   兴民智通    7.38  -1.86  ...    7.45    7.52   2.62  308.66  1.86
92  93  002352   顺丰控股   64.18  -2.02  ...   65.55   65.50   0.41  -73.92  5.19
93  94  600198  *ST大唐    7.59  -2.44  ...    7.76    7.78   1.64  -26.32 -4.87
94  95  601238   广汽集团   15.42  -2.65  ...   16.90   15.84   2.63   16.87  1.84
95  96  603023   威帝股份    4.13  -3.28  ...    4.30    4.27   0.94  930.36  3.07
```

#### 东方财富-指数-日频

接口: stock_board_concept_hist_em

目标地址: http://quote.eastmoney.com/bk/90.BK0715.html(示例)

描述: 东方财富-沪深板块-概念板块-历史行情数据

限量: 单次返回指定 symbol 和 adjust 的历史数据

输入参数

| 名称         | 类型  | 描述                                                                            |
|------------|-----|-------------------------------------------------------------------------------|
| symbol     | str | symbol="网络安全"; 可以通过调用 **ak.stock_board_concept_name_em()** 查看东方财富-概念板块的所有概念代码 |
| period     | str | period="daily"; choice of {"daily", "weekly", "monthly"}                      |
| start_date | str | start_date="20220101"                                                         |
| end_date   | str | end_date="20221128"                                                           |
| adjust     | str | adjust=""; choice of {'': 不复权, 默认; "qfq": 前复权, "hfq": 后复权}                    |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 日期  | object  | -       |
| 开盘  | float64 | -       |
| 收盘  | float64 | -       |
| 最高  | float64 | -       |
| 最低  | float64 | -       |
| 涨跌幅 | float64 | 注意单位: % |
| 涨跌额 | float64 | -       |
| 成交量 | int64   | -       |
| 成交额 | float64 | -       |
| 振幅  | float64 | 注意单位: % |
| 换手率 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_board_concept_hist_em_df = ak.stock_board_concept_hist_em(symbol="车联网", period="daily", start_date="20220101", end_date="20221128", adjust="")
print(stock_board_concept_hist_em_df)
```

数据示例

```
             日期       开盘       收盘       最高  ...       成交量           成交额    振幅   换手率
0    2022-01-04  1148.82  1159.59  1161.29  ...  23988595  4.145125e+10  1.28  2.14
1    2022-01-05  1157.33  1141.84  1158.64  ...  23743839  4.269546e+10  2.33  2.12
2    2022-01-06  1134.52  1141.12  1146.77  ...  20393590  3.542075e+10  1.52  1.82
3    2022-01-07  1143.19  1112.72  1149.17  ...  20794252  3.330893e+10  3.20  1.85
4    2022-01-10  1110.36  1123.51  1126.83  ...  18111449  3.118377e+10  2.82  1.61
..          ...      ...      ...      ...  ...       ...           ...   ...   ...
213  2022-11-22   993.70   983.63  1000.86  ...  18363822  2.483028e+10  2.11  1.64
214  2022-11-23   981.88   973.02   982.52  ...  18250499  2.352907e+10  2.06  1.63
215  2022-11-24   973.50   965.67   979.01  ...  15611341  1.998162e+10  1.55  1.39
216  2022-11-25   965.18   952.83   966.95  ...  15075562  1.950651e+10  1.46  1.34
217  2022-11-28   940.60   946.95   949.74  ...  14977193  1.961750e+10  1.37  1.34
```

#### 东方财富-指数-分时

接口: stock_board_concept_hist_min_em

目标地址: http://quote.eastmoney.com/bk/90.BK0715.html(示例)

描述: 东方财富-沪深板块-概念板块-分时历史行情数据

限量: 单次返回指定 symbol 和 period 的历史数据

输入参数

| 名称     | 类型  | 描述                                                                           |
|--------|-----|------------------------------------------------------------------------------|
| symbol | str | symbol="长寿药"; 可以通过调用 **ak.stock_board_concept_name_em()** 查看东方财富-概念板块的所有概念代码 |
| period | str | period="5"; choice of {"1", "5", "15", "30", "60"}                           |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 日期时间 | object  | -       |
| 开盘   | float64 | -       |
| 收盘   | float64 | -       |
| 最高   | float64 | -       |
| 最低   | float64 | -       |
| 涨跌幅  | float64 | 注意单位: % |
| 涨跌额  | float64 | -       |
| 成交量  | int64   | -       |
| 成交额  | float64 | -       |
| 振幅   | float64 | 注意单位: % |
| 换手率  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_board_concept_hist_min_em_df = ak.stock_board_concept_hist_min_em(symbol="长寿药", period="5")
print(stock_board_concept_hist_min_em_df)
```

数据示例

```
            日期时间       开盘       收盘  ...      成交额    振幅   换手率
0     2022-01-27 09:35   953.45   952.57  ...  103009149.0  0.51  0.10
1     2022-01-27 09:40   952.75   949.73  ...   87540814.0  0.41  0.10
2     2022-01-27 09:45   949.76   946.46  ...   65333019.0  0.51  0.07
3     2022-01-27 09:50   946.78   945.34  ...   51158903.0  0.26  0.04
4     2022-01-27 09:55   945.74   945.42  ...   38464769.0  0.16  0.04
                ...      ...      ...  ...          ...   ...   ...
1531  2022-03-18 14:40  1001.80  1003.21  ...  271598925.0  0.38  0.18
1532  2022-03-18 14:45  1003.06  1003.14  ...  159881880.0  0.13  0.07
1533  2022-03-18 14:50  1002.91  1002.97  ...  128317212.0  0.17  0.07
1534  2022-03-18 14:55  1002.96  1002.45  ...  160165056.0  0.14  0.08
1535  2022-03-18 15:00  1002.10  1003.23  ...  221659962.0  0.15  0.11
```

### 行业板块

#### 同花顺-成份股-行业名称

接口: stock_board_industry_cons_ths

目标地址: http://q.10jqka.com.cn/thshy/

描述: 同花顺-板块-行业板块-成份股数据

限量: 单次返回当前时刻所有成份股, 调用 **ak.stock_board_industry_info_ths()** 返回该板块信息

输入参数

| 名称     | 类型  | 描述                                                                          |
|--------|-----|-----------------------------------------------------------------------------|
| symbol | str | symbol="半导体及元件"; 可以通过调用 **ak.stock_board_industry_name_ths()** 查看同花顺的所有行业名称 |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 序号   | int64   | -       |
| 代码   | int64   | -       |
| 名称   | object  | -       |
| 现价   | float64 | -       |
| 涨跌幅  | float64 | 注意单位: % |
| 涨跌   | float64 | -       |
| 涨速   | float64 | 注意单位: % |
| 换手   | float64 | 注意单位: % |
| 量比   | float64 | -       |
| 振幅   | float64 | 注意单位: % |
| 成交额  | object  | -       |
| 流通股  | object  | -       |
| 流通市值 | object  | -       |
| 市盈率  | object  | -       |

接口示例

```python
import akshare as ak

stock_board_industry_cons_ths_df = ak.stock_board_industry_cons_ths(symbol="半导体及元件")
print(stock_board_industry_cons_ths_df)
```

数据示例

```
     序号      代码    名称      现价  ...     成交额     流通股   流通市值   市盈率
0      1  600237  铜峰电子    6.69  ...   4.21亿   5.64亿   37.76亿      537.87
1      2  002618  丹邦科技    5.61  ...   3.79亿   5.48亿   30.74亿          --
2      3  688368  晶丰明源  271.83  ...   1.17亿   0.15亿   41.17亿      243.16
3      4  688699  明微电子   94.80  ...   1.78亿   0.17亿   16.03亿       64.52
4      5  002222  福晶科技   18.28  ...  12.28亿   4.23亿   77.31亿       54.44
..   ...     ...   ...     ...  ...     ...     ...      ...         ...
110  111  003026  中晶科技   80.80  ...   4.20亿   0.25亿   20.16亿   92.810000
111  112  300458  全志科技   41.65  ...   9.31亿   2.60亿  108.48亿   67.330000
112  113  603986  兆易创新  174.00  ...  10.91亿   4.39亿  764.15亿   92.000000
113  114  600460   士兰微   27.09  ...  15.11亿  13.12亿  355.44亿  525.820000
114  115  300666  江丰电子   41.97  ...   3.59亿   1.36亿   56.97亿  133.870000
```

#### 同花顺-同花顺行业一览表

接口: stock_board_industry_summary_ths

目标地址: http://q.10jqka.com.cn/thshy/

描述: 同花顺-同花顺行业一览表

限量: 单次返回当前时刻同花顺行业一览表

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述       |
|---------|---------|----------|
| 序号      | int64   | -        |
| 板块      | object  | -        |
| 涨跌幅     | object  | 注意单位: %  |
| 总成交量    | float64 | 注意单位: 万手 |
| 总成交额    | float64 | 注意单位: 亿元 |
| 净流入     | float64 | 注意单位: 亿元 |
| 上涨家数    | float64 | -        |
| 下跌家数    | float64 | -        |
| 均价      | float64 | -        |
| 领涨股     | float64 | -        |
| 领涨股-最新价 | object  | -        |
| 领涨股-涨跌幅 | object  | 注意单位: %  |

接口示例

```python
import akshare as ak

stock_board_industry_summary_ths_df = ak.stock_board_industry_summary_ths()
print(stock_board_industry_summary_ths_df)
```

数据示例

```
   序号      板块   涨跌幅     总成交量    总成交额  ...  下跌家数     均价    领涨股  领涨股-最新价 领涨股-涨跌幅
0    1   房地产开发  3.63  5893.16  300.62  ...     4   5.10    嘉凯城     2.39   10.14
1    2   房地产服务  3.39   150.15   11.53  ...     0   7.68   特发服务    27.00    9.49
2    3      银行  2.59  2932.09  171.64  ...     0   5.85   青岛银行     3.55    9.91
3    4  煤炭开采加工  1.95   841.45   94.19  ...     1  11.19   郑州煤电     5.61    9.36
4    5     贵金属  1.45   287.38   33.96  ...     2  11.82   山东黄金    20.92    4.34
..  ..     ...   ...      ...     ...  ...   ...    ...    ...      ...     ...
71  72   电子化学品 -1.96   105.36   25.40  ...    26  24.11   方邦股份    51.15    3.35
72  73    通信设备 -2.00   558.77   75.24  ...    74  13.46  *ST日海     6.09    5.00
73  74   金属新材料 -2.10   120.74   18.18  ...    23  15.05   合金投资     8.88    2.42
74  75   自动化设备 -2.17   207.64   44.15  ...    73  21.26   光智科技    17.56    4.28
75  76    电力设备 -2.34  2437.39  546.88  ...   290  22.44   良信股份    14.37    3.38
```

#### 同花顺-成份股-行业代码

接口: stock_board_cons_ths

目标地址: http://q.10jqka.com.cn/thshy/detail/code/881121/

描述: 同花顺-板块-行业板块-成份股数据

限量: 单次返回当前时刻所有成份股, 调用 **ak.stock_board_industry_info_ths()** 返回该板块信息

输入参数

| 名称     | 类型  | 描述                      |
|--------|-----|-------------------------|
| symbol | str | symbol="881121"; 输入行业代码 |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 序号   | int64   | -       |
| 代码   | object  | -       |
| 名称   | object  | -       |
| 现价   | float64 | -       |
| 涨跌幅  | float64 | 注意单位: % |
| 涨跌   | float64 | -       |
| 涨速   | float64 | 注意单位: % |
| 换手   | float64 | 注意单位: % |
| 量比   | float64 | -       |
| 振幅   | float64 | 注意单位: % |
| 成交额  | object  | -       |
| 流通股  | object  | -       |
| 流通市值 | object  | -       |
| 市盈率  | object  | -       |

接口示例

```python
import akshare as ak

stock_board_cons_ths_df = ak.stock_board_cons_ths(symbol="881121")
print(stock_board_cons_ths_df)
```

数据示例

```
      序号  代码    名称      现价    涨跌幅  ... 振幅     成交额    流通股     流通市值    市盈率
0      1  603386   广东骏亚   25.80  10.02  ...  12.92   8.07亿  2.22亿   57.27亿  25.48
1      2  603690   至纯科技   55.02   9.97  ...  10.37  14.58亿  3.08亿  169.32亿  69.85
2      3  688233   神工股份   75.45   8.88  ...  11.24   3.72亿  0.82亿   61.50亿  53.60
3      4  300903   科翔股份   26.30   8.19  ...  19.91   2.33亿  0.91亿   24.01亿  52.75
4      5  688699   明微电子  228.78   7.98  ...   8.45   4.00亿  0.18亿   40.41亿  21.27
..   ...     ...    ...     ...    ...  ...    ...     ...    ...      ...    ...
118  119  300852   四会富仕   54.35  -1.65  ...   3.62   1.09亿  0.36亿   19.35亿  29.46
119  120  600198  *ST大唐    8.22  -2.03  ...   6.79   1.22亿  8.80亿   72.37亿     --
120  121  003043   华亚智能   78.65  -2.40  ...   4.96   2.74亿  0.20亿   15.73亿  57.01
121  122  603893    瑞芯微  112.41  -2.62  ...   5.37   6.34亿  1.89亿  212.54亿  86.19
122  123  300657   弘信电子   16.56  -4.00  ...   7.42   2.59亿  4.23亿   70.03亿     --
```

#### 同花顺-指数

接口: stock_board_industry_index_ths

目标地址: http://q.10jqka.com.cn/gn/detail/code/301558/

描述: 同花顺-板块-行业板块-指数日频率数据

限量: 单次返回所有日频指数数据

输入参数

| 名称         | 类型  | 描述                                                                          |
|------------|-----|-----------------------------------------------------------------------------|
| symbol     | str | symbol="半导体及元件"; 可以通过调用 **ak.stock_board_industry_name_ths()** 查看同花顺的所有行业名称 |
| start_date | str | start_date="20200101"; 开始时间                                                 |
| end_date   | str | end_date="20211027"; 结束时间                                                   |

输出参数

| 名称  | 类型      | 描述  |
|-----|---------|-----|
| 日期  | object  | -   |
| 开盘价 | float64 | -   |
| 最高价 | float64 | -   |
| 最低价 | float64 | -   |
| 收盘价 | float64 | -   |
| 成交量 | int64   | -   |
| 成交额 | float64 | -   |

接口示例

```python
import akshare as ak

stock_board_industry_index_ths_df = ak.stock_board_industry_index_ths(symbol="半导体及元件", start_date="20200101",
                                                                      end_date="20211027")
print(stock_board_industry_index_ths_df)
```

数据示例

```
      日期         开盘价     最高价  ...     收盘价       成交量           成交额
3023  2020-01-02  4654.408  4797.587  ...  4786.644  2002317700  4.009537e+10
3024  2020-01-03  4809.805  4856.752  ...  4832.662  1962690500  4.124743e+10
3025  2020-01-06  4786.632  4929.431  ...  4903.621  2176324200  4.169037e+10
3026  2020-01-07  4926.955  4945.314  ...  4945.314  1917439400  3.713441e+10
3027  2020-01-08  4906.977  4943.064  ...  4862.565  2093042900  4.104522e+10
...          ...       ...       ...  ...       ...         ...           ...
3456  2021-10-20  8075.738  8108.520  ...  8055.036   995390630  3.739079e+10
3457  2021-10-21  8048.168  8048.168  ...  7924.214   972587170  3.697853e+10
3458  2021-10-22  7964.273  8116.254  ...  8029.454  1182554640  5.501477e+10
3459  2021-10-25  8032.028  8081.339  ...  8081.339   961068090  4.505136e+10
3460  2021-10-26  8071.109  8141.174  ...  8094.707  1341869440  5.715445e+10
```

#### 东方财富-行业板块

接口: stock_board_industry_name_em

目标地址: http://quote.eastmoney.com/center/boardlist.html#industry_board

描述: 东方财富-沪深京板块-行业板块

限量: 单次返回当前时刻所有行业板块数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| - | - |  -|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 排名          | int64   |   -    |
| 板块名称          | object   |   -    |
| 板块代码          | object   |   -    |
| 最新价          | float64   |   -    |
| 涨跌额          | float64   |   -    |
| 涨跌幅          | float64   |   注意单位：%    |
| 总市值          | int64   |   -    |
| 换手率          | float64   |   注意单位：%    |
| 上涨家数          | int64   |   -    |
| 下跌家数          | int64   |   -    |
| 领涨股票          | object   |   -    |
| 领涨股票-涨跌幅          | float64   |   注意单位：%    |

接口示例

```python
import akshare as ak

stock_board_industry_name_em_df = ak.stock_board_industry_name_em()
print(stock_board_industry_name_em_df)
```

数据示例

```
    排名  板块名称 板块代码   最新价   涨跌额  ... 换手率 上涨家数 下跌家数 领涨股票 领涨股票-涨跌幅
0    1   小金属  BK1027   1928.58   59.34  ...  3.02    33     7   英洛华      9.98
1    2  能源金属  BK1015   1135.19   32.39  ...  3.66     6     1  盛新锂能      8.50
2    3    电池  BK1033   1862.93   48.74  ...  2.07    35     4   璞泰来     10.00
3    4  环保行业  BK0728    475.91    9.00  ...  1.95    80    18   倍杰特     20.01
4    5  化肥行业  BK0731   1350.50   23.05  ...  2.25    21     5  芭田股份      8.17
..  ..   ...     ...       ...     ...  ...   ...   ...   ...   ...       ...
79  80  电信运营  BK0736    839.54  -10.51  ...  0.36     0     6  中国电信     -0.23
80  81  旅游酒店  BK0485  11173.08 -145.74  ...  0.69     3    35  金马游乐      7.19
81  82    电机  BK1030   1635.07  -24.86  ...  3.57     4    16  江特电机      3.25
82  83  煤炭行业  BK0437   8014.74 -126.25  ...  0.80     1    35  ST大洲      1.95
83  84   半导体  BK1036   1628.37  -36.14  ...  2.23     8    72   阿石创      3.84
```

#### 东方财富-成份股

接口: stock_board_industry_cons_em

目标地址: https://data.eastmoney.com/bkzj/BK1027.html

描述: 东方财富-沪深板块-行业板块-板块成份

限量: 单次返回指定 symbol 的所有成份股

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="小金属"; 可以通过调用 **ak.stock_board_industry_name_em()** 查看东方财富-行业板块的所有行业代码|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int64   |   -    |
| 代码          | object   |   -    |
| 名称          | object   |  -    |
| 最新价          | float64   |   -    |
| 涨跌幅         | float64   |   注意单位: %    |
| 涨跌额         | float64   |   -    |
| 成交量          | float64   |  注意单位: 手    |
| 成交额          | float64   |   -    |
| 振幅          | float64   |   注意单位: %    |
| 最高          | float64   |  -    |
| 最低          | float64   |  -    |
| 今开          | float64   |   -    |
| 昨收          | float64   |   -    |
| 换手率          | float64   |  注意单位: %    |
| 市盈率-动态          | float64   |  -    |
| 市净率          | float64   |  -    |

接口示例

```python
import akshare as ak

stock_board_industry_cons_em_df = ak.stock_board_industry_cons_em(symbol="小金属")
print(stock_board_industry_cons_em_df)
```

数据示例

```
    序号 代码     名称     最新价   涨跌幅  ...   今开   昨收   换手率   市盈率-动态  市净率
0    1  688190    N云路  123.05  163.89  ...  120.00  46.63  57.34   124.09   8.20
1    2  300127   银河磁体   31.40   19.35  ...   26.06  26.31  17.18    50.84   7.63
2    3  600259   广晟有色   56.40   10.01  ...   50.95  51.27   3.90   101.36   9.38
3    4  000795    英洛华    8.82    9.98  ...    8.20   8.02   7.67    52.16   4.03
4    5  600392   盛和资源   23.12    8.90  ...   21.12  21.23   8.03    36.60   4.97
5    6  002182   云海金属   22.92    7.71  ...   21.22  21.28   7.95    42.14   4.91
6    7  300811   铂科新材  106.23    7.43  ...   99.28  98.88   2.49    97.92  11.72
7    8  300835   龙磁科技   80.83    7.06  ...   75.50  75.50  11.04    41.31   6.17
8    9  002057   中钢天源    9.31    5.68  ...    8.75   8.81   6.62    33.76   2.43
9   10  000970   中科三环   15.10    5.45  ...   14.34  14.32   6.10    58.71   3.36
10  11  002378   章源钨业    9.98    5.27  ...    9.40   9.48   3.40    74.12   5.15
11  12  300748   金力永磁   53.02    4.53  ...   50.81  50.72   4.71    80.45  13.68
12  13  600111   北方稀土   56.47    4.28  ...   53.42  54.15   3.42    48.86  15.29
13  14  600980   北矿科技   19.32    4.09  ...   18.46  18.56   6.92    45.35   3.70
14  15  603399   吉翔股份    7.83    3.98  ...    7.61   7.53   3.27    69.61   2.06
15  16  000657   中钨高新   18.82    3.29  ...   17.87  18.22   4.32    38.12   4.21
16  17  601958   金钼股份    7.62    3.25  ...    7.45   7.38   0.82    43.80   2.06
17  18  002056   横店东磁   19.21    3.17  ...   18.59  18.62   4.44    26.47   4.82
18  19  600366   宁波韵升   15.02    2.95  ...   14.75  14.59   8.08    29.78   3.16
19  20  002167   东方锆业    8.83    2.67  ...    8.52   8.60   3.79    41.53   5.54
20  21  300328   宜安科技    8.54    2.28  ...    8.34   8.35   1.74  3281.86   4.59
21  22  002149   西部材料   20.35    2.06  ...   20.06  19.94   2.62    72.11   3.83
22  23  002842   翔鹭钨业   10.02    2.04  ...    9.78   9.82   3.48    51.94   2.83
23  24  000831   五矿稀土   46.16    2.03  ...   44.50  45.24   5.10   171.60  17.33
24  25  000633   合金投资    7.08    2.02  ...    6.90   6.94   0.70  1025.38  16.34
25  26  002428   云南锗业   12.33    1.99  ...   12.04  12.09   2.70   393.12   5.47
26  27  000962   东方钽业   11.86    1.98  ...   11.53  11.63   2.01    42.17   4.00
27  28  300224   正海磁材   22.00    1.85  ...   21.42  21.60  10.93    73.73   6.74
28  29  603993   洛阳钼业    5.95    1.19  ...    5.85   5.88   1.01    27.09   3.26
29  30  600549   厦门钨业   26.18    0.81  ...   25.92  25.97   3.25    27.98   4.23
30  31  301026   浩通科技   70.59    0.38  ...   70.20  70.32   2.69    27.58   6.40
31  32  600615  *ST丰华    7.93    0.38  ...    7.86   7.90   0.07  -588.83   2.36
32  33  002738   中矿资源   65.99    0.17  ...   65.05  65.88   3.17    52.91   5.74
33  34  605376   博迁新材   78.40   -0.23  ...   77.90  78.58   1.50    86.77  13.43
34  35  600459   贵研铂业   26.27   -0.49  ...   26.35  26.40   0.71    32.88   4.07
35  36  600206   有研新材   15.67   -0.76  ...   15.69  15.79   2.90    46.93   3.93
36  37  688077    大地熊   92.43   -2.09  ...   94.81  94.40   8.42    52.77   7.42
37  38  600456   宝钛股份   66.11   -2.35  ...   67.39  67.70   1.61    50.27   5.31
38  39  600281   华阳新材    6.35   -2.46  ...    6.22   6.51   5.01  -219.18   6.34
39  40  000960   锡业股份   18.71   -2.86  ...   18.60  19.26   2.21    13.04   2.11
```

#### 东方财富-指数-日频

接口: stock_board_industry_hist_em

目标地址: http://quote.eastmoney.com/bk/90.BK1027.html

描述: 东方财富-沪深板块-行业板块-历史行情数据

限量: 单次返回指定 symbol 和 adjust 的所有历史数据

输入参数

| 名称         | 类型  | 描述                                                                            |
|------------|-----|-------------------------------------------------------------------------------|
| symbol     | str | symbol="小金属"; 可以通过调用 **ak.stock_board_industry_name_em()** 查看东方财富-行业板块的所有行业代码 |
| start_date | str | start_date="20211201";                                                        |
| end_date   | str | end_date="20220401";                                                          |
| period     | str | period="日k"; 周期; choice of {"日k", "周k", "月k"}                                 |
| adjust     | str | adjust=""; choice of {'': 不复权, 默认; "qfq": 前复权, "hfq": 后复权}                    |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 日期  | object  | -       |
| 开盘  | float64 | -       |
| 收盘  | float64 | -       |
| 最高  | float64 | -       |
| 最低  | float64 | -       |
| 涨跌幅 | float64 | 注意单位: % |
| 涨跌额 | float64 | -       |
| 成交量 | int64   | -       |
| 成交额 | float64 | -       |
| 振幅  | float64 | 注意单位: % |
| 换手率 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_board_industry_hist_em_df = ak.stock_board_industry_hist_em(symbol="小金属", start_date="20211201", end_date="20220401", period="日k", adjust="")
print(stock_board_industry_hist_em_df)
```

数据示例

```
     日期       开盘       收盘       最高  ...    成交量         成交额    振幅   换手率
0   2021-12-01  1915.46  1915.23  1919.43  ...  17207231  3.134633e+10  1.77  3.60
1   2021-12-02  1909.70  1925.26  1947.38  ...  17723129  3.914958e+10  3.32  3.70
2   2021-12-03  1912.86  1923.48  1930.06  ...  14027893  3.125242e+10  2.52  2.93
3   2021-12-06  1924.43  1901.92  1940.57  ...  15612344  3.377371e+10  2.07  3.26
4   2021-12-07  1914.66  1851.77  1917.07  ...  14501660  3.131906e+10  4.61  3.03
..         ...      ...      ...      ...  ...       ...           ...   ...   ...
77  2022-03-28  1634.44  1615.75  1635.83  ...   6012528  1.089638e+10  2.35  1.26
78  2022-03-29  1620.56  1599.60  1628.25  ...   5281248  1.126460e+10  2.27  1.10
79  2022-03-30  1613.74  1639.11  1639.33  ...   6600491  1.247490e+10  1.93  1.38
80  2022-03-31  1639.40  1617.70  1639.40  ...   6728750  1.303090e+10  1.72  1.41
81  2022-04-01  1608.64  1613.60  1627.96  ...   5873748  1.135029e+10  1.78  1.23
```

#### 东方财富-指数-分时

接口: stock_board_industry_hist_min_em

目标地址: http://quote.eastmoney.com/bk/90.BK1027.html

描述: 东方财富-沪深板块-行业板块-分时历史行情数据

限量: 单次返回指定 symbol 和 period 的所有历史数据

输入参数

| 名称     | 类型  | 描述                                                                            |
|--------|-----|-------------------------------------------------------------------------------|
| symbol | str | symbol="小金属"; 可以通过调用 **ak.stock_board_industry_name_em()** 查看东方财富-行业板块的所有行业代码 |
| period | str | period=""; choice of {"1", "5", "15", "30", "60"}                             |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 日期时间 | object  | -       |
| 开盘   | float64 | -       |
| 收盘   | float64 | -       |
| 最高   | float64 | -       |
| 最低   | float64 | -       |
| 涨跌幅  | float64 | 注意单位: % |
| 涨跌额  | float64 | -       |
| 成交量  | int64   | -       |
| 成交额  | float64 | -       |
| 振幅   | float64 | 注意单位: % |
| 换手率  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_board_industry_hist_min_em_df = ak.stock_board_industry_hist_min_em(symbol="小金属", period="5")
print(stock_board_industry_hist_min_em_df)
```

数据示例

```
             日期时间       开盘       收盘  ...     成交额    振幅   换手率
0     2022-01-27 09:35  1631.07  1630.55  ...  861888173.0  0.57  0.11
1     2022-01-27 09:40  1630.48  1630.70  ...  495715682.0  0.43  0.06
2     2022-01-27 09:45  1630.51  1621.31  ...  397528214.0  0.73  0.05
3     2022-01-27 09:50  1621.40  1617.92  ...  310545743.0  0.34  0.04
4     2022-01-27 09:55  1617.86  1613.03  ...  262264916.0  0.31  0.04
                ...      ...      ...  ...          ...   ...   ...
1531  2022-03-18 14:40  1642.06  1639.91  ...  225596126.0  0.14  0.03
1532  2022-03-18 14:45  1639.91  1641.68  ...  233619137.0  0.12  0.03
1533  2022-03-18 14:50  1641.60  1642.45  ...  292198485.0  0.10  0.04
1534  2022-03-18 14:55  1642.33  1641.96  ...  437378519.0  0.06  0.05
1535  2022-03-18 15:00  1641.91  1641.87  ...  560186495.0  0.06  0.06
```

### 股票热度

#### 股票热度-雪球

##### 关注排行榜

接口: stock_hot_follow_xq

目标地址: https://xueqiu.com/hq

描述: 雪球-沪深股市-热度排行榜-关注排行榜

限量: 单次返回所有股票的热度数据

输入参数

| 名称     | 类型  | 描述                                      |
|--------|-----|-----------------------------------------|
| symbol | str | symbol="最热门"; choice of {"本周新增", "最热门"} |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 股票代码 | object  | -       |
| 股票简称 | object  | -       |
| 关注   | float64 | -       |
| 最新价  | float64 | 注意单位: 元 |

接口示例

```python
import akshare as ak

stock_hot_follow_xq_df = ak.stock_hot_follow_xq(symbol="最热门")
print(stock_hot_follow_xq_df)
```

数据示例

```
        股票代码  股票简称      关注      最新价
0     SH600519  贵州茅台  2305090.0  1794.92
1     SH601318  中国平安  1964067.0    43.91
2     SH600036  招商银行  1622413.0    38.04
3     SZ000651  格力电器  1403675.0    30.46
4     SZ000002   万科A  1110551.0    18.23
        ...   ...        ...      ...
4884  BJ831689   克莱特      162.0     9.50
4885  BJ832419  路斯股份      159.0     5.25
4886  BJ873169  七丰精工      120.0     6.12
4887  SZ000739  普洛药业        NaN    18.73
4888  SZ001203  大中矿业        NaN    11.11
```

##### 讨论排行榜

接口: stock_hot_tweet_xq

目标地址: https://xueqiu.com/hq

描述: 雪球-沪深股市-热度排行榜-讨论排行榜

限量: 单次返回所有股票的热度数据

输入参数

| 名称     | 类型  | 描述                                      |
|--------|-----|-----------------------------------------|
| symbol | str | symbol="最热门"; choice of {"本周新增", "最热门"} |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 股票代码 | object  | -       |
| 股票简称 | object  | -       |
| 关注   | float64 | -       |
| 最新价  | float64 | 注意单位: 元 |

接口示例

```python
import akshare as ak

stock_hot_tweet_xq_df = ak.stock_hot_tweet_xq(symbol="最热门")
print(stock_hot_tweet_xq_df)
```

数据示例

```
       股票代码  股票简称     关注      最新价
0     SH600519  贵州茅台  255129.0  1794.92
1     SH601919  中远海控  254436.0    13.93
2     SZ300750  宁德时代  177185.0   407.05
3     SZ002594   比亚迪  176794.0   235.01
4     SZ000651  格力电器  162797.0    30.46
        ...   ...       ...      ...
4884  BJ838924  广脉科技       0.0     6.30
4885  BJ837212  智新电子       0.0     8.10
4886  BJ831305  海希通讯       0.0    20.05
4887  BJ830799  艾融软件       0.0     9.53
4888  SZ001203  大中矿业       NaN    11.11
```

##### 分享交易排行榜

接口: stock_hot_deal_xq

目标地址: https://xueqiu.com/hq

描述: 雪球-沪深股市-热度排行榜-分享交易排行榜

限量: 单次返回所有股票的热度数据

输入参数

| 名称     | 类型  | 描述                                      |
|--------|-----|-----------------------------------------|
| symbol | str | symbol="最热门"; choice of {"本周新增", "最热门"} |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 股票代码 | object  | -       |
| 股票简称 | object  | -       |
| 关注   | float64 | -       |
| 最新价  | float64 | 注意单位: 元 |

接口示例

```python
import akshare as ak

stock_hot_deal_xq_df = ak.stock_hot_deal_xq(symbol="最热门")
print(stock_hot_deal_xq_df)
```

数据示例

```
          股票代码  股票简称     关注      最新价
0     SH601318  中国平安  529.0    43.91
1     SZ000002   万科A  299.0    18.23
2     SZ000651  格力电器  271.0    30.46
3     SH600519  贵州茅台  263.0  1794.92
4     SH600036  招商银行  217.0    38.04
        ...   ...    ...      ...
4884  BJ838924  广脉科技    0.0     6.30
4885  BJ837212  智新电子    0.0     8.10
4886  BJ831305  海希通讯    0.0    20.05
4887  BJ830799  艾融软件    0.0     9.53
4888  SZ001203  大中矿业    NaN    11.11
```

#### 股票热度-问财

接口: stock_hot_rank_wc

目标地址: http://www.iwencai.com/unifiedwap/home/index

描述: 问财-热门股票排名数据

限量: 单次返回所有股票的热门排名数据, 当前交易日的数据请在夜间访问; 请注意访问的频率

输入参数

| 名称   | 类型  | 描述                    |
|------|-----|-----------------------|
| date | str | date="20210218"; 查询日期 |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int32   | -       |
| 股票代码   | object  | -       |
| 股票简称   | object  | -       |
| 现价     | float64 | 注意单位: 元 |
| 涨跌幅    | float64 | 注意单位: % |
| 个股热度   | float64 | -       |
| 个股热度排名 | object  | -       |
| 排名日期   | object  | -       |

接口示例

```python
import akshare as ak

stock_hot_rank_wc_df = ak.stock_hot_rank_wc(date="20210928")
print(stock_hot_rank_wc_df)
```

数据示例

```
        序号    股票代码  股票简称     现价    涨跌幅      个股热度     个股热度排名      排名日期
0        1  601868  中国能建   3.03  10.18  387436.0     1/4525  20210929
1        2  000591   太阳能  12.27  -1.60  290365.0     2/4525  20210929
2        3  000993  闽东电力  16.24  10.03  241791.0     3/4525  20210929
3        4  000651  格力电器  39.30   3.12  225477.5     4/4525  20210929
4        5  601857  中国石油   6.04  -6.93  187272.0     5/4525  20210929
...    ...     ...   ...    ...    ...       ...        ...       ...
4520  4521  688255   凯尔达    NaN    NaN      45.5  4521/4525  20210929
4521  4522  601206   海尔施    NaN    NaN      39.0  4522/4525  20210929
4522  4523  688285  高铁电气    NaN    NaN      35.0  4523/4525  20210929
4523  4524  300728  天常股份    NaN    NaN      31.5  4524/4525  20210929
4524  4525  603302  鑫广绿环    NaN    NaN      20.0  4525/4525  20210929
```

#### 股票热度-东财

接口: stock_hot_rank_em

目标地址: http://guba.eastmoney.com/rank/

描述: 东方财富网站-股票热度

限量: 单次返回当前交易日前 100 个股票的人气排名数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 当前排名 | int64   | -       |
| 代码   | object  | -       |
| 股票名称 | object  | -       |
| 最新价  | float64 | -       |
| 涨跌幅  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_hot_rank_em_df = ak.stock_hot_rank_em()
print(stock_hot_rank_em_df)
```

数据示例

```
    当前排名  代码     股票名称  最新价  涨跌幅
0      1  SZ300059  东方财富  27.36  -0.47
1      2  SZ002432  九安医疗  56.91   3.19
2      3  SZ002349  精华制药  13.71  10.03
3      4  SH603123  翠微股份  25.05  -1.14
4      5  SZ002400  省广集团   6.12  -5.26
..   ...       ...   ...    ...    ...
95    96  SZ000958  东方能源   5.03  -6.68
96    97  SZ000925  众合科技   9.98  10.03
97    98  SZ002155  湖南黄金  11.56   3.21
98    99  SH601899  紫金矿业  10.90  -1.45
99   100  SZ002232  启明信息  17.36  -3.50
```

#### 股票热度-淘股吧

接口: stock_hot_tgb

目标地址: https://www.taoguba.com.cn/stock/moreHotStock

描述: 淘股吧-热门股票

限量: 单次返回排名前 20 股票

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 个股代码 | object  | -       |
| 个股名称 | object  | -       |

接口示例

```python
import akshare as ak

stock_hot_tgb_df = ak.stock_hot_tgb()
print(stock_hot_tgb_df)
```

数据示例

```
        个股代码  个股名称
0   sz002251   步步高
1   sz000715  中兴商业
2   sh605138  盛泰集团
3   sh603696  安记食品
4   sz001234   泰慕士
5   sh600313  农发种业
6   sz000736  中交地产
7   sh603266  天龙股份
8   sz000416  民生控股
9   sh600508  上海能源
10  sh601086  国芳集团
11  sh600785  新华百货
12  sz000722  湖南发展
13  sh600630  龙头股份
14  sh600938  中国海油
15  sz002761  浙江建投
16  sh600448  华纺股份
17  sz000514   渝开发
18  sz002264   新华都
19  sz301088  戎美股份
```

#### 历史趋势及粉丝特征

接口: stock_hot_rank_detail_em

目标地址: http://guba.eastmoney.com/rank/stock?code=000665

描述: 东方财富网站-股票热度-历史趋势及粉丝特征

限量: 单次返回指定 symbol 的股票近期历史数据

输入参数

| 名称     | 类型  | 描述                |
|--------|-----|-------------------|
| symbol | str | symbol="SZ000665" |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 排名   | int64   | -   |
| 证券代码 | object  | -   |
| 新晋粉丝 | float64 | -   |
| 铁杆粉丝 | float64 | -   |

接口示例

```python
import akshare as ak

stock_hot_rank_detail_em_df = ak.stock_hot_rank_detail_em(symbol="SZ000665")
print(stock_hot_rank_detail_em_df)
```

数据示例

```
          时间    排名  证券代码    新晋粉丝 铁杆粉丝
0    2021-10-19  3369  SZ000665  0.6241  0.3759
1    2021-10-20  3788  SZ000665  0.5462  0.4538
2    2021-10-21  3656  SZ000665  0.5341  0.4659
3    2021-10-22  3952  SZ000665  0.5227  0.4773
4    2021-10-23  3975  SZ000665  0.5048  0.4952
..          ...   ...       ...     ...     ...
115  2022-02-11    11  SZ000665  0.2307  0.7693
116  2022-02-12    61  SZ000665  0.2520  0.7480
117  2022-02-13    81  SZ000665  0.2593  0.7407
118  2022-02-14    75  SZ000665  0.2263  0.7737
119  2022-02-15    35  SZ000665  0.1977  0.8023
```

#### 个股人气榜-实时变动

接口: stock_hot_rank_detail_realtime_em

目标地址: http://guba.eastmoney.com/rank/stock?code=000665

描述: 东方财富个股人气榜-实时变动

限量: 单次返回指定 symbol 的股票近期历史数据

输入参数

| 名称     | 类型  | 描述                |
|--------|-----|-------------------|
| symbol | str | symbol="SZ000665" |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 时间   | object  | -   |
| 排名   | int64   | -   |

接口示例

```python
import akshare as ak

stock_hot_rank_detail_realtime_em_df = ak.stock_hot_rank_detail_realtime_em(symbol="SZ000665")
print(stock_hot_rank_detail_realtime_em_df)
```

数据示例

```
                  时间   排名
0   2022-02-26 00:00:00  170
1   2022-02-26 00:10:00  170
2   2022-02-26 00:20:00  170
3   2022-02-26 00:30:00  170
4   2022-02-26 00:40:00  171
..                  ...  ...
94  2022-02-26 15:40:00  225
95  2022-02-26 15:50:00  224
96  2022-02-26 16:00:00  222
97  2022-02-26 16:10:00  215
98  2022-02-26 16:20:00  211
```

#### 热门关键词

接口: stock_hot_keyword_em

目标地址: http://guba.eastmoney.com/rank/stock?code=000665

描述: 东方财富-个股人气榜-关键词

限量: 单次返回指定 symbol 的最近交易日时点数据

输入参数

| 名称     | 类型  | 描述                |
|--------|-----|-------------------|
| symbol | str | symbol="SZ000665" |

输出参数

| 名称   | 类型     | 描述  |
|------|--------|-----|
| 时间   | object | -   |
| 股票代码 | object | -   |
| 概念名称 | object | -   |
| 概念代码 | object | -   |
| 热度   | int64  | -   |

接口示例

```python
import akshare as ak

stock_hot_keyword_em_df = ak.stock_hot_keyword_em(symbol="SZ000665")
print(stock_hot_keyword_em_df)
```

数据示例

```
               时间      股票代码   概念名称    概念代码  热度
0  2022-02-28 12:00:00  SZ000665  元宇宙概念  BK1009  2138
1  2022-02-28 12:00:00  SZ000665     广电  BK0904  1082
2  2022-02-28 12:00:00  SZ000665    云计算  BK0579   411
3  2022-02-28 12:00:00  SZ000665   虚拟现实  BK0722   152
4  2022-02-28 12:00:00  SZ000665   彩票概念  BK0671   131
5  2022-02-28 12:00:00  SZ000665   转债标的  BK0528    51
6  2022-02-28 12:00:00  SZ000665   华为概念  BK0854    36
7  2022-02-28 12:00:00  SZ000665   智慧城市  BK0628    31
8  2022-02-28 12:00:00  SZ000665   预盈预增  BK0571    13
9  2022-02-28 12:00:00  SZ000665   超清视频  BK0859     1
```

#### 内部交易

接口: stock_inner_trade_xq

目标地址: https://xueqiu.com/hq/insider

描述: 雪球-行情中心-沪深股市-内部交易

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 股票代码   | object  | -   |
| 股票名称   | object  | -   |
| 变动日期   | object  | -   |
| 变动人    | object  | -   |
| 变动股数   | int64   | -   |
| 成交均价   | float64 | -   |
| 变动后持股数 | float64 | -   |
| 与董监高关系 | object  | -   |
| 董监高职务  | object  | -   |

接口示例

```python
import akshare as ak

stock_inner_trade_xq_df = ak.stock_inner_trade_xq()
print(stock_inner_trade_xq_df)
```

数据示例

```
        股票代码  股票名称   变动日期  ...     变动后持股数  与董监高关系   董监高职务
0      SH688019  安集科技  2022-04-27  ...     3364.0          核心技术人员
1      SH603668  天马科技  2022-04-27  ...  9283431.0      本人      董事
2      SH603668  天马科技  2022-04-27  ...  6228100.0      本人      董事
3      SH603656  泰禾智能  2022-04-27  ...   199700.0      本人      董事
4      SZ300931  通用电梯  2022-04-26  ...  1591200.0      本人      董事
         ...   ...         ...  ...        ...     ...     ...
15971  SH601838  成都银行  2021-01-03  ...   160000.0      本人      董事
15972  SH601107  四川成渝  2021-01-03  ...    30000.0      本人      董事
15973  SH600988  赤峰黄金  2021-01-03  ...     2000.0      本人      监事
15974  SH600760  中航沈飞  2021-01-03  ...    79000.0      本人  高级管理人员
15975  SH600760  中航沈飞  2021-01-03  ...    35100.0      本人  高级管理人员
```

#### 个股人气榜-最新排名

接口: stock_hot_rank_latest_em

目标地址: http://guba.eastmoney.com/rank/stock?code=000665

描述: 东方财富-个股人气榜-最新排名

限量: 单次返回指定 symbol 的股票近期历史数据

输入参数

| 名称     | 类型  | 描述                |
|--------|-----|-------------------|
| symbol | str | symbol="SZ000665" |

输出参数

| 名称    | 类型     | 描述  |
|-------|--------|-----|
| item  | object | -   |
| value | object | -   |

接口示例

```python
import akshare as ak

stock_hot_rank_latest_em_df = ak.stock_hot_rank_latest_em(symbol="SZ000665")
print(stock_hot_rank_latest_em_df)
```

数据示例

```
                 item                value
0          marketType               000001
1      marketAllCount                 4735
2            calcTime  2022-02-28 13:30:00
3           innerCode               000665
4     srcSecurityCode             SZ000665
5                rank                  155
6          rankChange                   -2
7       hisRankChange                  141
8  hisRankChange_rank                 1654
9                flag                    0
```

#### 热搜股票

接口: stock_hot_search_baidu

目标地址: https://gushitong.baidu.com/expressnews

描述: 百度股市通-热搜股票

限量: 单次返回指定 symbol, date 和 time 的热搜股票数据

输入参数

| 名称     | 类型  | 描述                                                            |
|--------|-----|---------------------------------------------------------------|
| symbol | str | symbol="A股"; choice of {"全部", "A股", "港股", "美股"}               |
| date   | str | date="20221014"                                               |
| time   | str | time="0"; 默认 time=0，则为当天的排行；如 time="16"，则为 date 的 16 点的热门股票排行 |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 股票名称   | object  | -   |
| 涨跌幅    | object  | -   |
| 综合热度   | float64 | -   |
| 所属板块名称 | object  | -   |
| 市场代码   | object  | -   |
| 所属板块代码 | object  | -   |
| 排名变化   | float64 | -   |
| 是否连续上榜 | float64 | -   |

接口示例

```python
import akshare as ak

stock_hot_search_baidu_df = ak.stock_hot_search_baidu(symbol="A股", date="20221014", time="18")
print(stock_hot_search_baidu_df)
```

数据示例

```
     股票名称      涨跌幅    综合热度  所属板块名称       市场代码  所属板块代码  排名变化  是否连续上榜
0    恒瑞医药   +9.99%  163461    化学制药  600276.SS  370100     0       0
1    隆基绿能   +8.98%  148852    光伏设备  601012.SS  630500     0       0
2    江特电机   +2.98%  137804    能源金属  002176.SZ  240600     0       0
3    浙商证券   +5.08%  136160     证券Ⅱ  601878.SS  490100    -2       1
4     英威腾   +7.37%  135730   自动化设备  002334.SZ  640700     0       0
5     C慧博   +1.89%  133713          301316.SZ             0       0
6    中公教育  +10.12%  133321      教育  002607.SZ  461100     0       0
7    顺丰控股   +8.21%  132897      物流  002352.SZ  420800     0       0
8    九安医疗   +6.31%  131990    医疗器械  002432.SZ  370500     0       0
9    普洛药业   +9.67%  128098    化学制药  000739.SZ  370100     0       0
10   均胜电子   +2.43%  126786   汽车零部件  600699.SS  280200     0       0
11   迈瑞医疗  +13.64%  125901    医疗器械  300760.SZ  370500     0       0
12   彩虹集团   -3.07%  124328     小家电  003023.SZ  330300     0       0
13   以岭药业   +4.29%  123566     中药Ⅱ  002603.SZ  370200     0       0
14   卫宁健康   +7.75%  123528    软件开发  300253.SZ  710400     0       0
15   歌尔股份   +5.04%  122972    消费电子  002241.SZ  270500     0       0
16  TCL科技   +4.33%  122443   光学光电子  000100.SZ  270300     0       0
17   宝馨科技   +1.99%  122437    通用设备  002514.SZ  640100     0       0
18   科大讯飞   +4.07%  120441    软件开发  002230.SZ  710400     0       0
19   汉王科技  +10.04%  119717    软件开发  002362.SZ  710400     0       0
20   千禾味业   -0.72%  119698  调味发酵品Ⅱ  603027.SS  340900     0       0
21   皇氏集团  +10.07%  119413    饮料乳品  002329.SZ  340700     0       0
22  南  玻Ａ   +4.05%  119129    玻璃玻纤  000012.SZ  610200     0       0
23  阳 光 城   +1.04%  118241   房地产开发  000671.SZ  430100     0       0
24   大连重工   +1.89%  117886    专用设备  002204.SZ  640200     0       0
25   河化股份   +3.83%  117304    化学制药  000953.SZ  370100     0       0
26   横店东磁   +3.40%  117302   金属新材料  002056.SZ  240200     0       0
27   天禾股份   +9.96%  117146    农化制品  002999.SZ  220800     0       0
28   盐湖股份   +4.45%  116620    农化制品  000792.SZ  220800     0       0
29   锦浪科技   +4.75%  116603    光伏设备  300763.SZ  630500     0       0
30   国际医学   +6.23%  116396    医疗服务  000516.SZ  370600     0       0
31    聚赛龙   +1.80%  116197      塑料  301131.SZ  220500     0       0
32  TCL中环   +5.01%  114850    光伏设备  002129.SZ  630500     0       0
33   华电国际   +0.15%  114827      电力  600027.SS  410100     0       0
34   美年健康   +4.03%  114671    医疗服务  002044.SZ  370600     0       0
35   宁德时代   +1.14%  114573      电池  300750.SZ  630700     0       0
36   永太科技   +1.98%  114062    化学制品  002326.SZ  220300     0       0
37   国新健康   +9.98%  113843    软件开发  000503.SZ  710400     0       0
38   运达股份   +6.20%  113821    风电设备  300772.SZ  630600     0       0
39   三元生物   +3.61%  113751    化学制品  301206.SZ  220300     0       0
40   浙江永强   -1.99%  113733    家居用品  002489.SZ  360300     0       0
41   洛阳钼业   +3.24%  113711     小金属  603993.SS  240500     0       0
42   楚江新材   +2.60%  113594    工业金属  002171.SZ  240300     0       0
43   环旭电子   +4.21%  113494    消费电子  601231.SS  270500     0       0
44   中国医药   +4.72%  113315    医药商业  600056.SS  370400     0       0
45   家联科技   +4.51%  113300    家居用品  301193.SZ  360300     0       0
46   西藏珠峰   +5.95%  112747    工业金属  600338.SS  240300     0       0
47   梦天家居   +2.02%  112701    家居用品  603216.SS  360300     0       0
48   奥马电器   +5.68%  112622    白色家电  002668.SZ  330100     0       0
49   良品铺子   +0.42%  112471    休闲食品  603719.SS  340800     0       0
```

#### 相关股票

接口: stock_hot_rank_relate_em

目标地址: http://guba.eastmoney.com/rank/stock?code=000665

描述: 东方财富-个股人气榜-相关股票

限量: 单次返回指定 symbol 的股票近期历史数据

输入参数

| 名称     | 类型  | 描述                |
|--------|-----|-------------------|
| symbol | str | symbol="SZ000665" |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 时间     | object  | -   |
| 股票代码   | object  | -   |
| 相关股票代码 | object  | -   |
| 涨跌幅    | float64 | -   |

接口示例

```python
import akshare as ak

stock_hot_rank_relate_em_df = ak.stock_hot_rank_relate_em(symbol="SZ000665")
print(stock_hot_rank_relate_em_df)
```

数据示例

```
          时间           股票代码   相关股票代码  涨跌幅
0  2022-02-28 12:00:00  SZ000665  SH601789  9.41
1  2022-02-28 12:00:00  SZ000665  SH600996  8.76
2  2022-02-28 12:00:00  SZ000665  SZ002432  8.28
3  2022-02-28 12:00:00  SZ000665  SZ002104  7.25
4  2022-02-28 12:00:00  SZ000665  SH603123  6.75
5  2022-02-28 12:00:00  SZ000665  SH600096  4.52
6  2022-02-28 12:00:00  SZ000665  SZ002349  4.45
7  2022-02-28 12:00:00  SZ000665  SZ002354  3.72
8  2022-02-28 12:00:00  SZ000665  SZ000815  3.69
9  2022-02-28 12:00:00  SZ000665  SZ002530  3.46
```

### 盘口异动

接口: stock_changes_em

目标地址: http://quote.eastmoney.com/changes/

描述: 东方财富-行情中心-盘口异动数据

限量: 单次指定 symbol 的最近交易日的盘口异动数据

输入参数

| 名称     | 类型  | 描述                                                                                                                                                                                                                    |
|--------|-----|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| symbol | str | symbol="大笔买入"; choice of {'火箭发射', '快速反弹', '大笔买入', '封涨停板', '打开跌停板', '有大买盘', '竞价上涨', '高开5日线', '向上缺口', '60日新高', '60日大幅上涨', '加速下跌', '高台跳水', '大笔卖出', '封跌停板', '打开涨停板', '有大卖盘', '竞价下跌', '低开5日线', '向下缺口', '60日新低', '60日大幅下跌'} |

输出参数

| 名称   | 类型     | 描述                   |
|------|--------|----------------------|
| 时间   | object | -                    |
| 代码   | object | -                    |
| 名称   | object | -                    |
| 板块   | object | -                    |
| 相关信息 | object | 注意: 不同的 symbol 的单位不同 |

接口示例

```python
import akshare as ak

stock_changes_em_df = ak.stock_changes_em(symbol="大笔买入")
print(stock_changes_em_df)
```

数据示例

```
         时间      代码    名称    板块     相关信息
0    14:55:46  300820  英杰电气  大笔买入    31500
1    14:55:45  002593  日上集团  大笔买入   768700
2    14:55:34  300282  三盛教育  大笔买入   400000
3    14:55:16  300987  川网传媒  大笔买入    29000
4    14:54:58  300987  川网传媒  大笔买入    30400
..        ...     ...   ...   ...      ...
976  09:30:00  603777   来伊份  大笔买入  1562200
977  09:30:00  603778  乾景园林  大笔买入   906500
978  09:30:00  688396   华润微  大笔买入   497589
979  09:30:00  688689  银河微电  大笔买入   147954
980  09:30:00  600360  华微电子  大笔买入  2628800
```

### 板块异动详情

接口: stock_board_change_em

目标地址: https://quote.eastmoney.com/changes/

描述: 东方财富-行情中心-当日板块异动详情

限量: 返回最近交易日的数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称                  | 类型      | 描述        |
|---------------------|---------|-----------|
| 板块名称                | object  | -         |
| 涨跌幅                 | float64 | 注意单位: %   |
| 主力净流入               | float64 | 注意单位: 万元  |
| 板块异动总次数             | float64 | -         |
| 板块异动最频繁个股及所属类型-股票代码 | object  | -         |
| 板块异动最频繁个股及所属类型-股票名称 | object  | -         |
| 板块异动最频繁个股及所属类型-买卖方向 | object  | -         |
| 板块具体异动类型列表及出现次数     | object  | 返回具体异动的字典 |

接口示例

```python
import akshare as ak

stock_board_change_em_df = ak.stock_board_change_em()
print(stock_board_change_em_df)
```

数据示例

```
      板块名称  ...                                    板块具体异动类型列表及出现次数
0     融资融券  ...  [{'t': 8201, 'ct': 565}, {'t': 8217, 'ct': 515...
1     创业板综  ...  [{'t': 8201, 'ct': 272}, {'t': 8217, 'ct': 211...
2     预亏预减  ...  [{'t': 8193, 'ct': 185}, {'t': 8201, 'ct': 166...
3     国企改革  ...  [{'t': 8201, 'ct': 207}, {'t': 8217, 'ct': 190...
4     广东板块  ...  [{'t': 8201, 'ct': 201}, {'t': 8193, 'ct': 186...
..     ...  ...                                                ...
517   中超概念  ...                             [{'t': 8217, 'ct': 1}]
518  电子纸概念  ...                             [{'t': 8217, 'ct': 1}]
519   人脑工程  ...                             [{'t': 8217, 'ct': 1}]
520   船舶制造  ...                             [{'t': 8217, 'ct': 1}]
521   数字阅读  ...                             [{'t': 8201, 'ct': 1}]
```

### 涨停板行情

#### 涨停股池

接口: stock_zt_pool_em

目标地址: http://quote.eastmoney.com/ztb/detail#type=ztgc

描述: 东方财富网-行情中心-涨停板行情-涨停股池

限量: 单次返回所有涨停股池数据; 该接口只能返回近期的数据

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date='20210525' |

输出参数

| 名称     | 类型      | 描述             |
|--------|---------|----------------|
| 序号     | int64   | -              |
| 代码     | object  | -              |
| 名称     | object  | -              |
| 涨跌幅    | float64 | 注意单位: %        |
| 最新价    | float64 | -              |
| 成交额    | int64   | -              |
| 流通市值   | float64 | -              |
| 总市值    | float64 | -              |
| 换手率    | float64 | 注意单位: %        |
| 封板资金   | int64   | -              |
| 首次封板时间 | object  | 注意格式: 09:25:00 |
| 最后封板时间 | object  | 注意格式: 09:25:00 |
| 炸板次数   | int64   | -              |
| 涨停统计   | object  | -              |
| 连板数    | int64   | 注意格式: 1 为首板    |
| 所属行业   | object  | -              |

接口示例

```python
import akshare as ak

stock_zt_pool_em_df = ak.stock_zt_pool_em(date='20210525')
print(stock_zt_pool_em_df)
```

数据示例

```
    序号 代码     名称      涨跌幅      最新价  ...  最后封板时间 炸板次数 涨停统计 连板数 所属行业
0    1  002282   博深股份  10.021322   10.32  ...  092500     0   1/1    1  机械行业
1    2  002976   瑞玛工业  10.014800   22.30  ...  092500     0   1/1    1  金属制品
2    3  002131   利欧股份  10.112359    2.94  ...  092503     0   2/2    2  电子信息
3    4  603048   浙江黎明   9.996365   30.26  ...  092506     0   3/3    3  汽车行业
4    5  002270   华明装备  10.000000   10.67  ...  093000     0   2/2    2  专用设备
5    6  002943   宇晶股份   9.993490   33.79  ...  093145     0   7/6    4  专用设备
6    7  605222   起帆电缆  10.006998   31.44  ...  145507     8   2/2    2  输配电气
7    8  600262   北方股份   9.978308   15.21  ...  093612     1   1/1    1  机械行业
8    9  001267   汇绿生态   9.966777    6.62  ...  093330     0   1/1    1  园林工程
9   10  601890   亚星锚链  10.036276    9.10  ...  101833     5   2/2    2  船舶制造
10  11  300354   东华测试  20.010672   44.98  ...  144921     1   1/1    1  仪器仪表
11  12  600691   阳煤化工   9.923664    4.32  ...  093918     0   1/1    1  化肥行业
12  13  600338   西藏珠峰  10.000000   32.01  ...  093938     0   2/2    2  有色金属
13  14  603213   镇洋发展   9.976247   13.89  ...  093949     0   6/6    6  化学原料
14  15  603050   科林电气  10.019455   22.62  ...  102046     3   4/2    1  输配电气
15  16  600796   钱江生化   9.929078    6.20  ...  094258     2   1/1    1  农药兽药
16  17  601608   中信重工  10.022779    4.83  ...  095148     1   1/1    1  机械行业
17  18  000816   智慧农业   9.887006    3.89  ...  094954     1   1/1    1  机械行业
18  19  002196   方正电机  10.010427   10.55  ...  100357     2   1/1    1  机械行业
19  20  002432   九安医疗  10.055248    9.96  ...  131857     7   4/4    4  医疗行业
20  21  601015   陕西黑猫   9.952607    6.96  ...  112329     3   1/1    1  煤炭行业
21  22  605399   晨光新材   9.989345   41.29  ...  095312     0   1/1    1  化学制品
22  23  300831   派瑞股份  19.988642   21.13  ...  111212     1   1/1    1  电子元件
23  24  603527   众源新材   9.964726   12.47  ...  095916     0   1/1    1  有色金属
24  25  600876   洛阳玻璃   9.987918   27.31  ...  103616     1   1/1    1  玻璃陶瓷
25  26  600552   凯盛科技   9.979210   10.58  ...  101711     0   1/1    1  材料行业
26  27  601369   陕鼓动力  10.000000   13.75  ...  103231     2   1/1    1  机械行业
27  28  002418   康盛股份  10.057471    3.83  ...  102915     0   1/1    1  金属制品
28  29  603338   浙江鼎力   9.995875   80.00  ...  103008     0   1/1    1  机械行业
29  30  301072   中捷精工  19.987831   39.44  ...  144633     4   2/2    2  汽车行业
30  31  000657   中钨高新   9.993012   15.74  ...  103818     0   1/1    1   小金属
31  32  601609   金田铜业   9.963985    9.16  ...  132916     1   1/1    1  有色金属
32  33  300305   裕兴股份  19.989723   23.35  ...  142506     5   1/1    1  塑料制品
33  34  002182   云海金属  10.000000   20.57  ...  110015     0   1/1    1   小金属
34  35  002121   科陆电子  10.000000    6.60  ...  110130     0   1/1    1  仪器仪表
35  36  002342   巨力索具   9.900990    4.44  ...  145006     7   1/1    1  金属制品
36  37  000058  深 赛 格  10.034014    6.47  ...  112500     1   1/1    1  商业百货
37  38  000155   川能动力  10.011779   28.02  ...  145318    10   1/1    1  电力行业
38  39  600821   金开新能   9.989594   10.57  ...  111432     0   1/1    1  电力行业
39  40  603681   永冠新材   9.994305   38.63  ...  141808    11   1/1    1  化学制品
40  41  600499   科达制造   9.995052   22.23  ...  142600     2   2/2    2  机械行业
41  42  000400   许继电气  10.024331   22.61  ...  130009     0   1/1    1  输配电气
42  43  603916    苏博特   9.977949   19.95  ...  134504     6   1/1    1  化学制品
43  44  000762   西藏矿业   9.997972   54.24  ...  141527     6   1/1    1  采掘行业
44  45  002350   北京科锐  10.067114    8.20  ...  130657     0   1/1    1  输配电气
45  46  300774    倍杰特  20.011736   20.45  ...  132621     0   1/1    1  环保工程
46  47  002756   永兴材料  10.003275  134.38  ...  143821     2   2/2    2  钢铁行业
47  48  000099   中信海直  10.052910    8.32  ...  133124     1   1/1    1  民航机场
48  49  300776   帝尔激光  20.002470  194.44  ...  145200     1   1/1    1  专用设备
49  50  600556    天下秀  10.039525   13.92  ...  134035     0   1/1    1  文化传媒
50  51  002717   岭南股份  10.029498    3.73  ...  144048     5   2/2    2  环保工程
51  52  002906   华阳集团   9.997926   53.03  ...  140915     0   1/1    1  汽车行业
52  53  603848    好太太  10.014728   14.94  ...  141420     0   1/1    1  金属制品
```

#### 昨日涨停股池

接口: stock_zt_pool_previous_em

目标地址: http://quote.eastmoney.com/ztb/detail#type=zrzt

描述: 东方财富网-行情中心-涨停板行情-昨日涨停股池

限量: 单次返回所有昨日涨停股池数据

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date='20210521' |

输出参数

| 名称     | 类型      | 描述             |
|--------|---------|----------------|
| 序号     | int32   | -              |
| 代码     | object  | -              |
| 名称     | object  | -              |
| 涨跌幅    | float64 | 注意单位: %        |
| 最新价    | int64   | -              |
| 涨停价    | int64   | -              |
| 成交额    | int64   | -              |
| 流通市值   | float64 | -              |
| 总市值    | float64 | -              |
| 换手率    | float64 | 注意单位: %        |
| 涨速     | float64 | 注意单位: %        |
| 振幅     | float64 | 注意单位: %        |
| 昨日封板时间 | int64   | 注意格式: 09:25:00 |
| 昨日连板数  | int64   | 注意格式: 1 为首板    |
| 涨停统计   | object  | -              |
| 所属行业   | object  | -              |

接口示例

```python
import akshare as ak

stock_zt_pool_previous_em_df = ak.stock_zt_pool_previous_em(date='20210521')
print(stock_zt_pool_previous_em_df)
```

数据示例

```
    序号 代码     名称       涨跌幅      最新价  ...   振幅   昨日封板时间  昨日连板数   涨停统计  所属行业
0    1  603933   睿能科技   2.367688   14700  ...   8.844011   94149      1    2/1  电子元件
1    2  603726   朗迪集团  -6.464647   13890  ...   7.272727  102502      2    3/2  家电行业
2    3  603690   至纯科技  -2.432859   30880  ...   4.802527  102051      1    2/1  专用设备
3    4  000838   财信发展  -5.341246    3190  ...  13.946587  100739      2    3/2   房地产
4    5  605108    同庆楼  -9.753874   29700  ...   8.386508   93918      3    4/3  旅游酒店
46  47  600381   青海春天  -0.595238    6680  ...   7.440476  140706      1    2/1  食品饮料
47  48  002248   华东数控  -0.807537    7370  ...   9.690444  135051      1    4/2  机械行业
48  49  002417   深南股份  -2.891933    6380  ...   9.284628   93730      1    2/1  软件服务
49  50  600864   哈投股份  -0.640000    6210  ...   6.720000  112233      1    2/1  券商信托
50  51  002471   中超控股  -2.960526    2950  ...   8.552631  112824      1    2/1  输配电气
```

#### 强势股池

接口: stock_zt_pool_strong_em

目标地址: http://quote.eastmoney.com/ztb/detail#type=qsgc

描述: 东方财富网-行情中心-涨停板行情-强势股池

限量: 单次返回所有昨日涨停股池数据

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date='20210521' |

输出参数

| 名称   | 类型      | 描述                                                 |
|------|---------|----------------------------------------------------|
| 序号   | int32   | -                                                  |
| 代码   | object  | -                                                  |
| 名称   | object  | -                                                  |
| 涨跌幅  | float64 | 注意单位: %                                            |
| 最新价  | float64 | -                                                  |
| 涨停价  | float64 | -                                                  |
| 成交额  | int64   | -                                                  |
| 流通市值 | float64 | -                                                  |
| 总市值  | float64 | -                                                  |
| 换手率  | float64 | 注意单位: %                                            |
| 涨速   | float64 | 注意单位: %                                            |
| 是否新高 | int64   | -                                                  |
| 量比   | float64 | -                                                  |
| 涨停统计 | object  | -                                                  |
| 入选理由 | object  | {'1': '60日新高', '2': '近期多次涨停', '3': '60日新高且近期多次涨停'} |
| 所属行业 | object  | -                                                  |

接口示例

```python
import akshare as ak

stock_zt_pool_strong_em_df = ak.stock_zt_pool_strong_em(date='20210521')
print(stock_zt_pool_strong_em_df)
```

数据示例

```
      序号      代码    名称        涨跌幅    最新价  ...  是否新高        量比  涨停统计  入选理由  所属行业
0      1  300588  熙菱信息  20.046619  10.30  ...     1  4.502030   1/1     1  电子信息
1      2  300546  雄帝科技  20.013803  17.39  ...     1  2.140777   1/1     1  专用设备
2      3  300745  欣锐科技  18.975740  22.07  ...     1  8.078884   0/0     1  汽车行业
3      4  300513  恒实科技  14.069767   9.81  ...     1  7.898016   0/0     1  软件服务
4      5  300157  恒泰艾普  13.548388   5.28  ...     1  1.570052   0/0     1  石油行业
..   ...     ...   ...        ...    ...  ...   ...       ...   ...   ...   ...
165  166  603578  三星新材  -1.319381  21.69  ...     1  0.602178   0/0     1  玻璃陶瓷
166  167  603659   璞泰来  -1.415571  87.75  ...     1  1.660134   0/0     1  材料行业
167  168  600165  新日恒力  -1.459854   6.75  ...     1  1.930563   0/0     1  金属制品
168  169  300584  海辰药业  -1.540684  20.45  ...     1  1.057702   0/0     1  医药制造
169  170  603156  养元饮品  -1.560110  32.18  ...     1  0.951661   0/0     1  食品饮料
```

#### 次新股池

接口: stock_zt_pool_sub_new_em

目标地址: http://quote.eastmoney.com/ztb/detail#type=cxgc

描述: 东方财富网-行情中心-涨停板行情-次新股池

限量: 单次返回所有次新股池数据

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date='20210521' |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 序号   | int32   | -       |
| 代码   | object  | -       |
| 名称   | object  | -       |
| 涨跌幅  | float64 | 注意单位: % |
| 最新价  | float64 | -       |
| 涨停价  | float64 | -       |
| 成交额  | int64   | -       |
| 流通市值 | float64 | -       |
| 总市值  | float64 | -       |
| 转手率  | float64 | 注意单位: % |
| 开板几日 | int64   | -       |
| 开板日期 | int64   | -       |
| 上市日期 | int64   | -       |
| 是否新高 | int64   | -       |
| 涨停统计 | object  | -       |
| 所属行业 | object  | -       |

接口示例

```python
import akshare as ak

stock_zt_pool_sub_new_em_df = ak.stock_zt_pool_sub_new_em(date='20210521')
print(stock_zt_pool_sub_new_em_df)
```

数据示例

```
      序号  代码  名称      涨跌幅  ...    上市日期  是否新高   涨停统计  所属行业
0      1  300991  C创益通 -14.412846  ...  20210520     0    0/0  电子元件
1      2  001206  依依股份  10.000000  ...  20210518     0    4/4  造纸印刷
2      3  605339  南侨食品  10.003380  ...  20210518     0    4/4  食品饮料
3      4  605089   味知香  -5.118957  ...  20210427     0  16/13  食品饮料
4      5  001205  盛航股份  -9.370707  ...  20210513     0    7/5  港口水运
..   ...     ...   ...        ...  ...       ...   ...    ...   ...
165  166  300905   宝丽迪  -3.583888  ...  20201105     0    0/0  化工行业
166  167  300906   日月明  -0.581703  ...  20201105     0    0/0  专用设备
167  168  601995  中金公司   0.195848  ...  20201102     0    0/0  券商信托
168  169  605169  洪通燃气   5.377808  ...  20201030     0    0/0  公用事业
169  170  300900  广联航空  -2.261867  ...  20201029     0    0/0  航天航空
```

#### 炸板股池

接口: stock_zt_pool_zbgc_em

目标地址: http://quote.eastmoney.com/ztb/detail#type=zbgc

描述: 东方财富网-行情中心-涨停板行情-炸板股池

限量: 单次返回所有炸板股池数据

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date='20210525' |

输出参数

| 名称     | 类型      | 描述             |
|--------|---------|----------------|
| 序号     | int32   | -              |
| 代码     | object  | -              |
| 名称     | object  | -              |
| 涨跌幅    | float64 | 注意单位: %        |
| 最新价    | float64 | -              |
| 涨停价    | float64 | -              |
| 成交额    | int64   | -              |
| 流通市值   | float64 | -              |
| 总市值    | float64 | -              |
| 换手率    | float64 | 注意单位: %        |
| 涨速     | int64   | -              |
| 首次封板时间 | object  | 注意格式: 09:25:00 |
| 炸板次数   | int64   | -              |
| 涨停统计   | int64   | -              |
| 振幅     | object  | -              |
| 所属行业   | object  | -              |

接口示例

```python
import akshare as ak

stock_zt_pool_zbgc_em_df = ak.stock_zt_pool_zbgc_em(date='20210525')
print(stock_zt_pool_zbgc_em_df)
```

数据示例

```
    序号 代码    名称    涨跌幅    最新价  ...  首次封板时间  炸板次数   涨停统计  振幅  所属行业
0    1  600328  中盐化工   5.445544  10.65  ...  093053     2    2/1   6.336634  化工行业
1    2  002580  圣阳股份   3.139718   6.57  ...  093206     2    2/1   7.692308  输配电气
2    3  600152  维科技术   3.860072   8.61  ...  093416     1    0/0   9.529553  电子元件
3    4  000639  西王食品   3.092783   6.00  ...  093418     1    0/0  10.652921  食品饮料
4    5  002688  金河生物   7.177033   6.72  ...  094354     2    0/0   9.569378  农牧饲渔
5    6  600439   瑞贝卡   5.263158   3.40  ...  094449     1    6/3  12.693499  工艺商品
6    7  002712  思美传媒   2.504472   5.73  ...  094521     3    2/1   9.838999  文化传媒
7    8  601567  三星医疗   3.676471  15.51  ...  094706     1    2/1   9.759358  仪器仪表
8    9  603518  锦泓集团   7.247900  20.42  ...  094930     1  20/13  10.819328  纺织服装
9   10  603155   新亚强   7.918263  42.25  ...  095124     2    0/0   9.425287  化工行业
10  11  605090   N九丰  24.529940  43.05  ...  100000     1    0/0  24.009256  石油行业
11  12  600610   中毅达   7.597173  12.18  ...  102951     3    4/3  12.367492  化工行业
12  13  600155  华创阳安   6.300631  11.81  ...  103300     1    0/0  10.711071  券商信托
13  14  002824  和胜股份   8.611213  29.64  ...  112806     1    0/0  11.982411  有色金属
14  15  000762  西藏矿业   9.766829  24.95  ...  132448     5    0/0  11.658601  有色金属
15  16  600644  乐山电力   3.752039   6.36  ...  133237     2    2/1  13.539967  电力行业
16  17  601828   美凯龙   7.448979  10.53  ...  140925     2    0/0  12.346939  商业百货
```

#### 跌停股池

接口: stock_zt_pool_dtgc_em

目标地址: http://quote.eastmoney.com/ztb/detail#type=zbgc

描述: 东方财富网-行情中心-涨停板行情-跌停股池

限量: 单次返回所有跌停股池数据

输入参数

| 名称   | 类型  | 描述              |
|------|-----|-----------------|
| date | str | date='20210525' |

输出参数

| 名称     | 类型      | 描述             |
|--------|---------|----------------|
| 序号     | int64   | -              |
| 代码     | object  | -              |
| 名称     | object  | -              |
| 涨跌幅    | float64 | 注意单位: %        |
| 最新价    | float64 | -              |
| 成交额    | int64   | -              |
| 流通市值   | float64 | -              |
| 总市值    | float64 | -              |
| 动态市盈率  | float64 | -              |
| 换手率    | float64 | 注意单位: %        |
| 封单资金   | int64   | -              |
| 最后封板时间 | object  | 注意格式: 09:25:00 |
| 板上成交额  | int64   | -              |
| 连续跌停   | int64   | -              |
| 开板次数   | int64   | -              |
| 所属行业   | object  | -              |

接口示例

```python
import akshare as ak

stock_zt_pool_dtgc_em_df = ak.stock_zt_pool_dtgc_em(date='20220425')
print(stock_zt_pool_dtgc_em_df)
```

数据示例

```
      序号      代码     名称        涨跌幅    最新价  ...  最后封板时间       板上成交额  连续跌停  开板次数  所属行业
0      1  603956    威派格  -9.973521  10.20  ...  145442     2880480     1    10  专用设备
1      2  600171   上海贝岭  -9.970326  15.17  ...  150000     8317180     1     0   半导体
2      3  002388   新亚制程  -9.894737   4.28  ...  144533     6366928     1     8  电子元件
3      4  002837    英维克 -10.011732  23.01  ...  145639     4198378     1     2  专用设备
4      5  603819   神力股份 -10.018553   9.70  ...  145503     3126386     1     5    电机
..   ...     ...    ...        ...    ...  ...     ...         ...   ...   ...   ...
575  576  000665   湖北广电 -10.024155   7.45  ...  094739   451719450     2     3  文化传媒
576  577  603696   安记食品 -10.000000  11.97  ...  092504   813969576     1     0  食品饮料
577  578  000968   蓝焰控股  -9.983767  11.09  ...  093136    70800778     1     0    燃气
578  579  600508   上海能源 -10.005817  15.47  ...  092504  1264782398     1     0  煤炭行业
579  580  002251  步 步 高 -10.035212  10.22  ...  092500   777495698     2     0  商业百货
```

### 赚钱效应分析

接口: stock_market_activity_legu

目标地址: https://www.legulegu.com/stockdata/market-activity

描述: 乐咕乐股网-赚钱效应分析数据

限量: 单次返回当前赚钱效应分析数据

说明：

1. 涨跌比：即沪深两市上涨个股所占比例，体现的是市场整体涨跌，占比越大则代表大部分个股表现活跃。
2. 涨停板数与跌停板数的意义：涨停家数在一定程度上反映了市场的投机氛围。当涨停家数越多，则市场的多头氛围越强。真实涨停是非一字无量涨停。真实跌停是非一字无量跌停。

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型     | 描述  |
|-------|--------|-----|
| item  | object | -   |
| value | object | -   |

接口示例

```python
import akshare as ak

stock_market_activity_legu_df = ak.stock_market_activity_legu()
print(stock_market_activity_legu_df)
```

数据示例

```
        item                value
0         上涨               2547.0
1         涨停                 90.0
2       真实涨停                 75.0
3   st st*涨停                 31.0
4         下跌               1594.0
5         跌停                 30.0
6       真实跌停                 10.0
7   st st*跌停                 21.0
8         平盘                128.0
9         停牌                 26.0
10       活跃度               59.30%
11      统计日期  2021-05-11 15:00:00
```

### 调查平均持仓

接口: stock_average_position_legu

目标地址: https://www.legulegu.com/stockdata/averageposition

描述: 乐咕乐股网-调查平均持仓数据; 该数据近期未更新

限量: 单次返回所有平均持仓数据

说明：

1. 目前仓位调查的数据来源是通过微信公众号在每周最后一个交易日投票获得，并在下个交易日前公布，希望朋友们关注公众号积极参与，公众号在最下方可见，获取的数据直接公布在本页面上，所有用户均可使用。
2. 持仓调查的数据是市场参与者心理、行为表现的结果。 市场行为会因为交易规则、政策面消息、媒体噪声等因素的变化而变化。
   若排除以上因素，在稳定、可重复的博弈环境下，市场行为的历史数据对于判断市场阶段、拐点有一定的参考价值。
3. 声明：仓位调查得到的结论也未见得正确，持仓调查数据的结果，虽在过往的时间中显示出了一定的规律，但对市场的判断、具体交易决策，此数据只能作为一种数据工具，参考要素之一。

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述  |
|---------|---------|-----|
| 日期      | object  | -   |
| 上证指数    | float64 | -   |
| 满仓+融资   | int64   | -   |
| 80%~99% | int64   | -   |
| 60%~79% | int64   | -   |
| 40%~59% | int64   | -   |
| 20%~39% | int64   | -   |
| 0%~19%  | int64   | -   |
| 平均持仓    | int64   | -   |

接口示例

```python
import akshare as ak

stock_average_position_legu_df = ak.stock_average_position_legu()
print(stock_average_position_legu_df)
```

数据示例

```
    日期     上证指数  满仓+融资  80%~99%  ...  40%~59%  20%~39%  0%~19%   平均持仓
0   2020-02-13  2917.01     14       35  ...       12       15      16  62.41
1   2020-02-20  3039.67     14       55  ...       13       20      25  62.03
2   2020-02-27  2880.30     15       45  ...       14       13      22  63.19
3   2020-03-05  3034.51     18       37  ...       15        9      22  63.18
4   2020-03-12  2887.43     24       53  ...       31       13      24  64.02
5   2020-03-19  2745.62     20       64  ...       16       25      40  60.05
6   2020-03-26  2772.20     20       53  ...       22       19      28  61.70
7   2020-04-02  2763.99     26       49  ...       13       17      31  61.93
8   2020-04-09  2796.63     21       46  ...       25       21      20  62.21
9   2020-04-16  2838.49     19       40  ...       23       16      16  63.53
10  2020-04-23  2808.53      7       39  ...       14        6      23  60.93
11  2020-04-29  2860.08     15       34  ...       16       14      17  62.46
12  2020-05-07  2895.34     17       35  ...       13       14      20  62.16
13  2020-05-14  2868.46     16       35  ...       14       12      22  60.70
14  2020-05-23  2813.77     14       32  ...       17       11      19  60.99
15  2020-05-30  2852.35     13       31  ...       17       24      16  58.69
16  2020-06-06  2930.80     13       36  ...       11        8      11  67.84
17  2020-06-13  2919.74     20       54  ...       21       14      27  63.04
18  2020-06-20  2967.63      7       24  ...        9        5      10  64.29
19  2020-07-11  3383.32     35      110  ...       37       24      44  65.15
20  2020-07-18  3214.13     31       75  ...       28       24      65  57.26
21  2020-07-25  3196.77     18       37  ...       17       18      40  54.68
22  2020-08-03  3371.69     38       64  ...       23       15      33  65.05
23  2020-08-12  3320.73      9       28  ...        8        5      10  66.94
24  2020-08-29  3403.81     25       66  ...       25       18      33  62.85
25  2021-03-04  3501.99     63      131  ...       87       60      79  60.31
26  2021-03-11  3453.08     82      151  ...      105       86     124  57.45
27  2021-03-18  3404.60     74      133  ...      102       70     109  57.56
28  2021-03-25  3418.33     89      207  ...      119      115     126  59.17
29  2021-04-01  3484.39     76      138  ...       87       58      82  61.25
30  2021-04-08  3450.68     59       98  ...       79       56      57  60.28
31  2021-04-15  3426.62     70      125  ...       72       66      71  60.92
32  2021-04-22  3474.17     71      150  ...       98       76      75  61.13
33  2021-04-29  3446.87     52      131  ...       66       58      69  60.72
```

### 资讯数据

#### 每日快讯

接口：stock_zh_a_alerts_cls

目标地址：https://www.cls.cn/searchPage?keyword=%E5%BF%AB%E8%AE%AF&type=all

描述：财联社-快讯数据

限量：单次返回财联社-快讯最近的 100 条数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型     | 描述  |
|------|--------|-----|
| 时间   | object | -   |
| 快讯信息 | object | -   |

接口示例：

```python
import akshare as ak

stock_zh_a_alerts_cls_df = ak.stock_zh_a_alerts_cls()
print(stock_zh_a_alerts_cls_df)
```

数据示例

```
            时间                                               快讯信息
0   2022-06-27  【快讯：深成指涨逾1%】财联社6月27日电，指数走强，深成指拉升涨逾1%，沪指涨0.79%，...
1   2022-06-27  【快讯：汽配股继续走强 十余股涨停】财联社6月27日电，英利汽车拉升封板，威唐工业、湘油泵、...
2   2022-06-27  【快讯：猪肉、鸡肉股震荡走强】财联社6月27日电，温氏股份、天康生物、巨星农牧涨超5%，新希...
3   2022-06-27  【快讯：创业板指翻绿】财联社6月27日电，指数午后大幅回落，创业板指率先翻绿，此前一度涨超1...
4   2022-06-27  【快讯：机器人、智能制造概念反复活跃】财联社6月27日电，华东数控拉升封板，绿的谐波、劲拓股...
..         ...                                                ...
95  2022-07-01  【快讯：面板概念股开盘走强 创业板股易天股份涨停】财联社7月1日电，创业板股易天股份涨停，深...
96  2022-07-01  【快讯：三大指数开盘涨跌不一】财联社7月1日电，沪指高开0.05%，深成指高开0.03%，创...
97  2022-07-01  【快讯：工程机械板块走强 多股涨停】财联社7月1日电，宇通重工拉升封板，厦工股份、山推股份此...
98  2022-07-04  【快讯：深成指涨逾1%】财联社7月4日电，指数走强，深成指拉升涨逾1.00%，沪指涨0.26...
99  2022-07-05  【快讯：创业板指涨逾1%】财联社7月5日电，指数走强，创业板指拉升涨逾1%，沪指涨0.46%...
```

#### 电报

接口：stock_telegraph_cls

目标地址：https://www.cls.cn/telegraph

描述：财联社-电报

限量：单次返回财联社-电报当天的数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型     | 描述  |
|------|--------|-----|
| 标题   | object | -   |
| 内容   | object | -   |
| 发布日期 | object | -   |
| 发布时间 | object | -   |

接口示例：

```python
import akshare as ak

stock_telegraph_cls_df = ak.stock_telegraph_cls()
print(stock_telegraph_cls_df)
```

数据示例

```
                                        标题  ...        发布日期
0                新疆昌吉州昌吉市发生4.8级地震 震源深度23千米  ...  2022-07-20
1                         北京丰台市监局检查必胜客涉事门店  ...  2022-07-20
2                 贝壳研究院：7月103城整体房贷利率创近三年新低  ...  2022-07-20
3                    农业农村部：后期猪价不具备持续大幅上涨基础  ...  2022-07-20
4                  安徽宿州：今日12时起主城区实施三天临时性管控  ...  2022-07-20
..                                     ...  ...         ...
295    格林美：发行GDR并在瑞士证券交易所上市获得瑞士交易所监管局附条件批复  ...  2022-07-20
296                     7月20日周三《新闻联播》要闻22条  ...  2022-07-20
297     文化和旅游部：压紧压实企业主体责任 推动文化和旅游消费安全、有序复苏  ...  2022-07-20
298  新特电气回复关注函：应用于储能领域的产品收入及净利润占公司整体比重不超3%  ...  2022-07-20
299                                         ...  2022-07-20
```

### 手续费

#### 国内券商佣金

##### 以万 2.5 佣金结构为例

深证证券交易所

| 项目   | 费用      | 收取部门    |
|------|---------|---------|
| 过户费  | 万 0.2   | 由中国结算收取 |
| 证管费  | 万 0.2   | 由证监会收取  |
| 经手费  | 万 0.487 | 由交易所收取  |
| 券商收入 | 万 1.613 | 由券商收取   |

上海证券交易所

| 项目   | 费用      | 收取部门   |
|------|---------|--------|
| 证管费  | 万 0.2   | 由证监会收取 |
| 经手费  | 万 0.487 | 由交易所收取 |
| 券商收入 | 万 1.813 | 由券商收取  |

##### 以万 1.2 佣金结构为例

深证证券交易所

| 项目   | 费用      | 收取部门    |
|------|---------|---------|
| 过户费  | 万 0.2   | 由中国结算收取 |
| 证管费  | 万 0.2   | 由证监会收取  |
| 经手费  | 万 0.487 | 由交易所收取  |
| 券商收入 | 万 0.313 | 由券商收取   |

上海证券交易所

| 项目   | 费用      | 收取部门   |
|------|---------|--------|
| 证管费  | 万 0.2   | 由证监会收取 |
| 经手费  | 万 0.487 | 由交易所收取 |
| 券商收入 | 万 0.513 | 由券商收取  |

##### 结构图

![交易费用](https://jfds-1252952517.cos.ap-chengdu.myqcloud.com/akshare/readme/mindmap/cost_of_trade.svg)

### 技术指标

#### 创新高

接口：stock_rank_cxg_ths

目标地址：http://data.10jqka.com.cn/rank/cxg/

描述：同花顺-数据中心-技术选股-创新高

限量：单次指定 symbol 的所有数据

输入参数

| 名称     | 类型  | 描述                                                        |
|--------|-----|-----------------------------------------------------------|
| symbol | str | symbol="创月新高"; choice of {"创月新高", "半年新高", "一年新高", "历史新高"} |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int64   | -       |
| 股票代码   | object  | -       |
| 股票简称   | object  | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 换手率    | float64 | 注意单位: % |
| 最新价    | float64 | 注意单位: 元 |
| 前期高点   | float64 | -       |
| 前期高点日期 | object  | -       |

接口示例：

```python
import akshare as ak

stock_rank_cxg_ths_df = ak.stock_rank_cxg_ths(symbol="创月新高")
print(stock_rank_cxg_ths_df)
```

数据示例

```
     序号 股票代码 股票简称  涨跌幅 换手率   最新价  前期高点  前期高点日期
0      1  000061   农产品   4.36   1.86    6.94    6.81  2021-10-20
1      2  000567  海德股份   2.61   1.27   18.47   18.38  2021-10-26
2      3  000598  兴蓉环境   1.55   1.45    5.91    5.85  2021-10-08
3      4  000626  远大控股   3.91   0.97   23.66   23.07  2021-10-27
4      5  000650  仁和药业   6.86   3.59    9.50    9.00  2021-10-13
..   ...     ...   ...    ...    ...     ...     ...         ...
327  328  605123  派克新材   2.73   3.07   94.39   91.88  2021-10-28
328  329  605178  时空科技   2.71   2.19   40.98   40.43  2021-10-26
329  330  605286  同力日升  10.02  30.00   30.75   27.95  2021-10-28
330  331  605289  罗曼股份   1.91  11.49   25.66   25.18  2021-10-28
331  332  605305  中际联合   4.38   4.15  117.95  113.00  2021-10-28
```

#### 创新低

接口：stock_rank_cxd_ths

目标地址：http://data.10jqka.com.cn/rank/cxd/

描述：同花顺-数据中心-技术选股-创新低

限量：单次指定 symbol 的所有数据

输入参数

| 名称     | 类型  | 描述                                                        |
|--------|-----|-----------------------------------------------------------|
| symbol | str | symbol="创月新低"; choice of {"创月新低", "半年新低", "一年新低", "历史新低"} |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int64   | -       |
| 股票代码   | object  | -       |
| 股票简称   | object  | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 换手率    | float64 | 注意单位: % |
| 最新价    | float64 | 注意单位: 元 |
| 前期低点   | float64 | -       |
| 前期低点日期 | object  | -       |

接口示例：

```python
import akshare as ak

stock_rank_cxd_ths_df = ak.stock_rank_cxd_ths(symbol="创月新低")
print(stock_rank_cxd_ths_df)
```

数据示例

```
    序号 股票代码 股票简称  涨跌幅  换手率  最新价   前期低点   前期低点日期
0      1  000002   万科A -4.81   2.52   18.21   19.13  2021-10-28
1      2  000030  富奥股份 -1.05   0.41    5.66    5.66  2021-09-29
2      3  000034  神州数码  0.00   0.53   14.90   14.90  2021-10-28
3      4  000038   深大通  0.00   0.42    8.04    8.04  2021-10-28
4      5  000059  华锦股份 -0.84   1.68    5.90    5.95  2021-10-28
..   ...     ...   ...   ...    ...     ...     ...         ...
426  427  605333  沪光股份 -2.00   1.27   11.76   12.00  2021-10-28
427  428  605338  巴比食品 -6.45   4.30   30.04   31.50  2021-10-15
428  429  605499  东鹏饮料 -1.33   3.84  177.11  179.49  2021-10-28
429  430  605555  德昌股份 -3.58  16.38   32.04   32.51  2021-10-26
430  431  605566  福莱蒽特 -1.37  17.29   29.59   30.00  2021-10-28
```

#### 连续上涨

接口：stock_rank_lxsz_ths

目标地址：http://data.10jqka.com.cn/rank/lxsz/

描述：同花顺-数据中心-技术选股-连续上涨

限量：单次返回所有数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型      | 描述      |
|-------|---------|---------|
| 序号    | int64   | -       |
| 股票代码  | object  | -       |
| 股票简称  | object  | -       |
| 收盘价   | float64 | 注意单位: 元 |
| 最高价   | float64 | 注意单位: 元 |
| 最低价   | float64 | 注意单位: 元 |
| 连涨天数  | int64   | -       |
| 连续涨跌幅 | float64 | 注意单位: % |
| 累计换手率 | float64 | 注意单位: % |
| 所属行业  | object  | -       |

接口示例

```python
import akshare as ak

stock_rank_lxsz_ths_df = ak.stock_rank_lxsz_ths()
print(stock_rank_lxsz_ths_df)
```

数据示例

```
    序号股票代码  股票简称  收盘价  最高价  最低价  连涨天数  连续涨跌幅 累计换手率 所属行业
0    1  603192  汇得科技   27.33   27.87   24.31     7   2.90  10.05   化学制品
1    2  688330   宏力达   98.50   99.30   83.24     7   6.41  21.48   电力设备
2    3  300870   欧陆通   67.60   67.99   58.08     5   6.46   7.75   电力设备
3    4  603507  振江股份   47.70   48.21   35.28     5  21.59  36.38   电力设备
4    5  603855  华荣股份   23.50   24.12   20.91     5   8.60   6.72   专用设备
..  ..     ...   ...     ...     ...     ...   ...    ...    ...    ...
58  59  688122  西部超导   81.26   82.50   75.37     3   5.12   5.13   国防军工
59  60  688166  博瑞医药   33.39   34.16   30.31     3   0.57   4.75   化学制药
60  61  688369  致远互联   59.30   60.97   55.22     3   6.23   1.74  计算机应用
61  62  688395  正弦电气   25.45   25.93   23.85     3   6.71  10.89  自动化设备
62  63  688788  科思科技  139.13  140.20  126.53     3   7.84   7.82   国防军工
```

#### 连续下跌

接口：stock_rank_lxxd_ths

目标地址：http://data.10jqka.com.cn/rank/lxxd/

描述：同花顺-数据中心-技术选股-连续下跌

限量：单次返回所有数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型      | 描述      |
|-------|---------|---------|
| 序号    | int64   | -       |
| 股票代码  | object  | -       |
| 股票简称  | object  | -       |
| 收盘价   | float64 | 注意单位: 元 |
| 最高价   | float64 | 注意单位: 元 |
| 最低价   | float64 | 注意单位: 元 |
| 连涨天数  | int64   | -       |
| 连续涨跌幅 | float64 | 注意单位: % |
| 累计换手率 | float64 | 注意单位: % |
| 所属行业  | object  | -       |

接口示例：

```python
import akshare as ak

stock_rank_lxxd_ths_df = ak.stock_rank_lxxd_ths()
print(stock_rank_lxxd_ths_df)
```

数据示例

```
      序号 股票代码股票简称   收盘价   最高价  最低价 连涨天数 连续涨跌幅 累计换手率 所属行业
0      1  000687  *ST华讯    1.78    2.98    1.78    11 -38.83   6.56  国防军工
1      2  600739   辽宁成大   19.42   25.89   19.22    11 -23.48  12.20  生物制品
2      3  600145  *ST新亿    1.49    2.25    1.49    10 -32.58   3.92    贸易
3      4  601010   文峰股份    2.89    3.30    2.86    10 -12.16   4.50    零售
4      5  300396   迪瑞医疗   16.19   18.08   16.01     9 -10.30   2.71  医疗器械
..   ...     ...    ...     ...     ...     ...   ...    ...    ...   ...
251  252  605580   恒盛能源   17.40   18.99   17.17     3  -9.14  65.41    电力
252  253  688117   圣诺生物   32.43   34.81   31.86     3  -5.73  11.64  化学制药
253  254  688185    康希诺  262.50  299.00  261.61     3 -17.00  11.28  生物制品
254  255  688389   普门科技   21.75   23.75   21.51     3  -4.61   6.50  医疗器械
255  256  688677   海泰新光   86.47   98.88   86.33     3 -12.03   4.74  医疗器械
```

#### 持续放量

接口: stock_rank_cxfl_ths

目标地址: http://data.10jqka.com.cn/rank/cxfl/

描述: 同花顺-数据中心-技术选股-持续放量

限量: 单次返回所有数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int64   | -       |
| 股票代码   | object  | -       |
| 股票简称   | object  | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 最新价    | float64 | 注意单位: 元 |
| 成交量    | object  | 注意单位: 股 |
| 基准日成交量 | object  | 注意单位: 股 |
| 放量天数   | int64   | -       |
| 阶段涨跌幅  | float64 | 注意单位: % |
| 所属行业   | object  | -       |

接口示例

```python
import akshare as ak

stock_rank_cxfl_ths_df = ak.stock_rank_cxfl_ths()
print(stock_rank_cxfl_ths_df)
```

数据示例

```
      序号 股票代码  股票简称   涨跌幅  ...  基准日成交量 放量天数  阶段涨跌幅    所属行业
0      1  000892  欢瑞世纪  5.33  ...   430.18万(10月26日)    6  13.26      传媒
1      2  002180   纳思达  0.91  ...   279.60万(10月27日)    5   7.06   计算机设备
2      3  300511  雪榕生物  4.77  ...  1313.76万(10月27日)    5  11.57  种植业与林业
3      4  600105  永鼎股份  2.15  ...  3576.74万(10月27日)    5  15.05    通信设备
4      5  600305  恒顺醋业  2.98  ...  1115.00万(10月27日)    5   9.30  食品加工制造
..   ...     ...   ...   ...  ...               ...  ...    ...     ...
132  133  688196  卓越新能  4.22  ...    73.76万(10月29日)    3   4.10    化学制品
133  134  688305  科德数控  2.28  ...    57.36万(10月29日)    3   5.31    通用设备
134  135  688456  有研粉材 -1.27  ...    53.42万(10月29日)    3  -0.80    工业金属
135  136  688597  煜邦电力  2.71  ...   126.71万(10月29日)    3   1.79    电力设备
136  137  688660  电气风电  1.00  ...  3588.18万(10月29日)    3   2.82    电力设备
```

#### 持续缩量

接口: stock_rank_cxsl_ths

目标地址: http://data.10jqka.com.cn/rank/cxsl/

描述: 同花顺-数据中心-技术选股-持续缩量

限量: 单次返回所有数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int64   | -       |
| 股票代码   | object  | -       |
| 股票简称   | object  | -       |
| 涨跌幅    | float64 | 注意单位: % |
| 最新价    | float64 | 注意单位: 元 |
| 成交量    | object  | 注意单位: 股 |
| 基准日成交量 | object  | 注意单位: 股 |
| 缩量天数   | int64   | -       |
| 阶段涨跌幅  | float64 | 注意单位: % |
| 所属行业   | object  | -       |

接口示例

```python
import akshare as ak

stock_rank_cxsl_ths_df = ak.stock_rank_cxsl_ths()
print(stock_rank_cxsl_ths_df)
```

数据示例

```
     序号  股票代码 股票简称 涨跌幅  ...      基准日成交量 缩量天数  阶段涨跌幅    所属行业
0      1  002118  紫鑫药业  0.78  ...     1.22亿(10月21日)    9 -10.96      中药
1      2  605077  华康股份  0.48  ...    51.42万(10月22日)    8  -2.83    化学制品
2      3  600322  天房发展 -0.57  ...   990.03万(10月25日)    7  -5.91   房地产开发
3      4  688255   凯尔达  3.18  ...  1211.44万(10月25日)    7 -24.07   自动化设备
4      5  000700  模塑科技 -0.67  ...  2037.27万(10月26日)    6  -5.35   汽车零部件
..   ...     ...   ...   ...  ...               ...  ...    ...     ...
408  409  688536   思瑞浦 -0.25  ...   152.89万(10月29日)    3   2.46  半导体及元件
409  410  688550  瑞联新材  0.79  ...    92.52万(10月29日)    3   0.89   电子化学品
410  411  688561   奇安信  0.21  ...   328.65万(10月29日)    3  -3.08   计算机应用
411  412  688626  翔宇医疗  0.61  ...   224.52万(10月29日)    3  -0.02    医疗器械
412  413  688682   霍莱沃 -2.05  ...   110.75万(10月29日)    3   2.24    国防军工
```

#### 向上突破

接口: stock_rank_xstp_ths

目标地址: http://data.10jqka.com.cn/rank/xstp/

描述: 同花顺-数据中心-技术选股-向上突破

限量: 单次返回所有数据

输入参数

| 名称     | 类型  | 描述                                                                                                   |
|--------|-----|------------------------------------------------------------------------------------------------------|
| symbol | str | symbol="500日均线"; choice of {"5日均线", "10日均线", "20日均线", "30日均线", "60日均线", "90日均线", "250日均线", "500日均线"} |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 序号   | int64   | -       |
| 股票代码 | object  | -       |
| 股票简称 | object  | -       |
| 最新价  | float64 | 注意单位: 元 |
| 成交额  | object  | 注意单位: 元 |
| 成交量  | object  | 注意单位: 股 |
| 涨跌幅  | float64 | 注意单位: % |
| 换手率  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_rank_xstp_ths_df = ak.stock_rank_xstp_ths(symbol="500日均线")
print(stock_rank_xstp_ths_df)
```

数据示例

```
      序号  股票代码  股票简称  最新价   成交额   成交量    涨跌幅    换手率
0        1  300472  新元科技  21.88  12.45亿  5267.07万 -14.43  22.99
1        2  300082  奥克股份  17.40   8.15亿  4449.17万 -12.78   6.57
2        3  300693  盛弘股份  49.55  10.66亿  2059.53万 -10.74  14.64
3        4  300499  高澜股份  17.25   8.57亿  4797.09万 -10.62  20.06
4        5  002610  爱康科技   4.73  37.02亿     7.60亿 -10.08  17.33
...    ...     ...   ...    ...     ...       ...    ...    ...
1553  1554  300366  创意信息  16.93  14.75亿  9456.62万  19.99  23.49
1554  1555  300688  创业黑马  53.18  17.12亿  3447.57万  19.99  39.12
1555  1556  300148  天舟文化   4.62   6.01亿     1.40亿  20.00  18.40
1556  1557  300437   清水源  42.77  20.26亿  4914.12万  20.01  32.17
1557  1558  300264  佳创视讯   9.34  15.31亿     1.76亿  20.05  52.03
```

#### 向下突破

接口: stock_rank_xxtp_ths

目标地址: http://data.10jqka.com.cn/rank/xxtp/

描述: 同花顺-数据中心-技术选股-向下突破

限量: 单次返回所有数据

输入参数

| 名称     | 类型  | 描述                                                                                                   |
|--------|-----|------------------------------------------------------------------------------------------------------|
| symbol | str | symbol="500日均线"; choice of {"5日均线", "10日均线", "20日均线", "30日均线", "60日均线", "90日均线", "250日均线", "500日均线"} |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 序号   | int64   | -       |
| 股票代码 | object  | -       |
| 股票简称 | object  | -       |
| 最新价  | float64 | 注意单位: 元 |
| 成交额  | object  | 注意单位: 元 |
| 成交量  | object  | 注意单位: 股 |
| 涨跌幅  | float64 | 注意单位: % |
| 换手率  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_rank_xxtp_ths_df = ak.stock_rank_xxtp_ths(symbol="500日均线")
print(stock_rank_xxtp_ths_df)
```

数据示例

```
        序号  股票代码   股票简称    最新价   成交额    成交量  涨跌幅    换手率
0        1  300472   新元科技  21.88    12.45亿  5267.07万 -14.43  22.99
1        2  300082   奥克股份  17.40     8.15亿  4449.17万 -12.78   6.57
2        3  300693   盛弘股份  49.55    10.66亿  2059.53万 -10.74  14.64
3        4  002143  *ST印纪   0.25   967.64万  3580.04万 -10.71   3.17
4        5  300499   高澜股份  17.25     8.57亿  4797.09万 -10.62  20.06
...    ...     ...    ...    ...       ...       ...    ...    ...
1889  1890  600656   退市博元   4.49  8756.26万  1975.00万   2.75  10.38
1890  1891  300922   天秦装备  45.54     3.20亿   709.12万   2.75  25.32
1891  1892  300278  *ST华昌   4.77  4417.39万   945.22万   3.47   2.15
1892  1893  000979   中弘股份   0.22  4626.11万     2.15亿   4.76   2.57
1893  1894  002071  *ST长城   0.31   702.53万  2319.26万   6.90   4.41
```

#### 量价齐升

接口: stock_rank_ljqs_ths

目标地址: http://data.10jqka.com.cn/rank/ljqs/

描述: 同花顺-数据中心-技术选股-量价齐升

限量: 单次返回所有数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int64   | -       |
| 股票代码   | object  | -       |
| 股票简称   | object  | -       |
| 最新价    | float64 | 注意单位: 元 |
| 量价齐升天数 | int64   | -       |
| 阶段涨幅   | float64 | 注意单位: % |
| 累计换手率  | float64 | 注意单位: % |
| 所属行业   | object  | -       |

接口示例

```python
import akshare as ak

stock_rank_ljqs_ths_df = ak.stock_rank_ljqs_ths()
print(stock_rank_ljqs_ths_df)
```

数据示例

```
        序号 股票代码 股票简称 最新价  量价齐升天数 阶段涨幅  累计换手率    所属行业
0        1  000836  富通信息    2.67       6  13.14  16.70    通信设备
1        2  002870  香山股份   43.54       5  48.30  40.08   汽车零部件
2        3  003019  宸展光电   32.21       5  28.84  67.54   光学光电子
3        4  300379   东方通   34.05       5  18.11  28.78   计算机应用
4        5  300253  卫宁健康   13.75       4   7.34   4.62   计算机应用
...    ...     ...   ...     ...     ...    ...    ...     ...
1395  1396  688728   格科微   31.31       1   1.99   5.85  半导体及元件
1396  1397  688737  中自科技   52.84       1   0.67   7.89   汽车零部件
1397  1398  688789  宏华数科  268.29       1   4.33   1.56    专用设备
1398  1399  688799  华纳药厂   36.29       1   0.39   2.53    化学制药
1399  1400  688981  中芯国际   57.27       1   0.77   2.11  半导体及元件
```

#### 量价齐跌

接口: stock_rank_ljqd_ths

目标地址: http://data.10jqka.com.cn/rank/ljqd/

描述: 同花顺-数据中心-技术选股-量价齐跌

限量: 单次返回所有数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| 序号     | int64   | -       |
| 股票代码   | object  | -       |
| 股票简称   | object  | -       |
| 最新价    | float64 | 注意单位: 元 |
| 量价齐跌天数 | int64   | -       |
| 阶段涨幅   | float64 | 注意单位: % |
| 累计换手率  | float64 | 注意单位: % |
| 所属行业   | object  | -       |

接口示例

```python
import akshare as ak

stock_rank_ljqd_ths_df = ak.stock_rank_ljqd_ths()
print(stock_rank_ljqd_ths_df)
```

数据示例

```
        序号 股票代码  股票简称 最新价 量价齐跌天数 阶段涨幅 累计换手率 所属行业
0        1  002801  微光股份   18.19       4 -3.81  15.44   电力设备
1        2  600018  上港集团    4.71       4 -7.65   1.11   港口航运
2        3  603326  我乐家居    8.90       4 -2.41   0.43   家用轻工
3        4  603588  高能环境   15.35       4 -4.12   2.60     环保
4        5  603889  新澳股份    5.86       4 -5.64   4.27   纺织制造
...    ...     ...   ...     ...     ...   ...    ...    ...
1509  1510  688776  国光电气  159.00       1 -2.27   1.75   国防军工
1510  1511  688777  中控技术   88.16       1 -2.19   2.08  自动化设备
1511  1512  688793   倍轻松   93.40       1 -0.90   1.80    小家电
1512  1513  688819  天能股份   42.85       1 -1.04   2.10   电力设备
1513  1514  689009  九号公司   63.00       1 -2.36   0.26  非汽车交运
```

#### 险资举牌

接口: stock_rank_xzjp_ths

目标地址: http://data.10jqka.com.cn/financial/xzjp/

描述: 同花顺-数据中心-技术选股-险资举牌

限量: 单次返回所有数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称         | 类型      | 描述      |
|------------|---------|---------|
| 序号         | int64   | -       |
| 举牌公告日      | object  | -       |
| 股票代码       | object  | -       |
| 股票简称       | object  | -       |
| 现价         | float64 | 注意单位: 元 |
| 涨跌幅        | float64 | 注意单位: % |
| 举牌方        | object  | -       |
| 增持数量       | object  | 注意单位: 股 |
| 交易均价       | float64 | 注意单位: 元 |
| 增持数量占总股本比例 | float64 | 注意单位: % |
| 变动后持股总数    | object  | 注意单位: 股 |
| 变动后持股比例    | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

stock_rank_xzjp_ths_df = ak.stock_rank_xzjp_ths()
print(stock_rank_xzjp_ths_df)
```

数据示例

```
    序号 举牌公告日   股票代码  股票简称  ...   交易均价 增持数量占总股本比例  变动后持股总数 变动后持股比例
0    1  2021-11-09  601200   上海环境  ...   11.59        0.74     1.12亿   10.00
1    2  2021-11-05  600183   生益科技  ...   24.70        1.00     5.72亿   24.78
2    3  2021-10-29  600739   辽宁成大  ...   20.42        0.06  7648.55万    5.00
3    4  2021-10-29  600739   辽宁成大  ...   20.42        0.06  7648.55万    5.00
4    5  2021-10-27  002083   孚日股份  ...    4.05        0.64  5080.00万    5.60
5    6  2021-10-21  300226   上海钢联  ...   63.16        0.00  1130.00万    5.92
6    7  2021-10-19  300472   新元科技  ...   20.82        1.95  1422.24万    5.33
7    8  2021-10-19  300472   新元科技  ...   20.82        1.95  1422.24万    5.33
8    9  2021-10-15  301066    万事利  ...   20.05        0.33   711.00万    5.28
9   10  2021-10-14  300635    中达安  ...   16.11        0.00   682.00万    5.00
10  11  2021-10-11  688093   世华科技  ...   36.98        0.00   957.35万    5.57
11  12  2021-10-09  600881   亚泰集团  ...    3.03        5.00     1.62亿    5.00
12  13  2021-10-09  000546   金圆股份  ...   11.48        0.01  3576.60万    5.00
13  14  2021-09-25  600919   江苏银行  ...    5.69        0.32     7.38亿    5.00
14  15  2021-09-16  600183   生益科技  ...   24.70        1.85     5.49亿   23.85
15  16  2021-09-08  603236   移远通信  ...  161.80        1.51  1144.82万    7.88
16  17  2021-09-07  300469   信息发展  ...   10.64        0.12  1037.43万    5.06
17  18  2021-09-06  300469   信息发展  ...   10.76        0.38  1037.43万    5.06
18  19  2021-08-21  000598   兴蓉环境  ...    5.11        0.65     4.48亿   15.00
19  20  2021-08-13  300004   南风股份  ...    6.35        0.81  6042.67万   12.59
20  21  2021-08-06  600886   国投电力  ...    9.53        1.00    12.54亿   18.00
21  22  2021-08-06  600886   国投电力  ...    9.53        1.00    12.54亿   18.00
22  23  2021-08-05  603729   ST龙韵  ...   13.25        0.51   578.50万    6.20
23  24  2021-08-04  603236   移远通信  ...  143.74        0.06   726.87万    5.00
24  25  2021-08-04  601866   中远海发  ...    3.94        0.00     5.86亿    5.05
25  26  2021-08-04  601866   中远海发  ...    3.94        0.11     5.86亿    5.05
26  27  2021-07-28  600615  *ST丰华  ...    6.60        3.10  1510.99万    8.04
27  28  2021-07-20  600173   卧龙地产  ...    4.58        0.92  9759.53万   13.92
28  29  2021-07-14  600288   大恒科技  ...   11.74        0.13  2190.44万    5.01
29  30  2021-07-06  000598   兴蓉环境  ...    5.25        1.09     4.28亿   14.35
30  31  2021-07-03  002168   惠程科技  ...    4.31        0.00  5935.91万    7.40
31  32  2021-06-30  601200   上海环境  ...   11.97        1.05     1.04亿    9.26
32  33  2021-06-19  600236   桂冠电力  ...    5.34        0.00     7.88亿   10.00
33  34  2021-06-17  601200   上海环境  ...   11.47        1.10  9202.57万    8.20
34  35  2021-06-16  002168   惠程科技  ...    4.31        0.00  4009.74万    5.00
35  36  2021-06-11  300345   华民股份  ...    4.21        1.35  2830.64万    6.41
36  37  2021-06-09  300345   华民股份  ...    4.20        1.35  2830.64万    6.41
37  38  2021-06-03  600236   桂冠电力  ...    5.16        1.00     7.83亿    9.93
38  39  2021-06-02  000598   兴蓉环境  ...    5.17        1.00     3.96亿   13.26
39  40  2021-06-02  002726   龙大肉食  ...   10.84        5.00  5005.68万    5.00
40  41  2021-06-01  600886   国投电力  ...    9.60        1.00    11.84亿   17.00
41  42  2021-06-01  600886   国投电力  ...    9.60        1.00    11.84亿   17.00
42  43  2021-05-25  300478   杭州高新  ...    9.10        0.00   710.25万    5.61
43  44  2021-05-22  002668   奥马电器  ...    5.39        0.00     2.71亿   25.00
44  45  2021-05-22  603729   ST龙韵  ...   11.62        5.25   531.00万    5.69
45  46  2021-05-15  002490   山东墨龙  ...    5.32        0.13     1.55亿   19.43
46  47  2021-05-11  002490   山东墨龙  ...    4.38        0.61     1.40亿   17.54
```
